-- MySQL dump 10.13  Distrib 5.6.36, for Linux (x86_64)
--
-- Host: localhost    Database: d7_real_estast
-- ------------------------------------------------------
-- Server version	5.6.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accesslog`
--

DROP TABLE IF EXISTS `accesslog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accesslog` (
  `aid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique accesslog ID.',
  `sid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Browser session ID of user that visited page.',
  `title` varchar(255) DEFAULT NULL COMMENT 'Title of page visited.',
  `path` varchar(255) DEFAULT NULL COMMENT 'Internal path to page visited (relative to Drupal root.)',
  `url` text COMMENT 'Referrer URI.',
  `hostname` varchar(128) DEFAULT NULL COMMENT 'Hostname of user that visited the page.',
  `uid` int(10) unsigned DEFAULT '0' COMMENT 'User users.uid that visited the page.',
  `timer` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Time in milliseconds that the page took to load.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the page was visited.',
  PRIMARY KEY (`aid`),
  KEY `accesslog_timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores site access information for statistics.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accesslog`
--

LOCK TABLES `accesslog` WRITE;
/*!40000 ALTER TABLE `accesslog` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `accesslog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `actions` VALUES ('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('pathauto_node_update_action','node','pathauto_node_update_action','','Update node alias'),('pathauto_taxonomy_term_update_action','taxonomy_term','pathauto_taxonomy_term_update_action','','Update taxonomy term alias'),('pathauto_user_update_action','user','pathauto_user_update_action','','Update user alias'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('user_block_user_action','user','user_block_user_action','','Block current user');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `authmap`
--

DROP TABLE IF EXISTS `authmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`),
  KEY `uid_module` (`uid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authmap`
--

LOCK TABLES `authmap` WRITE;
/*!40000 ALTER TABLE `authmap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `authmap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean`
--

DROP TABLE IF EXISTS `bean`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique bean item ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Revision ID',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `vid` (`vid`),
  UNIQUE KEY `delta` (`delta`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean`
--

LOCK TABLES `bean` WRITE;
/*!40000 ALTER TABLE `bean` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean` VALUES (1,2,'who-we-are','Who We Are','Who We Are','who_we_are_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}',1,1406623417,1408011929);
/*!40000 ALTER TABLE `bean` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_revision`
--

DROP TABLE IF EXISTS `bean_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_revision` (
  `bid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The bean this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The author of the revision.',
  `delta` varchar(32) NOT NULL COMMENT 'The bean’s block.delta.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Displays in the Admin page.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The bean_type.type of this bean.',
  `view_mode` varchar(32) NOT NULL DEFAULT 'default' COMMENT 'The View mode to use as the bean.',
  `data` longtext COMMENT 'A serialized array of additional data related to this bean.',
  `log` longtext COMMENT 'A log message associated with the revision.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the entity was most recently saved.',
  PRIMARY KEY (`vid`),
  KEY `bid` (`bid`,`vid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores bean items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_revision`
--

LOCK TABLES `bean_revision` WRITE;
/*!40000 ALTER TABLE `bean_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean_revision` VALUES (1,1,1,'who-we-are','Who We Are','Who We Are','who_we_are_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1406623417,1406623417),(1,2,1,'who-we-are','Who We Are','Who We Are','who_we_are_block','default','a:1:{s:9:\"view_mode\";s:7:\"default\";}','',1406623417,1408011929);
/*!40000 ALTER TABLE `bean_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `bean_type`
--

DROP TABLE IF EXISTS `bean_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bean_type` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The Type ID of this block. Only used internally by CTools',
  `name` varchar(32) NOT NULL COMMENT 'The machine-readable name of this bean type.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this bean type.',
  `options` longtext COMMENT 'Block content configuration.',
  `description` longtext COMMENT 'The description of this bean type.',
  PRIMARY KEY (`type_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined bean types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bean_type`
--

LOCK TABLES `bean_type` WRITE;
/*!40000 ALTER TABLE `bean_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `bean_type` VALUES (1,'who_we_are_block','Who We Are Block',NULL,'Use for Who We Are block in homepage');
/*!40000 ALTER TABLE `bean_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block`
--

DROP TABLE IF EXISTS `block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the "Pages" block; contains either a list of paths on which to include/exclude the block or PHP code, depending on "visibility" setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=516 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block`
--

LOCK TABLES `block` WRITE;
/*!40000 ALTER TABLE `block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block` VALUES (1,'system','main','bartik',1,0,'content',0,0,'','',-1,''),(2,'search','form','bartik',1,-1,'sidebar_first',0,1,'','<none>',-1,'animation'),(3,'node','recent','seven',1,10,'dashboard_main',0,0,'','',-1,''),(4,'user','login','bartik',1,0,'sidebar_first',0,0,'<front>','',-1,''),(5,'system','navigation','bartik',1,0,'sidebar_first',0,0,'','',-1,''),(6,'system','powered-by','bartik',1,10,'footer',0,0,'','',-1,''),(7,'system','help','bartik',1,0,'help',0,0,'','',-1,''),(8,'system','main','seven',1,0,'content',0,0,'','',-1,''),(9,'system','help','seven',1,0,'help',0,0,'','',-1,''),(10,'user','login','seven',1,10,'content',0,0,'<front>','',-1,''),(11,'user','new','seven',1,0,'dashboard_sidebar',0,0,'','',-1,''),(12,'search','form','seven',1,-10,'dashboard_sidebar',0,1,'','<none>',-1,'animation'),(13,'comment','recent','bartik',0,0,'-1',0,0,'','<none>',1,''),(14,'node','syndicate','bartik',0,0,'-1',0,0,'','',-1,''),(15,'node','recent','bartik',0,0,'-1',0,0,'','',1,''),(16,'shortcut','shortcuts','bartik',0,0,'-1',0,0,'','',-1,''),(17,'system','management','bartik',0,0,'-1',0,0,'','',-1,''),(18,'system','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(19,'system','main-menu','bartik',0,0,'-1',0,0,'','<none>',-1,''),(20,'user','new','bartik',0,0,'-1',0,0,'','',1,''),(21,'user','online','bartik',0,0,'-1',0,0,'','',-1,''),(22,'comment','recent','seven',1,0,'dashboard_inactive',0,0,'','<none>',1,''),(23,'node','syndicate','seven',0,0,'-1',0,0,'','',-1,''),(24,'shortcut','shortcuts','seven',0,0,'-1',0,0,'','',-1,''),(25,'system','powered-by','seven',0,10,'-1',0,0,'','',-1,''),(26,'system','navigation','seven',0,0,'-1',0,0,'','',-1,''),(27,'system','management','seven',0,0,'-1',0,0,'','',-1,''),(28,'system','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(29,'system','main-menu','seven',0,0,'-1',0,0,'','<none>',-1,''),(30,'user','online','seven',1,0,'dashboard_inactive',0,0,'','',-1,''),(31,'comment','recent','real_estast',0,0,'-1',0,0,'','<none>',1,''),(32,'node','recent','real_estast',0,0,'-1',0,0,'','',1,''),(33,'node','syndicate','real_estast',0,0,'-1',0,0,'','',-1,''),(34,'search','form','real_estast',0,-1,'-1',0,1,'','<none>',-1,'animation'),(35,'shortcut','shortcuts','real_estast',0,0,'-1',0,0,'','',-1,''),(36,'system','help','real_estast',1,0,'help',0,0,'','',-1,''),(37,'system','main','real_estast',1,-50,'content',0,0,'','',-1,''),(38,'system','main-menu','real_estast',0,0,'-1',0,0,'','<none>',-1,''),(39,'system','management','real_estast',0,0,'-1',0,0,'','',-1,''),(40,'system','navigation','real_estast',0,0,'-1',0,0,'','',-1,''),(41,'system','powered-by','real_estast',0,10,'-1',0,0,'','',-1,''),(42,'system','user-menu','real_estast',0,0,'-1',0,0,'','',-1,''),(43,'user','login','real_estast',0,0,'-1',0,0,'<front>','',-1,''),(44,'user','new','real_estast',0,0,'-1',0,0,'','',1,''),(45,'user','online','real_estast',0,0,'-1',0,0,'','',-1,''),(46,'tb_megamenu','main-menu','bartik',0,0,'-1',0,0,'mega-menus','',-1,''),(47,'tb_megamenu','management','bartik',0,0,'-1',0,0,'','',-1,''),(48,'tb_megamenu','navigation','bartik',0,0,'-1',0,0,'','',-1,''),(49,'tb_megamenu','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(50,'tb_megamenu','main-menu','real_estast',1,0,'main_menu',0,0,'mega-menus','',-1,''),(51,'tb_megamenu','management','real_estast',0,0,'-1',0,0,'','',-1,''),(52,'tb_megamenu','navigation','real_estast',0,0,'-1',0,0,'','',-1,''),(53,'tb_megamenu','user-menu','real_estast',0,0,'-1',0,0,'','',-1,''),(54,'tb_megamenu','main-menu','seven',0,0,'-1',0,0,'mega-menus','',-1,''),(55,'tb_megamenu','management','seven',0,0,'-1',0,0,'','',-1,''),(56,'tb_megamenu','navigation','seven',0,0,'-1',0,0,'','',-1,''),(57,'tb_megamenu','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(61,'views','-exp-properties-page','real_estast',1,-26,'panel_first',0,1,'<front>\r\nproperties\r\nhomepage2\r\nhomepage3','Advanced Search',-1,'animation'),(62,'views','-exp-properties-page','bartik',0,0,'-1',0,1,'<front>\r\nproperties\r\nhomepage2\r\nhomepage3','Advanced Search',-1,'animation'),(63,'views','-exp-properties-page','seven',0,0,'-1',0,1,'<front>\r\nproperties\r\nhomepage2\r\nhomepage3','Advanced Search',-1,'animation'),(64,'views','-exp-properties-page_1','bartik',0,0,'-1',0,1,'properties/three-columns','',-1,'animation'),(65,'views','-exp-properties-page_2','bartik',0,0,'-1',0,1,'properties/map','',-1,'animation'),(66,'views','-exp-properties-page_1','real_estast',1,-23,'panel_first',0,1,'properties/three-columns','',-1,'animation'),(67,'views','-exp-properties-page_2','real_estast',1,-22,'panel_first',0,1,'properties/map','',-1,'animation'),(68,'views','-exp-properties-page_1','seven',0,0,'-1',0,1,'properties/three-columns','',-1,'animation'),(69,'views','-exp-properties-page_2','seven',0,0,'-1',0,1,'properties/map','',-1,'animation'),(70,'blog','recent','bartik',0,0,'-1',0,0,'','',1,''),(71,'blog','recent','real_estast',0,0,'-1',0,0,'','',1,''),(72,'blog','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,''),(73,'menu','features','bartik',0,0,'-1',0,0,'','',-1,''),(74,'tb_megamenu','features','bartik',0,0,'-1',0,0,'','',-1,''),(75,'views','13ab07c8918facb82f31d6b1ffc162f9','bartik',0,0,'-1',0,0,'','',-1,''),(76,'menu','features','real_estast',0,0,'-1',0,0,'','',-1,''),(77,'tb_megamenu','features','real_estast',0,0,'-1',0,0,'','',-1,''),(78,'views','13ab07c8918facb82f31d6b1ffc162f9','real_estast',0,0,'-1',0,0,'','',-1,''),(79,'menu','features','seven',0,0,'-1',0,0,'','',-1,''),(80,'tb_megamenu','features','seven',0,0,'-1',0,0,'','',-1,''),(81,'views','13ab07c8918facb82f31d6b1ffc162f9','seven',0,0,'-1',0,0,'','',-1,''),(82,'views','property_types_filter-block','bartik',0,0,'-1',0,0,'','',-1,''),(83,'views','property_types_filter-block','real_estast',0,0,'-1',0,0,'','',-1,''),(84,'views','property_types_filter-block','seven',0,0,'-1',0,0,'','',-1,''),(85,'views','slideshow-block','real_estast',0,-50,'-1',0,1,'<front>','<none>',-1,''),(86,'views','slideshow-block_1','real_estast',1,-49,'slideshow',0,1,'<front>','<none>',-1,''),(87,'views','slideshow-block_1','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(88,'views','slideshow-block_1','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(89,'views','slideshow-block','bartik',0,0,'-1',0,1,'<front>','<none>',-1,''),(90,'views','slideshow-block','seven',0,0,'-1',0,1,'<front>','<none>',-1,''),(91,'views','agents-block','real_estast',1,0,'panel_second',0,1,'<front>','',-1,'animation'),(92,'views','blogs-block','real_estast',0,0,'-1',0,0,'','',-1,''),(93,'block','1','bartik',0,0,'-1',0,0,'','Who We Are',-1,''),(94,'block','1','real_estast',0,0,'-1',0,0,'','Who We Are',-1,''),(95,'block','1','seven',0,0,'-1',0,0,'','Who We Are',-1,''),(96,'block','2','bartik',0,0,'-1',0,0,'','Contact detail',-1,''),(97,'block','2','real_estast',1,0,'panel_footer_1',0,0,'','Contact detail',-1,''),(98,'block','2','seven',0,0,'-1',0,0,'','Contact detail',-1,''),(100,'views','agents-block','bartik',0,0,'-1',0,1,'<front>','',-1,'animation'),(101,'views','blogs-block','bartik',0,0,'-1',0,0,'','',-1,''),(104,'views','agents-block','seven',0,0,'-1',0,1,'<front>','',-1,'animation'),(105,'views','blogs-block','seven',0,0,'-1',0,0,'','',-1,''),(106,'menu','menu-useful-links','real_estast',1,0,'panel_footer_2',0,0,'','',-1,''),(107,'tb_megamenu','menu-useful-links','real_estast',0,0,'-1',0,0,'','',-1,''),(108,'menu','menu-useful-links','bartik',0,0,'-1',0,0,'','',-1,''),(109,'tb_megamenu','menu-useful-links','bartik',0,0,'-1',0,0,'','',-1,''),(110,'menu','menu-useful-links','seven',0,0,'-1',0,0,'','',-1,''),(111,'tb_megamenu','menu-useful-links','seven',0,0,'-1',0,0,'','',-1,''),(112,'menu','menu-social-menu','real_estast',1,-20,'headline',0,0,'','<none>',-1,''),(113,'tb_megamenu','menu-social-menu','real_estast',0,0,'-1',0,0,'','',-1,''),(114,'menu','menu-social-menu','bartik',0,0,'-1',0,0,'','<none>',-1,''),(115,'tb_megamenu','menu-social-menu','bartik',0,0,'-1',0,0,'','',-1,''),(116,'views','-exp-properties-page_3','bartik',0,0,'-1',0,1,'properties/list','',-1,'animation'),(117,'views','-exp-properties-page_3','real_estast',1,0,'panel_first',0,1,'properties/list','',-1,'animation'),(118,'menu','menu-social-menu','seven',0,0,'-1',0,0,'','<none>',-1,''),(119,'tb_megamenu','menu-social-menu','seven',0,0,'-1',0,0,'','',-1,''),(120,'views','-exp-properties-page_3','seven',0,0,'-1',0,1,'properties/list','',-1,'animation'),(121,'quicktabs','search_properties','real_estast',0,0,'-1',0,0,'','<none>',-1,''),(122,'quicktabs','search_properties','seven',0,0,'-1',0,0,'','<none>',-1,''),(123,'quicktabs','search_properties','bartik',0,0,'-1',0,0,'','<none>',-1,''),(124,'block','3','bartik',0,0,'-1',0,0,'','<none>',-1,''),(125,'block','3','real_estast',1,-21,'footer',0,0,'','<none>',-1,''),(126,'block','3','seven',0,0,'-1',0,0,'','<none>',-1,''),(127,'block','4','bartik',0,0,'-1',0,0,'','<none>',-1,''),(128,'block','4','real_estast',0,-22,'-1',0,0,'','<none>',-1,''),(129,'block','4','seven',0,0,'-1',0,0,'','<none>',-1,''),(130,'menu','menu-pages','real_estast',1,0,'panel_footer_3',0,0,'','',-1,''),(131,'tb_megamenu','menu-pages','real_estast',0,0,'-1',0,0,'','',-1,''),(132,'block','5','bartik',0,0,'-1',0,0,'','<none>',-1,''),(133,'block','5','real_estast',1,-23,'headline',0,0,'','<none>',-1,''),(134,'block','5','seven',0,0,'-1',0,0,'','<none>',-1,''),(135,'menu','menu-pages','bartik',0,0,'-1',0,0,'','',-1,''),(136,'tb_megamenu','menu-pages','bartik',0,0,'-1',0,0,'','',-1,''),(137,'menu','menu-pages','seven',0,0,'-1',0,0,'','',-1,''),(138,'tb_megamenu','menu-pages','seven',0,0,'-1',0,0,'','',-1,''),(139,'views','why_us-block','real_estast',1,0,'panel_third_2',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation'),(140,'views','why_us-block','bartik',0,0,'-1',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation'),(141,'views','why_us-block','seven',0,0,'-1',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation'),(142,'views','testimonials-block','real_estast',1,0,'panel_third_3',0,0,'','',-1,''),(143,'views','testimonials-block','bartik',0,0,'-1',0,0,'','',-1,''),(144,'views','testimonials-block','seven',0,0,'-1',0,0,'','',-1,''),(145,'bean','who-we-are','bartik',0,0,'-1',0,1,'<front>\r\nhomepage3','',1,'animation'),(146,'bean','who-we-are','real_estast',1,0,'panel_third_1',0,1,'<front>\r\nhomepage3','',1,'animation'),(147,'bean','who-we-are','seven',0,0,'-1',0,1,'<front>\r\nhomepage3','',1,'animation'),(148,'views','happy_clients-block','real_estast',1,0,'panel_third_3',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation'),(149,'views','happy_clients-block','bartik',0,0,'-1',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation'),(150,'views','happy_clients-block','seven',0,0,'-1',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation'),(151,'views','featured_properties-block','real_estast',1,-24,'featured',0,1,'<front>','',-1,'animation'),(152,'views','featured_properties-block','bartik',0,0,'-1',0,1,'<front>','',-1,'animation'),(153,'views','featured_properties-block','seven',0,0,'-1',0,1,'<front>','',-1,'animation'),(154,'views','featured_properties-block_1','real_estast',1,-23,'featured',0,1,'properties\r\nproperties/*','',-1,'animation'),(155,'views','featured_properties-block_1','bartik',0,0,'-1',0,1,'properties\r\nproperties/*','',-1,'animation'),(156,'views','featured_properties-block_1','seven',0,0,'-1',0,1,'properties\r\nproperties/*','',-1,'animation'),(162,'context_ui','editor','bartik',0,0,'-1',0,0,'','',1,''),(163,'context_ui','editor','real_estast',0,0,'-1',0,0,'','',1,''),(164,'context_ui','editor','seven',0,0,'-1',0,0,'','',1,''),(165,'menu','menu-properties-demo-menu','bartik',0,0,'-1',0,1,'properties\r\nproperties/*','<none>',-1,''),(166,'tb_megamenu','menu-properties-demo-menu','bartik',0,0,'-1',0,0,'','',-1,''),(167,'menu','menu-properties-demo-menu','real_estast',0,0,'-1',0,1,'properties\r\nproperties/*','<none>',-1,''),(168,'tb_megamenu','menu-properties-demo-menu','real_estast',0,0,'-1',0,0,'','',-1,''),(169,'menu','menu-properties-demo-menu','seven',0,0,'-1',0,1,'properties\r\nproperties/*','<none>',-1,''),(170,'tb_megamenu','menu-properties-demo-menu','seven',0,0,'-1',0,0,'','',-1,''),(171,'views','agents-block_1','real_estast',0,0,'-1',0,0,'','Our Agents',-1,'animation'),(172,'views','agents-block_1','bartik',0,0,'-1',0,0,'','Our Agents',-1,'animation'),(173,'views','agents-block_1','seven',0,0,'-1',0,0,'','Our Agents',-1,'animation'),(174,'views','happy_clients-block_1','real_estast',0,0,'-1',0,0,'','<none>',-1,'animation'),(175,'views','happy_clients-block_1','bartik',0,0,'-1',0,0,'','<none>',-1,'animation'),(176,'views','happy_clients-block_1','seven',0,0,'-1',0,0,'','<none>',-1,'animation'),(177,'views','agents-block_2','real_estast',1,-28,'featured',0,1,'agents','',-1,'animation'),(178,'views','agents-block_2','bartik',0,0,'-1',0,1,'agents','',-1,'animation'),(179,'views','agents-block_2','seven',0,0,'-1',0,1,'agents','',-1,'animation'),(180,'views','related_properties-block','real_estast',1,-49,'content',0,1,'property/*','',-1,'animation'),(181,'views','related_properties-block','bartik',0,0,'-1',0,1,'property/*','',-1,'animation'),(182,'views','related_properties-block','seven',0,0,'-1',0,1,'property/*','',-1,'animation'),(183,'views','related_properties-block_1','real_estast',1,0,'panel_second',0,1,'users/*\r\nuser/*','',-1,'animation'),(184,'views','related_properties-block_1','bartik',0,0,'-1',0,1,'users/*\r\nuser/*','',-1,'animation'),(185,'views','related_properties-block_1','seven',0,0,'-1',0,1,'users/*\r\nuser/*','',-1,'animation'),(186,'block','6','bartik',0,0,'-1',0,1,'contact','',-1,'animation'),(187,'block','6','real_estast',1,-51,'content',0,1,'contact','',-1,'animation'),(188,'block','6','seven',0,0,'-1',0,1,'contact','',-1,'animation'),(189,'block','7','bartik',0,0,'-1',0,1,'get-touch','',-1,''),(190,'block','7','real_estast',1,0,'map',0,1,'get-touch','',-1,''),(191,'block','7','seven',0,0,'-1',0,1,'get-touch','',-1,''),(192,'tagclouds','4','bartik',0,0,'-1',0,0,'','',8,''),(193,'tagclouds','3','bartik',0,0,'-1',0,0,'','',8,''),(194,'tagclouds','15','bartik',0,0,'-1',0,0,'','',8,''),(195,'tagclouds','8','bartik',0,0,'-1',0,0,'','',8,''),(196,'tagclouds','9','bartik',0,0,'-1',0,0,'','',8,''),(197,'tagclouds','7','bartik',0,0,'-1',0,0,'','',8,''),(198,'tagclouds','11','bartik',0,0,'-1',0,0,'','',8,''),(199,'tagclouds','2','bartik',0,0,'-1',0,0,'','',8,''),(200,'tagclouds','12','bartik',0,0,'-1',0,0,'','',8,''),(201,'tagclouds','13','bartik',0,0,'-1',0,0,'','',8,''),(202,'tagclouds','10','bartik',0,0,'-1',0,0,'','',8,''),(203,'tagclouds','16','bartik',0,0,'-1',0,0,'','',8,''),(204,'tagclouds','5','bartik',0,0,'-1',0,0,'','',8,''),(205,'tagclouds','1','bartik',0,0,'-1',0,0,'','',8,'animation'),(206,'tagclouds','6','bartik',0,0,'-1',0,0,'','',8,''),(207,'tagclouds','4','real_estast',0,0,'-1',0,0,'','',8,''),(208,'tagclouds','3','real_estast',0,0,'-1',0,0,'','',8,''),(209,'tagclouds','15','real_estast',0,0,'-1',0,0,'','',8,''),(210,'tagclouds','8','real_estast',0,0,'-1',0,0,'','',8,''),(211,'tagclouds','9','real_estast',0,0,'-1',0,0,'','',8,''),(212,'tagclouds','7','real_estast',0,0,'-1',0,0,'','',8,''),(213,'tagclouds','11','real_estast',0,0,'-1',0,0,'','',8,''),(214,'tagclouds','2','real_estast',0,0,'-1',0,0,'','',8,''),(215,'tagclouds','12','real_estast',0,0,'-1',0,0,'','',8,''),(216,'tagclouds','13','real_estast',0,0,'-1',0,0,'','',8,''),(217,'tagclouds','10','real_estast',0,0,'-1',0,0,'','',8,''),(218,'tagclouds','16','real_estast',0,0,'-1',0,0,'','',8,''),(219,'tagclouds','5','real_estast',0,0,'-1',0,0,'','',8,''),(220,'tagclouds','1','real_estast',0,0,'-1',0,0,'','',8,'animation'),(221,'tagclouds','6','real_estast',0,0,'-1',0,0,'','',8,''),(222,'tagclouds','4','seven',0,0,'-1',0,0,'','',8,''),(223,'tagclouds','3','seven',0,0,'-1',0,0,'','',8,''),(224,'tagclouds','15','seven',0,0,'-1',0,0,'','',8,''),(225,'tagclouds','8','seven',0,0,'-1',0,0,'','',8,''),(226,'tagclouds','9','seven',0,0,'-1',0,0,'','',8,''),(227,'tagclouds','7','seven',0,0,'-1',0,0,'','',8,''),(228,'tagclouds','11','seven',0,0,'-1',0,0,'','',8,''),(229,'tagclouds','2','seven',0,0,'-1',0,0,'','',8,''),(230,'tagclouds','12','seven',0,0,'-1',0,0,'','',8,''),(231,'tagclouds','13','seven',0,0,'-1',0,0,'','',8,''),(232,'tagclouds','10','seven',0,0,'-1',0,0,'','',8,''),(233,'tagclouds','16','seven',0,0,'-1',0,0,'','',8,''),(234,'tagclouds','5','seven',0,0,'-1',0,0,'','',8,''),(235,'tagclouds','1','seven',0,0,'-1',0,0,'','',8,'animation'),(236,'tagclouds','6','seven',0,0,'-1',0,0,'','',8,''),(237,'views','ads-block','real_estast',0,0,'-1',0,0,'','<none>',-1,'block-ads animation'),(238,'views','ads-block','bartik',0,0,'-1',0,0,'','<none>',-1,'block-ads animation'),(239,'views','ads-block','seven',0,0,'-1',0,0,'','<none>',-1,'block-ads animation'),(240,'tagclouds','17','real_estast',0,0,'-1',0,0,'','',8,''),(241,'views','posts_by_category-block','real_estast',0,0,'-1',0,0,'','',-1,'animation'),(242,'tagclouds','17','bartik',0,0,'-1',0,0,'','',8,''),(243,'views','posts_by_category-block','bartik',0,0,'-1',0,0,'','',-1,'animation'),(244,'tagclouds','17','seven',0,0,'-1',0,0,'','',8,''),(245,'views','posts_by_category-block','seven',0,0,'-1',0,0,'','',-1,'animation'),(246,'views','blogs-block_1','real_estast',0,0,'-1',0,0,'','<none>',-1,''),(247,'views','blogs-block_1','seven',0,0,'-1',0,0,'','<none>',-1,''),(248,'quicktabs','blog_sidebar_tab','real_estast',0,0,'-1',0,0,'','<none>',-1,'animation'),(249,'flickr','0','bartik',0,0,'-1',0,0,'','',8,''),(250,'flickr','1','bartik',0,0,'-1',0,0,'','',8,''),(251,'flickr','2','bartik',0,0,'-1',0,0,'','',8,''),(252,'flickr','3','bartik',0,0,'-1',0,0,'','',8,''),(253,'flickr','4','bartik',0,0,'-1',0,0,'','',8,''),(254,'flickr','5','bartik',0,0,'-1',0,0,'','',8,''),(255,'flickr','6','bartik',0,0,'-1',0,0,'','',8,''),(256,'flickr','7','bartik',0,0,'-1',0,0,'','',8,''),(257,'flickr','8','bartik',0,0,'-1',0,0,'','',8,''),(258,'flickr','9','bartik',0,0,'-1',0,0,'','',8,''),(259,'flickr','10','bartik',0,0,'-1',0,0,'','',8,''),(260,'flickr','11','bartik',0,0,'-1',0,0,'','',8,''),(261,'flickr','12','bartik',0,0,'-1',0,0,'','',8,''),(262,'flickr','13','bartik',0,0,'-1',0,0,'','',8,''),(263,'flickr','14','bartik',0,0,'-1',0,0,'','',8,''),(264,'flickr','15','bartik',0,0,'-1',0,0,'','',8,''),(265,'flickr','16','bartik',0,0,'-1',0,0,'','',8,''),(266,'quicktabs','blog_sidebar_tab','bartik',0,0,'-1',0,0,'','<none>',-1,'animation'),(267,'tagclouds','18','bartik',0,0,'-1',0,0,'','',8,''),(268,'views','blogs-block_1','bartik',0,0,'-1',0,0,'','<none>',-1,''),(269,'flickr','0','real_estast',0,0,'-1',0,0,'','',8,''),(270,'flickr','1','real_estast',0,0,'-1',0,0,'','',8,''),(271,'flickr','2','real_estast',0,0,'-1',0,0,'','',8,''),(272,'flickr','3','real_estast',0,0,'-1',0,0,'','',8,''),(273,'flickr','4','real_estast',0,0,'-1',0,0,'','',8,''),(274,'flickr','5','real_estast',0,0,'-1',0,0,'','',8,''),(275,'flickr','6','real_estast',0,0,'-1',0,0,'','',8,''),(276,'flickr','7','real_estast',0,0,'-1',0,0,'','',8,''),(277,'flickr','8','real_estast',0,0,'-1',0,0,'','',8,''),(278,'flickr','9','real_estast',0,0,'-1',0,0,'','',8,''),(279,'flickr','10','real_estast',0,0,'-1',0,0,'','',8,''),(280,'flickr','11','real_estast',0,0,'-1',0,0,'','',8,''),(281,'flickr','12','real_estast',0,0,'-1',0,0,'','',8,''),(282,'flickr','13','real_estast',0,0,'-1',0,0,'','',8,''),(283,'flickr','14','real_estast',0,0,'-1',0,0,'','',8,''),(284,'flickr','15','real_estast',0,0,'-1',0,0,'','',8,''),(285,'flickr','16','real_estast',0,0,'-1',0,0,'','',8,''),(286,'tagclouds','18','real_estast',0,0,'-1',0,0,'','',8,''),(287,'flickr','0','seven',0,0,'-1',0,0,'','',8,''),(288,'flickr','1','seven',0,0,'-1',0,0,'','',8,''),(289,'flickr','2','seven',0,0,'-1',0,0,'','',8,''),(290,'flickr','3','seven',0,0,'-1',0,0,'','',8,''),(291,'flickr','4','seven',0,0,'-1',0,0,'','',8,''),(292,'flickr','5','seven',0,0,'-1',0,0,'','',8,''),(293,'flickr','6','seven',0,0,'-1',0,0,'','',8,''),(294,'flickr','7','seven',0,0,'-1',0,0,'','',8,''),(295,'flickr','8','seven',0,0,'-1',0,0,'','',8,''),(296,'flickr','9','seven',0,0,'-1',0,0,'','',8,''),(297,'flickr','10','seven',0,0,'-1',0,0,'','',8,''),(298,'flickr','11','seven',0,0,'-1',0,0,'','',8,''),(299,'flickr','12','seven',0,0,'-1',0,0,'','',8,''),(300,'flickr','13','seven',0,0,'-1',0,0,'','',8,''),(301,'flickr','14','seven',0,0,'-1',0,0,'','',8,''),(302,'flickr','15','seven',0,0,'-1',0,0,'','',8,''),(303,'flickr','16','seven',0,0,'-1',0,0,'','',8,''),(304,'quicktabs','blog_sidebar_tab','seven',0,0,'-1',0,0,'','<none>',-1,'animation'),(305,'tagclouds','18','seven',0,0,'-1',0,0,'','',8,''),(306,'views','gallery-block','real_estast',0,0,'-1',0,0,'','',-1,'animation'),(307,'views','blogs-block_2','real_estast',1,-48,'content',0,1,'blog-post/*','',-1,''),(308,'views','blogs-block_2','bartik',0,0,'-1',0,0,'blog-post/*','',-1,''),(309,'views','blogs-block_2','seven',0,0,'-1',0,0,'blog-post/*','',-1,''),(310,'views','gallery-block','bartik',0,0,'-1',0,0,'','',-1,'animation'),(311,'views','gallery-block','seven',0,0,'-1',0,0,'','',-1,'animation'),(312,'views','properties-block_1','real_estast',1,-51,'slideshow',0,1,'homepage2\r\nhomepage3','<none>',-1,''),(313,'views','properties-block_1','bartik',0,0,'-1',0,1,'homepage2\r\nhomepage3','<none>',-1,''),(314,'views','properties-block_1','seven',0,0,'-1',0,1,'homepage2\r\nhomepage3','<none>',-1,''),(315,'views','we_are_offer-block','bartik',0,0,'-1',0,1,'homepage2','',-1,'animation'),(316,'views','we_are_offer-block','real_estast',0,0,'-1',0,1,'homepage2','',-1,'animation'),(317,'views','we_are_offer-block','seven',0,0,'-1',0,1,'homepage2','',-1,'animation'),(318,'views','our_team-block','real_estast',0,0,'-1',0,0,'','',-1,'animation'),(319,'views','our_team-block','bartik',0,0,'-1',0,0,'','',-1,'animation'),(320,'views','our_team-block','seven',0,0,'-1',0,0,'','',-1,'animation'),(321,'quicktabs','property_filter','real_estast',0,-52,'-1',0,0,'','',-1,''),(322,'quicktabs','property_filter','seven',0,0,'-1',0,0,'','',-1,''),(323,'quicktabs','property_filter','bartik',0,0,'-1',0,0,'','',-1,''),(324,'views','we_are_offer-block_1','real_estast',1,0,'panel_highlighted',0,1,'homepage2','',-1,'animation'),(325,'views','we_are_offer-block_1','bartik',0,0,'-1',0,1,'homepage2','',-1,'animation'),(326,'views','we_are_offer-block_1','seven',0,0,'-1',0,1,'homepage2','',-1,'animation'),(327,'views','featured_properties-block_2','real_estast',1,0,'featured',0,1,'homepage2','',-1,''),(328,'views','featured_properties-block_2','bartik',0,0,'-1',0,0,'homepage2','',-1,''),(329,'views','featured_properties-block_2','seven',0,0,'-1',0,0,'homepage2','',-1,''),(330,'views','blogs-block_3','real_estast',1,0,'panel_third_1',0,1,'homepage2','',-1,''),(331,'views','blogs-block_3','bartik',0,0,'-1',0,0,'homepage2','',-1,''),(332,'views','blogs-block_3','seven',0,0,'-1',0,0,'homepage2','',-1,''),(333,'quicktabs','home_page_2','seven',0,0,'-1',0,0,'','',-1,''),(334,'quicktabs','home_page_2','bartik',0,0,'-1',0,0,'','',-1,''),(335,'quicktabs','home_page_2','real_estast',0,0,'-1',0,0,'','',-1,''),(336,'simplenews','0','bartik',0,0,'-1',0,0,'','',1,''),(337,'simplenews','144','bartik',0,0,'-1',0,0,'','Don\'t Miss Out',-1,''),(338,'tagclouds','19','bartik',0,0,'-1',0,0,'','',8,''),(339,'simplenews','0','real_estast',0,0,'-1',0,0,'','',1,''),(340,'simplenews','144','real_estast',1,0,'panel_footer_4',0,0,'','Don\'t Miss Out',-1,''),(341,'tagclouds','19','real_estast',0,0,'-1',0,0,'','',8,''),(342,'simplenews','0','seven',0,0,'-1',0,0,'','',1,''),(343,'simplenews','144','seven',0,0,'-1',0,0,'','Don\'t Miss Out',-1,''),(344,'tagclouds','19','seven',0,0,'-1',0,0,'','',8,''),(345,'megamenus','features','bartik',0,0,'-1',0,0,'','',-1,''),(346,'megamenus','main-menu','bartik',0,0,'-1',0,1,'mega-menus','',-1,''),(347,'megamenus','management','bartik',0,0,'-1',0,0,'','',-1,''),(348,'megamenus','menu-pages','bartik',0,0,'-1',0,0,'','',-1,''),(349,'megamenus','menu-properties-demo-menu','bartik',0,0,'-1',0,0,'','',-1,''),(350,'megamenus','menu-social-menu','bartik',0,0,'-1',0,0,'','',-1,''),(351,'megamenus','menu-useful-links','bartik',0,0,'-1',0,0,'','',-1,''),(352,'megamenus','navigation','bartik',0,0,'-1',0,0,'','',-1,''),(353,'megamenus','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(354,'megamenus','features','real_estast',0,0,'-1',0,0,'','',-1,''),(355,'megamenus','main-menu','real_estast',0,0,'-1',0,1,'mega-menus','',-1,''),(356,'megamenus','management','real_estast',0,0,'-1',0,0,'','',-1,''),(357,'megamenus','menu-pages','real_estast',0,0,'-1',0,0,'','',-1,''),(358,'megamenus','menu-properties-demo-menu','real_estast',0,0,'-1',0,0,'','',-1,''),(359,'megamenus','menu-social-menu','real_estast',0,0,'-1',0,0,'','',-1,''),(360,'megamenus','menu-useful-links','real_estast',0,0,'-1',0,0,'','',-1,''),(361,'megamenus','navigation','real_estast',0,0,'-1',0,0,'','',-1,''),(362,'megamenus','user-menu','real_estast',0,0,'-1',0,0,'','',-1,''),(363,'megamenus','features','seven',0,0,'-1',0,0,'','',-1,''),(364,'megamenus','main-menu','seven',0,0,'-1',0,1,'mega-menus','',-1,''),(365,'megamenus','management','seven',0,0,'-1',0,0,'','',-1,''),(366,'megamenus','menu-pages','seven',0,0,'-1',0,0,'','',-1,''),(367,'megamenus','menu-properties-demo-menu','seven',0,0,'-1',0,0,'','',-1,''),(368,'megamenus','menu-social-menu','seven',0,0,'-1',0,0,'','',-1,''),(369,'megamenus','menu-useful-links','seven',0,0,'-1',0,0,'','',-1,''),(370,'megamenus','navigation','seven',0,0,'-1',0,0,'','',-1,''),(371,'megamenus','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(372,'locale','language','bartik',0,0,'-1',0,0,'','',-1,''),(373,'locale','language','real_estast',0,0,'-1',0,0,'','',-1,''),(374,'locale','language','seven',0,0,'-1',0,0,'','',-1,''),(375,'statistics','popular','real_estast',0,0,'-1',0,0,'','',-1,''),(376,'statistics','popular','bartik',0,0,'-1',0,0,'','',-1,''),(377,'statistics','popular','seven',0,0,'-1',0,0,'','',-1,''),(378,'ip_geoloc','current_visitor_map','bartik',0,0,'-1',0,0,'','',-1,''),(379,'ip_geoloc','recent_visitors_map','bartik',0,0,'-1',0,0,'','',-1,''),(380,'ip_geoloc','address_lookup','bartik',0,0,'-1',0,0,'','',-1,''),(381,'ip_geoloc','geocode_address','bartik',0,0,'-1',0,0,'','',-1,''),(382,'ip_geoloc','current_visitor_map','real_estast',0,0,'-1',0,0,'','',-1,''),(383,'ip_geoloc','recent_visitors_map','real_estast',0,0,'-1',0,0,'','',-1,''),(384,'ip_geoloc','address_lookup','real_estast',0,0,'-1',0,0,'','',-1,''),(385,'ip_geoloc','geocode_address','real_estast',0,0,'-1',0,0,'','',-1,''),(386,'ip_geoloc','current_visitor_map','seven',0,0,'-1',0,0,'','',-1,''),(387,'ip_geoloc','recent_visitors_map','seven',0,0,'-1',0,0,'','',-1,''),(388,'ip_geoloc','address_lookup','seven',0,0,'-1',0,0,'','',-1,''),(389,'ip_geoloc','geocode_address','seven',0,0,'-1',0,0,'','',-1,''),(390,'bean','who-we-are','we_backend',1,0,'header',0,1,'<front>\r\nhomepage3','',1,'animation'),(391,'block','1','we_backend',0,0,'-1',0,0,'','Who We Are',-1,''),(392,'block','2','we_backend',1,0,'header',0,0,'','Contact detail',-1,''),(393,'block','3','we_backend',1,-21,'footer',0,0,'','<none>',-1,''),(394,'block','4','we_backend',0,-22,'-1',0,0,'','<none>',-1,''),(395,'block','5','we_backend',1,-23,'header',0,0,'','<none>',-1,''),(396,'block','6','we_backend',1,-51,'content',0,1,'contact','',-1,'animation'),(397,'block','7','we_backend',1,0,'header',0,1,'get-touch','',-1,''),(398,'blog','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(399,'comment','recent','we_backend',1,0,'dashboard_inactive',0,0,'','<none>',1,''),(400,'context_ui','editor','we_backend',0,0,'-1',0,0,'','',1,''),(401,'flickr','0','we_backend',0,0,'-1',0,0,'','',8,''),(402,'flickr','1','we_backend',0,0,'-1',0,0,'','',8,''),(403,'flickr','10','we_backend',0,0,'-1',0,0,'','',8,''),(404,'flickr','11','we_backend',0,0,'-1',0,0,'','',8,''),(405,'flickr','12','we_backend',0,0,'-1',0,0,'','',8,''),(406,'flickr','13','we_backend',0,0,'-1',0,0,'','',8,''),(407,'flickr','14','we_backend',0,0,'-1',0,0,'','',8,''),(408,'flickr','15','we_backend',0,0,'-1',0,0,'','',8,''),(409,'flickr','16','we_backend',0,0,'-1',0,0,'','',8,''),(410,'flickr','2','we_backend',0,0,'-1',0,0,'','',8,''),(411,'flickr','3','we_backend',0,0,'-1',0,0,'','',8,''),(412,'flickr','4','we_backend',0,0,'-1',0,0,'','',8,''),(413,'flickr','5','we_backend',0,0,'-1',0,0,'','',8,''),(414,'flickr','6','we_backend',0,0,'-1',0,0,'','',8,''),(415,'flickr','7','we_backend',0,0,'-1',0,0,'','',8,''),(416,'flickr','8','we_backend',0,0,'-1',0,0,'','',8,''),(417,'flickr','9','we_backend',0,0,'-1',0,0,'','',8,''),(418,'ip_geoloc','address_lookup','we_backend',0,0,'-1',0,0,'','',-1,''),(419,'ip_geoloc','current_visitor_map','we_backend',0,0,'-1',0,0,'','',-1,''),(420,'ip_geoloc','geocode_address','we_backend',0,0,'-1',0,0,'','',-1,''),(421,'ip_geoloc','recent_visitors_map','we_backend',0,0,'-1',0,0,'','',-1,''),(422,'locale','language','we_backend',0,0,'-1',0,0,'','',-1,''),(423,'megamenus','features','we_backend',0,0,'-1',0,0,'','',-1,''),(424,'megamenus','main-menu','we_backend',0,0,'-1',0,1,'mega-menus','',-1,''),(425,'megamenus','management','we_backend',0,0,'-1',0,0,'','',-1,''),(426,'megamenus','menu-pages','we_backend',0,0,'-1',0,0,'','',-1,''),(427,'megamenus','menu-properties-demo-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(428,'megamenus','menu-social-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(429,'megamenus','menu-useful-links','we_backend',0,0,'-1',0,0,'','',-1,''),(430,'megamenus','navigation','we_backend',0,0,'-1',0,0,'','',-1,''),(431,'megamenus','user-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(432,'menu','features','we_backend',0,0,'-1',0,0,'','',-1,''),(433,'menu','menu-pages','we_backend',1,0,'header',0,0,'','',-1,''),(434,'menu','menu-properties-demo-menu','we_backend',0,0,'-1',0,1,'properties\r\nproperties/*','<none>',-1,''),(435,'menu','menu-social-menu','we_backend',1,-20,'header',0,0,'','<none>',-1,''),(436,'menu','menu-useful-links','we_backend',1,0,'header',0,0,'','',-1,''),(437,'node','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(438,'node','syndicate','we_backend',0,0,'-1',0,0,'','',-1,''),(439,'quicktabs','blog_sidebar_tab','we_backend',0,0,'-1',0,0,'','<none>',-1,'animation'),(440,'quicktabs','home_page_2','we_backend',0,0,'-1',0,0,'','',-1,''),(441,'quicktabs','property_filter','we_backend',0,-52,'-1',0,0,'','',-1,''),(442,'quicktabs','search_properties','we_backend',0,0,'-1',0,0,'','<none>',-1,''),(443,'search','form','we_backend',1,-1,'dashboard_inactive',0,1,'','<none>',-1,'animation'),(444,'shortcut','shortcuts','we_backend',0,0,'-1',0,0,'','',-1,''),(445,'simplenews','0','we_backend',0,0,'-1',0,0,'','',1,''),(446,'simplenews','144','we_backend',1,0,'header',0,0,'','Don\'t Miss Out',-1,''),(447,'statistics','popular','we_backend',0,0,'-1',0,0,'','',-1,''),(448,'system','help','we_backend',1,0,'help',0,0,'','',-1,''),(449,'system','main','we_backend',1,-50,'content',0,0,'','',-1,''),(450,'system','main-menu','we_backend',0,0,'-1',0,0,'','<none>',-1,''),(451,'system','management','we_backend',0,0,'-1',0,0,'','',-1,''),(452,'system','navigation','we_backend',0,0,'-1',0,0,'','',-1,''),(453,'system','powered-by','we_backend',0,10,'-1',0,0,'','',-1,''),(454,'system','user-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(455,'tagclouds','1','we_backend',0,0,'-1',0,0,'','',8,'animation'),(456,'tagclouds','10','we_backend',0,0,'-1',0,0,'','',8,''),(457,'tagclouds','11','we_backend',0,0,'-1',0,0,'','',8,''),(458,'tagclouds','12','we_backend',0,0,'-1',0,0,'','',8,''),(459,'tagclouds','13','we_backend',0,0,'-1',0,0,'','',8,''),(460,'tagclouds','15','we_backend',0,0,'-1',0,0,'','',8,''),(461,'tagclouds','16','we_backend',0,0,'-1',0,0,'','',8,''),(462,'tagclouds','17','we_backend',0,0,'-1',0,0,'','',8,''),(463,'tagclouds','18','we_backend',0,0,'-1',0,0,'','',8,''),(464,'tagclouds','19','we_backend',0,0,'-1',0,0,'','',8,''),(465,'tagclouds','2','we_backend',0,0,'-1',0,0,'','',8,''),(466,'tagclouds','3','we_backend',0,0,'-1',0,0,'','',8,''),(467,'tagclouds','4','we_backend',0,0,'-1',0,0,'','',8,''),(468,'tagclouds','5','we_backend',0,0,'-1',0,0,'','',8,''),(469,'tagclouds','6','we_backend',0,0,'-1',0,0,'','',8,''),(470,'tagclouds','7','we_backend',0,0,'-1',0,0,'','',8,''),(471,'tagclouds','8','we_backend',0,0,'-1',0,0,'','',8,''),(472,'tagclouds','9','we_backend',0,0,'-1',0,0,'','',8,''),(473,'tb_megamenu','features','we_backend',0,0,'-1',0,0,'','',-1,''),(474,'tb_megamenu','main-menu','we_backend',1,0,'header',0,0,'mega-menus','',-1,''),(475,'tb_megamenu','management','we_backend',0,0,'-1',0,0,'','',-1,''),(476,'tb_megamenu','menu-pages','we_backend',0,0,'-1',0,0,'','',-1,''),(477,'tb_megamenu','menu-properties-demo-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(478,'tb_megamenu','menu-social-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(479,'tb_megamenu','menu-useful-links','we_backend',0,0,'-1',0,0,'','',-1,''),(480,'tb_megamenu','navigation','we_backend',0,0,'-1',0,0,'','',-1,''),(481,'tb_megamenu','user-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(482,'user','login','we_backend',0,0,'-1',0,0,'<front>','',-1,''),(483,'user','new','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(484,'user','online','we_backend',1,0,'dashboard_inactive',0,0,'','',-1,''),(485,'views','-exp-properties-page','we_backend',1,-26,'header',0,1,'<front>\r\nproperties\r\nhomepage2\r\nhomepage3','Advanced Search',-1,'animation'),(486,'views','-exp-properties-page_1','we_backend',1,-23,'header',0,1,'properties/three-columns','',-1,'animation'),(487,'views','-exp-properties-page_2','we_backend',1,-22,'header',0,1,'properties/map','',-1,'animation'),(488,'views','-exp-properties-page_3','we_backend',1,0,'header',0,1,'properties/list','',-1,'animation'),(489,'views','13ab07c8918facb82f31d6b1ffc162f9','we_backend',0,0,'-1',0,0,'','',-1,''),(490,'views','ads-block','we_backend',0,0,'-1',0,0,'','<none>',-1,'block-ads animation'),(491,'views','agents-block','we_backend',1,0,'header',0,1,'<front>','',-1,'animation'),(492,'views','agents-block_1','we_backend',0,0,'-1',0,0,'','Our Agents',-1,'animation'),(493,'views','agents-block_2','we_backend',1,-28,'header',0,1,'agents','',-1,'animation'),(494,'views','blogs-block','we_backend',0,0,'-1',0,0,'','',-1,''),(495,'views','blogs-block_1','we_backend',0,0,'-1',0,0,'','<none>',-1,''),(496,'views','blogs-block_2','we_backend',1,-48,'content',0,1,'blog-post/*','',-1,''),(497,'views','blogs-block_3','we_backend',1,0,'header',0,1,'homepage2','',-1,''),(498,'views','featured_properties-block','we_backend',1,-24,'header',0,1,'<front>','',-1,'animation'),(499,'views','featured_properties-block_1','we_backend',1,-23,'header',0,1,'properties\r\nproperties/*','',-1,'animation'),(500,'views','featured_properties-block_2','we_backend',1,0,'header',0,1,'homepage2','',-1,''),(501,'views','gallery-block','we_backend',0,0,'-1',0,0,'','',-1,'animation'),(502,'views','happy_clients-block','we_backend',1,0,'header',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation'),(503,'views','happy_clients-block_1','we_backend',0,0,'-1',0,0,'','<none>',-1,'animation'),(504,'views','our_team-block','we_backend',0,0,'-1',0,0,'','',-1,'animation'),(505,'views','posts_by_category-block','we_backend',0,0,'-1',0,0,'','',-1,'animation'),(506,'views','properties-block_1','we_backend',1,-51,'header',0,1,'homepage2\r\nhomepage3','<none>',-1,''),(507,'views','property_types_filter-block','we_backend',0,0,'-1',0,0,'','',-1,''),(508,'views','related_properties-block','we_backend',1,-49,'content',0,1,'property/*','',-1,'animation'),(509,'views','related_properties-block_1','we_backend',1,0,'header',0,1,'users/*\r\nuser/*','',-1,'animation'),(510,'views','slideshow-block','we_backend',0,-50,'-1',0,1,'<front>','<none>',-1,''),(511,'views','slideshow-block_1','we_backend',1,-49,'header',0,1,'<front>','<none>',-1,''),(512,'views','testimonials-block','we_backend',1,0,'header',0,0,'','',-1,''),(513,'views','we_are_offer-block','we_backend',0,0,'-1',0,1,'homepage2','',-1,'animation'),(514,'views','we_are_offer-block_1','we_backend',1,0,'header',0,1,'homepage2','',-1,'animation'),(515,'views','why_us-block','we_backend',1,0,'header',0,1,'<front>\r\nhomepage2\r\nhomepage3','',-1,'animation');
/*!40000 ALTER TABLE `block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_custom`
--

DROP TABLE IF EXISTS `block_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_custom`
--

LOCK TABLES `block_custom` WRITE;
/*!40000 ALTER TABLE `block_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_custom` VALUES (1,'<div class=\"who-we-are\">\r\n<p><img src=\"<?php print base_path();?><?php print path_to_theme() . \'/images/img-who-we-are.png\';?>\"/></p>\r\n<p>We have a total of 25+ years combined experience dealing exclusively with New York buyers and sellers. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n<p><a href=\"#\" title=\"View more\" class=\"btn btn-view-more\">View more</a></p>\r\n</div>','Who We Are','php_code'),(2,'<p>Pellentesque nec erat. Aenean semper, neque non faucis. Malesuada, dui felis tempor felis, vel varius ante diam ut mauris. </p>\r\n<address class=\"contact-info\">\r\n<p><i class=\"fa fa-phone\"></i>Office: 1-800-666-8888</p>\r\n<p><i class=\"fa fa-mobile-phone\"></i>Mobile: 0800-666-6666</p>\r\n<p><i class=\"fa fa-phone-square\"></i>Fax: 1-800-666-8888</p>\r\n<p><i class=\"fa fa-envelope-o\"></i>Mail: <a href=\"mailto:mail@domainname.com\" title=\"mail@domainname.com\">mail@domainname.com</a></p>\r\n</address>','Contact detail','full_html'),(3,'<p>Powered by <a target=\"_blank\" href=\"http://drupal.org\">Drupal</a> | Developed by <a target=\"_blank\" href=\"http://weebpal.com\">WeebPal</a> | Designed by <a target=\"_blank\" href=\"http://pixelgeeklab.com\">PixelGeekLab</a><br>All Rights Reserved.</p>','Copyright','full_html'),(4,'<ul class=\"social-list\">\r\n<li><a title=\"Login\" href=\"#\" class=\"fa fa-user\"><span>Login</span></a></li>\r\n<li><a title=\"Email\" href=\"#\" class=\"fa fa-envelope-o\"><span>Email</span></a></li>\r\n<li><a title=\"Facebook\" href=\"#\" class=\"fa fa-facebook\"><span>Facebook</span></a></li>\r\n<li><a title=\"Twitter\" href=\"#\" class=\"fa fa-twitter\"><span>Twitter</span></a></li>\r\n<li><a title=\"Google+\" href=\"#\" class=\"fa fa-google-plus\"><span>Google+</span></a></li>\r\n</ul>','Socials','full_html'),(5,'<i class=\"fa fa-phone\"></i>Need Support? 1-800-666-8888','Support','full_html'),(6,'<div class=\"contact-content contact-content-full\">\r\n	<div class=\"contact-intro\">\r\n		<h3>ALOHA!</h3>\r\n		<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto.</p>\r\n	</div>\r\n	<div class=\"row\">\r\n		<div class=\"col-md-4\">\r\n			<h4><i class=\"fa fa-map-marker\"></i> United states</h4>\r\n			<address>5th Avenue, 10019 New York, United States<br>+1 310 666 8888<br>+1 310 666 9999<br><a href=\"mailto:store_1@companyname.com\">store_1@companyname.com</a></address>\r\n		</div>\r\n		<div class=\"col-md-4\">\r\n			<h4><i class=\"fa fa-map-marker\"></i> Canada</h4>\r\n			<address>Alexander Street, Vancouver, BC V6A 1E1, Canada<br>+1 310 666 8888<br>+1 310 666 9999<br><a href=\"mailto:store_1@companyname.com\">store_1@companyname.com</a></address>\r\n		</div>\r\n		<div class=\"col-md-4\">\r\n			<h4><i class=\"fa fa-map-marker\"></i> Italy</h4>\r\n			<address>Pzza Martiri Olivetta, 16, 16034, Portofino, Italy<br>+1 310 666 8888<br>+1 310 666 9999<br><a href=\"mailto:store_1@companyname.com\">store_1@companyname.com</a></address>\r\n		</div>\r\n	</div>\r\n	<hr class=\"tall\">\r\n</div>','Contact Page Header','full_html'),(7,'<iframe src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d24211.70199537884!2d-73.9482136362959!3d40.66377185214051!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89c25b6f2cf5c117%3A0x97da648ac6054528!2sWinthrop+St!5e0!3m2!1sen!2s!4v1407399678598\" height=\"300\" style=\"width:100%; border:0\"></iframe>','Map','full_html');
/*!40000 ALTER TABLE `block_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_node_type`
--

DROP TABLE IF EXISTS `block_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_node_type`
--

LOCK TABLES `block_node_type` WRITE;
/*!40000 ALTER TABLE `block_node_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_role`
--

DROP TABLE IF EXISTS `block_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_role`
--

LOCK TABLES `block_role` WRITE;
/*!40000 ALTER TABLE `block_role` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache`
--

LOCK TABLES `cache` WRITE;
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_admin_menu`
--

DROP TABLE IF EXISTS `cache_admin_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_admin_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for Administration menu to store client-side...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_admin_menu`
--

LOCK TABLES `cache_admin_menu` WRITE;
/*!40000 ALTER TABLE `cache_admin_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_admin_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_block`
--

DROP TABLE IF EXISTS `cache_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_block`
--

LOCK TABLES `cache_block` WRITE;
/*!40000 ALTER TABLE `cache_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_features`
--

DROP TABLE IF EXISTS `cache_features`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_features` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_features`
--

LOCK TABLES `cache_features` WRITE;
/*!40000 ALTER TABLE `cache_features` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_features` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_field`
--

DROP TABLE IF EXISTS `cache_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_field`
--

LOCK TABLES `cache_field` WRITE;
/*!40000 ALTER TABLE `cache_field` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_filter`
--

DROP TABLE IF EXISTS `cache_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_filter`
--

LOCK TABLES `cache_filter` WRITE;
/*!40000 ALTER TABLE `cache_filter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_form`
--

DROP TABLE IF EXISTS `cache_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_form`
--

LOCK TABLES `cache_form` WRITE;
/*!40000 ALTER TABLE `cache_form` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_form` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_image`
--

DROP TABLE IF EXISTS `cache_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_image`
--

LOCK TABLES `cache_image` WRITE;
/*!40000 ALTER TABLE `cache_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_libraries`
--

DROP TABLE IF EXISTS `cache_libraries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_libraries`
--

LOCK TABLES `cache_libraries` WRITE;
/*!40000 ALTER TABLE `cache_libraries` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_libraries` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_menu` VALUES ('menu_custom','a:9:{s:8:\"features\";a:3:{s:9:\"menu_name\";s:8:\"features\";s:5:\"title\";s:8:\"Features\";s:11:\"description\";s:36:\"Menu items for any enabled features.\";}s:9:\"main-menu\";a:3:{s:9:\"menu_name\";s:9:\"main-menu\";s:5:\"title\";s:9:\"Main menu\";s:11:\"description\";s:115:\"The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.\";}s:10:\"management\";a:3:{s:9:\"menu_name\";s:10:\"management\";s:5:\"title\";s:10:\"Management\";s:11:\"description\";s:69:\"The <em>Management</em> menu contains links for administrative tasks.\";}s:10:\"menu-pages\";a:3:{s:9:\"menu_name\";s:10:\"menu-pages\";s:5:\"title\";s:5:\"Pages\";s:11:\"description\";s:0:\"\";}s:25:\"menu-properties-demo-menu\";a:3:{s:9:\"menu_name\";s:25:\"menu-properties-demo-menu\";s:5:\"title\";s:20:\"Properties Demo Menu\";s:11:\"description\";s:0:\"\";}s:16:\"menu-social-menu\";a:3:{s:9:\"menu_name\";s:16:\"menu-social-menu\";s:5:\"title\";s:11:\"Social Menu\";s:11:\"description\";s:11:\"Social Menu\";}s:17:\"menu-useful-links\";a:3:{s:9:\"menu_name\";s:17:\"menu-useful-links\";s:5:\"title\";s:12:\"Useful links\";s:11:\"description\";s:0:\"\";}s:10:\"navigation\";a:3:{s:9:\"menu_name\";s:10:\"navigation\";s:5:\"title\";s:10:\"Navigation\";s:11:\"description\";s:150:\"The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.\";}s:9:\"user-menu\";a:3:{s:9:\"menu_name\";s:9:\"user-menu\";s:5:\"title\";s:9:\"User menu\";s:11:\"description\";s:99:\"The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.\";}}',0,1500349650,1);
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_path`
--

DROP TABLE IF EXISTS `cache_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_path`
--

LOCK TABLES `cache_path` WRITE;
/*!40000 ALTER TABLE `cache_path` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_token`
--

DROP TABLE IF EXISTS `cache_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_token`
--

LOCK TABLES `cache_token` WRITE;
/*!40000 ALTER TABLE `cache_token` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_token` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_update`
--

DROP TABLE IF EXISTS `cache_update`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_update`
--

LOCK TABLES `cache_update` WRITE;
/*!40000 ALTER TABLE `cache_update` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_update` VALUES ('available_releases::addressfield','a:11:{s:5:\"title\";s:13:\"Address Field\";s:10:\"short_name\";s:12:\"addressfield\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:43:\"https://www.drupal.org/project/addressfield\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:14:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:6:\"mdhash\";s:32:\"2c9452731b1b8fffeba8f420c590cc57\";s:8:\"filesize\";s:5:\"77194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1429819381\";s:6:\"mdhash\";s:32:\"c81a7e14dd68dba02c377d8678175b02\";s:8:\"filesize\";s:5:\"76589\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1421426880\";s:6:\"mdhash\";s:32:\"d0dafd2af22b482a5d14d4aa530bbba4\";s:8:\"filesize\";s:5:\"76261\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:24:\"addressfield 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1418653681\";s:6:\"mdhash\";s:32:\"b67a4f2f88c958e5bc5dccff84cf7856\";s:8:\"filesize\";s:5:\"74572\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1386309504\";s:6:\"mdhash\";s:32:\"63d28860718d212d0b68d7c1a199590e\";s:8:\"filesize\";s:5:\"67249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1367945111\";s:6:\"mdhash\";s:32:\"884414b0ad4afd037b5ba1cec1d107e3\";s:8:\"filesize\";s:5:\"61233\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1338304248\";s:6:\"mdhash\";s:32:\"a3df218c4f779a03f4efe4c87d9eaf53\";s:8:\"filesize\";s:5:\"52898\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1314906115\";s:6:\"mdhash\";s:32:\"8ea36908a8aeca560c273acc75f79d2f\";s:8:\"filesize\";s:5:\"51350\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:26:\"addressfield 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1310587614\";s:6:\"mdhash\";s:32:\"b945c657d8a1d05fc3008a0b93d71595\";s:8:\"filesize\";s:5:\"18370\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1307853714\";s:6:\"mdhash\";s:32:\"ae1698ed003872b6f51e53319d41dbc0\";s:8:\"filesize\";s:5:\"15085\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1307808115\";s:6:\"mdhash\";s:32:\"3d17e265474c269056a8e32123fa7db1\";s:8:\"filesize\";s:5:\"15097\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1303140714\";s:6:\"mdhash\";s:32:\"8ceff09ca7655dea59d15add3aae1608\";s:8:\"filesize\";s:5:\"13906\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:27:\"addressfield 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/addressfield/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286607059\";s:6:\"mdhash\";s:32:\"bd3d8946deeb2d99d559827208112f98\";s:8:\"filesize\";s:5:\"10632\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:24:\"addressfield 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/addressfield/releases/7.x-1.x-dev\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1451474639\";s:6:\"mdhash\";s:32:\"49f9b3674808adec5528bb421bd3094e\";s:8:\"filesize\";s:5:\"77544\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435843,1500349441,1),('available_releases::admin_menu','a:11:{s:5:\"title\";s:19:\"Administration menu\";s:10:\"short_name\";s:10:\"admin_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1359651687\";s:6:\"mdhash\";s:32:\"3d8359538878723720fca6ddb2f82c7a\";s:8:\"filesize\";s:5:\"55064\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337292349\";s:6:\"mdhash\";s:32:\"86b659c35823d541354179eccbfdc2d4\";s:8:\"filesize\";s:5:\"50950\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335198071\";s:6:\"mdhash\";s:32:\"47761c79c351697f295d933b85441328\";s:8:\"filesize\";s:5:\"49988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1294378871\";s:6:\"mdhash\";s:32:\"9d0cfb26adda4da7bd309bdf5be305a0\";s:8:\"filesize\";s:5:\"70961\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:22:\"admin_menu 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1426875181\";s:6:\"mdhash\";s:32:\"6d2cdd2a5be2531a7e735847ce329102\";s:8:\"filesize\";s:5:\"53496\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500435844,1500349441,1),('available_releases::bean','a:11:{s:5:\"title\";s:4:\"Bean\";s:10:\"short_name\";s:4:\"bean\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:36:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1470148439\";s:6:\"mdhash\";s:32:\"7945f7b3ec092f9056f577d6b7c34c5c\";s:8:\"filesize\";s:5:\"55142\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1425439381\";s:6:\"mdhash\";s:32:\"c8cbb8c278cc275d618a82fb847995bd\";s:8:\"filesize\";s:5:\"54385\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1412260738\";s:6:\"mdhash\";s:32:\"99c822543a30392bc28b490bf0318583\";s:8:\"filesize\";s:5:\"51687\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1385749405\";s:6:\"mdhash\";s:32:\"f0389294e2ae812d3370511ca9695979\";s:8:\"filesize\";s:5:\"51082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1384952605\";s:6:\"mdhash\";s:32:\"333ba02a4f8834c1ac0b0c16e212df6e\";s:8:\"filesize\";s:5:\"51049\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1382553632\";s:6:\"mdhash\";s:32:\"ba0acf5b4bf145e3b81f00412c2d711a\";s:8:\"filesize\";s:5:\"50927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1381663827\";s:6:\"mdhash\";s:32:\"959f26e075130aba06072b13187e2c69\";s:8:\"filesize\";s:5:\"50810\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1368983112\";s:6:\"mdhash\";s:32:\"0d524e9eafcd6146a8f79bba8bfcb520\";s:8:\"filesize\";s:5:\"49921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1361977163\";s:6:\"mdhash\";s:32:\"0d853f858ff2d76d3aa1991a6a6cdbb9\";s:8:\"filesize\";s:5:\"45527\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"bean 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/bean/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1359755430\";s:6:\"mdhash\";s:32:\"ce3b5ea939daf4af8bc40ed3c68525a5\";s:8:\"filesize\";s:5:\"44282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-1.0-rc10\";a:15:{s:4:\"name\";s:17:\"bean 7.x-1.0-rc10\";s:7:\"version\";s:12:\"7.x-1.0-rc10\";s:3:\"tag\";s:12:\"7.x-1.0-rc10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:4:\"rc10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc10.tar.gz\";s:4:\"date\";s:10:\"1359752676\";s:6:\"mdhash\";s:32:\"57f52eee8f4b4ad5ef68e8df7fb72253\";s:8:\"filesize\";s:5:\"44014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc9\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc9\";s:7:\"version\";s:11:\"7.x-1.0-rc9\";s:3:\"tag\";s:11:\"7.x-1.0-rc9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc9.tar.gz\";s:4:\"date\";s:10:\"1358780111\";s:6:\"mdhash\";s:32:\"31e9f0e5548a0ff0ecb0cddd4572e4d7\";s:8:\"filesize\";s:5:\"43949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc8\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc8\";s:7:\"version\";s:11:\"7.x-1.0-rc8\";s:3:\"tag\";s:11:\"7.x-1.0-rc8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc8.tar.gz\";s:4:\"date\";s:10:\"1357828811\";s:6:\"mdhash\";s:32:\"98f8dfae9dc77dcfd554086331cf42d6\";s:8:\"filesize\";s:5:\"43541\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc7\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc7\";s:7:\"version\";s:11:\"7.x-1.0-rc7\";s:3:\"tag\";s:11:\"7.x-1.0-rc7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc7.tar.gz\";s:4:\"date\";s:10:\"1356989455\";s:6:\"mdhash\";s:32:\"67101f67f22f36be19fee950bed02be5\";s:8:\"filesize\";s:5:\"44186\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc6\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc6\";s:7:\"version\";s:11:\"7.x-1.0-rc6\";s:3:\"tag\";s:11:\"7.x-1.0-rc6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1346850751\";s:6:\"mdhash\";s:32:\"4a3299b8cb1f6030ee21f3bf9435c73c\";s:8:\"filesize\";s:5:\"39901\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1338748274\";s:6:\"mdhash\";s:32:\"a73ab8410759a1448ff0901e04defd73\";s:8:\"filesize\";s:5:\"35325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1334791293\";s:6:\"mdhash\";s:32:\"2e800d8c11b5b287305f84a16375d50a\";s:8:\"filesize\";s:5:\"32269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1331946338\";s:6:\"mdhash\";s:32:\"914cb1103663c42b47f3ff0c961ce51f\";s:8:\"filesize\";s:5:\"31112\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1331939437\";s:6:\"mdhash\";s:32:\"9a9666ea98b867ac88d97c70ac6d578a\";s:8:\"filesize\";s:5:\"31118\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:16:\"bean 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1329531338\";s:6:\"mdhash\";s:32:\"bc854e700c1522ef77612c407bab3e47\";s:8:\"filesize\";s:5:\"30802\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1325217937\";s:6:\"mdhash\";s:32:\"c0b2fc2408cc07a03436f1c8beda50f4\";s:8:\"filesize\";s:5:\"27771\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1322880637\";s:6:\"mdhash\";s:32:\"5dbe793210a5aa04e003f621c909dc5b\";s:8:\"filesize\";s:5:\"26906\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1321458937\";s:6:\"mdhash\";s:32:\"4eb819577d8a5d23af8fb64da2db5775\";s:8:\"filesize\";s:5:\"24803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1321455339\";s:6:\"mdhash\";s:32:\"18927f8d3a97c46deca803f686881058\";s:8:\"filesize\";s:5:\"24805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1320196828\";s:6:\"mdhash\";s:32:\"8c751665cfc36f063b96513ec44967e2\";s:8:\"filesize\";s:5:\"23337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1319407529\";s:6:\"mdhash\";s:32:\"bbe7f70fa5fb0b215bef7280087c1d0a\";s:8:\"filesize\";s:5:\"23323\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1319204129\";s:6:\"mdhash\";s:32:\"7e423f04e51e3a0c2fe62038dca57257\";s:8:\"filesize\";s:5:\"22972\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1316637400\";s:6:\"mdhash\";s:32:\"564623761c3c97b937fd75b88246b9a3\";s:8:\"filesize\";s:5:\"21881\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315415214\";s:6:\"mdhash\";s:32:\"1c34fe82f4f2388df916e6b3a0404f9d\";s:8:\"filesize\";s:5:\"20713\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"bean 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/bean/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1312983715\";s:6:\"mdhash\";s:32:\"4a451dc417458d751bdf7004f3bafb30\";s:8:\"filesize\";s:5:\"20684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1308773514\";s:6:\"mdhash\";s:32:\"0b72b09bbf3b294d705c9f80e8de9314\";s:8:\"filesize\";s:5:\"19577\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1308751014\";s:6:\"mdhash\";s:32:\"32c6e739e858b118eb2c5d6cb8c99a24\";s:8:\"filesize\";s:5:\"18753\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308271392\";s:6:\"mdhash\";s:32:\"15fb5bffdb310d4b70a45ac8f2abce6d\";s:8:\"filesize\";s:5:\"16588\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"bean 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/bean/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/bean-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1305915714\";s:6:\"mdhash\";s:32:\"e720656a63a026dd157a8764beb2c597\";s:8:\"filesize\";s:5:\"16065\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"bean 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/bean/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/bean-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499880543\";s:6:\"mdhash\";s:32:\"8150989840a614891cf93453a0271041\";s:8:\"filesize\";s:5:\"55095\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435845,1500349441,1),('available_releases::better_exposed_filters','a:11:{s:5:\"title\";s:22:\"Better Exposed Filters\";s:10:\"short_name\";s:22:\"better_exposed_filters\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:53:\"https://www.drupal.org/project/better_exposed_filters\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1485926283\";s:6:\"mdhash\";s:32:\"0a149a565aa4885faf6015c1ce6b929b\";s:8:\"filesize\";s:5:\"51110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1484287085\";s:6:\"mdhash\";s:32:\"fd788f73765e10d63b29c8552a1565cf\";s:8:\"filesize\";s:5:\"51087\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1428077881\";s:6:\"mdhash\";s:32:\"3134e2c13500d96fd3c10d0fa07181fa\";s:8:\"filesize\";s:5:\"49437\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1427969281\";s:6:\"mdhash\";s:32:\"017ab6ca581c48a78ec8f64d03e2e0e4\";s:8:\"filesize\";s:5:\"48222\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1418734682\";s:6:\"mdhash\";s:32:\"38a786d3a3b3b771c8c2628a1ce21bd3\";s:8:\"filesize\";s:5:\"46503\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1392255205\";s:6:\"mdhash\";s:32:\"f6537a3b09c0e3e9dd257928eae8198e\";s:8:\"filesize\";s:5:\"44243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1349281866\";s:6:\"mdhash\";s:32:\"bf1378218e4cc0db6ecf856813a90d23\";s:8:\"filesize\";s:5:\"29586\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1347562608\";s:6:\"mdhash\";s:32:\"0be78b0c7baec31077c41624fbd58087\";s:8:\"filesize\";s:5:\"29237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:36:\"better_exposed_filters 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:76:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:81:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1312327014\";s:6:\"mdhash\";s:32:\"3ae8db4a8857ef0ba86083b968191feb\";s:8:\"filesize\";s:5:\"22389\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:34:\"better_exposed_filters 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.x-dev\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1485926583\";s:6:\"mdhash\";s:32:\"eb328686c9a2c6f536e0f937ae8d701a\";s:8:\"filesize\";s:5:\"51124\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:34:\"better_exposed_filters 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:74:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-1.x-dev\";s:13:\"download_link\";s:79:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380555926\";s:6:\"mdhash\";s:32:\"0ffdc1ce5f0cff0254ddbaf787ce930a\";s:8:\"filesize\";s:5:\"22828\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435845,1500349441,1),('available_releases::blockreference','a:11:{s:5:\"title\";s:15:\"Block reference\";s:10:\"short_name\";s:14:\"blockreference\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:45:\"https://www.drupal.org/project/blockreference\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:26:{s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-2.4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1469987940\";s:6:\"mdhash\";s:32:\"3c46c3e3afc0abebe15a2d31a5db134d\";s:8:\"filesize\";s:5:\"15989\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-2.3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1455019739\";s:6:\"mdhash\";s:32:\"6dd94bad36f2c7f44ce014677caf2b51\";s:8:\"filesize\";s:5:\"16046\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-2.2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1431097981\";s:6:\"mdhash\";s:32:\"aaf0eb97561247e94a662e8cd98ec580\";s:8:\"filesize\";s:5:\"15101\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-2.1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1426258981\";s:6:\"mdhash\";s:32:\"9f94801bd0fb3641a43bcf66657dda66\";s:8:\"filesize\";s:5:\"15054\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-2.0\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1415405580\";s:6:\"mdhash\";s:32:\"a28c98e5d684dfe4f17cad9483313086\";s:8:\"filesize\";s:5:\"14250\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:28:\"blockreference 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/blockreference/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1407258227\";s:6:\"mdhash\";s:32:\"54a08ce8f6c5cc16b06be6ddc972b0d7\";s:8:\"filesize\";s:5:\"14152\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:28:\"blockreference 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/blockreference/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1396890851\";s:6:\"mdhash\";s:32:\"c30b384b47d3b2c9abd64e3a0d507507\";s:8:\"filesize\";s:5:\"14075\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:28:\"blockreference 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/blockreference/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1393515206\";s:6:\"mdhash\";s:32:\"b516c17116126c5961e9afdacf9b7a3e\";s:8:\"filesize\";s:5:\"13930\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-1.16\";a:14:{s:4:\"name\";s:23:\"blockreference 7.x-1.16\";s:7:\"version\";s:8:\"7.x-1.16\";s:3:\"tag\";s:8:\"7.x-1.16\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/blockreference/releases/7.x-1.16\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.16.tar.gz\";s:4:\"date\";s:10:\"1393512505\";s:6:\"mdhash\";s:32:\"ab56931b0f1ed0f9d7917e451a94bd41\";s:8:\"filesize\";s:5:\"16770\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:8:\"7.x-1.15\";a:14:{s:4:\"name\";s:23:\"blockreference 7.x-1.15\";s:7:\"version\";s:8:\"7.x-1.15\";s:3:\"tag\";s:8:\"7.x-1.15\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/blockreference/releases/7.x-1.15\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.15.tar.gz\";s:4:\"date\";s:10:\"1357245356\";s:6:\"mdhash\";s:32:\"2969b4841a3929586f1fac314360dac8\";s:8:\"filesize\";s:5:\"15794\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.14\";a:14:{s:4:\"name\";s:23:\"blockreference 7.x-1.14\";s:7:\"version\";s:8:\"7.x-1.14\";s:3:\"tag\";s:8:\"7.x-1.14\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/blockreference/releases/7.x-1.14\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.14.tar.gz\";s:4:\"date\";s:10:\"1356933356\";s:6:\"mdhash\";s:32:\"a075584b67018de8c9fc59a3994d2959\";s:8:\"filesize\";s:5:\"15680\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.13\";a:14:{s:4:\"name\";s:23:\"blockreference 7.x-1.13\";s:7:\"version\";s:8:\"7.x-1.13\";s:3:\"tag\";s:8:\"7.x-1.13\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/blockreference/releases/7.x-1.13\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1345431716\";s:6:\"mdhash\";s:32:\"e43ffb08bcc3e2e43fd176c86105d7ce\";s:8:\"filesize\";s:5:\"15224\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:23:\"blockreference 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/blockreference/releases/7.x-1.12\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1340279174\";s:6:\"mdhash\";s:32:\"0b34f80795a1d7d3cd43182812b6a1b7\";s:8:\"filesize\";s:5:\"14926\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:23:\"blockreference 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/blockreference/releases/7.x-1.11\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1331784038\";s:6:\"mdhash\";s:32:\"5b056cad2e479c51467140d76782a0aa\";s:8:\"filesize\";s:5:\"14043\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:23:\"blockreference 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/blockreference/releases/7.x-1.10\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1326371468\";s:6:\"mdhash\";s:32:\"9692221373bd14d46625b904fca3e32d\";s:8:\"filesize\";s:5:\"13463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1314436018\";s:6:\"mdhash\";s:32:\"e9ce5e5ef3f3aed04ea16e75336809e3\";s:8:\"filesize\";s:5:\"12247\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1309739247\";s:6:\"mdhash\";s:32:\"499debab3f1ef21db6b208b693288a5f\";s:8:\"filesize\";s:5:\"12437\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1308697315\";s:6:\"mdhash\";s:32:\"b0f3bc2ba76cfa2b28ff8522c4f5b058\";s:8:\"filesize\";s:5:\"12451\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1304644914\";s:6:\"mdhash\";s:32:\"4e959e0873ef20c3c50bef0a5729e18d\";s:8:\"filesize\";s:5:\"12412\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1300845366\";s:6:\"mdhash\";s:32:\"28cadc6134cb968ee59bcdb074979dc1\";s:8:\"filesize\";s:5:\"12410\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1299998467\";s:6:\"mdhash\";s:32:\"9cd4872e2fa6af4e6c9fa6e82e81c1f1\";s:8:\"filesize\";s:5:\"12383\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1299818166\";s:6:\"mdhash\";s:32:\"b4d5ba101dbf2d8c253d4668cd429148\";s:8:\"filesize\";s:5:\"12099\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1299814867\";s:6:\"mdhash\";s:32:\"c8a09badb976a6ce1b5971beb7a4740a\";s:8:\"filesize\";s:5:\"12099\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1299571270\";s:6:\"mdhash\";s:32:\"a4d15619b9a6a2c38f803807b53c2e6c\";s:8:\"filesize\";s:5:\"12102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-1.0\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1299469267\";s:6:\"mdhash\";s:32:\"2745de1c74ce416f16b7de3404908423\";s:8:\"filesize\";s:5:\"12102\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:26:\"blockreference 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/blockreference/releases/7.x-1.x-dev\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/blockreference-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1407257927\";s:6:\"mdhash\";s:32:\"2dcb82e6615322a852c87bcc5e32c3f2\";s:8:\"filesize\";s:5:\"16777\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435847,1500349441,1),('available_releases::block_class','a:11:{s:5:\"title\";s:11:\"Block Class\";s:10:\"short_name\";s:11:\"block_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1450293839\";s:6:\"mdhash\";s:32:\"9e382ab421c420b01c393be94b401ad9\";s:8:\"filesize\";s:5:\"12684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1377197769\";s:6:\"mdhash\";s:32:\"cb57d269d45aabd8978c0a88b05b9eb3\";s:8:\"filesize\";s:5:\"11499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1362669357\";s:6:\"mdhash\";s:32:\"4c3afdc9b94f12d4a2fa6ab8eac2bae8\";s:8:\"filesize\";s:4:\"9421\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1377198970\";s:6:\"mdhash\";s:32:\"393dbfad8a142c2ff7d348f30521a63f\";s:8:\"filesize\";s:5:\"11913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1349301967\";s:6:\"mdhash\";s:32:\"30eff4c1392274a53680412e5784330b\";s:8:\"filesize\";s:4:\"8874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.2-beta1\";a:15:{s:4:\"name\";s:25:\"block_class 7.x-1.2-beta1\";s:7:\"version\";s:13:\"7.x-1.2-beta1\";s:3:\"tag\";s:13:\"7.x-1.2-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/block_class/releases/7.x-1.2-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2-beta1.tar.gz\";s:4:\"date\";s:10:\"1333059942\";s:6:\"mdhash\";s:32:\"d83eb9270022e9a3d6dc53ad102017d3\";s:8:\"filesize\";s:4:\"8873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1331079937\";s:6:\"mdhash\";s:32:\"b466c130b0fc352d7bd2d434f294e6d6\";s:8:\"filesize\";s:4:\"8694\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1318630894\";s:6:\"mdhash\";s:32:\"7659a7e3cfb4be20692a64b467a40310\";s:8:\"filesize\";s:4:\"8703\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1496362442\";s:6:\"mdhash\";s:32:\"8df84f57a2cf05072280b47904c3dfe4\";s:8:\"filesize\";s:5:\"13550\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380556302\";s:6:\"mdhash\";s:32:\"7419a6f4c1a002401da79a0f3291dd75\";s:8:\"filesize\";s:5:\"11922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435847,1500349441,1),('available_releases::context','a:11:{s:5:\"title\";s:7:\"Context\";s:10:\"short_name\";s:7:\"context\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1420570680\";s:6:\"mdhash\";s:32:\"74894fd36de656fd00dcd5f0cf4bd7b0\";s:8:\"filesize\";s:5:\"74029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1418341070\";s:6:\"mdhash\";s:32:\"9946cd622ba584de05597d85c2d70903\";s:8:\"filesize\";s:5:\"74008\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1418330580\";s:6:\"mdhash\";s:32:\"c253abf7fee5787934c2f2f6fecf3d0c\";s:8:\"filesize\";s:5:\"74019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1412114933\";s:6:\"mdhash\";s:32:\"6da85f017a673e57152d0e0b6fe9082f\";s:8:\"filesize\";s:5:\"73996\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1390931305\";s:6:\"mdhash\";s:32:\"a9ee5d6eb6c1d7980f4834788e5e20f0\";s:8:\"filesize\";s:5:\"72655\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1381976667\";s:6:\"mdhash\";s:32:\"0211b9782b18364623ac044f1aa39295\";s:8:\"filesize\";s:5:\"71341\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1381891268\";s:6:\"mdhash\";s:32:\"4522891bcd393c93f0c00e396fc57d2d\";s:8:\"filesize\";s:5:\"71536\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:19:\"context 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1380221057\";s:6:\"mdhash\";s:32:\"82c6b89c04b1bf7dc7936da6cb5a68f3\";s:8:\"filesize\";s:5:\"71377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1375065368\";s:6:\"mdhash\";s:32:\"098f672a1a9deff4d02af98c8cfe7314\";s:8:\"filesize\";s:5:\"71132\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1355879811\";s:6:\"mdhash\";s:32:\"1fb886ef64dcbf2a1d6baedae3516ccc\";s:8:\"filesize\";s:5:\"70788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1354819308\";s:6:\"mdhash\";s:32:\"7c0e563c681fbf716b7237181dd3b820\";s:8:\"filesize\";s:5:\"70554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1344786407\";s:6:\"mdhash\";s:32:\"a8cb1ff2d756fb28c2867efaf02f5a27\";s:8:\"filesize\";s:5:\"64762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1337490056\";s:6:\"mdhash\";s:32:\"9d3e3844698e647061d43cbab2c1b05a\";s:8:\"filesize\";s:5:\"66729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315543301\";s:6:\"mdhash\";s:32:\"c10187dbe386e3c3b12235efb83c4455\";s:8:\"filesize\";s:5:\"65147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:21:\"context 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/context/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298925068\";s:6:\"mdhash\";s:32:\"0707f1af392f0bf1cd210a8e638c9de6\";s:8:\"filesize\";s:5:\"63804\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1294089953\";s:6:\"mdhash\";s:32:\"38dd5fc8aef952598f4ef6420addc3b3\";s:8:\"filesize\";s:5:\"63251\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1285617662\";s:6:\"mdhash\";s:32:\"e6df800804a2f30da2eb939ef298b033\";s:8:\"filesize\";s:5:\"63205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:22:\"context 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/context/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/context-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1284683161\";s:6:\"mdhash\";s:32:\"083993e65701c32d428e2c7e15047b65\";s:8:\"filesize\";s:5:\"62143\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"context 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/context/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/context-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465425842\";s:6:\"mdhash\";s:32:\"6920e8b538b8e529bd0cd8dbe85c0143\";s:8:\"filesize\";s:5:\"74787\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435848,1500349441,1),('available_releases::ctools','a:11:{s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1476581639\";s:6:\"mdhash\";s:32:\"271d08d18f3c05f51aba1ad77d42f96c\";s:8:\"filesize\";s:6:\"432144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1471454080\";s:6:\"mdhash\";s:32:\"38bb47304f6dcd0bcd6b02ed6ee235fc\";s:8:\"filesize\";s:6:\"430198\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"bd7b5dac915e8fa3da909379807ef824\";s:8:\"filesize\";s:6:\"429330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1440015839\";s:6:\"mdhash\";s:32:\"629f8bc414026864fe4a235b62586e0c\";s:8:\"filesize\";s:6:\"428252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1426695781\";s:6:\"mdhash\";s:32:\"81ab507b12875b02b88a0492d1173b99\";s:8:\"filesize\";s:6:\"426463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1422471481\";s:6:\"mdhash\";s:32:\"e8999d5bd1748ee3dcd4fdc33a24c615\";s:8:\"filesize\";s:6:\"424622\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.6-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.6-rc1\";s:7:\"version\";s:11:\"7.x-1.6-rc1\";s:3:\"tag\";s:11:\"7.x-1.6-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.6-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1418961480\";s:6:\"mdhash\";s:32:\"f3dc80ff7f3e29c73870f26a6ad02ff7\";s:8:\"filesize\";s:6:\"422180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1416423482\";s:6:\"mdhash\";s:32:\"0e90d8baaae78d3c37fe73dbe0d98dac\";s:8:\"filesize\";s:6:\"417508\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1392220719\";s:6:\"mdhash\";s:32:\"df1ce5aeb6a9a5c383d944a2a7494f18\";s:8:\"filesize\";s:6:\"415678\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1365013512\";s:6:\"mdhash\";s:32:\"b27a7230f63a7a81db8cc480ab2dba63\";s:8:\"filesize\";s:6:\"413477\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1345319204\";s:6:\"mdhash\";s:32:\"62fa855ee8aced1e355b09ac6cd54e99\";s:8:\"filesize\";s:6:\"407345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1344463011\";s:6:\"mdhash\";s:32:\"c36cbb2fd7a6eb8b3245c13972380bd7\";s:8:\"filesize\";s:6:\"405567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1332962446\";s:6:\"mdhash\";s:32:\"642eca364e64b0074e5ad49f86627ac5\";s:8:\"filesize\";s:6:\"402254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1332017742\";s:6:\"mdhash\";s:32:\"791167a47cea014fad9018c93376aa88\";s:8:\"filesize\";s:6:\"396440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1311894415\";s:6:\"mdhash\";s:32:\"39bcea671210505409e3148c8eaefc0e\";s:8:\"filesize\";s:6:\"381078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"ctools 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1306885315\";s:6:\"mdhash\";s:32:\"96d8154bfab611eb59cbd3774aa94793\";s:8:\"filesize\";s:6:\"378287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1301099792\";s:6:\"mdhash\";s:32:\"774f6654c149f192b11b136a06be5544\";s:8:\"filesize\";s:6:\"370763\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1300395967\";s:6:\"mdhash\";s:32:\"1909846a7bd5775c99331c6564ffefa8\";s:8:\"filesize\";s:6:\"370238\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1294276865\";s:6:\"mdhash\";s:32:\"30e0f5cb27949d2cd67b80bb36701d3e\";s:8:\"filesize\";s:6:\"521068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286838960\";s:6:\"mdhash\";s:32:\"500a55a33f90b2bab865753a0d8c5439\";s:8:\"filesize\";s:6:\"510384\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"ctools 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487053684\";s:6:\"mdhash\";s:32:\"149a825138993bde410a2cb823a716c2\";s:8:\"filesize\";s:6:\"440513\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435848,1500349441,1),('available_releases::drupal','a:11:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"7\";s:16:\"supported_majors\";s:1:\"7\";s:13:\"default_major\";s:1:\"7\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:67:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.55\";a:14:{s:4:\"name\";s:11:\"drupal 7.55\";s:7:\"version\";s:4:\"7.55\";s:3:\"tag\";s:4:\"7.55\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"55\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.55\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.55.tar.gz\";s:4:\"date\";s:10:\"1496873942\";s:6:\"mdhash\";s:32:\"ad97f8c86cee7be9d6ab13724b55fa1c\";s:8:\"filesize\";s:7:\"3277355\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.54\";a:14:{s:4:\"name\";s:11:\"drupal 7.54\";s:7:\"version\";s:4:\"7.54\";s:3:\"tag\";s:4:\"7.54\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"54\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.54\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.54.tar.gz\";s:4:\"date\";s:10:\"1485986883\";s:6:\"mdhash\";s:32:\"3068cbe488075ae166e23ea6cd29cf0f\";s:8:\"filesize\";s:7:\"3275864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.53\";a:14:{s:4:\"name\";s:11:\"drupal 7.53\";s:7:\"version\";s:4:\"7.53\";s:3:\"tag\";s:4:\"7.53\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"53\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.53\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.53.tar.gz\";s:4:\"date\";s:10:\"1481152384\";s:6:\"mdhash\";s:32:\"4230279ecca4f0cde652a219e10327e7\";s:8:\"filesize\";s:7:\"3273245\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.52\";a:14:{s:4:\"name\";s:11:\"drupal 7.52\";s:7:\"version\";s:4:\"7.52\";s:3:\"tag\";s:4:\"7.52\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"52\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.52\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.52.tar.gz\";s:4:\"date\";s:10:\"1479322810\";s:6:\"mdhash\";s:32:\"4963e68ca12918d3a3eae56054214191\";s:8:\"filesize\";s:7:\"3289714\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.51\";a:14:{s:4:\"name\";s:11:\"drupal 7.51\";s:7:\"version\";s:4:\"7.51\";s:3:\"tag\";s:4:\"7.51\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"51\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.51\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.51.tar.gz\";s:4:\"date\";s:10:\"1475693339\";s:6:\"mdhash\";s:32:\"49f82c1cac8e4bd4941ca160fcbee93d\";s:8:\"filesize\";s:7:\"3288987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.50\";a:14:{s:4:\"name\";s:11:\"drupal 7.50\";s:7:\"version\";s:4:\"7.50\";s:3:\"tag\";s:4:\"7.50\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"50\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.50\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.50.tar.gz\";s:4:\"date\";s:10:\"1467918239\";s:6:\"mdhash\";s:32:\"f23905b0248d76f0fc8316692cd64753\";s:8:\"filesize\";s:7:\"3286826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.44\";a:14:{s:4:\"name\";s:11:\"drupal 7.44\";s:7:\"version\";s:4:\"7.44\";s:3:\"tag\";s:4:\"7.44\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"44\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.44\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.44.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:6:\"mdhash\";s:32:\"965ab5fe5457625ec8c18e5c1c455008\";s:8:\"filesize\";s:7:\"3265819\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.43\";a:14:{s:4:\"name\";s:11:\"drupal 7.43\";s:7:\"version\";s:4:\"7.43\";s:3:\"tag\";s:4:\"7.43\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"43\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.43\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.43.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:6:\"mdhash\";s:32:\"c6fb49bc88a6408a985afddac76b9f8b\";s:8:\"filesize\";s:7:\"3265824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.42\";a:14:{s:4:\"name\";s:11:\"drupal 7.42\";s:7:\"version\";s:4:\"7.42\";s:3:\"tag\";s:4:\"7.42\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"42\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.42-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.42.tar.gz\";s:4:\"date\";s:10:\"1454516939\";s:6:\"mdhash\";s:32:\"9a96f67474e209dd48750ba6fccc77db\";s:8:\"filesize\";s:7:\"3264065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.41\";a:14:{s:4:\"name\";s:11:\"drupal 7.41\";s:7:\"version\";s:4:\"7.41\";s:3:\"tag\";s:4:\"7.41\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"41\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.41-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.41.tar.gz\";s:4:\"date\";s:10:\"1445457239\";s:6:\"mdhash\";s:32:\"7636e75e8be213455b4ac7911ce5801f\";s:8:\"filesize\";s:7:\"3257325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.40\";a:14:{s:4:\"name\";s:11:\"drupal 7.40\";s:7:\"version\";s:4:\"7.40\";s:3:\"tag\";s:4:\"7.40\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"40\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.40-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.40.tar.gz\";s:4:\"date\";s:10:\"1444865639\";s:6:\"mdhash\";s:32:\"d4509f13c23999a76e61ec4d5ccfaf26\";s:8:\"filesize\";s:7:\"3257401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.39\";a:14:{s:4:\"name\";s:11:\"drupal 7.39\";s:7:\"version\";s:4:\"7.39\";s:3:\"tag\";s:4:\"7.39\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"39\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.39-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.39.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"6f42a7e9c7a1c2c4c9c2f20c81b8e79a\";s:8:\"filesize\";s:7:\"3249343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.38\";a:14:{s:4:\"name\";s:11:\"drupal 7.38\";s:7:\"version\";s:4:\"7.38\";s:3:\"tag\";s:4:\"7.38\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"38\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.38-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.38.tar.gz\";s:4:\"date\";s:10:\"1434566280\";s:6:\"mdhash\";s:32:\"c18298c1a5aed32ddbdac605fdef7fce\";s:8:\"filesize\";s:7:\"3247864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.37\";a:14:{s:4:\"name\";s:11:\"drupal 7.37\";s:7:\"version\";s:4:\"7.37\";s:3:\"tag\";s:4:\"7.37\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"37\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.37-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.37.tar.gz\";s:4:\"date\";s:10:\"1430972281\";s:6:\"mdhash\";s:32:\"3a70696c87b786365f2c6c3aeb895d8a\";s:8:\"filesize\";s:7:\"3244291\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.36\";a:14:{s:4:\"name\";s:11:\"drupal 7.36\";s:7:\"version\";s:4:\"7.36\";s:3:\"tag\";s:4:\"7.36\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"36\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.36-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.36.tar.gz\";s:4:\"date\";s:10:\"1427943181\";s:6:\"mdhash\";s:32:\"98e1f62c11a5dc5f9481935eefc814c5\";s:8:\"filesize\";s:7:\"3244905\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.35\";a:14:{s:4:\"name\";s:11:\"drupal 7.35\";s:7:\"version\";s:4:\"7.35\";s:3:\"tag\";s:4:\"7.35\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"35\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.35-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.35.tar.gz\";s:4:\"date\";s:10:\"1426706281\";s:6:\"mdhash\";s:32:\"fecc55bd0bd476bc35d9ebf68452942d\";s:8:\"filesize\";s:7:\"3234349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.34\";a:14:{s:4:\"name\";s:11:\"drupal 7.34\";s:7:\"version\";s:4:\"7.34\";s:3:\"tag\";s:4:\"7.34\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"34\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.34-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.34.tar.gz\";s:4:\"date\";s:10:\"1416429264\";s:6:\"mdhash\";s:32:\"bb4d212e1eb1d7375e41613fbefa04f2\";s:8:\"filesize\";s:7:\"3229858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.33\";a:14:{s:4:\"name\";s:11:\"drupal 7.33\";s:7:\"version\";s:4:\"7.33\";s:3:\"tag\";s:4:\"7.33\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"33\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.33-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.33.tar.gz\";s:4:\"date\";s:10:\"1415374080\";s:6:\"mdhash\";s:32:\"187b076a5753960d5d5cb12d30d93e73\";s:8:\"filesize\";s:7:\"3229397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.32\";a:14:{s:4:\"name\";s:11:\"drupal 7.32\";s:7:\"version\";s:4:\"7.32\";s:3:\"tag\";s:4:\"7.32\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"32\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.32-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.32.tar.gz\";s:4:\"date\";s:10:\"1413387329\";s:6:\"mdhash\";s:32:\"d5d121a6ce974f2d20604a7e10e1987a\";s:8:\"filesize\";s:7:\"3215563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.31\";a:14:{s:4:\"name\";s:11:\"drupal 7.31\";s:7:\"version\";s:4:\"7.31\";s:3:\"tag\";s:4:\"7.31\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"31\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.31-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.31.tar.gz\";s:4:\"date\";s:10:\"1407346427\";s:6:\"mdhash\";s:32:\"de256f202930d3ef5ccc6aebc550adaf\";s:8:\"filesize\";s:7:\"3216766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.30\";a:14:{s:4:\"name\";s:11:\"drupal 7.30\";s:7:\"version\";s:4:\"7.30\";s:3:\"tag\";s:4:\"7.30\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.30-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.30.tar.gz\";s:4:\"date\";s:10:\"1406239728\";s:6:\"mdhash\";s:32:\"ef7bce65ca6395f1e6bc44c15fdbc3cb\";s:8:\"filesize\";s:7:\"3215744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.29\";a:14:{s:4:\"name\";s:11:\"drupal 7.29\";s:7:\"version\";s:4:\"7.29\";s:3:\"tag\";s:4:\"7.29\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"29\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.29-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.29.tar.gz\";s:4:\"date\";s:10:\"1405543128\";s:6:\"mdhash\";s:32:\"6ffdfb0ee08fadfb531c7fed1d2c5633\";s:8:\"filesize\";s:7:\"3213499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.28\";a:14:{s:4:\"name\";s:11:\"drupal 7.28\";s:7:\"version\";s:4:\"7.28\";s:3:\"tag\";s:4:\"7.28\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"28\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.28-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.28.tar.gz\";s:4:\"date\";s:10:\"1399522729\";s:6:\"mdhash\";s:32:\"6255884d7e15c654fc8856805b271551\";s:8:\"filesize\";s:7:\"3212823\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.27\";a:14:{s:4:\"name\";s:11:\"drupal 7.27\";s:7:\"version\";s:4:\"7.27\";s:3:\"tag\";s:4:\"7.27\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.27-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.27.tar.gz\";s:4:\"date\";s:10:\"1397686464\";s:6:\"mdhash\";s:32:\"e9b05562f1a7f8bbcb5922cd3a0d55cb\";s:8:\"filesize\";s:7:\"3207398\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.26\";a:14:{s:4:\"name\";s:11:\"drupal 7.26\";s:7:\"version\";s:4:\"7.26\";s:3:\"tag\";s:4:\"7.26\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.26-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.26.tar.gz\";s:4:\"date\";s:10:\"1389815904\";s:6:\"mdhash\";s:32:\"740bd57f524b8ac18a203b663ca1329d\";s:8:\"filesize\";s:7:\"3204587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.25\";a:14:{s:4:\"name\";s:11:\"drupal 7.25\";s:7:\"version\";s:4:\"7.25\";s:3:\"tag\";s:4:\"7.25\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.25-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.25.tar.gz\";s:4:\"date\";s:10:\"1388709505\";s:6:\"mdhash\";s:32:\"25906158083d89aa86534df1c683b4ea\";s:8:\"filesize\";s:7:\"3203256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.24\";a:14:{s:4:\"name\";s:11:\"drupal 7.24\";s:7:\"version\";s:4:\"7.24\";s:3:\"tag\";s:4:\"7.24\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.24-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.24.tar.gz\";s:4:\"date\";s:10:\"1384982905\";s:6:\"mdhash\";s:32:\"c1ddb37155e4b6160f6508636c06f2a7\";s:8:\"filesize\";s:7:\"3195735\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.23\";a:14:{s:4:\"name\";s:11:\"drupal 7.23\";s:7:\"version\";s:4:\"7.23\";s:3:\"tag\";s:4:\"7.23\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.23-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.23.tar.gz\";s:4:\"date\";s:10:\"1375928239\";s:6:\"mdhash\";s:32:\"0beca6fec15b8cf8c35a6fdda6675342\";s:8:\"filesize\";s:7:\"3191695\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.22\";a:14:{s:4:\"name\";s:11:\"drupal 7.22\";s:7:\"version\";s:4:\"7.22\";s:3:\"tag\";s:4:\"7.22\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.22-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.22.tar.gz\";s:4:\"date\";s:10:\"1365027013\";s:6:\"mdhash\";s:32:\"068d7a77958fce6bb002659aa7ccaeb7\";s:8:\"filesize\";s:7:\"3183014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.21\";a:14:{s:4:\"name\";s:11:\"drupal 7.21\";s:7:\"version\";s:4:\"7.21\";s:3:\"tag\";s:4:\"7.21\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.21-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.21.tar.gz\";s:4:\"date\";s:10:\"1362616997\";s:6:\"mdhash\";s:32:\"eff054cd53be39ff719f77c81dce1aac\";s:8:\"filesize\";s:7:\"3163798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.20\";a:14:{s:4:\"name\";s:11:\"drupal 7.20\";s:7:\"version\";s:4:\"7.20\";s:3:\"tag\";s:4:\"7.20\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.20-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.20.tar.gz\";s:4:\"date\";s:10:\"1361393684\";s:6:\"mdhash\";s:32:\"ee576d63f1fd8a1f1c072a56978da0c5\";s:8:\"filesize\";s:7:\"3163257\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.19\";a:14:{s:4:\"name\";s:11:\"drupal 7.19\";s:7:\"version\";s:4:\"7.19\";s:3:\"tag\";s:4:\"7.19\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.19-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.19.tar.gz\";s:4:\"date\";s:10:\"1358374871\";s:6:\"mdhash\";s:32:\"c1dd3960f1555df208c80ef612e0c53a\";s:8:\"filesize\";s:7:\"3163130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.18\";a:14:{s:4:\"name\";s:11:\"drupal 7.18\";s:7:\"version\";s:4:\"7.18\";s:3:\"tag\";s:4:\"7.18\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.18-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.18.tar.gz\";s:4:\"date\";s:10:\"1355944004\";s:6:\"mdhash\";s:32:\"5c048f60a53acd7cb3c2b6d5fe42f082\";s:8:\"filesize\";s:7:\"3162333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.17\";a:14:{s:4:\"name\";s:11:\"drupal 7.17\";s:7:\"version\";s:4:\"7.17\";s:3:\"tag\";s:4:\"7.17\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.17-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.17.tar.gz\";s:4:\"date\";s:10:\"1352325358\";s:6:\"mdhash\";s:32:\"439e8ca7e6a33bb879a4624d8f01bed0\";s:8:\"filesize\";s:7:\"3162429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.16\";a:14:{s:4:\"name\";s:11:\"drupal 7.16\";s:7:\"version\";s:4:\"7.16\";s:3:\"tag\";s:4:\"7.16\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.16\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.16.tar.gz\";s:4:\"date\";s:10:\"1350508568\";s:6:\"mdhash\";s:32:\"352497b2df94b5308e31cb8da020b631\";s:8:\"filesize\";s:7:\"3142889\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.15\";a:14:{s:4:\"name\";s:11:\"drupal 7.15\";s:7:\"version\";s:4:\"7.15\";s:3:\"tag\";s:4:\"7.15\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.15\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.15.tar.gz\";s:4:\"date\";s:10:\"1343839327\";s:6:\"mdhash\";s:32:\"f42c9baccd74e1d035d61ff537ae21b4\";s:8:\"filesize\";s:7:\"3142219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.14\";a:14:{s:4:\"name\";s:11:\"drupal 7.14\";s:7:\"version\";s:4:\"7.14\";s:3:\"tag\";s:4:\"7.14\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.14\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.14.tar.gz\";s:4:\"date\";s:10:\"1335997556\";s:6:\"mdhash\";s:32:\"af7abd95c03ecad4e1567ed94a438334\";s:8:\"filesize\";s:7:\"3128473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.13\";a:14:{s:4:\"name\";s:11:\"drupal 7.13\";s:7:\"version\";s:4:\"7.13\";s:3:\"tag\";s:4:\"7.13\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.13\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.13.tar.gz\";s:4:\"date\";s:10:\"1335997261\";s:6:\"mdhash\";s:32:\"80587b66375c7fc539414a20a2c6f2de\";s:8:\"filesize\";s:7:\"3088448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.12\";a:14:{s:4:\"name\";s:11:\"drupal 7.12\";s:7:\"version\";s:4:\"7.12\";s:3:\"tag\";s:4:\"7.12\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.12\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.12.tar.gz\";s:4:\"date\";s:10:\"1328134561\";s:6:\"mdhash\";s:32:\"db2284beb97241c9bdca9c638cd8a4f1\";s:8:\"filesize\";s:7:\"3088472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.11\";a:14:{s:4:\"name\";s:11:\"drupal 7.11\";s:7:\"version\";s:4:\"7.11\";s:3:\"tag\";s:4:\"7.11\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.11\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.11.tar.gz\";s:4:\"date\";s:10:\"1328134275\";s:6:\"mdhash\";s:32:\"e9857e1749762367d7631d74cc6564a7\";s:8:\"filesize\";s:7:\"2789336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:4:\"7.10\";a:14:{s:4:\"name\";s:11:\"drupal 7.10\";s:7:\"version\";s:4:\"7.10\";s:3:\"tag\";s:4:\"7.10\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.10\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.10.tar.gz\";s:4:\"date\";s:10:\"1323125439\";s:6:\"mdhash\";s:32:\"1caafb849bc756e62dd874b90b95ab31\";s:8:\"filesize\";s:7:\"3067653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.9\";a:14:{s:4:\"name\";s:10:\"drupal 7.9\";s:7:\"version\";s:3:\"7.9\";s:3:\"tag\";s:3:\"7.9\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.9\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.9.tar.gz\";s:4:\"date\";s:10:\"1319660731\";s:6:\"mdhash\";s:32:\"7f45f109c413ca69ebb6e3140ed47225\";s:8:\"filesize\";s:7:\"2788086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.8\";a:14:{s:4:\"name\";s:10:\"drupal 7.8\";s:7:\"version\";s:3:\"7.8\";s:3:\"tag\";s:3:\"7.8\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.8\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.8.tar.gz\";s:4:\"date\";s:10:\"1314817617\";s:6:\"mdhash\";s:32:\"e0226b56e8d5c57c6b126e8ed5866b1f\";s:8:\"filesize\";s:7:\"2766967\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.7\";a:14:{s:4:\"name\";s:10:\"drupal 7.7\";s:7:\"version\";s:3:\"7.7\";s:3:\"tag\";s:3:\"7.7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.7\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.7.tar.gz\";s:4:\"date\";s:10:\"1311813880\";s:6:\"mdhash\";s:32:\"2eeb63fd1ef6b23b0a9f5f6b8aef8850\";s:8:\"filesize\";s:7:\"2754113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.6\";a:14:{s:4:\"name\";s:10:\"drupal 7.6\";s:7:\"version\";s:3:\"7.6\";s:3:\"tag\";s:3:\"7.6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.6\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.6.tar.gz\";s:4:\"date\";s:10:\"1311798716\";s:6:\"mdhash\";s:32:\"e88e63c4da9e5e170f089d050c88c827\";s:8:\"filesize\";s:7:\"2753784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.5\";a:14:{s:4:\"name\";s:10:\"drupal 7.5\";s:7:\"version\";s:3:\"7.5\";s:3:\"tag\";s:3:\"7.5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.5\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.5.tar.gz\";s:4:\"date\";s:10:\"1311798416\";s:6:\"mdhash\";s:32:\"36d65b7a97c58226c64a6abdf481de45\";s:8:\"filesize\";s:7:\"2744690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.4\";a:14:{s:4:\"name\";s:10:\"drupal 7.4\";s:7:\"version\";s:3:\"7.4\";s:3:\"tag\";s:3:\"7.4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.4\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.4.tar.gz\";s:4:\"date\";s:10:\"1309397516\";s:6:\"mdhash\";s:32:\"84704de078e9f5432c9bb5c6ecd841d4\";s:8:\"filesize\";s:7:\"2744808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.3\";a:14:{s:4:\"name\";s:10:\"drupal 7.3\";s:7:\"version\";s:3:\"7.3\";s:3:\"tag\";s:3:\"7.3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.3\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.3.tar.gz\";s:4:\"date\";s:10:\"1309397216\";s:6:\"mdhash\";s:32:\"c290775724bc309647d84d03ddb88e2e\";s:8:\"filesize\";s:7:\"2735461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.2\";a:14:{s:4:\"name\";s:10:\"drupal 7.2\";s:7:\"version\";s:3:\"7.2\";s:3:\"tag\";s:3:\"7.2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.2\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.2.tar.gz\";s:4:\"date\";s:10:\"1306357017\";s:6:\"mdhash\";s:32:\"cf88c87e3694ebd15b62ba6f6a69124f\";s:8:\"filesize\";s:7:\"2731345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.1\";a:14:{s:4:\"name\";s:10:\"drupal 7.1\";s:7:\"version\";s:3:\"7.1\";s:3:\"tag\";s:3:\"7.1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.1\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.1.tar.gz\";s:4:\"date\";s:10:\"1306354916\";s:6:\"mdhash\";s:32:\"27eb45cb894a76f3a9ae6715584a10cc\";s:8:\"filesize\";s:7:\"2713977\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:3:\"7.0\";a:14:{s:4:\"name\";s:10:\"drupal 7.0\";s:7:\"version\";s:3:\"7.0\";s:3:\"tag\";s:3:\"7.0\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.0\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.0.tar.gz\";s:4:\"date\";s:10:\"1294208759\";s:6:\"mdhash\";s:32:\"e96c0a5e47c5d7706897384069dfb920\";s:8:\"filesize\";s:7:\"2728271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.0-rc4\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc4\";s:7:\"version\";s:7:\"7.0-rc4\";s:3:\"tag\";s:8:\"7.0-rc-4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1293684084\";s:6:\"mdhash\";s:32:\"104c08e609c64bb1e45b55a7ad1ad857\";s:8:\"filesize\";s:7:\"2717666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc3\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc3\";s:7:\"version\";s:7:\"7.0-rc3\";s:3:\"tag\";s:8:\"7.0-rc-3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1293099424\";s:6:\"mdhash\";s:32:\"be9a3f190e2648fa03dcb2bf3d8be199\";s:8:\"filesize\";s:7:\"2719115\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc2\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc2\";s:7:\"version\";s:7:\"7.0-rc2\";s:3:\"tag\";s:8:\"7.0-rc-2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1292101847\";s:6:\"mdhash\";s:32:\"f31982c73f1707ddccb2927325bc9cb9\";s:8:\"filesize\";s:7:\"2705734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc1\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc1\";s:7:\"version\";s:7:\"7.0-rc1\";s:3:\"tag\";s:8:\"7.0-rc-1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1291190142\";s:6:\"mdhash\";s:32:\"b554e79cf60c02d4dec592151c4b58ee\";s:8:\"filesize\";s:7:\"2694689\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta3\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta3\";s:7:\"version\";s:9:\"7.0-beta3\";s:3:\"tag\";s:9:\"7.0-beta3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1289694735\";s:6:\"mdhash\";s:32:\"c942f010a2535586c4578cd7b107c652\";s:8:\"filesize\";s:7:\"2660883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta2\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta2\";s:7:\"version\";s:9:\"7.0-beta2\";s:3:\"tag\";s:9:\"7.0-beta2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1287812133\";s:6:\"mdhash\";s:32:\"c2de0bdb657b77af8c8369a355cab8ce\";s:8:\"filesize\";s:7:\"2638949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta1\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta1\";s:7:\"version\";s:9:\"7.0-beta1\";s:3:\"tag\";s:9:\"7.0-beta1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286422866\";s:6:\"mdhash\";s:32:\"490ce0d95eacc15f2918becd60f6821c\";s:8:\"filesize\";s:7:\"2622225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha7\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha7\";s:7:\"version\";s:10:\"7.0-alpha7\";s:3:\"tag\";s:10:\"7.0-alpha7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1284599764\";s:6:\"mdhash\";s:32:\"15183fcf862be97f7e96991e6e56fe2e\";s:8:\"filesize\";s:7:\"2586833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha6\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha6\";s:7:\"version\";s:10:\"7.0-alpha6\";s:3:\"tag\";s:10:\"7.0-alpha6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1278634809\";s:6:\"mdhash\";s:32:\"eb64647263affc36f76d1e7ffb751d32\";s:8:\"filesize\";s:7:\"2458211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha5\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha5\";s:7:\"version\";s:10:\"7.0-alpha5\";s:3:\"tag\";s:10:\"7.0-alpha5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1274628613\";s:6:\"mdhash\";s:32:\"de9c1d51f0ce730f7356bd0a160e8ce1\";s:8:\"filesize\";s:7:\"2424226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha4\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha4\";s:7:\"version\";s:10:\"7.0-alpha4\";s:3:\"tag\";s:10:\"7.0-alpha4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1272318014\";s:6:\"mdhash\";s:32:\"c8f371a388bc65b2211d7d29856fb993\";s:8:\"filesize\";s:7:\"2403384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha3\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha3\";s:7:\"version\";s:10:\"7.0-alpha3\";s:3:\"tag\";s:10:\"7.0-alpha3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1269192317\";s:6:\"mdhash\";s:32:\"9efc083f09d6b523d655bc90a6869945\";s:8:\"filesize\";s:7:\"2357934\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha2\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha2\";s:7:\"version\";s:10:\"7.0-alpha2\";s:3:\"tag\";s:10:\"7.0-alpha2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1266777910\";s:6:\"mdhash\";s:32:\"cfbfdd2249638a266054f2532348065d\";s:8:\"filesize\";s:7:\"2314834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha1\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha1\";s:7:\"version\";s:10:\"7.0-alpha1\";s:3:\"tag\";s:10:\"7.0-alpha1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1263566711\";s:6:\"mdhash\";s:32:\"508109c6cf0ead868e02d8c3db2a4d1f\";s:8:\"filesize\";s:7:\"2283220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-dev\";a:14:{s:4:\"name\";s:14:\"drupal 7.x-dev\";s:7:\"version\";s:7:\"7.x-dev\";s:3:\"tag\";s:3:\"7.x\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.x-dev\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499966043\";s:6:\"mdhash\";s:32:\"f769ca3a41b3e188f3d1b148388939bf\";s:8:\"filesize\";s:7:\"3278048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435846,1500349441,1),('available_releases::email','a:11:{s:5:\"title\";s:11:\"Email Field\";s:10:\"short_name\";s:5:\"email\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/email\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:8:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1397134152\";s:6:\"mdhash\";s:32:\"d827fffe1eb3ed14a34e0cb259b5b250\";s:8:\"filesize\";s:5:\"12566\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1346254131\";s:6:\"mdhash\";s:32:\"a2d78e35e91f7989abbf3e7b81fb30c4\";s:8:\"filesize\";s:5:\"12373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1340207779\";s:6:\"mdhash\";s:32:\"11fb9be984c871935a01aef8db1cf5a3\";s:8:\"filesize\";s:5:\"11855\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1313666248\";s:6:\"mdhash\";s:32:\"21d657b19e896a99af018d4f3159f835\";s:8:\"filesize\";s:4:\"9976\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"email 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/email/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/email-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1295529409\";s:6:\"mdhash\";s:32:\"a14d62686c04c77a170a5e7c728f35ef\";s:8:\"filesize\";s:5:\"13332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"email 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/email/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/email-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1287061888\";s:6:\"mdhash\";s:32:\"a99bb8cd5648d2c1c99bdba72e6b123f\";s:8:\"filesize\";s:5:\"13060\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"email 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/email/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/email-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1265728810\";s:6:\"mdhash\";s:32:\"e86a4d95ef75e43f0128d60a196da8c6\";s:8:\"filesize\";s:5:\"12999\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"email 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/email/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/email-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1397133854\";s:6:\"mdhash\";s:32:\"e6bc6ee239c6baaebce0fc209b68f82a\";s:8:\"filesize\";s:5:\"12573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435849,1500349441,1),('available_releases::entity','a:11:{s:5:\"title\";s:10:\"Entity API\";s:10:\"short_name\";s:6:\"entity\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:30:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1458222242\";s:6:\"mdhash\";s:32:\"f4787da0230869cc7420b6cea78212e5\";s:8:\"filesize\";s:6:\"121426\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1424876581\";s:6:\"mdhash\";s:32:\"a778a5c82eaddac50e40a3dd0a3ebac6\";s:8:\"filesize\";s:6:\"120850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396975451\";s:6:\"mdhash\";s:32:\"04b90c27b2f1627d0a218006291afa9f\";s:8:\"filesize\";s:6:\"121011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1395335056\";s:6:\"mdhash\";s:32:\"d026208f7b433b9b2dd5fdc705396d0e\";s:8:\"filesize\";s:6:\"120371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1389210804\";s:6:\"mdhash\";s:32:\"92bb78da6928049c0d9bdea76629416b\";s:8:\"filesize\";s:6:\"119279\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1376493705\";s:6:\"mdhash\";s:32:\"c87e0ce3708a26a3045c36b8ad15f61c\";s:8:\"filesize\";s:6:\"115225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1367338217\";s:6:\"mdhash\";s:32:\"1f23d1bee48287f1c53f8d3f1391187a\";s:8:\"filesize\";s:6:\"110514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1356471145\";s:6:\"mdhash\";s:32:\"f072eda34e284561bb55cfae0dbe30db\";s:8:\"filesize\";s:6:\"110082\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337981155\";s:6:\"mdhash\";s:32:\"267c552757d1fa8bbe17c624a7ec4c3f\";s:8:\"filesize\";s:6:\"106628\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335099086\";s:6:\"mdhash\";s:32:\"587d7b6a088a195722fe7d11b1c9c8fa\";s:8:\"filesize\";s:6:\"105993\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"entity 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1320914735\";s:6:\"mdhash\";s:32:\"daa6dff009d00756f86b80b31af32c77\";s:8:\"filesize\";s:5:\"95227\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1319558131\";s:6:\"mdhash\";s:32:\"0d98c2c361e5936593b8365614fa04e3\";s:8:\"filesize\";s:5:\"83206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1310486817\";s:6:\"mdhash\";s:32:\"016f48d7ecee0da62ae1a8f6cf26a656\";s:8:\"filesize\";s:5:\"77197\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1308239815\";s:6:\"mdhash\";s:32:\"a965dc47b0b8afc2f75b69be31e767d0\";s:8:\"filesize\";s:5:\"75840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1300731067\";s:6:\"mdhash\";s:32:\"317ec15a5f9d90e7613b52f20a7e9a82\";s:8:\"filesize\";s:5:\"71258\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1298285230\";s:6:\"mdhash\";s:32:\"9598452892a90a3b098d3152334aeb85\";s:8:\"filesize\";s:5:\"72722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1294170388\";s:6:\"mdhash\";s:32:\"64588b70e6773d146e0bf4267a90a270\";s:8:\"filesize\";s:5:\"68465\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1293135097\";s:6:\"mdhash\";s:32:\"53325d82ab40c0dc325ccb59d0bca3e6\";s:8:\"filesize\";s:5:\"65300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1292941950\";s:6:\"mdhash\";s:32:\"93210f6c3b3b19258f217a64e6bd56a8\";s:8:\"filesize\";s:5:\"65305\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1291297866\";s:6:\"mdhash\";s:32:\"cb05413449da98da415d40e3520f0f6d\";s:8:\"filesize\";s:5:\"61957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1290197444\";s:6:\"mdhash\";s:32:\"a1646f5c1933772feb76e2dd31d6324b\";s:8:\"filesize\";s:5:\"60670\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"entity 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/entity/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286786762\";s:6:\"mdhash\";s:32:\"2e53243fdf0fae60217dd7916d982e47\";s:8:\"filesize\";s:5:\"54660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1280228111\";s:6:\"mdhash\";s:32:\"5d88abea4508ea3561332f466746ab3d\";s:8:\"filesize\";s:5:\"47315\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1273607706\";s:6:\"mdhash\";s:32:\"13348a08070605b3742d4fad7856d76a\";s:8:\"filesize\";s:5:\"45331\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1268336409\";s:6:\"mdhash\";s:32:\"0e093c0ded92b23a4e628a7953a198dc\";s:8:\"filesize\";s:5:\"41614\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1266851413\";s:6:\"mdhash\";s:32:\"d347ca5528b9ed9d132b492cb4b7b2af\";s:8:\"filesize\";s:5:\"40746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1263231309\";s:6:\"mdhash\";s:32:\"be9a91bd68b59480bdca9e8a6d6ad932\";s:8:\"filesize\";s:5:\"31954\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"entity 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/entity/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/entity-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1260807922\";s:6:\"mdhash\";s:32:\"858c5a1b255f5316737dbbd3b562d825\";s:8:\"filesize\";s:5:\"29154\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"entity 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/entity/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/entity-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1489006983\";s:6:\"mdhash\";s:32:\"896905b4ea1cfc180d6f03bc5ab44378\";s:8:\"filesize\";s:6:\"124235\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435851,1500349441,1),('available_releases::entityreference','a:11:{s:5:\"title\";s:16:\"Entity reference\";s:10:\"short_name\";s:15:\"entityreference\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1494450485\";s:6:\"mdhash\";s:32:\"e800309d10d254bd8e80770beb17f4f3\";s:8:\"filesize\";s:5:\"43171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1474306739\";s:6:\"mdhash\";s:32:\"ef8f161721709dedcd1babc18b033006\";s:8:\"filesize\";s:5:\"40840\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1384973004\";s:6:\"mdhash\";s:32:\"604843bda17acbd927f71f8cf8a74a48\";s:8:\"filesize\";s:5:\"40371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1353230808\";s:6:\"mdhash\";s:32:\"81f458c4b41b61f405af905d2fd8a5ec\";s:8:\"filesize\";s:5:\"36787\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc5\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc5\";s:7:\"version\";s:11:\"7.x-1.0-rc5\";s:3:\"tag\";s:11:\"7.x-1.0-rc5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc5\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1348565045\";s:6:\"mdhash\";s:32:\"648a462e0bc442533debbd0b1b98e665\";s:8:\"filesize\";s:5:\"32328\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc4\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc4\";s:7:\"version\";s:11:\"7.x-1.0-rc4\";s:3:\"tag\";s:11:\"7.x-1.0-rc4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc4\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1348486666\";s:6:\"mdhash\";s:32:\"b1bdad67159df7cfa1edbc71ca1f15be\";s:8:\"filesize\";s:5:\"31223\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1338411956\";s:6:\"mdhash\";s:32:\"6f07ffafd42ec5fa9b76d398831c9956\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338371757\";s:6:\"mdhash\";s:32:\"35336e7b27b1755db8464d786167081b\";s:8:\"filesize\";s:5:\"30494\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"entityreference 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332279946\";s:6:\"mdhash\";s:32:\"83f006ab5235890efc2b3986f8dcdfe3\";s:8:\"filesize\";s:5:\"24495\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1330297849\";s:6:\"mdhash\";s:32:\"1508867497f54a68acb9f92ca4cddcfe\";s:8:\"filesize\";s:5:\"24228\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329149138\";s:6:\"mdhash\";s:32:\"7d5566cd6425d2dca4d0597984726eb8\";s:8:\"filesize\";s:5:\"24005\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1324748139\";s:6:\"mdhash\";s:32:\"397fa7a810501fbb22390c8fb8ac10ef\";s:8:\"filesize\";s:5:\"19799\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1322214940\";s:6:\"mdhash\";s:32:\"41b5dd4ed7115763e5b30c41a9a07c3d\";s:8:\"filesize\";s:5:\"19792\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"entityreference 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1316702804\";s:6:\"mdhash\";s:32:\"a056dc3e075e9b0783cb1addaad5086e\";s:8:\"filesize\";s:5:\"18948\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1316171203\";s:6:\"mdhash\";s:32:\"0f5a3e9f3f998ed12d7c6bf1fd864274\";s:8:\"filesize\";s:5:\"17761\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"entityreference 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/entityreference/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1313085717\";s:6:\"mdhash\";s:32:\"d17373159f2c745be04bf3ea2df7632d\";s:8:\"filesize\";s:5:\"10847\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"entityreference 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/entityreference/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1494943085\";s:6:\"mdhash\";s:32:\"3b31310e19437100905b2625d32a5c97\";s:8:\"filesize\";s:5:\"43242\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435851,1500349441,1),('available_releases::features','a:11:{s:5:\"title\";s:8:\"Features\";s:10:\"short_name\";s:8:\"features\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/features\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:35:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:17:\"features 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/features/releases/7.x-2.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/features-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1461011639\";s:6:\"mdhash\";s:32:\"5641e5545020932570aed464fbaebf6a\";s:8:\"filesize\";s:5:\"97102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1460560739\";s:6:\"mdhash\";s:32:\"27fbaf1a31c83f0d18fbe114c2f3fc8a\";s:8:\"filesize\";s:5:\"97030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1458744539\";s:6:\"mdhash\";s:32:\"ad38d9cf2588bdd7821fc662217d6763\";s:8:\"filesize\";s:5:\"96932\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1444829339\";s:6:\"mdhash\";s:32:\"dcfcc0cede1d281c23346662029015a5\";s:8:\"filesize\";s:5:\"97292\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1435165980\";s:6:\"mdhash\";s:32:\"3a41eba4ca26f0d3a0e00e97dd8722ba\";s:8:\"filesize\";s:5:\"96581\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.6-rc1\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.6-rc1\";s:7:\"version\";s:11:\"7.x-2.6-rc1\";s:3:\"tag\";s:11:\"7.x-2.6-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.6-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1433533080\";s:6:\"mdhash\";s:32:\"ac68a860da89bd8a54f0cb5b7a2668ce\";s:8:\"filesize\";s:5:\"96592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1428943813\";s:6:\"mdhash\";s:32:\"c6fea06d61fe6f4c9d1943a5fcb99f61\";s:8:\"filesize\";s:5:\"92795\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1425500581\";s:6:\"mdhash\";s:32:\"af6f0fd6117b5c0ff15ef7c1923d116f\";s:8:\"filesize\";s:5:\"92229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1420492080\";s:6:\"mdhash\";s:32:\"562c8c81a512e45d5fb04b4ee33858bf\";s:8:\"filesize\";s:5:\"92013\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1407338927\";s:6:\"mdhash\";s:32:\"1eaa764a12b7ad846ab3ffa70512c567\";s:8:\"filesize\";s:5:\"92041\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1406655227\";s:6:\"mdhash\";s:32:\"4e95d6671dbdaa0e8c8bd1ce9cf04ead\";s:8:\"filesize\";s:5:\"92052\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:16:\"features 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-2.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1382018758\";s:6:\"mdhash\";s:32:\"2ce7c8cb75d3fc57da069721f6a9a052\";s:8:\"filesize\";s:5:\"90313\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.0-rc5\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc5\";s:7:\"version\";s:11:\"7.x-2.0-rc5\";s:3:\"tag\";s:11:\"7.x-2.0-rc5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1381157303\";s:6:\"mdhash\";s:32:\"faf76e87122ff5140a7a8300c96e8389\";s:8:\"filesize\";s:5:\"90231\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc4\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc4\";s:7:\"version\";s:11:\"7.x-2.0-rc4\";s:3:\"tag\";s:11:\"7.x-2.0-rc4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1380815748\";s:6:\"mdhash\";s:32:\"71aa54041d07e2b773efb692c2d13476\";s:8:\"filesize\";s:5:\"90706\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc3\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc3\";s:7:\"version\";s:11:\"7.x-2.0-rc3\";s:3:\"tag\";s:11:\"7.x-2.0-rc3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1377548845\";s:6:\"mdhash\";s:32:\"d92bf152081ba92b2c352b0164198e17\";s:8:\"filesize\";s:5:\"88117\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1375464067\";s:6:\"mdhash\";s:32:\"63db49c3d8285277b787afa237e96454\";s:8:\"filesize\";s:5:\"87769\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:20:\"features 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1369094412\";s:6:\"mdhash\";s:32:\"303cd7d10ec0a84e500fd1693d2d3fd0\";s:8:\"filesize\";s:5:\"85917\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:22:\"features 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1364589018\";s:6:\"mdhash\";s:32:\"d889b7006668c261294e58a31b40c53e\";s:8:\"filesize\";s:5:\"85069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:22:\"features 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1352395006\";s:6:\"mdhash\";s:32:\"654e54d22922d4cdbdf1b78be19c5cda\";s:8:\"filesize\";s:5:\"83547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:23:\"features 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1351907522\";s:6:\"mdhash\";s:32:\"f588de7611e09d4460a6cd92bf133200\";s:8:\"filesize\";s:5:\"83533\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"features 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/features/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/features-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1343240292\";s:6:\"mdhash\";s:32:\"00984913badb19fee69d3ee0ac27eee8\";s:8:\"filesize\";s:5:\"72114\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:20:\"features 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1339680981\";s:6:\"mdhash\";s:32:\"bb8ac718377cd098474e37f202181b03\";s:8:\"filesize\";s:5:\"71806\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"features 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1334345807\";s:6:\"mdhash\";s:32:\"0b559938e0aa604729eb2b2fb4840f1b\";s:8:\"filesize\";s:5:\"69926\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"features 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1332022247\";s:6:\"mdhash\";s:32:\"a4f24fe0f0ac5e099b18c667253fa8bc\";s:8:\"filesize\";s:5:\"68737\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1325627143\";s:6:\"mdhash\";s:32:\"d65f3131ad8d397bd5437fe4ab7dba0a\";s:8:\"filesize\";s:5:\"68900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1324573544\";s:6:\"mdhash\";s:32:\"10053380081d77c6e1cc107ea17bd81e\";s:8:\"filesize\";s:5:\"68894\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1316565919\";s:6:\"mdhash\";s:32:\"fbce2ff07b59723d6688ceeac97a967a\";s:8:\"filesize\";s:5:\"67007\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1308598915\";s:6:\"mdhash\";s:32:\"20db76b147faf56cc2c1c413cf187db3\";s:8:\"filesize\";s:5:\"63951\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1302049346\";s:6:\"mdhash\";s:32:\"333424ca64d3278cb51319b842e218b2\";s:8:\"filesize\";s:5:\"63505\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"features 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/features/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1298073121\";s:6:\"mdhash\";s:32:\"a5a58e87c3e18dd77ae0e2fb512531d1\";s:8:\"filesize\";s:5:\"68372\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:23:\"features 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1285791063\";s:6:\"mdhash\";s:32:\"09651bc4edb61969d1caa23c76c2df00\";s:8:\"filesize\";s:5:\"67846\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"features 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1285602662\";s:6:\"mdhash\";s:32:\"b7bcfb6b3a7ac54cac600153642c7aab\";s:8:\"filesize\";s:5:\"67869\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"features 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/features/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/features-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1284158807\";s:6:\"mdhash\";s:32:\"829c91a7111886b3f53278fd44346ec7\";s:8:\"filesize\";s:5:\"67845\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:20:\"features 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-2.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1473863339\";s:6:\"mdhash\";s:32:\"5ac1876694e412976d22f572294de436\";s:8:\"filesize\";s:5:\"97121\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"features 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/features/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/features-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578130\";s:6:\"mdhash\";s:32:\"baaa489bb72393a5168683c4c27f29dc\";s:8:\"filesize\";s:5:\"73847\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435852,1500349441,1),('available_releases::field_collection','a:11:{s:5:\"title\";s:16:\"Field collection\";s:10:\"short_name\";s:16:\"field_collection\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta11\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta11\";s:7:\"version\";s:14:\"7.x-1.0-beta11\";s:3:\"tag\";s:14:\"7.x-1.0-beta11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta11\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1454338739\";s:6:\"mdhash\";s:32:\"0f51a97383cd50f72a2ecd950cce5e1a\";s:8:\"filesize\";s:5:\"40461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-beta10\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta10\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:3:\"tag\";s:14:\"7.x-1.0-beta10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta10\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1445529539\";s:6:\"mdhash\";s:32:\"bb00b6d371b096732071ad7999223c5a\";s:8:\"filesize\";s:5:\"40443\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta9\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta9\";s:7:\"version\";s:13:\"7.x-1.0-beta9\";s:3:\"tag\";s:13:\"7.x-1.0-beta9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta9\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1445282939\";s:6:\"mdhash\";s:32:\"99910b78ea9fdda42a746089b579152c\";s:8:\"filesize\";s:5:\"40406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta8\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta8\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:3:\"tag\";s:13:\"7.x-1.0-beta8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta8\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1415122380\";s:6:\"mdhash\";s:32:\"50e687acf3779b987bacde5ad047fb46\";s:8:\"filesize\";s:5:\"38360\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1394731105\";s:6:\"mdhash\";s:32:\"8678d50f7248d4830a615f451c623201\";s:8:\"filesize\";s:5:\"36080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1356475964\";s:6:\"mdhash\";s:32:\"e881931a5e0fea9ff844385c80743a54\";s:8:\"filesize\";s:5:\"33162\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1333382446\";s:6:\"mdhash\";s:32:\"591e8d3bcc5f0af52710680529308d8e\";s:8:\"filesize\";s:5:\"26573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1327376442\";s:6:\"mdhash\";s:32:\"ef0e3a56c77e50a59f0ae965d70b58b3\";s:8:\"filesize\";s:5:\"25613\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1313670125\";s:6:\"mdhash\";s:32:\"b4ee245a67c07332b3b2fa2d83ba7e1a\";s:8:\"filesize\";s:5:\"21012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:30:\"field_collection 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1296573488\";s:6:\"mdhash\";s:32:\"7c644203e32cc8c6d2d1bd5400b5c361\";s:8:\"filesize\";s:5:\"17272\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"field_collection 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/field_collection/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1481300583\";s:6:\"mdhash\";s:32:\"cedb190a2c89f6280843a7672094e0bc\";s:8:\"filesize\";s:5:\"51053\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500435853,1500349441,1),('available_releases::field_group','a:11:{s:5:\"title\";s:11:\"Field Group\";s:10:\"short_name\";s:11:\"field_group\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1401918527\";s:6:\"mdhash\";s:32:\"fa268e0c23b2af31ed560aa03a986cf1\";s:8:\"filesize\";s:5:\"51303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1380124361\";s:6:\"mdhash\";s:32:\"6ea6a2b8a15c9c68d981f5b0ae6f881c\";s:8:\"filesize\";s:5:\"50593\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1377806210\";s:6:\"mdhash\";s:32:\"ea1b1af0b09f7578cffc261c8c5203df\";s:8:\"filesize\";s:5:\"49436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1319051133\";s:6:\"mdhash\";s:32:\"4f02e7b10aff66e3bcdae002d6b80ec6\";s:8:\"filesize\";s:5:\"43065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1306266416\";s:6:\"mdhash\";s:32:\"5f549fbc7cbfa575a11a9d705a3df597\";s:8:\"filesize\";s:5:\"33471\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1300283167\";s:6:\"mdhash\";s:32:\"959768b52b8d4c04be0e8f8e93f4af1b\";s:8:\"filesize\";s:5:\"32537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1295392936\";s:6:\"mdhash\";s:32:\"aaa22e6444d2377e9673e5cfd6f21095\";s:8:\"filesize\";s:5:\"30414\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578862\";s:6:\"mdhash\";s:32:\"3ff6c75931a1668be98876378b7c2ebf\";s:8:\"filesize\";s:5:\"41104\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1495281183\";s:6:\"mdhash\";s:32:\"fecf1de862c9933f9669961b9b7ad781\";s:8:\"filesize\";s:5:\"51806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435853,1500349441,1),('available_releases::field_slideshow','a:11:{s:5:\"title\";s:15:\"Field Slideshow\";s:10:\"short_name\";s:15:\"field_slideshow\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/field_slideshow\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:19:{s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1427029981\";s:6:\"mdhash\";s:32:\"f758c524b1b447f74385c7fd24f30234\";s:8:\"filesize\";s:5:\"20135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-1.82\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.82\";s:7:\"version\";s:8:\"7.x-1.82\";s:3:\"tag\";s:8:\"7.x-1.82\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"82\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.82\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.82.tar.gz\";s:4:\"date\";s:10:\"1363270823\";s:6:\"mdhash\";s:32:\"9f586cf88fa62ead440bd8ad6ec48eaa\";s:8:\"filesize\";s:5:\"19377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.81\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.81\";s:7:\"version\";s:8:\"7.x-1.81\";s:3:\"tag\";s:8:\"7.x-1.81\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"81\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.81\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.81.tar.gz\";s:4:\"date\";s:10:\"1359010311\";s:6:\"mdhash\";s:32:\"9d318ebe3b2ca537e297b472f93e60b6\";s:8:\"filesize\";s:5:\"19352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1352716302\";s:6:\"mdhash\";s:32:\"34a25cf50d7d3cccf3dc9ac965fb554c\";s:8:\"filesize\";s:5:\"19180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1349242272\";s:6:\"mdhash\";s:32:\"c504eaecb53ea7d7f7f137f20def73b9\";s:8:\"filesize\";s:5:\"18612\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1328169943\";s:6:\"mdhash\";s:32:\"57103ff3118d9e9333b2d1303f485c27\";s:8:\"filesize\";s:5:\"16567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1324645840\";s:6:\"mdhash\";s:32:\"b36861cc5dc7d2fb88fdc91c949f5a9d\";s:8:\"filesize\";s:5:\"16111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1324567840\";s:6:\"mdhash\";s:32:\"15975c7b7693894d605d8ba6c3bd2959\";s:8:\"filesize\";s:5:\"16023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1324469442\";s:6:\"mdhash\";s:32:\"ee3a5cd2ce7d7602f056f667e6300bc0\";s:8:\"filesize\";s:5:\"16029\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1314689520\";s:6:\"mdhash\";s:32:\"3d7a8a65b5354c83da834ce9f0724935\";s:8:\"filesize\";s:5:\"22573\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1305725516\";s:6:\"mdhash\";s:32:\"e8f9ece040fc734fdac766d596259893\";s:8:\"filesize\";s:5:\"21537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"field_slideshow 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1300986068\";s:6:\"mdhash\";s:32:\"0bbc3fefe3be61b961786b3b707a6166\";s:8:\"filesize\";s:5:\"18922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1298562419\";s:6:\"mdhash\";s:32:\"908eb7b803a81100368f3adf3bb614fb\";s:8:\"filesize\";s:5:\"18377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1297969529\";s:6:\"mdhash\";s:32:\"cd30811763163cbbee4fe41f7ae1865f\";s:8:\"filesize\";s:5:\"17659\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1296401595\";s:6:\"mdhash\";s:32:\"8ec7d4c0ad55e77e879486d1d8db4b92\";s:8:\"filesize\";s:5:\"17010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1295297810\";s:6:\"mdhash\";s:32:\"6204eb24207ef6f4e144787b75cb4e37\";s:8:\"filesize\";s:5:\"16554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294748510\";s:6:\"mdhash\";s:32:\"90e75b26900092834be207b5129374e7\";s:8:\"filesize\";s:5:\"16061\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"field_slideshow 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1427028481\";s:6:\"mdhash\";s:32:\"a21501069a80cd2446e04ddd1aecff8d\";s:8:\"filesize\";s:5:\"20133\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"field_slideshow 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578963\";s:6:\"mdhash\";s:32:\"e5874953303cfd31e9c8a6d58e18f709\";s:8:\"filesize\";s:5:\"19406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435854,1500349441,1),('available_releases::flexslider','a:11:{s:5:\"title\";s:11:\"Flex Slider\";s:10:\"short_name\";s:10:\"flexslider\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1438285139\";s:6:\"mdhash\";s:32:\"c637c53352d34961d6413c8ac04ebf87\";s:8:\"filesize\";s:7:\"3977507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1378663044\";s:6:\"mdhash\";s:32:\"a8b4f9b9740ab9d41a9043b1ea7361aa\";s:8:\"filesize\";s:7:\"3977501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1376925141\";s:6:\"mdhash\";s:32:\"8f92257ca4e8baf7a6743a4bcf8738da\";s:8:\"filesize\";s:7:\"3975729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1362783811\";s:6:\"mdhash\";s:32:\"cb88bc862e89af0980839962c4f90a78\";s:8:\"filesize\";s:7:\"8366543\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337289957\";s:6:\"mdhash\";s:32:\"e10d32bcb407d080319d1c85e93cb3f5\";s:8:\"filesize\";s:5:\"26069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1333369556\";s:6:\"mdhash\";s:32:\"e5b228317528e962c633a508a56fcab7\";s:8:\"filesize\";s:5:\"25910\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1333216546\";s:6:\"mdhash\";s:32:\"cdf482ecf2684c4d63f51242ec815a7c\";s:8:\"filesize\";s:5:\"25930\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1332764150\";s:6:\"mdhash\";s:32:\"4fe1003a1fcfb8d088cc6e402c2bc5bb\";s:8:\"filesize\";s:5:\"26001\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1332702357\";s:6:\"mdhash\";s:32:\"058b01b76f42dcf9c075036036c4b62d\";s:8:\"filesize\";s:5:\"25855\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487024583\";s:6:\"mdhash\";s:32:\"191e55868a7a3a0c9f2f6024b93ae83f\";s:8:\"filesize\";s:7:\"3976557\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1446839939\";s:6:\"mdhash\";s:32:\"ed882b54ea61dc7ad370c2f3ea890e6b\";s:8:\"filesize\";s:5:\"26679\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1500435854,1500349441,1),('available_releases::flickr','a:11:{s:5:\"title\";s:6:\"Flickr\";s:10:\"short_name\";s:6:\"flickr\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/flickr\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1438859339\";s:6:\"mdhash\";s:32:\"475e1de3ba9a6a64f20c145297097438\";s:8:\"filesize\";s:6:\"118110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1431981181\";s:6:\"mdhash\";s:32:\"72aefb82dc63427d34c32f0f8d2a4a52\";s:8:\"filesize\";s:6:\"106351\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1403814827\";s:6:\"mdhash\";s:32:\"9bfdde080f50c18720d546de0e60c966\";s:8:\"filesize\";s:5:\"61570\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1397910527\";s:6:\"mdhash\";s:32:\"fa3a6fb8688056e2c86342f126315240\";s:8:\"filesize\";s:5:\"43796\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1395826442\";s:6:\"mdhash\";s:32:\"88e0270e53b87e75458f9548f4429c32\";s:8:\"filesize\";s:5:\"36533\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1392041005\";s:6:\"mdhash\";s:32:\"1aee64239ada5b7c726309ff9b943e21\";s:8:\"filesize\";s:5:\"36274\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1386791905\";s:6:\"mdhash\";s:32:\"b8388ba3f71ef1e45d6aba16cf5d64a7\";s:8:\"filesize\";s:5:\"29055\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1378799214\";s:6:\"mdhash\";s:32:\"d7076b37e9619bc8b4d22a7aab86adc2\";s:8:\"filesize\";s:5:\"28165\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1361305883\";s:6:\"mdhash\";s:32:\"aaf4a847ccd23ebdda2adcadb7c52750\";s:8:\"filesize\";s:5:\"25294\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"flickr 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/flickr/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1466886239\";s:6:\"mdhash\";s:32:\"b48b02b0783020bac8de7d75e2e7c511\";s:8:\"filesize\";s:6:\"120596\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435855,1500349441,1),('available_releases::fontawesome','a:11:{s:5:\"title\";s:18:\"Font Awesome Icons\";s:10:\"short_name\";s:11:\"fontawesome\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1445924949\";s:6:\"mdhash\";s:32:\"0aa9c4b81233eb862e50e9225940628c\";s:8:\"filesize\";s:5:\"15693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1445576347\";s:6:\"mdhash\";s:32:\"500080050a48115712a1cba8a3e6fd24\";s:8:\"filesize\";s:5:\"15409\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1420873981\";s:6:\"mdhash\";s:32:\"d05dde71a5a5bb28f62c6c3842b3f3c6\";s:8:\"filesize\";s:5:\"15068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1445571540\";s:6:\"mdhash\";s:32:\"bc4cd43e2c75c5578ddcc32984b4210b\";s:8:\"filesize\";s:5:\"15072\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1420870981\";s:6:\"mdhash\";s:32:\"f12aaca6b7087a392c4e17cb96a390ee\";s:8:\"filesize\";s:5:\"14233\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1391844804\";s:6:\"mdhash\";s:32:\"a4d10ba4248da06e6f48f7c4a2b48f0b\";s:8:\"filesize\";s:5:\"12458\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1476102239\";s:6:\"mdhash\";s:32:\"2de8b54673866ddd10027a1d8a7b8d4d\";s:8:\"filesize\";s:5:\"11873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"fontawesome 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/fontawesome/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420869181\";s:6:\"mdhash\";s:32:\"7e06a4a3a7655a7944670942987ef772\";s:8:\"filesize\";s:5:\"14236\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435855,1500349441,1),('available_releases::galleryformatter','a:11:{s:5:\"title\";s:17:\"Gallery formatter\";s:10:\"short_name\";s:16:\"galleryformatter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/galleryformatter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1442600639\";s:6:\"mdhash\";s:32:\"3754143cc4f2623b85fe4432514db18b\";s:8:\"filesize\";s:5:\"41653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1355821655\";s:6:\"mdhash\";s:32:\"5cc4e33e7a3c1939303cf947d8e3a657\";s:8:\"filesize\";s:5:\"41800\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1343209964\";s:6:\"mdhash\";s:32:\"fb0f1682bd3498015d1b11029a07791f\";s:8:\"filesize\";s:5:\"41729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1342169810\";s:6:\"mdhash\";s:32:\"84a8c812ae5c86d97d6d7d7d08b4a4fb\";s:8:\"filesize\";s:5:\"41282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.0\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296418641\";s:6:\"mdhash\";s:32:\"67b0a3976281a4b5c1d9b3bd1baee6e9\";s:8:\"filesize\";s:5:\"39177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"galleryformatter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1477160340\";s:6:\"mdhash\";s:32:\"507d0b1f4de7f940b12a301925b7473d\";s:8:\"filesize\";s:5:\"41700\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435856,1500349441,1),('available_releases::geocoder','a:11:{s:5:\"title\";s:8:\"Geocoder\";s:10:\"short_name\";s:8:\"geocoder\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/geocoder\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:7:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"geocoder 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geocoder/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geocoder-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1454270339\";s:6:\"mdhash\";s:32:\"57500db83df2c8ded4d17a4a02a9c53d\";s:8:\"filesize\";s:5:\"26978\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"geocoder 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geocoder/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geocoder-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1346083034\";s:6:\"mdhash\";s:32:\"807f0b22f45a3a432d4a86deaa785b21\";s:8:\"filesize\";s:5:\"22183\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"geocoder 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geocoder/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geocoder-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337618455\";s:6:\"mdhash\";s:32:\"192f7f699b59dbd57afad61dcf60cd17\";s:8:\"filesize\";s:5:\"19959\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"geocoder 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geocoder/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geocoder-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1332174643\";s:6:\"mdhash\";s:32:\"a4b9109edc7ab51956c80c157c1411e1\";s:8:\"filesize\";s:5:\"18343\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"geocoder 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/geocoder/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/geocoder-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1330362942\";s:6:\"mdhash\";s:32:\"dff9cbce4dfe76561bbc30b23370c92a\";s:8:\"filesize\";s:5:\"13379\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:20:\"geocoder 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/geocoder/releases/7.x-2.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/geocoder-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1480504980\";s:6:\"mdhash\";s:32:\"216d103178592139e2a34802976dae1d\";s:8:\"filesize\";s:5:\"23676\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"geocoder 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/geocoder/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/geocoder-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493655245\";s:6:\"mdhash\";s:32:\"ee18925974cca335f7766a30d643040b\";s:8:\"filesize\";s:5:\"27706\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435856,1500349441,1),('available_releases::geofield','a:11:{s:5:\"title\";s:8:\"Geofield\";s:10:\"short_name\";s:8:\"geofield\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/geofield\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-2.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1411337631\";s:6:\"mdhash\";s:32:\"94eae6025b93addeb314330c2f867898\";s:8:\"filesize\";s:5:\"57511\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-2.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1411332528\";s:6:\"mdhash\";s:32:\"a37853fbda616fa57c9a6474ed672408\";s:8:\"filesize\";s:5:\"57506\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-2.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1384708104\";s:6:\"mdhash\";s:32:\"a8b92d879f45c9cc1a562b43fb42e88d\";s:8:\"filesize\";s:5:\"56463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-2.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1379874471\";s:6:\"mdhash\";s:32:\"d23142ffd9f2b0b7db9304e5cc38e529\";s:8:\"filesize\";s:5:\"56166\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:22:\"geofield 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/geofield/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1373168451\";s:6:\"mdhash\";s:32:\"1912d5bc5733011dc4bfcf43f2425ea2\";s:8:\"filesize\";s:5:\"55557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:23:\"geofield 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/geofield/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1354769552\";s:6:\"mdhash\";s:32:\"281e7e69f442cb16d0af85f08ef19cf6\";s:8:\"filesize\";s:5:\"51871\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:23:\"geofield 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/geofield/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1352085418\";s:6:\"mdhash\";s:32:\"8a7e714c035a9d9b16b3ec5cf3e3300c\";s:8:\"filesize\";s:5:\"49126\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1372735859\";s:6:\"mdhash\";s:32:\"14fa10d1739da270856181dfb9ed77ef\";s:8:\"filesize\";s:5:\"33370\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1338941478\";s:6:\"mdhash\";s:32:\"dd2c7e633cd898ce4baea90c11ef7af2\";s:8:\"filesize\";s:5:\"32605\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1330810243\";s:6:\"mdhash\";s:32:\"4990f12d8be977c26bc43f0afd6f4399\";s:8:\"filesize\";s:5:\"33197\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"geofield 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328414750\";s:6:\"mdhash\";s:32:\"159b0bd815568cd8efce5ff7dc331fd6\";s:8:\"filesize\";s:5:\"33107\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:22:\"geofield 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1321549840\";s:6:\"mdhash\";s:32:\"6906ff5bab0e1de849a659c85584d51a\";s:8:\"filesize\";s:5:\"30250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"geofield 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1320344131\";s:6:\"mdhash\";s:32:\"f3b4512a2cf1862ff6960b5ca4015153\";s:8:\"filesize\";s:5:\"30261\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:23:\"geofield 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1315579902\";s:6:\"mdhash\";s:32:\"924462fbf47ae0faefe77f5a4609df63\";s:8:\"filesize\";s:5:\"22615\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:23:\"geofield 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1314385322\";s:6:\"mdhash\";s:32:\"4f0498b2017577b42b0c581625936dfb\";s:8:\"filesize\";s:5:\"19839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:23:\"geofield 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1303525015\";s:6:\"mdhash\";s:32:\"4fe13d519c331f6e383bc9a5ef213c9f\";s:8:\"filesize\";s:5:\"18473\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"geofield 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1302668521\";s:6:\"mdhash\";s:32:\"83e1e916ccf5780a07a4dd6dbe87d14f\";s:8:\"filesize\";s:5:\"16496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"geofield 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/geofield/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1300170368\";s:6:\"mdhash\";s:32:\"f8fe4d53d7b87e74ebed946ce524cf92\";s:8:\"filesize\";s:5:\"15927\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:20:\"geofield 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/geofield/releases/7.x-2.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1411337631\";s:6:\"mdhash\";s:32:\"0f66442e4225cfac8aac863195f41939\";s:8:\"filesize\";s:5:\"57528\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"geofield 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/geofield/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/geofield-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380580692\";s:6:\"mdhash\";s:32:\"6d5226dba1aa40df5bdf398eab10a1a8\";s:8:\"filesize\";s:5:\"33475\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435856,1500349441,1),('available_releases::geophp','a:11:{s:5:\"title\";s:6:\"geoPHP\";s:10:\"short_name\";s:6:\"geophp\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/geophp\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1352084822\";s:6:\"mdhash\";s:32:\"66d43e0f91da47fcc39633c211328d90\";s:8:\"filesize\";s:6:\"196513\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1346278925\";s:6:\"mdhash\";s:32:\"5c7e9cd282ce44b1a1dbb496d40aa4db\";s:8:\"filesize\";s:6:\"112597\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1346104041\";s:6:\"mdhash\";s:32:\"137a014a1c4ed0e2c33db2efbf1f14f4\";s:8:\"filesize\";s:6:\"194938\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1336257955\";s:6:\"mdhash\";s:32:\"0cc13648722d43070d641f1cda208102\";s:8:\"filesize\";s:6:\"112597\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1333313747\";s:6:\"mdhash\";s:32:\"165009977dc26faeab19f63c8f071e1d\";s:8:\"filesize\";s:5:\"86754\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1333312549\";s:6:\"mdhash\";s:32:\"1ab5bd0e3cf6e74de0357102f99464a4\";s:8:\"filesize\";s:5:\"86756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1331694350\";s:6:\"mdhash\";s:32:\"5cd5d241b647052a03e9eed3c45e27aa\";s:8:\"filesize\";s:5:\"86564\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1330836048\";s:6:\"mdhash\";s:32:\"a39fdc11914c9b824813b2fa5e9a3d21\";s:8:\"filesize\";s:4:\"7839\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"geophp 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/geophp/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1424680681\";s:6:\"mdhash\";s:32:\"88e03974fa27df9066fe42d381c73e0f\";s:8:\"filesize\";s:6:\"198370\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435857,1500349441,1),('available_releases::gmap','a:11:{s:5:\"title\";s:11:\"GMap Module\";s:10:\"short_name\";s:4:\"gmap\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/gmap\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:51:{s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:13:\"gmap 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/gmap/releases/7.x-2.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1457698139\";s:6:\"mdhash\";s:32:\"a457b062ef0f7a8f2ff4caa6e1b4299c\";s:8:\"filesize\";s:6:\"316275\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.11-beta1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.11-beta1\";s:7:\"version\";s:14:\"7.x-2.11-beta1\";s:3:\"tag\";s:14:\"7.x-2.11-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.11-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.11-beta1.tar.gz\";s:4:\"date\";s:10:\"1452250439\";s:6:\"mdhash\";s:32:\"80102c115dc67944f35adda2b6bbd37c\";s:8:\"filesize\";s:6:\"316209\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:13:\"gmap 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/gmap/releases/7.x-2.10\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1441725539\";s:6:\"mdhash\";s:32:\"af2d99281f1782d3f68639323f8d9363\";s:8:\"filesize\";s:6:\"316057\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-2.10-rc4\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc4\";s:7:\"version\";s:12:\"7.x-2.10-rc4\";s:3:\"tag\";s:12:\"7.x-2.10-rc4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc4.tar.gz\";s:4:\"date\";s:10:\"1438698839\";s:6:\"mdhash\";s:32:\"d480f4bef315b6ed97753823d398eeb6\";s:8:\"filesize\";s:6:\"315814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc3\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc3\";s:7:\"version\";s:12:\"7.x-2.10-rc3\";s:3:\"tag\";s:12:\"7.x-2.10-rc3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc3.tar.gz\";s:4:\"date\";s:10:\"1423589582\";s:6:\"mdhash\";s:32:\"ee2a7550617d58fab2f1a62ffdb85c57\";s:8:\"filesize\";s:6:\"314722\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc2\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc2\";s:7:\"version\";s:12:\"7.x-2.10-rc2\";s:3:\"tag\";s:12:\"7.x-2.10-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc2.tar.gz\";s:4:\"date\";s:10:\"1422534481\";s:6:\"mdhash\";s:32:\"76798c294f7249f4a003690c3e23f642\";s:8:\"filesize\";s:6:\"314046\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:12:\"7.x-2.10-rc1\";a:15:{s:4:\"name\";s:17:\"gmap 7.x-2.10-rc1\";s:7:\"version\";s:12:\"7.x-2.10-rc1\";s:3:\"tag\";s:12:\"7.x-2.10-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-rc1.tar.gz\";s:4:\"date\";s:10:\"1415526480\";s:6:\"mdhash\";s:32:\"5b2a9d7d87bc9fdacb4a7ce9b458bf43\";s:8:\"filesize\";s:6:\"314025\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.10-beta1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.10-beta1\";s:7:\"version\";s:14:\"7.x-2.10-beta1\";s:3:\"tag\";s:14:\"7.x-2.10-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.10-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.10-beta1.tar.gz\";s:4:\"date\";s:10:\"1403364227\";s:6:\"mdhash\";s:32:\"509e9cb9a02f4cc8d33fd54e338d5b5a\";s:8:\"filesize\";s:6:\"314579\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.9\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1394461105\";s:6:\"mdhash\";s:32:\"a6ee1f4e0fa2b0320a7f990adc558f0d\";s:8:\"filesize\";s:6:\"220797\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.9-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.9-alpha1\";s:7:\"version\";s:14:\"7.x-2.9-alpha1\";s:3:\"tag\";s:14:\"7.x-2.9-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.9-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.9-alpha1.tar.gz\";s:4:\"date\";s:10:\"1387385905\";s:6:\"mdhash\";s:32:\"20c771297a83dda561bc9f7a9c29a48e\";s:8:\"filesize\";s:6:\"200559\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.8\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1382625633\";s:6:\"mdhash\";s:32:\"b69927c5831df59a0b3ed5a0196e84fb\";s:8:\"filesize\";s:6:\"200069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.8-beta5\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta5\";s:7:\"version\";s:13:\"7.x-2.8-beta5\";s:3:\"tag\";s:13:\"7.x-2.8-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta5.tar.gz\";s:4:\"date\";s:10:\"1378834925\";s:6:\"mdhash\";s:32:\"485d5644b6c5adb71fd4e61a57bbff4e\";s:8:\"filesize\";s:6:\"200024\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta4\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta4\";s:7:\"version\";s:13:\"7.x-2.8-beta4\";s:3:\"tag\";s:13:\"7.x-2.8-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta4.tar.gz\";s:4:\"date\";s:10:\"1378207599\";s:6:\"mdhash\";s:32:\"244e89274d1ca94d941c8b32c1e8330d\";s:8:\"filesize\";s:6:\"199974\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta2\";s:7:\"version\";s:13:\"7.x-2.8-beta2\";s:3:\"tag\";s:13:\"7.x-2.8-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta2.tar.gz\";s:4:\"date\";s:10:\"1377527501\";s:6:\"mdhash\";s:32:\"69de6a58a1c14bfbaf6a6eb9bbd22aff\";s:8:\"filesize\";s:6:\"200693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.8-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.8-beta1\";s:7:\"version\";s:13:\"7.x-2.8-beta1\";s:3:\"tag\";s:13:\"7.x-2.8-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.8-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.8-beta1.tar.gz\";s:4:\"date\";s:10:\"1376472095\";s:6:\"mdhash\";s:32:\"3f7f08ce759d5fb88019e3926f216e7d\";s:8:\"filesize\";s:6:\"199140\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.7\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1371720662\";s:6:\"mdhash\";s:32:\"4da5217ee037fda67b7ad80f96edb692\";s:8:\"filesize\";s:6:\"198666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.7-rc1\";a:15:{s:4:\"name\";s:16:\"gmap 7.x-2.7-rc1\";s:7:\"version\";s:11:\"7.x-2.7-rc1\";s:3:\"tag\";s:11:\"7.x-2.7-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-rc1.tar.gz\";s:4:\"date\";s:10:\"1368107117\";s:6:\"mdhash\";s:32:\"9cbf9005dbcf9739f56c708702b2c6c0\";s:8:\"filesize\";s:6:\"197712\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta4\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta4\";s:7:\"version\";s:13:\"7.x-2.7-beta4\";s:3:\"tag\";s:13:\"7.x-2.7-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta4.tar.gz\";s:4:\"date\";s:10:\"1367862313\";s:6:\"mdhash\";s:32:\"67ed24981108bcea20174909eb3dc206\";s:8:\"filesize\";s:6:\"197720\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta3\";s:7:\"version\";s:13:\"7.x-2.7-beta3\";s:3:\"tag\";s:13:\"7.x-2.7-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta3.tar.gz\";s:4:\"date\";s:10:\"1367760316\";s:6:\"mdhash\";s:32:\"4721815d4571c203c1f03838ac6d0c73\";s:8:\"filesize\";s:6:\"196731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta2\";s:7:\"version\";s:13:\"7.x-2.7-beta2\";s:3:\"tag\";s:13:\"7.x-2.7-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta2.tar.gz\";s:4:\"date\";s:10:\"1366135867\";s:6:\"mdhash\";s:32:\"a6bf452f9085f4997f9387e5ab57b8e7\";s:8:\"filesize\";s:6:\"192559\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.7-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.7-beta1\";s:7:\"version\";s:13:\"7.x-2.7-beta1\";s:3:\"tag\";s:13:\"7.x-2.7-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.7-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.7-beta1.tar.gz\";s:4:\"date\";s:10:\"1365701712\";s:6:\"mdhash\";s:32:\"fb37c7904e81e1d839bc1c89ffd916d0\";s:8:\"filesize\";s:6:\"191992\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.6\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1364754012\";s:6:\"mdhash\";s:32:\"672ebeaa5e6ab5a19bdbe8b7ed8f6abf\";s:8:\"filesize\";s:6:\"191923\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.5\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1364409312\";s:6:\"mdhash\";s:32:\"aa57eaa702860e13b9ed16f260e95b67\";s:8:\"filesize\";s:6:\"181745\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.5-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.5-beta3\";s:7:\"version\";s:13:\"7.x-2.5-beta3\";s:3:\"tag\";s:13:\"7.x-2.5-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-beta3.tar.gz\";s:4:\"date\";s:10:\"1364382917\";s:6:\"mdhash\";s:32:\"56fd3ec7bf63d016102a709a53a0d2cb\";s:8:\"filesize\";s:6:\"191946\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.5-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.5-beta2\";s:7:\"version\";s:13:\"7.x-2.5-beta2\";s:3:\"tag\";s:13:\"7.x-2.5-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-beta2.tar.gz\";s:4:\"date\";s:10:\"1364322612\";s:6:\"mdhash\";s:32:\"a92c4da24ba4ce4f90026774f0b491d7\";s:8:\"filesize\";s:6:\"191974\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.5-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.5-beta1\";s:7:\"version\";s:13:\"7.x-2.5-beta1\";s:3:\"tag\";s:13:\"7.x-2.5-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1363700266\";s:6:\"mdhash\";s:32:\"98b88991d866f6695fc23ee108a153da\";s:8:\"filesize\";s:6:\"191828\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.5-alpha4\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha4\";s:7:\"version\";s:14:\"7.x-2.5-alpha4\";s:3:\"tag\";s:14:\"7.x-2.5-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha4.tar.gz\";s:4:\"date\";s:10:\"1363181711\";s:6:\"mdhash\";s:32:\"6bdb36c3f721b1ba78df14775e46ff14\";s:8:\"filesize\";s:6:\"191809\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.5-alpha3\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha3\";s:7:\"version\";s:14:\"7.x-2.5-alpha3\";s:3:\"tag\";s:14:\"7.x-2.5-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha3.tar.gz\";s:4:\"date\";s:10:\"1363080018\";s:6:\"mdhash\";s:32:\"1540aae5b23e5d16468a48adf0c2c765\";s:8:\"filesize\";s:6:\"191757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.5-alpha2\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha2\";s:7:\"version\";s:14:\"7.x-2.5-alpha2\";s:3:\"tag\";s:14:\"7.x-2.5-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha2.tar.gz\";s:4:\"date\";s:10:\"1362909011\";s:6:\"mdhash\";s:32:\"f758f198a914441515888c9bcb8ba4d5\";s:8:\"filesize\";s:6:\"191992\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.5-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.5-alpha1\";s:7:\"version\";s:14:\"7.x-2.5-alpha1\";s:3:\"tag\";s:14:\"7.x-2.5-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.5-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.5-alpha1.tar.gz\";s:4:\"date\";s:10:\"1362873620\";s:6:\"mdhash\";s:32:\"bfb4f1292f7a027f529b6e794e2ce1c4\";s:8:\"filesize\";s:6:\"189076\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1361832031\";s:6:\"mdhash\";s:32:\"c6f951a6677729f98aaa8c5e569db1f6\";s:8:\"filesize\";s:6:\"182739\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.4-beta4\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta4\";s:7:\"version\";s:13:\"7.x-2.4-beta4\";s:3:\"tag\";s:13:\"7.x-2.4-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta4.tar.gz\";s:4:\"date\";s:10:\"1361811779\";s:6:\"mdhash\";s:32:\"4e6020e2b6e714aeedb93bbc21016ef1\";s:8:\"filesize\";s:6:\"181927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.4-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta3\";s:7:\"version\";s:13:\"7.x-2.4-beta3\";s:3:\"tag\";s:13:\"7.x-2.4-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta3.tar.gz\";s:4:\"date\";s:10:\"1361811784\";s:6:\"mdhash\";s:32:\"d9d6a970e01f28752103aa9e43c22450\";s:8:\"filesize\";s:6:\"181942\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.4-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta2\";s:7:\"version\";s:13:\"7.x-2.4-beta2\";s:3:\"tag\";s:13:\"7.x-2.4-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta2.tar.gz\";s:4:\"date\";s:10:\"1361811782\";s:6:\"mdhash\";s:32:\"b6d460f0fa41dda996d6428afb0d2df9\";s:8:\"filesize\";s:6:\"180474\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.4-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.4-beta1\";s:7:\"version\";s:13:\"7.x-2.4-beta1\";s:3:\"tag\";s:13:\"7.x-2.4-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.4-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.4-beta1.tar.gz\";s:4:\"date\";s:10:\"1360694706\";s:6:\"mdhash\";s:32:\"e3bc6520c8cb23fc5077027f2b23fa52\";s:8:\"filesize\";s:6:\"180480\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360250306\";s:6:\"mdhash\";s:32:\"b51d90165b35fc8dd1e268330e7e19b6\";s:8:\"filesize\";s:6:\"180336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.3-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.3-beta2\";s:7:\"version\";s:13:\"7.x-2.3-beta2\";s:3:\"tag\";s:13:\"7.x-2.3-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-beta2.tar.gz\";s:4:\"date\";s:10:\"1360248860\";s:6:\"mdhash\";s:32:\"04fa4cd2d0d5e7a848f6b853dca32ee4\";s:8:\"filesize\";s:6:\"180356\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.3-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-2.3-beta1\";s:7:\"version\";s:13:\"7.x-2.3-beta1\";s:3:\"tag\";s:13:\"7.x-2.3-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-beta1.tar.gz\";s:4:\"date\";s:10:\"1360245338\";s:6:\"mdhash\";s:32:\"7635495a2c02c4b77e72f6f0a727b4b2\";s:8:\"filesize\";s:6:\"180358\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha3\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.3-alpha3\";s:7:\"version\";s:14:\"7.x-2.3-alpha3\";s:3:\"tag\";s:14:\"7.x-2.3-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-alpha3.tar.gz\";s:4:\"date\";s:10:\"1359654207\";s:6:\"mdhash\";s:32:\"1c16d85fdc03939bc0f997399713445b\";s:8:\"filesize\";s:6:\"180352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha2\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.3-alpha2\";s:7:\"version\";s:14:\"7.x-2.3-alpha2\";s:3:\"tag\";s:14:\"7.x-2.3-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-alpha2.tar.gz\";s:4:\"date\";s:10:\"1352116316\";s:6:\"mdhash\";s:32:\"d8c2c2063f976c9f3ccbbc65b1f38157\";s:8:\"filesize\";s:6:\"180062\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1352115711\";s:6:\"mdhash\";s:32:\"e592ab70ac77b86ba82976f1badeeaec\";s:8:\"filesize\";s:6:\"180070\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1351989489\";s:6:\"mdhash\";s:32:\"144f08ebd577066230d0797da4cac43b\";s:8:\"filesize\";s:6:\"179954\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:12:\"gmap 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/gmap/releases/7.x-2.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1351984023\";s:6:\"mdhash\";s:32:\"e7542921c9f3c372e0540f107f13c675\";s:8:\"filesize\";s:6:\"177256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.1-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.1-beta2\";s:7:\"version\";s:13:\"7.x-1.1-beta2\";s:3:\"tag\";s:13:\"7.x-1.1-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.1-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.1-beta2.tar.gz\";s:4:\"date\";s:10:\"1361811787\";s:6:\"mdhash\";s:32:\"7f35be05121081b921fcfa88b838cf23\";s:8:\"filesize\";s:6:\"180779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.1-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.1-beta1\";s:7:\"version\";s:13:\"7.x-1.1-beta1\";s:3:\"tag\";s:13:\"7.x-1.1-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.1-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.1-beta1.tar.gz\";s:4:\"date\";s:10:\"1360694709\";s:6:\"mdhash\";s:32:\"84dfdea9f83e7d36bb17a7868117fa61\";s:8:\"filesize\";s:6:\"180764\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1360248862\";s:6:\"mdhash\";s:32:\"2656da4f7a9c56ede1e2bb1ad717be27\";s:8:\"filesize\";s:6:\"180616\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1360245333\";s:6:\"mdhash\";s:32:\"f3a5df66256d7305c512b1ab57195a98\";s:8:\"filesize\";s:6:\"180616\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"gmap 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1352129815\";s:6:\"mdhash\";s:32:\"f650dd20678b1cdf3862719dda18267d\";s:8:\"filesize\";s:6:\"180360\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"gmap 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/gmap/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1352115113\";s:6:\"mdhash\";s:32:\"14d831a66d83ecb5d80fe9ce67700460\";s:8:\"filesize\";s:6:\"180327\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:16:\"gmap 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/gmap/releases/7.x-2.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1495444683\";s:6:\"mdhash\";s:32:\"1e341adb496264763630c263b855310f\";s:8:\"filesize\";s:6:\"309778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"gmap 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/gmap/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/gmap-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380581052\";s:6:\"mdhash\";s:32:\"ec68d07a8f79b4a0d51f88cc1078efb1\";s:8:\"filesize\";s:6:\"181744\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435858,1500349441,1),('available_releases::icon','a:11:{s:5:\"title\";s:8:\"Icon API\";s:10:\"short_name\";s:4:\"icon\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/icon\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"icon 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/icon/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1490035383\";s:6:\"mdhash\";s:32:\"2bbcce141deca20d1531c9da49d78005\";s:8:\"filesize\";s:5:\"98998\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:16:\"icon 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/icon/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1481888884\";s:6:\"mdhash\";s:32:\"f7a0a1b7e9a6fb79c9aff996b97c2f5c\";s:8:\"filesize\";s:5:\"98994\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:18:\"icon 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/icon/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1438832039\";s:6:\"mdhash\";s:32:\"422465ab3f9ea49c0024b54394ea59c0\";s:8:\"filesize\";s:6:\"100657\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:18:\"icon 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/icon/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1392643705\";s:6:\"mdhash\";s:32:\"b3e14b3b18db785b8f2c98846a0e21ec\";s:8:\"filesize\";s:6:\"102287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:18:\"icon 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/icon/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1392515005\";s:6:\"mdhash\";s:32:\"29f02b508b7ce5340863d35d0ca051de\";s:8:\"filesize\";s:6:\"101763\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:18:\"icon 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/icon/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1376583265\";s:6:\"mdhash\";s:32:\"f4a5f9b87c3445d3f1ba510f1a39e5ed\";s:8:\"filesize\";s:5:\"99018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:18:\"icon 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/icon/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1372086351\";s:6:\"mdhash\";s:32:\"12ef3e855be0beca394aa471ef433a93\";s:8:\"filesize\";s:5:\"98148\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"icon 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/icon/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1367221211\";s:6:\"mdhash\";s:32:\"a59197537a875b16cc30f162d3cdfdc3\";s:8:\"filesize\";s:5:\"97276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"icon 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/icon/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/icon-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1481888583\";s:6:\"mdhash\";s:32:\"c4b864efe6962f7255a44100e65309ea\";s:8:\"filesize\";s:5:\"99010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435859,1500349441,1),('available_releases::ip_geoloc','a:11:{s:5:\"title\";s:31:\"IP Geolocation Views &amp; Maps\";s:10:\"short_name\";s:9:\"ip_geoloc\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/ip_geoloc\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:42:{s:8:\"7.x-1.30\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.30\";s:7:\"version\";s:8:\"7.x-1.30\";s:3:\"tag\";s:8:\"7.x-1.30\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.30\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.30.tar.gz\";s:4:\"date\";s:10:\"1484962985\";s:6:\"mdhash\";s:32:\"6a598aaa508fe4a55c5cf2ec18d98ca3\";s:8:\"filesize\";s:6:\"186488\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.29\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.29\";s:7:\"version\";s:8:\"7.x-1.29\";s:3:\"tag\";s:8:\"7.x-1.29\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"29\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.29\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.29.tar.gz\";s:4:\"date\";s:10:\"1449891540\";s:6:\"mdhash\";s:32:\"ce37754079d444d25bf032043f733882\";s:8:\"filesize\";s:6:\"186228\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.28\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.28\";s:7:\"version\";s:8:\"7.x-1.28\";s:3:\"tag\";s:8:\"7.x-1.28\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"28\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.28\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.28.tar.gz\";s:4:\"date\";s:10:\"1443937440\";s:6:\"mdhash\";s:32:\"4642b71dd3d8e0afc3a15db6ba1e7767\";s:8:\"filesize\";s:6:\"185298\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.27\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.27\";s:7:\"version\";s:8:\"7.x-1.27\";s:3:\"tag\";s:8:\"7.x-1.27\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.27\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.27.tar.gz\";s:4:\"date\";s:10:\"1430692981\";s:6:\"mdhash\";s:32:\"a4072f1232558cb32f9bc47dbe04e310\";s:8:\"filesize\";s:6:\"182045\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.26\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.26\";s:7:\"version\";s:8:\"7.x-1.26\";s:3:\"tag\";s:8:\"7.x-1.26\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.26\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.26.tar.gz\";s:4:\"date\";s:10:\"1415869080\";s:6:\"mdhash\";s:32:\"0667222d2d9d11b2cf21d5d28a1a596c\";s:8:\"filesize\";s:6:\"170961\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.25\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.25\";s:7:\"version\";s:8:\"7.x-1.25\";s:3:\"tag\";s:8:\"7.x-1.25\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.25\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.25.tar.gz\";s:4:\"date\";s:10:\"1396180745\";s:6:\"mdhash\";s:32:\"f1ab49dfa22c9591e77415b2f4635d4e\";s:8:\"filesize\";s:6:\"130167\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.24\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.24\";s:7:\"version\";s:8:\"7.x-1.24\";s:3:\"tag\";s:8:\"7.x-1.24\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.24\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.24.tar.gz\";s:4:\"date\";s:10:\"1391668105\";s:6:\"mdhash\";s:32:\"b17f3edac91ac8b29b55aacb2bdb560f\";s:8:\"filesize\";s:6:\"127825\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.23\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.23\";s:7:\"version\";s:8:\"7.x-1.23\";s:3:\"tag\";s:8:\"7.x-1.23\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.23\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.23.tar.gz\";s:4:\"date\";s:10:\"1378343499\";s:6:\"mdhash\";s:32:\"3f3e1fac24be4e6b54a87442cc239135\";s:8:\"filesize\";s:6:\"124010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.22\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.22\";s:7:\"version\";s:8:\"7.x-1.22\";s:3:\"tag\";s:8:\"7.x-1.22\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.22\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.22.tar.gz\";s:4:\"date\";s:10:\"1370587857\";s:6:\"mdhash\";s:32:\"6b70f795490cdda8c29ea0293567ba3d\";s:8:\"filesize\";s:6:\"121860\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.21\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.21\";s:7:\"version\";s:8:\"7.x-1.21\";s:3:\"tag\";s:8:\"7.x-1.21\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.21\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.21.tar.gz\";s:4:\"date\";s:10:\"1370495456\";s:6:\"mdhash\";s:32:\"ecb79b3ec861d29dc59ac1449bff0c66\";s:8:\"filesize\";s:6:\"121854\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.20\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.20\";s:7:\"version\";s:8:\"7.x-1.20\";s:3:\"tag\";s:8:\"7.x-1.20\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.20\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.20.tar.gz\";s:4:\"date\";s:10:\"1366877412\";s:6:\"mdhash\";s:32:\"1c688f7ce3f42d6656572838115487b3\";s:8:\"filesize\";s:5:\"93887\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.19\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.19\";s:7:\"version\";s:8:\"7.x-1.19\";s:3:\"tag\";s:8:\"7.x-1.19\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.19\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.19.tar.gz\";s:4:\"date\";s:10:\"1360064284\";s:6:\"mdhash\";s:32:\"0dff0982396aea9ceaee5eed8932c716\";s:8:\"filesize\";s:5:\"84514\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.18\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.18\";s:7:\"version\";s:8:\"7.x-1.18\";s:3:\"tag\";s:8:\"7.x-1.18\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.18\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.18.tar.gz\";s:4:\"date\";s:10:\"1354760258\";s:6:\"mdhash\";s:32:\"dc0b931665628a60ad4d6403cfe1148c\";s:8:\"filesize\";s:5:\"81870\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.17\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.17\";s:7:\"version\";s:8:\"7.x-1.17\";s:3:\"tag\";s:8:\"7.x-1.17\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.17\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.17.tar.gz\";s:4:\"date\";s:10:\"1347428594\";s:6:\"mdhash\";s:32:\"6e2aeb3f64a09c7cbbbe22ae0df978dd\";s:8:\"filesize\";s:5:\"75892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.16\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.16\";s:7:\"version\";s:8:\"7.x-1.16\";s:3:\"tag\";s:8:\"7.x-1.16\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.16\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.16.tar.gz\";s:4:\"date\";s:10:\"1344490619\";s:6:\"mdhash\";s:32:\"9c7bd8fb8f2670d95bd9ea32fa34e792\";s:8:\"filesize\";s:5:\"71932\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.15\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.15\";s:7:\"version\";s:8:\"7.x-1.15\";s:3:\"tag\";s:8:\"7.x-1.15\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.15\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.15.tar.gz\";s:4:\"date\";s:10:\"1343711224\";s:6:\"mdhash\";s:32:\"0380320f985d6d0d301e05a345612cc2\";s:8:\"filesize\";s:5:\"70425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.14\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.14\";s:7:\"version\";s:8:\"7.x-1.14\";s:3:\"tag\";s:8:\"7.x-1.14\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.14\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.14.tar.gz\";s:4:\"date\";s:10:\"1343284094\";s:6:\"mdhash\";s:32:\"baf422ec41c1153d6b088caf05346a85\";s:8:\"filesize\";s:5:\"68762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.13\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.13\";s:7:\"version\";s:8:\"7.x-1.13\";s:3:\"tag\";s:8:\"7.x-1.13\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.13\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1341906124\";s:6:\"mdhash\";s:32:\"ed5353cefa638207047e013238bf3892\";s:8:\"filesize\";s:5:\"45350\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.12\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1340686294\";s:6:\"mdhash\";s:32:\"380679c5d94f476574629340b8e698ea\";s:8:\"filesize\";s:5:\"41134\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1340626579\";s:6:\"mdhash\";s:32:\"14573c08258bc5990c20e8b71947b7b9\";s:8:\"filesize\";s:5:\"40505\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1340526681\";s:6:\"mdhash\";s:32:\"d50eae6a299727f1c9ed7a18b2cad789\";s:8:\"filesize\";s:5:\"39719\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1340271379\";s:6:\"mdhash\";s:32:\"1449ffa2a6d62b1c968c9cbd069cfe12\";s:8:\"filesize\";s:5:\"39553\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1335786956\";s:6:\"mdhash\";s:32:\"e544bd54928987021cc63098617f4f06\";s:8:\"filesize\";s:5:\"39371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1333254051\";s:6:\"mdhash\";s:32:\"da18cb8477ca1a16d91d0ba486e4ae2f\";s:8:\"filesize\";s:5:\"38012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1332586545\";s:6:\"mdhash\";s:32:\"fbcdb29dbd3e534b52b0b9b6fb0b694a\";s:8:\"filesize\";s:5:\"37362\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1330742742\";s:6:\"mdhash\";s:32:\"f3e572c2ac350edc0a704f652887595f\";s:8:\"filesize\";s:5:\"37079\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1329617449\";s:6:\"mdhash\";s:32:\"8bb14eede11d0a9580023ef2d9c87d77\";s:8:\"filesize\";s:5:\"34252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1326434143\";s:6:\"mdhash\";s:32:\"879b0065719f2a6b58dd223064fc3976\";s:8:\"filesize\";s:5:\"31764\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1326328952\";s:6:\"mdhash\";s:0:\"\";s:8:\"filesize\";s:5:\"31757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1316955706\";s:6:\"mdhash\";s:32:\"39d1fcd9a87e2d18758b888778a085b5\";s:8:\"filesize\";s:5:\"30792\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"ip_geoloc 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1316672205\";s:6:\"mdhash\";s:32:\"95399dd83b7eb09f99e219ebd80f1afc\";s:8:\"filesize\";s:5:\"30711\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:23:\"ip_geoloc 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1316318803\";s:6:\"mdhash\";s:32:\"60bbaf130e7d4dfc11a8ed0005bfa049\";s:8:\"filesize\";s:5:\"30228\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:23:\"ip_geoloc 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1316132594\";s:6:\"mdhash\";s:32:\"a24bd141579e5cf93e9b41d1c71546a4\";s:8:\"filesize\";s:5:\"28277\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:23:\"ip_geoloc 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1316068321\";s:6:\"mdhash\";s:32:\"40894ee8144f3c07ad1b574c2a83aba2\";s:8:\"filesize\";s:5:\"28281\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:23:\"ip_geoloc 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1315795003\";s:6:\"mdhash\";s:32:\"468dfecccf53e4912c6d7bcf57da80cd\";s:8:\"filesize\";s:5:\"26944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:23:\"ip_geoloc 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1315625503\";s:6:\"mdhash\";s:32:\"9b70b4bcbd6a6ffeb61ac392898eb1bb\";s:8:\"filesize\";s:5:\"27035\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:23:\"ip_geoloc 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1315441453\";s:6:\"mdhash\";s:32:\"bf9bf255ad33414396988bcead9c0cb6\";s:8:\"filesize\";s:5:\"26874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:24:\"ip_geoloc 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1315185122\";s:6:\"mdhash\";s:32:\"24035495a1fcef4c70a647155845dd96\";s:8:\"filesize\";s:5:\"26303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:24:\"ip_geoloc 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1314926818\";s:6:\"mdhash\";s:32:\"b647964f640e3e7a22c827813c296c1a\";s:8:\"filesize\";s:5:\"26012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:24:\"ip_geoloc 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1314796917\";s:6:\"mdhash\";s:32:\"3fa58006023e0440fe24d8eb17b04f8f\";s:8:\"filesize\";s:5:\"25721\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:24:\"ip_geoloc 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1314761817\";s:6:\"mdhash\";s:32:\"285ce2fa89d5e974f9766d76813b4ccd\";s:8:\"filesize\";s:5:\"25224\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"ip_geoloc 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493503084\";s:6:\"mdhash\";s:32:\"705d76d30df99141c75e2dd20bf76492\";s:8:\"filesize\";s:6:\"186500\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435859,1500349441,1),('available_releases::jcarousel','a:11:{s:5:\"title\";s:9:\"jCarousel\";s:10:\"short_name\";s:9:\"jcarousel\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.7-rc1\";a:15:{s:4:\"name\";s:21:\"jcarousel 7.x-2.7-rc1\";s:7:\"version\";s:11:\"7.x-2.7-rc1\";s:3:\"tag\";s:11:\"7.x-2.7-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7-rc1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7-rc1.tar.gz\";s:4:\"date\";s:10:\"1420458180\";s:6:\"mdhash\";s:32:\"cd41f12d87404de09a65778c96f60dc4\";s:8:\"filesize\";s:5:\"58292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1322116852\";s:6:\"mdhash\";s:32:\"0cd60b44c05b4d0e1001357f59ecc20c\";s:8:\"filesize\";s:5:\"59462\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1319935769\";s:6:\"mdhash\";s:32:\"390b331e84ee07078c15c947b5a49906\";s:8:\"filesize\";s:5:\"58051\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.4-alpha3\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.4-alpha3\";s:7:\"version\";s:14:\"7.x-2.4-alpha3\";s:3:\"tag\";s:14:\"7.x-2.4-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.4-alpha3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.4-alpha3.tar.gz\";s:4:\"date\";s:10:\"1302133615\";s:6:\"mdhash\";s:32:\"8a26f61e7c879bf969450cdadfb3bed4\";s:8:\"filesize\";s:5:\"55189\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.3-alpha2\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.3-alpha2\";s:7:\"version\";s:14:\"7.x-2.3-alpha2\";s:3:\"tag\";s:14:\"7.x-2.3-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.3-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.3-alpha2.tar.gz\";s:4:\"date\";s:10:\"1297036300\";s:6:\"mdhash\";s:32:\"0a46305bd164dcb3488b539381fcfd80\";s:8:\"filesize\";s:5:\"55269\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.2-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.2-alpha1\";s:7:\"version\";s:14:\"7.x-2.2-alpha1\";s:3:\"tag\";s:14:\"7.x-2.2-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.2-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.2-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292868983\";s:6:\"mdhash\";s:32:\"e67324d105cce787f5a0cb620494bf2a\";s:8:\"filesize\";s:5:\"55026\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.1-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.1-alpha1\";s:7:\"version\";s:14:\"7.x-2.1-alpha1\";s:3:\"tag\";s:14:\"7.x-2.1-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.1-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.1-alpha1.tar.gz\";s:4:\"date\";s:10:\"1292184217\";s:6:\"mdhash\";s:32:\"154017caadc52cd00407c499c8dfcfc3\";s:8:\"filesize\";s:5:\"54766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"jcarousel 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1290991275\";s:6:\"mdhash\";s:32:\"e70693d58a9d241bc98a4f602ea305da\";s:8:\"filesize\";s:5:\"54560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420043280\";s:6:\"mdhash\";s:32:\"f08221738d43aedaa6e5eda20b56821c\";s:8:\"filesize\";s:5:\"43746\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"jcarousel 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1420464180\";s:6:\"mdhash\";s:32:\"90787216acc1a3738c47ef8d0b568380\";s:8:\"filesize\";s:5:\"58318\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435860,1500349441,1),('available_releases::jquery_update','a:11:{s:5:\"title\";s:13:\"jQuery Update\";s:10:\"short_name\";s:13:\"jquery_update\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha4\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha4\";s:7:\"version\";s:14:\"7.x-3.0-alpha4\";s:3:\"tag\";s:14:\"7.x-3.0-alpha4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1489024086\";s:6:\"mdhash\";s:32:\"b9cadf50cf17638df514aad3c188c776\";s:8:\"filesize\";s:7:\"1978968\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1445382239\";s:6:\"mdhash\";s:32:\"599739c36c8095b1a268d82a8d5820ac\";s:8:\"filesize\";s:7:\"1463630\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1432926481\";s:6:\"mdhash\";s:32:\"99d161a138a599ee9ebd30434479e1ca\";s:8:\"filesize\";s:7:\"1542292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1431975181\";s:6:\"mdhash\";s:32:\"500a98ed3bec0c943994c43913422332\";s:8:\"filesize\";s:7:\"1541898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1434549780\";s:6:\"mdhash\";s:32:\"88b81a8defbfdf9a4674f876685543f1\";s:8:\"filesize\";s:7:\"1203578\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1422221880\";s:6:\"mdhash\";s:32:\"47f430531b0a2a821c791325b2d89388\";s:8:\"filesize\";s:7:\"1201320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1396482245\";s:6:\"mdhash\";s:32:\"9cc4f8b964202f1d6f005a43a08060c6\";s:8:\"filesize\";s:7:\"1199709\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360375905\";s:6:\"mdhash\";s:32:\"2d5a1e594a027fa849ed250f5dfef7c5\";s:8:\"filesize\";s:6:\"709788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1348790474\";s:6:\"mdhash\";s:32:\"2fe04a30f74e47c0b1a4ce24023a39fa\";s:8:\"filesize\";s:6:\"709779\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1301920269\";s:6:\"mdhash\";s:32:\"944e097382c08d9a3ba5028ac700162b\";s:8:\"filesize\";s:6:\"482023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1300647067\";s:6:\"mdhash\";s:32:\"6b6f9064e23aaede7ce9f04ded255a57\";s:8:\"filesize\";s:6:\"479984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1297454705\";s:6:\"mdhash\";s:32:\"de6d8095e0bdd4e231922974df3f8fc7\";s:8:\"filesize\";s:6:\"476204\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1297453316\";s:6:\"mdhash\";s:32:\"4fa3749b8e477b76341d72a5516344d8\";s:8:\"filesize\";s:6:\"476208\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490804883\";s:6:\"mdhash\";s:32:\"5786d8734547bdd37d012b365aaa44d9\";s:8:\"filesize\";s:7:\"1980264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"b4c28c594a6ecf50ccb9cd9689e778c9\";s:8:\"filesize\";s:7:\"1135988\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380584081\";s:6:\"mdhash\";s:32:\"9d1b43a6e55ea389f03cd338ab9c5f35\";s:8:\"filesize\";s:6:\"472169\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435861,1500349441,1),('available_releases::leaflet','a:11:{s:5:\"title\";s:7:\"Leaflet\";s:10:\"short_name\";s:7:\"leaflet\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/leaflet\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:15:\"leaflet 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/leaflet/releases/7.x-1.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1484885584\";s:6:\"mdhash\";s:32:\"c932ac93bcff9552bdc65889c5dafea0\";s:8:\"filesize\";s:5:\"26471\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:15:\"leaflet 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/leaflet/releases/7.x-1.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444353839\";s:6:\"mdhash\";s:32:\"1904d4f48d8dc62c3429c95e89bbac07\";s:8:\"filesize\";s:5:\"25483\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:15:\"leaflet 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/leaflet/releases/7.x-1.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1443921240\";s:6:\"mdhash\";s:32:\"ca4e65e7578389652a66c7394e20979b\";s:8:\"filesize\";s:5:\"25369\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:15:\"leaflet 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/leaflet/releases/7.x-1.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1390350505\";s:6:\"mdhash\";s:32:\"c76b911080fd0c6def4d548482be7b57\";s:8:\"filesize\";s:5:\"22923\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:15:\"leaflet 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/leaflet/releases/7.x-1.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1386008304\";s:6:\"mdhash\";s:32:\"de409f419f1975d6354e5a395df523f3\";s:8:\"filesize\";s:5:\"22406\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:21:\"leaflet 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/leaflet/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1368573312\";s:6:\"mdhash\";s:32:\"bc8d959bbd9034ddf9880143c11f4c55\";s:8:\"filesize\";s:5:\"17436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:21:\"leaflet 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/leaflet/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1359548861\";s:6:\"mdhash\";s:32:\"f583e77d748769e32cbfd895d9d1d785\";s:8:\"filesize\";s:5:\"17057\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:21:\"leaflet 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/leaflet/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1347044609\";s:6:\"mdhash\";s:32:\"3ff9ee4773ec93b7400500f46bfb4031\";s:8:\"filesize\";s:5:\"15909\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:22:\"leaflet 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/leaflet/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1328820642\";s:6:\"mdhash\";s:32:\"01984cbf573b869f5750708088628cda\";s:8:\"filesize\";s:5:\"13127\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:19:\"leaflet 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/leaflet/releases/7.x-1.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1484884983\";s:6:\"mdhash\";s:32:\"a560ffcf484035c26f158903339f5734\";s:8:\"filesize\";s:5:\"26472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435862,1500349441,1),('available_releases::leaflet_more_maps','a:11:{s:5:\"title\";s:17:\"Leaflet More Maps\";s:10:\"short_name\";s:17:\"leaflet_more_maps\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:48:\"https://www.drupal.org/project/leaflet_more_maps\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:8:\"7.x-1.17\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.17\";s:7:\"version\";s:8:\"7.x-1.17\";s:3:\"tag\";s:8:\"7.x-1.17\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.17\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.17.tar.gz\";s:4:\"date\";s:10:\"1484878087\";s:6:\"mdhash\";s:32:\"2715f0274a94c6d56f29008ec636f2f6\";s:8:\"filesize\";s:5:\"17292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.16\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.16\";s:7:\"version\";s:8:\"7.x-1.16\";s:3:\"tag\";s:8:\"7.x-1.16\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.16\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.16.tar.gz\";s:4:\"date\";s:10:\"1457425425\";s:6:\"mdhash\";s:32:\"3284821d7d532781fd63e31e4e34874d\";s:8:\"filesize\";s:5:\"16693\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:8:\"7.x-1.15\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.15\";s:7:\"version\";s:8:\"7.x-1.15\";s:3:\"tag\";s:8:\"7.x-1.15\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.15\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.15.tar.gz\";s:4:\"date\";s:10:\"1457305439\";s:6:\"mdhash\";s:32:\"0576cd0c0a377c596daa661509d1f390\";s:8:\"filesize\";s:5:\"16686\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.14\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.14\";s:7:\"version\";s:8:\"7.x-1.14\";s:3:\"tag\";s:8:\"7.x-1.14\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.14\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.14.tar.gz\";s:4:\"date\";s:10:\"1443810539\";s:6:\"mdhash\";s:32:\"1a1f1d3b8ab69ad3c8a54f8c3d8fcdc0\";s:8:\"filesize\";s:5:\"16683\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.13\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.13\";s:7:\"version\";s:8:\"7.x-1.13\";s:3:\"tag\";s:8:\"7.x-1.13\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.13\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.13.tar.gz\";s:4:\"date\";s:10:\"1438994339\";s:6:\"mdhash\";s:32:\"d054bc273eb6e05ba4b8cc490dd76aca\";s:8:\"filesize\";s:5:\"16671\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.12\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1435475880\";s:6:\"mdhash\";s:32:\"1a21327da41e6b9cfbb003561db6e063\";s:8:\"filesize\";s:5:\"16507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.11\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1426476785\";s:6:\"mdhash\";s:32:\"cdad359842fecf048886c8abe0f3508c\";s:8:\"filesize\";s:5:\"16489\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.10\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1415868781\";s:6:\"mdhash\";s:32:\"f4eb1ce6760e0cb5c70e9d59df26dccf\";s:8:\"filesize\";s:5:\"16154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.9\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1393555418\";s:6:\"mdhash\";s:32:\"3486d1cc9b3ed116fbd3ea3bf8f4ec4e\";s:8:\"filesize\";s:5:\"16108\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.8\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1391662405\";s:6:\"mdhash\";s:32:\"1a35c71248718d5fa6f3e2cbace4c4c6\";s:8:\"filesize\";s:5:\"15824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.7\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1380909139\";s:6:\"mdhash\";s:32:\"b7d6f6092ff7e6335c1fdf40ecc046f5\";s:8:\"filesize\";s:5:\"15950\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.6\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1375329074\";s:6:\"mdhash\";s:32:\"a2cb3dfcd5e75df46a30887e64bf66d8\";s:8:\"filesize\";s:5:\"15490\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1370413854\";s:6:\"mdhash\";s:32:\"479607cb7422211bf4ed67c21de3d06c\";s:8:\"filesize\";s:5:\"15532\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1366182606\";s:6:\"mdhash\";s:32:\"4df47e077e515455a448515a8e4cc720\";s:8:\"filesize\";s:5:\"14011\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1363734393\";s:6:\"mdhash\";s:32:\"be7395b461e4f9b32b2054715010eb0d\";s:8:\"filesize\";s:5:\"13195\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1359259796\";s:6:\"mdhash\";s:32:\"ff252d7680c4e4349ff99820403398b2\";s:8:\"filesize\";s:5:\"12338\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1354770150\";s:6:\"mdhash\";s:32:\"e454a4ee07e62f5f81589b33b25cad65\";s:8:\"filesize\";s:5:\"12330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:25:\"leaflet_more_maps 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.0\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1347413643\";s:6:\"mdhash\";s:32:\"8d630bd67acf5b07805d6e0350a96f52\";s:8:\"filesize\";s:5:\"12320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:31:\"leaflet_more_maps 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1346395349\";s:6:\"mdhash\";s:32:\"5a53b469d9a10c2edc0d824350ea2271\";s:8:\"filesize\";s:5:\"11817\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:32:\"leaflet_more_maps 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1346046450\";s:6:\"mdhash\";s:32:\"383105ff4b87ad8f81bd5d9d3dd47523\";s:8:\"filesize\";s:5:\"11616\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:32:\"leaflet_more_maps 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1345774153\";s:6:\"mdhash\";s:32:\"5fa68bd164f118b47c2dca39f9d69af1\";s:8:\"filesize\";s:4:\"9509\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:29:\"leaflet_more_maps 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1484875687\";s:6:\"mdhash\";s:32:\"95972d848b4e7a15a490f248059c8177\";s:8:\"filesize\";s:5:\"17289\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435863,1500349441,1),('available_releases::libraries','a:11:{s:5:\"title\";s:13:\"Libraries API\";s:10:\"short_name\";s:9:\"libraries\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:5:\"1,2,3\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1391965705\";s:6:\"mdhash\";s:32:\"629663be1ddbbc79531ab98d7d3761dc\";s:8:\"filesize\";s:5:\"33326\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1362848412\";s:6:\"mdhash\";s:32:\"e240bf43e3a4dd2d595bf24ac34d46bd\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1343561873\";s:6:\"mdhash\";s:32:\"bb4707fe9c9c67401c9baa514fbab948\";s:8:\"filesize\";s:5:\"30229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1323950504\";s:6:\"mdhash\";s:32:\"150a5e24e7f1e849e054ba06921a0311\";s:8:\"filesize\";s:5:\"29501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1317479207\";s:6:\"mdhash\";s:32:\"8e3529be946d9ad0a4b387756cb91a5d\";s:8:\"filesize\";s:5:\"28459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296096156\";s:6:\"mdhash\";s:32:\"e395a4229adb94f48de0764654e83967\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1413167628\";s:6:\"mdhash\";s:32:\"7263f590a91de04704820f2b218956f9\";s:8:\"filesize\";s:5:\"33184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479046140\";s:6:\"mdhash\";s:32:\"3664fa9b54800164c107a0fbc2e52865\";s:8:\"filesize\";s:5:\"44459\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406512127\";s:6:\"mdhash\";s:32:\"84247d751f028c55371865aef18fbd11\";s:8:\"filesize\";s:4:\"9041\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435863,1500349441,1),('available_releases::link','a:11:{s:5:\"title\";s:4:\"Link\";s:10:\"short_name\";s:4:\"link\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:13:\"7.x-1.5-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta1\";s:7:\"version\";s:13:\"7.x-1.5-beta1\";s:3:\"tag\";s:13:\"7.x-1.5-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1499171942\";s:6:\"mdhash\";s:32:\"0589fb97c7b74f82e429a34677eb1fb8\";s:8:\"filesize\";s:5:\"37592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1413924828\";s:6:\"mdhash\";s:32:\"cc9ccec6ca028f73cf60f8cab09e5a4d\";s:8:\"filesize\";s:5:\"33988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1385335704\";s:6:\"mdhash\";s:32:\"100c0b2416d455908a818f0a547e9938\";s:8:\"filesize\";s:5:\"33858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360444360\";s:6:\"mdhash\";s:32:\"416691004d5a09681869dcd93188238b\";s:8:\"filesize\";s:5:\"33160\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319392535\";s:6:\"mdhash\";s:32:\"0b237d7b329c0454f437f5687d607743\";s:8:\"filesize\";s:5:\"31440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1317011508\";s:6:\"mdhash\";s:32:\"05802cd5a599cbf0b205a084016779a8\";s:8:\"filesize\";s:5:\"30289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1297061216\";s:6:\"mdhash\";s:32:\"372ddf2818f9ae6754274b4a8b6b640b\";s:8:\"filesize\";s:5:\"27724\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha-2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1295189003\";s:6:\"mdhash\";s:32:\"c74d7846f210f1bf4a8f14cc8a2d4dbd\";s:8:\"filesize\";s:5:\"20558\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:62:\"Alpha- releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1291518680\";s:6:\"mdhash\";s:32:\"e9299a741ec5b8ac631f3ba701df7c14\";s:8:\"filesize\";s:5:\"20843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"link 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/link/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/link-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499889242\";s:6:\"mdhash\";s:32:\"0e45cfac1d902dcd8306ea1d4da60e7c\";s:8:\"filesize\";s:5:\"38002\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435864,1500349441,1),('available_releases::menu_attributes','a:11:{s:5:\"title\";s:15:\"Menu attributes\";s:10:\"short_name\";s:15:\"menu_attributes\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_attributes\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"menu_attributes 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1455568739\";s:6:\"mdhash\";s:32:\"0d8c9354f20bf30333375423b0228fcc\";s:8:\"filesize\";s:5:\"14673\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1413756228\";s:6:\"mdhash\";s:32:\"3fe69ec4c76a9826776450e05198c29f\";s:8:\"filesize\";s:5:\"14653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1338541556\";s:6:\"mdhash\";s:32:\"2610d52c30c88fdd07669249764b4d68\";s:8:\"filesize\";s:5:\"13010\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1304355717\";s:6:\"mdhash\";s:32:\"f821d56d0c3586179e71362a53c33b45\";s:8:\"filesize\";s:4:\"9196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:29:\"menu_attributes 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1283726807\";s:6:\"mdhash\";s:32:\"485addad222409723ab008dc88437e37\";s:8:\"filesize\";s:4:\"8406\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"menu_attributes 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1467500039\";s:6:\"mdhash\";s:32:\"0202bfe64e493ae127f4be0f6f1a72a7\";s:8:\"filesize\";s:5:\"15943\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435864,1500349441,1),('available_releases::menu_breadcrumb','a:11:{s:5:\"title\";s:15:\"Menu Breadcrumb\";s:10:\"short_name\";s:15:\"menu_breadcrumb\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_breadcrumb\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:5:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425993987\";s:6:\"mdhash\";s:32:\"30291c87761f042b7599865d80df6f62\";s:8:\"filesize\";s:5:\"15154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1381202821\";s:6:\"mdhash\";s:32:\"a39b1abd3b655dcd3e25bceaae6dc844\";s:8:\"filesize\";s:5:\"14006\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1374442868\";s:6:\"mdhash\";s:32:\"7bc222b8b0d0eab296852addb6b5b0c1\";s:8:\"filesize\";s:5:\"13957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1312055519\";s:6:\"mdhash\";s:32:\"3993ada6458db730ed1c94225d2c4d73\";s:8:\"filesize\";s:5:\"12884\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"menu_breadcrumb 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1465478639\";s:6:\"mdhash\";s:32:\"42bd1026f9f2cc07695cb1b2ded0536c\";s:8:\"filesize\";s:5:\"15161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435865,1500349441,1),('available_releases::metatags_quick','a:11:{s:5:\"title\";s:15:\"Meta tags quick\";s:10:\"short_name\";s:14:\"metatags_quick\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:45:\"https://www.drupal.org/project/metatags_quick\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:32:{s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1405184328\";s:6:\"mdhash\";s:32:\"9d67f5be1b23407215d621729dab57f0\";s:8:\"filesize\";s:5:\"28432\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1404236027\";s:6:\"mdhash\";s:32:\"5dc51b35445c6f51d7869867f7c9c9b1\";s:8:\"filesize\";s:5:\"28441\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1357466252\";s:6:\"mdhash\";s:32:\"1992f645d5944d1f3e9b931de4078778\";s:8:\"filesize\";s:5:\"27021\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1356308939\";s:6:\"mdhash\";s:32:\"3beea9cecc1de40ebc5ff32a038bb653\";s:8:\"filesize\";s:6:\"113737\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.6-rc1\";a:15:{s:4:\"name\";s:26:\"metatags_quick 7.x-2.6-rc1\";s:7:\"version\";s:11:\"7.x-2.6-rc1\";s:3:\"tag\";s:11:\"7.x-2.6-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.6-rc1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1356308938\";s:6:\"mdhash\";s:32:\"ea043dcdd72385da40628a34636c25e5\";s:8:\"filesize\";s:6:\"113745\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1340025081\";s:6:\"mdhash\";s:32:\"c97722b5ba57764f13d219aee88da5f6\";s:8:\"filesize\";s:5:\"25731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1331473542\";s:6:\"mdhash\";s:32:\"ded59576a3c1506fda932ed236a05d65\";s:8:\"filesize\";s:5:\"25164\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1323885345\";s:6:\"mdhash\";s:32:\"825467ac59a58cb245328ea3f5f17010\";s:8:\"filesize\";s:5:\"24223\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1318365708\";s:6:\"mdhash\";s:32:\"d21dd605a4447f9a97a6ccafe26019a1\";s:8:\"filesize\";s:5:\"24189\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1317409907\";s:6:\"mdhash\";s:32:\"a661014d0251197c1bba4a439ab38ea7\";s:8:\"filesize\";s:5:\"24124\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1312403524\";s:6:\"mdhash\";s:32:\"f78aacc030e7d553bd6270e40add8a22\";s:8:\"filesize\";s:5:\"16230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1310674319\";s:6:\"mdhash\";s:32:\"4faeb8b2bf31afa0f3b05c7455295636\";s:8:\"filesize\";s:5:\"15524\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha4\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha4\";s:7:\"version\";s:14:\"7.x-2.0-alpha4\";s:3:\"tag\";s:14:\"7.x-2.0-alpha4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha4\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1309119719\";s:6:\"mdhash\";s:32:\"e027b0f632ef61511be5591fd54c1388\";s:8:\"filesize\";s:5:\"14282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1308508019\";s:6:\"mdhash\";s:32:\"d8e3f530347b5ffdf471364d7381a1a7\";s:8:\"filesize\";s:5:\"15128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308247320\";s:6:\"mdhash\";s:32:\"774543b87925b928d9c6e6ca798b4da1\";s:8:\"filesize\";s:5:\"14279\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:29:\"metatags_quick 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1307984520\";s:6:\"mdhash\";s:32:\"5166851c474aea98b9308a222793afcf\";s:8:\"filesize\";s:5:\"12637\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1308117419\";s:6:\"mdhash\";s:32:\"be5e85dc10b422cc9b586caa37fdd30c\";s:8:\"filesize\";s:5:\"10871\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1307039816\";s:6:\"mdhash\";s:32:\"782f9d7c72e506ca73e70492538fca17\";s:8:\"filesize\";s:5:\"10687\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1304883424\";s:6:\"mdhash\";s:32:\"4824b85e23a8f54823314cba9c193cda\";s:8:\"filesize\";s:5:\"10476\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1302728216\";s:6:\"mdhash\";s:32:\"c36db112332484992cd9321ba8c7c61e\";s:8:\"filesize\";s:5:\"10438\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1302416517\";s:6:\"mdhash\";s:32:\"6a8f8355cc1ebc56094a673eefb13c9b\";s:8:\"filesize\";s:4:\"9893\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1302378116\";s:6:\"mdhash\";s:32:\"05bd3faa9ade79b58fb069b064cdf9ff\";s:8:\"filesize\";s:4:\"9947\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1301685668\";s:6:\"mdhash\";s:32:\"c7d1f296711112ecee899db3a0470b7e\";s:8:\"filesize\";s:4:\"8585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1300531268\";s:6:\"mdhash\";s:32:\"3b3b8f10455f678aaa3b6c14d886c119\";s:8:\"filesize\";s:4:\"8182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1300479070\";s:6:\"mdhash\";s:32:\"ce8e1b29bf45500b3d2564dda3ec5fb8\";s:8:\"filesize\";s:4:\"8170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1299355568\";s:6:\"mdhash\";s:32:\"b6ae391d61c68da86e8ee2765605e2f7\";s:8:\"filesize\";s:4:\"8007\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1295947037\";s:6:\"mdhash\";s:32:\"a19d9f4312f16021772ae4f2f9c58747\";s:8:\"filesize\";s:4:\"7912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1295944401\";s:6:\"mdhash\";s:32:\"73c685cb4e3b29e0e34fdfb300c99a77\";s:8:\"filesize\";s:4:\"7927\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1295943118\";s:6:\"mdhash\";s:32:\"a273e6f654ba69ef476bc4bafb32a826\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:28:\"metatags_quick 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1295797902\";s:6:\"mdhash\";s:32:\"bf4911c7cd5566de575fb642077ae8fd\";s:8:\"filesize\";s:5:\"10025\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:26:\"metatags_quick 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.x-dev\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1441812539\";s:6:\"mdhash\";s:32:\"04dc67c864d571c91a710f8cef8e3396\";s:8:\"filesize\";s:5:\"28922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:26:\"metatags_quick 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/metatags_quick/releases/7.x-1.x-dev\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380587060\";s:6:\"mdhash\";s:32:\"705a0433fd447d40b2aeaa7b0f1fa0ab\";s:8:\"filesize\";s:5:\"12012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435865,1500349441,1),('available_releases::module_filter','a:11:{s:5:\"title\";s:13:\"Module Filter\";s:10:\"short_name\";s:13:\"module_filter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1424631181\";s:6:\"mdhash\";s:32:\"3e2ebdd2f2ec028252e1cf2a547d7d7e\";s:8:\"filesize\";s:5:\"29130\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1386356904\";s:6:\"mdhash\";s:32:\"342e0e3963e64c39f86061a10bbdaf2e\";s:8:\"filesize\";s:5:\"27898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1384832005\";s:6:\"mdhash\";s:32:\"3bfb306828c12830c0ee3678f675f124\";s:8:\"filesize\";s:5:\"27962\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1375995221\";s:6:\"mdhash\";s:32:\"53a1b995dee29e1ab202fa1547dc1266\";s:8:\"filesize\";s:5:\"14605\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1341518501\";s:6:\"mdhash\";s:32:\"f10e62aa5346d5cd82854d66c359f199\";s:8:\"filesize\";s:5:\"14646\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1316105205\";s:6:\"mdhash\";s:32:\"77ca515021372066e2b19906adddb94e\";s:8:\"filesize\";s:5:\"13177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1313598120\";s:6:\"mdhash\";s:32:\"f3a6a44ec3e35e91870f8391a9f04ff5\";s:8:\"filesize\";s:5:\"13039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1299525068\";s:6:\"mdhash\";s:32:\"90d9ec10df0b9ee07707f87b96711bca\";s:8:\"filesize\";s:5:\"11570\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1299519370\";s:6:\"mdhash\";s:32:\"8a075e4932db8cd4e35371ac276bcb4b\";s:8:\"filesize\";s:5:\"11555\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1299516669\";s:6:\"mdhash\";s:32:\"afbb784aeb4029294e5877654385cc8c\";s:8:\"filesize\";s:5:\"11446\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1299515169\";s:6:\"mdhash\";s:32:\"45546c1f5bc473389ffc36f0e38a2bc1\";s:8:\"filesize\";s:5:\"13033\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294104365\";s:6:\"mdhash\";s:32:\"a482aef54751a8fd947bafc2d5ef1ecd\";s:8:\"filesize\";s:5:\"11523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"bf63bf30b9a6eecb11e527cc12a87312\";s:8:\"filesize\";s:5:\"29762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406917428\";s:6:\"mdhash\";s:32:\"62b7a0ab716b2798d9e60462314d95c5\";s:8:\"filesize\";s:5:\"14743\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435866,1500349441,1),('available_releases::pathauto','a:11:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344525185\";s:6:\"mdhash\";s:32:\"abdb73c49803aefe3c87774a92c42b87\";s:8:\"filesize\";s:5:\"38900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1336950382\";s:6:\"mdhash\";s:32:\"ee42c248db62f384871cb526d72005f2\";s:8:\"filesize\";s:5:\"38652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1320072936\";s:6:\"mdhash\";s:32:\"6edd617da0cfa31ddde247933d670ef4\";s:8:\"filesize\";s:5:\"37196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1308241021\";s:6:\"mdhash\";s:32:\"376c28fa39f3b383ad5134c5a1360be7\";s:8:\"filesize\";s:5:\"35681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308121619\";s:6:\"mdhash\";s:32:\"a53a56cffaaa67c8775c085d542f162c\";s:8:\"filesize\";s:5:\"35350\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"pathauto 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294891602\";s:6:\"mdhash\";s:32:\"37c8eaa37d69d60303e702c271f99f9e\";s:8:\"filesize\";s:5:\"56885\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281556294\";s:6:\"mdhash\";s:32:\"5f4aecc1b5d6a6e4365fafcc7f0efe15\";s:8:\"filesize\";s:6:\"122301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1267300506\";s:6:\"mdhash\";s:32:\"ec86f7a12f9b4daa02967a3d7ccedef6\";s:8:\"filesize\";s:6:\"121249\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"pathauto 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1472576639\";s:6:\"mdhash\";s:32:\"a597c609ed9d356b6ad4faa978b12aa7\";s:8:\"filesize\";s:5:\"42278\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435866,1500349441,1),('available_releases::quicktabs','a:11:{s:5:\"title\";s:10:\"Quick Tabs\";s:10:\"short_name\";s:9:\"quicktabs\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1497616742\";s:6:\"mdhash\";s:32:\"32aff4d6407e4d0d564211cfdeaee291\";s:8:\"filesize\";s:5:\"75918\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1380731930\";s:6:\"mdhash\";s:32:\"b5303635e54ba0677822bf3cd15169d3\";s:8:\"filesize\";s:5:\"75170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1379371264\";s:6:\"mdhash\";s:32:\"e858cf2dac05ba4e75be5cb34420eeec\";s:8:\"filesize\";s:5:\"74756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1332980461\";s:6:\"mdhash\";s:32:\"e83ce594c509577a44305ae2df6aa0f9\";s:8:\"filesize\";s:5:\"74329\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1326919545\";s:6:\"mdhash\";s:32:\"fbb89f0a5312265335f4e4dcece951fe\";s:8:\"filesize\";s:5:\"74693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1322002246\";s:6:\"mdhash\";s:32:\"dd699e185849623700473fc0c55251fd\";s:8:\"filesize\";s:5:\"75019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1321421443\";s:6:\"mdhash\";s:32:\"67e283dd6981dcfa10644d7288636f6c\";s:8:\"filesize\";s:5:\"74986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1312172228\";s:6:\"mdhash\";s:32:\"4c72ff22d7eaa9b3e5bd22acfe5c286e\";s:8:\"filesize\";s:5:\"71391\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311958019\";s:6:\"mdhash\";s:32:\"f25f6d00a21f083db6b73726517282e0\";s:8:\"filesize\";s:5:\"70957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1311491011\";s:6:\"mdhash\";s:32:\"fe549974c22f34eedd34255c7188bf4e\";s:8:\"filesize\";s:5:\"70854\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1309974420\";s:6:\"mdhash\";s:32:\"b7568736c672a0f58f780543621755ca\";s:8:\"filesize\";s:5:\"70850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308089219\";s:6:\"mdhash\";s:32:\"5b4fa99ea7b0cf1382ac51fdcad1ad4c\";s:8:\"filesize\";s:5:\"69431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1308027419\";s:6:\"mdhash\";s:32:\"9f86f3615e5a54e038fd9e5a54f98388\";s:8:\"filesize\";s:5:\"69236\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1312172227\";s:6:\"mdhash\";s:32:\"40ad6420da071e758c04f5df81693ef5\";s:8:\"filesize\";s:5:\"59833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301378169\";s:6:\"mdhash\";s:32:\"abd93c7fc0a33eeacd769a3d87bf9534\";s:8:\"filesize\";s:5:\"59501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498214642\";s:6:\"mdhash\";s:32:\"dcfb62b3bd04a3027007a194a78bbb79\";s:8:\"filesize\";s:5:\"76036\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380624610\";s:6:\"mdhash\";s:32:\"38b7a23c5a2201c1e9d4b9eace929654\";s:8:\"filesize\";s:5:\"61020\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435867,1500349441,1),('available_releases::references','a:11:{s:5:\"title\";s:10:\"References\";s:10:\"short_name\";s:10:\"references\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/references\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:7:{s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1492534743\";s:6:\"mdhash\";s:32:\"5d0a85ca042f6624087d094b84169f0a\";s:8:\"filesize\";s:5:\"40244\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1360265821\";s:6:\"mdhash\";s:32:\"43b583931fba0c0c4e44bcea7fc5befd\";s:8:\"filesize\";s:5:\"39893\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1324596643\";s:6:\"mdhash\";s:32:\"3dbad2c02781005a4c828da37920c6d5\";s:8:\"filesize\";s:5:\"38333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:24:\"references 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/references/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/references-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1305236816\";s:6:\"mdhash\";s:32:\"8a295ed7763b11a29ca7da28931d59b7\";s:8:\"filesize\";s:5:\"29447\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:24:\"references 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/references/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/references-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1304766117\";s:6:\"mdhash\";s:32:\"b97f4b6d45509c3f3adf3dd82277952c\";s:8:\"filesize\";s:5:\"29338\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"references 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/references/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/references-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499802542\";s:6:\"mdhash\";s:32:\"38d009abf06b73315d74b580456d3479\";s:8:\"filesize\";s:5:\"42276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"references 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/references/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/references-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1492534142\";s:6:\"mdhash\";s:32:\"bbc953ebac96ab2b2ae398db03f1bf09\";s:8:\"filesize\";s:4:\"7115\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435867,1500349441,1),('available_releases::simplenews','a:11:{s:5:\"title\";s:10:\"Simplenews\";s:10:\"short_name\";s:10:\"simplenews\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:18:\"simplenews 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/7.x-1.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1381947969\";s:6:\"mdhash\";s:32:\"a494efb4ed193445704a028055dd6df8\";s:8:\"filesize\";s:6:\"163770\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:18:\"simplenews 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1347191876\";s:6:\"mdhash\";s:32:\"e8b446e90a9880ca1984d560a55b3990\";s:8:\"filesize\";s:6:\"163595\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:22:\"simplenews 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1339011135\";s:6:\"mdhash\";s:32:\"5b37e46a1fc98d52ca7bff0bf66f8bb1\";s:8:\"filesize\";s:6:\"159563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"simplenews 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1329988254\";s:6:\"mdhash\";s:32:\"22cbc6ac99fa8a015121e050568d1b63\";s:8:\"filesize\";s:6:\"157645\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"simplenews 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1327313470\";s:6:\"mdhash\";s:32:\"4edad1d058625da5e0fca7731985fcda\";s:8:\"filesize\";s:6:\"150890\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:25:\"simplenews 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1324686393\";s:6:\"mdhash\";s:32:\"875e7797c0a1e45b6ea872281a19718c\";s:8:\"filesize\";s:6:\"151413\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:25:\"simplenews 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/simplenews/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1316243827\";s:6:\"mdhash\";s:32:\"6d62c7c2adbc87ea966fbd59dded9e6d\";s:8:\"filesize\";s:5:\"76145\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"simplenews 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1381952783\";s:6:\"mdhash\";s:32:\"3528032e870a61048ed643f332085044\";s:8:\"filesize\";s:6:\"167059\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"simplenews 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/simplenews/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1430518381\";s:6:\"mdhash\";s:32:\"13fa384642d3acfbf4dc49a9e19a3ad0\";s:8:\"filesize\";s:6:\"164428\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435868,1500349441,1),('available_releases::tagclouds','a:11:{s:5:\"title\";s:8:\"TagCloud\";s:10:\"short_name\";s:9:\"tagclouds\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.10\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1404152328\";s:6:\"mdhash\";s:32:\"c61b66f969714f149fe33a02fa503a8b\";s:8:\"filesize\";s:5:\"13675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.9\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1360479605\";s:6:\"mdhash\";s:32:\"97f6f1e4519294b2c42af23125f557cf\";s:8:\"filesize\";s:5:\"12310\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1360479602\";s:6:\"mdhash\";s:32:\"5b77828dc2a46c141844ea327aac830a\";s:8:\"filesize\";s:5:\"12319\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1352088449\";s:6:\"mdhash\";s:32:\"d8e41e65fd196cf6c4e92f9bcf0d457d\";s:8:\"filesize\";s:5:\"12322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1345993367\";s:6:\"mdhash\";s:32:\"1a2023554e2bbe374d2b3869ae0bc308\";s:8:\"filesize\";s:5:\"11966\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1343936897\";s:6:\"mdhash\";s:32:\"30224eadab577270b2ed57ee27e689e6\";s:8:\"filesize\";s:5:\"12006\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1333904769\";s:6:\"mdhash\";s:32:\"c961e59c6d9f07769d5e5488e5f415f5\";s:8:\"filesize\";s:5:\"11820\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1331844643\";s:6:\"mdhash\";s:32:\"cf88cba4196b172c6fe6d24ae29378df\";s:8:\"filesize\";s:5:\"11756\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1325266844\";s:6:\"mdhash\";s:32:\"4e98f22f58879134ed407d2cda87374e\";s:8:\"filesize\";s:5:\"11575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"tagclouds 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319252736\";s:6:\"mdhash\";s:32:\"04a7356eb1ce5ffe91968a988672ff7a\";s:8:\"filesize\";s:5:\"11581\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"tagclouds 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1467295142\";s:6:\"mdhash\";s:32:\"16d34071d093edaa53226900450f9cea\";s:8:\"filesize\";s:5:\"13571\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435868,1500349441,1),('available_releases::tb_megamenu','a:11:{s:5:\"title\";s:12:\"TB Mega Menu\";s:10:\"short_name\";s:11:\"tb_megamenu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1439180639\";s:6:\"mdhash\";s:32:\"6337e51586fe163e47a0df571229676a\";s:8:\"filesize\";s:6:\"108373\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1408100328\";s:6:\"mdhash\";s:32:\"699c4ca355126ee521516e6691df7c81\";s:8:\"filesize\";s:6:\"129472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1408099728\";s:6:\"mdhash\";s:32:\"f56ae88cf88a54c13a19a0fd7ca2638d\";s:8:\"filesize\";s:6:\"338182\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1406794728\";s:6:\"mdhash\";s:32:\"a50fed33b4b58c9833f6b8f929623158\";s:8:\"filesize\";s:6:\"334491\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1376297590\";s:6:\"mdhash\";s:32:\"adebda20661b125574dcaab2a99acb74\";s:8:\"filesize\";s:6:\"332803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:25:\"tb_megamenu 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1376290700\";s:6:\"mdhash\";s:32:\"db805630baf91dfd9b9db21514e97c03\";s:8:\"filesize\";s:6:\"333406\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1374660395\";s:6:\"mdhash\";s:32:\"262e6d4945a247c01f4f4324a0659708\";s:8:\"filesize\";s:6:\"332556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1372846553\";s:6:\"mdhash\";s:32:\"4d8622e71b0b2a9878e6c7ecfe1fb777\";s:8:\"filesize\";s:6:\"332337\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1372845065\";s:6:\"mdhash\";s:32:\"31b3b15063eaa42ca18bf45c25ee2f0c\";s:8:\"filesize\";s:6:\"332331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:26:\"tb_megamenu 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1371198657\";s:6:\"mdhash\";s:32:\"25498c14ce1e8f2bd26b25d34ccfb796\";s:8:\"filesize\";s:6:\"310479\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1440995339\";s:6:\"mdhash\";s:32:\"135382503de47dc1998dd4d41db3194b\";s:8:\"filesize\";s:5:\"69557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1500435869,1500349441,1),('available_releases::token','a:11:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425149059\";s:6:\"mdhash\";s:32:\"9b59f3ce5f25aab883a1ae7631bf5581\";s:8:\"filesize\";s:5:\"44396\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1361665026\";s:6:\"mdhash\";s:32:\"93e5a19e8b244022cc38e58663db8001\";s:8:\"filesize\";s:5:\"44012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1348497279\";s:6:\"mdhash\";s:32:\"e65a894f14518751ca1da445a767965c\";s:8:\"filesize\";s:5:\"43675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1347466790\";s:6:\"mdhash\";s:32:\"efe130120435cf38d33e6ae005ad0956\";s:8:\"filesize\";s:5:\"43666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344634643\";s:6:\"mdhash\";s:32:\"0cb93d8a597acd5f99acdc7cb42b6332\";s:8:\"filesize\";s:5:\"43170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337115392\";s:6:\"mdhash\";s:32:\"8d4c96128ab3ef9f4e76fbdb73900e35\";s:8:\"filesize\";s:5:\"42496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1333672577\";s:6:\"mdhash\";s:32:\"21709598974906287ea5bd68f2b94815\";s:8:\"filesize\";s:5:\"42264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:17:\"token 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328022364\";s:6:\"mdhash\";s:32:\"b63435f4a943cb013aa34339f5ce8bb0\";s:8:\"filesize\";s:5:\"41089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1319825735\";s:6:\"mdhash\";s:32:\"9d5644d212720e8c9db7fcbcf4559468\";s:8:\"filesize\";s:5:\"40531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1317397307\";s:6:\"mdhash\";s:32:\"797c619140cdcc00004ce5e64b25eb02\";s:8:\"filesize\";s:5:\"40155\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1314804722\";s:6:\"mdhash\";s:32:\"42b75e49ecfe3945cf3971b20d64e21f\";s:8:\"filesize\";s:5:\"38428\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1313614619\";s:6:\"mdhash\";s:32:\"00aea5ce506db5a5308e4881cc16a650\";s:8:\"filesize\";s:5:\"36328\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311709319\";s:6:\"mdhash\";s:32:\"236041ef8c6249adae04f0af98e8aa8b\";s:8:\"filesize\";s:5:\"34573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1305833216\";s:6:\"mdhash\";s:32:\"33678788042e89887c17f072f22b360e\";s:8:\"filesize\";s:5:\"32677\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294805791\";s:6:\"mdhash\";s:32:\"0c597a7a17a7a27a725cf076bbae25e4\";s:8:\"filesize\";s:5:\"31159\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1286469965\";s:6:\"mdhash\";s:32:\"16096ce5c4a1f7e0b70c31026d88238a\";s:8:\"filesize\";s:5:\"23473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281549992\";s:6:\"mdhash\";s:32:\"788bb2827e595fa41387afbe116f462d\";s:8:\"filesize\";s:5:\"21523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1271567107\";s:6:\"mdhash\";s:32:\"622a57e2ef607da3010c9e94d76af3fc\";s:8:\"filesize\";s:5:\"17032\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"token 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493330042\";s:6:\"mdhash\";s:32:\"89e063c41031d1001ae19ca34d00ccdb\";s:8:\"filesize\";s:5:\"44024\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435869,1500349441,1),('available_releases::video_embed_field','a:11:{s:5:\"title\";s:17:\"Video Embed Field\";s:10:\"short_name\";s:17:\"video_embed_field\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:14:\"7.x-2.0-beta11\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta11\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:3:\"tag\";s:14:\"7.x-2.0-beta11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta11\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1441639439\";s:6:\"mdhash\";s:32:\"43d7d6f6a9ec796b1eb1c68c66d82c49\";s:8:\"filesize\";s:6:\"182549\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-beta10\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta10\";s:7:\"version\";s:14:\"7.x-2.0-beta10\";s:3:\"tag\";s:14:\"7.x-2.0-beta10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta10\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta10.tar.gz\";s:4:\"date\";s:10:\"1434007080\";s:6:\"mdhash\";s:32:\"2c8ea305f1dc5261329325c311495670\";s:8:\"filesize\";s:6:\"182048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta9\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta9\";s:7:\"version\";s:13:\"7.x-2.0-beta9\";s:3:\"tag\";s:13:\"7.x-2.0-beta9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta9\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta9.tar.gz\";s:4:\"date\";s:10:\"1433921580\";s:6:\"mdhash\";s:32:\"76d0f3ef894180e67effc51709883127\";s:8:\"filesize\";s:6:\"182071\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta8\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta8\";s:7:\"version\";s:13:\"7.x-2.0-beta8\";s:3:\"tag\";s:13:\"7.x-2.0-beta8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta8\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1408177428\";s:6:\"mdhash\";s:32:\"371899516ce6d6045d6497b05e7a1bb4\";s:8:\"filesize\";s:6:\"181618\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta7\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta7\";s:7:\"version\";s:13:\"7.x-2.0-beta7\";s:3:\"tag\";s:13:\"7.x-2.0-beta7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta7\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1391588905\";s:6:\"mdhash\";s:32:\"14ed578b5e8731222175b4d4fd065739\";s:8:\"filesize\";s:5:\"26836\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta6\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta6\";s:7:\"version\";s:13:\"7.x-2.0-beta6\";s:3:\"tag\";s:13:\"7.x-2.0-beta6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta6\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1391540905\";s:6:\"mdhash\";s:32:\"081ffe322a5ea1b69730c32fab636c63\";s:8:\"filesize\";s:5:\"26839\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta5\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta5\";s:7:\"version\";s:13:\"7.x-2.0-beta5\";s:3:\"tag\";s:13:\"7.x-2.0-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta5\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1340317020\";s:6:\"mdhash\";s:32:\"115e9be89fbd84deaf5ce57359e88d6e\";s:8:\"filesize\";s:5:\"22696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1329771346\";s:6:\"mdhash\";s:32:\"4e811f8a08a4131e4d8d4825b08643ce\";s:8:\"filesize\";s:5:\"18372\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1329762349\";s:6:\"mdhash\";s:32:\"8e43c11f195c87771a1278b8d2509724\";s:8:\"filesize\";s:5:\"18380\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1329756951\";s:6:\"mdhash\";s:32:\"0026cd26baf54b1a42755adf341c7db1\";s:8:\"filesize\";s:5:\"18423\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1329752449\";s:6:\"mdhash\";s:32:\"749c003386a9688eb926627051e7ac5c\";s:8:\"filesize\";s:5:\"18334\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1323788745\";s:6:\"mdhash\";s:32:\"c67e292e91bdea37495d66f1e59b1603\";s:8:\"filesize\";s:5:\"16346\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1321918249\";s:6:\"mdhash\";s:32:\"ed202d988168c150ca68f9e88aa2a142\";s:8:\"filesize\";s:5:\"16334\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1321889149\";s:6:\"mdhash\";s:32:\"4ebb65718de086e9207eaf0bc887c355\";s:8:\"filesize\";s:5:\"16375\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:31:\"video_embed_field 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1321887645\";s:6:\"mdhash\";s:32:\"3b11bba44ff9a39cb681e853e0f7d226\";s:8:\"filesize\";s:5:\"13658\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1318712200\";s:6:\"mdhash\";s:32:\"71f34f22428d72587adcdb612a4b732d\";s:8:\"filesize\";s:5:\"13113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1315489621\";s:6:\"mdhash\";s:32:\"bc03fbce84328f6cb1c61ff5df6c3785\";s:8:\"filesize\";s:5:\"10784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1315327921\";s:6:\"mdhash\";s:32:\"5546f88133bdaee9b2d34e44ce0b0772\";s:8:\"filesize\";s:5:\"10831\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1313427721\";s:6:\"mdhash\";s:32:\"5f83b5461a688478468d6a7f822c124d\";s:8:\"filesize\";s:5:\"10052\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1312900321\";s:6:\"mdhash\";s:32:\"1193c2663a0195ae52cd744a6ff78135\";s:8:\"filesize\";s:4:\"9392\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:29:\"video_embed_field 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1441744739\";s:6:\"mdhash\";s:32:\"818abb413092148c730e56ff158c3f54\";s:8:\"filesize\";s:6:\"182557\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:29:\"video_embed_field 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/video_embed_field/releases/7.x-1.x-dev\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382151940\";s:6:\"mdhash\";s:32:\"792a314aee142fc354f379d494dab2a0\";s:8:\"filesize\";s:5:\"13662\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435870,1500349441,1),('available_releases::views','a:11:{s:5:\"title\";s:5:\"Views\";s:10:\"short_name\";s:5:\"views\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:24:{s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-3.16-rc1\";a:15:{s:4:\"name\";s:18:\"views 7.x-3.16-rc1\";s:7:\"version\";s:12:\"7.x-3.16-rc1\";s:3:\"tag\";s:12:\"7.x-3.16-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/views/releases/7.x-3.16-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/views-7.x-3.16-rc1.tar.gz\";s:4:\"date\";s:10:\"1489763584\";s:6:\"mdhash\";s:32:\"cba59381dbf64ac9d9d76fa549b4c7c1\";s:8:\"filesize\";s:7:\"1642814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.15\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1487784184\";s:6:\"mdhash\";s:32:\"473cb5384456d55af988feabc1af12ed\";s:8:\"filesize\";s:7:\"1642425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.14\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.14\";s:7:\"version\";s:8:\"7.x-3.14\";s:3:\"tag\";s:8:\"7.x-3.14\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.14\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.14.tar.gz\";s:4:\"date\";s:10:\"1466019539\";s:6:\"mdhash\";s:32:\"168bb684c8f34297be94b03c797841e5\";s:8:\"filesize\";s:7:\"1656594\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.13\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1446804839\";s:6:\"mdhash\";s:32:\"50d3b231f689f8c4ff15d79ea3c261d9\";s:8:\"filesize\";s:7:\"1650157\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.12\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1446653339\";s:6:\"mdhash\";s:32:\"a50033bb090730176d9263ddae7f32b2\";s:8:\"filesize\";s:7:\"1650130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1430320981\";s:6:\"mdhash\";s:32:\"00d722e1d8ed57e912c8bd586cf2edbe\";s:8:\"filesize\";s:7:\"1649389\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1423648081\";s:6:\"mdhash\";s:32:\"c9806ffd69448bc505a67e790f97da58\";s:8:\"filesize\";s:7:\"1648314\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1400618927\";s:6:\"mdhash\";s:32:\"0fbe71c455f5d34c7193797563b63b3f\";s:8:\"filesize\";s:7:\"1646817\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1365499237\";s:6:\"mdhash\";s:32:\"3f36f0d13f3b724d719f6729cbc110ba\";s:8:\"filesize\";s:7:\"1639539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1363810217\";s:6:\"mdhash\";s:32:\"1531a1ece3970332db1559b854f5dcc9\";s:8:\"filesize\";s:7:\"1639219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1345829395\";s:6:\"mdhash\";s:32:\"fba70998d4ebcca5116ef5ee90117738\";s:8:\"filesize\";s:7:\"1632919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1345559303\";s:6:\"mdhash\";s:32:\"72bd0f35ac467aed74e533c10a76c93f\";s:8:\"filesize\";s:7:\"1632803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1329946249\";s:6:\"mdhash\";s:32:\"70f24086dc7acfa7fc23c6148c7f8e00\";s:8:\"filesize\";s:7:\"1583249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1329778551\";s:6:\"mdhash\";s:32:\"c350603991445ca69b30eddf3befe887\";s:8:\"filesize\";s:7:\"1582617\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1326750948\";s:6:\"mdhash\";s:32:\"e158435dc66d1d89a0df587c39ef1a23\";s:8:\"filesize\";s:7:\"1575585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1324170451\";s:6:\"mdhash\";s:32:\"1be8cbd6fd3f37bfd1493693dfa95d8d\";s:8:\"filesize\";s:7:\"1461460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1321467945\";s:6:\"mdhash\";s:32:\"b3e58f4195308e37621155d3c843e53f\";s:8:\"filesize\";s:7:\"1456218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308341221\";s:6:\"mdhash\";s:32:\"e158db78ae2f8cc615edb910a09384b0\";s:8:\"filesize\";s:7:\"1481151\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1301301971\";s:6:\"mdhash\";s:32:\"114c76f201523ef3e50b9a1d431b0364\";s:8:\"filesize\";s:7:\"1469580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1301158871\";s:6:\"mdhash\";s:32:\"c39fab1e76e55b15291fecf2c10386c2\";s:8:\"filesize\";s:7:\"1469243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301099796\";s:6:\"mdhash\";s:32:\"6ee4495cbdf0a8d19bd214f57bef0bf4\";s:8:\"filesize\";s:7:\"1468892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:20:\"views 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/views/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1294276882\";s:6:\"mdhash\";s:32:\"8635e5b0c03fed4516abae25489a5a5c\";s:8:\"filesize\";s:7:\"1561161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:17:\"views 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498765443\";s:6:\"mdhash\";s:32:\"685c91d42eee7c9a657dd7cbba6c14c4\";s:8:\"filesize\";s:7:\"1645722\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435871,1500349441,1),('available_releases::views_accordion','a:11:{s:5:\"title\";s:15:\"Views Accordion\";s:10:\"short_name\";s:15:\"views_accordion\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_accordion\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:5:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_accordion 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1422545581\";s:6:\"mdhash\";s:32:\"9ca6496bb8398def4a4b61bd2b15c4c8\";s:8:\"filesize\";s:5:\"14731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"views_accordion 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1394102606\";s:6:\"mdhash\";s:32:\"c7723cb357819a18b1e0d746819dbdc8\";s:8:\"filesize\";s:5:\"14362\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:27:\"views_accordion 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1342687617\";s:6:\"mdhash\";s:32:\"1d15d3a14a1f213efdfc7e09721645eb\";s:8:\"filesize\";s:5:\"14548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:27:\"views_accordion 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1316625409\";s:6:\"mdhash\";s:32:\"84ca65a3f3b5bf3c696442beec1b24e3\";s:8:\"filesize\";s:5:\"14545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_accordion 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490116684\";s:6:\"mdhash\";s:32:\"05d670052f75640a6735dc4f9c3d652c\";s:8:\"filesize\";s:5:\"14751\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435871,1500349441,1),('available_releases::views_isotope','a:11:{s:5:\"title\";s:26:\"Views Isotope (Deprecated)\";s:10:\"short_name\";s:13:\"views_isotope\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/views_isotope\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"views_isotope 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1455276839\";s:6:\"mdhash\";s:32:\"876ab6a424607ae4faad4005ce853b47\";s:8:\"filesize\";s:5:\"22917\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"views_isotope 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1454877839\";s:6:\"mdhash\";s:32:\"aa517d0dde7a343976868b92992c8fe3\";s:8:\"filesize\";s:5:\"22918\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:27:\"views_isotope 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1453487039\";s:6:\"mdhash\";s:32:\"394de1d7c670d963f030dab18d9d5abf\";s:8:\"filesize\";s:5:\"22835\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:27:\"views_isotope 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1447337041\";s:6:\"mdhash\";s:32:\"09d24afbe71fa2377a878cc5247e1cb4\";s:8:\"filesize\";s:5:\"21427\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:27:\"views_isotope 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1444491239\";s:6:\"mdhash\";s:32:\"ca2722ae920b79bfc507d920bcf2e24b\";s:8:\"filesize\";s:5:\"19994\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"views_isotope 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1407277127\";s:6:\"mdhash\";s:32:\"f33069a2c66ca17b1a3a0a141c839bb4\";s:8:\"filesize\";s:5:\"14064\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:27:\"views_isotope 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_isotope/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1335546686\";s:6:\"mdhash\";s:32:\"34e780424b378959fc7ae5e4340ce4e3\";s:8:\"filesize\";s:5:\"13706\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:27:\"views_isotope 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_isotope/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1334702517\";s:6:\"mdhash\";s:32:\"1e0dc0d578a795bef97319bece6771ce\";s:8:\"filesize\";s:5:\"13694\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"views_isotope 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1455214439\";s:6:\"mdhash\";s:32:\"8ddf9f60d77335ac5cd6a1cef261adb5\";s:8:\"filesize\";s:5:\"22919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"views_isotope 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/views_isotope/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382164872\";s:6:\"mdhash\";s:32:\"fabf5d7da422bcea4a22d5aee65a6cd0\";s:8:\"filesize\";s:5:\"13785\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1500435860,1500349441,1),('available_releases::webform','a:11:{s:5:\"title\";s:7:\"Webform\";s:10:\"short_name\";s:7:\"webform\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"4\";s:16:\"supported_majors\";s:3:\"3,4\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:70:{s:8:\"7.x-4.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.15\";s:7:\"version\";s:8:\"7.x-4.15\";s:3:\"tag\";s:8:\"7.x-4.15\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15.tar.gz\";s:4:\"date\";s:10:\"1492107243\";s:6:\"mdhash\";s:32:\"12556ecbae9cb7bf39d768d2bbd29694\";s:8:\"filesize\";s:6:\"247725\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-4.15-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-4.15-rc1\";s:7:\"version\";s:12:\"7.x-4.15-rc1\";s:3:\"tag\";s:12:\"7.x-4.15-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-4.15-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15-rc1.tar.gz\";s:4:\"date\";s:10:\"1490884682\";s:6:\"mdhash\";s:32:\"4a0871210035b354cdaf24a7af9a072c\";s:8:\"filesize\";s:6:\"247731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-4.14\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.14\";s:7:\"version\";s:8:\"7.x-4.14\";s:3:\"tag\";s:8:\"7.x-4.14\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.14\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.14.tar.gz\";s:4:\"date\";s:10:\"1472386739\";s:6:\"mdhash\";s:32:\"9d28b1cbc3d380074b6926181543e445\";s:8:\"filesize\";s:6:\"244516\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.13\";s:7:\"version\";s:8:\"7.x-4.13\";s:3:\"tag\";s:8:\"7.x-4.13\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.13.tar.gz\";s:4:\"date\";s:10:\"1469140439\";s:6:\"mdhash\";s:32:\"dae91401fb44079b6370451bb72652eb\";s:8:\"filesize\";s:6:\"243560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.12\";s:7:\"version\";s:8:\"7.x-4.12\";s:3:\"tag\";s:8:\"7.x-4.12\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.12.tar.gz\";s:4:\"date\";s:10:\"1445622240\";s:6:\"mdhash\";s:32:\"5eed02c0782f36b042c205f4229a076c\";s:8:\"filesize\";s:6:\"240545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.11\";s:7:\"version\";s:8:\"7.x-4.11\";s:3:\"tag\";s:8:\"7.x-4.11\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.11.tar.gz\";s:4:\"date\";s:10:\"1442953139\";s:6:\"mdhash\";s:32:\"319613b667722186ff0b22f0f0cf2f95\";s:8:\"filesize\";s:6:\"235259\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-4.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.10\";s:7:\"version\";s:8:\"7.x-4.10\";s:3:\"tag\";s:8:\"7.x-4.10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.10.tar.gz\";s:4:\"date\";s:10:\"1437076439\";s:6:\"mdhash\";s:32:\"a8947025d47f177154511c7406a8534e\";s:8:\"filesize\";s:6:\"234255\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.9\";s:7:\"version\";s:7:\"7.x-4.9\";s:3:\"tag\";s:7:\"7.x-4.9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.9.tar.gz\";s:4:\"date\";s:10:\"1432669981\";s:6:\"mdhash\";s:32:\"7a4771c9fb06bad7d0e7b51048d36e57\";s:8:\"filesize\";s:6:\"231377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.8\";s:7:\"version\";s:7:\"7.x-4.8\";s:3:\"tag\";s:7:\"7.x-4.8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.8.tar.gz\";s:4:\"date\";s:10:\"1430334481\";s:6:\"mdhash\";s:32:\"dbd68b085357a4802c55edb03188e22c\";s:8:\"filesize\";s:6:\"230957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.7\";s:7:\"version\";s:7:\"7.x-4.7\";s:3:\"tag\";s:7:\"7.x-4.7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.7.tar.gz\";s:4:\"date\";s:10:\"1427387581\";s:6:\"mdhash\";s:32:\"708325315325143ecf872803bb8fc97e\";s:8:\"filesize\";s:6:\"212482\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.6\";s:7:\"version\";s:7:\"7.x-4.6\";s:3:\"tag\";s:7:\"7.x-4.6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.6.tar.gz\";s:4:\"date\";s:10:\"1427029681\";s:6:\"mdhash\";s:32:\"4c434af84de80e9886d9a0014bbde4dc\";s:8:\"filesize\";s:6:\"212172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.5\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.5\";s:7:\"version\";s:7:\"7.x-4.5\";s:3:\"tag\";s:7:\"7.x-4.5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.5.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"8b864d7fd7de0abcc11f213bc28dcc6b\";s:8:\"filesize\";s:6:\"208218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.4\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.4\";s:7:\"version\";s:7:\"7.x-4.4\";s:3:\"tag\";s:7:\"7.x-4.4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.4.tar.gz\";s:4:\"date\";s:10:\"1425406981\";s:6:\"mdhash\";s:32:\"7933b2eaa6bfd7648b490c6c1e34f56c\";s:8:\"filesize\";s:6:\"207645\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.3\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.3\";s:7:\"version\";s:7:\"7.x-4.3\";s:3:\"tag\";s:7:\"7.x-4.3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.3.tar.gz\";s:4:\"date\";s:10:\"1424096281\";s:6:\"mdhash\";s:32:\"5ed6d060b3cd57ba6a0dc6aac19d31be\";s:8:\"filesize\";s:6:\"204589\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.2\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.2\";s:7:\"version\";s:7:\"7.x-4.2\";s:3:\"tag\";s:7:\"7.x-4.2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.2.tar.gz\";s:4:\"date\";s:10:\"1416925848\";s:6:\"mdhash\";s:32:\"a48a33c79d3831b748342b1836617a74\";s:8:\"filesize\";s:6:\"202048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.1\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.1\";s:7:\"version\";s:7:\"7.x-4.1\";s:3:\"tag\";s:7:\"7.x-4.1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.1.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"e33d9a244c41c7b1bc6df8af00e08b7a\";s:8:\"filesize\";s:6:\"193676\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-4.0\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.0\";s:7:\"version\";s:7:\"7.x-4.0\";s:3:\"tag\";s:7:\"7.x-4.0\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0.tar.gz\";s:4:\"date\";s:10:\"1409365728\";s:6:\"mdhash\";s:32:\"20c266a95b99abd24bd5dd3facba61a8\";s:8:\"filesize\";s:6:\"193699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:11:\"7.x-4.0-rc6\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc6\";s:7:\"version\";s:11:\"7.x-4.0-rc6\";s:3:\"tag\";s:11:\"7.x-4.0-rc6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1408408128\";s:6:\"mdhash\";s:32:\"d6c9af053bb448d13db9ed4bda7373bf\";s:8:\"filesize\";s:6:\"192838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc5\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc5\";s:7:\"version\";s:11:\"7.x-4.0-rc5\";s:3:\"tag\";s:11:\"7.x-4.0-rc5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1406922827\";s:6:\"mdhash\";s:32:\"376fdf4bac5d797aba46ef7c6e984dad\";s:8:\"filesize\";s:6:\"192690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc4\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc4\";s:7:\"version\";s:11:\"7.x-4.0-rc4\";s:3:\"tag\";s:11:\"7.x-4.0-rc4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1403835228\";s:6:\"mdhash\";s:32:\"a7433fae49177e403a2f9ea391dbff40\";s:8:\"filesize\";s:6:\"190874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc3\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc3\";s:7:\"version\";s:11:\"7.x-4.0-rc3\";s:3:\"tag\";s:11:\"7.x-4.0-rc3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1398161327\";s:6:\"mdhash\";s:32:\"dc88f99bb75f0ccb278c43ff288ee20d\";s:8:\"filesize\";s:6:\"189321\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc2\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc2\";s:7:\"version\";s:11:\"7.x-4.0-rc2\";s:3:\"tag\";s:11:\"7.x-4.0-rc2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1398128627\";s:6:\"mdhash\";s:32:\"83463fc7c1c09db64491821d6ec70245\";s:8:\"filesize\";s:6:\"189359\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc1\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc1\";s:7:\"version\";s:11:\"7.x-4.0-rc1\";s:3:\"tag\";s:11:\"7.x-4.0-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1397285353\";s:6:\"mdhash\";s:32:\"f531bd82a3e8a218e8ba6b9418a272fe\";s:8:\"filesize\";s:6:\"188567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta3\";s:7:\"version\";s:13:\"7.x-4.0-beta3\";s:3:\"tag\";s:13:\"7.x-4.0-beta3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1392366205\";s:6:\"mdhash\";s:32:\"ed5a9f251b148852a8604d3a27d312d0\";s:8:\"filesize\";s:6:\"183926\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta2\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:3:\"tag\";s:13:\"7.x-4.0-beta2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1392182008\";s:6:\"mdhash\";s:32:\"8aed2f45bc2c66d21b197fe0e25ee268\";s:8:\"filesize\";s:6:\"182803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta1\";s:7:\"version\";s:13:\"7.x-4.0-beta1\";s:3:\"tag\";s:13:\"7.x-4.0-beta1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1379945522\";s:6:\"mdhash\";s:32:\"ad8186178f170001d34c20afa0cc794c\";s:8:\"filesize\";s:6:\"178805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:15:\"7.x-4.0-alpha10\";a:15:{s:4:\"name\";s:23:\"webform 7.x-4.0-alpha10\";s:7:\"version\";s:15:\"7.x-4.0-alpha10\";s:3:\"tag\";s:15:\"7.x-4.0-alpha10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha10\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1376030931\";s:6:\"mdhash\";s:32:\"0dbf55ba01a9fa44eca22a25da43cf88\";s:8:\"filesize\";s:6:\"175015\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha9\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha9\";s:7:\"version\";s:14:\"7.x-4.0-alpha9\";s:3:\"tag\";s:14:\"7.x-4.0-alpha9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1373869569\";s:6:\"mdhash\";s:32:\"2119eb8d79bb27e70f34bb5ed8d28d5f\";s:8:\"filesize\";s:6:\"165143\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha8\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha8\";s:7:\"version\";s:14:\"7.x-4.0-alpha8\";s:3:\"tag\";s:14:\"7.x-4.0-alpha8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1371660352\";s:6:\"mdhash\";s:32:\"f137cf2c0835affeb5c9da810507a67c\";s:8:\"filesize\";s:6:\"160206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha7\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha7\";s:7:\"version\";s:14:\"7.x-4.0-alpha7\";s:3:\"tag\";s:14:\"7.x-4.0-alpha7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1371629090\";s:6:\"mdhash\";s:32:\"1639e10d3bcdccddbeed2947a93fa127\";s:8:\"filesize\";s:6:\"160211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha6\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha6\";s:7:\"version\";s:14:\"7.x-4.0-alpha6\";s:3:\"tag\";s:14:\"7.x-4.0-alpha6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1347692127\";s:6:\"mdhash\";s:32:\"75227a94b7db0ef7a500af2c2ebb7ab9\";s:8:\"filesize\";s:6:\"155734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha5\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha5\";s:7:\"version\";s:14:\"7.x-4.0-alpha5\";s:3:\"tag\";s:14:\"7.x-4.0-alpha5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1347551761\";s:6:\"mdhash\";s:32:\"5d02f0e052f7c49ffba4539b8bb4aef9\";s:8:\"filesize\";s:6:\"152419\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha4\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha4\";s:7:\"version\";s:14:\"7.x-4.0-alpha4\";s:3:\"tag\";s:14:\"7.x-4.0-alpha4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1343527082\";s:6:\"mdhash\";s:32:\"e33d957ef4bc8f00f00d3a60aa21ac6c\";s:8:\"filesize\";s:6:\"152205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha3\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha3\";s:7:\"version\";s:14:\"7.x-4.0-alpha3\";s:3:\"tag\";s:14:\"7.x-4.0-alpha3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1339117034\";s:6:\"mdhash\";s:32:\"39f02ba0cee0a419a38254075f966c6a\";s:8:\"filesize\";s:6:\"151352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha2\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha2\";s:7:\"version\";s:14:\"7.x-4.0-alpha2\";s:3:\"tag\";s:14:\"7.x-4.0-alpha2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1338609133\";s:6:\"mdhash\";s:32:\"7fb52e64f354fb6875da48469a0d55af\";s:8:\"filesize\";s:6:\"150956\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha1\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha1\";s:7:\"version\";s:14:\"7.x-4.0-alpha1\";s:3:\"tag\";s:14:\"7.x-4.0-alpha1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1337451095\";s:6:\"mdhash\";s:32:\"512260ef02e1ce57ef43ec90683c1e78\";s:8:\"filesize\";s:6:\"135199\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.27\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.27\";s:7:\"version\";s:8:\"7.x-3.27\";s:3:\"tag\";s:8:\"7.x-3.27\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.27\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27.tar.gz\";s:4:\"date\";s:10:\"1486665483\";s:6:\"mdhash\";s:32:\"17c1e11d7826c9a3554d4b6a93594c9f\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-3.27-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.27-rc1\";s:7:\"version\";s:12:\"7.x-3.27-rc1\";s:3:\"tag\";s:12:\"7.x-3.27-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.27-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27-rc1.tar.gz\";s:4:\"date\";s:10:\"1485444182\";s:6:\"mdhash\";s:32:\"786145dda5a2e5f4520c2197c3ea69b1\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.26\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.26\";s:7:\"version\";s:8:\"7.x-3.26\";s:3:\"tag\";s:8:\"7.x-3.26\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.26\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26.tar.gz\";s:4:\"date\";s:10:\"1480529583\";s:6:\"mdhash\";s:32:\"065cedb9c220daccccb22f907bb3d744\";s:8:\"filesize\";s:6:\"139944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:12:\"7.x-3.26-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.26-rc1\";s:7:\"version\";s:12:\"7.x-3.26-rc1\";s:3:\"tag\";s:12:\"7.x-3.26-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.26-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26-rc1.tar.gz\";s:4:\"date\";s:10:\"1479312239\";s:6:\"mdhash\";s:32:\"8de44a808ec179c299df85736196b446\";s:8:\"filesize\";s:6:\"137812\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.25\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.25\";s:7:\"version\";s:8:\"7.x-3.25\";s:3:\"tag\";s:8:\"7.x-3.25\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.25\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.25.tar.gz\";s:4:\"date\";s:10:\"1476870839\";s:6:\"mdhash\";s:32:\"8b039236e6e7d71ec72e0894205dae5e\";s:8:\"filesize\";s:6:\"137744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.24\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.24\";s:7:\"version\";s:8:\"7.x-3.24\";s:3:\"tag\";s:8:\"7.x-3.24\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.24\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.24.tar.gz\";s:4:\"date\";s:10:\"1427956545\";s:6:\"mdhash\";s:32:\"4cc3efd543655c6af4356ff2f88d7ac3\";s:8:\"filesize\";s:6:\"137672\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.23\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.23\";s:7:\"version\";s:8:\"7.x-3.23\";s:3:\"tag\";s:8:\"7.x-3.23\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.23\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.23.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"6a507412ba68d7b371fb13f18c739149\";s:8:\"filesize\";s:6:\"137624\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.22\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.22\";s:7:\"version\";s:8:\"7.x-3.22\";s:3:\"tag\";s:8:\"7.x-3.22\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.22\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.22.tar.gz\";s:4:\"date\";s:10:\"1425406681\";s:6:\"mdhash\";s:32:\"af8e64222a07a850b5d9d1798a1d1bb2\";s:8:\"filesize\";s:6:\"136634\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.21\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.21\";s:7:\"version\";s:8:\"7.x-3.21\";s:3:\"tag\";s:8:\"7.x-3.21\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.21\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.21.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"0a5579986a6d8698eca05ef4cd4f0ee3\";s:8:\"filesize\";s:6:\"136660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.20\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.20\";s:7:\"version\";s:8:\"7.x-3.20\";s:3:\"tag\";s:8:\"7.x-3.20\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.20\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.20.tar.gz\";s:4:\"date\";s:10:\"1392182304\";s:6:\"mdhash\";s:32:\"5011725f4998fbdff66ad31bc539c473\";s:8:\"filesize\";s:6:\"136668\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.19\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.19\";s:7:\"version\";s:8:\"7.x-3.19\";s:3:\"tag\";s:8:\"7.x-3.19\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.19\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.19.tar.gz\";s:4:\"date\";s:10:\"1369860079\";s:6:\"mdhash\";s:32:\"75a7796e7571b8eb8107f4a0171f2a64\";s:8:\"filesize\";s:6:\"135557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.18\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1336890411\";s:6:\"mdhash\";s:32:\"0c831e201bfc065207e0ddfeb8169e68\";s:8:\"filesize\";s:6:\"134663\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.17\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.17\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1331149848\";s:6:\"mdhash\";s:32:\"99164a28431b75a3ee58727698c159ba\";s:8:\"filesize\";s:6:\"132843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1330334150\";s:6:\"mdhash\";s:32:\"c0b428e7931efb4416e7b1057f37e02f\";s:8:\"filesize\";s:6:\"131554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1323326755\";s:6:\"mdhash\";s:32:\"6631cf2e3cfbab71e8e48dc31c0b5f04\";s:8:\"filesize\";s:6:\"123969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1314806221\";s:6:\"mdhash\";s:32:\"3608e957d4685680c755870b2264d444\";s:8:\"filesize\";s:6:\"121276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1313561826\";s:6:\"mdhash\";s:32:\"9094d0cc5d3d1e746767cd6b03474be8\";s:8:\"filesize\";s:6:\"119057\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1305758218\";s:6:\"mdhash\";s:32:\"ab63b21e78594d9012c688d6f9242c1a\";s:8:\"filesize\";s:6:\"117272\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1305756717\";s:6:\"mdhash\";s:32:\"a463377335ec4ea95512dabd400ac6c6\";s:8:\"filesize\";s:6:\"115439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1299399369\";s:6:\"mdhash\";s:32:\"4622ef7902efbbdf2c76ea1a70095350\";s:8:\"filesize\";s:6:\"115250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1298677273\";s:6:\"mdhash\";s:32:\"a55a253b21abae132f519943a6dfb1e2\";s:8:\"filesize\";s:6:\"115237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1298534230\";s:6:\"mdhash\";s:32:\"0531afc17545bf2df8ff36fd770c9522\";s:8:\"filesize\";s:6:\"332813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1294819898\";s:6:\"mdhash\";s:32:\"5b5d011f368ccc3458acb816bd322368\";s:8:\"filesize\";s:6:\"342890\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}s:13:\"7.x-3.4-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.4-beta1\";s:7:\"version\";s:13:\"7.x-3.4-beta1\";s:3:\"tag\";s:13:\"7.x-3.4-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.4-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.4-beta1.tar.gz\";s:4:\"date\";s:10:\"1287598575\";s:6:\"mdhash\";s:32:\"2a39a8641a3da45835309830600c78dd\";s:8:\"filesize\";s:6:\"342322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.3-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.3-beta1\";s:7:\"version\";s:13:\"7.x-3.3-beta1\";s:3:\"tag\";s:13:\"7.x-3.3-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.3-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.3-beta1.tar.gz\";s:4:\"date\";s:10:\"1287390088\";s:6:\"mdhash\";s:32:\"05abb33a143713e3dec72dc9b832b488\";s:8:\"filesize\";s:6:\"342034\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta8\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta8\";s:7:\"version\";s:13:\"7.x-3.0-beta8\";s:3:\"tag\";s:13:\"7.x-3.0-beta8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1282828912\";s:6:\"mdhash\";s:32:\"da4804382f6f3ba985982bb4ef0f1821\";s:8:\"filesize\";s:6:\"336720\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1281825694\";s:6:\"mdhash\";s:32:\"e6daf245f2f70b7e101864f3c086235c\";s:8:\"filesize\";s:6:\"336332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1277097010\";s:6:\"mdhash\";s:32:\"b2e32326c4d009b9af6efb190f3623cd\";s:8:\"filesize\";s:6:\"336300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1271177414\";s:6:\"mdhash\";s:32:\"8e2e4e4b5c3e7f3b05f5af0454417f8a\";s:8:\"filesize\";s:6:\"334969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1270268112\";s:6:\"mdhash\";s:32:\"58886079d44ff03a11e8fc7c79e457e1\";s:8:\"filesize\";s:6:\"333147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1270265414\";s:6:\"mdhash\";s:32:\"285cce90e04b2bce7fe62f7e08ec152b\";s:8:\"filesize\";s:6:\"333092\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1268446210\";s:6:\"mdhash\";s:32:\"6152ba9b80f69e4098c5fc14457e1a2e\";s:8:\"filesize\";s:6:\"327887\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-4.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-4.x-dev\";s:7:\"version\";s:11:\"7.x-4.x-dev\";s:3:\"tag\";s:7:\"7.x-4.x\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1497885842\";s:6:\"mdhash\";s:32:\"612eeea184f80a649bed22417af12b9f\";s:8:\"filesize\";s:6:\"247569\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1484233084\";s:6:\"mdhash\";s:32:\"d66aae2c19d435b79adf3ba7d093f435\";s:8:\"filesize\";s:6:\"139954\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1500435842,1500349441,1),('available_releases::we_content_migration','a:10:{s:5:\"title\";s:24:\"Drupal Content Migration\";s:10:\"short_name\";s:20:\"we_content_migration\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1500435842,1500349441,1),('fetch_failures','a:0:{}',1500349771,1500349441,1),('fetch_task::views_bootstrap',NULL,0,1500349441,0),('fetch_task::views_fieldsets',NULL,0,1500349441,0),('fetch_task::views_slideshow',NULL,0,1500349441,0),('fetch_task::views_ticker',NULL,0,1500349441,0),('update_project_data','a:53:{s:12:\"addressfield\";a:17:{s:4:\"name\";s:12:\"addressfield\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Address Field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1421426885\";s:8:\"includes\";a:1:{s:12:\"addressfield\";s:13:\"Address Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.0\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Address Field\";s:4:\"link\";s:43:\"https://www.drupal.org/project/addressfield\";s:14:\"latest_version\";s:7:\"7.x-1.2\";s:8:\"releases\";a:1:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:20:\"addressfield 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/addressfield/releases/7.x-1.2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/addressfield-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1444253039\";s:6:\"mdhash\";s:32:\"2c9452731b1b8fffeba8f420c590cc57\";s:8:\"filesize\";s:5:\"77194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.2\";s:6:\"status\";i:4;}s:10:\"admin_menu\";a:17:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-3.0-rc5\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:19:\"Administration menu\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:14:\"latest_version\";s:11:\"7.x-3.0-rc5\";s:8:\"releases\";a:1:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-3.0-rc5\";s:6:\"status\";i:5;}s:4:\"bean\";a:17:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425439382\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Bean\";s:4:\"link\";s:35:\"https://www.drupal.org/project/bean\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:13:\"bean 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/bean/releases/7.x-1.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/bean-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1470638339\";s:6:\"mdhash\";s:32:\"81a99ebffebab15f1bd9f5796af951ea\";s:8:\"filesize\";s:5:\"55153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:4;}s:22:\"better_exposed_filters\";a:17:{s:4:\"name\";s:22:\"better_exposed_filters\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:16:\"_info_file_ctime\";i:1500349303;}s:9:\"datestamp\";s:10:\"1485926287\";s:8:\"includes\";a:1:{s:22:\"better_exposed_filters\";s:22:\"Better Exposed Filters\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.4\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:22:\"Better Exposed Filters\";s:4:\"link\";s:53:\"https://www.drupal.org/project/better_exposed_filters\";s:14:\"latest_version\";s:7:\"7.x-3.4\";s:8:\"releases\";a:1:{s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:30:\"better_exposed_filters 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/better_exposed_filters/releases/7.x-3.4\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/better_exposed_filters-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1485926283\";s:6:\"mdhash\";s:32:\"0a149a565aa4885faf6015c1ce6b929b\";s:8:\"filesize\";s:5:\"51110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.4\";s:6:\"status\";i:5;}s:6:\"drupal\";a:17:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500348385;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:34:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:4:\"7.56\";s:14:\"existing_major\";s:1:\"7\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:14:\"latest_version\";s:4:\"7.56\";s:8:\"releases\";a:1:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:4:\"7.56\";s:6:\"status\";i:5;}s:11:\"block_class\";a:17:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Block Class\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:14:\"blockreference\";a:17:{s:4:\"name\";s:14:\"blockreference\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Block reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:14:\"blockreference\";s:9:\"datestamp\";s:10:\"1426258985\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1426258985\";s:8:\"includes\";a:1:{s:14:\"blockreference\";s:15:\"Block reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Block reference\";s:4:\"link\";s:45:\"https://www.drupal.org/project/blockreference\";s:14:\"latest_version\";s:7:\"7.x-2.4\";s:8:\"releases\";a:1:{s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:22:\"blockreference 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/blockreference/releases/7.x-2.4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/blockreference-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1469987940\";s:6:\"mdhash\";s:32:\"3c46c3e3afc0abebe15a2d31a5db134d\";s:8:\"filesize\";s:5:\"15989\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.4\";s:6:\"status\";i:4;}s:7:\"context\";a:17:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:2:{s:7:\"context\";s:7:\"Context\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.6\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Context\";s:4:\"link\";s:38:\"https://www.drupal.org/project/context\";s:14:\"latest_version\";s:7:\"7.x-3.7\";s:8:\"releases\";a:1:{s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"context 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/context/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/context-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1463605439\";s:6:\"mdhash\";s:32:\"7486753eef5a1496a3aa79ce7f168124\";s:8:\"filesize\";s:5:\"74779\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.7\";s:6:\"status\";i:4;}s:6:\"ctools\";a:17:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500348695;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:8:\"7.x-1.12\";s:8:\"releases\";a:1:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.12\";s:6:\"status\";i:5;}s:5:\"email\";a:17:{s:4:\"name\";s:5:\"email\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Email\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:5:\"email\";s:9:\"datestamp\";s:10:\"1397134155\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1397134155\";s:8:\"includes\";a:1:{s:5:\"email\";s:5:\"Email\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Email Field\";s:4:\"link\";s:36:\"https://www.drupal.org/project/email\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"email 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/email/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/email-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1397134152\";s:6:\"mdhash\";s:32:\"d827fffe1eb3ed14a34e0cb259b5b250\";s:8:\"filesize\";s:5:\"12566\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:6:\"entity\";a:17:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1424876582\";s:8:\"includes\";a:1:{s:6:\"entity\";s:10:\"Entity API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Entity API\";s:4:\"link\";s:37:\"https://www.drupal.org/project/entity\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"entity 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/entity/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/entity-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1474545839\";s:6:\"mdhash\";s:32:\"3926d48c86387c3d1d5777538903a752\";s:8:\"filesize\";s:6:\"123957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:4;}s:15:\"entityreference\";a:17:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Entity reference\";s:4:\"link\";s:46:\"https://www.drupal.org/project/entityreference\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:23:\"entityreference 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/entityreference/releases/7.x-1.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/entityreference-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1495557183\";s:6:\"mdhash\";s:32:\"ce8bde18b2b0269f218a1e2dc17579ee\";s:8:\"filesize\";s:5:\"43230\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:4;}s:8:\"features\";a:17:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500348782;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.10\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Features\";s:4:\"link\";s:39:\"https://www.drupal.org/project/features\";s:14:\"latest_version\";s:8:\"7.x-2.10\";s:8:\"releases\";a:1:{s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:17:\"features 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/features/releases/7.x-2.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/features-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1461011639\";s:6:\"mdhash\";s:32:\"5641e5545020932570aed464fbaebf6a\";s:8:\"filesize\";s:5:\"97102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.10\";s:6:\"status\";i:5;}s:16:\"field_collection\";a:17:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:13:\"7.x-1.0-beta8\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Field collection\";s:4:\"link\";s:47:\"https://www.drupal.org/project/field_collection\";s:14:\"latest_version\";s:14:\"7.x-1.0-beta12\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-beta12\";a:15:{s:4:\"name\";s:31:\"field_collection 7.x-1.0-beta12\";s:7:\"version\";s:14:\"7.x-1.0-beta12\";s:3:\"tag\";s:14:\"7.x-1.0-beta12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/field_collection/releases/7.x-1.0-beta12\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/field_collection-7.x-1.0-beta12.tar.gz\";s:4:\"date\";s:10:\"1479402842\";s:6:\"mdhash\";s:32:\"e966ba0c2ad40b9b044ae8bdf993f5ed\";s:8:\"filesize\";s:5:\"51018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-beta12\";s:6:\"status\";i:4;}s:11:\"field_group\";a:17:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Field Group\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:14:\"latest_version\";s:7:\"7.x-1.5\";s:8:\"releases\";a:1:{s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:15:\"field_slideshow\";a:18:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.82\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Field Slideshow\";s:4:\"link\";s:46:\"https://www.drupal.org/project/field_slideshow\";s:4:\"also\";a:1:{i:2;s:13:\"7.x-2.0-beta1\";}s:8:\"releases\";a:2:{s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:29:\"field_slideshow 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:69:\"https://www.drupal.org/project/field_slideshow/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:74:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1427029981\";s:6:\"mdhash\";s:32:\"f758c524b1b447f74385c7fd24f30234\";s:8:\"filesize\";s:5:\"20135\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:8:\"7.x-1.82\";a:14:{s:4:\"name\";s:24:\"field_slideshow 7.x-1.82\";s:7:\"version\";s:8:\"7.x-1.82\";s:3:\"tag\";s:8:\"7.x-1.82\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"82\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/field_slideshow/releases/7.x-1.82\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/field_slideshow-7.x-1.82.tar.gz\";s:4:\"date\";s:10:\"1363270823\";s:6:\"mdhash\";s:32:\"9f586cf88fa62ead440bd8ad6ec48eaa\";s:8:\"filesize\";s:5:\"19377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:8:\"7.x-1.82\";s:11:\"recommended\";s:8:\"7.x-1.82\";s:6:\"status\";i:5;}s:10:\"flexslider\";a:17:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:3:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-2.0-alpha3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Flex Slider\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:14:\"latest_version\";s:11:\"7.x-2.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-2.0-rc2\";s:6:\"status\";i:4;}s:6:\"flickr\";a:17:{s:4:\"name\";s:6:\"flickr\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Flickr\";s:7:\"package\";s:6:\"Flickr\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1403814832\";s:8:\"includes\";a:2:{s:6:\"flickr\";s:6:\"Flickr\";s:12:\"flickr_block\";s:12:\"Flickr Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:6:\"Flickr\";s:4:\"link\";s:37:\"https://www.drupal.org/project/flickr\";s:14:\"latest_version\";s:7:\"7.x-1.8\";s:8:\"releases\";a:1:{s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"flickr 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/flickr/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/flickr-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1438859339\";s:6:\"mdhash\";s:32:\"475e1de3ba9a6a64f20c145297097438\";s:8:\"filesize\";s:6:\"118110\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.8\";s:6:\"status\";i:4;}s:11:\"fontawesome\";a:17:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Font Awesome Icons\";s:4:\"link\";s:42:\"https://www.drupal.org/project/fontawesome\";s:14:\"latest_version\";s:7:\"7.x-2.6\";s:8:\"releases\";a:1:{s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:19:\"fontawesome 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/fontawesome/releases/7.x-2.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/fontawesome-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1476103132\";s:6:\"mdhash\";s:32:\"cc9afba41c5a7f5e1b05840bac7e35aa\";s:8:\"filesize\";s:5:\"11867\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.6\";s:6:\"status\";i:4;}s:16:\"galleryformatter\";a:17:{s:4:\"name\";s:16:\"galleryformatter\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Gallery Formatter\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1355821655\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1355821655\";s:8:\"includes\";a:1:{s:16:\"galleryformatter\";s:17:\"Gallery Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Gallery formatter\";s:4:\"link\";s:47:\"https://www.drupal.org/project/galleryformatter\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1442600639\";s:6:\"mdhash\";s:32:\"3754143cc4f2623b85fe4432514db18b\";s:8:\"filesize\";s:5:\"41653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:4;}s:8:\"geocoder\";a:17:{s:4:\"name\";s:8:\"geocoder\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Geocoder\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"geocoder\";s:9:\"datestamp\";s:10:\"1346083034\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1346083034\";s:8:\"includes\";a:1:{s:8:\"geocoder\";s:8:\"Geocoder\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Geocoder\";s:4:\"link\";s:39:\"https://www.drupal.org/project/geocoder\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"geocoder 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geocoder/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geocoder-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1454270339\";s:6:\"mdhash\";s:32:\"57500db83df2c8ded4d17a4a02a9c53d\";s:8:\"filesize\";s:5:\"26978\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:4;}s:8:\"geofield\";a:17:{s:4:\"name\";s:8:\"geofield\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Geofield\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"geofield\";s:9:\"datestamp\";s:10:\"1411337638\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1411337638\";s:8:\"includes\";a:2:{s:8:\"geofield\";s:8:\"Geofield\";s:12:\"geofield_map\";s:12:\"Geofield Map\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Geofield\";s:4:\"link\";s:39:\"https://www.drupal.org/project/geofield\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:16:\"geofield 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/geofield/releases/7.x-2.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/geofield-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1411337631\";s:6:\"mdhash\";s:32:\"94eae6025b93addeb314330c2f867898\";s:8:\"filesize\";s:5:\"57511\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:6:\"geophp\";a:17:{s:4:\"name\";s:6:\"geophp\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"geoPHP\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"geophp\";s:9:\"datestamp\";s:10:\"1352084822\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1352084822\";s:8:\"includes\";a:1:{s:6:\"geophp\";s:6:\"geoPHP\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.7\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:6:\"geoPHP\";s:4:\"link\";s:37:\"https://www.drupal.org/project/geophp\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"geophp 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/geophp/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/geophp-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1352084822\";s:6:\"mdhash\";s:32:\"66d43e0f91da47fcc39633c211328d90\";s:8:\"filesize\";s:6:\"196513\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:5;}s:4:\"gmap\";a:17:{s:4:\"name\";s:4:\"gmap\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"GMap\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1394461106\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1394461106\";s:8:\"includes\";a:1:{s:4:\"gmap\";s:4:\"GMap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.9\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"GMap Module\";s:4:\"link\";s:35:\"https://www.drupal.org/project/gmap\";s:14:\"latest_version\";s:8:\"7.x-2.11\";s:8:\"releases\";a:1:{s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:13:\"gmap 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/gmap/releases/7.x-2.11\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/gmap-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1457698139\";s:6:\"mdhash\";s:32:\"a457b062ef0f7a8f2ff4caa6e1b4299c\";s:8:\"filesize\";s:6:\"316275\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-2.11\";s:6:\"status\";i:4;}s:4:\"icon\";a:17:{s:4:\"name\";s:4:\"icon\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Icon API\";s:7:\"package\";s:8:\"Icon API\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1392643705\";s:8:\"includes\";a:2:{s:4:\"icon\";s:8:\"Icon API\";s:10:\"icon_field\";s:15:\"Icon API: Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:13:\"7.x-1.0-beta5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Icon API\";s:4:\"link\";s:35:\"https://www.drupal.org/project/icon\";s:14:\"latest_version\";s:7:\"7.x-1.0\";s:8:\"releases\";a:1:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"icon 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/icon/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/icon-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1490035383\";s:6:\"mdhash\";s:32:\"2bbcce141deca20d1531c9da49d78005\";s:8:\"filesize\";s:5:\"98998\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:0:\"\";s:5:\"terms\";a:0:{}}}s:11:\"recommended\";s:7:\"7.x-1.0\";s:6:\"status\";i:4;}s:9:\"ip_geoloc\";a:17:{s:4:\"name\";s:9:\"ip_geoloc\";s:4:\"info\";a:6:{s:4:\"name\";s:27:\"IP Geolocation Views & Maps\";s:7:\"version\";s:8:\"7.x-1.26\";s:7:\"project\";s:9:\"ip_geoloc\";s:9:\"datestamp\";s:10:\"1415869104\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1415869104\";s:8:\"includes\";a:1:{s:9:\"ip_geoloc\";s:27:\"IP Geolocation Views & Maps\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.26\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:31:\"IP Geolocation Views &amp; Maps\";s:4:\"link\";s:40:\"https://www.drupal.org/project/ip_geoloc\";s:14:\"latest_version\";s:8:\"7.x-1.30\";s:8:\"releases\";a:1:{s:8:\"7.x-1.30\";a:14:{s:4:\"name\";s:18:\"ip_geoloc 7.x-1.30\";s:7:\"version\";s:8:\"7.x-1.30\";s:3:\"tag\";s:8:\"7.x-1.30\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ip_geoloc/releases/7.x-1.30\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ip_geoloc-7.x-1.30.tar.gz\";s:4:\"date\";s:10:\"1484962985\";s:6:\"mdhash\";s:32:\"6a598aaa508fe4a55c5cf2ec18d98ca3\";s:8:\"filesize\";s:6:\"186488\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.30\";s:6:\"status\";i:4;}s:13:\"views_isotope\";a:17:{s:4:\"name\";s:13:\"views_isotope\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Isotope Example\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:7:\"project\";s:13:\"views_isotope\";s:9:\"datestamp\";s:10:\"1335546686\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1335546686\";s:8:\"includes\";a:2:{s:23:\"isotope_example_feature\";s:15:\"Isotope Example\";s:13:\"views_isotope\";s:13:\"Views Isotope\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:13:\"7.x-1.0-beta2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:26:\"Views Isotope (Deprecated)\";s:4:\"link\";s:44:\"https://www.drupal.org/project/views_isotope\";s:6:\"status\";i:3;s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"views_isotope 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/views_isotope/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/views_isotope-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1455276839\";s:6:\"mdhash\";s:32:\"876ab6a424607ae4faad4005ce853b47\";s:8:\"filesize\";s:5:\"22917\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";}s:9:\"jcarousel\";a:17:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:9:\"jCarousel\";s:4:\"link\";s:40:\"https://www.drupal.org/project/jcarousel\";s:14:\"latest_version\";s:7:\"7.x-2.7\";s:8:\"releases\";a:1:{s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:17:\"jcarousel 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/jcarousel/releases/7.x-2.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/jcarousel-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1420460280\";s:6:\"mdhash\";s:32:\"da7722a86d12f286ce6b05e064b6a6e3\";s:8:\"filesize\";s:5:\"58289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:13:\"jquery_update\";a:18:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500349155;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"jQuery Update\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha5\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:14:\"latest_version\";s:7:\"7.x-2.7\";s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:7:\"leaflet\";a:17:{s:4:\"name\";s:7:\"leaflet\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Leaflet\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:7:\"leaflet\";s:9:\"datestamp\";s:10:\"1390350505\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1390350505\";s:8:\"includes\";a:1:{s:7:\"leaflet\";s:7:\"Leaflet\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Leaflet\";s:4:\"link\";s:38:\"https://www.drupal.org/project/leaflet\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:15:\"leaflet 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/leaflet/releases/7.x-1.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/leaflet-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1484885584\";s:6:\"mdhash\";s:32:\"c932ac93bcff9552bdc65889c5dafea0\";s:8:\"filesize\";s:5:\"26471\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:4;}s:17:\"leaflet_more_maps\";a:17:{s:4:\"name\";s:17:\"leaflet_more_maps\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Leaflet More Maps\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:17:\"leaflet_more_maps\";s:9:\"datestamp\";s:10:\"1393555436\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1393555436\";s:8:\"includes\";a:1:{s:17:\"leaflet_more_maps\";s:17:\"Leaflet More Maps\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Leaflet More Maps\";s:4:\"link\";s:48:\"https://www.drupal.org/project/leaflet_more_maps\";s:14:\"latest_version\";s:8:\"7.x-1.17\";s:8:\"releases\";a:1:{s:8:\"7.x-1.17\";a:14:{s:4:\"name\";s:26:\"leaflet_more_maps 7.x-1.17\";s:7:\"version\";s:8:\"7.x-1.17\";s:3:\"tag\";s:8:\"7.x-1.17\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/leaflet_more_maps/releases/7.x-1.17\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/leaflet_more_maps-7.x-1.17.tar.gz\";s:4:\"date\";s:10:\"1484878087\";s:6:\"mdhash\";s:32:\"2715f0274a94c6d56f29008ec636f2f6\";s:8:\"filesize\";s:5:\"17292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.17\";s:6:\"status\";i:4;}s:9:\"libraries\";a:17:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Libraries API\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:4;}s:4:\"link\";a:17:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Link\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:14:\"latest_version\";s:13:\"7.x-1.5-beta1\";s:8:\"releases\";a:2:{s:13:\"7.x-1.5-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta1\";s:7:\"version\";s:13:\"7.x-1.5-beta1\";s:3:\"tag\";s:13:\"7.x-1.5-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1499171942\";s:6:\"mdhash\";s:32:\"0589fb97c7b74f82e429a34677eb1fb8\";s:8:\"filesize\";s:5:\"37592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:4;}s:15:\"menu_attributes\";a:17:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.0-rc3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Menu attributes\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_attributes\";s:14:\"latest_version\";s:7:\"7.x-1.0\";s:8:\"releases\";a:1:{s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"menu_attributes 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_attributes/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_attributes-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1455568739\";s:6:\"mdhash\";s:32:\"0d8c9354f20bf30333375423b0228fcc\";s:8:\"filesize\";s:5:\"14673\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.0\";s:6:\"status\";i:4;}s:15:\"menu_breadcrumb\";a:17:{s:4:\"name\";s:15:\"menu_breadcrumb\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425993992\";s:8:\"includes\";a:1:{s:15:\"menu_breadcrumb\";s:15:\"Menu breadcrumb\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Menu Breadcrumb\";s:4:\"link\";s:46:\"https://www.drupal.org/project/menu_breadcrumb\";s:14:\"latest_version\";s:7:\"7.x-1.6\";s:8:\"releases\";a:1:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:23:\"menu_breadcrumb 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/menu_breadcrumb/releases/7.x-1.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/menu_breadcrumb-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425993987\";s:6:\"mdhash\";s:32:\"30291c87761f042b7599865d80df6f62\";s:8:\"filesize\";s:5:\"15154\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.6\";s:6:\"status\";i:5;}s:14:\"metatags_quick\";a:17:{s:4:\"name\";s:14:\"metatags_quick\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1405184328\";s:8:\"includes\";a:1:{s:14:\"metatags_quick\";s:17:\"Meta tags (quick)\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.9\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Meta tags quick\";s:4:\"link\";s:45:\"https://www.drupal.org/project/metatags_quick\";s:14:\"latest_version\";s:7:\"7.x-2.9\";s:8:\"releases\";a:1:{s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:22:\"metatags_quick 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/metatags_quick/releases/7.x-2.9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/metatags_quick-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1405184328\";s:6:\"mdhash\";s:32:\"9d67f5be1b23407215d621729dab57f0\";s:8:\"filesize\";s:5:\"28432\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.9\";s:6:\"status\";i:5;}s:13:\"module_filter\";a:17:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1424631189\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1424631189\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.0\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Module Filter\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:4;}s:8:\"pathauto\";a:17:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:4;}s:9:\"quicktabs\";a:17:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.6\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Quick Tabs\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:14:\"latest_version\";s:7:\"7.x-3.8\";s:8:\"releases\";a:1:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-3.8\";s:6:\"status\";i:4;}s:10:\"references\";a:17:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"References\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:16:\"_info_file_ctime\";i:1500348615;}s:9:\"datestamp\";s:10:\"1492534745\";s:8:\"includes\";a:1:{s:10:\"references\";s:10:\"References\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"References\";s:4:\"link\";s:41:\"https://www.drupal.org/project/references\";s:14:\"latest_version\";s:7:\"7.x-2.2\";s:8:\"releases\";a:1:{s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:18:\"references 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/references/releases/7.x-2.2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/references-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1492534743\";s:6:\"mdhash\";s:32:\"5d0a85ca042f6624087d094b84169f0a\";s:8:\"filesize\";s:5:\"40244\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-2.2\";s:6:\"status\";i:5;}s:10:\"simplenews\";a:17:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1381947969\";s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Simplenews\";s:4:\"link\";s:41:\"https://www.drupal.org/project/simplenews\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:18:\"simplenews 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/simplenews/releases/7.x-1.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/simplenews-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1381947969\";s:6:\"mdhash\";s:32:\"a494efb4ed193445704a028055dd6df8\";s:8:\"filesize\";s:6:\"163770\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:9:\"tagclouds\";a:17:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.10\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1404152332\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1404152332\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.10\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"TagCloud\";s:4:\"link\";s:40:\"https://www.drupal.org/project/tagclouds\";s:14:\"latest_version\";s:8:\"7.x-1.11\";s:8:\"releases\";a:1:{s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:18:\"tagclouds 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/tagclouds/releases/7.x-1.11\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/tagclouds-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1452956639\";s:6:\"mdhash\";s:32:\"8fb0190b0c34735329d9e7808f507873\";s:8:\"filesize\";s:5:\"13778\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-1.11\";s:6:\"status\";i:4;}s:11:\"tb_megamenu\";a:17:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:13:\"7.x-1.0-beta5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:12:\"TB Mega Menu\";s:4:\"link\";s:42:\"https://www.drupal.org/project/tb_megamenu\";s:14:\"latest_version\";s:11:\"7.x-1.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"tb_megamenu 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/tb_megamenu/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/tb_megamenu-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1440756539\";s:6:\"mdhash\";s:32:\"f31ead7424d21dbb8f189922301407e3\";s:8:\"filesize\";s:5:\"69537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-1.0-rc2\";s:6:\"status\";i:4;}s:5:\"token\";a:17:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425149060\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.6\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:4;}s:17:\"video_embed_field\";a:17:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1441639440\";s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-2.0-beta11\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Video Embed Field\";s:4:\"link\";s:48:\"https://www.drupal.org/project/video_embed_field\";s:14:\"latest_version\";s:14:\"7.x-2.0-beta11\";s:8:\"releases\";a:1:{s:14:\"7.x-2.0-beta11\";a:15:{s:4:\"name\";s:32:\"video_embed_field 7.x-2.0-beta11\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:3:\"tag\";s:14:\"7.x-2.0-beta11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"beta11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/video_embed_field/releases/7.x-2.0-beta11\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/video_embed_field-7.x-2.0-beta11.tar.gz\";s:4:\"date\";s:10:\"1441639439\";s:6:\"mdhash\";s:32:\"43d7d6f6a9ec796b1eb1c68c66d82c49\";s:8:\"filesize\";s:6:\"182549\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}}s:11:\"recommended\";s:14:\"7.x-2.0-beta11\";s:6:\"status\";i:5;}s:5:\"views\";a:17:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500349414;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.16\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Views\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:14:\"latest_version\";s:8:\"7.x-3.16\";s:8:\"releases\";a:1:{s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-3.16\";s:6:\"status\";i:5;}s:15:\"views_accordion\";a:17:{s:4:\"name\";s:15:\"views_accordion\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Accordion\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"views_accordion\";s:9:\"datestamp\";s:10:\"1422545700\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1422545700\";s:8:\"includes\";a:1:{s:15:\"views_accordion\";s:15:\"Views Accordion\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.1\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views Accordion\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_accordion\";s:14:\"latest_version\";s:7:\"7.x-1.1\";s:8:\"releases\";a:1:{s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_accordion 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_accordion/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_accordion-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1422545581\";s:6:\"mdhash\";s:32:\"9ca6496bb8398def4a4b61bd2b15c4c8\";s:8:\"filesize\";s:5:\"14731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:7:\"7.x-1.1\";s:6:\"status\";i:5;}s:15:\"views_bootstrap\";a:13:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.1\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:15:\"views_fieldsets\";a:13:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425515886\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:15:\"views_slideshow\";a:13:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.1\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:12:\"views_ticker\";a:13:{s:4:\"name\";s:12:\"views_ticker\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Views Ticker\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:12:\"views_ticker\";s:9:\"datestamp\";s:10:\"1311290520\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1311290520\";s:8:\"includes\";a:1:{s:12:\"views_ticker\";s:12:\"Views Ticker\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.0\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:6:\"status\";i:-2;s:6:\"reason\";s:27:\"No available releases found\";}s:20:\"we_content_migration\";a:19:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499930544;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.x-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:5:\"title\";s:24:\"Drupal Content Migration\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:14:\"latest_version\";s:11:\"7.x-1.x-dev\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"dev_version\";s:11:\"7.x-1.x-dev\";s:11:\"recommended\";s:11:\"7.x-1.x-dev\";s:10:\"latest_dev\";s:11:\"7.x-1.x-dev\";s:6:\"status\";i:5;}s:7:\"webform\";a:17:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-4.15\";s:14:\"existing_major\";s:1:\"4\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Webform\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:14:\"latest_version\";s:8:\"7.x-4.15\";s:8:\"releases\";a:1:{s:8:\"7.x-4.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.15\";s:7:\"version\";s:8:\"7.x-4.15\";s:3:\"tag\";s:8:\"7.x-4.15\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15.tar.gz\";s:4:\"date\";s:10:\"1492107243\";s:6:\"mdhash\";s:32:\"12556ecbae9cb7bf39d768d2bbd29694\";s:8:\"filesize\";s:6:\"247725\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:0:\"\";}}s:11:\"recommended\";s:8:\"7.x-4.15\";s:6:\"status\";i:5;}}',1500353101,1500349501,1),('update_project_projects','a:53:{s:12:\"addressfield\";a:8:{s:4:\"name\";s:12:\"addressfield\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Address Field\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1421426885\";s:8:\"includes\";a:1:{s:12:\"addressfield\";s:13:\"Address Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"admin_menu\";a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:19:\"Administration menu\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:2:{s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"bean\";a:8:{s:4:\"name\";s:4:\"bean\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Bean\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425439382\";s:8:\"includes\";a:2:{s:4:\"bean\";s:4:\"Bean\";s:13:\"bean_admin_ui\";s:13:\"Bean Admin UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:22:\"better_exposed_filters\";a:8:{s:4:\"name\";s:22:\"better_exposed_filters\";s:4:\"info\";a:6:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:16:\"_info_file_ctime\";i:1500349303;}s:9:\"datestamp\";s:10:\"1485926287\";s:8:\"includes\";a:1:{s:22:\"better_exposed_filters\";s:22:\"Better Exposed Filters\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"drupal\";a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500348385;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:34:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"block_class\";a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:14:\"blockreference\";a:8:{s:4:\"name\";s:14:\"blockreference\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Block reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:14:\"blockreference\";s:9:\"datestamp\";s:10:\"1426258985\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1426258985\";s:8:\"includes\";a:1:{s:14:\"blockreference\";s:15:\"Block reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"context\";a:8:{s:4:\"name\";s:7:\"context\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Context\";s:7:\"package\";s:7:\"Context\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1420573188\";s:8:\"includes\";a:2:{s:7:\"context\";s:7:\"Context\";s:10:\"context_ui\";s:10:\"Context UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"ctools\";a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500348695;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"email\";a:8:{s:4:\"name\";s:5:\"email\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Email\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:5:\"email\";s:9:\"datestamp\";s:10:\"1397134155\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1397134155\";s:8:\"includes\";a:1:{s:5:\"email\";s:5:\"Email\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"entity\";a:8:{s:4:\"name\";s:6:\"entity\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Entity API\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1424876582\";s:8:\"includes\";a:1:{s:6:\"entity\";s:10:\"Entity API\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"entityreference\";a:8:{s:4:\"name\";s:15:\"entityreference\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Entity Reference\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1384973110\";s:8:\"includes\";a:1:{s:15:\"entityreference\";s:16:\"Entity Reference\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"features\";a:8:{s:4:\"name\";s:8:\"features\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Features\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:16:\"_info_file_ctime\";i:1500348782;}s:9:\"datestamp\";s:10:\"1461011641\";s:8:\"includes\";a:1:{s:8:\"features\";s:8:\"Features\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"field_collection\";a:8:{s:4:\"name\";s:16:\"field_collection\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Field collection\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1415122384\";s:8:\"includes\";a:1:{s:16:\"field_collection\";s:16:\"Field collection\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"field_group\";a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"field_slideshow\";a:8:{s:4:\"name\";s:15:\"field_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Field Slideshow\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1363270823\";s:8:\"includes\";a:1:{s:15:\"field_slideshow\";s:15:\"Field Slideshow\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"flexslider\";a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1378663043\";s:8:\"includes\";a:3:{s:10:\"flexslider\";s:10:\"FlexSlider\";s:17:\"flexslider_fields\";s:17:\"FlexSlider Fields\";s:16:\"flexslider_views\";s:22:\"FlexSlider Views Style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"flickr\";a:8:{s:4:\"name\";s:6:\"flickr\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Flickr\";s:7:\"package\";s:6:\"Flickr\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1403814832\";s:8:\"includes\";a:2:{s:6:\"flickr\";s:6:\"Flickr\";s:12:\"flickr_block\";s:12:\"Flickr Block\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"fontawesome\";a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1420873983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"galleryformatter\";a:8:{s:4:\"name\";s:16:\"galleryformatter\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Gallery Formatter\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1355821655\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1355821655\";s:8:\"includes\";a:1:{s:16:\"galleryformatter\";s:17:\"Gallery Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"geocoder\";a:8:{s:4:\"name\";s:8:\"geocoder\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Geocoder\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"geocoder\";s:9:\"datestamp\";s:10:\"1346083034\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1346083034\";s:8:\"includes\";a:1:{s:8:\"geocoder\";s:8:\"Geocoder\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"geofield\";a:8:{s:4:\"name\";s:8:\"geofield\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Geofield\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"geofield\";s:9:\"datestamp\";s:10:\"1411337638\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1411337638\";s:8:\"includes\";a:2:{s:8:\"geofield\";s:8:\"Geofield\";s:12:\"geofield_map\";s:12:\"Geofield Map\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"geophp\";a:8:{s:4:\"name\";s:6:\"geophp\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"geoPHP\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"geophp\";s:9:\"datestamp\";s:10:\"1352084822\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1352084822\";s:8:\"includes\";a:1:{s:6:\"geophp\";s:6:\"geoPHP\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"gmap\";a:8:{s:4:\"name\";s:4:\"gmap\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"GMap\";s:7:\"package\";s:8:\"Location\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1394461106\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1394461106\";s:8:\"includes\";a:1:{s:4:\"gmap\";s:4:\"GMap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"icon\";a:8:{s:4:\"name\";s:4:\"icon\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Icon API\";s:7:\"package\";s:8:\"Icon API\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1392643705\";s:8:\"includes\";a:2:{s:4:\"icon\";s:8:\"Icon API\";s:10:\"icon_field\";s:15:\"Icon API: Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"ip_geoloc\";a:8:{s:4:\"name\";s:9:\"ip_geoloc\";s:4:\"info\";a:6:{s:4:\"name\";s:27:\"IP Geolocation Views & Maps\";s:7:\"version\";s:8:\"7.x-1.26\";s:7:\"project\";s:9:\"ip_geoloc\";s:9:\"datestamp\";s:10:\"1415869104\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1415869104\";s:8:\"includes\";a:1:{s:9:\"ip_geoloc\";s:27:\"IP Geolocation Views & Maps\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"views_isotope\";a:8:{s:4:\"name\";s:13:\"views_isotope\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Isotope Example\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:7:\"project\";s:13:\"views_isotope\";s:9:\"datestamp\";s:10:\"1335546686\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1335546686\";s:8:\"includes\";a:2:{s:23:\"isotope_example_feature\";s:15:\"Isotope Example\";s:13:\"views_isotope\";s:13:\"Views Isotope\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"jcarousel\";a:8:{s:4:\"name\";s:9:\"jcarousel\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"jCarousel\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1420460282\";s:8:\"includes\";a:1:{s:9:\"jcarousel\";s:9:\"jCarousel\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"jquery_update\";a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500349155;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"leaflet\";a:8:{s:4:\"name\";s:7:\"leaflet\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Leaflet\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:7:\"leaflet\";s:9:\"datestamp\";s:10:\"1390350505\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1390350505\";s:8:\"includes\";a:1:{s:7:\"leaflet\";s:7:\"Leaflet\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:17:\"leaflet_more_maps\";a:8:{s:4:\"name\";s:17:\"leaflet_more_maps\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Leaflet More Maps\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:17:\"leaflet_more_maps\";s:9:\"datestamp\";s:10:\"1393555436\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1393555436\";s:8:\"includes\";a:1:{s:17:\"leaflet_more_maps\";s:17:\"Leaflet More Maps\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"libraries\";a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"link\";a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1413924830\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"menu_attributes\";a:8:{s:4:\"name\";s:15:\"menu_attributes\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu attributes\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1413756231\";s:8:\"includes\";a:1:{s:15:\"menu_attributes\";s:15:\"Menu attributes\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"menu_breadcrumb\";a:8:{s:4:\"name\";s:15:\"menu_breadcrumb\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425993992\";s:8:\"includes\";a:1:{s:15:\"menu_breadcrumb\";s:15:\"Menu breadcrumb\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:14:\"metatags_quick\";a:8:{s:4:\"name\";s:14:\"metatags_quick\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1405184328\";s:8:\"includes\";a:1:{s:14:\"metatags_quick\";s:17:\"Meta tags (quick)\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"module_filter\";a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1424631189\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1424631189\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"pathauto\";a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"quicktabs\";a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"references\";a:8:{s:4:\"name\";s:10:\"references\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"References\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:16:\"_info_file_ctime\";i:1500348615;}s:9:\"datestamp\";s:10:\"1492534745\";s:8:\"includes\";a:1:{s:10:\"references\";s:10:\"References\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"simplenews\";a:8:{s:4:\"name\";s:10:\"simplenews\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Simplenews\";s:7:\"package\";s:4:\"Mail\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1381947969\";s:8:\"includes\";a:1:{s:10:\"simplenews\";s:10:\"Simplenews\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"tagclouds\";a:8:{s:4:\"name\";s:9:\"tagclouds\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"TagClouds\";s:7:\"package\";s:8:\"Taxonomy\";s:7:\"version\";s:8:\"7.x-1.10\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1404152332\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1404152332\";s:8:\"includes\";a:1:{s:9:\"tagclouds\";s:9:\"TagClouds\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"tb_megamenu\";a:8:{s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"TB Mega Menu\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1408100329\";s:8:\"includes\";a:1:{s:11:\"tb_megamenu\";s:12:\"TB Mega Menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"token\";a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425149060\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:17:\"video_embed_field\";a:8:{s:4:\"name\";s:17:\"video_embed_field\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Video Embed Field\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1441639440\";s:8:\"includes\";a:1:{s:17:\"video_embed_field\";s:17:\"Video Embed Field\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"views\";a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500349414;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_accordion\";a:8:{s:4:\"name\";s:15:\"views_accordion\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Accordion\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"views_accordion\";s:9:\"datestamp\";s:10:\"1422545700\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1422545700\";s:8:\"includes\";a:1:{s:15:\"views_accordion\";s:15:\"Views Accordion\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_bootstrap\";a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_fieldsets\";a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425515886\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_slideshow\";a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:12:\"views_ticker\";a:8:{s:4:\"name\";s:12:\"views_ticker\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Views Ticker\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:12:\"views_ticker\";s:9:\"datestamp\";s:10:\"1311290520\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1311290520\";s:8:\"includes\";a:1:{s:12:\"views_ticker\";s:12:\"Views Ticker\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:20:\"we_content_migration\";a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499930544;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"webform\";a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}}',1500353101,1500349501,1);
/*!40000 ALTER TABLE `cache_update` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views`
--

DROP TABLE IF EXISTS `cache_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views`
--

LOCK TABLES `cache_views` WRITE;
/*!40000 ALTER TABLE `cache_views` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views_data`
--

DROP TABLE IF EXISTS `cache_views_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views_data`
--

LOCK TABLES `cache_views_data` WRITE;
/*!40000 ALTER TABLE `cache_views_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  PRIMARY KEY (`cid`),
  KEY `comment_status_pid` (`pid`,`status`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,0,33,1,'Ut ut felis rutrum est facilisis suscipit ac vestibulum eros','::1',1407471540,1409824447,1,'01/','admin','','','und'),(2,1,33,1,'Phasellus consectetur vel quam vel imperdiet','::1',1407471597,1407471596,1,'01.00/','admin','','','und'),(3,0,33,1,'Proin et euismod libero. In fringilla facilisis leo','::1',1407471636,1407471635,1,'02/','admin','','','und'),(4,2,33,1,'Integer sit amet consectetur eros','::1',1407471662,1407471662,1,'01.00.00/','admin','','','und'),(5,0,33,1,'Nunc posuere, mauris nec tempus suscipit, leo sapien porta','::1',1407471678,1407471678,1,'03/','admin','','','und');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique category ID.',
  `category` varchar(255) NOT NULL DEFAULT '' COMMENT 'Category name.',
  `recipients` longtext NOT NULL COMMENT 'Comma-separated list of recipient e-mail addresses.',
  `reply` longtext NOT NULL COMMENT 'Text of the auto-reply message.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The category’s weight.',
  `selected` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether or not category is selected by default. (1 = Yes, 0 = No)',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `category` (`category`),
  KEY `list` (`weight`,`category`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contact form category settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `contact` VALUES (1,'Website feedback','contact@weebpal.com','',0,1);
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `context`
--

DROP TABLE IF EXISTS `context`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `context` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The primary identifier for a context.',
  `description` varchar(255) NOT NULL DEFAULT '' COMMENT 'Description for this context.',
  `tag` varchar(255) NOT NULL DEFAULT '' COMMENT 'Tag for this context.',
  `conditions` text COMMENT 'Serialized storage of all context condition settings.',
  `reactions` text COMMENT 'Serialized storage of all context reaction settings.',
  `condition_mode` int(11) DEFAULT '0' COMMENT 'Condition mode for this context.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Storage for normal (user-defined) contexts.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `context`
--

LOCK TABLES `context` WRITE;
/*!40000 ALTER TABLE `context` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `context` VALUES ('about_us','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:8:\"about-us\";s:8:\"about-us\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:3:{s:24:\"views-we_are_offer-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:18:\"we_are_offer-block\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";s:3:\"-10\";}s:25:\"views-happy_clients-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:19:\"happy_clients-block\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";s:2:\"-9\";}s:20:\"views-our_team-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:14:\"our_team-block\";s:6:\"region\";s:7:\"content\";s:6:\"weight\";s:2:\"-8\";}}}}',0),('blog_sidebar','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:9:{s:4:\"blog\";s:4:\"blog\";s:11:\"blog-teaser\";s:11:\"blog-teaser\";s:16:\"blog-fields-demo\";s:16:\"blog-fields-demo\";s:11:\"blog-post/*\";s:11:\"blog-post/*\";s:17:\"blog-teaser/admin\";s:17:\"blog-teaser/admin\";s:6:\"tags/*\";s:6:\"tags/*\";s:12:\"categories/*\";s:12:\"categories/*\";s:6:\"blog/*\";s:6:\"blog/*\";s:9:\"comment/*\";s:9:\"comment/*\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:7:{s:11:\"search-form\";a:4:{s:6:\"module\";s:6:\"search\";s:5:\"delta\";s:4:\"form\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:3:\"-10\";}s:29:\"views-posts_by_category-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:23:\"posts_by_category-block\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-9\";}s:15:\"views-ads-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:9:\"ads-block\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-8\";}s:11:\"tagclouds-1\";a:4:{s:6:\"module\";s:9:\"tagclouds\";s:5:\"delta\";s:1:\"1\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-7\";}s:26:\"quicktabs-blog_sidebar_tab\";a:4:{s:6:\"module\";s:9:\"quicktabs\";s:5:\"delta\";s:16:\"blog_sidebar_tab\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-6\";}s:8:\"flickr-0\";a:4:{s:6:\"module\";s:6:\"flickr\";s:5:\"delta\";s:1:\"0\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-5\";}s:19:\"views-gallery-block\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:13:\"gallery-block\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-4\";}}}}',0),('order_properties_default','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:10:\"properties\";s:10:\"properties\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:2:{s:30:\"menu-menu-properties-demo-menu\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:25:\"menu-properties-demo-menu\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:3:\"-10\";}s:26:\"views--exp-properties-page\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:20:\"-exp-properties-page\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:2:\"-9\";}}}}',0),('order_properties_list','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:15:\"properties/list\";s:15:\"properties/list\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:2:{s:30:\"menu-menu-properties-demo-menu\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:25:\"menu-properties-demo-menu\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:3:\"-10\";}s:28:\"views--exp-properties-page_3\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:22:\"-exp-properties-page_3\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:2:\"-9\";}}}}',0),('order_properties_map','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:14:\"properties/map\";s:14:\"properties/map\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:2:{s:30:\"menu-menu-properties-demo-menu\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:25:\"menu-properties-demo-menu\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:3:\"-10\";}s:28:\"views--exp-properties-page_2\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:22:\"-exp-properties-page_2\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:2:\"-9\";}}}}',0),('order_three_columns','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:24:\"properties/three-columns\";s:24:\"properties/three-columns\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:2:{s:30:\"menu-menu-properties-demo-menu\";a:4:{s:6:\"module\";s:4:\"menu\";s:5:\"delta\";s:25:\"menu-properties-demo-menu\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:3:\"-10\";}s:28:\"views--exp-properties-page_1\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:22:\"-exp-properties-page_1\";s:6:\"region\";s:14:\"content_action\";s:6:\"weight\";s:2:\"-9\";}}}}',0),('property_sidebar','','','a:1:{s:4:\"path\";a:1:{s:6:\"values\";a:1:{s:10:\"property/*\";s:10:\"property/*\";}}}','a:1:{s:5:\"block\";a:1:{s:6:\"blocks\";a:3:{s:26:\"views--exp-properties-page\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:20:\"-exp-properties-page\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:3:\"-10\";}s:20:\"views-agents-block_1\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:14:\"agents-block_1\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-9\";}s:27:\"views-happy_clients-block_1\";a:4:{s:6:\"module\";s:5:\"views\";s:5:\"delta\";s:21:\"happy_clients-block_1\";s:6:\"region\";s:13:\"sidebar_first\";s:6:\"weight\";s:2:\"-8\";}}}}',0);
/*!40000 ALTER TABLE `context` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_css_cache`
--

DROP TABLE IF EXISTS `ctools_css_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_css_cache`
--

LOCK TABLES `ctools_css_cache` WRITE;
/*!40000 ALTER TABLE `ctools_css_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_css_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_object_cache`
--

DROP TABLE IF EXISTS `ctools_object_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_object_cache`
--

LOCK TABLES `ctools_object_cache` WRITE;
/*!40000 ALTER TABLE `ctools_object_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_object_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_locale`
--

DROP TABLE IF EXISTS `date_format_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_locale` (
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_locale`
--

LOCK TABLES `date_format_locale` WRITE;
/*!40000 ALTER TABLE `date_format_locale` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `date_format_locale` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_type`
--

DROP TABLE IF EXISTS `date_format_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_type`
--

LOCK TABLES `date_format_type` WRITE;
/*!40000 ALTER TABLE `date_format_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_format_type` VALUES ('long','Long',1),('medium','Medium',1),('short','Short',1);
/*!40000 ALTER TABLE `date_format_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_formats`
--

DROP TABLE IF EXISTS `date_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_formats`
--

LOCK TABLES `date_formats` WRITE;
/*!40000 ALTER TABLE `date_formats` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_formats` VALUES (1,'Y-m-d H:i','short',1),(2,'m/d/Y - H:i','short',1),(3,'d/m/Y - H:i','short',1),(4,'Y/m/d - H:i','short',1),(5,'d.m.Y - H:i','short',1),(6,'m/d/Y - g:ia','short',1),(7,'d/m/Y - g:ia','short',1),(8,'Y/m/d - g:ia','short',1),(9,'M j Y - H:i','short',1),(10,'j M Y - H:i','short',1),(11,'Y M j - H:i','short',1),(12,'M j Y - g:ia','short',1),(13,'j M Y - g:ia','short',1),(14,'Y M j - g:ia','short',1),(15,'D, Y-m-d H:i','medium',1),(16,'D, m/d/Y - H:i','medium',1),(17,'D, d/m/Y - H:i','medium',1),(18,'D, Y/m/d - H:i','medium',1),(19,'F j, Y - H:i','medium',1),(20,'j F, Y - H:i','medium',1),(21,'Y, F j - H:i','medium',1),(22,'D, m/d/Y - g:ia','medium',1),(23,'D, d/m/Y - g:ia','medium',1),(24,'D, Y/m/d - g:ia','medium',1),(25,'F j, Y - g:ia','medium',1),(26,'j F Y - g:ia','medium',1),(27,'Y, F j - g:ia','medium',1),(28,'j. F Y - G:i','medium',1),(29,'l, F j, Y - H:i','long',1),(30,'l, j F, Y - H:i','long',1),(31,'l, Y,  F j - H:i','long',1),(32,'l, F j, Y - g:ia','long',1),(33,'l, j F Y - g:ia','long',1),(34,'l, Y,  F j - g:ia','long',1),(35,'l, j. F Y - G:i','long',1);
/*!40000 ALTER TABLE `date_formats` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item`
--

DROP TABLE IF EXISTS `field_collection_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique field collection item ID.',
  `revision_id` int(11) NOT NULL COMMENT 'Default revision ID.',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of the field on the host entity embedding this entity.',
  `archived` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the field collection item is archived.',
  PRIMARY KEY (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='Stores information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item`
--

LOCK TABLES `field_collection_item` WRITE;
/*!40000 ALTER TABLE `field_collection_item` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item` VALUES (1,1,'field_content',0),(2,2,'field_content',0),(3,3,'field_content',0),(4,4,'field_content',0),(5,5,'field_content',0),(6,6,'field_content',0),(7,7,'field_content',0),(8,8,'field_content',0),(9,9,'field_content',0),(10,10,'field_content',0),(11,11,'field_content',0),(12,12,'field_content',0),(13,13,'field_content',0),(14,14,'field_content',0),(15,15,'field_content',0);
/*!40000 ALTER TABLE `field_collection_item` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_collection_item_revision`
--

DROP TABLE IF EXISTS `field_collection_item_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_collection_item_revision` (
  `revision_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique revision ID.',
  `item_id` int(11) NOT NULL COMMENT 'Field collection item ID.',
  PRIMARY KEY (`revision_id`),
  KEY `item_id` (`item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='Stores revision information about field collection items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_collection_item_revision`
--

LOCK TABLES `field_collection_item_revision` WRITE;
/*!40000 ALTER TABLE `field_collection_item_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_collection_item_revision` VALUES (1,1),(2,2),(3,3),(4,4),(5,5),(6,6),(7,7),(8,8),(9,9),(10,10),(11,11),(12,12),(13,13),(14,14),(15,15);
/*!40000 ALTER TABLE `field_collection_item_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config`
--

DROP TABLE IF EXISTS `field_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=66 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config`
--

LOCK TABLES `field_config` WRITE;
/*!40000 ALTER TABLE `field_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config` VALUES (1,'comment_body','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:7:\"comment\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(2,'body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:1:{i:0;s:4:\"node\";}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:8:\"settings\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";}s:2:\"id\";s:1:\"2\";}',1,0,0),(3,'field_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";i:0;}}}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}}}}s:2:\"id\";s:1:\"3\";}',-1,0,0),(4,'field_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"entity_types\";a:0:{}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}}}}s:2:\"id\";s:1:\"4\";}',1,0,0),(5,'field_bedrooms','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"bedrooms\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_bedrooms\";a:1:{s:3:\"tid\";s:18:\"field_bedrooms_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_bedrooms\";a:1:{s:3:\"tid\";s:18:\"field_bedrooms_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"5\";}',1,0,0),(6,'field_bathrooms','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:9:\"bathrooms\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_bathrooms\";a:1:{s:3:\"tid\";s:19:\"field_bathrooms_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_bathrooms\";a:1:{s:3:\"tid\";s:19:\"field_bathrooms_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"6\";}',1,0,0),(7,'field_location','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"location\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_location\";a:1:{s:3:\"tid\";s:18:\"field_location_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_location\";a:1:{s:3:\"tid\";s:18:\"field_location_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"7\";}',1,0,0),(8,'field_property_type','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:14:\"property_types\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:30:\"field_data_field_property_type\";a:1:{s:3:\"tid\";s:23:\"field_property_type_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:34:\"field_revision_field_property_type\";a:1:{s:3:\"tid\";s:23:\"field_property_type_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"8\";}',1,0,0),(9,'field_garage','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"garage\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_garage\";a:1:{s:3:\"tid\";s:16:\"field_garage_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_garage\";a:1:{s:3:\"tid\";s:16:\"field_garage_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"9\";}',1,0,0),(10,'field_year','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"year\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_year\";a:1:{s:3:\"tid\";s:14:\"field_year_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_year\";a:1:{s:3:\"tid\";s:14:\"field_year_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"10\";}',1,0,0),(11,'field_price','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_price\";a:1:{s:5:\"value\";s:17:\"field_price_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_price\";a:1:{s:5:\"value\";s:17:\"field_price_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"11\";}',1,0,0),(15,'field_business_type','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:14:\"business_types\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:30:\"field_data_field_business_type\";a:1:{s:3:\"tid\";s:23:\"field_business_type_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:34:\"field_revision_field_business_type\";a:1:{s:3:\"tid\";s:23:\"field_business_type_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"15\";}',1,0,0),(16,'field_floor','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"floors\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_floor\";a:1:{s:3:\"tid\";s:15:\"field_floor_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_floor\";a:1:{s:3:\"tid\";s:15:\"field_floor_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"16\";}',1,0,0),(17,'field_lot_area','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_lot_area\";a:1:{s:5:\"value\";s:20:\"field_lot_area_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_lot_area\";a:1:{s:5:\"value\";s:20:\"field_lot_area_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"17\";}',1,0,0),(18,'field_floor_area','number_integer','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:27:\"field_data_field_floor_area\";a:1:{s:5:\"value\";s:22:\"field_floor_area_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:31:\"field_revision_field_floor_area\";a:1:{s:5:\"value\";s:22:\"field_floor_area_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"18\";}',1,0,0),(19,'field_slideshow','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"19\";}',1,0,0),(20,'field_gallery','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_gallery\";a:5:{s:3:\"fid\";s:17:\"field_gallery_fid\";s:3:\"alt\";s:17:\"field_gallery_alt\";s:5:\"title\";s:19:\"field_gallery_title\";s:5:\"width\";s:19:\"field_gallery_width\";s:6:\"height\";s:20:\"field_gallery_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_gallery\";a:5:{s:3:\"fid\";s:17:\"field_gallery_fid\";s:3:\"alt\";s:17:\"field_gallery_alt\";s:5:\"title\";s:19:\"field_gallery_title\";s:5:\"width\";s:19:\"field_gallery_width\";s:6:\"height\";s:20:\"field_gallery_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"20\";}',-1,0,0),(21,'field_phone','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_phone\";a:2:{s:5:\"value\";s:17:\"field_phone_value\";s:6:\"format\";s:18:\"field_phone_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_phone\";a:2:{s:5:\"value\";s:17:\"field_phone_value\";s:6:\"format\";s:18:\"field_phone_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"21\";}',1,0,0),(23,'field_email','email','email',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_email\";a:1:{s:5:\"email\";s:17:\"field_email_email\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_email\";a:1:{s:5:\"email\";s:17:\"field_email_email\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"23\";}',1,0,0),(24,'field_facebook','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_facebook\";a:3:{s:3:\"url\";s:18:\"field_facebook_url\";s:5:\"title\";s:20:\"field_facebook_title\";s:10:\"attributes\";s:25:\"field_facebook_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"24\";}',1,0,0),(25,'field_twitter','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_twitter\";a:3:{s:3:\"url\";s:17:\"field_twitter_url\";s:5:\"title\";s:19:\"field_twitter_title\";s:10:\"attributes\";s:24:\"field_twitter_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"25\";}',1,0,0),(26,'field_gplus','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_gplus\";a:3:{s:3:\"url\";s:15:\"field_gplus_url\";s:5:\"title\";s:17:\"field_gplus_title\";s:10:\"attributes\";s:22:\"field_gplus_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_gplus\";a:3:{s:3:\"url\";s:15:\"field_gplus_url\";s:5:\"title\";s:17:\"field_gplus_title\";s:10:\"attributes\";s:22:\"field_gplus_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"26\";}',1,0,0),(27,'field_full_name','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_full_name\";a:2:{s:5:\"value\";s:21:\"field_full_name_value\";s:6:\"format\";s:22:\"field_full_name_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"27\";}',1,0,0),(28,'field_gender','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"gender\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_gender\";a:1:{s:3:\"tid\";s:16:\"field_gender_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_gender\";a:1:{s:3:\"tid\";s:16:\"field_gender_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"28\";}',1,0,0),(29,'field_position','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:9:\"positions\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_position\";a:1:{s:3:\"tid\";s:18:\"field_position_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_position\";a:1:{s:3:\"tid\";s:18:\"field_position_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"29\";}',1,0,0),(30,'field_description','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:28:\"field_data_field_description\";a:3:{s:5:\"value\";s:23:\"field_description_value\";s:7:\"summary\";s:25:\"field_description_summary\";s:6:\"format\";s:24:\"field_description_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:32:\"field_revision_field_description\";a:3:{s:5:\"value\";s:23:\"field_description_value\";s:7:\"summary\";s:25:\"field_description_summary\";s:6:\"format\";s:24:\"field_description_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"30\";}',1,0,0),(41,'field_link','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_link\";a:3:{s:3:\"url\";s:14:\"field_link_url\";s:5:\"title\";s:16:\"field_link_title\";s:10:\"attributes\";s:21:\"field_link_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_link\";a:3:{s:3:\"url\";s:14:\"field_link_url\";s:5:\"title\";s:16:\"field_link_title\";s:10:\"attributes\";s:21:\"field_link_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"41\";}',1,0,0),(42,'field_field_occupation','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:11:\"occupations\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"42\";}',-1,0,0),(44,'field_occupation','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:11:\"occupations\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:27:\"field_data_field_occupation\";a:1:{s:3:\"tid\";s:20:\"field_occupation_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:31:\"field_revision_field_occupation\";a:1:{s:3:\"tid\";s:20:\"field_occupation_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"44\";}',1,0,0),(45,'field_mobile','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_mobile\";a:2:{s:5:\"value\";s:18:\"field_mobile_value\";s:6:\"format\";s:19:\"field_mobile_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_mobile\";a:2:{s:5:\"value\";s:18:\"field_mobile_value\";s:6:\"format\";s:19:\"field_mobile_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"45\";}',1,0,0),(46,'field_fax','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:20:\"field_data_field_fax\";a:2:{s:5:\"value\";s:15:\"field_fax_value\";s:6:\"format\";s:16:\"field_fax_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:24:\"field_revision_field_fax\";a:2:{s:5:\"value\";s:15:\"field_fax_value\";s:6:\"format\";s:16:\"field_fax_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"46\";}',1,0,0),(47,'field_field_branches','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"branches\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(48,'field_office','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"branches\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:23:\"field_data_field_office\";a:1:{s:3:\"tid\";s:16:\"field_office_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:27:\"field_revision_field_office\";a:1:{s:3:\"tid\";s:16:\"field_office_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"48\";}',1,0,0),(49,'field_address','addressfield','addressfield',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_address\";a:14:{s:7:\"country\";s:21:\"field_address_country\";s:19:\"administrative_area\";s:33:\"field_address_administrative_area\";s:23:\"sub_administrative_area\";s:37:\"field_address_sub_administrative_area\";s:8:\"locality\";s:22:\"field_address_locality\";s:18:\"dependent_locality\";s:32:\"field_address_dependent_locality\";s:11:\"postal_code\";s:25:\"field_address_postal_code\";s:12:\"thoroughfare\";s:26:\"field_address_thoroughfare\";s:7:\"premise\";s:21:\"field_address_premise\";s:11:\"sub_premise\";s:25:\"field_address_sub_premise\";s:17:\"organisation_name\";s:31:\"field_address_organisation_name\";s:9:\"name_line\";s:23:\"field_address_name_line\";s:10:\"first_name\";s:24:\"field_address_first_name\";s:9:\"last_name\";s:23:\"field_address_last_name\";s:4:\"data\";s:18:\"field_address_data\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_address\";a:14:{s:7:\"country\";s:21:\"field_address_country\";s:19:\"administrative_area\";s:33:\"field_address_administrative_area\";s:23:\"sub_administrative_area\";s:37:\"field_address_sub_administrative_area\";s:8:\"locality\";s:22:\"field_address_locality\";s:18:\"dependent_locality\";s:32:\"field_address_dependent_locality\";s:11:\"postal_code\";s:25:\"field_address_postal_code\";s:12:\"thoroughfare\";s:26:\"field_address_thoroughfare\";s:7:\"premise\";s:21:\"field_address_premise\";s:11:\"sub_premise\";s:25:\"field_address_sub_premise\";s:17:\"organisation_name\";s:31:\"field_address_organisation_name\";s:9:\"name_line\";s:23:\"field_address_name_line\";s:10:\"first_name\";s:24:\"field_address_first_name\";s:9:\"last_name\";s:23:\"field_address_last_name\";s:4:\"data\";s:18:\"field_address_data\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"49\";}',1,0,0),(50,'field_field_property_status','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:15:\"property_status\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(51,'field_property_status','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:15:\"property_status\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:32:\"field_data_field_property_status\";a:1:{s:3:\"tid\";s:25:\"field_property_status_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:36:\"field_revision_field_property_status\";a:1:{s:3:\"tid\";s:25:\"field_property_status_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"51\";}',1,0,0),(53,'field_video','video_embed_field','video_embed_field',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_video\";a:5:{s:9:\"video_url\";s:21:\"field_video_video_url\";s:14:\"thumbnail_path\";s:26:\"field_video_thumbnail_path\";s:10:\"video_data\";s:22:\"field_video_video_data\";s:10:\"embed_code\";s:22:\"field_video_embed_code\";s:11:\"description\";s:23:\"field_video_description\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_video\";a:5:{s:9:\"video_url\";s:21:\"field_video_video_url\";s:14:\"thumbnail_path\";s:26:\"field_video_thumbnail_path\";s:10:\"video_data\";s:22:\"field_video_video_data\";s:10:\"embed_code\";s:22:\"field_video_embed_code\";s:11:\"description\";s:23:\"field_video_description\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"53\";}',1,0,0),(56,'field_content','field_collection','field_collection',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:16:\"hide_blank_items\";i:1;s:4:\"path\";s:0:\"\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_content\";a:2:{s:5:\"value\";s:19:\"field_content_value\";s:11:\"revision_id\";s:25:\"field_content_revision_id\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_content\";a:2:{s:5:\"value\";s:19:\"field_content_value\";s:11:\"revision_id\";s:25:\"field_content_revision_id\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:1:{s:11:\"revision_id\";a:1:{i:0;s:11:\"revision_id\";}}s:2:\"id\";s:2:\"56\";}',-1,0,0),(58,'field_text','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_text\";a:2:{s:5:\"value\";s:16:\"field_text_value\";s:6:\"format\";s:17:\"field_text_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_text\";a:2:{s:5:\"value\";s:16:\"field_text_value\";s:6:\"format\";s:17:\"field_text_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:2:\"58\";}',1,0,0),(59,'field_field_categories','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"categories\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(60,'field_category','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:10:\"categories\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"60\";}',-1,0,0),(61,'field_field_flickr_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:11:\"flickr_tags\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(62,'field_icon','icon_field','icon_field',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:6:\"bundle\";N;s:4:\"icon\";N;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_icon\";a:2:{s:6:\"bundle\";s:17:\"field_icon_bundle\";s:4:\"icon\";s:15:\"field_icon_icon\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_icon\";a:2:{s:6:\"bundle\";s:17:\"field_icon_bundle\";s:4:\"icon\";s:15:\"field_icon_icon\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"62\";}',1,0,0),(63,'field_block','blockreference','blockreference',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:5:{s:21:\"referenceable_regions\";a:29:{s:0:\"\";i:0;s:8:\"headline\";i:0;s:6:\"header\";i:0;s:9:\"slideshow\";i:0;s:9:\"main_menu\";i:0;s:4:\"help\";i:0;s:8:\"page_top\";i:0;s:11:\"page_bottom\";i:0;s:11:\"highlighted\";i:0;s:8:\"featured\";i:0;s:14:\"content_action\";i:0;s:7:\"content\";i:0;s:13:\"sidebar_first\";i:0;s:14:\"sidebar_second\";i:0;s:3:\"map\";i:0;s:11:\"panel_first\";i:0;s:17:\"panel_highlighted\";i:0;s:12:\"panel_second\";i:0;s:13:\"panel_third_1\";i:0;s:13:\"panel_third_2\";i:0;s:13:\"panel_third_3\";i:0;s:14:\"panel_footer_1\";i:0;s:14:\"panel_footer_2\";i:0;s:14:\"panel_footer_3\";i:0;s:14:\"panel_footer_4\";i:0;s:6:\"footer\";i:0;s:14:\"dashboard_main\";i:0;s:17:\"dashboard_sidebar\";i:0;s:18:\"dashboard_inactive\";i:0;}s:21:\"referenceable_modules\";a:19:{s:5:\"block\";i:0;s:7:\"webform\";i:0;s:4:\"bean\";i:0;s:4:\"blog\";i:0;s:7:\"comment\";i:0;s:10:\"context_ui\";i:0;s:6:\"flickr\";i:0;s:4:\"menu\";i:0;s:10:\"newsletter\";i:0;s:4:\"node\";i:0;s:9:\"quicktabs\";i:0;s:6:\"search\";i:0;s:8:\"shortcut\";i:0;s:10:\"statistics\";i:0;s:6:\"system\";i:0;s:9:\"tagclouds\";i:0;s:11:\"tb_megamenu\";i:0;s:4:\"user\";i:0;s:5:\"views\";i:0;}s:22:\"referenceable_operator\";s:3:\"AND\";s:18:\"respect_visibility\";i:0;s:19:\"referenceable_theme\";s:7:\"default\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_block\";a:1:{s:3:\"bid\";s:15:\"field_block_bid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_block\";a:1:{s:3:\"bid\";s:15:\"field_block_bid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"bid\";a:2:{s:5:\"table\";s:5:\"block\";s:7:\"columns\";a:1:{s:3:\"bid\";s:3:\"bid\";}}}s:7:\"indexes\";a:1:{s:3:\"bid\";a:1:{i:0;s:3:\"bid\";}}s:2:\"id\";s:2:\"63\";}',1,0,0),(64,'field_simplenews_term','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"translatable\";b:1;s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:6:\"parent\";i:0;s:10:\"vocabulary\";s:10:\"newsletter\";}}}s:12:\"entity_types\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',1,1,0),(65,'field_geo','geofield','geofield',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:7:\"backend\";s:7:\"default\";s:4:\"srid\";s:4:\"4326\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:20:\"field_data_field_geo\";a:9:{s:4:\"geom\";s:14:\"field_geo_geom\";s:8:\"geo_type\";s:18:\"field_geo_geo_type\";s:3:\"lat\";s:13:\"field_geo_lat\";s:3:\"lon\";s:13:\"field_geo_lon\";s:4:\"left\";s:14:\"field_geo_left\";s:3:\"top\";s:13:\"field_geo_top\";s:5:\"right\";s:15:\"field_geo_right\";s:6:\"bottom\";s:16:\"field_geo_bottom\";s:7:\"geohash\";s:17:\"field_geo_geohash\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:24:\"field_revision_field_geo\";a:9:{s:4:\"geom\";s:14:\"field_geo_geom\";s:8:\"geo_type\";s:18:\"field_geo_geo_type\";s:3:\"lat\";s:13:\"field_geo_lat\";s:3:\"lon\";s:13:\"field_geo_lon\";s:4:\"left\";s:14:\"field_geo_left\";s:3:\"top\";s:13:\"field_geo_top\";s:5:\"right\";s:15:\"field_geo_right\";s:6:\"bottom\";s:16:\"field_geo_bottom\";s:7:\"geohash\";s:17:\"field_geo_geohash\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:9:{s:3:\"lat\";a:1:{i:0;s:3:\"lat\";}s:3:\"lon\";a:1:{i:0;s:3:\"lon\";}s:3:\"top\";a:1:{i:0;s:3:\"top\";}s:6:\"bottom\";a:1:{i:0;s:6:\"bottom\";}s:4:\"left\";a:1:{i:0;s:4:\"left\";}s:5:\"right\";a:1:{i:0;s:5:\"right\";}s:7:\"geohash\";a:1:{i:0;s:7:\"geohash\";}s:8:\"centroid\";a:2:{i:0;s:3:\"lat\";i:1;s:3:\"lon\";}s:4:\"bbox\";a:4:{i:0;s:3:\"top\";i:1;s:6:\"bottom\";i:2;s:4:\"left\";i:3;s:5:\"right\";}}s:2:\"id\";s:2:\"65\";}',1,0,0);
/*!40000 ALTER TABLE `field_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config_instance`
--

DROP TABLE IF EXISTS `field_config_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=96 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config_instance`
--

LOCK TABLES `field_config_instance` WRITE;
/*!40000 ALTER TABLE `field_config_instance` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config_instance` VALUES (1,1,'comment_body','comment','comment_node_page','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(2,2,'body','node','page','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"2\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(3,1,'comment_body','comment','comment_node_article','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(4,2,'body','node','article','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:0:\"\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:5:\"label\";s:4:\"Body\";s:8:\"required\";b:0;s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:6:\"module\";s:4:\"text\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"weight\";s:1:\"1\";}}',0),(5,3,'field_tags','node','article','a:7:{s:13:\"default_value\";N;s:11:\"description\";s:63:\"Enter a comma-separated list of words to describe your content.\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:5:\"label\";s:4:\"Tags\";s:8:\"required\";b:0;s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:6:\"module\";s:8:\"taxonomy\";s:8:\"settings\";a:2:{s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";s:4:\"size\";i:60;}s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"weight\";s:1:\"2\";}}',0),(6,4,'field_image','node','article','a:6:{s:11:\"description\";s:40:\"Upload an image to go with this article.\";s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:2:{s:10:\"image_link\";s:0:\"\";s:11:\"image_style\";s:5:\"large\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:2:\"-1\";s:8:\"settings\";a:2:{s:10:\"image_link\";s:7:\"content\";s:11:\"image_style\";s:6:\"medium\";}s:6:\"module\";s:5:\"image\";}}s:5:\"label\";s:5:\"Image\";s:8:\"required\";b:0;s:8:\"settings\";a:9:{s:9:\"alt_field\";b:1;s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:11:\"title_field\";s:0:\"\";s:18:\"user_register_form\";b:0;s:13:\"default_image\";i:0;}s:6:\"widget\";a:4:{s:6:\"module\";s:5:\"image\";s:8:\"settings\";a:2:{s:19:\"preview_image_style\";s:9:\"thumbnail\";s:18:\"progress_indicator\";s:8:\"throbber\";}s:4:\"type\";s:11:\"image_image\";s:6:\"weight\";s:1:\"3\";}}',0),(7,1,'comment_body','comment','comment_node_webform','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(8,2,'body','node','webform','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(9,1,'comment_body','comment','comment_node_properties','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(10,2,'body','node','properties','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"17\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(11,5,'field_bedrooms','node','properties','a:7:{s:5:\"label\";s:8:\"Bedrooms\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(12,6,'field_bathrooms','node','properties','a:7:{s:5:\"label\";s:9:\"Bathrooms\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(13,7,'field_location','node','properties','a:7:{s:5:\"label\";s:8:\"Location\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"11\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(14,8,'field_property_type','node','properties','a:7:{s:5:\"label\";s:13:\"Property Type\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(15,9,'field_garage','node','properties','a:7:{s:5:\"label\";s:6:\"Garage\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:2:\"30\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(16,10,'field_year','node','properties','a:7:{s:5:\"label\";s:4:\"Year\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"10\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:2:\"31\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(17,11,'field_price','node','properties','a:7:{s:5:\"label\";s:5:\"Price\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:1:\"$\";s:6:\"suffix\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\",\";s:13:\"prefix_suffix\";i:1;s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;}s:6:\"module\";s:6:\"number\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(21,15,'field_business_type','node','properties','a:7:{s:5:\"label\";s:13:\"Business Type\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:2:\"29\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(22,16,'field_floor','node','properties','a:7:{s:5:\"label\";s:5:\"Floor\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:2:\"32\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(23,17,'field_lot_area','node','properties','a:7:{s:5:\"label\";s:8:\"Lot Area\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"12\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:2:\"m2\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;s:13:\"prefix_suffix\";b:1;}s:6:\"module\";s:6:\"number\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(24,18,'field_floor_area','node','properties','a:7:{s:5:\"label\";s:10:\"Floor Area\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"13\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:2:\"m2\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:14:\"number_integer\";s:6:\"weight\";s:2:\"34\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:0;s:13:\"prefix_suffix\";b:1;}s:6:\"module\";s:6:\"number\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(25,19,'field_slideshow','node','properties','a:6:{s:5:\"label\";s:9:\"Slideshow\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"19\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:15:\"field/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(26,4,'field_image','node','properties','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"18\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"9\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(27,20,'field_gallery','node','properties','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"20\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:13:\"field/gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:10:\"flexslider\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:3:{s:9:\"optionset\";s:16:\"thumbnail_slider\";s:11:\"image_style\";s:12:\"thumb_grid_6\";s:7:\"caption\";i:0;}s:6:\"module\";s:17:\"flexslider_fields\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(28,1,'comment_body','comment','comment_node_blog','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(29,2,'body','node','blog','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(30,21,'field_phone','user','user','a:7:{s:5:\"label\";s:5:\"Phone\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(32,1,'comment_body','comment','comment_node_faq','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(33,2,'body','node','faq','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(34,23,'field_email','user','user','a:7:{s:5:\"label\";s:5:\"Email\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:15:\"email_textfield\";s:6:\"module\";s:5:\"email\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:13:\"email_default\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:5:\"email\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(35,24,'field_facebook','user','user','a:7:{s:5:\"label\";s:8:\"Facebook\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"11\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"10\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:2:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:19:\"http://facebook.com\";}}}',0),(36,25,'field_twitter','user','user','a:7:{s:5:\"label\";s:7:\"Twitter\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"12\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"11\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:2:{s:5:\"title\";s:7:\"Twitter\";s:3:\"url\";s:18:\"http://twitter.com\";}}}',0),(37,26,'field_gplus','user','user','a:7:{s:5:\"label\";s:5:\"Gplus\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"13\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:2:\"12\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";a:1:{i:0;a:2:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:16:\"http://gplus.com\";}}}',0),(38,27,'field_full_name','user','user','a:7:{s:5:\"label\";s:9:\"Full Name\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(40,28,'field_gender','user','user','a:7:{s:5:\"label\";s:6:\"Gender\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"7\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(41,29,'field_position','user','user','a:7:{s:5:\"label\";s:8:\"Position\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"9\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"8\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(42,30,'field_description','user','user','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:1:\"3\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(43,6,'field_bathrooms','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:9:\"Bathrooms\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(44,5,'field_bedrooms','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:8:\"Bedrooms\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(45,31,'field_business_types','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:14:\"Business Types\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:2;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(46,32,'field_floors','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Floors\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:3;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(47,9,'field_garage','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Garage\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:4;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(48,28,'field_gender','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:6:\"Gender\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:5;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(49,7,'field_location','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:8:\"Location\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:6;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(50,33,'field_newsletter_categories','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(51,34,'field_positions','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:9:\"Positions\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:7;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(52,35,'field_property_types','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:14:\"Property Types\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:8;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(53,3,'field_tags','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:9;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(54,10,'field_year','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Year\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:10;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(55,38,'field_list_description','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:4:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"text_textfield\";s:8:\"settings\";a:1:{s:4:\"size\";i:60;}s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:2:{s:15:\"text_processing\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(56,36,'field_newsletter_list','newsletter_subscriber','newsletter_subscriber','a:6:{s:5:\"label\";s:5:\"Lists\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:15:\"options_buttons\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:15:\"newsletter_list\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:15:\"newsletter_list\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:0;}}s:11:\"description\";s:0:\"\";}',1),(57,37,'field_newsletter_template','newsletter_list','newsletter_list','a:6:{s:5:\"label\";s:8:\"Template\";s:8:\"required\";b:1;s:6:\"widget\";a:5:{s:6:\"weight\";i:0;s:4:\"type\";s:14:\"options_select\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}s:6:\"module\";s:7:\"options\";}s:8:\"settings\";a:4:{s:11:\"target_type\";s:19:\"newsletter_template\";s:7:\"handler\";s:4:\"base\";s:16:\"handler_settings\";a:1:{s:14:\"target_bundles\";a:1:{i:0;s:19:\"newsletter_template\";}}s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:21:\"entityreference_label\";s:8:\"settings\";a:1:{s:4:\"link\";b:0;}s:6:\"module\";s:15:\"entityreference\";s:6:\"weight\";i:2;}}s:11:\"description\";s:0:\"\";}',1),(58,39,'field_newsletter_body','newsletter_template','newsletter_template','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:11;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(59,39,'field_newsletter_body','newsletter_newsletter','newsletter_newsletter','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',1),(60,1,'comment_body','comment','comment_node_why_us','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(61,2,'body','node','why_us','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:31;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(63,4,'field_image','bean','who_we_are_block','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:17:\"field/image/block\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(64,41,'field_link','bean','who_we_are_block','a:7:{s:5:\"label\";s:4:\"Link\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:10:{s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:5:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"link_default\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(65,30,'field_description','bean','who_we_are_block','a:7:{s:5:\"label\";s:11:\"Description\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:26:\"text_textarea_with_summary\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"rows\";s:1:\"3\";s:12:\"summary_rows\";i:5;}}s:8:\"settings\";a:3:{s:15:\"text_processing\";s:1:\"1\";s:15:\"display_summary\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(66,1,'comment_body','comment','comment_node_testimonials','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(67,2,'body','node','testimonials','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(68,44,'field_occupation','user','user','a:7:{s:5:\"label\";s:10:\"Occupation\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"8\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"9\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(69,45,'field_mobile','user','user','a:7:{s:5:\"label\";s:6:\"Mobile\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(70,46,'field_fax','user','user','a:7:{s:5:\"label\";s:3:\"Fax\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(71,48,'field_office','user','user','a:7:{s:5:\"label\";s:6:\"Office\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"10\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(72,49,'field_address','node','properties','a:6:{s:5:\"label\";s:7:\"Address\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:21:\"addressfield_standard\";s:6:\"module\";s:12:\"addressfield\";s:6:\"active\";i:1;s:8:\"settings\";a:3:{s:19:\"available_countries\";a:0:{}s:15:\"format_handlers\";a:5:{s:7:\"address\";s:7:\"address\";s:20:\"address-hide-country\";i:0;s:12:\"organisation\";i:0;s:9:\"name-full\";i:0;s:12:\"name-oneline\";i:0;}s:15:\"default_country\";s:0:\"\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:20:\"addressfield_default\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{i:0;s:7:\"address\";}}s:6:\"module\";s:12:\"addressfield\";}s:6:\"teaser\";a:4:{s:4:\"type\";s:6:\"hidden\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(73,51,'field_property_status','node','properties','a:7:{s:5:\"label\";s:15:\"Property Status\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(75,53,'field_video','node','properties','a:7:{s:5:\"label\";s:5:\"Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"22\";s:4:\"type\";s:23:\"video_embed_field_video\";s:6:\"module\";s:17:\"video_embed_field\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:4:{s:17:\"description_field\";i:0;s:18:\"description_length\";s:3:\"128\";s:18:\"user_register_form\";b:0;s:17:\"allowed_providers\";a:2:{i:0;s:7:\"youtube\";i:1;s:5:\"vimeo\";}}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:17:\"video_embed_field\";s:6:\"weight\";s:2:\"27\";s:8:\"settings\";a:3:{s:11:\"video_style\";s:6:\"normal\";s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";}s:6:\"module\";s:17:\"video_embed_field\";}s:6:\"teaser\";a:4:{s:4:\"type\";s:6:\"hidden\";s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(77,20,'field_gallery','node','blog','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:18:\"field/gallery/blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:10:\"flexslider\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:3:{s:9:\"optionset\";s:16:\"thumbnail_slider\";s:11:\"image_style\";s:22:\"galleryformatter_slide\";s:7:\"caption\";i:0;}s:6:\"module\";s:17:\"flexslider_fields\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:10:\"flexslider\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:3:{s:9:\"optionset\";s:16:\"thumbnail_slider\";s:11:\"image_style\";s:22:\"galleryformatter_slide\";s:7:\"caption\";i:0;}s:6:\"module\";s:17:\"flexslider_fields\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(78,4,'field_image','node','blog','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(79,53,'field_video','node','blog','a:7:{s:5:\"label\";s:5:\"Video\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:23:\"video_embed_field_video\";s:6:\"module\";s:17:\"video_embed_field\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:4:{s:17:\"description_field\";i:0;s:18:\"description_length\";s:3:\"128\";s:18:\"user_register_form\";b:0;s:17:\"allowed_providers\";a:2:{i:0;s:7:\"youtube\";i:1;s:5:\"vimeo\";}}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:17:\"video_embed_field\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:3:{s:11:\"video_style\";s:6:\"normal\";s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";}s:6:\"module\";s:17:\"video_embed_field\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:17:\"video_embed_field\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:3:{s:11:\"video_style\";s:6:\"normal\";s:11:\"description\";i:1;s:20:\"description_position\";s:6:\"bottom\";}s:6:\"module\";s:17:\"video_embed_field\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(80,56,'field_content','node','blog','a:7:{s:5:\"label\";s:7:\"Content\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:22:\"field_collection_embed\";s:6:\"module\";s:16:\"field_collection\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:21:\"field_collection_view\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:5:{s:4:\"edit\";s:4:\"Edit\";s:6:\"delete\";s:6:\"Delete\";s:3:\"add\";s:3:\"Add\";s:11:\"description\";b:1;s:9:\"view_mode\";s:4:\"full\";}s:6:\"module\";s:16:\"field_collection\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(81,4,'field_image','field_collection_item','field_content','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:16:\"field/image/blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_6\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(83,58,'field_text','field_collection_item','field_content','a:7:{s:5:\"label\";s:4:\"Text\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:13:\"text_textarea\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"rows\";s:1:\"5\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(84,60,'field_category','node','blog','a:7:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"6\";s:4:\"type\";s:15:\"options_buttons\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"5\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(85,3,'field_tags','node','blog','a:7:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"7\";s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"module\";s:8:\"taxonomy\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"6\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(86,1,'comment_body','comment','comment_node_services','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(87,2,'body','node','services','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"2\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"200\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(88,62,'field_icon','node','services','a:7:{s:5:\"label\";s:4:\"Icon\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:10:\"icon_field\";s:6:\"module\";s:10:\"icon_field\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:3:{s:6:\"bundle\";N;s:4:\"icon\";N;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(89,20,'field_gallery','node','article','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:18:\"field/gallery/page\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:11;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(90,20,'field_gallery','node','page','a:6:{s:5:\"label\";s:7:\"Gallery\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:18:\"field/gallery/page\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:1;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:9:\"slideshow\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:30:{s:21:\"slideshow_image_style\";s:0:\"\";s:14:\"slideshow_link\";s:0:\"\";s:17:\"slideshow_caption\";s:5:\"title\";s:22:\"slideshow_caption_link\";s:0:\"\";s:12:\"slideshow_fx\";s:4:\"fade\";s:15:\"slideshow_speed\";s:4:\"1000\";s:17:\"slideshow_timeout\";s:4:\"4000\";s:15:\"slideshow_order\";s:0:\"\";s:18:\"slideshow_controls\";i:1;s:24:\"slideshow_controls_pause\";i:0;s:27:\"slideshow_controls_position\";s:5:\"after\";s:15:\"slideshow_pause\";i:0;s:24:\"slideshow_start_on_hover\";i:0;s:15:\"slideshow_pager\";s:0:\"\";s:24:\"slideshow_pager_position\";s:5:\"after\";s:27:\"slideshow_pager_image_style\";s:0:\"\";s:30:\"slideshow_carousel_image_style\";s:0:\"\";s:26:\"slideshow_carousel_visible\";s:1:\"3\";s:25:\"slideshow_carousel_scroll\";s:1:\"1\";s:24:\"slideshow_carousel_speed\";s:3:\"500\";s:23:\"slideshow_carousel_skin\";s:0:\"\";s:25:\"slideshow_carousel_follow\";i:0;s:27:\"slideshow_carousel_vertical\";i:0;s:27:\"slideshow_carousel_circular\";i:0;s:30:\"slideshow_colorbox_image_style\";s:0:\"\";s:28:\"slideshow_colorbox_slideshow\";s:0:\"\";s:34:\"slideshow_colorbox_slideshow_speed\";s:4:\"4000\";s:29:\"slideshow_colorbox_transition\";s:7:\"elastic\";s:24:\"slideshow_colorbox_speed\";s:3:\"350\";s:32:\"slideshow_field_collection_image\";s:0:\"\";}s:6:\"module\";s:15:\"field_slideshow\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(91,63,'field_block','node','page','a:7:{s:5:\"label\";s:5:\"Block\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:22:\"blockreference_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:14:\"blockreference\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(92,1,'comment_body','comment','comment_node_simplenews','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(93,2,'body','node','simplenews','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:31;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(94,64,'field_simplenews_term','node','simplenews','a:6:{s:5:\"label\";s:19:\"Newsletter category\";s:8:\"required\";b:1;s:6:\"widget\";a:4:{s:4:\"type\";s:15:\"options_buttons\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:32;s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:5:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";s:6:\"weight\";i:1;}s:6:\"teaser\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:1;}s:11:\"email_plain\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}s:10:\"email_html\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}s:13:\"email_textalt\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(95,65,'field_geo','node','properties','a:6:{s:5:\"label\";s:3:\"Geo\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"23\";s:4:\"type\";s:8:\"geocoder\";s:6:\"module\";s:8:\"geocoder\";s:6:\"active\";i:1;s:8:\"settings\";a:4:{s:14:\"geocoder_field\";s:13:\"field_address\";s:16:\"geocoder_handler\";s:6:\"google\";s:16:\"handler_settings\";a:1:{s:6:\"google\";a:3:{s:13:\"geometry_type\";s:5:\"point\";s:11:\"all_results\";i:0;s:14:\"reject_results\";a:4:{s:11:\"APPROXIMATE\";i:0;s:16:\"GEOMETRIC_CENTER\";i:0;s:18:\"RANGE_INTERPOLATED\";i:0;s:7:\"ROOFTOP\";i:0;}}}s:14:\"delta_handling\";s:7:\"default\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:16:\"geofield_map_map\";s:6:\"weight\";s:2:\"35\";s:8:\"settings\";a:20:{s:18:\"geofield_map_width\";s:4:\"100%\";s:19:\"geofield_map_height\";s:5:\"300px\";s:17:\"geofield_map_zoom\";s:1:\"8\";s:21:\"geofield_map_min_zoom\";s:1:\"0\";s:21:\"geofield_map_max_zoom\";s:1:\"0\";s:24:\"geofield_map_controltype\";s:7:\"default\";s:16:\"geofield_map_mtc\";s:8:\"standard\";s:23:\"geofield_map_pancontrol\";i:1;s:20:\"geofield_map_maptype\";s:3:\"map\";s:27:\"geofield_map_baselayers_map\";i:1;s:33:\"geofield_map_baselayers_satellite\";i:1;s:30:\"geofield_map_baselayers_hybrid\";i:1;s:32:\"geofield_map_baselayers_physical\";i:0;s:18:\"geofield_map_scale\";i:0;s:21:\"geofield_map_overview\";i:0;s:28:\"geofield_map_overview_opened\";i:0;s:24:\"geofield_map_scrollwheel\";i:0;s:22:\"geofield_map_draggable\";i:0;s:28:\"geofield_map_streetview_show\";i:0;s:19:\"geofield_map_center\";a:2:{s:3:\"lat\";i:0;s:3:\"lon\";i:0;}}s:6:\"module\";s:12:\"geofield_map\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0);
/*!40000 ALTER TABLE `field_config_instance` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_body`
--

DROP TABLE IF EXISTS `field_data_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_body`
--

LOCK TABLES `field_data_body` WRITE;
/*!40000 ALTER TABLE `field_data_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_body` VALUES ('node','properties',0,1,1,'und',0,'Sed iaculis ipsum eu porttitor auctor? Vestibulum tempor pulvinar est; vitae sollicitudin ligula. Maecenas a mi sit amet magna ullamcorper fermentum. Vivamus porta pellentesque lorem, quis viverra enim consectetur non. Cras eget commodo magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Suspendisse id neque tincidunt, volutpat dolor vitae, laoreet nunc. Integer aliquet, lacus ac luctus vehicula, eros purus commodo turpis, vitae ultrices dui justo eget quam. Donec vel rutrum dolor, eu egestas neque. Donec eget cursus dui.\r\n\r\nQuisque vel turpis sed tortor varius vehicula. Maecenas dignissim odio sit amet bibendum volutpat! Nam vitae tincidunt ante. Nunc tempor orci eget dolor egestas, ac congue nisi pulvinar! Aliquam erat volutpat. Nam luctus diam eros. Praesent mi neque, laoreet at convallis eu, feugiat ac erat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed tempor lacus eget nisi sollicitudin hendrerit. Morbi sed nulla facilisis, ultrices justo nec, commodo massa. Nam imperdiet ultrices nulla in scelerisque. Nunc vehicula consectetur congue. Fusce convallis dui dictum, pharetra sem sed.\r\n','','filtered_html'),('node','faq',0,3,3,'und',0,'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi imperdiet erat eu mauris malesuada, id iaculis urna tristique. Suspendisse nec velit sed enim gravida pulvinar. Quisque dignissim volutpat erat, sed faucibus tortor dignissim a. In tincidunt, dui at egestas bibendum, sapien justo pretium leo; sit amet dapibus dolor nisl in purus. Aenean justo libero, mollis vitae erat non; iaculis dapibus augue. Morbi quis tempus lacus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque ut ipsum sit amet purus dignissim vulputate non at erat.\r\n\r\nPhasellus sit amet lorem ac felis rutrum aliquam non et nulla. Nulla volutpat a dolor in feugiat. Duis tincidunt adipiscing nibh sagittis eleifend. Maecenas urna odio, vestibulum vel mi eu; dapibus placerat odio. Aliquam erat volutpat. Cras eget viverra dui. Praesent auctor, enim nec aliquam venenatis, tellus felis tincidunt libero, non scelerisque est mi tristique neque. Curabitur tempus commodo massa ac imperdiet. Maecenas molestie viverra tortor, nec varius lectus fringilla ut. Sed lobortis tincidunt ipsum, in mattis lorem dapibus at. Sed fermentum tempus nunc, ut cursus purus luctus volutpat.\r\n','','filtered_html'),('node','faq',0,4,4,'und',0,'Vestibulum sollicitudin gravida risus nec sollicitudin. Donec mi ipsum, pulvinar ut eros tincidunt, suscipit interdum diam. Pellentesque luctus dapibus justo; vitae porta eros varius sed. Integer scelerisque; leo egestas fermentum congue, est sem elementum odio, a blandit lacus elit ultrices est. Nullam rhoncus eros massa, ac egestas purus tristique condimentum. Phasellus sapien ante, commodo at orci non, blandit blandit libero. Pellentesque congue venenatis nibh? Duis volutpat, est interdum sollicitudin volutpat, mi elit dapibus dolor, non pulvinar dolor velit sit amet odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed ac posuere nulla. Phasellus egestas mauris quis lacus fermentum faucibus. Nulla hendrerit augue nisl, vel condimentum sem mollis at. Proin malesuada aliquam pretium. Suspendisse malesuada purus quis volutpat auctor. Curabitur urna nisl, sagittis at viverra ac, tincidunt ut erat?\r\n\r\nSed pulvinar dapibus facilisis. Donec eget lacus sed ante convallis ornare non vel sem. Quisque id risus at risus vulputate fermentum ac sit amet arcu. Morbi placerat neque ac dui fringilla vehicula. Quisque rutrum dolor aliquet, porta metus.\r\n','','filtered_html'),('node','faq',0,5,5,'und',0,'Nulla facilisi. Donec laoreet consequat viverra! Vestibulum vehicula placerat imperdiet. Mauris arcu lacus, pellentesque id erat vitae, condimentum facilisis ipsum. Pellentesque non faucibus tortor. Nunc molestie velit at diam auctor tincidunt. Nulla id lorem nisl. Sed tellus orci, scelerisque a rutrum sit amet, convallis eu lectus. Sed id turpis in orci ullamcorper dapibus. Sed non porta felis. Integer euismod nunc non nunc porta pellentesque. Nulla sit amet laoreet dolor. Sed a velit feugiat, dignissim erat nec, porta justo. Mauris massa erat, commodo a elementum ut, semper dictum odio! Ut ac ligula elit.\r\n\r\nIn hac habitasse platea dictumst. Mauris fermentum augue leo, eget lobortis ipsum rhoncus ac. Nunc ac ultricies massa! Aenean vel aliquam turpis, eu faucibus dolor. Aliquam dictum at sapien nec iaculis. Donec massa magna, ultrices quis varius suscipit, cursus vulputate elit. Donec ac enim id nisl venenatis aliquet quis in velit. Quisque rhoncus massa turpis, non accumsan sem feugiat eu. Etiam eleifend tempor congue! Aenean consectetur feugiat urna, vel tincidunt nunc dictum a.\r\n\r\nNam leo quam, feugiat in ante non, convallis dictum elit! Maecenas malesuada enim non suscipit cras amet.\r\n','','filtered_html'),('node','faq',0,6,6,'und',0,'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Mauris accumsan suscipit feugiat. Cras sodales mauris pretium vehicula consequat? Duis vel tristique mi, sed tempus lorem. Sed eu elit in turpis venenatis placerat. Vivamus libero felis, vulputate in vehicula ut, tincidunt sit amet lorem? Aenean vehicula placerat viverra. Duis est ipsum, vestibulum sed venenatis in, rutrum nec diam. Duis iaculis velit sollicitudin mi lacinia placerat. Curabitur non sapien lacus? Nam semper porta vehicula. Praesent eu massa eros. Etiam dignissim leo sed sem malesuada tincidunt. Aliquam sed adipiscing elit. Etiam consectetur porttitor orci.\r\n\r\nVivamus a porta turpis, in pharetra eros. Cras pellentesque, leo et tempus sollicitudin, neque mi molestie elit, varius mollis lectus mauris in nulla. Vivamus volutpat mi vitae justo accumsan, eget gravida lorem ornare. Nunc condimentum pellentesque nisi, sit amet molestie nunc fermentum ac. Duis scelerisque ultricies lorem, ac facilisis metus dignissim imperdiet. Maecenas cursus orci sed lorem lacinia tincidunt. Nullam quis elit urna. Nullam pellentesque suscipit massa non tempor! Donec sit amet feugiat augue. Duis metus.\r\n','','filtered_html'),('node','faq',0,7,7,'und',0,'Sed luctus justo a ornare suscipit. Vestibulum pharetra elit et velit aliquet, quis posuere augue ultrices. Curabitur iaculis dui augue, nec commodo massa commodo ut. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla at massa mauris. Praesent posuere tristique elit id dapibus. Curabitur ultrices tellus fermentum lectus cursus ullamcorper. Integer ligula mi, consequat vel dignissim id, laoreet eget est. Praesent fermentum malesuada urna quis suscipit. Donec vel ipsum vitae mi congue vestibulum non auctor mauris. Nulla tortor nulla, tincidunt eget fermentum sodales, eleifend in erat. Sed sed mauris nec purus fringilla dictum nec ut eros. Interdum et malesuada fames ac ante ipsum primis in faucibus.\r\n\r\nMauris sapien ante, aliquam non lacus ut, aliquet malesuada ligula. Pellentesque turpis nisl, elementum sed tellus et, accumsan accumsan augue. Aliquam mattis varius ipsum nec egestas. Proin fringilla nisi non urna feugiat rhoncus. Cras congue ligula nisi, vestibulum viverra lorem vulputate et. Sed sit amet enim in libero pulvinar pharetra. Pellentesque eu mi sed dolor tempor massa nunc.\r\n','','filtered_html'),('node','faq',0,8,8,'und',0,'In fringilla sollicitudin eleifend. Suspendisse quis nisi lorem. Etiam at eros vel orci consequat bibendum at quis diam. Aliquam ac tempor massa, et aliquet lectus. Cras dignissim risus in fringilla dapibus. Donec tristique bibendum mollis. Proin adipiscing non metus sit amet pretium.\r\n\r\nDonec nec augue arcu. Etiam eu feugiat nisi. Fusce in sollicitudin metus, quis tincidunt ipsum. Donec posuere nunc consequat aliquam ultrices. Donec interdum enim sit amet bibendum ultrices. Nulla sed dui eleifend, convallis nisi sed, posuere tellus. Nulla sit amet sapien tincidunt, egestas quam eu, tincidunt augue. Mauris lacus augue; consectetur sit amet dolor eu, ullamcorper faucibus leo. Pellentesque imperdiet, magna nec scelerisque luctus, velit sem malesuada turpis, in varius ante nunc ac ligula. Nam vitae blandit nunc. Aenean tempus ultricies mollis. Pellentesque pharetra suscipit aliquam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.\r\n\r\nVestibulum velit lectus, vehicula nec tincidunt tempor, venenatis in diam? Mauris ut augue enim. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean in ante turpis duis.\r\n','','filtered_html'),('node','faq',0,9,9,'und',0,'Curabitur ante leo; pulvinar non dapibus id, auctor in nunc. Morbi posuere dapibus egestas! Ut hendrerit dictum odio, ac suscipit nisl viverra vitae. Praesent vestibulum fringilla odio vitae pellentesque. Morbi at suscipit ligula, vitae mattis diam. Fusce ut est magna! Etiam ullamcorper commodo eros ac cursus. Nullam sit amet aliquet eros! In rhoncus scelerisque sem. Nunc non lacinia erat, quis tempor lorem. Nullam bibendum bibendum nisi. Curabitur ut consectetur neque. In diam odio, blandit ac dictum sit amet, ullamcorper sit amet nisl.\r\n\r\nNam in ligula ante. Pellentesque condimentum erat eu lacinia porttitor. Suspendisse volutpat purus vel orci auctor pretium. Fusce accumsan, nunc nec ornare vulputate, augue augue porta ipsum; at semper quam nunc eu dolor? Aliquam blandit mauris rutrum tortor commodo, quis dictum leo tincidunt. Fusce suscipit porta faucibus. Fusce ac magna quis nunc interdum laoreet sit amet vitae velit. Cras at bibendum nunc? Proin sed est sem. Suspendisse malesuada magna ac eros porttitor blandit. Morbi commodo libero at arcu suscipit, ut mollis eros faucibus. Etiam dapibus, sapien eu condimentum sagittis, urna nisi eleifend neque, eget pharetra neque dui sit amet.\r\n','','filtered_html'),('node','faq',0,10,10,'und',0,'Nam sed aliquet tortor. Sed id malesuada ante. Quisque et sagittis nulla. In ut congue lacus, in malesuada nulla. Proin luctus, erat sed pulvinar bibendum, nisi erat dignissim ante, in imperdiet purus dolor sit amet lectus. Nullam luctus euismod purus, nec consequat tellus luctus pharetra. Morbi ut purus tempor, pellentesque felis eu; mollis nisl. Morbi tincidunt ante ipsum, bibendum pulvinar eros luctus sed. Donec non tincidunt quam. Donec nisl eros, sollicitudin a condimentum eget, iaculis non metus. Curabitur rhoncus elit eu rhoncus molestie. Praesent vitae felis et justo malesuada auctor! Aliquam hendrerit ut sem nec euismod. Curabitur vel interdum dui? Nulla tempor interdum suscipit. Nulla tortor orci, iaculis vel enim id, bibendum rutrum orci.\r\n\r\nNunc sagittis dolor et nibh laoreet consequat. Integer pharetra id magna sed laoreet. Pellentesque nec venenatis odio. Praesent aliquet tellus ut nibh semper, at posuere mauris iaculis. Donec mauris arcu; egestas ac neque eu, viverra molestie quam. Morbi eget augue sem. Proin nec pharetra quam. Ut consectetur velit a tincidunt suscipit. Sed eget iaculis mi. Ut fermentum odio urna, eu sagittis augue rhoncus vehicula! In ut nullam sodales.\r\n','','filtered_html'),('node','blog',0,11,11,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,12,12,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,13,13,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','page',0,14,14,'und',0,'Mauris elementum tempus nisi, vitae ullamcorper sem ultricies vitae. Nullam consectetur lacinia nisi, quis laoreet magna pulvinar in. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In hac habitasse platea dictumst. Cum sociis natoque penatibus et magnis dis parturient montes','','filtered_html'),('node','why_us',0,15,15,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','full_html'),('node','why_us',0,16,16,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','why_us',0,17,17,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','why_us',0,18,18,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','why_us',0,19,19,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','properties',0,20,20,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.\r\n','','filtered_html'),('node','properties',0,21,21,'und',0,'Nulla dignissim libero vitae ornare vehicula. Nunc non ornare dui. Ut non risus in nisl facilisis eleifend. Nam egestas, nibh sit amet hendrerit blandit, metus sem consectetur felis, eu posuere lorem metus nec dui. Donec euismod blandit felis, ut rhoncus lectus porttitor vel. Integer laoreet accumsan dui eu elementum. Phasellus consectetur consectetur mi, et volutpat turpis porta ac. Maecenas nec nunc vel enim porta scelerisque in venenatis libero? Vivamus mollis nulla at mattis ultricies. Cras pharetra, quam et egestas elementum, ligula dui scelerisque dolor, quis eleifend elit nisi nec ipsum. Integer sem odio, viverra at dignissim a, egestas vel nibh.\r\n\r\nProin fringilla eu nunc a fermentum. Nullam odio ipsum, condimentum vitae ligula et; semper hendrerit massa. Duis sit amet enim eu lectus posuere convallis eget nec felis. Nunc varius posuere felis, in luctus enim commodo et. Donec volutpat scelerisque nisi a euismod. Etiam non lobortis augue, quis sollicitudin sapien. Aliquam tortor ligula, facilisis vitae vestibulum interdum, tempor in nulla. Duis accumsan neque eget pretium lobortis. Vivamus semper quis sapien ut iaculis. Vivamus varius malesuada risus, at commodo lorem cras amet.\r\n','','filtered_html'),('node','testimonials',0,22,22,'und',0,'Praesent scelerisque, odio vitae ornare scelerisque, libero massa volutpat neque, id facilisis ligula lectus in eros. Curabitur nec venenatis odio.','','filtered_html'),('node','testimonials',0,23,23,'und',0,'Nunc pellentesque nisi non fermentum congue. Etiam et sollicitudin leo, ultricies porttitor tellus. Nulla sit amet nisl vel neque ornare condimentum sed non felis.','','filtered_html'),('node','testimonials',0,24,24,'und',0,'Aliquam eget diam hendrerit, aliquet ligula vel, pharetra lectus. Quisque rhoncus, sem eu rhoncus hendrerit, lectus massa aliquet ligula, a molestie ipsum lacus id urna!','','filtered_html'),('node','properties',0,25,25,'und',0,'Suspendisse potenti. Nunc sagittis vel ipsum suscipit consectetur. Nunc quis lorem vitae magna cursus rutrum eu id tellus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ultrices metus mauris, at dapibus augue aliquet sed. Fusce blandit vel purus eleifend tincidunt? In convallis tortor nec urna lobortis; id tincidunt metus porta. Integer eros felis, lacinia fermentum cursus vitae; pretium sed arcu. Nam nunc mauris, posuere sit amet libero nec, tincidunt vehicula metus. Pellentesque at consequat lorem. Sed ipsum tellus, sodales at nibh in, molestie commodo leo? Donec in auctor nisl. Sed velit nisi, pretium vel lacinia sit amet, sagittis ut diam. Pellentesque interdum at diam a faucibus. Vestibulum tempor enim sit amet quam posuere euismod.\r\n\r\nVestibulum mollis mi metus, vitae cursus justo molestie vitae. Ut et nulla vitae neque vestibulum ultricies. Donec pharetra felis vitae nisi imperdiet ornare. Phasellus sagittis quam lorem, non feugiat libero dictum vitae. Cras sollicitudin tortor eros, non vulputate nisl mollis id. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer rhoncus sem ac elementum faucibus. Etiam aliquam dolor urna, id rutrum arcu sed.\r\n','','filtered_html'),('node','properties',0,26,26,'und',0,'Morbi vulputate, neque nec pharetra ullamcorper, ligula tortor interdum est, id vehicula lorem mauris non velit. Duis nibh felis, molestie eu metus ut, ultrices adipiscing lorem. Suspendisse fringilla vestibulum magna imperdiet imperdiet. Duis elementum pharetra justo. Maecenas in orci enim. Quisque varius mollis orci ac tempus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam et fringilla augue. Nullam bibendum sit amet augue imperdiet dapibus. \r\n\r\nAenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','properties',0,27,27,'und',0,'Nam nec tellus a odio tincidunt auctor a ornare odio. Sed non mauris vitae erat consequat auctor eu in elit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris in erat justo. Nullam ac urna eu felis dapibus condimentum sit amet a augue. Sed non neque elit.\r\n\r\nMauris in erat justo. Nullam ac urna eu felis dapibus condimentum sit amet a augue. Sed non neque elit. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Sed non neque elit. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.\r\n\r\nDonec sed odio dui. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.','','full_html'),('node','properties',0,28,28,'und',0,'Cras ac ante eget metus varius suscipit. Suspendisse non quam quis lectus dapibus luctus a at orci. Nunc malesuada, odio a tincidunt luctus, justo mauris porta leo, eu dapibus sem massa pellentesque nunc. Duis interdum eu est et imperdiet. Fusce fringilla faucibus mauris. Nullam tempus tincidunt felis, id suscipit est rutrum non. In varius, quam et lacinia venenatis, turpis dolor hendrerit neque, sed tristique elit ligula eu urna. \r\n\r\nAliquam ullamcorper tellus commodo, gravida libero a, lacinia turpis. Curabitur dictum risus non velit sollicitudin posuere. Aliquam blandit vel erat sit amet rhoncus. Duis diam diam, euismod non libero pellentesque, posuere vehicula nunc. Praesent viverra sapien eu ante vestibulum, aliquam blandit nibh molestie. Donec at rutrum nunc.','','filtered_html'),('node','properties',0,29,29,'und',0,'Pellentesque vitae lectus in felis auctor malesuada. Nulla commodo orci in consequat molestie. Sed ac porta magna, a facilisis velit. Nam ac vulputate libero, nec ultricies nunc. Integer condimentum mollis placerat. Donec consequat, nisl eu auctor facilisis, lectus nunc mollis libero, quis suscipit ligula quam ac massa. Quisque ac est in augue pulvinar tincidunt quis a nunc. Proin condimentum molestie pharetra. Ut vel est a felis porttitor porta nec quis dui. Nulla facilisi. Mauris varius, arcu vel condimentum convallis, justo ante fringilla ligula, at rhoncus justo dui eget mi. Nam non aliquam ipsum.\r\n\r\nAenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','properties',0,30,30,'und',0,'Aenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','properties',0,31,31,'und',0,'Morbi vulputate, neque nec pharetra ullamcorper, ligula tortor interdum est, id vehicula lorem mauris non velit. Duis nibh felis, molestie eu metus ut, ultrices adipiscing lorem. Suspendisse fringilla vestibulum magna imperdiet imperdiet. Duis elementum pharetra justo. Maecenas in orci enim. Quisque varius mollis orci ac tempus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam et fringilla augue. Nullam bibendum sit amet augue imperdiet dapibus. \r\n\r\nAenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','blog',0,33,33,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','properties',0,34,34,'und',0,'Sed iaculis ipsum eu porttitor auctor? Vestibulum tempor pulvinar est; vitae sollicitudin ligula. Maecenas a mi sit amet magna ullamcorper fermentum. Vivamus porta pellentesque lorem, quis viverra enim consectetur non. Cras eget commodo magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Suspendisse id neque tincidunt, volutpat dolor vitae, laoreet nunc. Integer aliquet, lacus ac luctus vehicula, eros purus commodo turpis, vitae ultrices dui justo eget quam. Donec vel rutrum dolor, eu egestas neque. Donec eget cursus dui.\r\n\r\nQuisque vel turpis sed tortor varius vehicula. Maecenas dignissim odio sit amet bibendum volutpat! Nam vitae tincidunt ante. Nunc tempor orci eget dolor egestas, ac congue nisi pulvinar! Aliquam erat volutpat. Nam luctus diam eros. Praesent mi neque, laoreet at convallis eu, feugiat ac erat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed tempor lacus eget nisi sollicitudin hendrerit. Morbi sed nulla facilisis, ultrices justo nec, commodo massa. Nam imperdiet ultrices nulla in scelerisque. Nunc vehicula consectetur congue. Fusce convallis dui dictum, pharetra sem sed.','','full_html'),('node','properties',0,35,35,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','full_html'),('node','properties',0,36,36,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','properties',0,37,37,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','properties',0,38,38,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','properties',0,39,39,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','blog',0,40,40,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','services',0,41,41,'und',0,'Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna. Duis elit ipsum, consequat id consequat id, consequat ac quam. Proin quis sagittis augue? Morbi id dolor vitae mi pellentesque suscipit eget nec sapien? Aenean mollis adipiscing sapien, ac congue nisl blandit ac. Nunc a lacus est!\r\n\r\nAliquam orci nibh, semper quis imperdiet nec, bibendum et sapien? Quisque viverra nulla ut purus tempor, vel bibendum mi tincidunt. Donec rutrum velit a venenatis tempus. Maecenas pretium sodales pretium. Etiam cursus, enim eget molestie interdum, mi magna fringilla sapien, sed vehicula risus augue vel leo. Praesent non ligula ipsum. Donec sed lacinia dui, ac molestie est.\r\n\r\nMaecenas consequat ut libero quis bibendum. Pellentesque at tincidunt neque, at consequat lacus. Aliquam risus elit, rhoncus eu elit non, laoreet volutpat metus. Maecenas at turpis in ipsum posuere euismod. Curabitur pellentesque imperdiet augue, eu faucibus est sodales in. Donec non quam porttitor, commodo felis facilisis, elementum dolor! Phasellus scelerisque velit ac enim pellentesque commodo. Nulla posuere turpis sit amet eros feugiat, id imperdiet magna commodo cras amet.\r\n','Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna.','filtered_html'),('node','services',0,42,42,'und',0,'Fusce ac dictum lacus, tincidunt pulvinar ligula. Etiam adipiscing; metus sit amet ullamcorper adipiscing, mauris erat consequat lectus, id feugiat justo nisl et tellus. Maecenas a ipsum nulla! Vivamus dapibus risus quis sollicitudin iaculis. Morbi et nisl nunc. Mauris odio enim, vehicula ac dictum in, pretium ut lorem. Suspendisse id aliquet leo, nec fermentum ante. Sed ac elit sed tellus molestie euismod vitae eget lorem. Nullam ultrices purus sed sapien dictum, ac aliquam nibh hendrerit. Vivamus ultrices pretium nulla, eget aliquet felis ornare a. Sed ornare neque a orci egestas; quis fringilla orci tincidunt. Pellentesque posuere, nunc sit amet lacinia semper, nulla neque auctor augue; vel pretium turpis ante sed nisl. Integer sit amet urna suscipit, interdum mi ut, ullamcorper tellus. Duis nulla lectus, euismod eu tristique ac, tempor a est. In id tempus nisl.\r\n\r\nSed sed luctus sapien. Duis ornare augue eget sodales semper. Proin ac mollis lectus. Sed dapibus nibh eu augue porta, id mollis arcu ornare. Fusce quis tellus enim. Nam interdum varius velit, vitae sollicitudin diam lobortis nec. In euismod, magna sit amet bibendum mattis, lorem nisl ultrices magna, at dictum nunc metus.\r\n','Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna.','filtered_html'),('node','services',0,43,43,'und',0,'Praesent at enim blandit, fringilla felis eu, posuere dolor. Sed eu auctor metus, et iaculis velit. Nunc posuere dolor eu dolor condimentum; in tempus mauris aliquet. Integer laoreet tempus nunc. Sed accumsan placerat tortor vel dapibus. Sed at mi non nibh sagittis vehicula. Nullam ut massa eu nulla tincidunt lacinia porta quis leo!\r\n\r\nAenean consectetur nec mi et sollicitudin. Morbi tincidunt posuere diam nec placerat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam id faucibus nunc, non luctus sem. Integer non lorem sollicitudin, euismod quam et, luctus erat. Curabitur pulvinar gravida lacus sed aliquam. Nullam varius imperdiet tempus. Suspendisse non massa at neque mattis blandit vel in magna. In vel fermentum mi. Suspendisse id pulvinar metus, eget varius dui. Vivamus vitae diam sit amet velit vulputate tincidunt. Phasellus id commodo ligula? Vestibulum dapibus purus eu felis volutpat rhoncus. Nullam pulvinar ante ut dapibus ornare. Quisque ut ipsum et tortor posuere mattis vitae quis velit.\r\n\r\nNullam id euismod felis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur nunc cras amet.\r\n','Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna.','filtered_html'),('node','page',0,44,44,'und',0,'<div class=\"weebpal-404-wrapper\">\r\n\r\n<p class=\"weebpal-404-emotion\"><i class=\"fa fa-frown-o\"></i></p>\r\n<p class=\"weebpal-404-text\">404</p>\r\n<p>Sorry but we couldn\'t find the page you are looking for. Please check to make sure you\'ve typed the URL correctly. You may also want to search for what you are looking for.</p>\r\n<p><a class=\"weebpal-return-back\" href=\"<?php echo url(); ?>\">RETURN TO HOME</a></p>\r\n\r\n</div>','','php_code'),('node','properties',0,45,45,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','full_html'),('node','properties',0,46,46,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','full_html'),('node','properties',0,47,47,'und',0,'Maecenas in enim eget turpis sollicitudin volutpat. Praesent iaculis enim eu sapien fringilla, et iaculis sem efficitur. Fusce justo elit, placerat at lectus at, interdum suscipit metus. In tincidunt diam sed turpis pulvinar convallis. Aenean vulputate vitae lorem in finibus. Donec aliquam dolor ut arcu faucibus efficitur. Phasellus sed orci non purus convallis feugiat ac ut lectus. Morbi nec arcu consequat, lobortis nibh porta, commodo lectus. Curabitur elementum porttitor blandit.','','full_html'),('node','properties',0,48,48,'und',0,'Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec tristique orci non metus commodo, rutrum maximus odio ullamcorper. Praesent eu luctus erat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec dapibus imperdiet metus ut bibendum. Sed blandit vitae ex et convallis. Integer at elit sagittis ligula mollis facilisis. Morbi ornare, ipsum quis viverra blandit, leo elit varius ex, convallis sollicitudin sapien quam non sem.','','full_html'),('node','properties',0,49,49,'und',0,'Donec varius erat quis ex aliquam, vel semper dolor fringilla. Nam cursus nisl vitae velit ultrices, sed vulputate est pretium. Phasellus a feugiat lacus. Donec at congue purus. Nam sodales nisl neque, ut efficitur tortor luctus non. Aliquam bibendum, purus non eleifend laoreet, ex sem ornare lectus, at vestibulum ante nisi quis urna. Quisque imperdiet non nibh sit amet faucibus. Etiam feugiat ultricies tempus. Nullam a massa blandit, semper velit luctus, aliquam lectus.\r\n\r\nSed vitae ipsum luctus, interdum tortor nec, blandit risus. Nullam tristique congue diam, quis tincidunt massa. Praesent commodo eros diam, eu dapibus felis cursus a. Fusce nec volutpat risus. Nulla justo nisl, lobortis a sapien sit amet, commodo dapibus metus. Phasellus et molestie metus. Pellentesque nec hendrerit eros, auctor dignissim nulla. Praesent molestie sapien augue, ut tempus neque molestie a. Suspendisse odio massa, placerat ac gravida ac, ornare ac massa. Praesent pellentesque lobortis augue auctor volutpat. Phasellus nec ex eu leo tincidunt accumsan. Suspendisse non neque eu tortor lacinia congue. Praesent aliquam diam at lorem euismod posuere. Donec non nunc sagittis, luctus ipsum eu, cursus ante.','','full_html'),('node','properties',0,50,50,'und',0,'Duis porttitor tortor quis ex mattis semper. Proin leo massa, porttitor eu cursus ut, facilisis interdum urna. Maecenas rutrum dolor eget rhoncus volutpat. Quisque rhoncus consectetur leo, laoreet dictum velit semper non. Praesent volutpat tincidunt velit. Curabitur sodales urna quis dapibus pretium. Integer nec porta nisl, et commodo magna. Aenean volutpat lacus justo, varius efficitur purus hendrerit luctus. Aenean sem nisl, vehicula in gravida a, hendrerit eget ex. Pellentesque quam tortor, cursus ac mi et, ultricies efficitur neque. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras a efficitur ipsum, at tincidunt elit.\r\n\r\nUt a quam nulla. Cras nec imperdiet mi, vel mollis sem. Sed et ligula pulvinar, euismod orci luctus, facilisis est. In risus purus, tincidunt ac sem a, dapibus varius arcu. Mauris sagittis dolor augue, quis posuere ipsum pellentesque et. Nunc risus justo, venenatis id est nec, mattis faucibus felis. Nulla imperdiet quam ut mauris consequat, sit amet tincidunt nunc accumsan. Donec porta, sapien nec iaculis blandit, velit ipsum mattis quam, a malesuada eros erat eu sem. Vestibulum sed dolor fermentum, faucibus sem non, luctus metus. Nunc rhoncus sollicitudin sem, eu molestie metus vestibulum a. Phasellus pellentesque viverra sapien, pellentesque aliquam mi rhoncus in. Quisque eu tristique ante. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;','','full_html'),('node','properties',0,51,51,'und',0,'Maecenas semper est vel massa scelerisque, a molestie massa aliquet. Morbi sem tellus, interdum sit amet luctus id, ultricies eu leo. Vivamus justo ante, accumsan nec velit nec, consequat imperdiet arcu. Duis ipsum lectus, interdum eu nisi sit amet, consequat imperdiet nisi. Quisque sit amet semper diam, ultricies suscipit lacus. Etiam non finibus nisl. Proin pretium tortor varius tempor hendrerit. Ut viverra ut enim sed viverra. Integer sit amet mauris mollis, pulvinar arcu non, rutrum nisl. Vivamus volutpat nunc tortor, et aliquet ex condimentum nec. Duis mi risus, rutrum id accumsan in, porttitor id sapien.\r\n\r\nAenean at quam dui. Morbi euismod, enim finibus varius placerat, leo sem pellentesque erat, vitae facilisis justo mi in mi. Vestibulum id quam mauris. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Curabitur volutpat placerat orci ac congue. Ut risus neque, rhoncus et consequat eget, porttitor eget tortor. Nullam tincidunt nibh augue, ut ultrices arcu tincidunt quis. Praesent nec felis a elit porttitor vestibulum sed ut diam.','','full_html'),('node','properties',0,52,52,'und',0,'Nullam rutrum arcu at mollis efficitur. Quisque luctus mi eget ultrices tempor. Curabitur ut elementum ipsum, ultricies tincidunt augue. Sed dignissim bibendum facilisis. Vivamus tortor ipsum, iaculis id placerat quis, fringilla eu arcu. Integer eget ipsum sed urna auctor pellentesque nec vel augue. Sed non libero eget sem lacinia blandit ut quis tortor. Interdum et malesuada fames ac ante ipsum primis in faucibus. In hac habitasse platea dictumst. Nulla purus libero, tristique cursus velit ut, imperdiet feugiat ligula.\r\n\r\nNullam lacinia, lorem in fringilla finibus, velit eros consectetur purus, eu sodales diam risus ut nibh. Curabitur congue sem quam, sed sodales diam aliquet a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin sit amet lectus sit amet urna pharetra ullamcorper. Maecenas vel orci nec ex efficitur tincidunt. Donec vitae lobortis neque, vitae commodo tortor. Donec vitae suscipit libero.','','full_html'),('node','properties',0,53,53,'und',0,'Vestibulum ac ultricies nisi. Ut fringilla, arcu eget tempus iaculis, diam velit ornare ex, a condimentum purus ante vel massa. Praesent elementum ligula non eros lacinia, id tempor nisl sollicitudin. Suspendisse leo mauris, condimentum at urna vel, dictum bibendum ante. Aliquam erat volutpat. Duis a finibus sem. Morbi lacinia tristique sem, ut efficitur est condimentum et. Integer tortor sem, tincidunt quis bibendum nec, elementum sed turpis. Praesent eu sodales quam. In placerat nulla ut massa congue dignissim. Donec id leo sed mi rutrum suscipit ut eu ipsum. Donec egestas diam eget massa rhoncus molestie. Vivamus tincidunt nulla magna. Curabitur non erat lacus.\r\n\r\nVivamus non ipsum sed mi scelerisque vehicula ut vitae nunc. Etiam in metus accumsan, eleifend magna eu, dignissim ante. Mauris gravida neque ipsum, id lobortis enim bibendum vitae. Morbi iaculis nisi in velit consectetur aliquet. Sed lacinia faucibus nisi ac semper. Curabitur a massa quis felis hendrerit tempor. Cras id egestas sapien. Sed in nisl est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Etiam ac eros consectetur, accumsan ex et, scelerisque orci. Nullam vehicula ex nunc, ut congue orci blandit vulputate. Phasellus molestie accumsan augue.','','full_html'),('node','properties',0,54,54,'und',0,'Pellentesque non aliquet turpis. Morbi eu mi at arcu malesuada porta. Mauris tincidunt neque id mauris viverra facilisis. Integer sed elementum leo, et imperdiet justo. Fusce non auctor lacus, quis aliquam ligula. Duis dictum sit amet ipsum a pretium. Vivamus elementum lorem tellus, et elementum lectus volutpat ac. Curabitur cursus tellus non suscipit fringilla. Ut sit amet nisi nec nulla iaculis congue. Morbi gravida purus ac dui volutpat fringilla. Vestibulum blandit malesuada faucibus. Sed tempor ex sed est pharetra, ut commodo odio dictum. Aliquam interdum, ipsum suscipit venenatis pretium, arcu justo tempor elit, ac molestie est lacus quis nisi. Sed ut posuere risus, ut mattis nulla. Sed hendrerit nulla ut quam dictum, non ullamcorper leo accumsan. Nunc tristique malesuada ipsum eu elementum.\r\n\r\nAliquam et eros ullamcorper, ullamcorper nunc a, hendrerit libero. Nam rhoncus dictum felis. Maecenas nec erat at nunc lacinia varius. Proin non eros non nisl commodo vulputate. Fusce id congue quam. Donec ullamcorper quam semper, molestie ante sed, vulputate dui. Cras sit amet ligula eget enim malesuada finibus at et enim. Donec congue, sem eget luctus tempus, enim quam finibus quam, sed lobortis tellus sem eget lectus. Sed tempor rutrum ex. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed ac risus lacinia, auctor mauris a, maximus purus. Maecenas a lectus porta, luctus est quis, ultrices eros. Ut posuere risus augue, ut condimentum sapien consectetur id. Nulla quis varius eros. Nunc congue, mi sed interdum dictum, augue risus porta erat, eu maximus erat tortor sit amet quam. Ut dolor libero, facilisis a tortor et, laoreet suscipit velit.','','full_html'),('node','properties',0,55,55,'und',0,'Duis feugiat vitae libero eget lobortis. Sed porta mollis auctor. Ut eu convallis velit, ac imperdiet lacus. Integer ut dapibus lectus. Ut laoreet neque sed orci pellentesque, ut luctus nulla egestas. Suspendisse et turpis nec leo interdum ultricies in quis lectus. Donec molestie ac justo eget interdum.\r\n\r\nNulla facilisi. Donec viverra sollicitudin dapibus. Morbi nec euismod orci. Fusce tincidunt massa quis consectetur feugiat. Phasellus id fermentum quam, vitae vehicula nibh. Sed luctus maximus lorem a lacinia. Vivamus eu nunc nec lorem egestas congue. Integer lobortis massa magna, at vestibulum risus consectetur ut.\r\n\r\nMorbi cursus tellus sed lectus consequat porta. Sed congue egestas sagittis. Sed pulvinar, augue ullamcorper tempor facilisis, nisi orci facilisis dui, sed dictum sem justo quis lacus. Nullam vitae velit vestibulum, sollicitudin quam mattis, ultricies felis. Phasellus mollis tortor nec orci varius, at efficitur turpis iaculis. Cras sed ultricies est. Proin elementum vitae nibh hendrerit lacinia.\r\n\r\nNulla arcu ipsum, blandit ac accumsan vitae, maximus at nulla. Nunc augue libero, congue vitae varius id, rutrum eu massa. Proin fringilla semper nulla at semper. Maecenas quam velit, vehicula et ipsum sed, sodales eleifend ante. Sed gravida nulla nec velit porttitor, vitae rutrum dui blandit. Donec sapien sem, commodo vitae placerat vel, efficitur feugiat erat. Phasellus vel egestas purus. Quisque dignissim sed ex non tincidunt. In semper nisl quis nulla sollicitudin, efficitur luctus lacus gravida. Vivamus finibus felis vitae euismod convallis. Nullam a augue faucibus, sollicitudin nulla eget, tristique sem. Etiam auctor ornare cursus. Maecenas erat augue, consectetur nec porta ac, blandit eget neque.','','full_html'),('node','page',0,56,56,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur suscipit gravida nibh, vel pharetra massa ultrices ac. Proin mollis finibus dignissim. Integer vel commodo ex, et egestas lacus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi posuere mauris et volutpat accumsan. Aliquam tortor mi, rutrum nec velit non, semper laoreet diam. Etiam placerat congue diam ullamcorper commodo. Phasellus dui eros, posuere pharetra erat sit amet, porttitor lobortis risus. Nulla facilisis mollis dapibus.\r\n\r\nNulla et est a quam sodales posuere. Cras non condimentum dui. Donec a mollis metus. Donec sit amet nisi risus. Nulla et purus ut orci convallis rutrum ut non velit. Morbi eget blandit nibh. Suspendisse potenti. In convallis vel ex ut tempor. Mauris ullamcorper lacinia volutpat. Phasellus sit amet placerat lorem, id sodales mauris. Morbi mollis velit ac sapien commodo viverra. Pellentesque hendrerit vestibulum ligula, sed vehicula metus vulputate ac. Nulla ullamcorper erat nec nibh dignissim, et auctor arcu imperdiet. Maecenas id nulla elementum tortor fermentum sagittis. Cras maximus diam sed venenatis iaculis.\r\n\r\nDonec ut scelerisque risus, tristique euismod ante. Nam convallis, urna non vulputate maximus, felis turpis hendrerit odio, non volutpat neque ex eu arcu. In nisl leo, sagittis vitae nunc quis, vulputate vulputate nulla. Duis massa augue, gravida vitae facilisis vitae, viverra sit amet neque. Nullam placerat blandit diam, varius lobortis justo accumsan sit amet. Nam dapibus orci nunc. Aliquam sed fringilla metus, sed feugiat ligula. Nunc vel sem et metus pharetra mattis sit amet bibendum ex. Cras tellus odio, placerat vitae tortor ornare, imperdiet gravida enim.','','full_html'),('node','page',0,57,57,'und',0,'Duis sagittis mi et vestibulum pharetra. Phasellus a vulputate tellus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec augue sapien, aliquet at urna cursus, porta gravida urna. Aenean vitae nunc ultricies, fringilla est vel, mattis ex. Praesent at orci tempus, placerat magna non, tristique ipsum. Quisque urna dui, egestas vel nulla sit amet, consequat sollicitudin lorem. Fusce semper est sed augue suscipit, at ultricies metus sodales. Fusce lorem sem, interdum eu luctus et, volutpat quis augue. Etiam pharetra dapibus ligula eu rhoncus. Maecenas eros lacus, facilisis at porttitor id, aliquet sit amet purus. Sed viverra, velit auctor consectetur fringilla, nunc dolor ullamcorper nisl, nec cursus lorem mi a erat. Sed efficitur, lacus ut bibendum volutpat, nisi augue molestie risus, id aliquam libero ex et nisl. Nullam sodales non est vel tristique. In pellentesque sem vitae euismod tempus.\r\n\r\nUt porta tortor rutrum urna molestie luctus. Aliquam tempor libero et velit eleifend porttitor. Maecenas varius lacinia viverra. Morbi bibendum felis at consequat ultrices. Quisque sed pharetra quam, id interdum risus. Phasellus porttitor magna id leo bibendum aliquam. In enim augue, efficitur ut facilisis id, bibendum facilisis dui. Proin lobortis turpis in vestibulum lacinia. Nunc consectetur a diam viverra tincidunt. Cras convallis nulla dui, vel feugiat justo congue a. Donec ac erat sed nisl semper condimentum vitae vitae ipsum. Duis velit quam, mattis vel velit ac, vehicula tristique libero.\r\n\r\nDonec quis scelerisque velit, vitae congue ex. Nunc rhoncus, felis nec lacinia porttitor, mi elit dictum ante, vel efficitur libero erat nec neque. Donec quam sem, congue vel metus eget, condimentum rhoncus sem. Pellentesque faucibus placerat elit placerat maximus. Nam ultrices fermentum consequat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam ut quam odio.','','full_html'),('node','page',0,58,58,'und',0,'Maecenas convallis mi ac lacus pulvinar efficitur. Praesent vehicula felis vitae consectetur vehicula. Morbi ut erat sed tortor feugiat luctus. Vestibulum congue fringilla sapien quis scelerisque. Phasellus dui ex, efficitur ac posuere tempus, lacinia in urna. Nullam dignissim tortor elit, a luctus velit aliquam quis. Fusce facilisis eros vel eros sollicitudin congue. Ut tincidunt rutrum ligula ut iaculis. Phasellus mi ex, ullamcorper eu posuere et, consequat nec lorem. Suspendisse euismod nibh id erat ornare, id maximus tellus commodo. Nam pulvinar mattis dolor eget posuere. Sed imperdiet vel lacus id rhoncus. Nunc mollis justo in felis placerat, in feugiat nibh facilisis. Phasellus luctus facilisis tortor nec vestibulum. Sed rhoncus et ante eget malesuada.\r\n\r\nDonec non metus non lacus feugiat varius et aliquet orci. Donec mauris sapien, volutpat quis est vitae, egestas porta sapien. Nam elementum cursus dui, eget rutrum orci ultrices eget. Sed congue, metus eget aliquam lacinia, turpis nulla tempor sapien, in ullamcorper est ipsum sed odio. Suspendisse varius eros nec elementum feugiat. Quisque commodo ornare orci vitae tristique. Vivamus et ante in sapien porttitor tincidunt. Ut in nisl non tellus auctor feugiat et eget nisi. Ut et efficitur nulla, eget pellentesque justo. Proin mi augue, sollicitudin non vestibulum vulputate, cursus id nunc.\r\n\r\nVestibulum facilisis lacinia pellentesque. Donec ut mauris orci. In hac habitasse platea dictumst. Pellentesque vitae fermentum velit. Proin magna sem, fringilla vel vehicula non, pharetra sit amet purus. Vivamus rutrum dictum dolor, porta facilisis felis rhoncus a. Mauris tristique leo dolor, a tristique enim consectetur a. Nunc semper viverra velit at aliquam. Nullam volutpat sodales eros, et ultricies ex sollicitudin non. Vestibulum eu luctus risus. Mauris fringilla massa mi, quis lobortis mi maximus eu. Morbi a cursus sem. Etiam metus eros, semper et arcu sit amet, pharetra dignissim nulla. Cras sit amet purus et tortor accumsan blandit ut ut ligula. Suspendisse id posuere quam, vel semper ex. Nam ac sodales massa.','','full_html'),('node','page',0,59,59,'und',0,'Curabitur tristique, elit cursus porttitor bibendum, nunc sapien maximus mauris, id euismod sem enim vitae justo. Pellentesque ornare venenatis ipsum, ut convallis erat congue in. Curabitur sed accumsan massa. Sed ut maximus sem, a tincidunt odio. Vivamus vehicula varius nulla scelerisque sollicitudin. Donec auctor scelerisque porta. Fusce ac tellus dolor. Phasellus id ex ligula. Donec eu mattis risus. Integer malesuada augue nibh, eu ullamcorper odio sodales commodo. Aliquam nec malesuada lectus, a aliquam dolor. Fusce gravida sem ut ex maximus, quis interdum ipsum consectetur. Nulla facilisi. Quisque ullamcorper viverra elit. Sed nec molestie ipsum, volutpat sollicitudin libero. Nullam sollicitudin tempus porttitor.\r\n\r\nMauris tempus lorem eu luctus mattis. Nunc gravida, sapien non sollicitudin feugiat, nulla odio imperdiet velit, vitae suscipit arcu est vitae risus. Cras dignissim dui et elit accumsan, et semper purus tempor. Cras sollicitudin dictum mollis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas porttitor auctor porttitor. Fusce venenatis nisl in urna volutpat, eu consectetur lacus malesuada. Pellentesque lacinia, elit eget rhoncus pretium, quam ex convallis metus, ac fermentum odio sem sit amet mauris. Fusce bibendum eget erat at eleifend. Fusce vitae risus vitae leo mollis pharetra non vitae mauris. In hac habitasse platea dictumst. Pellentesque a sapien sapien.\r\n\r\nUt velit ante, ultrices vel neque vel, rutrum hendrerit enim. Morbi vel sapien pulvinar, bibendum nisi nec, posuere ligula. Sed lectus augue, porttitor at tristique sed, rhoncus in purus. Quisque luctus massa a volutpat finibus. Morbi vitae lectus et ex ultricies sagittis. Integer quis finibus metus. Morbi convallis dolor molestie, dapibus dolor ut, fermentum metus. Cras accumsan sem ac luctus dictum. Proin cursus massa sit amet ultrices vestibulum.','','full_html'),('node','page',0,60,60,'und',0,'Nullam at nibh venenatis, porttitor lorem sit amet, congue lorem. Nam feugiat lectus sit amet tincidunt sollicitudin. Curabitur condimentum finibus neque quis maximus. Maecenas posuere facilisis lectus, id laoreet tellus euismod sit amet. Maecenas sed lorem quis est rhoncus mollis. Mauris ac mattis metus. Pellentesque vehicula nisl id velit luctus scelerisque. Phasellus elementum vestibulum tristique. Nunc aliquet dolor vitae sapien malesuada ullamcorper. Nulla facilisi.\r\n\r\nSed et lacinia justo. Aenean non ligula laoreet lacus mollis egestas. Fusce ullamcorper tellus ut velit vehicula auctor. Nunc aliquet finibus nisi nec fringilla. Etiam hendrerit sapien a nisi gravida ornare sed nec magna. Phasellus congue sodales suscipit. In eros elit, laoreet id facilisis rutrum, consequat ac ligula. Curabitur aliquam iaculis ante, id vestibulum felis sodales et. Suspendisse metus nulla, sollicitudin vitae odio sed, mattis blandit dolor. Mauris rutrum luctus ipsum et commodo. Maecenas elit nisl, ullamcorper in porttitor vel, viverra in nisi. Cras maximus ullamcorper egestas. Nullam tristique erat in aliquam tincidunt.\r\n\r\nUt ac sem nibh. In non lectus euismod, ullamcorper nulla at, vulputate sapien. Ut tristique elit augue, eget rhoncus risus tincidunt vitae. Pellentesque nec ipsum quis sem tristique luctus. Duis varius congue neque, eget convallis quam varius nec. Nam pellentesque nisl justo, a vulputate urna ullamcorper at. Nullam ultricies cursus eleifend. Integer vestibulum facilisis diam, id volutpat libero. Nulla mollis erat ut dolor faucibus, sit amet fermentum neque cursus.','','full_html'),('node','page',0,61,61,'und',0,'Suspendisse at imperdiet lectus. Proin auctor nisl lectus, at viverra metus sagittis id. Aenean semper turpis sit amet mauris suscipit pellentesque. Ut risus lectus, finibus in arcu consectetur, pellentesque cursus nunc. Fusce sodales aliquam ex eget tempus. Mauris elementum dignissim mi id mattis. Curabitur convallis sem a nunc porttitor, at ullamcorper mi faucibus. Vestibulum molestie a felis ut semper. Ut ut ante odio. Vestibulum laoreet molestie dolor laoreet suscipit. Mauris ultrices sed mi sit amet condimentum. Pellentesque turpis turpis, consectetur quis venenatis nec, consectetur at quam. Donec vulputate nunc lectus.\r\n\r\nAenean non mollis leo. Mauris placerat id mi ac luctus. In sed mi in risus hendrerit scelerisque nec et eros. Suspendisse suscipit ipsum eget blandit dictum. Nulla auctor convallis lectus, et tincidunt elit scelerisque quis. Phasellus ultricies ligula quam, pulvinar posuere eros molestie quis. Nunc tincidunt tortor et nisl aliquet, et pellentesque sem accumsan. Proin vel massa vel neque gravida tempor. Vivamus efficitur turpis augue, eu congue turpis gravida non. Phasellus tempus nulla ante, at ultricies arcu accumsan et. Maecenas lobortis metus id neque dignissim, nec sodales quam rhoncus. In eleifend libero orci, eu gravida lectus mattis ut. Morbi pellentesque diam ante, et laoreet erat sollicitudin pulvinar. Etiam egestas, nibh vitae pulvinar rhoncus, ligula metus dapibus metus, iaculis porta augue lacus sed lacus.\r\n\r\nNunc pulvinar turpis massa, vitae tincidunt magna mattis in. Ut laoreet ex quis sem sodales facilisis. Ut tincidunt ex sed metus laoreet viverra. Suspendisse et aliquam enim. Nullam quis erat quis diam suscipit consectetur a vel tortor. Duis iaculis lobortis enim, eget mollis purus malesuada quis. Proin dignissim feugiat ullamcorper. Curabitur vel mauris bibendum eros auctor vulputate sed at neque. Aenean metus lorem, eleifend vitae sollicitudin eget, consectetur quis felis. Aenean elit eros, tempor et pharetra id, cursus a ex.','','full_html');
/*!40000 ALTER TABLE `field_data_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_comment_body`
--

DROP TABLE IF EXISTS `field_data_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_comment_body`
--

LOCK TABLES `field_data_comment_body` WRITE;
/*!40000 ALTER TABLE `field_data_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_blog',0,1,1,'und',0,'Nulla eget leo in mi vulputate gravida! Aliquam non augue placerat, pulvinar est nec, pellentesque ligula. Morbi placerat turpis nec neque aliquam, eget mattis magna vulputate. Donec lorem dolor, facilisis a sodales sed; facilisis quis neque. Ut sed sem pretium, euismod urna sit amet nullam sodales.\r\n','filtered_html'),('comment','comment_node_blog',0,2,2,'und',0,'Nulla facilisi. Phasellus nisi justo, dictum eu sollicitudin pellentesque, rhoncus sed eros. Praesent at congue enim? Duis pellentesque arcu ut gravida malesuada. Quisque a eros risus. Vivamus ornare laoreet felis, vel tempus arcu tempor vitae. Nullam porttitor est dignissim, iaculis risus volutpat.\r\n','filtered_html'),('comment','comment_node_blog',0,3,3,'und',0,'In at elementum nisl! Mauris eget tempor leo. Integer diam mi, condimentum et libero sed, convallis posuere nisl. In porta, odio id placerat auctor; sem enim venenatis felis, sed vehicula est elit eu metus. Phasellus nisi leo, condimentum ut ipsum non, luctus convallis nisi. Praesent urna cras amet.\r\n','filtered_html'),('comment','comment_node_blog',0,4,4,'und',0,'In ac libero at ipsum faucibus tincidunt. Integer porttitor neque iaculis hendrerit eleifend. In ac congue libero. Nam varius vitae neque eget feugiat. Ut scelerisque fermentum tortor. Vivamus ut urna neque. Nulla mauris ipsum; pharetra quis rutrum convallis, blandit id mauris. Sed tincidunt nullam.\r\n','filtered_html'),('comment','comment_node_blog',0,5,5,'und',0,'Interdum et malesuada fames ac ante ipsum primis in faucibus. Praesent vulputate dui purus, vel pulvinar orci mollis et. Ut suscipit felis eu mattis semper. Integer nec magna eu orci mollis rhoncus at et metus. Donec eget sapien orci. Praesent id tortor sapien. Sed venenatis ipsum id sapien posuere.\r\n','filtered_html');
/*!40000 ALTER TABLE `field_data_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_address`
--

DROP TABLE IF EXISTS `field_data_field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `field_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `field_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `field_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `field_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `field_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `field_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `field_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `field_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `field_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `field_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `field_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `field_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `field_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 49 (field_address)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_address`
--

LOCK TABLES `field_data_field_address` WRITE;
/*!40000 ALTER TABLE `field_data_field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_address` VALUES ('node','properties',0,1,1,'und',0,'US','CA',NULL,'Orange','','92867','638 N Hart St','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,20,20,'und',0,'US','CA',NULL,'Orange','','92869','4900 E Chapman Ave UNIT 22','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,21,21,'und',0,'US','CA',NULL,'Orange','','92869','186 N Quail Ln','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,25,25,'und',0,'US','CA',NULL,'Orange','','92869','5744 E Creekside Ave UNIT 55','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,26,26,'und',0,'US','CA',NULL,'Orange','','92867','692 N Adele St SPC 120','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,27,27,'und',0,'US','CA',NULL,'Orange','','92869','4431 E Silverleaf Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,28,28,'und',0,'US','CA',NULL,'Orange','','92869','160 S Kathleen Ln','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,29,29,'und',0,'US','CA',NULL,'Orange','','92869','550 N Turnberry Dr','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,30,30,'und',0,'US','CA',NULL,'Orange','','92869','632 N Oxford Ct','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,31,31,'und',0,'US','CA',NULL,'Santa Ana','','92705','12334 Circula Panorama','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,34,34,'und',0,'US','CA',NULL,'Orange','','92869','6226 E Cliffway Dr','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,35,35,'und',0,'TR',NULL,NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,36,36,'und',0,'US','CA',NULL,'Orange','','92869','6150 E Allison Cir','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,37,37,'und',0,'TH','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,38,38,'und',0,'TK',NULL,NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,39,39,'und',0,'VI','CA',NULL,'Orange','','92869','5802 E Bottlebrush Dr','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,45,45,'und',0,'US','CA',NULL,'Orange','','92869','4125 E Marmon Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,46,46,'und',0,'US','CA',NULL,'Orange','','92869','18932 E Center Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,47,47,'und',0,'US','CA',NULL,'Orange','','92869','11685 Blackthorn Ln','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,48,48,'und',0,'US','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,49,49,'und',0,'US','CA',NULL,'Orange','','92869','4429 E Justice Cir','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,50,50,'und',0,'US','CA',NULL,'Orange','','92869','11752 S Esplanade St','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,51,51,'und',0,'US','CA',NULL,'Orange','','92869','3831 E Sycamore Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,52,52,'und',0,'US','CA',NULL,'Orange','','92869','4900 E Chapman Ave UNIT 48','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,53,53,'und',0,'US','CA',NULL,'Santa Ana','','92705','12601 Baja Panorama','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,54,54,'und',0,'US','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,55,55,'und',0,'US','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `field_data_field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_bathrooms`
--

DROP TABLE IF EXISTS `field_data_field_bathrooms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_bathrooms` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bathrooms_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bathrooms_tid` (`field_bathrooms_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 6 (field_bathrooms)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_bathrooms`
--

LOCK TABLES `field_data_field_bathrooms` WRITE;
/*!40000 ALTER TABLE `field_data_field_bathrooms` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_bathrooms` VALUES ('node','properties',0,1,1,'und',0,8),('node','properties',0,20,20,'und',0,9),('node','properties',0,21,21,'und',0,9),('node','properties',0,25,25,'und',0,9),('node','properties',0,26,26,'und',0,8),('node','properties',0,27,27,'und',0,9),('node','properties',0,28,28,'und',0,7),('node','properties',0,29,29,'und',0,8),('node','properties',0,30,30,'und',0,8),('node','properties',0,31,31,'und',0,8),('node','properties',0,34,34,'und',0,12),('node','properties',0,35,35,'und',0,9),('node','properties',0,36,36,'und',0,10),('node','properties',0,37,37,'und',0,10),('node','properties',0,38,38,'und',0,10),('node','properties',0,39,39,'und',0,9),('node','properties',0,45,45,'und',0,8),('node','properties',0,46,46,'und',0,7),('node','properties',0,47,47,'und',0,8),('node','properties',0,48,48,'und',0,8),('node','properties',0,49,49,'und',0,9),('node','properties',0,50,50,'und',0,8),('node','properties',0,51,51,'und',0,8),('node','properties',0,52,52,'und',0,8),('node','properties',0,53,53,'und',0,8),('node','properties',0,54,54,'und',0,8),('node','properties',0,55,55,'und',0,8);
/*!40000 ALTER TABLE `field_data_field_bathrooms` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_bedrooms`
--

DROP TABLE IF EXISTS `field_data_field_bedrooms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_bedrooms` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bedrooms_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bedrooms_tid` (`field_bedrooms_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 5 (field_bedrooms)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_bedrooms`
--

LOCK TABLES `field_data_field_bedrooms` WRITE;
/*!40000 ALTER TABLE `field_data_field_bedrooms` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_bedrooms` VALUES ('node','properties',0,1,1,'und',0,19),('node','properties',0,20,20,'und',0,19),('node','properties',0,21,21,'und',0,19),('node','properties',0,25,25,'und',0,19),('node','properties',0,26,26,'und',0,18),('node','properties',0,27,27,'und',0,20),('node','properties',0,28,28,'und',0,18),('node','properties',0,29,29,'und',0,19),('node','properties',0,30,30,'und',0,18),('node','properties',0,31,31,'und',0,20),('node','properties',0,34,34,'und',0,20),('node','properties',0,35,35,'und',0,21),('node','properties',0,36,36,'und',0,18),('node','properties',0,37,37,'und',0,18),('node','properties',0,38,38,'und',0,19),('node','properties',0,39,39,'und',0,18),('node','properties',0,45,45,'und',0,18),('node','properties',0,46,46,'und',0,17),('node','properties',0,47,47,'und',0,20),('node','properties',0,48,48,'und',0,18),('node','properties',0,49,49,'und',0,20),('node','properties',0,50,50,'und',0,19),('node','properties',0,51,51,'und',0,18),('node','properties',0,52,52,'und',0,18),('node','properties',0,53,53,'und',0,19),('node','properties',0,54,54,'und',0,18),('node','properties',0,55,55,'und',0,19);
/*!40000 ALTER TABLE `field_data_field_bedrooms` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_block`
--

DROP TABLE IF EXISTS `field_data_field_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_block` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_block_moddelta` varchar(129) NOT NULL DEFAULT '',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `moddelta` (`field_block_moddelta`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 63 (field_block)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_block`
--

LOCK TABLES `field_data_field_block` WRITE;
/*!40000 ALTER TABLE `field_data_field_block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_block` VALUES ('node','page',0,62,62,'und',0,'quicktabs:property_filter'),('node','page',0,63,63,'und',0,'quicktabs:home_page_2');
/*!40000 ALTER TABLE `field_data_field_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_business_type`
--

DROP TABLE IF EXISTS `field_data_field_business_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_business_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_business_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_business_type_tid` (`field_business_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 15 (field_business_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_business_type`
--

LOCK TABLES `field_data_field_business_type` WRITE;
/*!40000 ALTER TABLE `field_data_field_business_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_business_type` VALUES ('node','properties',0,1,1,'und',0,33),('node','properties',0,20,20,'und',0,34),('node','properties',0,21,21,'und',0,33),('node','properties',0,25,25,'und',0,33),('node','properties',0,26,26,'und',0,34),('node','properties',0,27,27,'und',0,33),('node','properties',0,28,28,'und',0,34),('node','properties',0,29,29,'und',0,34),('node','properties',0,30,30,'und',0,33),('node','properties',0,31,31,'und',0,33),('node','properties',0,34,34,'und',0,34),('node','properties',0,35,35,'und',0,33),('node','properties',0,36,36,'und',0,33),('node','properties',0,37,37,'und',0,33),('node','properties',0,38,38,'und',0,34),('node','properties',0,39,39,'und',0,33),('node','properties',0,45,45,'und',0,34),('node','properties',0,46,46,'und',0,34),('node','properties',0,47,47,'und',0,33),('node','properties',0,48,48,'und',0,34),('node','properties',0,49,49,'und',0,34),('node','properties',0,50,50,'und',0,34),('node','properties',0,51,51,'und',0,33),('node','properties',0,52,52,'und',0,33),('node','properties',0,53,53,'und',0,33),('node','properties',0,54,54,'und',0,34),('node','properties',0,55,55,'und',0,34);
/*!40000 ALTER TABLE `field_data_field_business_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_category`
--

DROP TABLE IF EXISTS `field_data_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 60 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_category`
--

LOCK TABLES `field_data_field_category` WRITE;
/*!40000 ALTER TABLE `field_data_field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_category` VALUES ('node','blog',0,11,11,'und',0,84),('node','blog',0,11,11,'und',1,85),('node','blog',0,11,11,'und',2,87),('node','blog',0,12,12,'und',0,83),('node','blog',0,12,12,'und',1,84),('node','blog',0,12,12,'und',2,85),('node','blog',0,13,13,'und',0,84),('node','blog',0,13,13,'und',1,87),('node','blog',0,13,13,'und',2,82),('node','blog',0,33,33,'und',0,83),('node','blog',0,33,33,'und',1,84),('node','blog',0,33,33,'und',2,85),('node','blog',0,33,33,'und',3,87),('node','blog',0,33,33,'und',4,82),('node','blog',0,33,33,'und',5,86),('node','blog',0,40,40,'und',0,83),('node','blog',0,40,40,'und',1,85),('node','blog',0,40,40,'und',2,87),('node','blog',0,40,40,'und',3,82),('node','blog',0,40,40,'und',4,86);
/*!40000 ALTER TABLE `field_data_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_content`
--

DROP TABLE IF EXISTS `field_data_field_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_content` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_content_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_content_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_content_revision_id` (`field_content_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 56 (field_content)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_content`
--

LOCK TABLES `field_data_field_content` WRITE;
/*!40000 ALTER TABLE `field_data_field_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_content` VALUES ('node','blog',0,11,11,'und',0,7,7),('node','blog',0,11,11,'und',1,8,8),('node','blog',0,11,11,'und',2,9,9),('node','blog',0,12,12,'und',0,4,4),('node','blog',0,12,12,'und',1,5,5),('node','blog',0,12,12,'und',2,6,6),('node','blog',0,13,13,'und',0,1,1),('node','blog',0,13,13,'und',1,2,2),('node','blog',0,13,13,'und',2,3,3),('node','blog',0,33,33,'und',0,10,10),('node','blog',0,33,33,'und',1,11,11),('node','blog',0,33,33,'und',2,12,12),('node','blog',0,40,40,'und',0,13,13),('node','blog',0,40,40,'und',1,14,14),('node','blog',0,40,40,'und',2,15,15);
/*!40000 ALTER TABLE `field_data_field_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_description`
--

DROP TABLE IF EXISTS `field_data_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_summary` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 30 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_description`
--

LOCK TABLES `field_data_field_description` WRITE;
/*!40000 ALTER TABLE `field_data_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_description` VALUES ('bean','who_we_are_block',0,1,2,'und',0,'We have a total of 25+ years combined experience dealing exclusively with New York buyers and sellers. Cras eleifend elit quis iaculis vulputate, mauris congue ornare dolor.','','filtered_html'),('user','user',0,2,2,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi posuere elementum orci, sed volutpat purus vulputate semper! Etiam vitae tincidunt urna. In tincidunt venenatis amet.\r\n','','filtered_html'),('user','user',0,3,3,'und',0,'Pellentesque a felis libero. Ut non elementum risus. Morbi quam dui, pretium fringilla rhoncus et, accumsan vitae eros. Curabitur volutpat ante sapien. Fusce auctor interdum metus.\r\n','','filtered_html'),('user','user',0,4,4,'und',0,'Curabitur et augue malesuada, ullamcorper metus non, mollis purus. Nulla at aliquet dolor, ut fermentum est.\r\n','','filtered_html'),('user','user',0,5,5,'und',0,'Maecenas dictum interdum mi sed lacinia. Vestibulum non sem vel nisl vehicula congue at sed quam. In hac habitasse platea dictumst. In sed augue rhoncus, posuere odio eget posuere.\r\n','','filtered_html');
/*!40000 ALTER TABLE `field_data_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_email`
--

DROP TABLE IF EXISTS `field_data_field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_email` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 23 (field_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_email`
--

LOCK TABLES `field_data_field_email` WRITE;
/*!40000 ALTER TABLE `field_data_field_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_email` VALUES ('user','user',0,2,2,'und',0,'john@real.com'),('user','user',0,3,3,'und',0,'andrew@real.com'),('user','user',0,4,4,'und',0,'mark@real.com'),('user','user',0,5,5,'und',0,'maria@real.com');
/*!40000 ALTER TABLE `field_data_field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_facebook`
--

DROP TABLE IF EXISTS `field_data_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 24 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_facebook`
--

LOCK TABLES `field_data_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_data_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_facebook` VALUES ('user','user',0,1,1,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,2,2,'und',0,'http://facebook.com','Facebook','a:0:{}'),('user','user',0,3,3,'und',0,'http://facebook.com','Facebook','a:0:{}'),('user','user',0,4,4,'und',0,'http://facebook.com','Facebook','a:0:{}'),('user','user',0,5,5,'und',0,'http://facebook.com','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_fax`
--

DROP TABLE IF EXISTS `field_data_field_fax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_fax` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_fax_value` varchar(255) DEFAULT NULL,
  `field_fax_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_fax_format` (`field_fax_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 46 (field_fax)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_fax`
--

LOCK TABLES `field_data_field_fax` WRITE;
/*!40000 ALTER TABLE `field_data_field_fax` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_fax` VALUES ('user','user',0,2,2,'und',0,'0-390-700-8067',NULL),('user','user',0,3,3,'und',0,'0-390-700-8067',NULL),('user','user',0,4,4,'und',0,'0-390-700-8067',NULL),('user','user',0,5,5,'und',0,'0-390-700-8067',NULL);
/*!40000 ALTER TABLE `field_data_field_fax` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_branches`
--

DROP TABLE IF EXISTS `field_data_field_field_branches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_branches` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_branches_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_branches_tid` (`field_field_branches_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 47 (field_field_branches)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_branches`
--

LOCK TABLES `field_data_field_field_branches` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_branches` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_branches` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_categories`
--

DROP TABLE IF EXISTS `field_data_field_field_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_categories_tid` (`field_field_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 59 (field_field_categories)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_categories`
--

LOCK TABLES `field_data_field_field_categories` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_flickr_tags`
--

DROP TABLE IF EXISTS `field_data_field_field_flickr_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_flickr_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_flickr_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_flickr_tags_tid` (`field_field_flickr_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 61 (field_field_flickr_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_flickr_tags`
--

LOCK TABLES `field_data_field_field_flickr_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_flickr_tags` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_flickr_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_occupation`
--

DROP TABLE IF EXISTS `field_data_field_field_occupation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_occupation` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_occupation_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_occupation_tid` (`field_field_occupation_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 42 (field_field_occupation)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_occupation`
--

LOCK TABLES `field_data_field_field_occupation` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_occupation` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_occupation` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_field_property_status`
--

DROP TABLE IF EXISTS `field_data_field_field_property_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_field_property_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_property_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_property_status_tid` (`field_field_property_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 50 (field_field_property_status)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_field_property_status`
--

LOCK TABLES `field_data_field_field_property_status` WRITE;
/*!40000 ALTER TABLE `field_data_field_field_property_status` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_field_property_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_floor`
--

DROP TABLE IF EXISTS `field_data_field_floor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_floor` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_floor_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_floor_tid` (`field_floor_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 16 (field_floor)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_floor`
--

LOCK TABLES `field_data_field_floor` WRITE;
/*!40000 ALTER TABLE `field_data_field_floor` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_floor` VALUES ('node','properties',0,1,1,'und',0,36),('node','properties',0,20,20,'und',0,37),('node','properties',0,21,21,'und',0,36),('node','properties',0,25,25,'und',0,36),('node','properties',0,26,26,'und',0,37),('node','properties',0,27,27,'und',0,37),('node','properties',0,28,28,'und',0,35),('node','properties',0,29,29,'und',0,37),('node','properties',0,30,30,'und',0,35),('node','properties',0,34,34,'und',0,37),('node','properties',0,35,35,'und',0,36),('node','properties',0,36,36,'und',0,36),('node','properties',0,37,37,'und',0,38),('node','properties',0,38,38,'und',0,36),('node','properties',0,39,39,'und',0,37),('node','properties',0,45,45,'und',0,37),('node','properties',0,46,46,'und',0,35),('node','properties',0,48,48,'und',0,37),('node','properties',0,49,49,'und',0,37),('node','properties',0,50,50,'und',0,35),('node','properties',0,51,51,'und',0,36),('node','properties',0,52,52,'und',0,35),('node','properties',0,53,53,'und',0,37),('node','properties',0,54,54,'und',0,36),('node','properties',0,55,55,'und',0,35);
/*!40000 ALTER TABLE `field_data_field_floor` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_floor_area`
--

DROP TABLE IF EXISTS `field_data_field_floor_area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_floor_area` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_floor_area_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 18 (field_floor_area)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_floor_area`
--

LOCK TABLES `field_data_field_floor_area` WRITE;
/*!40000 ALTER TABLE `field_data_field_floor_area` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_floor_area` VALUES ('node','properties',0,1,1,'und',0,150),('node','properties',0,20,20,'und',0,200),('node','properties',0,21,21,'und',0,150),('node','properties',0,25,25,'und',0,150),('node','properties',0,26,26,'und',0,200),('node','properties',0,27,27,'und',0,150),('node','properties',0,28,28,'und',0,120),('node','properties',0,29,29,'und',0,250),('node','properties',0,30,30,'und',0,150),('node','properties',0,31,31,'und',0,250),('node','properties',0,34,34,'und',0,200),('node','properties',0,35,35,'und',0,240),('node','properties',0,36,36,'und',0,180),('node','properties',0,37,37,'und',0,380),('node','properties',0,38,38,'und',0,160),('node','properties',0,39,39,'und',0,120),('node','properties',0,45,45,'und',0,150),('node','properties',0,46,46,'und',0,200),('node','properties',0,47,47,'und',0,250),('node','properties',0,48,48,'und',0,200),('node','properties',0,49,49,'und',0,250),('node','properties',0,50,50,'und',0,150),('node','properties',0,51,51,'und',0,150),('node','properties',0,52,52,'und',0,150),('node','properties',0,53,53,'und',0,200),('node','properties',0,54,54,'und',0,150),('node','properties',0,55,55,'und',0,300);
/*!40000 ALTER TABLE `field_data_field_floor_area` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_full_name`
--

DROP TABLE IF EXISTS `field_data_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 27 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_full_name`
--

LOCK TABLES `field_data_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_data_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_full_name` VALUES ('user','user',0,2,2,'und',0,'John Poe',NULL),('user','user',0,3,3,'und',0,'Andrew White',NULL),('user','user',0,4,4,'und',0,'Mark Joe',NULL),('user','user',0,5,5,'und',0,'Maria Ben',NULL);
/*!40000 ALTER TABLE `field_data_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gallery`
--

DROP TABLE IF EXISTS `field_data_field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gallery` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_fid` (`field_gallery_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 20 (field_gallery)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gallery`
--

LOCK TABLES `field_data_field_gallery` WRITE;
/*!40000 ALTER TABLE `field_data_field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gallery` VALUES ('node','properties',0,1,1,'und',0,98,'','',848,565),('node','properties',0,1,1,'und',1,194,'','',848,564),('node','properties',0,1,1,'und',2,195,'','',848,564),('node','properties',0,1,1,'und',3,196,'','',848,564),('node','blog',0,12,12,'und',0,175,'','',848,565),('node','blog',0,12,12,'und',1,176,'','',848,565),('node','blog',0,12,12,'und',2,177,'','',848,565),('node','page',0,14,14,'und',0,186,'Mauris non ante ante. Nam tincidunt vestibulum tincidunt','Nam tincidunt neque in libero aliquet interdum id malesuada odio',1170,600),('node','page',0,14,14,'und',1,187,'Curabitur cursus sem id sem tincidunt tincidunt','Morbi consequat sed nisl vitae laoreet. Nulla vitae tincidunt leo.',1170,600),('node','page',0,14,14,'und',2,188,'Quisque ac nisl non quam consequat tristique.','Morbi feugiat placerat facilisis. Donec in magna molestie, vehicula diam at.',1170,600),('node','properties',0,20,20,'und',0,122,'','',848,565),('node','properties',0,20,20,'und',1,200,'','',848,564),('node','properties',0,20,20,'und',2,201,'','',848,565),('node','properties',0,20,20,'und',3,202,'','',848,564),('node','properties',0,21,21,'und',0,118,'','',848,565),('node','properties',0,21,21,'und',1,221,'','',848,566),('node','properties',0,21,21,'und',2,222,'','',848,564),('node','properties',0,21,21,'und',3,223,'','',848,564),('node','properties',0,25,25,'und',0,116,'','',848,565),('node','properties',0,25,25,'und',1,218,'','',848,564),('node','properties',0,25,25,'und',2,219,'','',848,569),('node','properties',0,25,25,'und',3,220,'','',848,564),('node','properties',0,26,26,'und',0,93,'','',848,565),('node','properties',0,26,26,'und',1,215,'','',848,564),('node','properties',0,26,26,'und',2,216,'','',848,564),('node','properties',0,26,26,'und',3,217,'','',848,564),('node','properties',0,27,27,'und',0,86,'','',848,565),('node','properties',0,27,27,'und',1,206,'','',848,564),('node','properties',0,27,27,'und',2,207,'','',848,564),('node','properties',0,27,27,'und',3,208,'','',848,564),('node','properties',0,28,28,'und',0,83,'','',848,565),('node','properties',0,28,28,'und',1,203,'','',848,564),('node','properties',0,28,28,'und',2,204,'','',848,564),('node','properties',0,28,28,'und',3,205,'','',848,564),('node','properties',0,29,29,'und',0,76,'','',848,565),('node','properties',0,29,29,'und',1,209,'','',848,569),('node','properties',0,29,29,'und',2,210,'','',848,569),('node','properties',0,29,29,'und',3,211,'','',848,556),('node','properties',0,30,30,'und',0,70,'','',848,565),('node','properties',0,30,30,'und',1,212,'','',848,564),('node','properties',0,30,30,'und',2,213,'','',848,564),('node','properties',0,30,30,'und',3,214,'','',848,565),('node','properties',0,31,31,'und',0,65,'','',848,565),('node','properties',0,31,31,'und',1,239,'','',848,564),('node','properties',0,31,31,'und',2,240,'','',848,564),('node','properties',0,31,31,'und',3,241,'','',848,564),('node','properties',0,34,34,'und',0,127,'','',848,565),('node','properties',0,34,34,'und',1,224,'','',848,569),('node','properties',0,34,34,'und',2,225,'','',848,569),('node','properties',0,34,34,'und',3,226,'','',848,564),('node','properties',0,35,35,'und',0,132,'','',848,565),('node','properties',0,35,35,'und',1,227,'','',848,564),('node','properties',0,35,35,'und',2,228,'','',848,569),('node','properties',0,35,35,'und',3,229,'','',848,564),('node','properties',0,36,36,'und',0,141,'','',848,565),('node','properties',0,36,36,'und',1,230,'','',848,565),('node','properties',0,36,36,'und',2,231,'','',848,569),('node','properties',0,36,36,'und',3,232,'','',848,564),('node','properties',0,37,37,'und',0,143,'','',848,565),('node','properties',0,37,37,'und',1,233,'','',848,564),('node','properties',0,37,37,'und',2,234,'','',848,564),('node','properties',0,37,37,'und',3,235,'','',848,569),('node','properties',0,38,38,'und',0,147,'','',848,565),('node','properties',0,38,38,'und',1,236,'','',848,565),('node','properties',0,38,38,'und',2,237,'','',848,564),('node','properties',0,38,38,'und',3,238,'','',848,569),('node','properties',0,39,39,'und',0,156,'','',848,565),('node','properties',0,39,39,'und',1,192,'','',848,565),('node','properties',0,39,39,'und',2,193,'','',848,564),('node','properties',0,39,39,'und',3,242,'','',848,564),('node','properties',0,39,39,'und',4,243,'','',848,569),('node','properties',0,45,45,'und',0,245,'','',848,564),('node','properties',0,45,45,'und',1,246,'','',848,569),('node','properties',0,45,45,'und',2,247,'','',848,564),('node','properties',0,45,45,'und',3,248,'','',848,564),('node','properties',0,46,46,'und',0,250,'','',848,569),('node','properties',0,46,46,'und',1,251,'','',848,565),('node','properties',0,46,46,'und',2,252,'','',848,564),('node','properties',0,46,46,'und',3,253,'','',848,569),('node','properties',0,47,47,'und',0,255,'','',848,565),('node','properties',0,47,47,'und',1,256,'','',848,565),('node','properties',0,47,47,'und',2,257,'','',848,564),('node','properties',0,47,47,'und',3,258,'','',848,569),('node','properties',0,48,48,'und',0,260,'','',848,564),('node','properties',0,48,48,'und',1,261,'','',848,564),('node','properties',0,48,48,'und',2,262,'','',848,564),('node','properties',0,48,48,'und',3,263,'','',848,564),('node','properties',0,49,49,'und',0,265,'','',848,564),('node','properties',0,49,49,'und',1,266,'','',848,564),('node','properties',0,49,49,'und',2,267,'','',848,564),('node','properties',0,49,49,'und',3,268,'','',848,569),('node','properties',0,50,50,'und',0,276,'','',848,566),('node','properties',0,50,50,'und',1,272,'','',848,564),('node','properties',0,50,50,'und',2,273,'','',848,565),('node','properties',0,50,50,'und',3,274,'','',848,566),('node','properties',0,51,51,'und',0,278,'','',848,564),('node','properties',0,51,51,'und',1,280,'','',848,566),('node','properties',0,51,51,'und',2,281,'','',848,564),('node','properties',0,51,51,'und',3,282,'','',848,564),('node','properties',0,52,52,'und',0,284,'','',848,571),('node','properties',0,52,52,'und',1,285,'','',848,566),('node','properties',0,52,52,'und',2,286,'','',848,564),('node','properties',0,52,52,'und',3,287,'','',848,566),('node','properties',0,52,52,'und',4,288,'','',848,564),('node','properties',0,53,53,'und',0,290,'','',848,565),('node','properties',0,53,53,'und',1,291,'','',848,564),('node','properties',0,53,53,'und',2,292,'','',848,565),('node','properties',0,53,53,'und',3,293,'','',848,564),('node','properties',0,54,54,'und',0,295,'','',848,567),('node','properties',0,54,54,'und',1,296,'','',848,566),('node','properties',0,54,54,'und',2,297,'','',848,569),('node','properties',0,54,54,'und',3,298,'','',848,564),('node','properties',0,54,54,'und',4,299,'','',848,564),('node','properties',0,55,55,'und',0,301,'','',848,568),('node','properties',0,55,55,'und',1,302,'','',848,564),('node','properties',0,55,55,'und',2,303,'','',848,566),('node','properties',0,55,55,'und',3,304,'','',848,569),('node','properties',0,55,55,'und',4,305,'','',848,566);
/*!40000 ALTER TABLE `field_data_field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_garage`
--

DROP TABLE IF EXISTS `field_data_field_garage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_garage` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_garage_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_garage_tid` (`field_garage_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 9 (field_garage)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_garage`
--

LOCK TABLES `field_data_field_garage` WRITE;
/*!40000 ALTER TABLE `field_data_field_garage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_garage` VALUES ('node','properties',0,1,1,'und',0,26),('node','properties',0,20,20,'und',0,27),('node','properties',0,21,21,'und',0,27),('node','properties',0,25,25,'und',0,27),('node','properties',0,26,26,'und',0,26),('node','properties',0,27,27,'und',0,26),('node','properties',0,29,29,'und',0,26),('node','properties',0,30,30,'und',0,26),('node','properties',0,31,31,'und',0,26),('node','properties',0,34,34,'und',0,27),('node','properties',0,35,35,'und',0,26),('node','properties',0,36,36,'und',0,27),('node','properties',0,37,37,'und',0,27),('node','properties',0,38,38,'und',0,26),('node','properties',0,39,39,'und',0,26),('node','properties',0,45,45,'und',0,26),('node','properties',0,46,46,'und',0,26),('node','properties',0,48,48,'und',0,27),('node','properties',0,49,49,'und',0,26),('node','properties',0,50,50,'und',0,26),('node','properties',0,51,51,'und',0,26),('node','properties',0,52,52,'und',0,26),('node','properties',0,53,53,'und',0,26),('node','properties',0,54,54,'und',0,26),('node','properties',0,55,55,'und',0,26);
/*!40000 ALTER TABLE `field_data_field_garage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gender`
--

DROP TABLE IF EXISTS `field_data_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gender_tid` (`field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 28 (field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gender`
--

LOCK TABLES `field_data_field_gender` WRITE;
/*!40000 ALTER TABLE `field_data_field_gender` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gender` VALUES ('user','user',0,2,2,'und',0,63),('user','user',0,3,3,'und',0,64),('user','user',0,4,4,'und',0,63),('user','user',0,5,5,'und',0,64);
/*!40000 ALTER TABLE `field_data_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_geo`
--

DROP TABLE IF EXISTS `field_data_field_geo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_geo` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_geo_geom` longblob,
  `field_geo_geo_type` varchar(64) DEFAULT '',
  `field_geo_lat` decimal(18,12) DEFAULT NULL,
  `field_geo_lon` decimal(18,12) DEFAULT NULL,
  `field_geo_left` decimal(18,12) DEFAULT NULL,
  `field_geo_top` decimal(18,12) DEFAULT NULL,
  `field_geo_right` decimal(18,12) DEFAULT NULL,
  `field_geo_bottom` decimal(18,12) DEFAULT NULL,
  `field_geo_geohash` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_geo_lat` (`field_geo_lat`),
  KEY `field_geo_lon` (`field_geo_lon`),
  KEY `field_geo_top` (`field_geo_top`),
  KEY `field_geo_bottom` (`field_geo_bottom`),
  KEY `field_geo_left` (`field_geo_left`),
  KEY `field_geo_right` (`field_geo_right`),
  KEY `field_geo_geohash` (`field_geo_geohash`),
  KEY `field_geo_centroid` (`field_geo_lat`,`field_geo_lon`),
  KEY `field_geo_bbox` (`field_geo_top`,`field_geo_bottom`,`field_geo_left`,`field_geo_right`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 65 (field_geo)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_geo`
--

LOCK TABLES `field_data_field_geo` WRITE;
/*!40000 ALTER TABLE `field_data_field_geo` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_geo` VALUES ('node','properties',0,1,1,'und',0,'\0\0\0t]YQi@@','point',33.797620000000,-117.824635000000,-117.824635000000,33.797620000000,-117.824635000000,33.797620000000,'9qh0qbdtrj02'),('node','properties',0,20,20,'und',0,'\0\0\04IbIs]7Ou@@','point',33.787530000000,-117.801354000000,-117.801354000000,33.787530000000,-117.801354000000,33.787530000000,'9qh0pqgdtkpg'),('node','properties',0,21,21,'und',0,'\0\0\0ŭr]M@@','point',33.789264000000,-117.795416000000,-117.795416000000,33.789264000000,-117.795416000000,33.789264000000,'9qh0prpuxz7d'),('node','properties',0,25,25,'und',0,'\0\0\0Xlr]x#@@','point',33.790145000000,-117.792811400000,-117.792811400000,33.790145000000,-117.792811400000,33.790145000000,'9qh0px3cue9f2'),('node','properties',0,26,26,'und',0,'\0\0\0E`Տt]!`5@@','point',33.798518500000,-117.821278900000,-117.821278900000,33.798518500000,-117.821278900000,33.798518500000,'9qh0qbv4thwb5'),('node','properties',0,27,27,'und',0,'\0\0\0G7¢s]!@@','point',33.793844000000,-117.806809000000,-117.806809000000,33.793844000000,-117.806809000000,33.793844000000,'9qh0ppzxqmh7'),('node','properties',0,28,28,'und',0,'\0\0\0b[>t]镲@@','point',33.786700000000,-117.821426000000,-117.821426000000,33.786700000000,-117.821426000000,33.786700000000,'9qh0nytjcc3h'),('node','properties',0,29,29,'und',0,'\0\0\0#GGt])@@','point',33.796470900000,-117.816840000000,-117.816840000000,33.796470900000,-117.816840000000,33.796470900000,'9qh0r02qswuc8'),('node','properties',0,30,30,'und',0,'\0\0\0T2t]t}@@','point',33.797426000000,-117.815609000000,-117.815609000000,33.797426000000,-117.815609000000,33.797426000000,'9qh0r09k32fe'),('node','properties',0,31,31,'und',0,'\0\0\0Rd=s]Wj1x@@','point',33.784918000000,-117.800622000000,-117.800622000000,33.784918000000,-117.800622000000,33.784918000000,'9qh0pqk5qt1v'),('node','properties',0,34,34,'und',0,'\0\0\0mspr]0u@@','point',33.795776800000,-117.788123000000,-117.788123000000,33.795776800000,-117.788123000000,33.795776800000,'9qh0r8m69v3tn'),('node','properties',0,36,36,'und',0,'\0\0\0Jcr]\"J@@','point',33.783535000000,-117.787297000000,-117.787297000000,33.783535000000,-117.787297000000,33.783535000000,'9qh0pwjgm53s'),('node','properties',0,39,39,'und',0,'\0\0\0Yer]e@@','point',33.793946000000,-117.791406000000,-117.791406000000,33.793946000000,-117.791406000000,33.793946000000,'9qh0r84bj21s'),('node','properties',0,45,45,'und',0,'\0\0\0nKs]~@@','point',33.785120000000,-117.808641800000,-117.808641800000,33.785120000000,-117.808641800000,33.785120000000,'9qh0pnqkedvfb'),('node','properties',0,46,46,'und',0,'\0\0\0N\\Ws]ŠB@@','point',33.789284000000,-117.802219000000,-117.802219000000,33.789284000000,-117.802219000000,33.789284000000,'9qh0pr5hc74f'),('node','properties',0,47,47,'und',0,'\0\0\0%Ps]g@@','point',33.792224000000,-117.801765000000,-117.801765000000,33.792224000000,-117.801765000000,33.792224000000,'9qh0premgzj7'),('node','properties',0,49,49,'und',0,'\0\0\06os]]B@@','point',33.783285900000,-117.806423000000,-117.806423000000,33.783285900000,-117.806423000000,33.783285900000,'9qh0pnpczkunp'),('node','properties',0,50,50,'und',0,'\0\0\0	\"hs][{B@@','point',33.791097000000,-117.809351000000,-117.809351000000,33.791097000000,-117.809351000000,33.791097000000,'9qh0ppmz7jhc'),('node','properties',0,51,51,'und',0,'\0\0\0f+/s];@@','point',33.793159000000,-117.812084000000,-117.812084000000,33.793159000000,-117.812084000000,33.793159000000,'9qh0ppgg7mrj'),('node','properties',0,52,52,'und',0,'\0\0\04IbIs]7Ou@@','point',33.787530000000,-117.801354000000,-117.801354000000,33.787530000000,-117.801354000000,33.787530000000,'9qh0pqgdtkpg'),('node','properties',0,53,53,'und',0,'\0\0\0Vdt@s]@@','point',33.780290000000,-117.797989000000,-117.797989000000,33.780290000000,-117.797989000000,33.780290000000,'9qh0pmw07ymn');
/*!40000 ALTER TABLE `field_data_field_geo` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gplus`
--

DROP TABLE IF EXISTS `field_data_field_gplus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gplus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gplus_url` varchar(2048) DEFAULT NULL,
  `field_gplus_title` varchar(255) DEFAULT NULL,
  `field_gplus_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 26 (field_gplus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gplus`
--

LOCK TABLES `field_data_field_gplus` WRITE;
/*!40000 ALTER TABLE `field_data_field_gplus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gplus` VALUES ('user','user',0,1,1,'und',0,'https://plus.google.com/weebpal','Gplus','a:0:{}'),('user','user',0,2,2,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,3,3,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,4,4,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,5,5,'und',0,'https://plus.google.com/','Gplus','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_gplus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_icon`
--

DROP TABLE IF EXISTS `field_data_field_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_icon` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_icon_bundle` varchar(64) DEFAULT NULL,
  `field_icon_icon` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 62 (field_icon)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_icon`
--

LOCK TABLES `field_data_field_icon` WRITE;
/*!40000 ALTER TABLE `field_data_field_icon` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_icon` VALUES ('node','services',0,41,41,'und',0,'fontawesome','info-circle'),('node','services',0,42,42,'und',0,'fontawesome','home'),('node','services',0,43,43,'und',0,'fontawesome','cogs');
/*!40000 ALTER TABLE `field_data_field_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_image`
--

DROP TABLE IF EXISTS `field_data_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_image`
--

LOCK TABLES `field_data_field_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_image` VALUES ('bean','who_we_are_block',0,1,2,'und',0,130,'','',848,565),('field_collection_item','field_content',0,1,1,'und',0,307,'','',848,564),('field_collection_item','field_content',0,2,2,'und',0,308,'','',848,568),('field_collection_item','field_content',0,3,3,'und',0,309,'','',848,564),('field_collection_item','field_content',0,4,4,'und',0,172,'','',848,565),('field_collection_item','field_content',0,5,5,'und',0,173,'','',848,565),('field_collection_item','field_content',0,6,6,'und',0,174,'','',848,565),('field_collection_item','field_content',0,7,7,'und',0,169,'','',848,565),('field_collection_item','field_content',0,8,8,'und',0,170,'','',848,565),('field_collection_item','field_content',0,9,9,'und',0,53,'','',848,565),('field_collection_item','field_content',0,10,10,'und',0,166,'','',848,565),('field_collection_item','field_content',0,11,11,'und',0,167,'','',848,565),('field_collection_item','field_content',0,12,12,'und',0,168,'','',848,565),('field_collection_item','field_content',0,13,13,'und',0,178,'','',848,565),('field_collection_item','field_content',0,14,14,'und',0,179,'','',848,565),('field_collection_item','field_content',0,15,15,'und',0,180,'','',848,565),('node','properties',0,1,1,'und',0,97,'','',848,565),('node','blog',0,13,13,'und',0,41,'','',1170,780),('node','properties',0,20,20,'und',0,121,'','',848,565),('node','properties',0,21,21,'und',0,117,'','',848,565),('node','properties',0,25,25,'und',0,115,'','',848,565),('node','properties',0,26,26,'und',0,92,'','',848,565),('node','properties',0,27,27,'und',0,85,'','',848,565),('node','properties',0,28,28,'und',0,82,'','',848,565),('node','properties',0,29,29,'und',0,75,'','',848,565),('node','properties',0,30,30,'und',0,69,'','',848,565),('node','properties',0,31,31,'und',0,64,'','',848,565),('node','properties',0,34,34,'und',0,126,'','',848,565),('node','properties',0,35,35,'und',0,131,'','',848,565),('node','properties',0,36,36,'und',0,140,'','',848,565),('node','properties',0,37,37,'und',0,142,'','',848,565),('node','properties',0,38,38,'und',0,146,'','',848,565),('node','properties',0,39,39,'und',0,154,'','',848,565),('node','blog',0,40,40,'und',0,181,'','',848,565),('node','properties',0,45,45,'und',0,244,'','',848,564),('node','properties',0,46,46,'und',0,249,'','',848,569),('node','properties',0,47,47,'und',0,254,'','',848,565),('node','properties',0,48,48,'und',0,259,'','',848,564),('node','properties',0,49,49,'und',0,264,'','',848,564),('node','properties',0,50,50,'und',0,275,'','',848,566),('node','properties',0,51,51,'und',0,277,'','',848,564),('node','properties',0,52,52,'und',0,283,'','',848,571),('node','properties',0,53,53,'und',0,289,'','',848,565),('node','properties',0,54,54,'und',0,294,'','',848,567),('node','properties',0,55,55,'und',0,300,'','',848,568);
/*!40000 ALTER TABLE `field_data_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_link`
--

DROP TABLE IF EXISTS `field_data_field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_link` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_url` varchar(2048) DEFAULT NULL,
  `field_link_title` varchar(255) DEFAULT NULL,
  `field_link_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 41 (field_link)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_link`
--

LOCK TABLES `field_data_field_link` WRITE;
/*!40000 ALTER TABLE `field_data_field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_link` VALUES ('bean','who_we_are_block',0,1,2,'und',0,'about-us','Read more','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_location`
--

DROP TABLE IF EXISTS `field_data_field_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_location` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_location_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_location_tid` (`field_location_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 7 (field_location)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_location`
--

LOCK TABLES `field_data_field_location` WRITE;
/*!40000 ALTER TABLE `field_data_field_location` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_location` VALUES ('node','properties',0,1,1,'und',0,3),('node','properties',0,20,20,'und',0,3),('node','properties',0,21,21,'und',0,6),('node','properties',0,26,26,'und',0,5),('node','properties',0,27,27,'und',0,3),('node','properties',0,28,28,'und',0,5),('node','properties',0,29,29,'und',0,4),('node','properties',0,30,30,'und',0,2),('node','properties',0,31,31,'und',0,5),('node','properties',0,34,34,'und',0,6),('node','properties',0,35,35,'und',0,6),('node','properties',0,36,36,'und',0,3),('node','properties',0,37,37,'und',0,5),('node','properties',0,38,38,'und',0,3),('node','properties',0,39,39,'und',0,4),('node','properties',0,45,45,'und',0,3),('node','properties',0,46,46,'und',0,6),('node','properties',0,47,47,'und',0,2),('node','properties',0,48,48,'und',0,5),('node','properties',0,49,49,'und',0,6),('node','properties',0,50,50,'und',0,1),('node','properties',0,51,51,'und',0,1),('node','properties',0,52,52,'und',0,1),('node','properties',0,53,53,'und',0,1),('node','properties',0,54,54,'und',0,1),('node','properties',0,55,55,'und',0,4);
/*!40000 ALTER TABLE `field_data_field_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_lot_area`
--

DROP TABLE IF EXISTS `field_data_field_lot_area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_lot_area` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_lot_area_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 17 (field_lot_area)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_lot_area`
--

LOCK TABLES `field_data_field_lot_area` WRITE;
/*!40000 ALTER TABLE `field_data_field_lot_area` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_lot_area` VALUES ('node','properties',0,1,1,'und',0,100),('node','properties',0,20,20,'und',0,300),('node','properties',0,21,21,'und',0,250),('node','properties',0,25,25,'und',0,200),('node','properties',0,26,26,'und',0,200),('node','properties',0,27,27,'und',0,200),('node','properties',0,28,28,'und',0,150),('node','properties',0,29,29,'und',0,300),('node','properties',0,30,30,'und',0,200),('node','properties',0,31,31,'und',0,300),('node','properties',0,34,34,'und',0,120),('node','properties',0,35,35,'und',0,180),('node','properties',0,36,36,'und',0,140),('node','properties',0,37,37,'und',0,320),('node','properties',0,38,38,'und',0,120),('node','properties',0,39,39,'und',0,90),('node','properties',0,45,45,'und',0,200),('node','properties',0,46,46,'und',0,250),('node','properties',0,47,47,'und',0,300),('node','properties',0,48,48,'und',0,300),('node','properties',0,49,49,'und',0,300),('node','properties',0,50,50,'und',0,300),('node','properties',0,51,51,'und',0,300),('node','properties',0,52,52,'und',0,200),('node','properties',0,53,53,'und',0,300),('node','properties',0,54,54,'und',0,300),('node','properties',0,55,55,'und',0,400);
/*!40000 ALTER TABLE `field_data_field_lot_area` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_mobile`
--

DROP TABLE IF EXISTS `field_data_field_mobile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_mobile` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mobile_value` varchar(255) DEFAULT NULL,
  `field_mobile_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_mobile_format` (`field_mobile_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 45 (field_mobile)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_mobile`
--

LOCK TABLES `field_data_field_mobile` WRITE;
/*!40000 ALTER TABLE `field_data_field_mobile` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_mobile` VALUES ('user','user',0,2,2,'und',0,'0-390-700-8067',NULL),('user','user',0,3,3,'und',0,'0-390-700-8067',NULL),('user','user',0,4,4,'und',0,'0-390-700-8067',NULL),('user','user',0,5,5,'und',0,'0-390-700-8067',NULL);
/*!40000 ALTER TABLE `field_data_field_mobile` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_occupation`
--

DROP TABLE IF EXISTS `field_data_field_occupation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_occupation` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_occupation_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_occupation_tid` (`field_occupation_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 44 (field_occupation)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_occupation`
--

LOCK TABLES `field_data_field_occupation` WRITE;
/*!40000 ALTER TABLE `field_data_field_occupation` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_occupation` VALUES ('user','user',0,2,2,'und',0,72),('user','user',0,3,3,'und',0,71),('user','user',0,4,4,'und',0,70),('user','user',0,5,5,'und',0,69);
/*!40000 ALTER TABLE `field_data_field_occupation` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_office`
--

DROP TABLE IF EXISTS `field_data_field_office`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_office` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_office_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_office_tid` (`field_office_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 48 (field_office)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_office`
--

LOCK TABLES `field_data_field_office` WRITE;
/*!40000 ALTER TABLE `field_data_field_office` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_office` VALUES ('user','user',0,2,2,'und',0,73),('user','user',0,3,3,'und',0,75),('user','user',0,4,4,'und',0,73),('user','user',0,5,5,'und',0,73);
/*!40000 ALTER TABLE `field_data_field_office` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_phone`
--

DROP TABLE IF EXISTS `field_data_field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_phone` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) DEFAULT NULL,
  `field_phone_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_phone_format` (`field_phone_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 21 (field_phone)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_phone`
--

LOCK TABLES `field_data_field_phone` WRITE;
/*!40000 ALTER TABLE `field_data_field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_phone` VALUES ('user','user',0,2,2,'und',0,'0-390-700-8067',NULL),('user','user',0,3,3,'und',0,'0-390-700-8067',NULL),('user','user',0,4,4,'und',0,'0-390-700-8067',NULL),('user','user',0,5,5,'und',0,'0-390-700-8067',NULL);
/*!40000 ALTER TABLE `field_data_field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_position`
--

DROP TABLE IF EXISTS `field_data_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_tid` (`field_position_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 29 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_position`
--

LOCK TABLES `field_data_field_position` WRITE;
/*!40000 ALTER TABLE `field_data_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_position` VALUES ('user','user',0,2,2,'und',0,65),('user','user',0,3,3,'und',0,68),('user','user',0,4,4,'und',0,67),('user','user',0,5,5,'und',0,66);
/*!40000 ALTER TABLE `field_data_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_price`
--

DROP TABLE IF EXISTS `field_data_field_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_price_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 11 (field_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_price`
--

LOCK TABLES `field_data_field_price` WRITE;
/*!40000 ALTER TABLE `field_data_field_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_price` VALUES ('node','properties',0,1,1,'und',0,12345),('node','properties',0,20,20,'und',0,370000),('node','properties',0,21,21,'und',0,250000),('node','properties',0,25,25,'und',0,203000),('node','properties',0,26,26,'und',0,802500),('node','properties',0,27,27,'und',0,150000),('node','properties',0,28,28,'und',0,34000),('node','properties',0,29,29,'und',0,190000),('node','properties',0,30,30,'und',0,130000),('node','properties',0,31,31,'und',0,200000),('node','properties',0,34,34,'und',0,30000),('node','properties',0,35,35,'und',0,45000),('node','properties',0,36,36,'und',0,56000),('node','properties',0,37,37,'und',0,25000),('node','properties',0,38,38,'und',0,2000),('node','properties',0,39,39,'und',0,25000),('node','properties',0,45,45,'und',0,233600),('node','properties',0,46,46,'und',0,233600),('node','properties',0,47,47,'und',0,643330),('node','properties',0,48,48,'und',0,233600),('node','properties',0,49,49,'und',0,230000),('node','properties',0,50,50,'und',0,30800),('node','properties',0,51,51,'und',0,643330),('node','properties',0,52,52,'und',0,230000),('node','properties',0,53,53,'und',0,233600),('node','properties',0,54,54,'und',0,233600),('node','properties',0,55,55,'und',0,30800);
/*!40000 ALTER TABLE `field_data_field_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_property_status`
--

DROP TABLE IF EXISTS `field_data_field_property_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_property_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_property_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_property_status_tid` (`field_property_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 51 (field_property_status)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_property_status`
--

LOCK TABLES `field_data_field_property_status` WRITE;
/*!40000 ALTER TABLE `field_data_field_property_status` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_property_status` VALUES ('node','properties',0,1,1,'und',0,79),('node','properties',0,20,20,'und',0,78),('node','properties',0,21,21,'und',0,78),('node','properties',0,25,25,'und',0,76),('node','properties',0,26,26,'und',0,79),('node','properties',0,27,27,'und',0,79),('node','properties',0,28,28,'und',0,80),('node','properties',0,29,29,'und',0,76),('node','properties',0,30,30,'und',0,76),('node','properties',0,31,31,'und',0,76),('node','properties',0,34,34,'und',0,79),('node','properties',0,35,35,'und',0,78),('node','properties',0,36,36,'und',0,79),('node','properties',0,37,37,'und',0,76),('node','properties',0,38,38,'und',0,79),('node','properties',0,39,39,'und',0,80),('node','properties',0,45,45,'und',0,78),('node','properties',0,46,46,'und',0,79),('node','properties',0,47,47,'und',0,79),('node','properties',0,48,48,'und',0,77),('node','properties',0,49,49,'und',0,77),('node','properties',0,50,50,'und',0,76),('node','properties',0,51,51,'und',0,76),('node','properties',0,52,52,'und',0,81),('node','properties',0,53,53,'und',0,79),('node','properties',0,54,54,'und',0,80),('node','properties',0,55,55,'und',0,81);
/*!40000 ALTER TABLE `field_data_field_property_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_property_type`
--

DROP TABLE IF EXISTS `field_data_field_property_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_property_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_property_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_property_type_tid` (`field_property_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 8 (field_property_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_property_type`
--

LOCK TABLES `field_data_field_property_type` WRITE;
/*!40000 ALTER TABLE `field_data_field_property_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_property_type` VALUES ('node','properties',0,1,1,'und',0,32),('node','properties',0,20,20,'und',0,31),('node','properties',0,21,21,'und',0,30),('node','properties',0,25,25,'und',0,30),('node','properties',0,26,26,'und',0,32),('node','properties',0,27,27,'und',0,30),('node','properties',0,28,28,'und',0,32),('node','properties',0,29,29,'und',0,32),('node','properties',0,30,30,'und',0,32),('node','properties',0,31,31,'und',0,32),('node','properties',0,34,34,'und',0,32),('node','properties',0,35,35,'und',0,31),('node','properties',0,36,36,'und',0,30),('node','properties',0,37,37,'und',0,31),('node','properties',0,38,38,'und',0,32),('node','properties',0,39,39,'und',0,30),('node','properties',0,45,45,'und',0,32),('node','properties',0,46,46,'und',0,30),('node','properties',0,47,47,'und',0,30),('node','properties',0,48,48,'und',0,30),('node','properties',0,49,49,'und',0,30),('node','properties',0,50,50,'und',0,31),('node','properties',0,51,51,'und',0,31),('node','properties',0,52,52,'und',0,31),('node','properties',0,53,53,'und',0,31),('node','properties',0,54,54,'und',0,31),('node','properties',0,55,55,'und',0,31);
/*!40000 ALTER TABLE `field_data_field_property_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_simplenews_term`
--

DROP TABLE IF EXISTS `field_data_field_simplenews_term`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_simplenews_term` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_simplenews_term_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_simplenews_term_tid` (`field_simplenews_term_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 64 (field_simplenews_term)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_simplenews_term`
--

LOCK TABLES `field_data_field_simplenews_term` WRITE;
/*!40000 ALTER TABLE `field_data_field_simplenews_term` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_data_field_simplenews_term` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_slideshow`
--

DROP TABLE IF EXISTS `field_data_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 19 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_slideshow`
--

LOCK TABLES `field_data_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_data_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_slideshow` VALUES ('node','properties',0,1,1,'und',0,191,'','',1600,600),('node','properties',0,20,20,'und',0,190,'','',1600,600),('node','properties',0,31,31,'und',0,189,'','',1600,600);
/*!40000 ALTER TABLE `field_data_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_tags`
--

DROP TABLE IF EXISTS `field_data_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tags`
--

LOCK TABLES `field_data_field_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_tags` VALUES ('node','blog',0,13,13,'und',0,88),('node','blog',0,13,13,'und',1,89),('node','blog',0,13,13,'und',2,90),('node','blog',0,13,13,'und',3,91),('node','blog',0,13,13,'und',4,92),('node','blog',0,13,13,'und',5,93),('node','blog',0,13,13,'und',6,97),('node','blog',0,13,13,'und',7,98),('node','blog',0,13,13,'und',8,95),('node','blog',0,13,13,'und',9,96);
/*!40000 ALTER TABLE `field_data_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_text`
--

DROP TABLE IF EXISTS `field_data_field_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_text_value` longtext,
  `field_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_text_format` (`field_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 58 (field_text)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_text`
--

LOCK TABLES `field_data_field_text` WRITE;
/*!40000 ALTER TABLE `field_data_field_text` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_text` VALUES ('field_collection_item','field_content',0,1,1,'und',0,'Quisque a tincidunt eros. Sed at porta nisi, nec elementum dui. Vivamus aliquet risus nec lorem tempus vehicula. Quisque quis quam quis metus facilisis porta. In tincidunt tristique metus vel sodales. Maecenas semper vulputate dapibus. Aliquam eu arcu nec massa ornare lobortis. Nulla ac turpis duis.\r\n',NULL),('field_collection_item','field_content',0,2,2,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.\r\n',NULL),('field_collection_item','field_content',0,3,3,'und',0,'Nulla congue tortor id vestibulum molestie. Nulla at erat vitae purus lobortis sodales ut vel tellus. Donec venenatis pellentesque odio, sed auctor mauris fermentum vitae. Cras odio dui, ultricies vitae convallis ac, auctor a massa. Integer molestie posuere risus sed sollicitudin? Curabitur posuere.\r\n',NULL),('field_collection_item','field_content',0,4,4,'und',0,'Maecenas placerat, orci eu facilisis cursus, nulla lacus bibendum magna, id lobortis augue ipsum ut erat. Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec gravida odio et rhoncus fringilla. Phasellus eleifend metus a massa tristique ultricies. Suspendisse potenti. Fusce cras amet.\r\n',NULL),('field_collection_item','field_content',0,5,5,'und',0,'Proin iaculis quis lacus at gravida. In molestie ligula sapien, sit amet congue tortor tempus vitae! Donec eu tincidunt lorem, vitae porttitor risus. Praesent ut vulputate velit. Nam tempor cursus sapien non porta. Nullam a quam sit amet ipsum feugiat vehicula. Nulla porta felis ac mi accumsan amet.\r\n',NULL),('field_collection_item','field_content',0,6,6,'und',0,'Morbi semper lectus non tortor pulvinar egestas. Maecenas vulputate dolor ac ipsum mattis; tincidunt placerat diam ullamcorper. Duis in convallis lorem. Nullam ut laoreet enim. Pellentesque sed egestas nibh? Mauris vel varius augue, at ultricies nunc. Mauris tortor sapien, volutpat vitae semper sed.\r\n',NULL),('field_collection_item','field_content',0,7,7,'und',0,'Fusce ornare augue id enim rhoncus vulputate. Vivamus nec ligula nulla. Curabitur vitae dapibus urna, vitae sagittis ante. Donec bibendum leo eu lorem convallis, sit amet cursus lectus malesuada. Nullam interdum gravida commodo. Curabitur eu mollis erat. Donec ante neque, vehicula eget neque nullam.\r\n',NULL),('field_collection_item','field_content',0,8,8,'und',0,'Etiam laoreet arcu et est vehicula, id iaculis elit laoreet. Phasellus tincidunt scelerisque porta? Nulla quis sapien est. Duis posuere tellus at nisi aliquam, a imperdiet sem laoreet. Vivamus ac eros nunc. Donec non metus ut enim pharetra feugiat et tempus elit. Morbi eget adipiscing risus posuere.\r\n',NULL),('field_collection_item','field_content',0,9,9,'und',0,'Etiam semper felis sed porta laoreet. Phasellus mollis pretium ante, id dignissim tortor ornare in. Etiam facilisis egestas felis in malesuada! Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean a enim nisl. Suspendisse id imperdiet lectus. Maecenas ut neque mattis, egestas nunc nullam.\r\n',NULL),('field_collection_item','field_content',0,10,10,'und',0,'Nulla quis blandit nisi, ut pulvinar quam. Pellentesque aliquet nunc rhoncus pretium sodales. Fusce sollicitudin sem diam, eget tempor enim rhoncus nec. Sed a luctus leo. Fusce sollicitudin ac ligula rhoncus malesuada. Aliquam placerat urna vehicula nunc auctor consectetur. Proin mattis neque metus.\r\n',NULL),('field_collection_item','field_content',0,11,11,'und',0,'Morbi vehicula, augue ut tincidunt facilisis, dolor nunc commodo massa, et varius purus justo ac velit. Morbi sodales urna at facilisis commodo. Integer laoreet; ligula nec dignissim dignissim, orci ante rhoncus arcu, eu tristique lacus ligula dapibus sem. Nunc blandit libero at condimentum posuere.\r\n',NULL),('field_collection_item','field_content',0,12,12,'und',0,'Nullam varius vehicula augue at ullamcorper. Ut condimentum turpis sit amet diam scelerisque, eu gravida mi tempus. Morbi sit amet feugiat libero. Pellentesque cursus, justo ac ullamcorper rutrum, elit erat aliquet tellus, eu dictum nisi mi quis dui? Nunc tristique quam sit amet facilisis cras amet.\r\n',NULL),('field_collection_item','field_content',0,13,13,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.',NULL),('field_collection_item','field_content',0,14,14,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.',NULL),('field_collection_item','field_content',0,15,15,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.',NULL);
/*!40000 ALTER TABLE `field_data_field_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_twitter`
--

DROP TABLE IF EXISTS `field_data_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 25 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_twitter`
--

LOCK TABLES `field_data_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_data_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_twitter` VALUES ('user','user',0,1,1,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,2,2,'und',0,'http://twitter.com','Twitter','a:0:{}'),('user','user',0,3,3,'und',0,'http://twitter.com','Twitter','a:0:{}'),('user','user',0,4,4,'und',0,'http://twitter.com','Twitter','a:0:{}'),('user','user',0,5,5,'und',0,'http://twitter.com','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_video`
--

DROP TABLE IF EXISTS `field_data_field_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_video_url` varchar(512) DEFAULT '',
  `field_video_thumbnail_path` varchar(512) DEFAULT '',
  `field_video_video_data` longblob,
  `field_video_embed_code` varchar(1024) DEFAULT '',
  `field_video_description` text,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 53 (field_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_video`
--

LOCK TABLES `field_data_field_video` WRITE;
/*!40000 ALTER TABLE `field_data_field_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_video` VALUES ('node','blog',0,11,11,'und',0,'http://vimeo.com/17111870','public://video_embed_field_thumbnails/vimeo/17111870.jpg','a:25:{s:2:\"id\";i:17111870;s:5:\"title\";s:31:\"Seymour Bits - Put It Back Down\";s:11:\"description\";s:1031:\"Fantastic video by Michiel ten Horn c.s.<br />\n<br />\n<br />\nDirecting & Concept;<br />\nMichiel ten Horn & Maarten J. Berkers<br />\n<br />\nMusic;<br />\nSeymour Bits ‘Put it back down’ 							Magnetron Music<br />\n<br />\nAnimation;<br />\nDirk Verschure<br />\nRamon Oranje<br />\nDirk Marbl<br />\nMichiel ten Horn<br />\nMaarten J. Berkers<br />\n<br />\nColoring; 				<br />\nNiels Hoebers<br />\nLize Korpershoek<br />\nRon Coppus<br />\n<br />\nPost Production;<br />\nRob Klunder, Kona Coast<br />\n<br />\nColor Grading;<br />\nJoppo @ de Grot<br />\n<br />\nProduced by;<br />\nHabbekrats, Julius Ponten & Frieder Wallis<br />\n<br />\nWith support of TAX Video Clip Fund<br />\n<br />\nBEFORE CLIP;<br />\nHabbekrats Ident (image & sound)<br />\n<br />\nThanks to;			<br />\n<br />\nPhillip Harthoorn,<br />\nAnne Haaze,<br />\nSjakie the depressed dog,<br />\nVictor D. Ponten,<br />\nJim Taihuttu,<br />\nLeonie van der Laan,<br />\nZino Ponten,<br />\nBibi Ponten,<br />\nAnnabelle Wallis,<br />\nLevi Mika Wallis,<br />\nJaper Hesseling,<br />\nErik Boom\";s:3:\"url\";s:25:\"http://vimeo.com/17111870\";s:11:\"upload_date\";s:19:\"2010-11-23 03:29:53\";s:10:\"mobile_url\";s:27:\"http://vimeo.com/m/17111870\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/105837890_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/105837890_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/105837890_640.jpg\";s:7:\"user_id\";i:1039743;s:9:\"user_name\";s:15:\"magnetron music\";s:8:\"user_url\";s:31:\"http://vimeo.com/magnetronmusic\";s:19:\"user_portrait_small\";s:48:\"http://i.vimeocdn.com/portrait/7083706_30x30.jpg\";s:20:\"user_portrait_medium\";s:48:\"http://i.vimeocdn.com/portrait/7083706_75x75.jpg\";s:19:\"user_portrait_large\";s:50:\"http://i.vimeocdn.com/portrait/7083706_100x100.jpg\";s:18:\"user_portrait_huge\";s:50:\"http://i.vimeocdn.com/portrait/7083706_300x300.jpg\";s:21:\"stats_number_of_likes\";i:2015;s:21:\"stats_number_of_plays\";i:116363;s:24:\"stats_number_of_comments\";i:56;s:8:\"duration\";i:201;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:56:\"seymour, bits, jeugd, tegenwoordig, magnetron, bas, bron\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL),('node','blog',0,33,33,'und',0,'https://www.youtube.com/watch?v=FOIjvHjK0Rw','public://video_embed_field_thumbnails/youtube/FOIjvHjK0Rw.jpg','a:22:{s:5:\"xmlns\";s:27:\"http://www.w3.org/2005/Atom\";s:8:\"xmlns$gd\";s:32:\"http://schemas.google.com/g/2005\";s:8:\"xmlns$yt\";s:37:\"http://gdata.youtube.com/schemas/2007\";s:11:\"xmlns$media\";s:29:\"http://search.yahoo.com/mrss/\";s:7:\"gd$etag\";s:28:\"W/\"CkUDRH47eCp7I2A9XRZaGE8.\"\";s:2:\"id\";s:38:\"tag:youtube.com,2008:video:FOIjvHjK0Rw\";s:9:\"published\";s:24:\"2013-03-01T05:40:13.000Z\";s:7:\"updated\";s:24:\"2014-09-04T08:44:35.000Z\";s:8:\"category\";a:2:{i:0;a:2:{s:6:\"scheme\";s:37:\"http://schemas.google.com/g/2005#kind\";s:4:\"term\";s:43:\"http://gdata.youtube.com/schemas/2007#video\";}i:1;a:3:{s:6:\"scheme\";s:52:\"http://gdata.youtube.com/schemas/2007/categories.cat\";s:4:\"term\";s:5:\"Music\";s:5:\"label\";s:5:\"Music\";}}s:5:\"title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:7:\"content\";a:2:{s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:3:\"src\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";}s:4:\"link\";a:5:{i:0;a:3:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:64:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata\";}i:1;a:3:{s:3:\"rel\";s:51:\"http://gdata.youtube.com/schemas/2007#video.related\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:65:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/related?v=2\";}i:2;a:3:{s:3:\"rel\";s:44:\"http://gdata.youtube.com/schemas/2007#mobile\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:42:\"http://m.youtube.com/details?v=FOIjvHjK0Rw\";}i:3;a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#uploader\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:67:\"http://gdata.youtube.com/feeds/api/users/c9EzBNAtdnNiDrMw5CAxUw?v=2\";}i:4;a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:57:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw?v=2\";}}s:6:\"author\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"relaxdaily\";s:3:\"uri\";s:51:\"http://gdata.youtube.com/feeds/api/users/relaxdaily\";s:9:\"yt$userId\";s:22:\"c9EzBNAtdnNiDrMw5CAxUw\";}}s:16:\"yt$accessControl\";a:8:{i:0;a:2:{s:6:\"action\";s:7:\"comment\";s:10:\"permission\";s:7:\"allowed\";}i:1;a:2:{s:6:\"action\";s:11:\"commentVote\";s:10:\"permission\";s:7:\"allowed\";}i:2;a:2:{s:6:\"action\";s:12:\"videoRespond\";s:10:\"permission\";s:9:\"moderated\";}i:3;a:2:{s:6:\"action\";s:4:\"rate\";s:10:\"permission\";s:7:\"allowed\";}i:4;a:2:{s:6:\"action\";s:5:\"embed\";s:10:\"permission\";s:7:\"allowed\";}i:5;a:2:{s:6:\"action\";s:4:\"list\";s:10:\"permission\";s:7:\"allowed\";}i:6;a:2:{s:6:\"action\";s:8:\"autoPlay\";s:10:\"permission\";s:7:\"allowed\";}i:7;a:2:{s:6:\"action\";s:9:\"syndicate\";s:10:\"permission\";s:7:\"allowed\";}}s:11:\"gd$comments\";a:1:{s:11:\"gd$feedLink\";a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#comments\";s:4:\"href\";s:66:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/comments?v=2\";s:9:\"countHint\";i:5097;}}s:5:\"yt$hd\";a:0:{}s:11:\"media$group\";a:14:{s:14:\"media$category\";a:1:{i:0;s:5:\"Music\";}s:13:\"media$content\";a:3:{i:0;a:7:{s:3:\"url\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:6:\"medium\";s:5:\"video\";s:9:\"isDefault\";s:4:\"true\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:5;}i:1;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-o097zuek.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYDSANFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:1;}i:2;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-o097zuek.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYESARFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:6;}}s:12:\"media$credit\";a:1:{i:0;s:10:\"relaxdaily\";}s:17:\"media$description\";s:1575:\"Listen to a 2h long playlist with relaxdaily music. Beautiful, light instrumental music with an easy, smooth and inspirational attitude. You can download my music at http://relaxdaily.net. Or simply enjoy this full length version here on YouTube ;)\nA music mix I made up from my own releases from the last 1,5 years. Think of it as another 2h relax radio playlist. For more music, mixes and playlists join me at my website or my YouTube channel. \n- Michael (relaxdaily musician)\n\nRelaxdaily\'s background music instrumentals: beautiful, light, inspirational music that can be used as a soundtrack for multiple activities. Depending on your interest you might use my music in your relax radio playlist, as yoga music, as music while you\'re studying, doing homework, working (mentally, creatively), reading, writing, while thinking or reflecting, dreaming, reviewing, making future plans. Some use it as \"sleep music\" (I personally think there\'s better sleep music out there, but it seems to work ;) Some even listen to it in their minecraft music playlist. Call it chillout, smooth, ambient, New Age, instrumental, or background music -- this is not as much about a genre as it is about a feeling. A way of life. With the relaxdaily project, I try to take a little heat from our (generally) too busy lives. I try to deliver a soundtrack for you, when you feel the need for some positive, calming, inspirational tunes.\n\nThe simple (repetitive) video shows some grass waving in the wind at the pacific coast in California, just a few miles south of San Fran.\n\n© 2013, relaxdaily\";s:14:\"media$keywords\";a:0:{}s:13:\"media$license\";s:7:\"youtube\";s:12:\"media$player\";a:1:{s:3:\"url\";s:71:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata_player\";}s:15:\"media$thumbnail\";a:7:{i:0;a:5:{s:3:\"url\";s:45:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/default.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:7:\"default\";}i:1;a:4:{s:3:\"url\";s:47:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/mqdefault.jpg\";s:6:\"height\";i:180;s:5:\"width\";i:320;s:7:\"yt$name\";s:9:\"mqdefault\";}i:2;a:4:{s:3:\"url\";s:47:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/hqdefault.jpg\";s:6:\"height\";i:360;s:5:\"width\";i:480;s:7:\"yt$name\";s:9:\"hqdefault\";}i:3;a:4:{s:3:\"url\";s:47:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/sddefault.jpg\";s:6:\"height\";i:480;s:5:\"width\";i:640;s:7:\"yt$name\";s:9:\"sddefault\";}i:4;a:5:{s:3:\"url\";s:39:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/1.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"00:32:53.500\";s:7:\"yt$name\";s:5:\"start\";}i:5;a:5:{s:3:\"url\";s:39:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/2.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:6:\"middle\";}i:6;a:5:{s:3:\"url\";s:39:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/3.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"01:38:40.500\";s:7:\"yt$name\";s:3:\"end\";}}s:11:\"media$title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:14:\"yt$aspectRatio\";s:10:\"widescreen\";s:11:\"yt$duration\";a:1:{s:7:\"seconds\";s:4:\"7894\";}s:11:\"yt$uploaded\";s:24:\"2013-03-01T05:40:13.000Z\";s:13:\"yt$uploaderId\";s:24:\"UCc9EzBNAtdnNiDrMw5CAxUw\";s:10:\"yt$videoid\";s:11:\"FOIjvHjK0Rw\";}s:9:\"gd$rating\";a:5:{s:7:\"average\";d:4.85651299999999963574737193994224071502685546875;s:3:\"max\";i:5;s:3:\"min\";i:1;s:9:\"numRaters\";i:47865;s:3:\"rel\";s:40:\"http://schemas.google.com/g/2005#overall\";}s:13:\"yt$statistics\";a:2:{s:13:\"favoriteCount\";s:1:\"0\";s:9:\"viewCount\";s:8:\"10831806\";}s:9:\"yt$rating\";a:2:{s:11:\"numDislikes\";s:4:\"1717\";s:8:\"numLikes\";s:5:\"46148\";}s:5:\"terms\";a:1:{i:0;s:5:\"Music\";}s:7:\"handler\";s:7:\"youtube\";}',NULL,NULL);
/*!40000 ALTER TABLE `field_data_field_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_year`
--

DROP TABLE IF EXISTS `field_data_field_year`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_year` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_year_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_year_tid` (`field_year_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 10 (field_year)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_year`
--

LOCK TABLES `field_data_field_year` WRITE;
/*!40000 ALTER TABLE `field_data_field_year` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_year` VALUES ('node','properties',0,20,20,'und',0,44),('node','properties',0,21,21,'und',0,49),('node','properties',0,25,25,'und',0,47),('node','properties',0,26,26,'und',0,43),('node','properties',0,27,27,'und',0,41),('node','properties',0,28,28,'und',0,47),('node','properties',0,29,29,'und',0,41),('node','properties',0,30,30,'und',0,42),('node','properties',0,31,31,'und',0,41),('node','properties',0,34,34,'und',0,51),('node','properties',0,35,35,'und',0,46),('node','properties',0,36,36,'und',0,44),('node','properties',0,37,37,'und',0,43),('node','properties',0,38,38,'und',0,47),('node','properties',0,39,39,'und',0,44),('node','properties',0,45,45,'und',0,41),('node','properties',0,46,46,'und',0,43),('node','properties',0,47,47,'und',0,41),('node','properties',0,48,48,'und',0,41),('node','properties',0,49,49,'und',0,43),('node','properties',0,50,50,'und',0,41),('node','properties',0,51,51,'und',0,41),('node','properties',0,52,52,'und',0,43),('node','properties',0,53,53,'und',0,41),('node','properties',0,54,54,'und',0,41),('node','properties',0,55,55,'und',0,41);
/*!40000 ALTER TABLE `field_data_field_year` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_group`
--

DROP TABLE IF EXISTS `field_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a group',
  `identifier` varchar(255) NOT NULL DEFAULT '' COMMENT 'The unique string identifier for a group.',
  `group_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of this group.',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `mode` varchar(128) NOT NULL DEFAULT '',
  `parent_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The parent name for a group',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the group properties that do not warrant a dedicated column.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `group_name` (`group_name`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='Table that contains field group entries and settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_group`
--

LOCK TABLES `field_group` WRITE;
/*!40000 ALTER TABLE `field_group` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_group` VALUES (1,'group_more_information|node|properties|default','group_more_information','node','properties','default','','a:5:{s:5:\"label\";s:16:\"More Information\";s:6:\"weight\";s:1:\"4\";s:8:\"children\";a:3:{i:0;s:9:\"group_map\";i:1;s:24:\"group_additional_details\";i:2;s:11:\"group_video\";}s:11:\"format_type\";s:9:\"accordion\";s:15:\"format_settings\";a:2:{s:9:\"formatter\";s:0:\"\";s:17:\"instance_settings\";a:3:{s:11:\"description\";s:0:\"\";s:7:\"classes\";s:44:\"group-more-information field-group-accordion\";s:6:\"effect\";s:11:\"bounceslide\";}}}'),(2,'group_map|node|properties|default','group_map','node','properties','default','group_more_information','a:5:{s:5:\"label\";s:9:\"Map Group\";s:6:\"weight\";s:2:\"25\";s:8:\"children\";a:0:{}s:11:\"format_type\";s:14:\"accordion-item\";s:15:\"format_settings\";a:2:{s:9:\"formatter\";s:6:\"closed\";s:17:\"instance_settings\";a:1:{s:7:\"classes\";s:36:\"group-map field-group-accordion-item\";}}}'),(3,'group_additional_details|node|properties|default','group_additional_details','node','properties','default','group_more_information','a:5:{s:5:\"label\";s:18:\"Additional Details\";s:6:\"weight\";s:2:\"24\";s:8:\"children\";a:5:{i:0;s:12:\"field_garage\";i:1;s:10:\"field_year\";i:2;s:19:\"field_business_type\";i:3;s:11:\"field_floor\";i:4;s:16:\"field_floor_area\";}s:11:\"format_type\";s:14:\"accordion-item\";s:15:\"format_settings\";a:2:{s:9:\"formatter\";s:6:\"closed\";s:17:\"instance_settings\";a:1:{s:7:\"classes\";s:51:\"group-additional-details field-group-accordion-item\";}}}'),(4,'group_video|node|properties|default','group_video','node','properties','default','group_more_information','a:5:{s:5:\"label\";s:11:\"Video Group\";s:6:\"weight\";s:2:\"26\";s:8:\"children\";a:1:{i:0;s:11:\"field_video\";}s:11:\"format_type\";s:14:\"accordion-item\";s:15:\"format_settings\";a:2:{s:9:\"formatter\";s:6:\"closed\";s:17:\"instance_settings\";a:1:{s:7:\"classes\";s:38:\"group-video field-group-accordion-item\";}}}'),(5,'group_price|node|properties|default','group_price','node','properties','default','','a:5:{s:5:\"label\";s:11:\"Price Group\";s:6:\"weight\";s:1:\"1\";s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:11:\"Price Group\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:27:\"group-price field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}'),(6,'group_main_information|node|properties|default','group_main_information','node','properties','default','','a:5:{s:5:\"label\";s:16:\"Main Information\";s:6:\"weight\";s:1:\"2\";s:8:\"children\";a:5:{i:0;s:14:\"field_bedrooms\";i:1;s:15:\"field_bathrooms\";i:2;s:19:\"field_property_type\";i:3;s:14:\"field_lot_area\";i:4;s:13:\"field_address\";}s:11:\"format_type\";s:3:\"div\";s:15:\"format_settings\";a:3:{s:5:\"label\";s:16:\"Main Information\";s:17:\"instance_settings\";a:7:{s:2:\"id\";s:0:\"\";s:7:\"classes\";s:38:\"group-main-information field-group-div\";s:11:\"description\";s:0:\"\";s:10:\"show_label\";s:1:\"0\";s:13:\"label_element\";s:2:\"h3\";s:6:\"effect\";s:4:\"none\";s:5:\"speed\";s:4:\"fast\";}s:9:\"formatter\";s:4:\"open\";}}');
/*!40000 ALTER TABLE `field_group` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_body`
--

DROP TABLE IF EXISTS `field_revision_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_body`
--

LOCK TABLES `field_revision_body` WRITE;
/*!40000 ALTER TABLE `field_revision_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_body` VALUES ('node','properties',0,1,1,'und',0,'Sed iaculis ipsum eu porttitor auctor? Vestibulum tempor pulvinar est; vitae sollicitudin ligula. Maecenas a mi sit amet magna ullamcorper fermentum. Vivamus porta pellentesque lorem, quis viverra enim consectetur non. Cras eget commodo magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Suspendisse id neque tincidunt, volutpat dolor vitae, laoreet nunc. Integer aliquet, lacus ac luctus vehicula, eros purus commodo turpis, vitae ultrices dui justo eget quam. Donec vel rutrum dolor, eu egestas neque. Donec eget cursus dui.\r\n\r\nQuisque vel turpis sed tortor varius vehicula. Maecenas dignissim odio sit amet bibendum volutpat! Nam vitae tincidunt ante. Nunc tempor orci eget dolor egestas, ac congue nisi pulvinar! Aliquam erat volutpat. Nam luctus diam eros. Praesent mi neque, laoreet at convallis eu, feugiat ac erat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed tempor lacus eget nisi sollicitudin hendrerit. Morbi sed nulla facilisis, ultrices justo nec, commodo massa. Nam imperdiet ultrices nulla in scelerisque. Nunc vehicula consectetur congue. Fusce convallis dui dictum, pharetra sem sed.\r\n','','filtered_html'),('node','faq',0,3,3,'und',0,'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi imperdiet erat eu mauris malesuada, id iaculis urna tristique. Suspendisse nec velit sed enim gravida pulvinar. Quisque dignissim volutpat erat, sed faucibus tortor dignissim a. In tincidunt, dui at egestas bibendum, sapien justo pretium leo; sit amet dapibus dolor nisl in purus. Aenean justo libero, mollis vitae erat non; iaculis dapibus augue. Morbi quis tempus lacus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque ut ipsum sit amet purus dignissim vulputate non at erat.\r\n\r\nPhasellus sit amet lorem ac felis rutrum aliquam non et nulla. Nulla volutpat a dolor in feugiat. Duis tincidunt adipiscing nibh sagittis eleifend. Maecenas urna odio, vestibulum vel mi eu; dapibus placerat odio. Aliquam erat volutpat. Cras eget viverra dui. Praesent auctor, enim nec aliquam venenatis, tellus felis tincidunt libero, non scelerisque est mi tristique neque. Curabitur tempus commodo massa ac imperdiet. Maecenas molestie viverra tortor, nec varius lectus fringilla ut. Sed lobortis tincidunt ipsum, in mattis lorem dapibus at. Sed fermentum tempus nunc, ut cursus purus luctus volutpat.\r\n','','filtered_html'),('node','faq',0,4,4,'und',0,'Vestibulum sollicitudin gravida risus nec sollicitudin. Donec mi ipsum, pulvinar ut eros tincidunt, suscipit interdum diam. Pellentesque luctus dapibus justo; vitae porta eros varius sed. Integer scelerisque; leo egestas fermentum congue, est sem elementum odio, a blandit lacus elit ultrices est. Nullam rhoncus eros massa, ac egestas purus tristique condimentum. Phasellus sapien ante, commodo at orci non, blandit blandit libero. Pellentesque congue venenatis nibh? Duis volutpat, est interdum sollicitudin volutpat, mi elit dapibus dolor, non pulvinar dolor velit sit amet odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed ac posuere nulla. Phasellus egestas mauris quis lacus fermentum faucibus. Nulla hendrerit augue nisl, vel condimentum sem mollis at. Proin malesuada aliquam pretium. Suspendisse malesuada purus quis volutpat auctor. Curabitur urna nisl, sagittis at viverra ac, tincidunt ut erat?\r\n\r\nSed pulvinar dapibus facilisis. Donec eget lacus sed ante convallis ornare non vel sem. Quisque id risus at risus vulputate fermentum ac sit amet arcu. Morbi placerat neque ac dui fringilla vehicula. Quisque rutrum dolor aliquet, porta metus.\r\n','','filtered_html'),('node','faq',0,5,5,'und',0,'Nulla facilisi. Donec laoreet consequat viverra! Vestibulum vehicula placerat imperdiet. Mauris arcu lacus, pellentesque id erat vitae, condimentum facilisis ipsum. Pellentesque non faucibus tortor. Nunc molestie velit at diam auctor tincidunt. Nulla id lorem nisl. Sed tellus orci, scelerisque a rutrum sit amet, convallis eu lectus. Sed id turpis in orci ullamcorper dapibus. Sed non porta felis. Integer euismod nunc non nunc porta pellentesque. Nulla sit amet laoreet dolor. Sed a velit feugiat, dignissim erat nec, porta justo. Mauris massa erat, commodo a elementum ut, semper dictum odio! Ut ac ligula elit.\r\n\r\nIn hac habitasse platea dictumst. Mauris fermentum augue leo, eget lobortis ipsum rhoncus ac. Nunc ac ultricies massa! Aenean vel aliquam turpis, eu faucibus dolor. Aliquam dictum at sapien nec iaculis. Donec massa magna, ultrices quis varius suscipit, cursus vulputate elit. Donec ac enim id nisl venenatis aliquet quis in velit. Quisque rhoncus massa turpis, non accumsan sem feugiat eu. Etiam eleifend tempor congue! Aenean consectetur feugiat urna, vel tincidunt nunc dictum a.\r\n\r\nNam leo quam, feugiat in ante non, convallis dictum elit! Maecenas malesuada enim non suscipit cras amet.\r\n','','filtered_html'),('node','faq',0,6,6,'und',0,'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Mauris accumsan suscipit feugiat. Cras sodales mauris pretium vehicula consequat? Duis vel tristique mi, sed tempus lorem. Sed eu elit in turpis venenatis placerat. Vivamus libero felis, vulputate in vehicula ut, tincidunt sit amet lorem? Aenean vehicula placerat viverra. Duis est ipsum, vestibulum sed venenatis in, rutrum nec diam. Duis iaculis velit sollicitudin mi lacinia placerat. Curabitur non sapien lacus? Nam semper porta vehicula. Praesent eu massa eros. Etiam dignissim leo sed sem malesuada tincidunt. Aliquam sed adipiscing elit. Etiam consectetur porttitor orci.\r\n\r\nVivamus a porta turpis, in pharetra eros. Cras pellentesque, leo et tempus sollicitudin, neque mi molestie elit, varius mollis lectus mauris in nulla. Vivamus volutpat mi vitae justo accumsan, eget gravida lorem ornare. Nunc condimentum pellentesque nisi, sit amet molestie nunc fermentum ac. Duis scelerisque ultricies lorem, ac facilisis metus dignissim imperdiet. Maecenas cursus orci sed lorem lacinia tincidunt. Nullam quis elit urna. Nullam pellentesque suscipit massa non tempor! Donec sit amet feugiat augue. Duis metus.\r\n','','filtered_html'),('node','faq',0,7,7,'und',0,'Sed luctus justo a ornare suscipit. Vestibulum pharetra elit et velit aliquet, quis posuere augue ultrices. Curabitur iaculis dui augue, nec commodo massa commodo ut. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla at massa mauris. Praesent posuere tristique elit id dapibus. Curabitur ultrices tellus fermentum lectus cursus ullamcorper. Integer ligula mi, consequat vel dignissim id, laoreet eget est. Praesent fermentum malesuada urna quis suscipit. Donec vel ipsum vitae mi congue vestibulum non auctor mauris. Nulla tortor nulla, tincidunt eget fermentum sodales, eleifend in erat. Sed sed mauris nec purus fringilla dictum nec ut eros. Interdum et malesuada fames ac ante ipsum primis in faucibus.\r\n\r\nMauris sapien ante, aliquam non lacus ut, aliquet malesuada ligula. Pellentesque turpis nisl, elementum sed tellus et, accumsan accumsan augue. Aliquam mattis varius ipsum nec egestas. Proin fringilla nisi non urna feugiat rhoncus. Cras congue ligula nisi, vestibulum viverra lorem vulputate et. Sed sit amet enim in libero pulvinar pharetra. Pellentesque eu mi sed dolor tempor massa nunc.\r\n','','filtered_html'),('node','faq',0,8,8,'und',0,'In fringilla sollicitudin eleifend. Suspendisse quis nisi lorem. Etiam at eros vel orci consequat bibendum at quis diam. Aliquam ac tempor massa, et aliquet lectus. Cras dignissim risus in fringilla dapibus. Donec tristique bibendum mollis. Proin adipiscing non metus sit amet pretium.\r\n\r\nDonec nec augue arcu. Etiam eu feugiat nisi. Fusce in sollicitudin metus, quis tincidunt ipsum. Donec posuere nunc consequat aliquam ultrices. Donec interdum enim sit amet bibendum ultrices. Nulla sed dui eleifend, convallis nisi sed, posuere tellus. Nulla sit amet sapien tincidunt, egestas quam eu, tincidunt augue. Mauris lacus augue; consectetur sit amet dolor eu, ullamcorper faucibus leo. Pellentesque imperdiet, magna nec scelerisque luctus, velit sem malesuada turpis, in varius ante nunc ac ligula. Nam vitae blandit nunc. Aenean tempus ultricies mollis. Pellentesque pharetra suscipit aliquam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.\r\n\r\nVestibulum velit lectus, vehicula nec tincidunt tempor, venenatis in diam? Mauris ut augue enim. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aenean in ante turpis duis.\r\n','','filtered_html'),('node','faq',0,9,9,'und',0,'Curabitur ante leo; pulvinar non dapibus id, auctor in nunc. Morbi posuere dapibus egestas! Ut hendrerit dictum odio, ac suscipit nisl viverra vitae. Praesent vestibulum fringilla odio vitae pellentesque. Morbi at suscipit ligula, vitae mattis diam. Fusce ut est magna! Etiam ullamcorper commodo eros ac cursus. Nullam sit amet aliquet eros! In rhoncus scelerisque sem. Nunc non lacinia erat, quis tempor lorem. Nullam bibendum bibendum nisi. Curabitur ut consectetur neque. In diam odio, blandit ac dictum sit amet, ullamcorper sit amet nisl.\r\n\r\nNam in ligula ante. Pellentesque condimentum erat eu lacinia porttitor. Suspendisse volutpat purus vel orci auctor pretium. Fusce accumsan, nunc nec ornare vulputate, augue augue porta ipsum; at semper quam nunc eu dolor? Aliquam blandit mauris rutrum tortor commodo, quis dictum leo tincidunt. Fusce suscipit porta faucibus. Fusce ac magna quis nunc interdum laoreet sit amet vitae velit. Cras at bibendum nunc? Proin sed est sem. Suspendisse malesuada magna ac eros porttitor blandit. Morbi commodo libero at arcu suscipit, ut mollis eros faucibus. Etiam dapibus, sapien eu condimentum sagittis, urna nisi eleifend neque, eget pharetra neque dui sit amet.\r\n','','filtered_html'),('node','faq',0,10,10,'und',0,'Nam sed aliquet tortor. Sed id malesuada ante. Quisque et sagittis nulla. In ut congue lacus, in malesuada nulla. Proin luctus, erat sed pulvinar bibendum, nisi erat dignissim ante, in imperdiet purus dolor sit amet lectus. Nullam luctus euismod purus, nec consequat tellus luctus pharetra. Morbi ut purus tempor, pellentesque felis eu; mollis nisl. Morbi tincidunt ante ipsum, bibendum pulvinar eros luctus sed. Donec non tincidunt quam. Donec nisl eros, sollicitudin a condimentum eget, iaculis non metus. Curabitur rhoncus elit eu rhoncus molestie. Praesent vitae felis et justo malesuada auctor! Aliquam hendrerit ut sem nec euismod. Curabitur vel interdum dui? Nulla tempor interdum suscipit. Nulla tortor orci, iaculis vel enim id, bibendum rutrum orci.\r\n\r\nNunc sagittis dolor et nibh laoreet consequat. Integer pharetra id magna sed laoreet. Pellentesque nec venenatis odio. Praesent aliquet tellus ut nibh semper, at posuere mauris iaculis. Donec mauris arcu; egestas ac neque eu, viverra molestie quam. Morbi eget augue sem. Proin nec pharetra quam. Ut consectetur velit a tincidunt suscipit. Sed eget iaculis mi. Ut fermentum odio urna, eu sagittis augue rhoncus vehicula! In ut nullam sodales.\r\n','','filtered_html'),('node','blog',0,11,11,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,12,12,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','blog',0,13,13,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','page',0,14,14,'und',0,'Mauris elementum tempus nisi, vitae ullamcorper sem ultricies vitae. Nullam consectetur lacinia nisi, quis laoreet magna pulvinar in. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In hac habitasse platea dictumst. Cum sociis natoque penatibus et magnis dis parturient montes','','filtered_html'),('node','why_us',0,15,15,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','full_html'),('node','why_us',0,16,16,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','why_us',0,17,17,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','why_us',0,18,18,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','why_us',0,19,19,'und',0,'Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','Sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium, totam rem aperiam.','filtered_html'),('node','properties',0,20,20,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.\r\n','','filtered_html'),('node','properties',0,21,21,'und',0,'Nulla dignissim libero vitae ornare vehicula. Nunc non ornare dui. Ut non risus in nisl facilisis eleifend. Nam egestas, nibh sit amet hendrerit blandit, metus sem consectetur felis, eu posuere lorem metus nec dui. Donec euismod blandit felis, ut rhoncus lectus porttitor vel. Integer laoreet accumsan dui eu elementum. Phasellus consectetur consectetur mi, et volutpat turpis porta ac. Maecenas nec nunc vel enim porta scelerisque in venenatis libero? Vivamus mollis nulla at mattis ultricies. Cras pharetra, quam et egestas elementum, ligula dui scelerisque dolor, quis eleifend elit nisi nec ipsum. Integer sem odio, viverra at dignissim a, egestas vel nibh.\r\n\r\nProin fringilla eu nunc a fermentum. Nullam odio ipsum, condimentum vitae ligula et; semper hendrerit massa. Duis sit amet enim eu lectus posuere convallis eget nec felis. Nunc varius posuere felis, in luctus enim commodo et. Donec volutpat scelerisque nisi a euismod. Etiam non lobortis augue, quis sollicitudin sapien. Aliquam tortor ligula, facilisis vitae vestibulum interdum, tempor in nulla. Duis accumsan neque eget pretium lobortis. Vivamus semper quis sapien ut iaculis. Vivamus varius malesuada risus, at commodo lorem cras amet.\r\n','','filtered_html'),('node','testimonials',0,22,22,'und',0,'Praesent scelerisque, odio vitae ornare scelerisque, libero massa volutpat neque, id facilisis ligula lectus in eros. Curabitur nec venenatis odio.','','filtered_html'),('node','testimonials',0,23,23,'und',0,'Nunc pellentesque nisi non fermentum congue. Etiam et sollicitudin leo, ultricies porttitor tellus. Nulla sit amet nisl vel neque ornare condimentum sed non felis.','','filtered_html'),('node','testimonials',0,24,24,'und',0,'Aliquam eget diam hendrerit, aliquet ligula vel, pharetra lectus. Quisque rhoncus, sem eu rhoncus hendrerit, lectus massa aliquet ligula, a molestie ipsum lacus id urna!','','filtered_html'),('node','properties',0,25,25,'und',0,'Suspendisse potenti. Nunc sagittis vel ipsum suscipit consectetur. Nunc quis lorem vitae magna cursus rutrum eu id tellus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer ultrices metus mauris, at dapibus augue aliquet sed. Fusce blandit vel purus eleifend tincidunt? In convallis tortor nec urna lobortis; id tincidunt metus porta. Integer eros felis, lacinia fermentum cursus vitae; pretium sed arcu. Nam nunc mauris, posuere sit amet libero nec, tincidunt vehicula metus. Pellentesque at consequat lorem. Sed ipsum tellus, sodales at nibh in, molestie commodo leo? Donec in auctor nisl. Sed velit nisi, pretium vel lacinia sit amet, sagittis ut diam. Pellentesque interdum at diam a faucibus. Vestibulum tempor enim sit amet quam posuere euismod.\r\n\r\nVestibulum mollis mi metus, vitae cursus justo molestie vitae. Ut et nulla vitae neque vestibulum ultricies. Donec pharetra felis vitae nisi imperdiet ornare. Phasellus sagittis quam lorem, non feugiat libero dictum vitae. Cras sollicitudin tortor eros, non vulputate nisl mollis id. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer rhoncus sem ac elementum faucibus. Etiam aliquam dolor urna, id rutrum arcu sed.\r\n','','filtered_html'),('node','properties',0,26,26,'und',0,'Morbi vulputate, neque nec pharetra ullamcorper, ligula tortor interdum est, id vehicula lorem mauris non velit. Duis nibh felis, molestie eu metus ut, ultrices adipiscing lorem. Suspendisse fringilla vestibulum magna imperdiet imperdiet. Duis elementum pharetra justo. Maecenas in orci enim. Quisque varius mollis orci ac tempus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam et fringilla augue. Nullam bibendum sit amet augue imperdiet dapibus. \r\n\r\nAenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','properties',0,27,27,'und',0,'Nam nec tellus a odio tincidunt auctor a ornare odio. Sed non mauris vitae erat consequat auctor eu in elit. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris in erat justo. Nullam ac urna eu felis dapibus condimentum sit amet a augue. Sed non neque elit.\r\n\r\nMauris in erat justo. Nullam ac urna eu felis dapibus condimentum sit amet a augue. Sed non neque elit. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Sed non neque elit. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.\r\n\r\nDonec sed odio dui. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Nulla vitae elit libero, a pharetra augue. Nullam id dolor id nibh ultricies vehicula ut id elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet.','','full_html'),('node','properties',0,28,28,'und',0,'Cras ac ante eget metus varius suscipit. Suspendisse non quam quis lectus dapibus luctus a at orci. Nunc malesuada, odio a tincidunt luctus, justo mauris porta leo, eu dapibus sem massa pellentesque nunc. Duis interdum eu est et imperdiet. Fusce fringilla faucibus mauris. Nullam tempus tincidunt felis, id suscipit est rutrum non. In varius, quam et lacinia venenatis, turpis dolor hendrerit neque, sed tristique elit ligula eu urna. \r\n\r\nAliquam ullamcorper tellus commodo, gravida libero a, lacinia turpis. Curabitur dictum risus non velit sollicitudin posuere. Aliquam blandit vel erat sit amet rhoncus. Duis diam diam, euismod non libero pellentesque, posuere vehicula nunc. Praesent viverra sapien eu ante vestibulum, aliquam blandit nibh molestie. Donec at rutrum nunc.','','filtered_html'),('node','properties',0,29,29,'und',0,'Pellentesque vitae lectus in felis auctor malesuada. Nulla commodo orci in consequat molestie. Sed ac porta magna, a facilisis velit. Nam ac vulputate libero, nec ultricies nunc. Integer condimentum mollis placerat. Donec consequat, nisl eu auctor facilisis, lectus nunc mollis libero, quis suscipit ligula quam ac massa. Quisque ac est in augue pulvinar tincidunt quis a nunc. Proin condimentum molestie pharetra. Ut vel est a felis porttitor porta nec quis dui. Nulla facilisi. Mauris varius, arcu vel condimentum convallis, justo ante fringilla ligula, at rhoncus justo dui eget mi. Nam non aliquam ipsum.\r\n\r\nAenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','properties',0,30,30,'und',0,'Aenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','properties',0,31,31,'und',0,'Morbi vulputate, neque nec pharetra ullamcorper, ligula tortor interdum est, id vehicula lorem mauris non velit. Duis nibh felis, molestie eu metus ut, ultrices adipiscing lorem. Suspendisse fringilla vestibulum magna imperdiet imperdiet. Duis elementum pharetra justo. Maecenas in orci enim. Quisque varius mollis orci ac tempus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam et fringilla augue. Nullam bibendum sit amet augue imperdiet dapibus. \r\n\r\nAenean tempor, neque ut fringilla accumsan, nisl nunc laoreet risus, sed vulputate arcu justo at dui. Sed tristique enim eget mattis vestibulum. Nam euismod magna vel neque pretium fringilla. Etiam odio nibh, dictum eu enim sed, auctor laoreet tortor. Morbi eu nisi lectus. Vestibulum rhoncus tortor vitae quam varius consequat.\r\n\r\nVivamus quis dui ac nulla molestie blandit eu in nunc. In justo erat, lacinia in vulputate non, tristique eu mi. Aliquam tristique dapibus tempor. Vivamus malesuada tempor urna, in convallis massa lacinia sed. Phasellus gravida auctor vestibulum. Suspendisse potenti. In tincidunt felis bibendum nunc tempus sagittis. Praesent elit dolor, ultricies interdum porta sit amet, iaculis in neque. ','','full_html'),('node','blog',0,33,33,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','properties',0,34,34,'und',0,'Sed iaculis ipsum eu porttitor auctor? Vestibulum tempor pulvinar est; vitae sollicitudin ligula. Maecenas a mi sit amet magna ullamcorper fermentum. Vivamus porta pellentesque lorem, quis viverra enim consectetur non. Cras eget commodo magna. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Suspendisse id neque tincidunt, volutpat dolor vitae, laoreet nunc. Integer aliquet, lacus ac luctus vehicula, eros purus commodo turpis, vitae ultrices dui justo eget quam. Donec vel rutrum dolor, eu egestas neque. Donec eget cursus dui.\r\n\r\nQuisque vel turpis sed tortor varius vehicula. Maecenas dignissim odio sit amet bibendum volutpat! Nam vitae tincidunt ante. Nunc tempor orci eget dolor egestas, ac congue nisi pulvinar! Aliquam erat volutpat. Nam luctus diam eros. Praesent mi neque, laoreet at convallis eu, feugiat ac erat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed tempor lacus eget nisi sollicitudin hendrerit. Morbi sed nulla facilisis, ultrices justo nec, commodo massa. Nam imperdiet ultrices nulla in scelerisque. Nunc vehicula consectetur congue. Fusce convallis dui dictum, pharetra sem sed.','','full_html'),('node','properties',0,35,35,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','full_html'),('node','properties',0,36,36,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','properties',0,37,37,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','properties',0,38,38,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','properties',0,39,39,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','filtered_html'),('node','blog',0,40,40,'und',0,'<p>Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<p>Nulla facilisi. Cras convallis vel lectus sed convallis. Duis nec accumsan diam. Vestibulum blandit tempus nulla. Suspendisse consectetur cursus elit, et scelerisque ligula hendrerit id. Maecenas ultrices porta nunc, quis consectetur risus. Morbi non metus eget nibh vulputate tincidunt. Nullam dui quam, suscipit a ligula a, posuere sagittis magna. Pellentesque vitae dolor et nunc lobortis vestibulum. Suspendisse potenti. Pellentesque cursus purus vitae libero hendrerit congue. Aenean erat elit, aliquet at mi quis, sollicitudin sollicitudin libero.</p>\r\n									<blockquote>\r\n										<p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									</blockquote>\r\n									<h1>h1. Heading 1</h1>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<ul>\r\n										<li>Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit</li>\r\n										<li>Sed ut perspiciatis unde omnis iste natus error </li>\r\n										<li>Qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit</li>\r\n									</ul>\r\n									<h2>h2. Heading 2</h2>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>\r\n									<h3>h3. Heading 3</h3>\r\n									<p>Sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.</p>','','full_html'),('node','services',0,41,41,'und',0,'Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna. Duis elit ipsum, consequat id consequat id, consequat ac quam. Proin quis sagittis augue? Morbi id dolor vitae mi pellentesque suscipit eget nec sapien? Aenean mollis adipiscing sapien, ac congue nisl blandit ac. Nunc a lacus est!\r\n\r\nAliquam orci nibh, semper quis imperdiet nec, bibendum et sapien? Quisque viverra nulla ut purus tempor, vel bibendum mi tincidunt. Donec rutrum velit a venenatis tempus. Maecenas pretium sodales pretium. Etiam cursus, enim eget molestie interdum, mi magna fringilla sapien, sed vehicula risus augue vel leo. Praesent non ligula ipsum. Donec sed lacinia dui, ac molestie est.\r\n\r\nMaecenas consequat ut libero quis bibendum. Pellentesque at tincidunt neque, at consequat lacus. Aliquam risus elit, rhoncus eu elit non, laoreet volutpat metus. Maecenas at turpis in ipsum posuere euismod. Curabitur pellentesque imperdiet augue, eu faucibus est sodales in. Donec non quam porttitor, commodo felis facilisis, elementum dolor! Phasellus scelerisque velit ac enim pellentesque commodo. Nulla posuere turpis sit amet eros feugiat, id imperdiet magna commodo cras amet.\r\n','Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna.','filtered_html'),('node','services',0,42,42,'und',0,'Fusce ac dictum lacus, tincidunt pulvinar ligula. Etiam adipiscing; metus sit amet ullamcorper adipiscing, mauris erat consequat lectus, id feugiat justo nisl et tellus. Maecenas a ipsum nulla! Vivamus dapibus risus quis sollicitudin iaculis. Morbi et nisl nunc. Mauris odio enim, vehicula ac dictum in, pretium ut lorem. Suspendisse id aliquet leo, nec fermentum ante. Sed ac elit sed tellus molestie euismod vitae eget lorem. Nullam ultrices purus sed sapien dictum, ac aliquam nibh hendrerit. Vivamus ultrices pretium nulla, eget aliquet felis ornare a. Sed ornare neque a orci egestas; quis fringilla orci tincidunt. Pellentesque posuere, nunc sit amet lacinia semper, nulla neque auctor augue; vel pretium turpis ante sed nisl. Integer sit amet urna suscipit, interdum mi ut, ullamcorper tellus. Duis nulla lectus, euismod eu tristique ac, tempor a est. In id tempus nisl.\r\n\r\nSed sed luctus sapien. Duis ornare augue eget sodales semper. Proin ac mollis lectus. Sed dapibus nibh eu augue porta, id mollis arcu ornare. Fusce quis tellus enim. Nam interdum varius velit, vitae sollicitudin diam lobortis nec. In euismod, magna sit amet bibendum mattis, lorem nisl ultrices magna, at dictum nunc metus.\r\n','Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna.','filtered_html'),('node','services',0,43,43,'und',0,'Praesent at enim blandit, fringilla felis eu, posuere dolor. Sed eu auctor metus, et iaculis velit. Nunc posuere dolor eu dolor condimentum; in tempus mauris aliquet. Integer laoreet tempus nunc. Sed accumsan placerat tortor vel dapibus. Sed at mi non nibh sagittis vehicula. Nullam ut massa eu nulla tincidunt lacinia porta quis leo!\r\n\r\nAenean consectetur nec mi et sollicitudin. Morbi tincidunt posuere diam nec placerat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam id faucibus nunc, non luctus sem. Integer non lorem sollicitudin, euismod quam et, luctus erat. Curabitur pulvinar gravida lacus sed aliquam. Nullam varius imperdiet tempus. Suspendisse non massa at neque mattis blandit vel in magna. In vel fermentum mi. Suspendisse id pulvinar metus, eget varius dui. Vivamus vitae diam sit amet velit vulputate tincidunt. Phasellus id commodo ligula? Vestibulum dapibus purus eu felis volutpat rhoncus. Nullam pulvinar ante ut dapibus ornare. Quisque ut ipsum et tortor posuere mattis vitae quis velit.\r\n\r\nNullam id euismod felis. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur nunc cras amet.\r\n','Praesent consectetur magna tempus blandit ultrices! Nulla nec libero tincidunt, ultrices lectus a, euismod urna.','filtered_html'),('node','page',0,44,44,'und',0,'<div class=\"weebpal-404-wrapper\">\r\n\r\n<p class=\"weebpal-404-emotion\"><i class=\"fa fa-frown-o\"></i></p>\r\n<p class=\"weebpal-404-text\">404</p>\r\n<p>Sorry but we couldn\'t find the page you are looking for. Please check to make sure you\'ve typed the URL correctly. You may also want to search for what you are looking for.</p>\r\n<p><a class=\"weebpal-return-back\" href=\"<?php echo url(); ?>\">RETURN TO HOME</a></p>\r\n\r\n</div>','','php_code'),('node','properties',0,45,45,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','full_html'),('node','properties',0,46,46,'und',0,'Ut convallis turpis urna. In et sagittis purus. Suspendisse ut odio semper, sollicitudin purus ac, ultrices dolor. Praesent eu mattis mi. Duis id leo tincidunt, bibendum purus non, varius enim? Aenean turpis diam, fringilla id purus ut; dapibus porta ipsum. Integer eu turpis lacus. Ut quis neque eu nisi facilisis facilisis. Nulla sit amet pellentesque neque! Morbi nisl nunc, dignissim id fermentum non; porta in nisi! Maecenas non euismod sem.\r\n\r\nSed auctor mollis sapien vel cursus. Nunc lobortis velit in aliquet mollis. Sed aliquet vestibulum diam, in euismod lorem rutrum id. Proin sodales cursus est; in aliquet purus? Maecenas id nunc a risus porta tristique. Nam tempus in tellus vel suscipit. Suspendisse eget sodales ligula. Mauris ullamcorper sapien quis commodo molestie? Vivamus a ultricies leo.\r\n\r\nMauris tincidunt neque mauris, at lobortis turpis viverra vel. Vivamus aliquam, elit a ornare sollicitudin, justo nulla elementum purus, malesuada gravida elit neque vel lorem. Pellentesque at interdum neque. Pellentesque tempus non sem a faucibus. Nunc non neque augue! Quisque molestie metus sit amet magna viverra semper. Pellentesque euismod tempor ligula, mollis mattis nisi dictum nullam.','','full_html'),('node','properties',0,47,47,'und',0,'Maecenas in enim eget turpis sollicitudin volutpat. Praesent iaculis enim eu sapien fringilla, et iaculis sem efficitur. Fusce justo elit, placerat at lectus at, interdum suscipit metus. In tincidunt diam sed turpis pulvinar convallis. Aenean vulputate vitae lorem in finibus. Donec aliquam dolor ut arcu faucibus efficitur. Phasellus sed orci non purus convallis feugiat ac ut lectus. Morbi nec arcu consequat, lobortis nibh porta, commodo lectus. Curabitur elementum porttitor blandit.','','full_html'),('node','properties',0,48,48,'und',0,'Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec tristique orci non metus commodo, rutrum maximus odio ullamcorper. Praesent eu luctus erat. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec dapibus imperdiet metus ut bibendum. Sed blandit vitae ex et convallis. Integer at elit sagittis ligula mollis facilisis. Morbi ornare, ipsum quis viverra blandit, leo elit varius ex, convallis sollicitudin sapien quam non sem.','','full_html'),('node','properties',0,49,49,'und',0,'Donec varius erat quis ex aliquam, vel semper dolor fringilla. Nam cursus nisl vitae velit ultrices, sed vulputate est pretium. Phasellus a feugiat lacus. Donec at congue purus. Nam sodales nisl neque, ut efficitur tortor luctus non. Aliquam bibendum, purus non eleifend laoreet, ex sem ornare lectus, at vestibulum ante nisi quis urna. Quisque imperdiet non nibh sit amet faucibus. Etiam feugiat ultricies tempus. Nullam a massa blandit, semper velit luctus, aliquam lectus.\r\n\r\nSed vitae ipsum luctus, interdum tortor nec, blandit risus. Nullam tristique congue diam, quis tincidunt massa. Praesent commodo eros diam, eu dapibus felis cursus a. Fusce nec volutpat risus. Nulla justo nisl, lobortis a sapien sit amet, commodo dapibus metus. Phasellus et molestie metus. Pellentesque nec hendrerit eros, auctor dignissim nulla. Praesent molestie sapien augue, ut tempus neque molestie a. Suspendisse odio massa, placerat ac gravida ac, ornare ac massa. Praesent pellentesque lobortis augue auctor volutpat. Phasellus nec ex eu leo tincidunt accumsan. Suspendisse non neque eu tortor lacinia congue. Praesent aliquam diam at lorem euismod posuere. Donec non nunc sagittis, luctus ipsum eu, cursus ante.','','full_html'),('node','properties',0,50,50,'und',0,'Duis porttitor tortor quis ex mattis semper. Proin leo massa, porttitor eu cursus ut, facilisis interdum urna. Maecenas rutrum dolor eget rhoncus volutpat. Quisque rhoncus consectetur leo, laoreet dictum velit semper non. Praesent volutpat tincidunt velit. Curabitur sodales urna quis dapibus pretium. Integer nec porta nisl, et commodo magna. Aenean volutpat lacus justo, varius efficitur purus hendrerit luctus. Aenean sem nisl, vehicula in gravida a, hendrerit eget ex. Pellentesque quam tortor, cursus ac mi et, ultricies efficitur neque. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Cras a efficitur ipsum, at tincidunt elit.\r\n\r\nUt a quam nulla. Cras nec imperdiet mi, vel mollis sem. Sed et ligula pulvinar, euismod orci luctus, facilisis est. In risus purus, tincidunt ac sem a, dapibus varius arcu. Mauris sagittis dolor augue, quis posuere ipsum pellentesque et. Nunc risus justo, venenatis id est nec, mattis faucibus felis. Nulla imperdiet quam ut mauris consequat, sit amet tincidunt nunc accumsan. Donec porta, sapien nec iaculis blandit, velit ipsum mattis quam, a malesuada eros erat eu sem. Vestibulum sed dolor fermentum, faucibus sem non, luctus metus. Nunc rhoncus sollicitudin sem, eu molestie metus vestibulum a. Phasellus pellentesque viverra sapien, pellentesque aliquam mi rhoncus in. Quisque eu tristique ante. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;','','full_html'),('node','properties',0,51,51,'und',0,'Maecenas semper est vel massa scelerisque, a molestie massa aliquet. Morbi sem tellus, interdum sit amet luctus id, ultricies eu leo. Vivamus justo ante, accumsan nec velit nec, consequat imperdiet arcu. Duis ipsum lectus, interdum eu nisi sit amet, consequat imperdiet nisi. Quisque sit amet semper diam, ultricies suscipit lacus. Etiam non finibus nisl. Proin pretium tortor varius tempor hendrerit. Ut viverra ut enim sed viverra. Integer sit amet mauris mollis, pulvinar arcu non, rutrum nisl. Vivamus volutpat nunc tortor, et aliquet ex condimentum nec. Duis mi risus, rutrum id accumsan in, porttitor id sapien.\r\n\r\nAenean at quam dui. Morbi euismod, enim finibus varius placerat, leo sem pellentesque erat, vitae facilisis justo mi in mi. Vestibulum id quam mauris. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Curabitur volutpat placerat orci ac congue. Ut risus neque, rhoncus et consequat eget, porttitor eget tortor. Nullam tincidunt nibh augue, ut ultrices arcu tincidunt quis. Praesent nec felis a elit porttitor vestibulum sed ut diam.','','full_html'),('node','properties',0,52,52,'und',0,'Nullam rutrum arcu at mollis efficitur. Quisque luctus mi eget ultrices tempor. Curabitur ut elementum ipsum, ultricies tincidunt augue. Sed dignissim bibendum facilisis. Vivamus tortor ipsum, iaculis id placerat quis, fringilla eu arcu. Integer eget ipsum sed urna auctor pellentesque nec vel augue. Sed non libero eget sem lacinia blandit ut quis tortor. Interdum et malesuada fames ac ante ipsum primis in faucibus. In hac habitasse platea dictumst. Nulla purus libero, tristique cursus velit ut, imperdiet feugiat ligula.\r\n\r\nNullam lacinia, lorem in fringilla finibus, velit eros consectetur purus, eu sodales diam risus ut nibh. Curabitur congue sem quam, sed sodales diam aliquet a. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin sit amet lectus sit amet urna pharetra ullamcorper. Maecenas vel orci nec ex efficitur tincidunt. Donec vitae lobortis neque, vitae commodo tortor. Donec vitae suscipit libero.','','full_html'),('node','properties',0,53,53,'und',0,'Vestibulum ac ultricies nisi. Ut fringilla, arcu eget tempus iaculis, diam velit ornare ex, a condimentum purus ante vel massa. Praesent elementum ligula non eros lacinia, id tempor nisl sollicitudin. Suspendisse leo mauris, condimentum at urna vel, dictum bibendum ante. Aliquam erat volutpat. Duis a finibus sem. Morbi lacinia tristique sem, ut efficitur est condimentum et. Integer tortor sem, tincidunt quis bibendum nec, elementum sed turpis. Praesent eu sodales quam. In placerat nulla ut massa congue dignissim. Donec id leo sed mi rutrum suscipit ut eu ipsum. Donec egestas diam eget massa rhoncus molestie. Vivamus tincidunt nulla magna. Curabitur non erat lacus.\r\n\r\nVivamus non ipsum sed mi scelerisque vehicula ut vitae nunc. Etiam in metus accumsan, eleifend magna eu, dignissim ante. Mauris gravida neque ipsum, id lobortis enim bibendum vitae. Morbi iaculis nisi in velit consectetur aliquet. Sed lacinia faucibus nisi ac semper. Curabitur a massa quis felis hendrerit tempor. Cras id egestas sapien. Sed in nisl est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Etiam ac eros consectetur, accumsan ex et, scelerisque orci. Nullam vehicula ex nunc, ut congue orci blandit vulputate. Phasellus molestie accumsan augue.','','full_html'),('node','properties',0,54,54,'und',0,'Pellentesque non aliquet turpis. Morbi eu mi at arcu malesuada porta. Mauris tincidunt neque id mauris viverra facilisis. Integer sed elementum leo, et imperdiet justo. Fusce non auctor lacus, quis aliquam ligula. Duis dictum sit amet ipsum a pretium. Vivamus elementum lorem tellus, et elementum lectus volutpat ac. Curabitur cursus tellus non suscipit fringilla. Ut sit amet nisi nec nulla iaculis congue. Morbi gravida purus ac dui volutpat fringilla. Vestibulum blandit malesuada faucibus. Sed tempor ex sed est pharetra, ut commodo odio dictum. Aliquam interdum, ipsum suscipit venenatis pretium, arcu justo tempor elit, ac molestie est lacus quis nisi. Sed ut posuere risus, ut mattis nulla. Sed hendrerit nulla ut quam dictum, non ullamcorper leo accumsan. Nunc tristique malesuada ipsum eu elementum.\r\n\r\nAliquam et eros ullamcorper, ullamcorper nunc a, hendrerit libero. Nam rhoncus dictum felis. Maecenas nec erat at nunc lacinia varius. Proin non eros non nisl commodo vulputate. Fusce id congue quam. Donec ullamcorper quam semper, molestie ante sed, vulputate dui. Cras sit amet ligula eget enim malesuada finibus at et enim. Donec congue, sem eget luctus tempus, enim quam finibus quam, sed lobortis tellus sem eget lectus. Sed tempor rutrum ex. Interdum et malesuada fames ac ante ipsum primis in faucibus. Sed ac risus lacinia, auctor mauris a, maximus purus. Maecenas a lectus porta, luctus est quis, ultrices eros. Ut posuere risus augue, ut condimentum sapien consectetur id. Nulla quis varius eros. Nunc congue, mi sed interdum dictum, augue risus porta erat, eu maximus erat tortor sit amet quam. Ut dolor libero, facilisis a tortor et, laoreet suscipit velit.','','full_html'),('node','properties',0,55,55,'und',0,'Duis feugiat vitae libero eget lobortis. Sed porta mollis auctor. Ut eu convallis velit, ac imperdiet lacus. Integer ut dapibus lectus. Ut laoreet neque sed orci pellentesque, ut luctus nulla egestas. Suspendisse et turpis nec leo interdum ultricies in quis lectus. Donec molestie ac justo eget interdum.\r\n\r\nNulla facilisi. Donec viverra sollicitudin dapibus. Morbi nec euismod orci. Fusce tincidunt massa quis consectetur feugiat. Phasellus id fermentum quam, vitae vehicula nibh. Sed luctus maximus lorem a lacinia. Vivamus eu nunc nec lorem egestas congue. Integer lobortis massa magna, at vestibulum risus consectetur ut.\r\n\r\nMorbi cursus tellus sed lectus consequat porta. Sed congue egestas sagittis. Sed pulvinar, augue ullamcorper tempor facilisis, nisi orci facilisis dui, sed dictum sem justo quis lacus. Nullam vitae velit vestibulum, sollicitudin quam mattis, ultricies felis. Phasellus mollis tortor nec orci varius, at efficitur turpis iaculis. Cras sed ultricies est. Proin elementum vitae nibh hendrerit lacinia.\r\n\r\nNulla arcu ipsum, blandit ac accumsan vitae, maximus at nulla. Nunc augue libero, congue vitae varius id, rutrum eu massa. Proin fringilla semper nulla at semper. Maecenas quam velit, vehicula et ipsum sed, sodales eleifend ante. Sed gravida nulla nec velit porttitor, vitae rutrum dui blandit. Donec sapien sem, commodo vitae placerat vel, efficitur feugiat erat. Phasellus vel egestas purus. Quisque dignissim sed ex non tincidunt. In semper nisl quis nulla sollicitudin, efficitur luctus lacus gravida. Vivamus finibus felis vitae euismod convallis. Nullam a augue faucibus, sollicitudin nulla eget, tristique sem. Etiam auctor ornare cursus. Maecenas erat augue, consectetur nec porta ac, blandit eget neque.','','full_html'),('node','page',0,56,56,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur suscipit gravida nibh, vel pharetra massa ultrices ac. Proin mollis finibus dignissim. Integer vel commodo ex, et egestas lacus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Morbi posuere mauris et volutpat accumsan. Aliquam tortor mi, rutrum nec velit non, semper laoreet diam. Etiam placerat congue diam ullamcorper commodo. Phasellus dui eros, posuere pharetra erat sit amet, porttitor lobortis risus. Nulla facilisis mollis dapibus.\r\n\r\nNulla et est a quam sodales posuere. Cras non condimentum dui. Donec a mollis metus. Donec sit amet nisi risus. Nulla et purus ut orci convallis rutrum ut non velit. Morbi eget blandit nibh. Suspendisse potenti. In convallis vel ex ut tempor. Mauris ullamcorper lacinia volutpat. Phasellus sit amet placerat lorem, id sodales mauris. Morbi mollis velit ac sapien commodo viverra. Pellentesque hendrerit vestibulum ligula, sed vehicula metus vulputate ac. Nulla ullamcorper erat nec nibh dignissim, et auctor arcu imperdiet. Maecenas id nulla elementum tortor fermentum sagittis. Cras maximus diam sed venenatis iaculis.\r\n\r\nDonec ut scelerisque risus, tristique euismod ante. Nam convallis, urna non vulputate maximus, felis turpis hendrerit odio, non volutpat neque ex eu arcu. In nisl leo, sagittis vitae nunc quis, vulputate vulputate nulla. Duis massa augue, gravida vitae facilisis vitae, viverra sit amet neque. Nullam placerat blandit diam, varius lobortis justo accumsan sit amet. Nam dapibus orci nunc. Aliquam sed fringilla metus, sed feugiat ligula. Nunc vel sem et metus pharetra mattis sit amet bibendum ex. Cras tellus odio, placerat vitae tortor ornare, imperdiet gravida enim.','','full_html'),('node','page',0,57,57,'und',0,'Duis sagittis mi et vestibulum pharetra. Phasellus a vulputate tellus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec augue sapien, aliquet at urna cursus, porta gravida urna. Aenean vitae nunc ultricies, fringilla est vel, mattis ex. Praesent at orci tempus, placerat magna non, tristique ipsum. Quisque urna dui, egestas vel nulla sit amet, consequat sollicitudin lorem. Fusce semper est sed augue suscipit, at ultricies metus sodales. Fusce lorem sem, interdum eu luctus et, volutpat quis augue. Etiam pharetra dapibus ligula eu rhoncus. Maecenas eros lacus, facilisis at porttitor id, aliquet sit amet purus. Sed viverra, velit auctor consectetur fringilla, nunc dolor ullamcorper nisl, nec cursus lorem mi a erat. Sed efficitur, lacus ut bibendum volutpat, nisi augue molestie risus, id aliquam libero ex et nisl. Nullam sodales non est vel tristique. In pellentesque sem vitae euismod tempus.\r\n\r\nUt porta tortor rutrum urna molestie luctus. Aliquam tempor libero et velit eleifend porttitor. Maecenas varius lacinia viverra. Morbi bibendum felis at consequat ultrices. Quisque sed pharetra quam, id interdum risus. Phasellus porttitor magna id leo bibendum aliquam. In enim augue, efficitur ut facilisis id, bibendum facilisis dui. Proin lobortis turpis in vestibulum lacinia. Nunc consectetur a diam viverra tincidunt. Cras convallis nulla dui, vel feugiat justo congue a. Donec ac erat sed nisl semper condimentum vitae vitae ipsum. Duis velit quam, mattis vel velit ac, vehicula tristique libero.\r\n\r\nDonec quis scelerisque velit, vitae congue ex. Nunc rhoncus, felis nec lacinia porttitor, mi elit dictum ante, vel efficitur libero erat nec neque. Donec quam sem, congue vel metus eget, condimentum rhoncus sem. Pellentesque faucibus placerat elit placerat maximus. Nam ultrices fermentum consequat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam ut quam odio.','','full_html'),('node','page',0,58,58,'und',0,'Maecenas convallis mi ac lacus pulvinar efficitur. Praesent vehicula felis vitae consectetur vehicula. Morbi ut erat sed tortor feugiat luctus. Vestibulum congue fringilla sapien quis scelerisque. Phasellus dui ex, efficitur ac posuere tempus, lacinia in urna. Nullam dignissim tortor elit, a luctus velit aliquam quis. Fusce facilisis eros vel eros sollicitudin congue. Ut tincidunt rutrum ligula ut iaculis. Phasellus mi ex, ullamcorper eu posuere et, consequat nec lorem. Suspendisse euismod nibh id erat ornare, id maximus tellus commodo. Nam pulvinar mattis dolor eget posuere. Sed imperdiet vel lacus id rhoncus. Nunc mollis justo in felis placerat, in feugiat nibh facilisis. Phasellus luctus facilisis tortor nec vestibulum. Sed rhoncus et ante eget malesuada.\r\n\r\nDonec non metus non lacus feugiat varius et aliquet orci. Donec mauris sapien, volutpat quis est vitae, egestas porta sapien. Nam elementum cursus dui, eget rutrum orci ultrices eget. Sed congue, metus eget aliquam lacinia, turpis nulla tempor sapien, in ullamcorper est ipsum sed odio. Suspendisse varius eros nec elementum feugiat. Quisque commodo ornare orci vitae tristique. Vivamus et ante in sapien porttitor tincidunt. Ut in nisl non tellus auctor feugiat et eget nisi. Ut et efficitur nulla, eget pellentesque justo. Proin mi augue, sollicitudin non vestibulum vulputate, cursus id nunc.\r\n\r\nVestibulum facilisis lacinia pellentesque. Donec ut mauris orci. In hac habitasse platea dictumst. Pellentesque vitae fermentum velit. Proin magna sem, fringilla vel vehicula non, pharetra sit amet purus. Vivamus rutrum dictum dolor, porta facilisis felis rhoncus a. Mauris tristique leo dolor, a tristique enim consectetur a. Nunc semper viverra velit at aliquam. Nullam volutpat sodales eros, et ultricies ex sollicitudin non. Vestibulum eu luctus risus. Mauris fringilla massa mi, quis lobortis mi maximus eu. Morbi a cursus sem. Etiam metus eros, semper et arcu sit amet, pharetra dignissim nulla. Cras sit amet purus et tortor accumsan blandit ut ut ligula. Suspendisse id posuere quam, vel semper ex. Nam ac sodales massa.','','full_html'),('node','page',0,59,59,'und',0,'Curabitur tristique, elit cursus porttitor bibendum, nunc sapien maximus mauris, id euismod sem enim vitae justo. Pellentesque ornare venenatis ipsum, ut convallis erat congue in. Curabitur sed accumsan massa. Sed ut maximus sem, a tincidunt odio. Vivamus vehicula varius nulla scelerisque sollicitudin. Donec auctor scelerisque porta. Fusce ac tellus dolor. Phasellus id ex ligula. Donec eu mattis risus. Integer malesuada augue nibh, eu ullamcorper odio sodales commodo. Aliquam nec malesuada lectus, a aliquam dolor. Fusce gravida sem ut ex maximus, quis interdum ipsum consectetur. Nulla facilisi. Quisque ullamcorper viverra elit. Sed nec molestie ipsum, volutpat sollicitudin libero. Nullam sollicitudin tempus porttitor.\r\n\r\nMauris tempus lorem eu luctus mattis. Nunc gravida, sapien non sollicitudin feugiat, nulla odio imperdiet velit, vitae suscipit arcu est vitae risus. Cras dignissim dui et elit accumsan, et semper purus tempor. Cras sollicitudin dictum mollis. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas porttitor auctor porttitor. Fusce venenatis nisl in urna volutpat, eu consectetur lacus malesuada. Pellentesque lacinia, elit eget rhoncus pretium, quam ex convallis metus, ac fermentum odio sem sit amet mauris. Fusce bibendum eget erat at eleifend. Fusce vitae risus vitae leo mollis pharetra non vitae mauris. In hac habitasse platea dictumst. Pellentesque a sapien sapien.\r\n\r\nUt velit ante, ultrices vel neque vel, rutrum hendrerit enim. Morbi vel sapien pulvinar, bibendum nisi nec, posuere ligula. Sed lectus augue, porttitor at tristique sed, rhoncus in purus. Quisque luctus massa a volutpat finibus. Morbi vitae lectus et ex ultricies sagittis. Integer quis finibus metus. Morbi convallis dolor molestie, dapibus dolor ut, fermentum metus. Cras accumsan sem ac luctus dictum. Proin cursus massa sit amet ultrices vestibulum.','','full_html'),('node','page',0,60,60,'und',0,'Nullam at nibh venenatis, porttitor lorem sit amet, congue lorem. Nam feugiat lectus sit amet tincidunt sollicitudin. Curabitur condimentum finibus neque quis maximus. Maecenas posuere facilisis lectus, id laoreet tellus euismod sit amet. Maecenas sed lorem quis est rhoncus mollis. Mauris ac mattis metus. Pellentesque vehicula nisl id velit luctus scelerisque. Phasellus elementum vestibulum tristique. Nunc aliquet dolor vitae sapien malesuada ullamcorper. Nulla facilisi.\r\n\r\nSed et lacinia justo. Aenean non ligula laoreet lacus mollis egestas. Fusce ullamcorper tellus ut velit vehicula auctor. Nunc aliquet finibus nisi nec fringilla. Etiam hendrerit sapien a nisi gravida ornare sed nec magna. Phasellus congue sodales suscipit. In eros elit, laoreet id facilisis rutrum, consequat ac ligula. Curabitur aliquam iaculis ante, id vestibulum felis sodales et. Suspendisse metus nulla, sollicitudin vitae odio sed, mattis blandit dolor. Mauris rutrum luctus ipsum et commodo. Maecenas elit nisl, ullamcorper in porttitor vel, viverra in nisi. Cras maximus ullamcorper egestas. Nullam tristique erat in aliquam tincidunt.\r\n\r\nUt ac sem nibh. In non lectus euismod, ullamcorper nulla at, vulputate sapien. Ut tristique elit augue, eget rhoncus risus tincidunt vitae. Pellentesque nec ipsum quis sem tristique luctus. Duis varius congue neque, eget convallis quam varius nec. Nam pellentesque nisl justo, a vulputate urna ullamcorper at. Nullam ultricies cursus eleifend. Integer vestibulum facilisis diam, id volutpat libero. Nulla mollis erat ut dolor faucibus, sit amet fermentum neque cursus.','','full_html'),('node','page',0,61,61,'und',0,'Suspendisse at imperdiet lectus. Proin auctor nisl lectus, at viverra metus sagittis id. Aenean semper turpis sit amet mauris suscipit pellentesque. Ut risus lectus, finibus in arcu consectetur, pellentesque cursus nunc. Fusce sodales aliquam ex eget tempus. Mauris elementum dignissim mi id mattis. Curabitur convallis sem a nunc porttitor, at ullamcorper mi faucibus. Vestibulum molestie a felis ut semper. Ut ut ante odio. Vestibulum laoreet molestie dolor laoreet suscipit. Mauris ultrices sed mi sit amet condimentum. Pellentesque turpis turpis, consectetur quis venenatis nec, consectetur at quam. Donec vulputate nunc lectus.\r\n\r\nAenean non mollis leo. Mauris placerat id mi ac luctus. In sed mi in risus hendrerit scelerisque nec et eros. Suspendisse suscipit ipsum eget blandit dictum. Nulla auctor convallis lectus, et tincidunt elit scelerisque quis. Phasellus ultricies ligula quam, pulvinar posuere eros molestie quis. Nunc tincidunt tortor et nisl aliquet, et pellentesque sem accumsan. Proin vel massa vel neque gravida tempor. Vivamus efficitur turpis augue, eu congue turpis gravida non. Phasellus tempus nulla ante, at ultricies arcu accumsan et. Maecenas lobortis metus id neque dignissim, nec sodales quam rhoncus. In eleifend libero orci, eu gravida lectus mattis ut. Morbi pellentesque diam ante, et laoreet erat sollicitudin pulvinar. Etiam egestas, nibh vitae pulvinar rhoncus, ligula metus dapibus metus, iaculis porta augue lacus sed lacus.\r\n\r\nNunc pulvinar turpis massa, vitae tincidunt magna mattis in. Ut laoreet ex quis sem sodales facilisis. Ut tincidunt ex sed metus laoreet viverra. Suspendisse et aliquam enim. Nullam quis erat quis diam suscipit consectetur a vel tortor. Duis iaculis lobortis enim, eget mollis purus malesuada quis. Proin dignissim feugiat ullamcorper. Curabitur vel mauris bibendum eros auctor vulputate sed at neque. Aenean metus lorem, eleifend vitae sollicitudin eget, consectetur quis felis. Aenean elit eros, tempor et pharetra id, cursus a ex.','','full_html');
/*!40000 ALTER TABLE `field_revision_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_comment_body`
--

DROP TABLE IF EXISTS `field_revision_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_comment_body`
--

LOCK TABLES `field_revision_comment_body` WRITE;
/*!40000 ALTER TABLE `field_revision_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_blog',0,1,1,'und',0,'Nulla eget leo in mi vulputate gravida! Aliquam non augue placerat, pulvinar est nec, pellentesque ligula. Morbi placerat turpis nec neque aliquam, eget mattis magna vulputate. Donec lorem dolor, facilisis a sodales sed; facilisis quis neque. Ut sed sem pretium, euismod urna sit amet nullam sodales.\r\n','filtered_html'),('comment','comment_node_blog',0,2,2,'und',0,'Nulla facilisi. Phasellus nisi justo, dictum eu sollicitudin pellentesque, rhoncus sed eros. Praesent at congue enim? Duis pellentesque arcu ut gravida malesuada. Quisque a eros risus. Vivamus ornare laoreet felis, vel tempus arcu tempor vitae. Nullam porttitor est dignissim, iaculis risus volutpat.\r\n','filtered_html'),('comment','comment_node_blog',0,3,3,'und',0,'In at elementum nisl! Mauris eget tempor leo. Integer diam mi, condimentum et libero sed, convallis posuere nisl. In porta, odio id placerat auctor; sem enim venenatis felis, sed vehicula est elit eu metus. Phasellus nisi leo, condimentum ut ipsum non, luctus convallis nisi. Praesent urna cras amet.\r\n','filtered_html'),('comment','comment_node_blog',0,4,4,'und',0,'In ac libero at ipsum faucibus tincidunt. Integer porttitor neque iaculis hendrerit eleifend. In ac congue libero. Nam varius vitae neque eget feugiat. Ut scelerisque fermentum tortor. Vivamus ut urna neque. Nulla mauris ipsum; pharetra quis rutrum convallis, blandit id mauris. Sed tincidunt nullam.\r\n','filtered_html'),('comment','comment_node_blog',0,5,5,'und',0,'Interdum et malesuada fames ac ante ipsum primis in faucibus. Praesent vulputate dui purus, vel pulvinar orci mollis et. Ut suscipit felis eu mattis semper. Integer nec magna eu orci mollis rhoncus at et metus. Donec eget sapien orci. Praesent id tortor sapien. Sed venenatis ipsum id sapien posuere.\r\n','filtered_html');
/*!40000 ALTER TABLE `field_revision_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_address`
--

DROP TABLE IF EXISTS `field_revision_field_address`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_address` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_address_country` varchar(2) DEFAULT '' COMMENT 'Two letter ISO country code of this address.',
  `field_address_administrative_area` varchar(255) DEFAULT '' COMMENT 'The administrative area of this address. (i.e. State/Province)',
  `field_address_sub_administrative_area` varchar(255) DEFAULT '' COMMENT 'The sub administrative area of this address.',
  `field_address_locality` varchar(255) DEFAULT '' COMMENT 'The locality of this address. (i.e. City)',
  `field_address_dependent_locality` varchar(255) DEFAULT '' COMMENT 'The dependent locality of this address.',
  `field_address_postal_code` varchar(255) DEFAULT '' COMMENT 'The postal code of this address.',
  `field_address_thoroughfare` varchar(255) DEFAULT '' COMMENT 'The thoroughfare of this address. (i.e. Street address)',
  `field_address_premise` varchar(255) DEFAULT '' COMMENT 'The premise of this address. (i.e. Apartment / Suite number)',
  `field_address_sub_premise` varchar(255) DEFAULT '' COMMENT 'The sub_premise of this address.',
  `field_address_organisation_name` varchar(255) DEFAULT '' COMMENT 'Contents of a primary OrganisationName element in the xNL XML.',
  `field_address_name_line` varchar(255) DEFAULT '' COMMENT 'Contents of a primary NameLine element in the xNL XML.',
  `field_address_first_name` varchar(255) DEFAULT '' COMMENT 'Contents of the FirstName element of a primary PersonName element in the xNL XML.',
  `field_address_last_name` varchar(255) DEFAULT '' COMMENT 'Contents of the LastName element of a primary PersonName element in the xNL XML.',
  `field_address_data` longtext COMMENT 'Additional data for this address.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 49 (field_address)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_address`
--

LOCK TABLES `field_revision_field_address` WRITE;
/*!40000 ALTER TABLE `field_revision_field_address` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_address` VALUES ('node','properties',0,1,1,'und',0,'US','CA',NULL,'Orange','','92867','638 N Hart St','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,20,20,'und',0,'US','CA',NULL,'Orange','','92869','4900 E Chapman Ave UNIT 22','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,21,21,'und',0,'US','CA',NULL,'Orange','','92869','186 N Quail Ln','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,25,25,'und',0,'US','CA',NULL,'Orange','','92869','5744 E Creekside Ave UNIT 55','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,26,26,'und',0,'US','CA',NULL,'Orange','','92867','692 N Adele St SPC 120','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,27,27,'und',0,'US','CA',NULL,'Orange','','92869','4431 E Silverleaf Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,28,28,'und',0,'US','CA',NULL,'Orange','','92869','160 S Kathleen Ln','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,29,29,'und',0,'US','CA',NULL,'Orange','','92869','550 N Turnberry Dr','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,30,30,'und',0,'US','CA',NULL,'Orange','','92869','632 N Oxford Ct','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,31,31,'und',0,'US','CA',NULL,'Santa Ana','','92705','12334 Circula Panorama','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,34,34,'und',0,'US','CA',NULL,'Orange','','92869','6226 E Cliffway Dr','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,35,35,'und',0,'TR',NULL,NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,36,36,'und',0,'US','CA',NULL,'Orange','','92869','6150 E Allison Cir','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,37,37,'und',0,'TH','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,38,38,'und',0,'TK',NULL,NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,39,39,'und',0,'VI','CA',NULL,'Orange','','92869','5802 E Bottlebrush Dr','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,45,45,'und',0,'US','CA',NULL,'Orange','','92869','4125 E Marmon Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,46,46,'und',0,'US','CA',NULL,'Orange','','92869','18932 E Center Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,47,47,'und',0,'US','CA',NULL,'Orange','','92869','11685 Blackthorn Ln','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,48,48,'und',0,'US','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,49,49,'und',0,'US','CA',NULL,'Orange','','92869','4429 E Justice Cir','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,50,50,'und',0,'US','CA',NULL,'Orange','','92869','11752 S Esplanade St','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,51,51,'und',0,'US','CA',NULL,'Orange','','92869','3831 E Sycamore Ave','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,52,52,'und',0,'US','CA',NULL,'Orange','','92869','4900 E Chapman Ave UNIT 48','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,53,53,'und',0,'US','CA',NULL,'Santa Ana','','92705','12601 Baja Panorama','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,54,54,'und',0,'US','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL),('node','properties',0,55,55,'und',0,'US','UT',NULL,'Salt Lake',NULL,'84118','5651 W. Pine Shade Place','',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `field_revision_field_address` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_bathrooms`
--

DROP TABLE IF EXISTS `field_revision_field_bathrooms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_bathrooms` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bathrooms_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bathrooms_tid` (`field_bathrooms_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 6 (field_bathrooms)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_bathrooms`
--

LOCK TABLES `field_revision_field_bathrooms` WRITE;
/*!40000 ALTER TABLE `field_revision_field_bathrooms` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_bathrooms` VALUES ('node','properties',0,1,1,'und',0,8),('node','properties',0,20,20,'und',0,9),('node','properties',0,21,21,'und',0,9),('node','properties',0,25,25,'und',0,9),('node','properties',0,26,26,'und',0,8),('node','properties',0,27,27,'und',0,9),('node','properties',0,28,28,'und',0,7),('node','properties',0,29,29,'und',0,8),('node','properties',0,30,30,'und',0,8),('node','properties',0,31,31,'und',0,8),('node','properties',0,34,34,'und',0,12),('node','properties',0,35,35,'und',0,9),('node','properties',0,36,36,'und',0,10),('node','properties',0,37,37,'und',0,10),('node','properties',0,38,38,'und',0,10),('node','properties',0,39,39,'und',0,9),('node','properties',0,45,45,'und',0,8),('node','properties',0,46,46,'und',0,7),('node','properties',0,47,47,'und',0,8),('node','properties',0,48,48,'und',0,8),('node','properties',0,49,49,'und',0,9),('node','properties',0,50,50,'und',0,8),('node','properties',0,51,51,'und',0,8),('node','properties',0,52,52,'und',0,8),('node','properties',0,53,53,'und',0,8),('node','properties',0,54,54,'und',0,8),('node','properties',0,55,55,'und',0,8);
/*!40000 ALTER TABLE `field_revision_field_bathrooms` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_bedrooms`
--

DROP TABLE IF EXISTS `field_revision_field_bedrooms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_bedrooms` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bedrooms_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bedrooms_tid` (`field_bedrooms_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 5 (field_bedrooms)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_bedrooms`
--

LOCK TABLES `field_revision_field_bedrooms` WRITE;
/*!40000 ALTER TABLE `field_revision_field_bedrooms` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_bedrooms` VALUES ('node','properties',0,1,1,'und',0,19),('node','properties',0,20,20,'und',0,19),('node','properties',0,21,21,'und',0,19),('node','properties',0,25,25,'und',0,19),('node','properties',0,26,26,'und',0,18),('node','properties',0,27,27,'und',0,20),('node','properties',0,28,28,'und',0,18),('node','properties',0,29,29,'und',0,19),('node','properties',0,30,30,'und',0,18),('node','properties',0,31,31,'und',0,20),('node','properties',0,34,34,'und',0,20),('node','properties',0,35,35,'und',0,21),('node','properties',0,36,36,'und',0,18),('node','properties',0,37,37,'und',0,18),('node','properties',0,38,38,'und',0,19),('node','properties',0,39,39,'und',0,18),('node','properties',0,45,45,'und',0,18),('node','properties',0,46,46,'und',0,17),('node','properties',0,47,47,'und',0,20),('node','properties',0,48,48,'und',0,18),('node','properties',0,49,49,'und',0,20),('node','properties',0,50,50,'und',0,19),('node','properties',0,51,51,'und',0,18),('node','properties',0,52,52,'und',0,18),('node','properties',0,53,53,'und',0,19),('node','properties',0,54,54,'und',0,18),('node','properties',0,55,55,'und',0,19);
/*!40000 ALTER TABLE `field_revision_field_bedrooms` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_block`
--

DROP TABLE IF EXISTS `field_revision_field_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_block` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_block_moddelta` varchar(129) NOT NULL DEFAULT '',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `moddelta` (`field_block_moddelta`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 63 (field_block)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_block`
--

LOCK TABLES `field_revision_field_block` WRITE;
/*!40000 ALTER TABLE `field_revision_field_block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_block` VALUES ('node','page',0,62,62,'und',0,'quicktabs:property_filter'),('node','page',0,63,63,'und',0,'quicktabs:home_page_2');
/*!40000 ALTER TABLE `field_revision_field_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_business_type`
--

DROP TABLE IF EXISTS `field_revision_field_business_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_business_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_business_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_business_type_tid` (`field_business_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 15 (field_business_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_business_type`
--

LOCK TABLES `field_revision_field_business_type` WRITE;
/*!40000 ALTER TABLE `field_revision_field_business_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_business_type` VALUES ('node','properties',0,1,1,'und',0,33),('node','properties',0,20,20,'und',0,34),('node','properties',0,21,21,'und',0,33),('node','properties',0,25,25,'und',0,33),('node','properties',0,26,26,'und',0,34),('node','properties',0,27,27,'und',0,33),('node','properties',0,28,28,'und',0,34),('node','properties',0,29,29,'und',0,34),('node','properties',0,30,30,'und',0,33),('node','properties',0,31,31,'und',0,33),('node','properties',0,34,34,'und',0,34),('node','properties',0,35,35,'und',0,33),('node','properties',0,36,36,'und',0,33),('node','properties',0,37,37,'und',0,33),('node','properties',0,38,38,'und',0,34),('node','properties',0,39,39,'und',0,33),('node','properties',0,45,45,'und',0,34),('node','properties',0,46,46,'und',0,34),('node','properties',0,47,47,'und',0,33),('node','properties',0,48,48,'und',0,34),('node','properties',0,49,49,'und',0,34),('node','properties',0,50,50,'und',0,34),('node','properties',0,51,51,'und',0,33),('node','properties',0,52,52,'und',0,33),('node','properties',0,53,53,'und',0,33),('node','properties',0,54,54,'und',0,34),('node','properties',0,55,55,'und',0,34);
/*!40000 ALTER TABLE `field_revision_field_business_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_category`
--

DROP TABLE IF EXISTS `field_revision_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 60 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_category`
--

LOCK TABLES `field_revision_field_category` WRITE;
/*!40000 ALTER TABLE `field_revision_field_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_category` VALUES ('node','blog',0,11,11,'und',0,84),('node','blog',0,11,11,'und',1,85),('node','blog',0,11,11,'und',2,87),('node','blog',0,12,12,'und',0,83),('node','blog',0,12,12,'und',1,84),('node','blog',0,12,12,'und',2,85),('node','blog',0,13,13,'und',0,84),('node','blog',0,13,13,'und',1,87),('node','blog',0,13,13,'und',2,82),('node','blog',0,33,33,'und',0,83),('node','blog',0,33,33,'und',1,84),('node','blog',0,33,33,'und',2,85),('node','blog',0,33,33,'und',3,87),('node','blog',0,33,33,'und',4,82),('node','blog',0,33,33,'und',5,86),('node','blog',0,40,40,'und',0,83),('node','blog',0,40,40,'und',1,85),('node','blog',0,40,40,'und',2,87),('node','blog',0,40,40,'und',3,82),('node','blog',0,40,40,'und',4,86);
/*!40000 ALTER TABLE `field_revision_field_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_content`
--

DROP TABLE IF EXISTS `field_revision_field_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_content` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_content_value` int(11) DEFAULT NULL COMMENT 'The field collection item id.',
  `field_content_revision_id` int(11) DEFAULT NULL COMMENT 'The field collection item revision id.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_content_revision_id` (`field_content_revision_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 56 (field_content)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_content`
--

LOCK TABLES `field_revision_field_content` WRITE;
/*!40000 ALTER TABLE `field_revision_field_content` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_content` VALUES ('node','blog',0,11,11,'und',0,7,7),('node','blog',0,11,11,'und',1,8,8),('node','blog',0,11,11,'und',2,9,9),('node','blog',0,12,12,'und',0,4,4),('node','blog',0,12,12,'und',1,5,5),('node','blog',0,12,12,'und',2,6,6),('node','blog',0,13,13,'und',0,1,1),('node','blog',0,13,13,'und',1,2,2),('node','blog',0,13,13,'und',2,3,3),('node','blog',0,33,33,'und',0,10,10),('node','blog',0,33,33,'und',1,11,11),('node','blog',0,33,33,'und',2,12,12),('node','blog',0,40,40,'und',0,13,13),('node','blog',0,40,40,'und',1,14,14),('node','blog',0,40,40,'und',2,15,15);
/*!40000 ALTER TABLE `field_revision_field_content` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_description`
--

DROP TABLE IF EXISTS `field_revision_field_description`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_description` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_description_value` longtext,
  `field_description_summary` longtext,
  `field_description_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_description_format` (`field_description_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 30 (field_description)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_description`
--

LOCK TABLES `field_revision_field_description` WRITE;
/*!40000 ALTER TABLE `field_revision_field_description` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_description` VALUES ('bean','who_we_are_block',0,1,1,'und',0,'We have a total of 25+ years combined experience dealing exclusively with New York buyers and sellers. Cras eleifend elit quis iaculis vulputate, mauris congue ornare dolor.','','filtered_html'),('bean','who_we_are_block',0,1,2,'und',0,'We have a total of 25+ years combined experience dealing exclusively with New York buyers and sellers. Cras eleifend elit quis iaculis vulputate, mauris congue ornare dolor.','','filtered_html'),('user','user',0,2,2,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi posuere elementum orci, sed volutpat purus vulputate semper! Etiam vitae tincidunt urna. In tincidunt venenatis amet.\r\n','','filtered_html'),('user','user',0,3,3,'und',0,'Pellentesque a felis libero. Ut non elementum risus. Morbi quam dui, pretium fringilla rhoncus et, accumsan vitae eros. Curabitur volutpat ante sapien. Fusce auctor interdum metus.\r\n','','filtered_html'),('user','user',0,4,4,'und',0,'Curabitur et augue malesuada, ullamcorper metus non, mollis purus. Nulla at aliquet dolor, ut fermentum est.\r\n','','filtered_html'),('user','user',0,5,5,'und',0,'Maecenas dictum interdum mi sed lacinia. Vestibulum non sem vel nisl vehicula congue at sed quam. In hac habitasse platea dictumst. In sed augue rhoncus, posuere odio eget posuere.\r\n','','filtered_html');
/*!40000 ALTER TABLE `field_revision_field_description` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_email`
--

DROP TABLE IF EXISTS `field_revision_field_email`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_email` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_email_email` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 23 (field_email)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_email`
--

LOCK TABLES `field_revision_field_email` WRITE;
/*!40000 ALTER TABLE `field_revision_field_email` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_email` VALUES ('user','user',0,2,2,'und',0,'john@real.com'),('user','user',0,3,3,'und',0,'andrew@real.com'),('user','user',0,4,4,'und',0,'mark@real.com'),('user','user',0,5,5,'und',0,'maria@real.com');
/*!40000 ALTER TABLE `field_revision_field_email` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_facebook`
--

DROP TABLE IF EXISTS `field_revision_field_facebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_facebook` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_facebook_url` varchar(2048) DEFAULT NULL,
  `field_facebook_title` varchar(255) DEFAULT NULL,
  `field_facebook_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 24 (field_facebook)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_facebook`
--

LOCK TABLES `field_revision_field_facebook` WRITE;
/*!40000 ALTER TABLE `field_revision_field_facebook` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_facebook` VALUES ('user','user',0,1,1,'und',0,'http://facebook.com/weebpal','Facebook','a:0:{}'),('user','user',0,2,2,'und',0,'http://facebook.com','Facebook','a:0:{}'),('user','user',0,3,3,'und',0,'http://facebook.com','Facebook','a:0:{}'),('user','user',0,4,4,'und',0,'http://facebook.com','Facebook','a:0:{}'),('user','user',0,5,5,'und',0,'http://facebook.com','Facebook','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_facebook` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_fax`
--

DROP TABLE IF EXISTS `field_revision_field_fax`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_fax` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_fax_value` varchar(255) DEFAULT NULL,
  `field_fax_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_fax_format` (`field_fax_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 46 (field_fax)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_fax`
--

LOCK TABLES `field_revision_field_fax` WRITE;
/*!40000 ALTER TABLE `field_revision_field_fax` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_fax` VALUES ('user','user',0,2,2,'und',0,'0-390-700-8067',NULL),('user','user',0,3,3,'und',0,'0-390-700-8067',NULL),('user','user',0,4,4,'und',0,'0-390-700-8067',NULL),('user','user',0,5,5,'und',0,'0-390-700-8067',NULL);
/*!40000 ALTER TABLE `field_revision_field_fax` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_branches`
--

DROP TABLE IF EXISTS `field_revision_field_field_branches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_branches` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_branches_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_branches_tid` (`field_field_branches_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 47 (field_field_branches)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_branches`
--

LOCK TABLES `field_revision_field_field_branches` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_branches` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_branches` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_categories`
--

DROP TABLE IF EXISTS `field_revision_field_field_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_categories` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_categories_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_categories_tid` (`field_field_categories_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 59 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_categories`
--

LOCK TABLES `field_revision_field_field_categories` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_categories` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_categories` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_flickr_tags`
--

DROP TABLE IF EXISTS `field_revision_field_field_flickr_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_flickr_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_flickr_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_flickr_tags_tid` (`field_field_flickr_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 61 (field_field_flickr...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_flickr_tags`
--

LOCK TABLES `field_revision_field_field_flickr_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_flickr_tags` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_flickr_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_occupation`
--

DROP TABLE IF EXISTS `field_revision_field_field_occupation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_occupation` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_occupation_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_occupation_tid` (`field_field_occupation_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 42 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_occupation`
--

LOCK TABLES `field_revision_field_field_occupation` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_occupation` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_occupation` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_field_property_status`
--

DROP TABLE IF EXISTS `field_revision_field_field_property_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_field_property_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_field_property_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_field_property_status_tid` (`field_field_property_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 50 (field_field...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_field_property_status`
--

LOCK TABLES `field_revision_field_field_property_status` WRITE;
/*!40000 ALTER TABLE `field_revision_field_field_property_status` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_field_property_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_floor`
--

DROP TABLE IF EXISTS `field_revision_field_floor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_floor` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_floor_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_floor_tid` (`field_floor_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 16 (field_floor)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_floor`
--

LOCK TABLES `field_revision_field_floor` WRITE;
/*!40000 ALTER TABLE `field_revision_field_floor` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_floor` VALUES ('node','properties',0,1,1,'und',0,36),('node','properties',0,20,20,'und',0,37),('node','properties',0,21,21,'und',0,36),('node','properties',0,25,25,'und',0,36),('node','properties',0,26,26,'und',0,37),('node','properties',0,27,27,'und',0,37),('node','properties',0,28,28,'und',0,35),('node','properties',0,29,29,'und',0,37),('node','properties',0,30,30,'und',0,35),('node','properties',0,34,34,'und',0,37),('node','properties',0,35,35,'und',0,36),('node','properties',0,36,36,'und',0,36),('node','properties',0,37,37,'und',0,38),('node','properties',0,38,38,'und',0,36),('node','properties',0,39,39,'und',0,37),('node','properties',0,45,45,'und',0,37),('node','properties',0,46,46,'und',0,35),('node','properties',0,48,48,'und',0,37),('node','properties',0,49,49,'und',0,37),('node','properties',0,50,50,'und',0,35),('node','properties',0,51,51,'und',0,36),('node','properties',0,52,52,'und',0,35),('node','properties',0,53,53,'und',0,37),('node','properties',0,54,54,'und',0,36),('node','properties',0,55,55,'und',0,35);
/*!40000 ALTER TABLE `field_revision_field_floor` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_floor_area`
--

DROP TABLE IF EXISTS `field_revision_field_floor_area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_floor_area` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_floor_area_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 18 (field_floor_area)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_floor_area`
--

LOCK TABLES `field_revision_field_floor_area` WRITE;
/*!40000 ALTER TABLE `field_revision_field_floor_area` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_floor_area` VALUES ('node','properties',0,1,1,'und',0,150),('node','properties',0,20,20,'und',0,200),('node','properties',0,21,21,'und',0,150),('node','properties',0,25,25,'und',0,150),('node','properties',0,26,26,'und',0,200),('node','properties',0,27,27,'und',0,150),('node','properties',0,28,28,'und',0,120),('node','properties',0,29,29,'und',0,250),('node','properties',0,30,30,'und',0,150),('node','properties',0,31,31,'und',0,250),('node','properties',0,34,34,'und',0,200),('node','properties',0,35,35,'und',0,240),('node','properties',0,36,36,'und',0,180),('node','properties',0,37,37,'und',0,380),('node','properties',0,38,38,'und',0,160),('node','properties',0,39,39,'und',0,120),('node','properties',0,45,45,'und',0,150),('node','properties',0,46,46,'und',0,200),('node','properties',0,47,47,'und',0,250),('node','properties',0,48,48,'und',0,200),('node','properties',0,49,49,'und',0,250),('node','properties',0,50,50,'und',0,150),('node','properties',0,51,51,'und',0,150),('node','properties',0,52,52,'und',0,150),('node','properties',0,53,53,'und',0,200),('node','properties',0,54,54,'und',0,150),('node','properties',0,55,55,'und',0,300);
/*!40000 ALTER TABLE `field_revision_field_floor_area` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_full_name`
--

DROP TABLE IF EXISTS `field_revision_field_full_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_full_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_full_name_value` varchar(255) DEFAULT NULL,
  `field_full_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_full_name_format` (`field_full_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 27 (field_full_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_full_name`
--

LOCK TABLES `field_revision_field_full_name` WRITE;
/*!40000 ALTER TABLE `field_revision_field_full_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_full_name` VALUES ('user','user',0,2,2,'und',0,'John Poe',NULL),('user','user',0,3,3,'und',0,'Andrew White',NULL),('user','user',0,4,4,'und',0,'Mark Joe',NULL),('user','user',0,5,5,'und',0,'Maria Ben',NULL);
/*!40000 ALTER TABLE `field_revision_field_full_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gallery`
--

DROP TABLE IF EXISTS `field_revision_field_gallery`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gallery` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_gallery_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_gallery_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_gallery_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_gallery_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_fid` (`field_gallery_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 20 (field_gallery)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gallery`
--

LOCK TABLES `field_revision_field_gallery` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gallery` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gallery` VALUES ('node','properties',0,1,1,'und',0,98,'','',848,565),('node','properties',0,1,1,'und',1,194,'','',848,564),('node','properties',0,1,1,'und',2,195,'','',848,564),('node','properties',0,1,1,'und',3,196,'','',848,564),('node','blog',0,12,12,'und',0,175,'','',848,565),('node','blog',0,12,12,'und',1,176,'','',848,565),('node','blog',0,12,12,'und',2,177,'','',848,565),('node','page',0,14,14,'und',0,186,'Mauris non ante ante. Nam tincidunt vestibulum tincidunt','Nam tincidunt neque in libero aliquet interdum id malesuada odio',1170,600),('node','page',0,14,14,'und',1,187,'Curabitur cursus sem id sem tincidunt tincidunt','Morbi consequat sed nisl vitae laoreet. Nulla vitae tincidunt leo.',1170,600),('node','page',0,14,14,'und',2,188,'Quisque ac nisl non quam consequat tristique.','Morbi feugiat placerat facilisis. Donec in magna molestie, vehicula diam at.',1170,600),('node','properties',0,20,20,'und',0,122,'','',848,565),('node','properties',0,20,20,'und',1,200,'','',848,564),('node','properties',0,20,20,'und',2,201,'','',848,565),('node','properties',0,20,20,'und',3,202,'','',848,564),('node','properties',0,21,21,'und',0,118,'','',848,565),('node','properties',0,21,21,'und',1,221,'','',848,566),('node','properties',0,21,21,'und',2,222,'','',848,564),('node','properties',0,21,21,'und',3,223,'','',848,564),('node','properties',0,25,25,'und',0,116,'','',848,565),('node','properties',0,25,25,'und',1,218,'','',848,564),('node','properties',0,25,25,'und',2,219,'','',848,569),('node','properties',0,25,25,'und',3,220,'','',848,564),('node','properties',0,26,26,'und',0,93,'','',848,565),('node','properties',0,26,26,'und',1,215,'','',848,564),('node','properties',0,26,26,'und',2,216,'','',848,564),('node','properties',0,26,26,'und',3,217,'','',848,564),('node','properties',0,27,27,'und',0,86,'','',848,565),('node','properties',0,27,27,'und',1,206,'','',848,564),('node','properties',0,27,27,'und',2,207,'','',848,564),('node','properties',0,27,27,'und',3,208,'','',848,564),('node','properties',0,28,28,'und',0,83,'','',848,565),('node','properties',0,28,28,'und',1,203,'','',848,564),('node','properties',0,28,28,'und',2,204,'','',848,564),('node','properties',0,28,28,'und',3,205,'','',848,564),('node','properties',0,29,29,'und',0,76,'','',848,565),('node','properties',0,29,29,'und',1,209,'','',848,569),('node','properties',0,29,29,'und',2,210,'','',848,569),('node','properties',0,29,29,'und',3,211,'','',848,556),('node','properties',0,30,30,'und',0,70,'','',848,565),('node','properties',0,30,30,'und',1,212,'','',848,564),('node','properties',0,30,30,'und',2,213,'','',848,564),('node','properties',0,30,30,'und',3,214,'','',848,565),('node','properties',0,31,31,'und',0,65,'','',848,565),('node','properties',0,31,31,'und',1,239,'','',848,564),('node','properties',0,31,31,'und',2,240,'','',848,564),('node','properties',0,31,31,'und',3,241,'','',848,564),('node','properties',0,34,34,'und',0,127,'','',848,565),('node','properties',0,34,34,'und',1,224,'','',848,569),('node','properties',0,34,34,'und',2,225,'','',848,569),('node','properties',0,34,34,'und',3,226,'','',848,564),('node','properties',0,35,35,'und',0,132,'','',848,565),('node','properties',0,35,35,'und',1,227,'','',848,564),('node','properties',0,35,35,'und',2,228,'','',848,569),('node','properties',0,35,35,'und',3,229,'','',848,564),('node','properties',0,36,36,'und',0,141,'','',848,565),('node','properties',0,36,36,'und',1,230,'','',848,565),('node','properties',0,36,36,'und',2,231,'','',848,569),('node','properties',0,36,36,'und',3,232,'','',848,564),('node','properties',0,37,37,'und',0,143,'','',848,565),('node','properties',0,37,37,'und',1,233,'','',848,564),('node','properties',0,37,37,'und',2,234,'','',848,564),('node','properties',0,37,37,'und',3,235,'','',848,569),('node','properties',0,38,38,'und',0,147,'','',848,565),('node','properties',0,38,38,'und',1,236,'','',848,565),('node','properties',0,38,38,'und',2,237,'','',848,564),('node','properties',0,38,38,'und',3,238,'','',848,569),('node','properties',0,39,39,'und',0,156,'','',848,565),('node','properties',0,39,39,'und',1,192,'','',848,565),('node','properties',0,39,39,'und',2,193,'','',848,564),('node','properties',0,39,39,'und',3,242,'','',848,564),('node','properties',0,39,39,'und',4,243,'','',848,569),('node','properties',0,45,45,'und',0,245,'','',848,564),('node','properties',0,45,45,'und',1,246,'','',848,569),('node','properties',0,45,45,'und',2,247,'','',848,564),('node','properties',0,45,45,'und',3,248,'','',848,564),('node','properties',0,46,46,'und',0,250,'','',848,569),('node','properties',0,46,46,'und',1,251,'','',848,565),('node','properties',0,46,46,'und',2,252,'','',848,564),('node','properties',0,46,46,'und',3,253,'','',848,569),('node','properties',0,47,47,'und',0,255,'','',848,565),('node','properties',0,47,47,'und',1,256,'','',848,565),('node','properties',0,47,47,'und',2,257,'','',848,564),('node','properties',0,47,47,'und',3,258,'','',848,569),('node','properties',0,48,48,'und',0,260,'','',848,564),('node','properties',0,48,48,'und',1,261,'','',848,564),('node','properties',0,48,48,'und',2,262,'','',848,564),('node','properties',0,48,48,'und',3,263,'','',848,564),('node','properties',0,49,49,'und',0,265,'','',848,564),('node','properties',0,49,49,'und',1,266,'','',848,564),('node','properties',0,49,49,'und',2,267,'','',848,564),('node','properties',0,49,49,'und',3,268,'','',848,569),('node','properties',0,50,50,'und',0,276,'','',848,566),('node','properties',0,50,50,'und',1,272,'','',848,564),('node','properties',0,50,50,'und',2,273,'','',848,565),('node','properties',0,50,50,'und',3,274,'','',848,566),('node','properties',0,51,51,'und',0,278,'','',848,564),('node','properties',0,51,51,'und',1,280,'','',848,566),('node','properties',0,51,51,'und',2,281,'','',848,564),('node','properties',0,51,51,'und',3,282,'','',848,564),('node','properties',0,52,52,'und',0,284,'','',848,571),('node','properties',0,52,52,'und',1,285,'','',848,566),('node','properties',0,52,52,'und',2,286,'','',848,564),('node','properties',0,52,52,'und',3,287,'','',848,566),('node','properties',0,52,52,'und',4,288,'','',848,564),('node','properties',0,53,53,'und',0,290,'','',848,565),('node','properties',0,53,53,'und',1,291,'','',848,564),('node','properties',0,53,53,'und',2,292,'','',848,565),('node','properties',0,53,53,'und',3,293,'','',848,564),('node','properties',0,54,54,'und',0,295,'','',848,567),('node','properties',0,54,54,'und',1,296,'','',848,566),('node','properties',0,54,54,'und',2,297,'','',848,569),('node','properties',0,54,54,'und',3,298,'','',848,564),('node','properties',0,54,54,'und',4,299,'','',848,564),('node','properties',0,55,55,'und',0,301,'','',848,568),('node','properties',0,55,55,'und',1,302,'','',848,564),('node','properties',0,55,55,'und',2,303,'','',848,566),('node','properties',0,55,55,'und',3,304,'','',848,569),('node','properties',0,55,55,'und',4,305,'','',848,566);
/*!40000 ALTER TABLE `field_revision_field_gallery` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_garage`
--

DROP TABLE IF EXISTS `field_revision_field_garage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_garage` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_garage_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_garage_tid` (`field_garage_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 9 (field_garage)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_garage`
--

LOCK TABLES `field_revision_field_garage` WRITE;
/*!40000 ALTER TABLE `field_revision_field_garage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_garage` VALUES ('node','properties',0,1,1,'und',0,26),('node','properties',0,20,20,'und',0,27),('node','properties',0,21,21,'und',0,27),('node','properties',0,25,25,'und',0,27),('node','properties',0,26,26,'und',0,26),('node','properties',0,27,27,'und',0,26),('node','properties',0,29,29,'und',0,26),('node','properties',0,30,30,'und',0,26),('node','properties',0,31,31,'und',0,26),('node','properties',0,34,34,'und',0,27),('node','properties',0,35,35,'und',0,26),('node','properties',0,36,36,'und',0,27),('node','properties',0,37,37,'und',0,27),('node','properties',0,38,38,'und',0,26),('node','properties',0,39,39,'und',0,26),('node','properties',0,45,45,'und',0,26),('node','properties',0,46,46,'und',0,26),('node','properties',0,48,48,'und',0,27),('node','properties',0,49,49,'und',0,26),('node','properties',0,50,50,'und',0,26),('node','properties',0,51,51,'und',0,26),('node','properties',0,52,52,'und',0,26),('node','properties',0,53,53,'und',0,26),('node','properties',0,54,54,'und',0,26),('node','properties',0,55,55,'und',0,26);
/*!40000 ALTER TABLE `field_revision_field_garage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gender`
--

DROP TABLE IF EXISTS `field_revision_field_gender`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gender` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gender_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gender_tid` (`field_gender_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 28 (field_gender)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gender`
--

LOCK TABLES `field_revision_field_gender` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gender` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gender` VALUES ('user','user',0,2,2,'und',0,63),('user','user',0,3,3,'und',0,64),('user','user',0,4,4,'und',0,63),('user','user',0,5,5,'und',0,64);
/*!40000 ALTER TABLE `field_revision_field_gender` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_geo`
--

DROP TABLE IF EXISTS `field_revision_field_geo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_geo` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_geo_geom` longblob,
  `field_geo_geo_type` varchar(64) DEFAULT '',
  `field_geo_lat` decimal(18,12) DEFAULT NULL,
  `field_geo_lon` decimal(18,12) DEFAULT NULL,
  `field_geo_left` decimal(18,12) DEFAULT NULL,
  `field_geo_top` decimal(18,12) DEFAULT NULL,
  `field_geo_right` decimal(18,12) DEFAULT NULL,
  `field_geo_bottom` decimal(18,12) DEFAULT NULL,
  `field_geo_geohash` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_geo_lat` (`field_geo_lat`),
  KEY `field_geo_lon` (`field_geo_lon`),
  KEY `field_geo_top` (`field_geo_top`),
  KEY `field_geo_bottom` (`field_geo_bottom`),
  KEY `field_geo_left` (`field_geo_left`),
  KEY `field_geo_right` (`field_geo_right`),
  KEY `field_geo_geohash` (`field_geo_geohash`),
  KEY `field_geo_centroid` (`field_geo_lat`,`field_geo_lon`),
  KEY `field_geo_bbox` (`field_geo_top`,`field_geo_bottom`,`field_geo_left`,`field_geo_right`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 65 (field_geo)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_geo`
--

LOCK TABLES `field_revision_field_geo` WRITE;
/*!40000 ALTER TABLE `field_revision_field_geo` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_geo` VALUES ('node','properties',0,1,1,'und',0,'\0\0\0t]YQi@@','point',33.797620000000,-117.824635000000,-117.824635000000,33.797620000000,-117.824635000000,33.797620000000,'9qh0qbdtrj02'),('node','properties',0,20,20,'und',0,'\0\0\04IbIs]7Ou@@','point',33.787530000000,-117.801354000000,-117.801354000000,33.787530000000,-117.801354000000,33.787530000000,'9qh0pqgdtkpg'),('node','properties',0,21,21,'und',0,'\0\0\0ŭr]M@@','point',33.789264000000,-117.795416000000,-117.795416000000,33.789264000000,-117.795416000000,33.789264000000,'9qh0prpuxz7d'),('node','properties',0,25,25,'und',0,'\0\0\0Xlr]x#@@','point',33.790145000000,-117.792811400000,-117.792811400000,33.790145000000,-117.792811400000,33.790145000000,'9qh0px3cue9f2'),('node','properties',0,26,26,'und',0,'\0\0\0E`Տt]!`5@@','point',33.798518500000,-117.821278900000,-117.821278900000,33.798518500000,-117.821278900000,33.798518500000,'9qh0qbv4thwb5'),('node','properties',0,27,27,'und',0,'\0\0\0G7¢s]!@@','point',33.793844000000,-117.806809000000,-117.806809000000,33.793844000000,-117.806809000000,33.793844000000,'9qh0ppzxqmh7'),('node','properties',0,28,28,'und',0,'\0\0\0b[>t]镲@@','point',33.786700000000,-117.821426000000,-117.821426000000,33.786700000000,-117.821426000000,33.786700000000,'9qh0nytjcc3h'),('node','properties',0,29,29,'und',0,'\0\0\0#GGt])@@','point',33.796470900000,-117.816840000000,-117.816840000000,33.796470900000,-117.816840000000,33.796470900000,'9qh0r02qswuc8'),('node','properties',0,30,30,'und',0,'\0\0\0T2t]t}@@','point',33.797426000000,-117.815609000000,-117.815609000000,33.797426000000,-117.815609000000,33.797426000000,'9qh0r09k32fe'),('node','properties',0,31,31,'und',0,'\0\0\0Rd=s]Wj1x@@','point',33.784918000000,-117.800622000000,-117.800622000000,33.784918000000,-117.800622000000,33.784918000000,'9qh0pqk5qt1v'),('node','properties',0,34,34,'und',0,'\0\0\0mspr]0u@@','point',33.795776800000,-117.788123000000,-117.788123000000,33.795776800000,-117.788123000000,33.795776800000,'9qh0r8m69v3tn'),('node','properties',0,36,36,'und',0,'\0\0\0Jcr]\"J@@','point',33.783535000000,-117.787297000000,-117.787297000000,33.783535000000,-117.787297000000,33.783535000000,'9qh0pwjgm53s'),('node','properties',0,39,39,'und',0,'\0\0\0Yer]e@@','point',33.793946000000,-117.791406000000,-117.791406000000,33.793946000000,-117.791406000000,33.793946000000,'9qh0r84bj21s'),('node','properties',0,45,45,'und',0,'\0\0\0nKs]~@@','point',33.785120000000,-117.808641800000,-117.808641800000,33.785120000000,-117.808641800000,33.785120000000,'9qh0pnqkedvfb'),('node','properties',0,46,46,'und',0,'\0\0\0N\\Ws]ŠB@@','point',33.789284000000,-117.802219000000,-117.802219000000,33.789284000000,-117.802219000000,33.789284000000,'9qh0pr5hc74f'),('node','properties',0,47,47,'und',0,'\0\0\0%Ps]g@@','point',33.792224000000,-117.801765000000,-117.801765000000,33.792224000000,-117.801765000000,33.792224000000,'9qh0premgzj7'),('node','properties',0,49,49,'und',0,'\0\0\06os]]B@@','point',33.783285900000,-117.806423000000,-117.806423000000,33.783285900000,-117.806423000000,33.783285900000,'9qh0pnpczkunp'),('node','properties',0,50,50,'und',0,'\0\0\0	\"hs][{B@@','point',33.791097000000,-117.809351000000,-117.809351000000,33.791097000000,-117.809351000000,33.791097000000,'9qh0ppmz7jhc'),('node','properties',0,51,51,'und',0,'\0\0\0f+/s];@@','point',33.793159000000,-117.812084000000,-117.812084000000,33.793159000000,-117.812084000000,33.793159000000,'9qh0ppgg7mrj'),('node','properties',0,52,52,'und',0,'\0\0\04IbIs]7Ou@@','point',33.787530000000,-117.801354000000,-117.801354000000,33.787530000000,-117.801354000000,33.787530000000,'9qh0pqgdtkpg'),('node','properties',0,53,53,'und',0,'\0\0\0Vdt@s]@@','point',33.780290000000,-117.797989000000,-117.797989000000,33.780290000000,-117.797989000000,33.780290000000,'9qh0pmw07ymn');
/*!40000 ALTER TABLE `field_revision_field_geo` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gplus`
--

DROP TABLE IF EXISTS `field_revision_field_gplus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gplus` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gplus_url` varchar(2048) DEFAULT NULL,
  `field_gplus_title` varchar(255) DEFAULT NULL,
  `field_gplus_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 26 (field_gplus)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gplus`
--

LOCK TABLES `field_revision_field_gplus` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gplus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gplus` VALUES ('user','user',0,1,1,'und',0,'https://plus.google.com/weebpal','Gplus','a:0:{}'),('user','user',0,2,2,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,3,3,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,4,4,'und',0,'https://plus.google.com/','Gplus','a:0:{}'),('user','user',0,5,5,'und',0,'https://plus.google.com/','Gplus','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_gplus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_icon`
--

DROP TABLE IF EXISTS `field_revision_field_icon`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_icon` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_icon_bundle` varchar(64) DEFAULT NULL,
  `field_icon_icon` varchar(64) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 62 (field_icon)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_icon`
--

LOCK TABLES `field_revision_field_icon` WRITE;
/*!40000 ALTER TABLE `field_revision_field_icon` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_icon` VALUES ('node','services',0,41,41,'und',0,'fontawesome','info-circle'),('node','services',0,42,42,'und',0,'fontawesome','home'),('node','services',0,43,43,'und',0,'fontawesome','cogs');
/*!40000 ALTER TABLE `field_revision_field_icon` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_image`
--

DROP TABLE IF EXISTS `field_revision_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_image`
--

LOCK TABLES `field_revision_field_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_image` VALUES ('bean','who_we_are_block',0,1,1,'und',0,13,'','',848,565),('bean','who_we_are_block',0,1,2,'und',0,130,'','',848,565),('field_collection_item','field_content',0,1,1,'und',0,307,'','',848,564),('field_collection_item','field_content',0,2,2,'und',0,308,'','',848,568),('field_collection_item','field_content',0,3,3,'und',0,309,'','',848,564),('field_collection_item','field_content',0,4,4,'und',0,172,'','',848,565),('field_collection_item','field_content',0,5,5,'und',0,173,'','',848,565),('field_collection_item','field_content',0,6,6,'und',0,174,'','',848,565),('field_collection_item','field_content',0,7,7,'und',0,169,'','',848,565),('field_collection_item','field_content',0,8,8,'und',0,170,'','',848,565),('field_collection_item','field_content',0,9,9,'und',0,53,'','',848,565),('field_collection_item','field_content',0,10,10,'und',0,166,'','',848,565),('field_collection_item','field_content',0,11,11,'und',0,167,'','',848,565),('field_collection_item','field_content',0,12,12,'und',0,168,'','',848,565),('field_collection_item','field_content',0,13,13,'und',0,178,'','',848,565),('field_collection_item','field_content',0,14,14,'und',0,179,'','',848,565),('field_collection_item','field_content',0,15,15,'und',0,180,'','',848,565),('node','properties',0,1,1,'und',0,97,'','',848,565),('node','blog',0,13,13,'und',0,41,'','',1170,780),('node','properties',0,20,20,'und',0,121,'','',848,565),('node','properties',0,21,21,'und',0,117,'','',848,565),('node','properties',0,25,25,'und',0,115,'','',848,565),('node','properties',0,26,26,'und',0,92,'','',848,565),('node','properties',0,27,27,'und',0,85,'','',848,565),('node','properties',0,28,28,'und',0,82,'','',848,565),('node','properties',0,29,29,'und',0,75,'','',848,565),('node','properties',0,30,30,'und',0,69,'','',848,565),('node','properties',0,31,31,'und',0,64,'','',848,565),('node','properties',0,34,34,'und',0,126,'','',848,565),('node','properties',0,35,35,'und',0,131,'','',848,565),('node','properties',0,36,36,'und',0,140,'','',848,565),('node','properties',0,37,37,'und',0,142,'','',848,565),('node','properties',0,38,38,'und',0,146,'','',848,565),('node','properties',0,39,39,'und',0,154,'','',848,565),('node','blog',0,40,40,'und',0,181,'','',848,565),('node','properties',0,45,45,'und',0,244,'','',848,564),('node','properties',0,46,46,'und',0,249,'','',848,569),('node','properties',0,47,47,'und',0,254,'','',848,565),('node','properties',0,48,48,'und',0,259,'','',848,564),('node','properties',0,49,49,'und',0,264,'','',848,564),('node','properties',0,50,50,'und',0,275,'','',848,566),('node','properties',0,51,51,'und',0,277,'','',848,564),('node','properties',0,52,52,'und',0,283,'','',848,571),('node','properties',0,53,53,'und',0,289,'','',848,565),('node','properties',0,54,54,'und',0,294,'','',848,567),('node','properties',0,55,55,'und',0,300,'','',848,568);
/*!40000 ALTER TABLE `field_revision_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_link`
--

DROP TABLE IF EXISTS `field_revision_field_link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_link` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_link_url` varchar(2048) DEFAULT NULL,
  `field_link_title` varchar(255) DEFAULT NULL,
  `field_link_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 41 (field_link)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_link`
--

LOCK TABLES `field_revision_field_link` WRITE;
/*!40000 ALTER TABLE `field_revision_field_link` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_link` VALUES ('bean','who_we_are_block',0,1,1,'und',0,'about-us','Read more','a:0:{}'),('bean','who_we_are_block',0,1,2,'und',0,'about-us','Read more','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_link` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_location`
--

DROP TABLE IF EXISTS `field_revision_field_location`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_location` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_location_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_location_tid` (`field_location_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 7 (field_location)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_location`
--

LOCK TABLES `field_revision_field_location` WRITE;
/*!40000 ALTER TABLE `field_revision_field_location` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_location` VALUES ('node','properties',0,1,1,'und',0,3),('node','properties',0,20,20,'und',0,3),('node','properties',0,21,21,'und',0,6),('node','properties',0,26,26,'und',0,5),('node','properties',0,27,27,'und',0,3),('node','properties',0,28,28,'und',0,5),('node','properties',0,29,29,'und',0,4),('node','properties',0,30,30,'und',0,2),('node','properties',0,31,31,'und',0,5),('node','properties',0,34,34,'und',0,6),('node','properties',0,35,35,'und',0,6),('node','properties',0,36,36,'und',0,3),('node','properties',0,37,37,'und',0,5),('node','properties',0,38,38,'und',0,3),('node','properties',0,39,39,'und',0,4),('node','properties',0,45,45,'und',0,3),('node','properties',0,46,46,'und',0,6),('node','properties',0,47,47,'und',0,2),('node','properties',0,48,48,'und',0,5),('node','properties',0,49,49,'und',0,6),('node','properties',0,50,50,'und',0,1),('node','properties',0,51,51,'und',0,1),('node','properties',0,52,52,'und',0,1),('node','properties',0,53,53,'und',0,1),('node','properties',0,54,54,'und',0,1),('node','properties',0,55,55,'und',0,4);
/*!40000 ALTER TABLE `field_revision_field_location` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_lot_area`
--

DROP TABLE IF EXISTS `field_revision_field_lot_area`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_lot_area` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_lot_area_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 17 (field_lot_area)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_lot_area`
--

LOCK TABLES `field_revision_field_lot_area` WRITE;
/*!40000 ALTER TABLE `field_revision_field_lot_area` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_lot_area` VALUES ('node','properties',0,1,1,'und',0,100),('node','properties',0,20,20,'und',0,300),('node','properties',0,21,21,'und',0,250),('node','properties',0,25,25,'und',0,200),('node','properties',0,26,26,'und',0,200),('node','properties',0,27,27,'und',0,200),('node','properties',0,28,28,'und',0,150),('node','properties',0,29,29,'und',0,300),('node','properties',0,30,30,'und',0,200),('node','properties',0,31,31,'und',0,300),('node','properties',0,34,34,'und',0,120),('node','properties',0,35,35,'und',0,180),('node','properties',0,36,36,'und',0,140),('node','properties',0,37,37,'und',0,320),('node','properties',0,38,38,'und',0,120),('node','properties',0,39,39,'und',0,90),('node','properties',0,45,45,'und',0,200),('node','properties',0,46,46,'und',0,250),('node','properties',0,47,47,'und',0,300),('node','properties',0,48,48,'und',0,300),('node','properties',0,49,49,'und',0,300),('node','properties',0,50,50,'und',0,300),('node','properties',0,51,51,'und',0,300),('node','properties',0,52,52,'und',0,200),('node','properties',0,53,53,'und',0,300),('node','properties',0,54,54,'und',0,300),('node','properties',0,55,55,'und',0,400);
/*!40000 ALTER TABLE `field_revision_field_lot_area` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_mobile`
--

DROP TABLE IF EXISTS `field_revision_field_mobile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_mobile` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_mobile_value` varchar(255) DEFAULT NULL,
  `field_mobile_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_mobile_format` (`field_mobile_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 45 (field_mobile)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_mobile`
--

LOCK TABLES `field_revision_field_mobile` WRITE;
/*!40000 ALTER TABLE `field_revision_field_mobile` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_mobile` VALUES ('user','user',0,2,2,'und',0,'0-390-700-8067',NULL),('user','user',0,3,3,'und',0,'0-390-700-8067',NULL),('user','user',0,4,4,'und',0,'0-390-700-8067',NULL),('user','user',0,5,5,'und',0,'0-390-700-8067',NULL);
/*!40000 ALTER TABLE `field_revision_field_mobile` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_occupation`
--

DROP TABLE IF EXISTS `field_revision_field_occupation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_occupation` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_occupation_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_occupation_tid` (`field_occupation_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 44 (field_occupation)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_occupation`
--

LOCK TABLES `field_revision_field_occupation` WRITE;
/*!40000 ALTER TABLE `field_revision_field_occupation` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_occupation` VALUES ('user','user',0,2,2,'und',0,72),('user','user',0,3,3,'und',0,71),('user','user',0,4,4,'und',0,70),('user','user',0,5,5,'und',0,69);
/*!40000 ALTER TABLE `field_revision_field_occupation` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_office`
--

DROP TABLE IF EXISTS `field_revision_field_office`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_office` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_office_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_office_tid` (`field_office_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 48 (field_office)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_office`
--

LOCK TABLES `field_revision_field_office` WRITE;
/*!40000 ALTER TABLE `field_revision_field_office` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_office` VALUES ('user','user',0,2,2,'und',0,73),('user','user',0,3,3,'und',0,75),('user','user',0,4,4,'und',0,73),('user','user',0,5,5,'und',0,73);
/*!40000 ALTER TABLE `field_revision_field_office` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_phone`
--

DROP TABLE IF EXISTS `field_revision_field_phone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_phone` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_phone_value` varchar(255) DEFAULT NULL,
  `field_phone_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_phone_format` (`field_phone_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 21 (field_phone)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_phone`
--

LOCK TABLES `field_revision_field_phone` WRITE;
/*!40000 ALTER TABLE `field_revision_field_phone` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_phone` VALUES ('user','user',0,2,2,'und',0,'0-390-700-8067',NULL),('user','user',0,3,3,'und',0,'0-390-700-8067',NULL),('user','user',0,4,4,'und',0,'0-390-700-8067',NULL),('user','user',0,5,5,'und',0,'0-390-700-8067',NULL);
/*!40000 ALTER TABLE `field_revision_field_phone` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_position`
--

DROP TABLE IF EXISTS `field_revision_field_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_position` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_position_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_position_tid` (`field_position_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 29 (field_position)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_position`
--

LOCK TABLES `field_revision_field_position` WRITE;
/*!40000 ALTER TABLE `field_revision_field_position` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_position` VALUES ('user','user',0,2,2,'und',0,65),('user','user',0,3,3,'und',0,68),('user','user',0,4,4,'und',0,67),('user','user',0,5,5,'und',0,66);
/*!40000 ALTER TABLE `field_revision_field_position` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_price`
--

DROP TABLE IF EXISTS `field_revision_field_price`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_price` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_price_value` int(11) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 11 (field_price)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_price`
--

LOCK TABLES `field_revision_field_price` WRITE;
/*!40000 ALTER TABLE `field_revision_field_price` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_price` VALUES ('node','properties',0,1,1,'und',0,12345),('node','properties',0,20,20,'und',0,370000),('node','properties',0,21,21,'und',0,250000),('node','properties',0,25,25,'und',0,203000),('node','properties',0,26,26,'und',0,802500),('node','properties',0,27,27,'und',0,150000),('node','properties',0,28,28,'und',0,34000),('node','properties',0,29,29,'und',0,190000),('node','properties',0,30,30,'und',0,130000),('node','properties',0,31,31,'und',0,200000),('node','properties',0,34,34,'und',0,30000),('node','properties',0,35,35,'und',0,45000),('node','properties',0,36,36,'und',0,56000),('node','properties',0,37,37,'und',0,25000),('node','properties',0,38,38,'und',0,2000),('node','properties',0,39,39,'und',0,25000),('node','properties',0,45,45,'und',0,233600),('node','properties',0,46,46,'und',0,233600),('node','properties',0,47,47,'und',0,643330),('node','properties',0,48,48,'und',0,233600),('node','properties',0,49,49,'und',0,230000),('node','properties',0,50,50,'und',0,30800),('node','properties',0,51,51,'und',0,643330),('node','properties',0,52,52,'und',0,230000),('node','properties',0,53,53,'und',0,233600),('node','properties',0,54,54,'und',0,233600),('node','properties',0,55,55,'und',0,30800);
/*!40000 ALTER TABLE `field_revision_field_price` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_property_status`
--

DROP TABLE IF EXISTS `field_revision_field_property_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_property_status` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_property_status_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_property_status_tid` (`field_property_status_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 51 (field_property...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_property_status`
--

LOCK TABLES `field_revision_field_property_status` WRITE;
/*!40000 ALTER TABLE `field_revision_field_property_status` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_property_status` VALUES ('node','properties',0,1,1,'und',0,79),('node','properties',0,20,20,'und',0,78),('node','properties',0,21,21,'und',0,78),('node','properties',0,25,25,'und',0,76),('node','properties',0,26,26,'und',0,79),('node','properties',0,27,27,'und',0,79),('node','properties',0,28,28,'und',0,80),('node','properties',0,29,29,'und',0,76),('node','properties',0,30,30,'und',0,76),('node','properties',0,31,31,'und',0,76),('node','properties',0,34,34,'und',0,79),('node','properties',0,35,35,'und',0,78),('node','properties',0,36,36,'und',0,79),('node','properties',0,37,37,'und',0,76),('node','properties',0,38,38,'und',0,79),('node','properties',0,39,39,'und',0,80),('node','properties',0,45,45,'und',0,78),('node','properties',0,46,46,'und',0,79),('node','properties',0,47,47,'und',0,79),('node','properties',0,48,48,'und',0,77),('node','properties',0,49,49,'und',0,77),('node','properties',0,50,50,'und',0,76),('node','properties',0,51,51,'und',0,76),('node','properties',0,52,52,'und',0,81),('node','properties',0,53,53,'und',0,79),('node','properties',0,54,54,'und',0,80),('node','properties',0,55,55,'und',0,81);
/*!40000 ALTER TABLE `field_revision_field_property_status` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_property_type`
--

DROP TABLE IF EXISTS `field_revision_field_property_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_property_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_property_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_property_type_tid` (`field_property_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 8 (field_property_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_property_type`
--

LOCK TABLES `field_revision_field_property_type` WRITE;
/*!40000 ALTER TABLE `field_revision_field_property_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_property_type` VALUES ('node','properties',0,1,1,'und',0,32),('node','properties',0,20,20,'und',0,31),('node','properties',0,21,21,'und',0,30),('node','properties',0,25,25,'und',0,30),('node','properties',0,26,26,'und',0,32),('node','properties',0,27,27,'und',0,30),('node','properties',0,28,28,'und',0,32),('node','properties',0,29,29,'und',0,32),('node','properties',0,30,30,'und',0,32),('node','properties',0,31,31,'und',0,32),('node','properties',0,34,34,'und',0,32),('node','properties',0,35,35,'und',0,31),('node','properties',0,36,36,'und',0,30),('node','properties',0,37,37,'und',0,31),('node','properties',0,38,38,'und',0,32),('node','properties',0,39,39,'und',0,30),('node','properties',0,45,45,'und',0,32),('node','properties',0,46,46,'und',0,30),('node','properties',0,47,47,'und',0,30),('node','properties',0,48,48,'und',0,30),('node','properties',0,49,49,'und',0,30),('node','properties',0,50,50,'und',0,31),('node','properties',0,51,51,'und',0,31),('node','properties',0,52,52,'und',0,31),('node','properties',0,53,53,'und',0,31),('node','properties',0,54,54,'und',0,31),('node','properties',0,55,55,'und',0,31);
/*!40000 ALTER TABLE `field_revision_field_property_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_simplenews_term`
--

DROP TABLE IF EXISTS `field_revision_field_simplenews_term`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_simplenews_term` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_simplenews_term_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_simplenews_term_tid` (`field_simplenews_term_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 64 (field_simplenews...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_simplenews_term`
--

LOCK TABLES `field_revision_field_simplenews_term` WRITE;
/*!40000 ALTER TABLE `field_revision_field_simplenews_term` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_revision_field_simplenews_term` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_slideshow`
--

DROP TABLE IF EXISTS `field_revision_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 19 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_slideshow`
--

LOCK TABLES `field_revision_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_revision_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_slideshow` VALUES ('node','properties',0,1,1,'und',0,191,'','',1600,600),('node','properties',0,20,20,'und',0,190,'','',1600,600),('node','properties',0,31,31,'und',0,189,'','',1600,600);
/*!40000 ALTER TABLE `field_revision_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_tags`
--

DROP TABLE IF EXISTS `field_revision_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tags`
--

LOCK TABLES `field_revision_field_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_tags` VALUES ('node','blog',0,13,13,'und',0,88),('node','blog',0,13,13,'und',1,89),('node','blog',0,13,13,'und',2,90),('node','blog',0,13,13,'und',3,91),('node','blog',0,13,13,'und',4,92),('node','blog',0,13,13,'und',5,93),('node','blog',0,13,13,'und',6,97),('node','blog',0,13,13,'und',7,98),('node','blog',0,13,13,'und',8,95),('node','blog',0,13,13,'und',9,96);
/*!40000 ALTER TABLE `field_revision_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_text`
--

DROP TABLE IF EXISTS `field_revision_field_text`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_text` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_text_value` longtext,
  `field_text_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_text_format` (`field_text_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 58 (field_text)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_text`
--

LOCK TABLES `field_revision_field_text` WRITE;
/*!40000 ALTER TABLE `field_revision_field_text` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_text` VALUES ('field_collection_item','field_content',0,1,1,'und',0,'Quisque a tincidunt eros. Sed at porta nisi, nec elementum dui. Vivamus aliquet risus nec lorem tempus vehicula. Quisque quis quam quis metus facilisis porta. In tincidunt tristique metus vel sodales. Maecenas semper vulputate dapibus. Aliquam eu arcu nec massa ornare lobortis. Nulla ac turpis duis.\r\n',NULL),('field_collection_item','field_content',0,2,2,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.\r\n',NULL),('field_collection_item','field_content',0,3,3,'und',0,'Nulla congue tortor id vestibulum molestie. Nulla at erat vitae purus lobortis sodales ut vel tellus. Donec venenatis pellentesque odio, sed auctor mauris fermentum vitae. Cras odio dui, ultricies vitae convallis ac, auctor a massa. Integer molestie posuere risus sed sollicitudin? Curabitur posuere.\r\n',NULL),('field_collection_item','field_content',0,4,4,'und',0,'Maecenas placerat, orci eu facilisis cursus, nulla lacus bibendum magna, id lobortis augue ipsum ut erat. Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec gravida odio et rhoncus fringilla. Phasellus eleifend metus a massa tristique ultricies. Suspendisse potenti. Fusce cras amet.\r\n',NULL),('field_collection_item','field_content',0,5,5,'und',0,'Proin iaculis quis lacus at gravida. In molestie ligula sapien, sit amet congue tortor tempus vitae! Donec eu tincidunt lorem, vitae porttitor risus. Praesent ut vulputate velit. Nam tempor cursus sapien non porta. Nullam a quam sit amet ipsum feugiat vehicula. Nulla porta felis ac mi accumsan amet.\r\n',NULL),('field_collection_item','field_content',0,6,6,'und',0,'Morbi semper lectus non tortor pulvinar egestas. Maecenas vulputate dolor ac ipsum mattis; tincidunt placerat diam ullamcorper. Duis in convallis lorem. Nullam ut laoreet enim. Pellentesque sed egestas nibh? Mauris vel varius augue, at ultricies nunc. Mauris tortor sapien, volutpat vitae semper sed.\r\n',NULL),('field_collection_item','field_content',0,7,7,'und',0,'Fusce ornare augue id enim rhoncus vulputate. Vivamus nec ligula nulla. Curabitur vitae dapibus urna, vitae sagittis ante. Donec bibendum leo eu lorem convallis, sit amet cursus lectus malesuada. Nullam interdum gravida commodo. Curabitur eu mollis erat. Donec ante neque, vehicula eget neque nullam.\r\n',NULL),('field_collection_item','field_content',0,8,8,'und',0,'Etiam laoreet arcu et est vehicula, id iaculis elit laoreet. Phasellus tincidunt scelerisque porta? Nulla quis sapien est. Duis posuere tellus at nisi aliquam, a imperdiet sem laoreet. Vivamus ac eros nunc. Donec non metus ut enim pharetra feugiat et tempus elit. Morbi eget adipiscing risus posuere.\r\n',NULL),('field_collection_item','field_content',0,9,9,'und',0,'Etiam semper felis sed porta laoreet. Phasellus mollis pretium ante, id dignissim tortor ornare in. Etiam facilisis egestas felis in malesuada! Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean a enim nisl. Suspendisse id imperdiet lectus. Maecenas ut neque mattis, egestas nunc nullam.\r\n',NULL),('field_collection_item','field_content',0,10,10,'und',0,'Nulla quis blandit nisi, ut pulvinar quam. Pellentesque aliquet nunc rhoncus pretium sodales. Fusce sollicitudin sem diam, eget tempor enim rhoncus nec. Sed a luctus leo. Fusce sollicitudin ac ligula rhoncus malesuada. Aliquam placerat urna vehicula nunc auctor consectetur. Proin mattis neque metus.\r\n',NULL),('field_collection_item','field_content',0,11,11,'und',0,'Morbi vehicula, augue ut tincidunt facilisis, dolor nunc commodo massa, et varius purus justo ac velit. Morbi sodales urna at facilisis commodo. Integer laoreet; ligula nec dignissim dignissim, orci ante rhoncus arcu, eu tristique lacus ligula dapibus sem. Nunc blandit libero at condimentum posuere.\r\n',NULL),('field_collection_item','field_content',0,12,12,'und',0,'Nullam varius vehicula augue at ullamcorper. Ut condimentum turpis sit amet diam scelerisque, eu gravida mi tempus. Morbi sit amet feugiat libero. Pellentesque cursus, justo ac ullamcorper rutrum, elit erat aliquet tellus, eu dictum nisi mi quis dui? Nunc tristique quam sit amet facilisis cras amet.\r\n',NULL),('field_collection_item','field_content',0,13,13,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.',NULL),('field_collection_item','field_content',0,14,14,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.',NULL),('field_collection_item','field_content',0,15,15,'und',0,'Sed convallis ante eget sem porttitor pellentesque. Phasellus venenatis purus cursus placerat porta? Aenean sit amet hendrerit nisi. Aliquam vestibulum lacinia nibh id malesuada? Nam ut dapibus arcu, nec mattis nisl? Donec eu mi est. Suspendisse eget tortor est. Sed ac ipsum enim! Donec lacinia sed.',NULL);
/*!40000 ALTER TABLE `field_revision_field_text` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_twitter`
--

DROP TABLE IF EXISTS `field_revision_field_twitter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_twitter` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_twitter_url` varchar(2048) DEFAULT NULL,
  `field_twitter_title` varchar(255) DEFAULT NULL,
  `field_twitter_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 25 (field_twitter)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_twitter`
--

LOCK TABLES `field_revision_field_twitter` WRITE;
/*!40000 ALTER TABLE `field_revision_field_twitter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_twitter` VALUES ('user','user',0,1,1,'und',0,'http://twitter.com/weebpal','Twitter','a:0:{}'),('user','user',0,2,2,'und',0,'http://twitter.com','Twitter','a:0:{}'),('user','user',0,3,3,'und',0,'http://twitter.com','Twitter','a:0:{}'),('user','user',0,4,4,'und',0,'http://twitter.com','Twitter','a:0:{}'),('user','user',0,5,5,'und',0,'http://twitter.com','Twitter','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_twitter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_video`
--

DROP TABLE IF EXISTS `field_revision_field_video`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_video` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_video_video_url` varchar(512) DEFAULT '',
  `field_video_thumbnail_path` varchar(512) DEFAULT '',
  `field_video_video_data` longblob,
  `field_video_embed_code` varchar(1024) DEFAULT '',
  `field_video_description` text,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 53 (field_video)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_video`
--

LOCK TABLES `field_revision_field_video` WRITE;
/*!40000 ALTER TABLE `field_revision_field_video` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_video` VALUES ('node','blog',0,11,11,'und',0,'http://vimeo.com/17111870','public://video_embed_field_thumbnails/vimeo/17111870.jpg','a:25:{s:2:\"id\";i:17111870;s:5:\"title\";s:31:\"Seymour Bits - Put It Back Down\";s:11:\"description\";s:1031:\"Fantastic video by Michiel ten Horn c.s.<br />\n<br />\n<br />\nDirecting & Concept;<br />\nMichiel ten Horn & Maarten J. Berkers<br />\n<br />\nMusic;<br />\nSeymour Bits ‘Put it back down’ 							Magnetron Music<br />\n<br />\nAnimation;<br />\nDirk Verschure<br />\nRamon Oranje<br />\nDirk Marbl<br />\nMichiel ten Horn<br />\nMaarten J. Berkers<br />\n<br />\nColoring; 				<br />\nNiels Hoebers<br />\nLize Korpershoek<br />\nRon Coppus<br />\n<br />\nPost Production;<br />\nRob Klunder, Kona Coast<br />\n<br />\nColor Grading;<br />\nJoppo @ de Grot<br />\n<br />\nProduced by;<br />\nHabbekrats, Julius Ponten & Frieder Wallis<br />\n<br />\nWith support of TAX Video Clip Fund<br />\n<br />\nBEFORE CLIP;<br />\nHabbekrats Ident (image & sound)<br />\n<br />\nThanks to;			<br />\n<br />\nPhillip Harthoorn,<br />\nAnne Haaze,<br />\nSjakie the depressed dog,<br />\nVictor D. Ponten,<br />\nJim Taihuttu,<br />\nLeonie van der Laan,<br />\nZino Ponten,<br />\nBibi Ponten,<br />\nAnnabelle Wallis,<br />\nLevi Mika Wallis,<br />\nJaper Hesseling,<br />\nErik Boom\";s:3:\"url\";s:25:\"http://vimeo.com/17111870\";s:11:\"upload_date\";s:19:\"2010-11-23 03:29:53\";s:10:\"mobile_url\";s:27:\"http://vimeo.com/m/17111870\";s:15:\"thumbnail_small\";s:48:\"http://i.vimeocdn.com/video/105837890_100x75.jpg\";s:16:\"thumbnail_medium\";s:49:\"http://i.vimeocdn.com/video/105837890_200x150.jpg\";s:15:\"thumbnail_large\";s:45:\"http://i.vimeocdn.com/video/105837890_640.jpg\";s:7:\"user_id\";i:1039743;s:9:\"user_name\";s:15:\"magnetron music\";s:8:\"user_url\";s:31:\"http://vimeo.com/magnetronmusic\";s:19:\"user_portrait_small\";s:48:\"http://i.vimeocdn.com/portrait/7083706_30x30.jpg\";s:20:\"user_portrait_medium\";s:48:\"http://i.vimeocdn.com/portrait/7083706_75x75.jpg\";s:19:\"user_portrait_large\";s:50:\"http://i.vimeocdn.com/portrait/7083706_100x100.jpg\";s:18:\"user_portrait_huge\";s:50:\"http://i.vimeocdn.com/portrait/7083706_300x300.jpg\";s:21:\"stats_number_of_likes\";i:2015;s:21:\"stats_number_of_plays\";i:116363;s:24:\"stats_number_of_comments\";i:56;s:8:\"duration\";i:201;s:5:\"width\";i:1280;s:6:\"height\";i:720;s:4:\"tags\";s:56:\"seymour, bits, jeugd, tegenwoordig, magnetron, bas, bron\";s:13:\"embed_privacy\";s:8:\"anywhere\";s:7:\"handler\";s:5:\"vimeo\";}',NULL,NULL),('node','blog',0,33,33,'und',0,'https://www.youtube.com/watch?v=FOIjvHjK0Rw','public://video_embed_field_thumbnails/youtube/FOIjvHjK0Rw.jpg','a:22:{s:5:\"xmlns\";s:27:\"http://www.w3.org/2005/Atom\";s:8:\"xmlns$gd\";s:32:\"http://schemas.google.com/g/2005\";s:8:\"xmlns$yt\";s:37:\"http://gdata.youtube.com/schemas/2007\";s:11:\"xmlns$media\";s:29:\"http://search.yahoo.com/mrss/\";s:7:\"gd$etag\";s:28:\"W/\"CkUDRH47eCp7I2A9XRZaGE8.\"\";s:2:\"id\";s:38:\"tag:youtube.com,2008:video:FOIjvHjK0Rw\";s:9:\"published\";s:24:\"2013-03-01T05:40:13.000Z\";s:7:\"updated\";s:24:\"2014-09-04T08:44:35.000Z\";s:8:\"category\";a:2:{i:0;a:2:{s:6:\"scheme\";s:37:\"http://schemas.google.com/g/2005#kind\";s:4:\"term\";s:43:\"http://gdata.youtube.com/schemas/2007#video\";}i:1;a:3:{s:6:\"scheme\";s:52:\"http://gdata.youtube.com/schemas/2007/categories.cat\";s:4:\"term\";s:5:\"Music\";s:5:\"label\";s:5:\"Music\";}}s:5:\"title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:7:\"content\";a:2:{s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:3:\"src\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";}s:4:\"link\";a:5:{i:0;a:3:{s:3:\"rel\";s:9:\"alternate\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:64:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata\";}i:1;a:3:{s:3:\"rel\";s:51:\"http://gdata.youtube.com/schemas/2007#video.related\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:65:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/related?v=2\";}i:2;a:3:{s:3:\"rel\";s:44:\"http://gdata.youtube.com/schemas/2007#mobile\";s:4:\"type\";s:9:\"text/html\";s:4:\"href\";s:42:\"http://m.youtube.com/details?v=FOIjvHjK0Rw\";}i:3;a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#uploader\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:67:\"http://gdata.youtube.com/feeds/api/users/c9EzBNAtdnNiDrMw5CAxUw?v=2\";}i:4;a:3:{s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:20:\"application/atom+xml\";s:4:\"href\";s:57:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw?v=2\";}}s:6:\"author\";a:1:{i:0;a:3:{s:4:\"name\";s:10:\"relaxdaily\";s:3:\"uri\";s:51:\"http://gdata.youtube.com/feeds/api/users/relaxdaily\";s:9:\"yt$userId\";s:22:\"c9EzBNAtdnNiDrMw5CAxUw\";}}s:16:\"yt$accessControl\";a:8:{i:0;a:2:{s:6:\"action\";s:7:\"comment\";s:10:\"permission\";s:7:\"allowed\";}i:1;a:2:{s:6:\"action\";s:11:\"commentVote\";s:10:\"permission\";s:7:\"allowed\";}i:2;a:2:{s:6:\"action\";s:12:\"videoRespond\";s:10:\"permission\";s:9:\"moderated\";}i:3;a:2:{s:6:\"action\";s:4:\"rate\";s:10:\"permission\";s:7:\"allowed\";}i:4;a:2:{s:6:\"action\";s:5:\"embed\";s:10:\"permission\";s:7:\"allowed\";}i:5;a:2:{s:6:\"action\";s:4:\"list\";s:10:\"permission\";s:7:\"allowed\";}i:6;a:2:{s:6:\"action\";s:8:\"autoPlay\";s:10:\"permission\";s:7:\"allowed\";}i:7;a:2:{s:6:\"action\";s:9:\"syndicate\";s:10:\"permission\";s:7:\"allowed\";}}s:11:\"gd$comments\";a:1:{s:11:\"gd$feedLink\";a:3:{s:3:\"rel\";s:46:\"http://gdata.youtube.com/schemas/2007#comments\";s:4:\"href\";s:66:\"http://gdata.youtube.com/feeds/api/videos/FOIjvHjK0Rw/comments?v=2\";s:9:\"countHint\";i:5097;}}s:5:\"yt$hd\";a:0:{}s:11:\"media$group\";a:14:{s:14:\"media$category\";a:1:{i:0;s:5:\"Music\";}s:13:\"media$content\";a:3:{i:0;a:7:{s:3:\"url\";s:73:\"http://www.youtube.com/v/FOIjvHjK0Rw?version=3&f=videos&app=youtube_gdata\";s:4:\"type\";s:29:\"application/x-shockwave-flash\";s:6:\"medium\";s:5:\"video\";s:9:\"isDefault\";s:4:\"true\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:5;}i:1;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-o097zuek.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYDSANFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:1;}i:2;a:6:{s:3:\"url\";s:102:\"rtsp://r7---sn-o097zuek.c.youtube.com/CiILENy73wIaGQkc0cp4vCPiFBMYESARFEgGUgZ2aWRlb3MM/0/0/0/video.3gp\";s:4:\"type\";s:10:\"video/3gpp\";s:6:\"medium\";s:5:\"video\";s:10:\"expression\";s:4:\"full\";s:8:\"duration\";i:7894;s:9:\"yt$format\";i:6;}}s:12:\"media$credit\";a:1:{i:0;s:10:\"relaxdaily\";}s:17:\"media$description\";s:1575:\"Listen to a 2h long playlist with relaxdaily music. Beautiful, light instrumental music with an easy, smooth and inspirational attitude. You can download my music at http://relaxdaily.net. Or simply enjoy this full length version here on YouTube ;)\nA music mix I made up from my own releases from the last 1,5 years. Think of it as another 2h relax radio playlist. For more music, mixes and playlists join me at my website or my YouTube channel. \n- Michael (relaxdaily musician)\n\nRelaxdaily\'s background music instrumentals: beautiful, light, inspirational music that can be used as a soundtrack for multiple activities. Depending on your interest you might use my music in your relax radio playlist, as yoga music, as music while you\'re studying, doing homework, working (mentally, creatively), reading, writing, while thinking or reflecting, dreaming, reviewing, making future plans. Some use it as \"sleep music\" (I personally think there\'s better sleep music out there, but it seems to work ;) Some even listen to it in their minecraft music playlist. Call it chillout, smooth, ambient, New Age, instrumental, or background music -- this is not as much about a genre as it is about a feeling. A way of life. With the relaxdaily project, I try to take a little heat from our (generally) too busy lives. I try to deliver a soundtrack for you, when you feel the need for some positive, calming, inspirational tunes.\n\nThe simple (repetitive) video shows some grass waving in the wind at the pacific coast in California, just a few miles south of San Fran.\n\n© 2013, relaxdaily\";s:14:\"media$keywords\";a:0:{}s:13:\"media$license\";s:7:\"youtube\";s:12:\"media$player\";a:1:{s:3:\"url\";s:71:\"http://www.youtube.com/watch?v=FOIjvHjK0Rw&feature=youtube_gdata_player\";}s:15:\"media$thumbnail\";a:7:{i:0;a:5:{s:3:\"url\";s:45:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/default.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:7:\"default\";}i:1;a:4:{s:3:\"url\";s:47:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/mqdefault.jpg\";s:6:\"height\";i:180;s:5:\"width\";i:320;s:7:\"yt$name\";s:9:\"mqdefault\";}i:2;a:4:{s:3:\"url\";s:47:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/hqdefault.jpg\";s:6:\"height\";i:360;s:5:\"width\";i:480;s:7:\"yt$name\";s:9:\"hqdefault\";}i:3;a:4:{s:3:\"url\";s:47:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/sddefault.jpg\";s:6:\"height\";i:480;s:5:\"width\";i:640;s:7:\"yt$name\";s:9:\"sddefault\";}i:4;a:5:{s:3:\"url\";s:39:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/1.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"00:32:53.500\";s:7:\"yt$name\";s:5:\"start\";}i:5;a:5:{s:3:\"url\";s:39:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/2.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:8:\"01:05:47\";s:7:\"yt$name\";s:6:\"middle\";}i:6;a:5:{s:3:\"url\";s:39:\"http://i.ytimg.com/vi/FOIjvHjK0Rw/3.jpg\";s:6:\"height\";i:90;s:5:\"width\";i:120;s:4:\"time\";s:12:\"01:38:40.500\";s:7:\"yt$name\";s:3:\"end\";}}s:11:\"media$title\";s:93:\"Beautiful Light Music - easy smooth inspirational - long playlist by relaxdaily: Ocean Breeze\";s:14:\"yt$aspectRatio\";s:10:\"widescreen\";s:11:\"yt$duration\";a:1:{s:7:\"seconds\";s:4:\"7894\";}s:11:\"yt$uploaded\";s:24:\"2013-03-01T05:40:13.000Z\";s:13:\"yt$uploaderId\";s:24:\"UCc9EzBNAtdnNiDrMw5CAxUw\";s:10:\"yt$videoid\";s:11:\"FOIjvHjK0Rw\";}s:9:\"gd$rating\";a:5:{s:7:\"average\";d:4.85651299999999963574737193994224071502685546875;s:3:\"max\";i:5;s:3:\"min\";i:1;s:9:\"numRaters\";i:47865;s:3:\"rel\";s:40:\"http://schemas.google.com/g/2005#overall\";}s:13:\"yt$statistics\";a:2:{s:13:\"favoriteCount\";s:1:\"0\";s:9:\"viewCount\";s:8:\"10831806\";}s:9:\"yt$rating\";a:2:{s:11:\"numDislikes\";s:4:\"1717\";s:8:\"numLikes\";s:5:\"46148\";}s:5:\"terms\";a:1:{i:0;s:5:\"Music\";}s:7:\"handler\";s:7:\"youtube\";}',NULL,NULL);
/*!40000 ALTER TABLE `field_revision_field_video` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_year`
--

DROP TABLE IF EXISTS `field_revision_field_year`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_year` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_year_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_year_tid` (`field_year_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 10 (field_year)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_year`
--

LOCK TABLES `field_revision_field_year` WRITE;
/*!40000 ALTER TABLE `field_revision_field_year` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_year` VALUES ('node','properties',0,20,20,'und',0,44),('node','properties',0,21,21,'und',0,49),('node','properties',0,25,25,'und',0,47),('node','properties',0,26,26,'und',0,43),('node','properties',0,27,27,'und',0,41),('node','properties',0,28,28,'und',0,47),('node','properties',0,29,29,'und',0,41),('node','properties',0,30,30,'und',0,42),('node','properties',0,31,31,'und',0,41),('node','properties',0,34,34,'und',0,51),('node','properties',0,35,35,'und',0,46),('node','properties',0,36,36,'und',0,44),('node','properties',0,37,37,'und',0,43),('node','properties',0,38,38,'und',0,47),('node','properties',0,39,39,'und',0,44),('node','properties',0,45,45,'und',0,41),('node','properties',0,46,46,'und',0,43),('node','properties',0,47,47,'und',0,41),('node','properties',0,48,48,'und',0,41),('node','properties',0,49,49,'und',0,43),('node','properties',0,50,50,'und',0,41),('node','properties',0,51,51,'und',0,41),('node','properties',0,52,52,'und',0,43),('node','properties',0,53,53,'und',0,41),('node','properties',0,54,54,'und',0,41),('node','properties',0,55,55,'und',0,41);
/*!40000 ALTER TABLE `field_revision_field_year` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=310 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (1,0,'gmap_markers.js','public://js/gmap_markers.js','application/x-javascript',8644,1,1500346728),(13,1,'demo-4.jpg','public://field/image/block/demo-4.jpg','image/jpeg',300330,1,1406623417),(41,1,'blog-1.jpg','public://field/image/blog-1.jpg','image/jpeg',207366,1,1407468966),(53,1,'demo-2.jpg','public://field/image/blog/demo-2.jpg','image/jpeg',188059,1,1407470237),(54,1,'17111870.jpg','public://video_embed_field_thumbnails/vimeo/17111870.jpg','image/jpeg',36740,1,1409800463),(58,1,'FOIjvHjK0Rw.jpg','public://video_embed_field_thumbnails/youtube/FOIjvHjK0Rw.jpg','image/jpeg',37151,1,1409820372),(64,1,'demo-1.jpg','public://field/image/demo-1_1.jpg','image/jpeg',236251,1,1408001012),(65,1,'demo-1.jpg','public://field/gallery/demo-1_1.jpg','image/jpeg',236251,1,1408001012),(69,1,'demo-5.jpg','public://field/image/demo-5_0.jpg','image/jpeg',238711,1,1408001921),(70,1,'demo-5.jpg','public://field/gallery/demo-5_0.jpg','image/jpeg',238711,1,1408001921),(75,1,'demo-2.jpg','public://field/image/demo-2_1.jpg','image/jpeg',180066,1,1408002115),(76,1,'demo-2.jpg','public://field/gallery/demo-2_3.jpg','image/jpeg',180066,1,1408002115),(82,1,'demo-6.jpg','public://field/image/demo-6_0.jpg','image/jpeg',175436,1,1408002239),(83,1,'demo-6.jpg','public://field/gallery/demo-6_3.jpg','image/jpeg',175436,1,1408002239),(85,1,'demo-11.jpg','public://field/image/demo-11.jpg','image/jpeg',153471,1,1408002921),(86,1,'demo-11.jpg','public://field/gallery/demo-11.jpg','image/jpeg',153471,1,1408002921),(92,1,'demo-13.jpg','public://field/image/demo-13.jpg','image/jpeg',194875,1,1408003548),(93,1,'demo-13.jpg','public://field/gallery/demo-13.jpg','image/jpeg',194875,1,1408003548),(97,1,'demo-12.jpg','public://field/image/demo-12.jpg','image/jpeg',173533,1,1408003667),(98,1,'demo-12.jpg','public://field/gallery/demo-12_1.jpg','image/jpeg',173533,1,1408003667),(115,1,'demo-9.jpg','public://field/image/demo-9_1.jpg','image/jpeg',125579,1,1408010899),(116,1,'demo-9.jpg','public://field/gallery/demo-9_0.jpg','image/jpeg',125579,1,1408010899),(117,1,'demo-7.jpg','public://field/image/demo-7.jpg','image/jpeg',132274,1,1408010974),(118,1,'demo-7.jpg','public://field/gallery/demo-7.jpg','image/jpeg',132274,1,1408010974),(121,1,'demo-8.jpg','public://field/image/demo-8.jpg','image/jpeg',146278,1,1408011071),(122,1,'demo-8.jpg','public://field/gallery/demo-8_0.jpg','image/jpeg',146278,1,1408011071),(126,1,'demo-21.jpg','public://field/image/demo-21.jpg','image/jpeg',253301,1,1408011745),(127,1,'demo-21.jpg','public://field/gallery/demo-21.jpg','image/jpeg',253301,1,1408011745),(130,1,'demo-1.jpg','public://field/image/block/demo-1.jpg','image/jpeg',236251,1,1408011929),(131,1,'demo-15.jpg','public://field/image/demo-15.jpg','image/jpeg',194155,1,1408012352),(132,1,'demo-15.jpg','public://field/gallery/demo-15.jpg','image/jpeg',194155,1,1408012352),(140,1,'demo-17.jpg','public://field/image/demo-17.jpg','image/jpeg',375650,1,1408069753),(141,1,'demo-17.jpg','public://field/gallery/demo-17.jpg','image/jpeg',375650,1,1408069753),(142,1,'demo-18.jpg','public://field/image/demo-18.jpg','image/jpeg',198492,1,1408069899),(143,1,'demo-18.jpg','public://field/gallery/demo-18.jpg','image/jpeg',198492,1,1408069899),(146,1,'demo-14.jpg','public://field/image/demo-14.jpg','image/jpeg',79988,1,1408070151),(147,1,'demo-14.jpg','public://field/gallery/demo-14_0.jpg','image/jpeg',79988,1,1408070151),(154,1,'demo-20.jpg','public://field/image/demo-20.jpg','image/jpeg',197486,1,1408071178),(156,1,'demo-20.jpg','public://field/gallery/demo-20_3.jpg','image/jpeg',197486,1,1408071178),(161,1,'picture-3-1408084284.jpg','public://pictures/picture-3-1408084284.jpg','image/jpeg',20629,1,1408084284),(162,1,'picture-2-1408084307.jpg','public://pictures/picture-2-1408084307.jpg','image/jpeg',26286,1,1408084307),(163,1,'picture-1-1408084322.jpg','public://pictures/picture-1-1408084322.jpg','image/jpeg',25072,1,1408084322),(164,1,'picture-5-1408085195.jpg','public://pictures/picture-5-1408085195.jpg','image/jpeg',24319,1,1408085195),(165,1,'picture-4-1408085279.jpg','public://pictures/picture-4-1408085279.jpg','image/jpeg',25072,1,1408085279),(166,1,'demo-12.jpg','public://field/image/blog/demo-12.jpg','image/jpeg',173533,1,1408092335),(167,1,'demo-20.jpg','public://field/image/blog/demo-20.jpg','image/jpeg',197486,1,1408092335),(168,1,'demo-24.jpg','public://field/image/blog/demo-24.jpg','image/jpeg',172848,1,1408092335),(169,1,'demo-14.jpg','public://field/image/blog/demo-14.jpg','image/jpeg',79988,1,1408092728),(170,1,'demo-15.jpg','public://field/image/blog/demo-15.jpg','image/jpeg',194155,1,1408092728),(172,1,'demo-10.jpg','public://field/image/blog/demo-10.jpg','image/jpeg',208915,1,1408092838),(173,1,'demo-1.jpg','public://field/image/blog/demo-1.jpg','image/jpeg',236251,1,1408092838),(174,1,'demo-4.jpg','public://field/image/blog/demo-4.jpg','image/jpeg',153453,1,1408092838),(175,1,'demo-1.jpg','public://field/gallery/blog/demo-1.jpg','image/jpeg',236251,1,1408092838),(176,1,'demo-4.jpg','public://field/gallery/blog/demo-4.jpg','image/jpeg',153453,1,1408092838),(177,1,'demo-22.jpg','public://field/gallery/blog/demo-22.jpg','image/jpeg',132228,1,1408092838),(178,1,'demo-9.jpg','public://field/image/blog/demo-9.jpg','image/jpeg',125579,1,1408095174),(179,1,'demo-24.jpg','public://field/image/blog/demo-24_0.jpg','image/jpeg',172848,1,1408095174),(180,1,'demo-18.jpg','public://field/image/blog/demo-18.jpg','image/jpeg',198492,1,1408095174),(181,1,'demo-1.jpg','public://field/image/demo-1.jpg','image/jpeg',236251,1,1408095174),(186,1,'demo-27.jpg','public://field/gallery/page/demo-27.jpg','image/jpeg',138564,1,1408510463),(187,1,'demo-26.jpg','public://field/gallery/page/demo-26.jpg','image/jpeg',117554,1,1408510515),(188,1,'demo-25.jpg','public://field/gallery/page/demo-25.jpg','image/jpeg',131076,1,1408510515),(189,1,'demo-28.jpg','public://field/slideshow/demo-28.jpg','image/jpeg',236688,1,1408591043),(190,1,'demo-29.jpg','public://field/slideshow/demo-29.jpg','image/jpeg',200146,1,1408591080),(191,1,'demo-30.jpg','public://field/slideshow/demo-30.jpg','image/jpeg',259460,1,1408591116),(192,1,'demo-50.png','public://field/gallery/demo-50.png','image/png',1091018,1,1409218830),(193,1,'demo-51.png','public://field/gallery/demo-51.png','image/png',846956,1,1409218830),(194,1,'demo-52.png','public://field/gallery/demo-52.png','image/png',913523,1,1409219237),(195,1,'demo-53.png','public://field/gallery/demo-53.png','image/png',928314,1,1409219237),(196,1,'demo-54.png','public://field/gallery/demo-54.png','image/png',847096,1,1409219237),(200,1,'demo-57.png','public://field/gallery/demo-57.png','image/png',988042,1,1409219336),(201,1,'demo-50.png','public://field/gallery/demo-50_0.png','image/png',1091018,1,1409219336),(202,1,'demo-52.png','public://field/gallery/demo-52_0.png','image/png',913523,1,1409219336),(203,1,'demo-61.png','public://field/gallery/demo-61.png','image/png',964562,1,1409219386),(204,1,'demo-62.png','public://field/gallery/demo-62.png','image/png',987857,1,1409219386),(205,1,'demo-65.png','public://field/gallery/demo-65.png','image/png',928278,1,1409219386),(206,1,'demo-63.png','public://field/gallery/demo-63.png','image/png',931446,1,1409219433),(207,1,'demo-64.png','public://field/gallery/demo-64.png','image/png',913871,1,1409219433),(208,1,'demo-54.png','public://field/gallery/demo-54_0.png','image/png',847096,1,1409219433),(209,1,'demo-71.png','public://field/gallery/demo-71.png','image/png',848990,1,1409219487),(210,1,'demo-72.png','public://field/gallery/demo-72.png','image/png',960269,1,1409219487),(211,1,'demo-68.png','public://field/gallery/demo-68.png','image/png',821847,1,1409219487),(212,1,'demo-59.png','public://field/gallery/demo-59.png','image/png',839260,1,1409219540),(213,1,'demo-54.png','public://field/gallery/demo-54_1.png','image/png',847096,1,1409219540),(214,1,'demo-50.png','public://field/gallery/demo-50_1.png','image/png',1091018,1,1409219540),(215,1,'demo-61.png','public://field/gallery/demo-61_0.png','image/png',964562,1,1409219584),(216,1,'demo-62.png','public://field/gallery/demo-62_0.png','image/png',987857,1,1409219584),(217,1,'demo-53.png','public://field/gallery/demo-53_0.png','image/png',928314,1,1409219584),(218,1,'demo-66.png','public://field/gallery/demo-66.png','image/png',950704,1,1409219642),(219,1,'demo-72.png','public://field/gallery/demo-72_0.png','image/png',960269,1,1409219642),(220,1,'demo-52.png','public://field/gallery/demo-52_1.png','image/png',913523,1,1409219642),(221,1,'demo-56.png','public://field/gallery/demo-56.png','image/png',951386,1,1409219711),(222,1,'demo-53.png','public://field/gallery/demo-53_1.png','image/png',928314,1,1409219711),(223,1,'demo-61.png','public://field/gallery/demo-61_1.png','image/png',964562,1,1409219711),(224,1,'demo-71.png','public://field/gallery/demo-71_0.png','image/png',848990,1,1409219768),(225,1,'demo-72.png','public://field/gallery/demo-72_1.png','image/png',960269,1,1409219768),(226,1,'demo-57.png','public://field/gallery/demo-57_0.png','image/png',988042,1,1409219768),(227,1,'demo-67.png','public://field/gallery/demo-67.png','image/png',793093,1,1409219845),(228,1,'demo-71.png','public://field/gallery/demo-71_1.png','image/png',848990,1,1409219845),(229,1,'demo-64.png','public://field/gallery/demo-64_0.png','image/png',913871,1,1409219845),(230,1,'demo-50.png','public://field/gallery/demo-50_2.png','image/png',1091018,1,1409219901),(231,1,'demo-70.png','public://field/gallery/demo-70.png','image/png',840583,1,1409219901),(232,1,'demo-61.png','public://field/gallery/demo-61_2.png','image/png',964562,1,1409219901),(233,1,'demo-65.png','public://field/gallery/demo-65_0.png','image/png',928278,1,1409219983),(234,1,'demo-59.png','public://field/gallery/demo-59_0.png','image/png',839260,1,1409219983),(235,1,'demo-72.png','public://field/gallery/demo-72_2.png','image/png',960269,1,1409219983),(236,1,'demo-50.png','public://field/gallery/demo-50_3.png','image/png',1091018,1,1409220077),(237,1,'demo-52.png','public://field/gallery/demo-52_2.png','image/png',913523,1,1409220077),(238,1,'demo-71.png','public://field/gallery/demo-71_2.png','image/png',848990,1,1409220077),(239,1,'demo-66.png','public://field/gallery/demo-66_0.png','image/png',950704,1,1409220291),(240,1,'demo-53.png','public://field/gallery/demo-53_2.png','image/png',928314,1,1409220291),(241,1,'demo-57.png','public://field/gallery/demo-57_1.png','image/png',988042,1,1409220291),(242,1,'demo-57.png','public://field/gallery/demo-57_2.png','image/png',988042,1,1409220375),(243,1,'demo-71.png','public://field/gallery/demo-71_3.png','image/png',848990,1,1409220375),(244,1,'demo-60.png','public://field/image/demo-60.png','image/png',946276,1,1409222210),(245,1,'demo-60.png','public://field/gallery/demo-60.png','image/png',946276,1,1409222210),(246,1,'demo-71.png','public://field/gallery/demo-71_4.png','image/png',848990,1,1409222210),(247,1,'demo-59.png','public://field/gallery/demo-59_1.png','image/png',839260,1,1409222210),(248,1,'demo-64.png','public://field/gallery/demo-64_1.png','image/png',913871,1,1409222210),(249,1,'demo-69.png','public://field/image/demo-69.png','image/png',863857,1,1409222404),(250,1,'demo-69.png','public://field/gallery/demo-69.png','image/png',863857,1,1409222404),(251,1,'demo-50.png','public://field/gallery/demo-50_4.png','image/png',1091018,1,1409222404),(252,1,'demo-52.png','public://field/gallery/demo-52_3.png','image/png',913523,1,1409222404),(253,1,'demo-72.png','public://field/gallery/demo-72_3.png','image/png',960269,1,1409222404),(254,1,'demo-75.png','public://field/image/demo-75.png','image/png',865621,1,1409222925),(255,1,'demo-75.png','public://field/gallery/demo-75.png','image/png',865621,1,1409222925),(256,1,'demo-50.png','public://field/gallery/demo-50_5.png','image/png',1091018,1,1409222925),(257,1,'demo-61.png','public://field/gallery/demo-61_3.png','image/png',964562,1,1409222925),(258,1,'demo-72.png','public://field/gallery/demo-72_4.png','image/png',960269,1,1409222925),(259,1,'demo-76.png','public://field/image/demo-76.png','image/png',928226,1,1409223078),(260,1,'demo-76.png','public://field/gallery/demo-76.png','image/png',928226,1,1409223078),(261,1,'demo-52.png','public://field/gallery/demo-52_4.png','image/png',913523,1,1409223078),(262,1,'demo-57.png','public://field/gallery/demo-57_3.png','image/png',988042,1,1409223078),(263,1,'demo-63.png','public://field/gallery/demo-63_0.png','image/png',931446,1,1409223078),(264,1,'demo-74.png','public://field/image/demo-74.png','image/png',781842,1,1409223814),(265,1,'demo-74.png','public://field/gallery/demo-74.png','image/png',781842,1,1409223814),(266,1,'demo-54.png','public://field/gallery/demo-54_2.png','image/png',847096,1,1409223814),(267,1,'demo-52.png','public://field/gallery/demo-52_5.png','image/png',913523,1,1409223814),(268,1,'demo-71.png','public://field/gallery/demo-71_5.png','image/png',848990,1,1409223814),(272,1,'demo-52.png','public://field/gallery/demo-52_6.png','image/png',913523,1,1409286614),(273,1,'demo-50.png','public://field/gallery/demo-50_6.png','image/png',1091018,1,1409286614),(274,1,'demo-79.png','public://field/gallery/demo-79.png','image/png',812707,1,1409286614),(275,1,'demo-56.png','public://field/image/demo-56.png','image/png',951386,1,1409286724),(276,1,'demo-56.png','public://field/gallery/demo-56_0.png','image/png',951386,1,1409286724),(277,1,'demo-80.png','public://field/image/demo-80.png','image/png',875087,1,1409286878),(278,1,'demo-80.png','public://field/gallery/demo-80.png','image/png',875087,1,1409286878),(280,1,'demo-82.png','public://field/gallery/demo-82.png','image/png',766801,1,1409286878),(281,1,'demo-64.png','public://field/gallery/demo-64_2.png','image/png',913871,1,1409286878),(282,1,'demo-57.png','public://field/gallery/demo-57_4.png','image/png',988042,1,1409286878),(283,1,'demo-78.png','public://field/image/demo-78.png','image/png',831434,1,1409287051),(284,1,'demo-78.png','public://field/gallery/demo-78.png','image/png',831434,1,1409287051),(285,1,'demo-77.png','public://field/gallery/demo-77.png','image/png',809410,1,1409287051),(286,1,'demo-63.png','public://field/gallery/demo-63_1.png','image/png',931446,1,1409287051),(287,1,'demo-82.png','public://field/gallery/demo-82_0.png','image/png',766801,1,1409287051),(288,1,'demo-52.png','public://field/gallery/demo-52_7.png','image/png',913523,1,1409287051),(289,1,'demo-81.png','public://field/image/demo-81.png','image/png',980191,1,1409287233),(290,1,'demo-81.png','public://field/gallery/demo-81.png','image/png',980191,1,1409287233),(291,1,'demo-65.png','public://field/gallery/demo-65_1.png','image/png',928278,1,1409287233),(292,1,'demo-50.png','public://field/gallery/demo-50_7.png','image/png',1091018,1,1409287233),(293,1,'demo-62.png','public://field/gallery/demo-62_1.png','image/png',987857,1,1409287233),(294,1,'demo-83.png','public://field/image/demo-83.png','image/png',840795,1,1409287595),(295,1,'demo-83.png','public://field/gallery/demo-83.png','image/png',840795,1,1409287595),(296,1,'demo-82.png','public://field/gallery/demo-82_1.png','image/png',766801,1,1409287595),(297,1,'demo-72.png','public://field/gallery/demo-72_5.png','image/png',960269,1,1409287595),(298,1,'demo-65.png','public://field/gallery/demo-65_2.png','image/png',928278,1,1409287595),(299,1,'demo-61.png','public://field/gallery/demo-61_4.png','image/png',964562,1,1409287595),(300,1,'demo-84.png','public://field/image/demo-84.png','image/png',774680,1,1409287741),(301,1,'demo-84.png','public://field/gallery/demo-84.png','image/png',774680,1,1409287741),(302,1,'demo-61.png','public://field/gallery/demo-61_5.png','image/png',964562,1,1409287741),(303,1,'demo-79.png','public://field/gallery/demo-79_0.png','image/png',812707,1,1409287741),(304,1,'demo-72.png','public://field/gallery/demo-72_6.png','image/png',960269,1,1409287741),(305,1,'demo-77.png','public://field/gallery/demo-77_0.png','image/png',809410,1,1409287741),(307,1,'demo-80.png','public://field/image/blog/demo-80.png','image/png',875087,1,1409800289),(308,1,'demo-84.png','public://field/image/blog/demo-84.png','image/png',774680,1,1409800289),(309,1,'demo-59.png','public://field/image/blog/demo-59.png','image/png',839260,1,1409800289);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (13,'file','bean',1,1),(41,'file','node',13,1),(53,'file','field_collection_item',9,1),(64,'file','node',31,1),(65,'file','node',31,1),(69,'file','node',30,1),(70,'file','node',30,1),(75,'file','node',29,1),(76,'file','node',29,1),(82,'file','node',28,1),(83,'file','node',28,1),(85,'file','node',27,1),(86,'file','node',27,1),(92,'file','node',26,1),(93,'file','node',26,1),(97,'file','node',1,1),(98,'file','node',1,1),(115,'file','node',25,1),(116,'file','node',25,1),(117,'file','node',21,1),(118,'file','node',21,1),(121,'file','node',20,1),(122,'file','node',20,1),(126,'file','node',34,1),(127,'file','node',34,1),(130,'file','bean',1,1),(131,'file','node',35,1),(132,'file','node',35,1),(140,'file','node',36,1),(141,'file','node',36,1),(142,'file','node',37,1),(143,'file','node',37,1),(146,'file','node',38,1),(147,'file','node',38,1),(154,'file','node',39,1),(156,'file','node',39,1),(161,'user','user',3,1),(162,'user','user',2,1),(163,'user','user',1,1),(164,'user','user',5,1),(165,'user','user',4,1),(166,'file','field_collection_item',10,1),(167,'file','field_collection_item',11,1),(168,'file','field_collection_item',12,1),(169,'file','field_collection_item',7,1),(170,'file','field_collection_item',8,1),(172,'file','field_collection_item',4,1),(173,'file','field_collection_item',5,1),(174,'file','field_collection_item',6,1),(175,'file','node',12,1),(176,'file','node',12,1),(177,'file','node',12,1),(178,'file','field_collection_item',13,1),(179,'file','field_collection_item',14,1),(180,'file','field_collection_item',15,1),(181,'file','node',40,1),(186,'file','node',14,1),(187,'file','node',14,1),(188,'file','node',14,1),(189,'file','node',31,1),(190,'file','node',20,1),(191,'file','node',1,1),(192,'file','node',39,1),(193,'file','node',39,1),(194,'file','node',1,1),(195,'file','node',1,1),(196,'file','node',1,1),(200,'file','node',20,1),(201,'file','node',20,1),(202,'file','node',20,1),(203,'file','node',28,1),(204,'file','node',28,1),(205,'file','node',28,1),(206,'file','node',27,1),(207,'file','node',27,1),(208,'file','node',27,1),(209,'file','node',29,1),(210,'file','node',29,1),(211,'file','node',29,1),(212,'file','node',30,1),(213,'file','node',30,1),(214,'file','node',30,1),(215,'file','node',26,1),(216,'file','node',26,1),(217,'file','node',26,1),(218,'file','node',25,1),(219,'file','node',25,1),(220,'file','node',25,1),(221,'file','node',21,1),(222,'file','node',21,1),(223,'file','node',21,1),(224,'file','node',34,1),(225,'file','node',34,1),(226,'file','node',34,1),(227,'file','node',35,1),(228,'file','node',35,1),(229,'file','node',35,1),(230,'file','node',36,1),(231,'file','node',36,1),(232,'file','node',36,1),(233,'file','node',37,1),(234,'file','node',37,1),(235,'file','node',37,1),(236,'file','node',38,1),(237,'file','node',38,1),(238,'file','node',38,1),(239,'file','node',31,1),(240,'file','node',31,1),(241,'file','node',31,1),(242,'file','node',39,1),(243,'file','node',39,1),(244,'file','node',45,1),(245,'file','node',45,1),(246,'file','node',45,1),(247,'file','node',45,1),(248,'file','node',45,1),(249,'file','node',46,1),(250,'file','node',46,1),(251,'file','node',46,1),(252,'file','node',46,1),(253,'file','node',46,1),(254,'file','node',47,1),(255,'file','node',47,1),(256,'file','node',47,1),(257,'file','node',47,1),(258,'file','node',47,1),(259,'file','node',48,1),(260,'file','node',48,1),(261,'file','node',48,1),(262,'file','node',48,1),(263,'file','node',48,1),(264,'file','node',49,1),(265,'file','node',49,1),(266,'file','node',49,1),(267,'file','node',49,1),(268,'file','node',49,1),(272,'file','node',50,1),(273,'file','node',50,1),(274,'file','node',50,1),(275,'file','node',50,1),(276,'file','node',50,1),(277,'file','node',51,1),(278,'file','node',51,1),(280,'file','node',51,1),(281,'file','node',51,1),(282,'file','node',51,1),(283,'file','node',52,1),(284,'file','node',52,1),(285,'file','node',52,1),(286,'file','node',52,1),(287,'file','node',52,1),(288,'file','node',52,1),(289,'file','node',53,1),(290,'file','node',53,1),(291,'file','node',53,1),(292,'file','node',53,1),(293,'file','node',53,1),(294,'file','node',54,1),(295,'file','node',54,1),(296,'file','node',54,1),(297,'file','node',54,1),(298,'file','node',54,1),(299,'file','node',54,1),(300,'file','node',55,1),(301,'file','node',55,1),(302,'file','node',55,1),(303,'file','node',55,1),(304,'file','node',55,1),(305,'file','node',55,1),(307,'file','field_collection_item',1,1),(308,'file','field_collection_item',2,1),(309,'file','field_collection_item',3,1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter`
--

LOCK TABLES `filter` WRITE;
/*!40000 ALTER TABLE `filter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop',2,1,'a:0:{}'),('filtered_html','filter','filter_html',1,1,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('filtered_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('filtered_html','filter','filter_html_escape',-10,0,'a:0:{}'),('filtered_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('full_html','filter','filter_autop',1,1,'a:0:{}'),('full_html','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('full_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('full_html','filter','filter_html_escape',-10,0,'a:0:{}'),('full_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','filter','filter_autop',0,0,'a:0:{}'),('php_code','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('php_code','filter','filter_htmlcorrector',10,0,'a:0:{}'),('php_code','filter','filter_html_escape',-10,0,'a:0:{}'),('php_code','filter','filter_url',0,0,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','gmap','gmap_macro',0,0,'a:0:{}'),('php_code','php','php_code',0,1,'a:0:{}'),('plain_text','filter','filter_autop',2,1,'a:0:{}'),('plain_text','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('plain_text','filter','filter_htmlcorrector',10,0,'a:0:{}'),('plain_text','filter','filter_html_escape',0,1,'a:0:{}'),('plain_text','filter','filter_url',1,1,'a:1:{s:17:\"filter_url_length\";i:72;}');
/*!40000 ALTER TABLE `filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter_format`
--

DROP TABLE IF EXISTS `filter_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter_format`
--

LOCK TABLES `filter_format` WRITE;
/*!40000 ALTER TABLE `filter_format` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML',1,1,0),('full_html','Full HTML',1,1,1),('php_code','PHP code',0,1,11),('plain_text','Plain text',1,1,10);
/*!40000 ALTER TABLE `filter_format` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flexslider_optionset`
--

DROP TABLE IF EXISTS `flexslider_optionset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flexslider_optionset` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `theme` varchar(255) NOT NULL DEFAULT 'classic' COMMENT 'The flexslider theme.',
  `imagestyle_normal` varchar(255) NOT NULL DEFAULT 'flexslider_full' COMMENT 'The image style for normal images.',
  `imagestyle_thumbnail` varchar(255) NOT NULL DEFAULT 'flexslider_thumbnail' COMMENT 'The image style for thumbnail images.',
  `options` longblob COMMENT 'The options array.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store option sets for flexslider instances.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flexslider_optionset`
--

LOCK TABLES `flexslider_optionset` WRITE;
/*!40000 ALTER TABLE `flexslider_optionset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `flexslider_optionset` VALUES ('thumbnail_slider','Thumbnail slider','classic','flexslider_full','flexslider_thumbnail','a:40:{s:9:\"namespace\";s:5:\"flex-\";s:8:\"selector\";s:12:\".slides > li\";s:6:\"easing\";s:5:\"swing\";s:9:\"direction\";s:10:\"horizontal\";s:7:\"reverse\";i:0;s:12:\"smoothHeight\";i:0;s:7:\"startAt\";s:1:\"0\";s:14:\"animationSpeed\";s:3:\"600\";s:9:\"initDelay\";s:1:\"0\";s:6:\"useCSS\";i:1;s:5:\"touch\";i:1;s:5:\"video\";i:0;s:8:\"keyboard\";i:1;s:16:\"multipleKeyboard\";i:0;s:10:\"mousewheel\";i:0;s:17:\"controlsContainer\";s:27:\".flex-control-nav-container\";s:4:\"sync\";s:15:\"#carousel-thumb\";s:8:\"asNavFor\";s:0:\"\";s:9:\"itemWidth\";s:1:\"0\";s:10:\"itemMargin\";s:1:\"0\";s:8:\"minItems\";s:1:\"0\";s:8:\"maxItems\";s:1:\"0\";s:4:\"move\";s:1:\"0\";s:9:\"animation\";s:4:\"fade\";s:9:\"slideshow\";i:1;s:14:\"slideshowSpeed\";s:4:\"7000\";s:12:\"directionNav\";i:1;s:10:\"controlNav\";s:1:\"0\";s:8:\"prevText\";s:8:\"Previous\";s:8:\"nextText\";s:4:\"Next\";s:9:\"pausePlay\";i:0;s:9:\"pauseText\";s:5:\"Pause\";s:8:\"playText\";s:4:\"Play\";s:9:\"randomize\";i:0;s:13:\"thumbCaptions\";i:0;s:17:\"thumbCaptionsBoth\";i:0;s:13:\"animationLoop\";i:1;s:13:\"pauseOnAction\";i:1;s:12:\"pauseOnHover\";i:0;s:14:\"manualControls\";s:0:\"\";}');
/*!40000 ALTER TABLE `flexslider_optionset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flickr_users`
--

DROP TABLE IF EXISTS `flickr_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flickr_users` (
  `uid` int(11) NOT NULL COMMENT 'Primary Key: Drupal user ID',
  `nsid` varchar(64) NOT NULL COMMENT 'Flickr NSID',
  `identifier` varchar(64) NOT NULL COMMENT 'Flickr identifier',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Connects Drupal users to their Flickr accounts.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flickr_users`
--

LOCK TABLES `flickr_users` WRITE;
/*!40000 ALTER TABLE `flickr_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flickr_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `history` VALUES (1,14,1500349535),(1,32,1500349596),(1,62,1500349526);
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `icon_bundle`
--

DROP TABLE IF EXISTS `icon_bundle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `icon_bundle` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the icon bundle.',
  `bundle` longblob COMMENT 'The array data belonging to the icon bundle.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'The enabled status. (1 = enabled, 0 = disabled) of the icon bundle.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the contents of icon bundles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `icon_bundle`
--

LOCK TABLES `icon_bundle` WRITE;
/*!40000 ALTER TABLE `icon_bundle` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `icon_bundle` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_effects`
--

DROP TABLE IF EXISTS `image_effects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_effects`
--

LOCK TABLES `image_effects` WRITE;
/*!40000 ALTER TABLE `image_effects` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_effects` VALUES (2,2,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"370\";s:6:\"height\";s:3:\"247\";}'),(3,3,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"270\";s:6:\"height\";s:3:\"180\";}'),(4,4,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"848\";s:6:\"height\";s:3:\"565\";}'),(5,5,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"224\";s:6:\"height\";s:3:\"224\";}'),(6,6,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:2:\"90\";s:6:\"height\";s:2:\"90\";}'),(7,7,0,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"848\";s:6:\"height\";s:3:\"565\";}'),(8,8,0,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"154\";s:6:\"height\";s:3:\"103\";}'),(9,9,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:2:\"65\";s:6:\"height\";s:2:\"65\";}'),(10,10,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"270\";s:6:\"height\";s:3:\"270\";}');
/*!40000 ALTER TABLE `image_effects` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_styles`
--

DROP TABLE IF EXISTS `image_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style machine name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_styles`
--

LOCK TABLES `image_styles` WRITE;
/*!40000 ALTER TABLE `image_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_styles` VALUES (2,'thumb_grid_4','Thumbnail (370x247)'),(3,'thumb_grid_3','Thumbnail (270x180)'),(4,'thumb_grid_6','Thumbnail (848x565)'),(5,'avatar','Avatar (224x224)'),(6,'small_avatar','Small Avatar (90x90)'),(7,'galleryformatter_slide','galleryformatter_slide'),(8,'galleryformatter_thumb','galleryformatter_thumb'),(9,'small_thumbnail__65x65_','Small thumbnail (65x65)'),(10,'thumb_square_grid_3','Thumb Square (270x270)');
/*!40000 ALTER TABLE `image_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ip_geoloc`
--

DROP TABLE IF EXISTS `ip_geoloc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ip_geoloc` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique id',
  `ip_address` varchar(64) NOT NULL COMMENT 'IP address',
  `latitude` double DEFAULT NULL COMMENT 'Latitude',
  `longitude` double DEFAULT NULL COMMENT 'Longitude',
  `country` varchar(64) DEFAULT NULL COMMENT 'Country',
  `country_code` varchar(3) DEFAULT NULL COMMENT 'ISO 3166 2-Character Country Code',
  `region` varchar(64) DEFAULT NULL COMMENT 'Region',
  `region_code` varchar(3) DEFAULT NULL COMMENT '2-Character Region Code',
  `city` varchar(64) DEFAULT NULL COMMENT 'City',
  `postal_code` varchar(12) DEFAULT NULL COMMENT 'Post code',
  `locality` varchar(64) DEFAULT NULL COMMENT 'Suburb',
  `route` varchar(64) DEFAULT NULL COMMENT 'Street',
  `street_number` varchar(32) DEFAULT NULL COMMENT 'Street number',
  `administrative_area_level_1` varchar(64) DEFAULT NULL COMMENT 'State or province',
  `formatted_address` varchar(128) DEFAULT NULL COMMENT 'Address',
  PRIMARY KEY (`id`),
  KEY `ip_address` (`ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store visitor IP addresses and geolocation information';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_geoloc`
--

LOCK TABLES `ip_geoloc` WRITE;
/*!40000 ALTER TABLE `ip_geoloc` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ip_geoloc` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `languages` VALUES ('ar','Arabic','العربية',1,1,6,'(($n==1)?(0):(($n==0)?(1):(($n==2)?(2):(((($n%100)>=3)&&(($n%100)<=10))?(3):(((($n%100)>=11)&&(($n%100)<=99))?(4):5)))))','','ar',0,'Vq35ARSiId5FJRsCOU528qVjtUs7PONRS_HBz1XQ0ds'),('en','English','English',0,1,0,'','','en',0,'');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=7712 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'; misc/drupal.js','default','An AJAX HTTP error occurred.','','none'),(2,'; misc/drupal.js','default','HTTP Result Code: !status','','none'),(3,'; misc/drupal.js','default','An AJAX HTTP request terminated abnormally.','','none'),(4,'; misc/drupal.js','default','Debugging information follows.','','none'),(5,'; misc/drupal.js','default','Path: !uri','','none'),(6,'; misc/drupal.js','default','StatusText: !statusText','','none'),(7,'; misc/drupal.js','default','ResponseText: !responseText','','none'),(8,'; misc/drupal.js','default','ReadyState: !readyState','','none'),(9,'; modules/overlay/overlay-child.js','default','Loading','','none'),(10,'; modules/overlay/overlay-child.js; misc/vertical-tabs.js','default','(active tab)','','7.34'),(11,'; misc/collapse.js','default','Hide','','none'),(12,'; misc/collapse.js','default','Show','','none'),(13,'sites/all/modules/jcarousel/js/jcarousel.js','default','Internal server error. Please see server or PHP logs for error information.','','none'),(14,'sites/all/modules/jcarousel/js/jcarousel.js','default','An error occurred at @path.\\n\\nError Description: @error','','none'),(15,'sites/all/modules/module_filter/js/module_filter.js','default','No results','','none'),(16,'sites/all/modules/module_filter/js/module_filter.js','default','clear','','none'),(17,'; sites/all/modules/module_filter/js/module_filter_tab.js','default','All','','7.34'),(18,'sites/all/modules/module_filter/js/module_filter_tab.js','default','New','','none'),(19,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules installed within the last week.','','none'),(20,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules added within the last week.','','none'),(21,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Recent','','none'),(22,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules enabled/disabled within the last week.','','none'),(23,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules were enabled or disabled within the last week.','','none'),(24,'sites/all/modules/module_filter/js/module_filter_tab.js','default','@enabled of @total','','none'),(25,'sites/all/themes/real_estast/js/weebpal.js','default','Are you sure you want to reset your theme settings to default theme settings?','','none'),(26,'; sites/all/themes/real_estast/js/real_estast.js','default','Keywords','','7.34'),(27,'sites/all/themes/real_estast/js/real_estast.js','default','Business Type','','7.37'),(28,'; sites/all/themes/real_estast/js/real_estast.js','default','Location','','7.37'),(29,'sites/all/themes/real_estast/js/real_estast.js','default','Property Type','','7.37'),(30,'sites/all/themes/real_estast/js/real_estast.js','default','Area From','','7.37'),(31,'sites/all/themes/real_estast/js/real_estast.js','default','Min Price','','7.37'),(32,'sites/all/themes/real_estast/js/real_estast.js','default','Max Price','','7.37'),(33,'sites/all/themes/real_estast/js/real_estast.js','default','Bedrooms','','7.37'),(34,'sites/all/themes/real_estast/js/real_estast.js','default','Bathrooms','','7.37'),(35,'sites/all/themes/real_estast/js/real_estast.js','default','Apply','','7.34'),(36,'; modules/overlay/overlay-parent.js','default','@title dialog','','none'),(37,'; modules/contextual/contextual.js','default','Configure','','7.32'),(38,'; misc/tabledrag.js','default','Re-order rows by numerical weight instead of dragging.','','none'),(39,'; misc/tabledrag.js','default','Show row weights','','none'),(40,'; misc/tabledrag.js','default','Hide row weights','','none'),(41,'; misc/tabledrag.js','default','Drag to re-order','','none'),(42,'; misc/tabledrag.js','default','Changes made in this table will not be saved until the form is submitted.','','none'),(43,'','default','Public files','','7.34'),(44,'','default','Public local files served by the webserver.','','7.34'),(45,'','default','Temporary files','','7.34'),(46,'','default','Temporary local files for upload and previews.','','7.34'),(47,'','default','Languages','','7.34'),(48,'','default','Configure languages for content and the user interface.','','7.34'),(49,'','default','Long','','7.34'),(50,'','default','Medium','','7.34'),(51,'','default','Short','','7.34'),(52,'','default','Home','','7.34'),(53,'','default','Administration','','7.34'),(54,'','default','Appearance','','7.34'),(55,'','default','Select and configure your themes.','','7.34'),(56,'','default','Configuration','','7.34'),(57,'','default','Administer settings.','','7.34'),(58,'','default','Content authoring','','7.34'),(59,'','default','Settings related to formatting and authoring content.','','7.34'),(60,'','default','Development','','7.34'),(61,'','default','Development tools.','','7.34'),(62,'','default','Media','','7.34'),(63,'','default','Media tools.','','7.34'),(64,'','default','People','','7.34'),(65,'/admin/config/regional/language?render=overlay','default','Configure user accounts.','','7.34'),(66,'','default','Regional and language','','7.34'),(67,'','default','Regional settings, localization and translation.','','7.34'),(68,'','default','Date and time','','7.34'),(69,'','default','Configure display formats for date and time.','','7.34'),(70,'','default','Regional settings','','7.34'),(71,'','default','Settings for the site\'s default time zone and country.','','7.34'),(72,'','default','Add language','','7.34'),(73,'','default','Detection and selection','','7.34'),(74,'','default','List','','7.34'),(75,'','default','Translate interface','','7.34'),(76,'','default','Translate the built in interface and optionally other text.','','7.34'),(77,'','default','Search and metadata','','7.34'),(78,'','default','Local site search, metadata and SEO.','','7.34'),(79,'','default','System','','7.34'),(80,'','default','General system related configuration.','','7.34'),(81,'','default','User interface','','7.34'),(82,'','default','Tools that enhance the user interface.','','7.34'),(83,'','default','Web services','','7.34'),(84,'','default','Tools related to web services.','','7.34'),(85,'','default','Workflow','','7.34'),(86,'','default','Content workflow, editorial workflow tools.','','7.34'),(87,'/admin/config/regional/language?render=overlay','default','Administration tools.','','7.34'),(88,'','default','Content','','7.34'),(89,'','default','Administer content and comments.','','7.34'),(90,'','default','Dashboard','','7.34'),(91,'','default','View and customize your dashboard.','','7.34'),(92,'','default','Index','','7.34'),(93,'','default','Modules','','7.34'),(94,'','default','Extend site functionality.','','7.34'),(95,'','default','Manage user accounts, roles, and permissions.','','7.34'),(96,'','default','Reports','','7.34'),(97,'','default','View reports, updates, and errors.','','7.34'),(98,'','default','Structure','','7.34'),(99,'','default','Administer blocks, content types, menus, etc.','','7.34'),(100,'','default','Tasks','','7.34'),(101,'','default','Help','','7.34'),(102,'','default','Reference for usage, configuration, and modules.','','7.34'),(103,'','default','Drupal core update status','','7.34'),(104,'','default','No update data available','','7.32'),(105,'','default','No update information available. <a href=\"@run_cron\">Run cron</a> or <a href=\"@check_manually\">check manually</a>.','','7.32'),(106,'','default','Weight for @title','','7.32'),(107,'','default','Right to left','','7.32'),(108,'','default','Left to right','','7.32'),(109,'','default','Enabled languages','','7.32'),(110,'','default','Default language','','7.32'),(111,'','default','Save configuration','','7.32'),(112,'/admin/config/regional/language?render=overlay','default','Location chooser','','7.34'),(113,'/admin/config/regional/language?render=overlay','default','Used to activate location choosing using a gmap.','','7.34'),(114,'/admin/config/regional/language?render=overlay','default','Disable dragging','','7.34'),(115,'/admin/config/regional/language?render=overlay','default','Remove the ability for the user to drag the map. If dragging is disabled, keyboard shortcuts are implicitly disabled.','','7.34'),(116,'/admin/config/regional/language?render=overlay','default','Disable keyboard','','7.34'),(117,'/admin/config/regional/language?render=overlay','default','Disable the keyboard shortcuts.','','7.34'),(118,'/admin/config/regional/language?render=overlay','default','Disable mousezoom','','7.34'),(119,'/admin/config/regional/language?render=overlay','default','Disable using the scroll wheel to zoom the map.','','7.34'),(120,'/admin/config/regional/language?render=overlay','default','Disable Continuous Zoom','','7.34'),(121,'/admin/config/regional/language?render=overlay','default','Disable dynamically resizing images while waiting for tiles to load when zooming.','','7.34'),(122,'/admin/config/regional/language?render=overlay','default','Use AutoZoom','','7.34'),(123,'/admin/config/regional/language?render=overlay','default','Automatically zoom the map to fit all markers when markers are added.','','7.34'),(124,'/admin/config/regional/language?render=overlay','default','Unconditionally enable marker interface','','7.34'),(125,'/admin/config/regional/language?render=overlay','default','Load the marker loader system even if no markers to load are detected. Useful if you are injecting markers from somewhere else.','','7.34'),(126,'/admin/config/regional/language?render=overlay','default','Enable Overview Map','','7.34'),(127,'/admin/config/regional/language?render=overlay','default','Enable the \"overview map\" in the bottom right corner.','','7.34'),(128,'/admin/config/regional/language?render=overlay','default','Work around bugs when maps appear in collapsible fieldsets','','7.34'),(129,'/admin/config/regional/language?render=overlay','default','Enabling this will work around some issues that can occur when maps appear inside collapsible fieldsets.','','7.34'),(130,'/admin/config/regional/language?render=overlay','default','Add scale control to map.','','7.34'),(131,'/admin/config/regional/language?render=overlay','default','Adds a scale control to the map in the default position.','','7.34'),(132,'/admin/config/regional/language?render=overlay','default','Enable extra marker events.','','7.34'),(133,'/admin/config/regional/language?render=overlay','default','Used for advanced javascript work, this will enable the <em>mouseovermarker</em>, <em>mouseoutmarker</em>, and <em>dblclickmarker</em> events.','','7.34'),(134,'/admin/config/regional/language?render=overlay','default','Enable clickable shapes.','','7.34'),(135,'/admin/config/regional/language?render=overlay','default','Used for advanced javascript work, this will enable the <em>clickshape</em> event.','','7.34'),(136,'/admin/config/regional/language?render=overlay','default','Highlight marker on rollover','','7.34'),(137,'/admin/config/regional/language?render=overlay','default','Highlight marker by creating circle on mouse rollover event.','','7.34'),(138,'/admin/config/regional/language?render=overlay','default','Icon','','7.34'),(139,'','default','Page top','','7.34'),(140,'','default','Page bottom','','7.34'),(141,'','default','First sidebar','','7.34'),(142,'/admin/config/regional/language?render=overlay','default','Dashboard (main)','','7.34'),(143,'/admin/config/regional/language?render=overlay','default','Dashboard (sidebar)','','7.34'),(144,'/admin/config/regional/language?render=overlay','default','Dashboard (inactive)','','7.34'),(145,'','default','Blog entry','','7.34'),(146,'','default','Use for multi-user blogs. Every user gets a personal blog.','','7.34'),(147,'','default','Article','','7.34'),(148,'','default','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','7.34'),(149,'','default','Title','','7.34'),(150,'/admin/config/regional/language?render=overlay','default','With multiple languages enabled, interface text can be translated, registered users may select their preferred language, and authors can assign a specific language to content. <a href=\"@translations\">Download contributed translations</a> from Drupal.org.','','7.32'),(151,'','default','Block','','7.37'),(152,'','default','Default','','7.34'),(153,'/admin/config/regional/language?render=overlay','default','The Title of the block.','','7.34'),(154,'','default','Comment','','7.34'),(155,'','default','Full comment','','7.34'),(156,'','default','@node_type comment','','7.34'),(157,'/admin/config/regional/language?render=overlay','default','Field collection item','','7.34'),(158,'','default','Full content','','7.34'),(159,'/admin/config/regional/language?render=overlay','default','Field collection @field','','7.34'),(160,'/admin/config/regional/language?render=overlay','default','Path-based meta tags','','7.34'),(161,'','default','Node','','7.34'),(162,'','default','Teaser','','7.34'),(163,'','default','RSS','','7.34'),(164,'','default','Search index','','7.34'),(165,'/admin/config/regional/language?render=overlay','default','Search result','','7.32'),(166,'','default','File','','7.34'),(167,'','default','Taxonomy term','','7.34'),(168,'','default','Taxonomy term page','','7.34'),(169,'','default','Taxonomy vocabulary','','7.34'),(170,'','default','User','','7.34'),(171,'','default','User account','','7.34'),(172,'/admin/config/regional/language?render=overlay','default','Email: Plain','','7.34'),(173,'/admin/config/regional/language?render=overlay','default','Email: HTML','','7.34'),(174,'/admin/config/regional/language?render=overlay','default','Email: HTML text alternative','','7.34'),(175,'/admin/config/regional/language?render=overlay','default','Tokens','','7.34'),(176,'','default','Nodes','','7.34'),(177,'','default','Users','','7.34'),(178,'','default','Files','','7.34'),(179,'/admin/config/regional/language?render=overlay','default','Nodes represent the main site content items.','','7.34'),(180,'/admin/config/regional/language?render=overlay','default','Users who have created accounts on your site.','','7.34'),(181,'/admin/config/regional/language?render=overlay','default','Uploaded file.','','7.34'),(182,'','default','Comments','','7.34'),(183,'/admin/config/regional/language?render=overlay','default','Remark or note that refers to a node.','','7.34'),(184,'','default','Taxonomy terms','','7.34'),(185,'/admin/config/regional/language?render=overlay','default','Taxonomy terms are used for classifying content.','','7.34'),(186,'/admin/config/regional/language?render=overlay','default','Taxonomy vocabularies','','7.34'),(187,'/admin/config/regional/language?render=overlay','default','Vocabularies contain related taxonomy terms, which are used for classifying content.','','7.34'),(188,'/admin/config/regional/language?render=overlay','default','Postal address','','7.34'),(189,'/admin/config/regional/language?render=overlay','default','A field type used for storing postal addresses according the xNAL standard.','','7.34'),(190,'/admin/config/regional/language?render=overlay','default','Block reference','','7.34'),(191,'/admin/config/regional/language?render=overlay','default','This field stores the ID of a related block as an integer value.','','7.34'),(192,'/admin/config/regional/language?render=overlay','default','This field stores and renders email addresses.','','7.34'),(193,'/admin/config/regional/language?render=overlay','default','Entity Reference','','7.34'),(194,'/admin/config/regional/language?render=overlay','default','This field reference another entity.','','7.34'),(195,'/admin/config/regional/language?render=overlay','default','Field collection','','7.34'),(196,'/admin/config/regional/language?render=overlay','default','This field stores references to embedded entities, which itself may contain any number of fields.','','7.34'),(197,'','default','This field stores the ID of a file as an integer value.','','7.34'),(198,'/admin/config/regional/language?render=overlay','default','Store a bundle and icon in the database to assemble an icon field.','','7.34'),(199,'','default','Image','','7.34'),(200,'','default','This field stores the ID of an image file as an integer value.','','7.34'),(201,'','default','Link','','7.34'),(202,'/admin/config/regional/language?render=overlay','default','Store a title, href, and attributes in the database to assemble a link.','','7.34'),(203,'','default','List (integer)','','7.34'),(204,'','default','This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.','','7.34'),(205,'','default','List (float)','','7.34'),(206,'','default','This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.','','7.34'),(207,'','default','List (text)','','7.34'),(208,'','default','This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.','','7.34'),(209,'','default','Boolean','','7.34'),(210,'','default','This field stores simple on/off or yes/no options.','','7.34'),(211,'/admin/config/regional/language?render=overlay','default','Meta tag to be displayed in the head section.','','7.34'),(212,'','default','Integer','','7.34'),(213,'','default','This field stores a number in the database as an integer.','','7.34'),(214,'','default','Decimal','','7.34'),(215,'','default','This field stores a number in the database in a fixed decimal format.','','7.34'),(216,'','default','Float','','7.34'),(217,'','default','This field stores a number in the database in a floating point format.','','7.34'),(218,'','default','Term reference','','7.34'),(219,'','default','This field stores a reference to a taxonomy term.','','7.34'),(220,'','default','Text','','7.34'),(221,'','default','This field stores varchar text in the database.','','7.34'),(222,'','default','Long text','','7.34'),(223,'','default','This field stores long text in the database.','','7.34'),(224,'','default','Long text and summary','','7.34'),(225,'','default','This field stores long text in the database along with optional summary text.','','7.34'),(226,'/admin/config/regional/language?render=overlay','default','Dynamic address form','','7.34'),(227,'/admin/config/regional/language?render=overlay','default','Autocomplete text field','','7.34'),(228,'/admin/config/regional/language?render=overlay','default','Display the list of referenceable blocks as a textfield with autocomplete behaviour.','','7.34'),(229,'','default','Text field','','7.34'),(230,'/admin/config/regional/language?render=overlay','default','Autocomplete','','7.34'),(231,'/admin/config/regional/language?render=overlay','default','An autocomplete text field.','','7.34'),(232,'/admin/config/regional/language?render=overlay','default','Autocomplete (Tags style)','','7.34'),(233,'','default','Hidden','','7.34'),(234,'/admin/config/regional/language?render=overlay','default','Embedded','','7.34'),(235,'/admin/config/regional/language?render=overlay','default','Text area','','7.34'),(236,'/admin/config/regional/language?render=overlay','default','Checkboxes','','7.34'),(237,'','default','Select list','','7.34'),(238,'','default','Check boxes/radio buttons','','7.34'),(239,'','default','Single on/off checkbox','','7.34'),(240,'','default','Autocomplete term widget (tagging)','','7.34'),(241,'','default','Text area (multiple rows)','','7.34'),(242,'','default','Text area with a summary','','7.34'),(243,'/admin/config/regional/language?render=overlay','default','Default (title and content)','','7.34'),(244,'/admin/config/regional/language?render=overlay','default','Display the title and content of a block.','','7.34'),(245,'/admin/config/regional/language?render=overlay','default','Content only','','7.34'),(246,'/admin/config/regional/language?render=overlay','default','Display the content of a block.  Do not display the title.','','7.34'),(247,'/admin/config/regional/language?render=overlay','default','Title only','','7.34'),(248,'/admin/config/regional/language?render=overlay','default','Display the title of a block.  Do not display the content.','','7.34'),(249,'','default','Info','','7.34'),(250,'/admin/config/regional/language?render=overlay','default','Display the info text of a block.','','7.34'),(251,'/admin/config/regional/language?render=overlay','default','Default email link','','7.34'),(252,'/admin/config/regional/language?render=overlay','default','Display the email address as a mailto link.','','7.34'),(253,'/admin/config/regional/language?render=overlay','default','Email contact form','','7.34'),(254,'/admin/config/regional/language?render=overlay','default','Display a contact form.','','7.34'),(255,'/admin/config/regional/language?render=overlay','default','Email plain text','','7.34'),(256,'/admin/config/regional/language?render=overlay','default','Display the email address as plain text.','','7.34'),(257,'','default','Label','','7.34'),(258,'/admin/config/regional/language?render=overlay','default','Display the label of the referenced entities.','','7.34'),(259,'/admin/config/regional/language?render=overlay','default','Entity id','','7.34'),(260,'/admin/config/regional/language?render=overlay','default','Display the id of the referenced entities.','','7.34'),(261,'/admin/config/regional/language?render=overlay','default','Rendered entity','','7.34'),(262,'/admin/config/regional/language?render=overlay','default','Display the referenced entities rendered by entity_view().','','7.34'),(263,'/admin/config/regional/language?render=overlay','default','Links to field collection items','','7.34'),(264,'; misc/machine-name.js','default','Edit','','7.34'),(265,'','default','Delete','','7.34'),(266,'; sites/all/modules/views/js/views-admin.js','default','Add','','7.34'),(267,'/admin/config/regional/language?render=overlay','default','Field collection items','','7.34'),(268,'/admin/config/regional/language?render=overlay','default','Fields only','','7.34'),(269,'/admin/config/regional/language?render=overlay','default','Slideshow','','7.34'),(270,'','default','Generic file','','7.34'),(271,'','default','Table of files','','7.34'),(272,'','default','URL to file','','7.34'),(273,'/admin/config/regional/language?render=overlay','default','flexslider','','7.34'),(274,'/admin/config/regional/language?render=overlay','default','jQuery Gallery','','7.34'),(275,'/admin/config/regional/language?render=overlay','default','Display multi-value fields as an jQuery Image gallery.','','7.34'),(276,'/admin/config/regional/language?render=overlay','default','Title, as link (default)','','7.34'),(277,'/admin/config/regional/language?render=overlay','default','Title, as plain text','','7.34'),(278,'/admin/config/regional/language?render=overlay','default','URL, as link','','7.34'),(279,'/admin/config/regional/language?render=overlay','default','URL, as plain text','','7.34'),(280,'/admin/config/regional/language?render=overlay','default','URL, absolute','','7.34'),(281,'/admin/config/regional/language?render=overlay','default','Domain, as link','','7.34'),(282,'/admin/config/regional/language?render=overlay','default','Short, as link with title \"Link\"','','7.34'),(283,'/admin/config/regional/language?render=overlay','default','Label, as link with label as title','','7.34'),(284,'/admin/config/regional/language?render=overlay','default','Separate title and URL','','7.34'),(285,'','default','Key','','7.34'),(286,'/admin/config/regional/language?render=overlay','default','Link head element','','7.34'),(287,'/admin/config/regional/language?render=overlay','default','Plain text of  metatags_quick','','7.34'),(288,'/admin/config/regional/language?render=overlay','default','Provide the content as plain text.','','7.34'),(289,'/admin/config/regional/language?render=overlay','default','Set page title','','7.34'),(290,'/admin/config/regional/language?render=overlay','default','Default metatags_quick formatter','','7.34'),(291,'/admin/config/regional/language?render=overlay','default','Add meta to html head.','','7.34'),(292,'','default','Unformatted','','7.34'),(293,'','default','Plain text','','7.34'),(294,'','default','RSS category','','7.34'),(295,'','default','Trimmed','','7.34'),(296,'','default','Summary or trimmed','','7.34'),(297,'/admin/config/regional/language?render=overlay','default','Video Player','','7.34'),(298,'/admin/config/regional/language?render=overlay','default','URL to Video','','7.34'),(299,'/admin/config/regional/language?render=overlay','default','Thumbnail Preview','','7.34'),(300,'','default','Default SQL storage','','7.34'),(301,'','default','Stores fields in the local SQL database, using per-field tables.','','7.34'),(302,'/admin/config/regional/language?render=overlay','default','Features','','7.34'),(303,'','default','Main menu','','7.34'),(304,'/admin/config/regional/language?render=overlay','default','Management','','7.34'),(305,'','default','Pages','','7.34'),(306,'/admin/config/regional/language?render=overlay','default','Properties Demo Menu','','7.34'),(307,'/admin/config/regional/language?render=overlay','default','Social Menu','','7.34'),(308,'/admin/config/regional/language?render=overlay','default','Useful links','','7.34'),(309,'','default','Navigation','','7.34'),(310,'/admin/config/regional/language?render=overlay','default','User menu','','7.34'),(311,'/admin/config/regional/language?render=overlay','default','Normal','','7.34'),(312,'','default','Overridden','','7.34'),(313,'','default','Select and configure your theme','','7.34'),(314,'','default','Settings','','7.34'),(315,'','default','Configure default and theme specific settings.','','7.34'),(316,'','default','Bartik','','7.34'),(317,'','default','Global settings','','7.34'),(318,'/admin/config/regional/language?render=overlay','default','Real Estast','','7.34'),(319,'','default','Seven','','7.34'),(320,'','default','Install new theme','','7.34'),(321,'','default','Update','','7.34'),(322,'','default','Text formats','','7.34'),(323,'','default','Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','','7.34'),(324,'','default','Add text format','','7.34'),(325,'/admin/config/regional/language?render=overlay','default','Webform settings','','7.34'),(326,'/admin/config/regional/language?render=overlay','default','Global configuration of webform functionality.','','7.34'),(327,'/admin/config/regional/language?render=overlay','default','Email Contact Form Settings','','7.34'),(328,'/admin/config/regional/language?render=overlay','default','Administer flood control settings for email contact forms','','7.34'),(329,'/admin/config/regional/language?render=overlay','default','TagClouds configuration','','7.34'),(330,'/admin/config/regional/language?render=overlay','default','Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','','7.34'),(331,'','default','Logging and errors','','7.34'),(332,'','default','Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','','7.34'),(333,'','default','Maintenance mode','','7.34'),(334,'','default','Take the site offline for maintenance or bring it back online.','','7.34'),(335,'','default','Performance','','7.34'),(336,'','default','Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','','7.34'),(337,'/admin/config/regional/language?render=overlay','default','jQuery update','','7.34'),(338,'/admin/config/regional/language?render=overlay','default','Configure settings related to the jQuery upgrade, the library path and compression.','','7.34'),(339,'','default','File system','','7.34'),(340,'','default','Tell Drupal where to store uploaded files and how they are accessed.','','7.34'),(341,'','default','Image toolkit','','7.34'),(342,'','default','Choose which image toolkit to use if you have installed optional toolkits.','','7.34'),(343,'','default','Image styles','','7.34'),(344,'/admin/config/regional/language?render=overlay','default','Configure styles that can be used for resizing or adjusting images on display.','','7.34'),(345,'','default','Add style','','7.34'),(346,'','default','Add a new image style.','','7.34'),(347,'','default','List the current image styles on the site.','','7.34'),(348,'/admin/config/regional/language?render=overlay','default','optionset','','7.34'),(349,'/admin/config/regional/language?render=overlay','default','optionsets','','7.34'),(350,'/admin/config/regional/language?render=overlay','default','FlexSlider optionset','','7.34'),(351,'/admin/config/regional/language?render=overlay','default','FlexSlider optionsets','','7.34'),(352,'','default','Enable','','7.34'),(353,'','default','Disable','','7.34'),(354,'','default','Revert','','7.34'),(355,'/admin/config/regional/language?render=overlay','default','Clone','','7.34'),(356,'','default','Import','','7.34'),(357,'','default','Export','','7.34'),(358,'/admin/config/regional/language?render=overlay','default','Add a new @plugin','','7.34'),(359,'/admin/config/regional/language?render=overlay','default','Edit @plugin %title','','7.34'),(360,'/admin/config/regional/language?render=overlay','default','Clone @plugin %title','','7.34'),(361,'/admin/config/regional/language?render=overlay','default','Import @plugin','','7.34'),(362,'/admin/config/regional/language?render=overlay','default','Export @plugin %title','','7.34'),(363,'/admin/config/regional/language?render=overlay','default','Are you sure you want to revert %title?','','7.34'),(364,'/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this item.','','7.34'),(365,'/admin/config/regional/language?render=overlay','default','The item has been reverted.','','7.34'),(366,'','default','Are you sure you want to delete %title?','','7.34'),(367,'/admin/config/regional/language?render=overlay','default','This action will permanently remove this item from your database..','','7.34'),(368,'/admin/config/regional/language?render=overlay','default','The item has been deleted.','','7.34'),(369,'/admin/config/regional/language?render=overlay','default','%title has been created.','','7.34'),(370,'/admin/config/regional/language?render=overlay','default','%title could not be created.','','7.34'),(371,'/admin/config/regional/language?render=overlay','default','%title has been updated.','','7.34'),(372,'/admin/config/regional/language?render=overlay','default','%title could not be updated.','','7.34'),(373,'/admin/config/regional/language?render=overlay','default','You can import an exported definition by pasting the exported object code into the field below.','','7.34'),(374,'/admin/config/regional/language?render=overlay','default','@plugin %title was enabled.','','7.34'),(375,'/admin/config/regional/language?render=overlay','default','@plugin %title was disabled.','','7.34'),(376,'/admin/config/regional/language?render=overlay','default','There are no @titles to display.','','7.34'),(377,'/admin/config/regional/language?render=overlay','default','FlexSlider','','7.34'),(378,'/admin/config/regional/language?render=overlay','default','Administer FlexSlider presets.','','7.34'),(379,'','default','Advanced settings','','7.34'),(380,'/admin/config/regional/language?render=overlay','default','Configure the advanced flexslider module settings.','','7.34'),(381,'/admin/config/regional/language?render=overlay','default','video style','','7.34'),(382,'/admin/config/regional/language?render=overlay','default','video styles','','7.34'),(383,'/admin/config/regional/language?render=overlay','default','Video Styles','','7.34'),(384,'/admin/config/regional/language?render=overlay','default','Video Embed Styles','','7.34'),(385,'/admin/config/regional/language?render=overlay','default','Administer Video Embed Field\'s video styles.','','7.34'),(386,'/admin/config/regional/language?render=overlay','default','Flickr','','7.34'),(387,'/admin/config/regional/language?render=overlay','default','Change settings for the flickr module.','','7.34'),(388,'/admin/config/regional/language?render=overlay','default','Icons','','7.34'),(389,'/admin/config/regional/language?render=overlay','default','Overview of all available icons.','','7.34'),(390,'/admin/config/regional/language?render=overlay','default','Bundles','','7.34'),(391,'/admin/config/regional/language?render=overlay','default','Overview of all available icon bundles.','','7.34'),(392,'','default','Account settings','','7.34'),(393,'','default','Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','','7.34'),(394,'','default','Manage display','','7.34'),(395,'','default','Manage fields','','7.34'),(396,'','default','IP address blocking','','7.34'),(397,'','default','Manage blocked IP addresses.','','7.34'),(398,'','default','Formats','','7.34'),(399,'','default','Configure display format strings for date and time.','','7.34'),(400,'','default','Add format','','7.34'),(401,'','default','Allow users to add additional date formats.','','7.34'),(402,'','default','Types','','7.34'),(403,'','default','Add date type','','7.34'),(404,'','default','Add new date type.','','7.34'),(405,'','default','Localize','','7.34'),(406,'','default','Configure date formats for each locale','','7.34'),(407,'','default','Session language detection configuration','','7.34'),(408,'','default','URL language detection configuration','','7.34'),(409,'','default','Overview','','7.34'),(410,'','default','Translate','','7.34'),(411,'','default','Clean URLs','','7.34'),(412,'','default','Enable or disable clean URLs for your site.','','7.34'),(413,'','default','Search settings','','7.34'),(414,'','default','Configure relevance settings for search and other indexing options.','','7.34'),(415,'','default','Clear index','','7.34'),(416,'','default','URL aliases','','7.34'),(417,'','default','Change your site\'s URL paths by aliasing them.','','7.34'),(418,'','default','Add alias','','7.34'),(419,'/admin/config/regional/language?render=overlay','default','Bulk update','','7.34'),(420,'/admin/config/regional/language?render=overlay','default','Delete aliases','','7.34'),(421,'/admin/config/regional/language?render=overlay','default','Patterns','','7.34'),(422,'/admin/config/regional/language?render=overlay','default','Meta tags (quick) settings','','7.34'),(423,'','default','General','','7.34'),(424,'/admin/config/regional/language?render=overlay','default','Path-Based Metatags','','7.34'),(425,'','default','Actions','','7.34'),(426,'','default','Manage the actions defined for your site.','','7.34'),(427,'','default','Configure an advanced action','','7.34'),(428,'','default','Manage actions','','7.34'),(429,'','default','Cron','','7.34'),(430,'','default','Manage automatic site maintenance tasks.','','7.34'),(431,'','default','Site information','','7.34'),(432,'','default','Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','','7.34'),(433,'','default','Statistics','','7.34'),(434,'','default','Control details about what and how your site logs access statistics.','','7.34'),(435,'','default','Shortcuts','','7.34'),(436,'','default','Add and modify shortcut sets.','','7.34'),(437,'','default','Add shortcut set','','7.34'),(438,'/admin/config/regional/language?render=overlay','default','Module filter','','7.34'),(439,'/admin/config/regional/language?render=overlay','default','Configure how the modules page looks and acts.','','7.34'),(440,'/admin/config/regional/language?render=overlay','default','Menu Breadcrumb','','7.34'),(441,'/admin/config/regional/language?render=overlay','default','Configure menu breadcrumb.','','7.34'),(442,'','default','RSS publishing','','7.34'),(443,'','default','Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','','7.34'),(444,'/admin/config/regional/language?render=overlay','default','GMap','','7.34'),(445,'/admin/config/regional/language?render=overlay','default','Configure GMap settings','','7.34'),(446,'/admin/config/regional/language?render=overlay','default','Newsletters','','7.34'),(447,'/admin/config/regional/language?render=overlay','default','Configure your sites newsletters.','','7.34'),(448,'/admin/config/regional/language?render=overlay','default','Add newsletter category','','7.34'),(449,'/admin/config/regional/language?render=overlay','default','Simplenews settings.','','7.34'),(450,'/admin/config/regional/language?render=overlay','default','Newsletter','','7.34'),(451,'/admin/config/regional/language?render=overlay','default','Send mail','','7.34'),(452,'/admin/config/regional/language?render=overlay','default','Send mail, cron and debug options.','','7.34'),(453,'/admin/config/regional/language?render=overlay','default','Subscription','','7.34'),(454,'/admin/config/regional/language?render=overlay','default','Subscription settings, opt-in/out confirmation email text.','','7.34'),(455,'/admin/config/regional/language?render=overlay','default','Administration menu','','7.34'),(456,'/admin/config/regional/language?render=overlay','default','Adjust administration menu settings.','','7.34'),(457,'','default','List and edit site comments and the comment approval queue.','','7.34'),(458,'','default','Published comments','','7.34'),(459,'','default','Unapproved comments (@count)','','7.34'),(460,'/admin/config/regional/language?render=overlay','default','Webforms','','7.34'),(461,'/admin/config/regional/language?render=overlay','default','View and edit all the available webforms on your site.','','7.34'),(462,'','default','Blocks','','7.34'),(463,'/admin/config/regional/language?render=overlay','default','Manage blocks used on your site.','','7.34'),(464,'/admin/config/regional/language?render=overlay','default','List newsletters and newsletter sent status.','','7.34'),(465,'','default','Configure available dashboard blocks','','7.34'),(466,'','default','Configure which blocks can be shown on the dashboard.','','7.34'),(467,'; modules/dashboard/dashboard.js','default','Customize dashboard','','7.34'),(468,'','default','Customize your dashboard.','','7.34'),(469,'','default','Uninstall','','7.34'),(470,'','default','Install new module','','7.34'),(471,'','default','Add user','','7.34'),(472,'','default','Find and manage people interacting with your site.','','7.34'),(473,'','default','Permissions','','7.34'),(474,'','default','Determine access to features by selecting permissions for roles.','','7.34'),(475,'','default','Roles','','7.34'),(476,'','default','List, edit, or add user roles.','','7.34'),(477,'/admin/config/regional/language?render=overlay','default','Newsletter subscriptions','','7.34'),(478,'/admin/config/regional/language?render=overlay','default','Newsletter subscription management.','','7.34'),(479,'/admin/config/regional/language?render=overlay','default','Mass subscribe','','7.34'),(480,'/admin/config/regional/language?render=overlay','default','Mass unsubscribe','','7.34'),(481,'','default','Recent log messages','','7.34'),(482,'','default','View events that have recently been logged.','','7.34'),(483,'','default','Status report','','7.34'),(484,'','default','Get a status report about your site\'s operation and any detected problems.','','7.34'),(485,'','default','Top \'access denied\' errors','','7.34'),(486,'','default','View \'access denied\' errors (403s).','','7.34'),(487,'','default','Top \'page not found\' errors','','7.34'),(488,'','default','View \'page not found\' errors (404s).','','7.34'),(489,'','default','Top search phrases','','7.34'),(490,'','default','View most popular search phrases.','','7.34'),(491,'','default','Field list','','7.34'),(492,'','default','Overview of fields on all entity types.','','7.34'),(493,'/admin/config/regional/language?render=overlay','default','Used in views','','7.34'),(494,'/admin/config/regional/language?render=overlay','default','Overview of fields used in all views.','','7.34'),(495,'','default','Available updates','','7.34'),(496,'','default','Get a status report about available updates for your installed modules and themes.','','7.34'),(497,'','default','Install new module or theme','','7.34'),(498,'/admin/config/regional/language?render=overlay','default','Views plugins','','7.34'),(499,'/admin/config/regional/language?render=overlay','default','Overview of plugins used in all views.','','7.34'),(500,'','default','Recent hits','','7.34'),(501,'','default','View pages that have recently been visited.','','7.34'),(502,'','default','Top pages','','7.34'),(503,'','default','View pages that have been hit frequently.','','7.34'),(504,'','default','Top referrers','','7.34'),(505,'','default','View top referrers.','','7.34'),(506,'','default','Top visitors','','7.34'),(507,'','default','View visitors that hit many pages.','','7.34'),(508,'','default','Configure what block content appears in your site\'s sidebars and other regions.','','7.34'),(509,'','default','Add block','','7.34'),(510,'','default','Content types','','7.34'),(511,'','default','Manage content types, including default status, front page promotion, comment settings, etc.','','7.34'),(512,'','default','Add content type','','7.34'),(513,'','default','Menus','','7.34'),(514,'','default','Add new menus to your site, edit existing menus, and rename and reorganize menu links.','','7.34'),(515,'','default','Add menu','','7.34'),(516,'','default','List menus','','7.34'),(517,'','default','Taxonomy','','7.34'),(518,'','default','Manage tagging, categorization, and classification of your content.','','7.34'),(519,'','default','Add vocabulary','','7.34'),(520,'/admin/config/regional/language?render=overlay','default','TB Mega Menu','','7.34'),(521,'/admin/config/regional/language?render=overlay','default','Request','','7.34'),(522,'','default','view','','7.34'),(523,'','default','View','','7.34'),(524,'/admin/config/regional/language?render=overlay','default','views','','7.34'),(525,'/admin/config/regional/language?render=overlay','default','Views','','7.34'),(526,'/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this view.','','7.34'),(527,'/admin/config/regional/language?render=overlay','default','The view has been reverted.','','7.34'),(528,'/admin/config/regional/language?render=overlay','default','This action will permanently remove the view from your database.','','7.34'),(529,'/admin/config/regional/language?render=overlay','default','The view has been deleted.','','7.34'),(530,'/admin/config/regional/language?render=overlay','default','Manage customized lists of content.','','7.34'),(531,'/admin/config/regional/language?render=overlay','default','Add new view','','7.34'),(532,'/admin/config/regional/language?render=overlay','default','Add view from template','','7.34'),(533,'/admin/config/regional/language?render=overlay','default','Advanced','','7.34'),(534,'','default','Basic','','7.34'),(535,'/admin/config/regional/language?render=overlay','default','Quicktabs','','7.34'),(536,'/admin/config/regional/language?render=overlay','default','Create blocks of tabbed content.','','7.34'),(537,'/admin/config/regional/language?render=overlay','default','Add Quicktabs Instance','','7.34'),(538,'/admin/config/regional/language?render=overlay','default','List quicktabs','','7.34'),(539,'/admin/config/regional/language?render=overlay','default','Styles','','7.34'),(540,'','default','Contact form','','7.34'),(541,'','default','Create a system contact form and set up categories for the form to use.','','7.34'),(542,'','default','Add category','','7.34'),(543,'/admin/config/regional/language?render=overlay','default','Manage features.','','7.34'),(544,'/admin/config/regional/language?render=overlay','default','Create feature','','7.34'),(545,'/admin/config/regional/language?render=overlay','default','Create a new feature.','','7.34'),(546,'/admin/config/regional/language?render=overlay','default','Manage','','7.34'),(547,'/admin/config/regional/language?render=overlay','default','Enable and disable features.','','7.34'),(548,'/admin/config/regional/language?render=overlay','default','Adjust settings for using features module.','','7.34'),(549,'/admin/config/regional/language?render=overlay','default','Block types','','7.34'),(550,'/admin/config/regional/language?render=overlay','default','Manage block types, including fields, settings, etc.','','7.34'),(551,'/admin/config/regional/language?render=overlay','default','Add block type','','7.34'),(552,'/admin/config/regional/language?render=overlay','default','context','','7.34'),(553,'','default','Context','','7.34'),(554,'/admin/config/regional/language?render=overlay','default','contexts','','7.34'),(555,'/admin/config/regional/language?render=overlay','default','Contexts','','7.34'),(556,'/admin/config/regional/language?render=overlay','default','Associate menus, views, blocks, etc. with different contexts to structure your site.','','7.34'),(557,'/admin/config/regional/language?render=overlay','default','Field collections','','7.34'),(558,'/admin/config/regional/language?render=overlay','default','Manage fields on field collections.','','7.34'),(559,'/admin/config/regional/language?render=overlay','default','Mega Menus','','7.34'),(560,'/admin/config/regional/language?render=overlay','default','block','','7.34'),(561,'/admin/config/regional/language?render=overlay','default','color','','7.34'),(562,'/admin/config/regional/language?render=overlay','default','comment','','7.34'),(563,'/admin/config/regional/language?render=overlay','default','contextual','','7.34'),(564,'/admin/config/regional/language?render=overlay','default','dashboard','','7.34'),(565,'/admin/config/regional/language?render=overlay','default','dblog','','7.34'),(566,'/admin/config/regional/language?render=overlay','default','field','','7.34'),(567,'/admin/config/regional/language?render=overlay','default','field_sql_storage','','7.34'),(568,'/admin/config/regional/language?render=overlay','default','field_ui','','7.34'),(569,'','default','file','','7.34'),(570,'','default','filter','','7.34'),(571,'/admin/config/regional/language?render=overlay','default','help','','7.34'),(572,'','default','image','','7.34'),(573,'/admin/config/regional/language?render=overlay','default','list','','7.34'),(574,'','default','menu','','7.34'),(575,'','default','node','','7.34'),(576,'/admin/config/regional/language?render=overlay','default','number','','7.34'),(577,'/admin/config/regional/language?render=overlay','default','options','','7.34'),(578,'/admin/config/regional/language?render=overlay','default','overlay','','7.34'),(579,'/admin/config/regional/language?render=overlay','default','path','','7.34'),(580,'','default','search','','7.34'),(581,'/admin/config/regional/language?render=overlay','default','shortcut','','7.34'),(582,'','default','system','','7.34'),(583,'','default','taxonomy','','7.34'),(584,'/admin/config/regional/language?render=overlay','default','text','','7.34'),(585,'','default','user','','7.34'),(586,'/admin/config/regional/language?render=overlay','default','update','','7.34'),(587,'/admin/config/regional/language?render=overlay','default','jquery_update','','7.34'),(588,'/admin/config/regional/language?render=overlay','default','admin_menu','','7.34'),(589,'/admin/config/regional/language?render=overlay','default','views_accordion','','7.34'),(590,'/admin/config/regional/language?render=overlay','default','views_slideshow','','7.34'),(591,'/admin/config/regional/language?render=overlay','default','views_slideshow_cycle','','7.34'),(592,'/admin/config/regional/language?render=overlay','default','views_ticker','','7.34'),(593,'/admin/config/regional/language?render=overlay','default','webform','','7.34'),(594,'/admin/config/regional/language?render=overlay','default','quicktabs','','7.34'),(595,'/admin/config/regional/language?render=overlay','default','pathauto','','7.34'),(596,'/admin/config/regional/language?render=overlay','default','token','','7.34'),(597,'/admin/config/regional/language?render=overlay','default','blog','','7.34'),(598,'','default','contact','','7.34'),(599,'/admin/config/regional/language?render=overlay','default','features','','7.34'),(600,'/admin/config/regional/language?render=overlay','default','fontawesome','','7.34'),(601,'','default','php','','7.34'),(602,'/admin/config/regional/language?render=overlay','default','jcarousel','','7.34'),(603,'/admin/config/regional/language?render=overlay','default','context_ui','','7.34'),(604,'/admin/config/regional/language?render=overlay','default','field_collection','','7.34'),(605,'/admin/config/regional/language?render=overlay','default','statistics','','7.34'),(606,'/admin/config/regional/language?render=overlay','default','flickr','','7.34'),(607,'/admin/config/regional/language?render=overlay','default','flickr_block','','7.34'),(608,'/admin/config/regional/language?render=overlay','default','menu_breadcrumb','','7.34'),(609,'/admin/config/regional/language?render=overlay','default','simplenews','','7.34'),(610,'','default','locale','','7.34'),(611,'','default','Field settings','','7.34'),(612,'','default','Widget type','','7.34'),(613,'','default','Add link','','7.34'),(614,'','default','Delete menu','','7.34'),(615,'','default','Edit menu','','7.34'),(616,'','default','List links','','7.34'),(617,'','default','Add term','','7.34'),(618,'/admin/config/regional/language?render=overlay','default','Webform','','7.34'),(619,'','default','Status','','7.37'),(620,'/admin/config/regional/language?render=overlay','default','The open or closed status of a webform.','','7.34'),(621,'/admin/config/regional/language?render=overlay','default','Webform submissions','','7.34'),(622,'/admin/config/regional/language?render=overlay','default','Submissions generated from Webform forms.','','7.34'),(623,'/admin/config/regional/language?render=overlay','default','Serial number','','7.34'),(624,'/admin/config/regional/language?render=overlay','default','The serial number of the submission.','','7.34'),(625,'/admin/config/regional/language?render=overlay','default','Sid','','7.34'),(626,'/admin/config/regional/language?render=overlay','default','The submission ID of the submission.','','7.34'),(627,'/admin/config/regional/language?render=overlay','default','Value','','7.34'),(628,'/admin/config/regional/language?render=overlay','default','The value of a component as submitted by a user.','','7.34'),(629,'/admin/config/regional/language?render=overlay','default','Webform submission data','','7.34'),(630,'/admin/config/regional/language?render=overlay','default','The webform node this submission was generated from.','','7.34'),(631,'/admin/config/regional/language?render=overlay','default','Webform Node','','7.34'),(632,'/admin/config/regional/language?render=overlay','default','The user who sent the webform submission.','','7.34'),(633,'/admin/config/regional/language?render=overlay','default','Webform Submission User','','7.34'),(634,'/admin/config/regional/language?render=overlay','default','Draft','','7.34'),(635,'/admin/config/regional/language?render=overlay','default','Whether or not the submission is a draft.','','7.34'),(636,'/admin/config/regional/language?render=overlay','default','Submitted','','7.34'),(637,'/admin/config/regional/language?render=overlay','default','The date this submission was submitted.','','7.34'),(638,'/admin/config/regional/language?render=overlay','default','Remote address','','7.34'),(639,'/admin/config/regional/language?render=overlay','default','The remote IP address of the user that submitted this submission.','','7.34'),(640,'/admin/config/regional/language?render=overlay','default','View link','','7.34'),(641,'/admin/config/regional/language?render=overlay','default','Provide a simple link to view the submission.','','7.34'),(642,'/admin/config/regional/language?render=overlay','default','Edit link','','7.34'),(643,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the submission.','','7.34'),(644,'/admin/config/regional/language?render=overlay','default','Delete link','','7.34'),(645,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the submission.','','7.34'),(646,'/admin/config/regional/language?render=overlay','default','Data','','7.34'),(647,'/admin/config/regional/language?render=overlay','default','Relates to a webform submission data','','7.34'),(648,'/admin/config/regional/language?render=overlay','default','Submission Data','','7.34'),(649,'/admin/config/regional/language?render=overlay','default','Data field','','7.34'),(650,'/admin/config/regional/language?render=overlay','default','Value (raw)','','7.34'),(651,'/admin/config/regional/language?render=overlay','default','The raw value from the database as submitted by a user. Use only when needing to sort on a field value.','','7.34'),(652,'/admin/config/regional/language?render=overlay','default','Value delta','','7.34'),(653,'/admin/config/regional/language?render=overlay','default','The delta value of the submitted data in a multi value component (such as checkboxes).','','7.34'),(654,'/admin/config/regional/language?render=overlay','default','Comments are responses to node content.','','7.34'),(655,'','default','The title of the comment.','','7.34'),(656,'/admin/config/regional/language?render=overlay','default','ID','','7.34'),(657,'/admin/config/regional/language?render=overlay','default','The comment ID of the field','','7.34'),(658,'','default','Author','','7.34'),(659,'/admin/config/regional/language?render=overlay','default','The name of the comment\'s author. Can be rendered as a link to the author\'s homepage.','','7.34'),(660,'/admin/config/regional/language?render=overlay','default','Author\'s website','','7.34'),(661,'/admin/config/regional/language?render=overlay','default','The website address of the comment\'s author. Can be rendered as a link. Will be empty if the author is a registered user.','','7.34'),(662,'','default','Hostname','','7.34'),(663,'/admin/config/regional/language?render=overlay','default','Hostname of user that posted the comment.','','7.34'),(664,'/admin/config/regional/language?render=overlay','default','Mail','','7.34'),(665,'/admin/config/regional/language?render=overlay','default','Email of user that posted the comment. Will be empty if the author is a registered user.','','7.34'),(666,'/admin/config/regional/language?render=overlay','default','Post date','','7.37'),(667,'/admin/config/regional/language?render=overlay','default','Date and time of when the comment was created.','','7.34'),(668,'','default','Language','','7.34'),(669,'/admin/config/regional/language?render=overlay','default','The language the comment is in.','','7.34'),(670,'/admin/config/regional/language?render=overlay','default','Updated date','','7.37'),(671,'/admin/config/regional/language?render=overlay','default','Date and time of when the comment was last updated.','','7.34'),(672,'/admin/config/regional/language?render=overlay','default','Created date','','7.34'),(673,'/admin/config/regional/language?render=overlay','default','Date in the form of CCYYMMDD.','','7.34'),(674,'/admin/config/regional/language?render=overlay','default','Created year + month','','7.34'),(675,'/admin/config/regional/language?render=overlay','default','Date in the form of YYYYMM.','','7.34'),(676,'/admin/config/regional/language?render=overlay','default','Created year','','7.34'),(677,'/admin/config/regional/language?render=overlay','default','Date in the form of YYYY.','','7.34'),(678,'/admin/config/regional/language?render=overlay','default','Created month','','7.34'),(679,'/admin/config/regional/language?render=overlay','default','Date in the form of MM (01 - 12).','','7.34'),(680,'/admin/config/regional/language?render=overlay','default','Created day','','7.34'),(681,'/admin/config/regional/language?render=overlay','default','Date in the form of DD (01 - 31).','','7.34'),(682,'/admin/config/regional/language?render=overlay','default','Created week','','7.34'),(683,'/admin/config/regional/language?render=overlay','default','Date in the form of WW (01 - 53).','','7.34'),(684,'/admin/config/regional/language?render=overlay','default','Approved','','7.34'),(685,'/admin/config/regional/language?render=overlay','default','Whether the comment is approved (or still in the moderation queue).','','7.34'),(686,'/admin/config/regional/language?render=overlay','default','Not Approved','','7.34'),(687,'/admin/config/regional/language?render=overlay','default','Approved comment','','7.34'),(688,'/admin/config/regional/language?render=overlay','default','Provide a simple link to view the comment.','','7.34'),(689,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the comment.','','7.34'),(690,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the comment.','','7.34'),(691,'/admin/config/regional/language?render=overlay','default','Approve link','','7.34'),(692,'/admin/config/regional/language?render=overlay','default','Provide a simple link to approve the comment.','','7.34'),(693,'/admin/config/regional/language?render=overlay','default','Reply-to link','','7.34'),(694,'/admin/config/regional/language?render=overlay','default','Provide a simple link to reply to the comment.','','7.34'),(695,'/admin/config/regional/language?render=overlay','default','Depth','','7.34'),(696,'/admin/config/regional/language?render=overlay','default','Display the depth of the comment if it is threaded.','','7.34'),(697,'/admin/config/regional/language?render=overlay','default','Thread','','7.34'),(698,'/admin/config/regional/language?render=overlay','default','Sort by the threaded order. This will keep child comments together with their parents.','','7.34'),(699,'/admin/config/regional/language?render=overlay','default','Nid','','7.34'),(700,'/admin/config/regional/language?render=overlay','default','The node ID to which the comment is a reply to.','','7.34'),(701,'/admin/config/regional/language?render=overlay','default','The content to which the comment is a reply to.','','7.34'),(702,'/admin/config/regional/language?render=overlay','default','Author uid','','7.34'),(703,'/admin/config/regional/language?render=overlay','default','If you need more fields than the uid add the comment: author relationship','','7.34'),(704,'/admin/config/regional/language?render=overlay','default','The User ID of the comment\'s author.','','7.34'),(705,'/admin/config/regional/language?render=overlay','default','author','','7.34'),(706,'/admin/config/regional/language?render=overlay','default','Parent CID','','7.34'),(707,'/admin/config/regional/language?render=overlay','default','The Comment ID of the parent comment.','','7.34'),(708,'/admin/config/regional/language?render=overlay','default','Parent comment','','7.34'),(709,'/admin/config/regional/language?render=overlay','default','The parent comment.','','7.34'),(710,'/admin/config/regional/language?render=overlay','default','Last comment time','','7.34'),(711,'/admin/config/regional/language?render=overlay','default','Date and time of when the last comment was posted.','','7.34'),(712,'/admin/config/regional/language?render=overlay','default','Last comment author','','7.34'),(713,'/admin/config/regional/language?render=overlay','default','The name of the author of the last posted comment.','','7.34'),(714,'','default','Comment count','','7.34'),(715,'/admin/config/regional/language?render=overlay','default','The number of comments a node has.','','7.34'),(716,'/admin/config/regional/language?render=overlay','default','Updated/commented date','','7.34'),(717,'/admin/config/regional/language?render=overlay','default','The most recent of last comment posted or node updated time.','','7.34'),(718,'/admin/config/regional/language?render=overlay','default','Last comment CID','','7.34'),(719,'/admin/config/regional/language?render=overlay','default','Display the last comment of a node','','7.34'),(720,'/admin/config/regional/language?render=overlay','default','Last Comment','','7.34'),(721,'/admin/config/regional/language?render=overlay','default','The last comment of a node.','','7.34'),(722,'/admin/config/regional/language?render=overlay','default','Last comment uid','','7.34'),(723,'/admin/config/regional/language?render=overlay','default','The User ID of the author of the last comment of a node.','','7.34'),(724,'/admin/config/regional/language?render=overlay','default','@entity \"@property\" property.','','7.34'),(725,'','default','Machine-readable name','','7.34'),(726,'/admin/config/regional/language?render=overlay','default','The machine-readable name identifying this @entity.','','7.34'),(727,'/admin/config/regional/language?render=overlay','default','Internal, numeric @entity ID','','7.34'),(728,'/admin/config/regional/language?render=overlay','default','The ID used to identify this @entity internally.','','7.34'),(729,'/admin/config/regional/language?render=overlay','default','The human readable label.','','7.34'),(730,'','default','URL','','7.34'),(731,'/admin/config/regional/language?render=overlay','default','The URL of the entity.','','7.34'),(732,'/admin/config/regional/language?render=overlay','default','The bean label','','7.34'),(733,'/admin/config/regional/language?render=overlay','default','The bean title','','7.34'),(734,'/admin/config/regional/language?render=overlay','default','View Mode','','7.34'),(735,'/admin/config/regional/language?render=overlay','default','View mode of the bean','','7.34'),(736,'/admin/config/regional/language?render=overlay','default','The delta of the block','','7.34'),(737,'/admin/config/regional/language?render=overlay','default','Block Delta','','7.34'),(738,'/admin/config/regional/language?render=overlay','default','The bean type.','','7.34'),(739,'/admin/config/regional/language?render=overlay','default','@entity ID','','7.34'),(740,'/admin/config/regional/language?render=overlay','default','The unique ID of the @entity.','','7.34'),(741,'','default','Field name','','7.34'),(742,'/admin/config/regional/language?render=overlay','default','The machine-readable name of the field collection field containing this item.','','7.34'),(743,'/admin/config/regional/language?render=overlay','default','Host entity','','7.34'),(744,'/admin/config/regional/language?render=overlay','default','The entity containing the field collection field.','','7.34'),(745,'','default','Comment ID','','7.34'),(746,'','default','The unique ID of the comment.','','7.34'),(747,'','default','IP Address','','7.34'),(748,'','default','The IP address of the computer the comment was posted from.','','7.34'),(749,'','default','Name','','7.34'),(750,'','default','The name left by the comment author.','','7.34'),(751,'','default','Email address','','7.34'),(752,'','default','The email address left by the comment author.','','7.34'),(753,'','default','Home page','','7.34'),(754,'','default','The home page URL left by the comment author.','','7.34'),(755,'','default','Subject','','7.34'),(756,'/admin/config/regional/language?render=overlay','default','The subject of the comment.','','7.34'),(757,'','default','The URL of the comment.','','7.34'),(758,'','default','Edit URL','','7.34'),(759,'','default','The URL of the comment\'s edit page.','','7.34'),(760,'','default','Date created','','7.34'),(761,'','default','The date the comment was posted.','','7.34'),(762,'','default','Parent','','7.34'),(763,'','default','The comment\'s parent, if comment threading is active.','','7.34'),(764,'','default','The node the comment was posted to.','','7.34'),(765,'/admin/config/regional/language?render=overlay','default','The author of the comment.','','7.34'),(766,'/admin/config/regional/language?render=overlay','default','Whether the comment is published or unpublished.','','7.34'),(767,'/admin/config/regional/language?render=overlay','default','Field \"@name\".','','7.34'),(768,'','default','Summary','','7.34'),(769,'','default','Text format','','7.34'),(770,'/admin/config/regional/language?render=overlay','default','The file.','','7.34'),(771,'/admin/config/regional/language?render=overlay','default','The file description','','7.34'),(772,'/admin/config/regional/language?render=overlay','default','Whether the file is being displayed.','','7.34'),(773,'/admin/config/regional/language?render=overlay','default','The image file.','','7.34'),(774,'/admin/config/regional/language?render=overlay','default','The \"Alt\" attribute text','','7.34'),(775,'/admin/config/regional/language?render=overlay','default','The \"Title\" attribute text','','7.34'),(776,'/admin/config/regional/language?render=overlay','default','!label of field %name','','7.34'),(777,'/admin/config/regional/language?render=overlay','default','Country','','7.34'),(778,'/admin/config/regional/language?render=overlay','default','Full name','','7.34'),(779,'/admin/config/regional/language?render=overlay','default','First name','','7.34'),(780,'/admin/config/regional/language?render=overlay','default','Last name','','7.34'),(781,'/admin/config/regional/language?render=overlay','default','Company','','7.34'),(782,'/admin/config/regional/language?render=overlay','default','Administrative area (i.e. State / Province)','','7.34'),(783,'/admin/config/regional/language?render=overlay','default','Sub administrative area','','7.34'),(784,'/admin/config/regional/language?render=overlay','default','Locality (i.e. City)','','7.34'),(785,'/admin/config/regional/language?render=overlay','default','Dependent locality','','7.34'),(786,'/admin/config/regional/language?render=overlay','default','Postal code','','7.34'),(787,'/admin/config/regional/language?render=overlay','default','Thoroughfare (i.e. Street address)','','7.34'),(788,'/admin/config/regional/language?render=overlay','default','Premise (i.e. Apartment / Suite number)','','7.34'),(789,'/admin/config/regional/language?render=overlay','default','The title of the link.','','7.34'),(790,'/admin/config/regional/language?render=overlay','default','The URL of the link.','','7.34'),(791,'/admin/config/regional/language?render=overlay','default','The attributes of the link.','','7.34'),(792,'/admin/config/regional/language?render=overlay','default','Node ID','','7.34'),(793,'/admin/config/regional/language?render=overlay','default','The unique ID of the node.','','7.34'),(794,'','default','Revision ID','','7.34'),(795,'/admin/config/regional/language?render=overlay','default','The unique ID of the node\'s revision.','','7.34'),(796,'/admin/config/regional/language?render=overlay','default','Is new','','7.34'),(797,'/admin/config/regional/language?render=overlay','default','Whether the node is new and not saved to the database yet.','','7.34'),(798,'','default','Content type','','7.34'),(799,'','default','The type of the node.','','7.34'),(800,'','default','The title of the node.','','7.34'),(801,'','default','The language the node is written in.','','7.34'),(802,'','default','The URL of the node.','','7.34'),(803,'','default','The URL of the node\'s edit page.','','7.34'),(804,'/admin/config/regional/language?render=overlay','default','Whether the node is published or unpublished.','','7.34'),(805,'/admin/config/regional/language?render=overlay','default','Promoted to frontpage','','7.34'),(806,'/admin/config/regional/language?render=overlay','default','Whether the node is promoted to the frontpage.','','7.34'),(807,'/admin/config/regional/language?render=overlay','default','Sticky in lists','','7.34'),(808,'/admin/config/regional/language?render=overlay','default','Whether the node is displayed at the top of lists in which it appears.','','7.34'),(809,'','default','The date the node was posted.','','7.34'),(810,'','default','Date changed','','7.34'),(811,'','default','The date the node was most recently updated.','','7.34'),(812,'','default','The author of the node.','','7.34'),(813,'/admin/config/regional/language?render=overlay','default','Translation source node','','7.34'),(814,'/admin/config/regional/language?render=overlay','default','The original-language version of this node, if one exists.','','7.34'),(815,'','default','Revision log message','','7.34'),(816,'/admin/config/regional/language?render=overlay','default','In case a new revision is to be saved, the log entry explaining the changes for this version.','','7.34'),(817,'/admin/config/regional/language?render=overlay','default','Creates revision','','7.34'),(818,'/admin/config/regional/language?render=overlay','default','Whether saving this node creates a new revision.','','7.34'),(819,'','default','Term ID','','7.34'),(820,'','default','The unique ID of the taxonomy term.','','7.34'),(821,'','default','The name of the taxonomy term.','','7.34'),(822,'','default','Description','','7.34'),(823,'','default','The optional description of the taxonomy term.','','7.34'),(824,'','default','Weight','','7.34'),(825,'/admin/config/regional/language?render=overlay','default','The weight of the term, which is used for ordering terms during display.','','7.34'),(826,'','default','Node count','','7.34'),(827,'','default','The number of nodes tagged with the taxonomy term.','','7.34'),(828,'','default','The URL of the taxonomy term.','','7.34'),(829,'','default','Vocabulary','','7.34'),(830,'','default','The vocabulary the taxonomy term belongs to.','','7.34'),(831,'','default','Parent terms','','7.34'),(832,'/admin/config/regional/language?render=overlay','default','The parent terms of the taxonomy term.','','7.34'),(833,'/admin/config/regional/language?render=overlay','default','All parent terms','','7.34'),(834,'/admin/config/regional/language?render=overlay','default','Ancestors of the term, i.e. parent of all above hierarchy levels.','','7.34'),(835,'','default','Vocabulary ID','','7.34'),(836,'','default','The unique ID of the taxonomy vocabulary.','','7.34'),(837,'','default','The name of the taxonomy vocabulary.','','7.34'),(838,'','default','Machine name','','7.34'),(839,'/admin/config/regional/language?render=overlay','default','The machine name of the taxonomy vocabulary.','','7.34'),(840,'','default','The optional description of the taxonomy vocabulary.','','7.34'),(841,'','default','Term count','','7.34'),(842,'','default','The number of terms belonging to the taxonomy vocabulary.','','7.34'),(843,'','default','User ID','','7.34'),(844,'','default','The unique ID of the user account.','','7.34'),(845,'','default','The login name of the user account.','','7.34'),(846,'','default','Email','','7.34'),(847,'','default','The email address of the user account.','','7.34'),(848,'','default','The URL of the account profile page.','','7.34'),(849,'/admin/config/regional/language?render=overlay','default','The url of the account edit page.','','7.34'),(850,'','default','Last access','','7.34'),(851,'/admin/config/regional/language?render=overlay','default','The date the user last accessed the site.','','7.34'),(852,'','default','Last login','','7.34'),(853,'/admin/config/regional/language?render=overlay','default','The date the user last logged in to the site.','','7.34'),(854,'','default','Created','','7.34'),(855,'','default','The date the user account was created.','','7.34'),(856,'/admin/config/regional/language?render=overlay','default','User roles','','7.34'),(857,'/admin/config/regional/language?render=overlay','default','The roles of the user.','','7.34'),(858,'/admin/config/regional/language?render=overlay','default','Whether the user is active or blocked.','','7.34'),(859,'','default','Default theme','','7.34'),(860,'/admin/config/regional/language?render=overlay','default','The user\'s default theme.','','7.34'),(861,'','default','The name of the site.','','7.34'),(862,'','default','Slogan','','7.34'),(863,'','default','The slogan of the site.','','7.34'),(864,'','default','The administrative email address for the site.','','7.34'),(865,'','default','The URL of the site\'s front page.','','7.34'),(866,'','default','Login page','','7.34'),(867,'','default','The URL of the site\'s login page.','','7.34'),(868,'/admin/config/regional/language?render=overlay','default','Logged in user','','7.34'),(869,'/admin/config/regional/language?render=overlay','default','The currently logged in user.','','7.34'),(870,'/admin/config/regional/language?render=overlay','default','Current date','','7.34'),(871,'/admin/config/regional/language?render=overlay','default','The current date and time.','','7.34'),(872,'/admin/config/regional/language?render=overlay','default','Current page','','7.34'),(873,'/admin/config/regional/language?render=overlay','default','Information related to the current page request.','','7.34'),(874,'','default','Path','','7.34'),(875,'/admin/config/regional/language?render=overlay','default','The internal Drupal path of the current page request.','','7.34'),(876,'/admin/config/regional/language?render=overlay','default','The full URL of the current page request.','','7.34'),(877,'','default','File ID','','7.34'),(878,'','default','The unique ID of the uploaded file.','','7.34'),(879,'','default','File name','','7.34'),(880,'','default','The name of the file on disk.','','7.34'),(881,'','default','MIME type','','7.34'),(882,'','default','The MIME type of the file.','','7.34'),(883,'','default','File size','','7.34'),(884,'/admin/config/regional/language?render=overlay','default','The size of the file, in kilobytes.','','7.34'),(885,'','default','The web-accessible URL for the file.','','7.34'),(886,'','default','Timestamp','','7.34'),(887,'','default','The date the file was most recently changed.','','7.34'),(888,'','default','Owner','','7.34'),(889,'','default','The user who originally uploaded the file.','','7.34'),(890,'/admin/config/regional/language?render=overlay','default','Comments allowed','','7.34'),(891,'/admin/config/regional/language?render=overlay','default','Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).','','7.34'),(892,'/admin/config/regional/language?render=overlay','default','The node comments.','','7.34'),(893,'','default','The number of comments posted on a node.','','7.34'),(894,'','default','New comment count','','7.34'),(895,'','default','The number of comments posted on a node since the reader last viewed it.','','7.34'),(896,'/admin/config/regional/language?render=overlay','default','The main body text','','7.34'),(897,'','default','This account\'s default language for e-mails, and preferred language for site presentation.','','7.34'),(898,'/admin/config/regional/language?render=overlay','default','Interface language','','7.34'),(899,'/admin/config/regional/language?render=overlay','default','The language code of the current user interface language.','','7.34'),(900,'/admin/config/regional/language?render=overlay','default','Content language','','7.34'),(901,'/admin/config/regional/language?render=overlay','default','The language code of the current content language.','','7.34'),(902,'','default','Number of views','','7.34'),(903,'','default','The number of visitors who have read the node.','','7.34'),(904,'','default','Views today','','7.34'),(905,'','default','The number of visitors who have read the node today.','','7.34'),(906,'','default','Last view','','7.34'),(907,'','default','The date on which a visitor last read the node.','','7.34'),(908,'','default','Revisions','','7.34'),(909,'/admin/config/regional/language?render=overlay','default','(No information available)','','7.34'),(910,'/admin/config/regional/language?render=overlay','default','Rendered @entity-type','','7.34'),(911,'/admin/config/regional/language?render=overlay','default','The @entity-type of the current relationship rendered using a view mode.','','7.34'),(912,'/admin/config/regional/language?render=overlay','default','Entity','','7.34'),(913,'/admin/config/regional/language?render=overlay','default','Displays a single chosen entity.','','7.34'),(914,'/admin/config/regional/language?render=overlay','default','@entity:@bundle','','7.34'),(915,'/admin/config/regional/language?render=overlay','default','Appears in: @bundles.','','7.34'),(916,'/admin/config/regional/language?render=overlay','default','@group: @field','','7.34'),(917,'/admin/config/regional/language?render=overlay','default','@label (!name)','','7.34'),(918,'/admin/config/regional/language?render=overlay','default','- No value -','','7.34'),(919,'/admin/config/regional/language?render=overlay','default','@label (!name:!column)','','7.34'),(920,'/admin/config/regional/language?render=overlay','default','@label:!column','','7.34'),(921,'/admin/config/regional/language?render=overlay','default','@group (historical data)','','7.34'),(922,'/admin/config/regional/language?render=overlay','default','@group (historical data): @field','','7.34'),(923,'/admin/config/regional/language?render=overlay','default','@label (!name:delta)','','7.34'),(924,'/admin/config/regional/language?render=overlay','default','@label:delta','','7.34'),(925,'/admin/config/regional/language?render=overlay','default','Delta - Appears in: @bundles.','','7.34'),(926,'/admin/config/regional/language?render=overlay','default','term from !field_name','','7.34'),(927,'','default','Field','','7.34'),(928,'/admin/config/regional/language?render=overlay','default','This is an alias of @group: @field.','','7.34'),(929,'/admin/config/regional/language?render=overlay','default','Also known as: !also.','','7.34'),(930,'/admin/config/regional/language?render=overlay','default','image from !field_name','','7.34'),(931,'/admin/config/regional/language?render=overlay','default','@field-label - @property-label','','7.34'),(932,'/admin/config/regional/language?render=overlay','default','field collection item from !field_name','','7.34'),(933,'/admin/config/regional/language?render=overlay','default','field collection item revision from !field_name','','7.34'),(934,'/admin/config/regional/language?render=overlay','default','Entity with the @field (@field_name)','','7.34'),(935,'/admin/config/regional/language?render=overlay','default','Relate each @entity using @field.','','7.34'),(936,'/admin/config/regional/language?render=overlay','default','!field_name','','7.34'),(937,'/admin/config/regional/language?render=overlay','default','@label (!name:language)','','7.34'),(938,'/admin/config/regional/language?render=overlay','default','@label:language','','7.34'),(939,'/admin/config/regional/language?render=overlay','default','Language - Appears in: @bundles.','','7.34'),(940,'/admin/config/regional/language?render=overlay','default','<No value>','','7.34'),(941,'/admin/config/regional/language?render=overlay','default','Locale source','','7.34'),(942,'/admin/config/regional/language?render=overlay','default','A source string for translation, in English or the default site language.','','7.34'),(943,'/admin/config/regional/language?render=overlay','default','LID','','7.34'),(944,'/admin/config/regional/language?render=overlay','default','The ID of the source string.','','7.34'),(945,'/admin/config/regional/language?render=overlay','default','A description of the location or context of the string.','','7.34'),(946,'','default','Group','','7.34'),(947,'/admin/config/regional/language?render=overlay','default','The group the translation is in.','','7.34'),(948,'/admin/config/regional/language?render=overlay','default','Source','','7.34'),(949,'/admin/config/regional/language?render=overlay','default','The full original string.','','7.34'),(950,'','default','Version','','7.34'),(951,'/admin/config/regional/language?render=overlay','default','The version of Drupal core that this string is for.','','7.34'),(952,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the translations.','','7.34'),(953,'/admin/config/regional/language?render=overlay','default','Locale target','','7.34'),(954,'/admin/config/regional/language?render=overlay','default','Translation','','7.34'),(955,'/admin/config/regional/language?render=overlay','default','The full translation string.','','7.34'),(956,'/admin/config/regional/language?render=overlay','default','The language this translation is in.','','7.34'),(957,'/admin/config/regional/language?render=overlay','default','Singular LID','','7.34'),(958,'/admin/config/regional/language?render=overlay','default','The ID of the parent translation.','','7.34'),(959,'/admin/config/regional/language?render=overlay','default','Plural','','7.34'),(960,'/admin/config/regional/language?render=overlay','default','Whether or not the translation is plural.','','7.34'),(961,'/admin/config/regional/language?render=overlay','default','The node ID.','','7.34'),(962,'/admin/config/regional/language?render=overlay','default','The content title.','','7.34'),(963,'/admin/config/regional/language?render=overlay','default','The date the content was posted.','','7.34'),(964,'/admin/config/regional/language?render=overlay','default','The date the content was last updated.','','7.34'),(965,'','default','Type','','7.34'),(966,'/admin/config/regional/language?render=overlay','default','The content type (for example, \"blog entry\", \"forum post\", \"story\", etc).','','7.34'),(967,'','default','Published','','7.34'),(968,'/admin/config/regional/language?render=overlay','default','Whether or not the content is published.','','7.34'),(969,'; modules/node/node.js','default','Not published','','7.34'),(970,'/admin/config/regional/language?render=overlay','default','Published or admin','','7.34'),(971,'/admin/config/regional/language?render=overlay','default','Filters out unpublished content if the current user cannot view it.','','7.34'),(972,'','default','Promoted to front page','','7.34'),(973,'/admin/config/regional/language?render=overlay','default','Whether or not the content is promoted to the front page.','','7.34'),(974,'/admin/config/regional/language?render=overlay','default','Promoted','','7.34'),(975,'/admin/config/regional/language?render=overlay','default','Not promoted','','7.34'),(976,'/admin/config/regional/language?render=overlay','default','Sticky','','7.34'),(977,'/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky.','','7.34'),(978,'/admin/config/regional/language?render=overlay','default','Not sticky','','7.34'),(979,'/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky. To list sticky content first, set this to descending.','','7.34'),(980,'/admin/config/regional/language?render=overlay','default','Provide a simple link to the content.','','7.34'),(981,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the content.','','7.34'),(982,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content.','','7.34'),(983,'/admin/config/regional/language?render=overlay','default','The aliased path to this content.','','7.34'),(984,'/admin/config/regional/language?render=overlay','default','Updated year + month','','7.34'),(985,'/admin/config/regional/language?render=overlay','default','Updated year','','7.34'),(986,'/admin/config/regional/language?render=overlay','default','Updated month','','7.34'),(987,'/admin/config/regional/language?render=overlay','default','Updated day','','7.34'),(988,'/admin/config/regional/language?render=overlay','default','Updated week','','7.34'),(989,'/admin/config/regional/language?render=overlay','default','The user authoring the content. If you need more fields than the uid add the content: author relationship','','7.34'),(990,'/admin/config/regional/language?render=overlay','default','Relate content to the user who created it.','','7.34'),(991,'/admin/config/regional/language?render=overlay','default','User has a revision','','7.34'),(992,'/admin/config/regional/language?render=overlay','default','All nodes where a certain user has a revision','','7.34'),(993,'/admin/config/regional/language?render=overlay','default','Content revision','','7.34'),(994,'/admin/config/regional/language?render=overlay','default','Content revision is a history of changes to content.','','7.34'),(995,'/admin/config/regional/language?render=overlay','default','Relate a content revision to the user who created the revision.','','7.34'),(996,'/admin/config/regional/language?render=overlay','default','revision user','','7.34'),(997,'/admin/config/regional/language?render=overlay','default','The revision NID of the content revision.','','7.34'),(998,'/admin/config/regional/language?render=overlay','default','Get the actual content from a content revision.','','7.34'),(999,'/admin/config/regional/language?render=overlay','default','Vid','','7.34'),(1000,'/admin/config/regional/language?render=overlay','default','The revision ID of the content revision.','','7.34'),(1001,'/admin/config/regional/language?render=overlay','default','Log message','','7.34'),(1002,'/admin/config/regional/language?render=overlay','default','The log message entered when the revision was created.','','7.34'),(1003,'/admin/config/regional/language?render=overlay','default','The date the node was last updated.','','7.34'),(1004,'/admin/config/regional/language?render=overlay','default','Provide a simple link to the revision.','','7.34'),(1005,'/admin/config/regional/language?render=overlay','default','Revert link','','7.34'),(1006,'/admin/config/regional/language?render=overlay','default','Provide a simple link to revert to the revision.','','7.34'),(1007,'/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content revision.','','7.34'),(1008,'/admin/config/regional/language?render=overlay','default','Content access','','7.34'),(1009,'/admin/config/regional/language?render=overlay','default','Access','','7.34'),(1010,'/admin/config/regional/language?render=overlay','default','Filter by access.','','7.34'),(1011,'/admin/config/regional/language?render=overlay','default','Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>','','7.34'),(1012,'/admin/config/regional/language?render=overlay','default','Has new content','','7.34'),(1013,'/admin/config/regional/language?render=overlay','default','Show a marker if the content is new or updated.','','7.34'),(1014,'/admin/config/regional/language?render=overlay','default','Show only content that is new or updated.','','7.34'),(1015,'','default','Search','','7.34'),(1016,'/admin/config/regional/language?render=overlay','default','Score','','7.34'),(1017,'/admin/config/regional/language?render=overlay','default','The score of the search item. This will not be used if the search filter is not also present.','','7.34'),(1018,'/admin/config/regional/language?render=overlay','default','Links from','','7.34'),(1019,'/admin/config/regional/language?render=overlay','default','Other nodes that are linked from the node.','','7.34'),(1020,'/admin/config/regional/language?render=overlay','default','Links to','','7.34'),(1021,'/admin/config/regional/language?render=overlay','default','Other nodes that link to the node.','','7.34'),(1022,'/admin/config/regional/language?render=overlay','default','Search Terms','','7.34'),(1023,'/admin/config/regional/language?render=overlay','default','The terms to search for.','','7.34'),(1024,'/admin/config/regional/language?render=overlay','default','Simplenews mailspool','','7.34'),(1025,'/admin/config/regional/language?render=overlay','default','Spool for temporary storage of newsletter emails.','','7.34'),(1026,'/admin/config/regional/language?render=overlay','default','Simplenews spool','','7.34'),(1027,'/admin/config/regional/language?render=overlay','default','Ms ID','','7.34'),(1028,'/admin/config/regional/language?render=overlay','default','The primary identifier for a mail spool record.','','7.34'),(1029,'/admin/config/regional/language?render=overlay','default','Subscriber','','7.34'),(1030,'/admin/config/regional/language?render=overlay','default','The formatted email address of mail message receipient.','','7.34'),(1031,'/admin/config/regional/language?render=overlay','default','The {node}.nid of this newsletter.','','7.34'),(1032,'/admin/config/regional/language?render=overlay','default','The {term_data}.tid this newsletter issue belongs to.','','7.34'),(1033,'/admin/config/regional/language?render=overlay','default','Issue','','7.34'),(1034,'/admin/config/regional/language?render=overlay','default','Subscriber ID','','7.34'),(1035,'/admin/config/regional/language?render=overlay','default','The {simplenews_subscriber}.snid foreign key for this spool','','7.34'),(1036,'/admin/config/regional/language?render=overlay','default','Sent status','','7.34'),(1037,'/admin/config/regional/language?render=overlay','default','The sent status of the email (0 = hold, 1 = pending, 2 = done).','','7.34'),(1038,'','default','Error','','7.34'),(1039,'/admin/config/regional/language?render=overlay','default','A boolean indicating whether an error occured while sending the email.','','7.34'),(1040,'/admin/config/regional/language?render=overlay','default','The time status was set or changed.','','7.34'),(1041,'/admin/config/regional/language?render=overlay','default','A serialized array of name value pairs that are related to the email address.','','7.34'),(1042,'/admin/config/regional/language?render=overlay','default','Simplenews issue','','7.34'),(1043,'/admin/config/regional/language?render=overlay','default','The {term_data}.tid (= newsletter series) this issue belongs to.','','7.34'),(1044,'/admin/config/regional/language?render=overlay','default','Newsletter sent status: 0: Not sent, 1: Pending (being sent or waiting for cron to run), 2: Sent.','','7.34'),(1045,'/admin/config/regional/language?render=overlay','default','Subscriber count','','7.34'),(1046,'/admin/config/regional/language?render=overlay','default','The count of subscribers of the newsletter at the time it was sent.','','7.34'),(1047,'/admin/config/regional/language?render=overlay','default','Send newsletter','','7.34'),(1048,'/admin/config/regional/language?render=overlay','default','Provides a link to send the simplenews newsletter if not sent yet.','','7.34'),(1049,'/admin/config/regional/language?render=overlay','default','Simplenews subscriber','','7.34'),(1050,'/admin/config/regional/language?render=overlay','default','Contains subscribers of Simplenews Newsletters.','','7.34'),(1051,'/admin/config/regional/language?render=overlay','default','Primary key: Unique subsciber ID.','','7.34'),(1052,'/admin/config/regional/language?render=overlay','default','Activated','','7.34'),(1053,'/admin/config/regional/language?render=overlay','default','Boolean indicating the status of the subscription.','','7.34'),(1054,'/admin/config/regional/language?render=overlay','default','The subscription email address.','','7.34'),(1055,'/admin/config/regional/language?render=overlay','default','The {users}.uid that has the same email address.','','7.34'),(1056,'/admin/config/regional/language?render=overlay','default','Anonymous subscriber preferred language. Empty for authenticated users.','','7.34'),(1057,'/admin/config/regional/language?render=overlay','default','UNIX timestamp of when the user first subscribed to a newsletter.','','7.34'),(1058,'/admin/config/regional/language?render=overlay','default','Simplenews subscription','','7.34'),(1059,'/admin/config/regional/language?render=overlay','default','Contains all Subscriptions of every Simplenews Newsletters.','','7.34'),(1060,'/admin/config/regional/language?render=overlay','default','The {simplenews_subscriptions}.snid who is subscribed.','','7.34'),(1061,'/admin/config/regional/language?render=overlay','default','The newsletter series ({term_data}.tid) the subscriber is subscribed to.','','7.34'),(1062,'/admin/config/regional/language?render=overlay','default','Term (Newsletter series)','','7.34'),(1063,'/admin/config/regional/language?render=overlay','default','A flag indicating whether the user is subscribed (1) or unsubscribed (0).','','7.34'),(1064,'/admin/config/regional/language?render=overlay','default','UNIX timestamp of when the user is (un)subscribed.','','7.34'),(1065,'/admin/config/regional/language?render=overlay','default','The source via which the user is (un)subscribed.','','7.34'),(1066,'/admin/config/regional/language?render=overlay','default','Simplenews category','','7.34'),(1067,'','default','Format','','7.34'),(1068,'/admin/config/regional/language?render=overlay','default','Format of the newsletter (plain or html).','','7.34'),(1069,'/admin/config/regional/language?render=overlay','default','Priority','','7.34'),(1070,'/admin/config/regional/language?render=overlay','default','Email priority according to RFC 2156 and RFC 5231 (0 = none; 1 = highest; 2 = high; 3 = normal; 4 = low; 5 = lowest).','','7.34'),(1071,'/admin/config/regional/language?render=overlay','default','Receipt','','7.34'),(1072,'/admin/config/regional/language?render=overlay','default','Boolean indicating request for email receipt confirmation according to RFC 2822.','','7.34'),(1073,'/admin/config/regional/language?render=overlay','default','From name','','7.34'),(1074,'/admin/config/regional/language?render=overlay','default','Sender name for newsletter emails.','','7.34'),(1075,'/admin/config/regional/language?render=overlay','default','Email Subject','','7.34'),(1076,'/admin/config/regional/language?render=overlay','default','Subject of newsletter email. May contain tokens.','','7.34'),(1077,'/admin/config/regional/language?render=overlay','default','From address','','7.34'),(1078,'/admin/config/regional/language?render=overlay','default','Sender address for newsletter emails','','7.34'),(1079,'/admin/config/regional/language?render=overlay','default','Hyperlinks displaymode','','7.34'),(1080,'/admin/config/regional/language?render=overlay','default','Flag indicating type of hyperlink conversion (1 = hyperlinks are in-line; 0 = hyperlinks are placed at email bottom).','','7.34'),(1081,'/admin/config/regional/language?render=overlay','default','New account','','7.34'),(1082,'/admin/config/regional/language?render=overlay','default','How to treat subscription at account creation (none = None; on = Default on; off = Default off; silent = Invisible subscription).','','7.34'),(1083,'/admin/config/regional/language?render=overlay','default','Confirmation displaymode','','7.34'),(1084,'/admin/config/regional/language?render=overlay','default','How to treat subscription confirmation (hidden = Newsletter is hidden from the user; single = Single opt-in; double = Double opt-in).','','7.34'),(1085,'/admin/config/regional/language?render=overlay','default','Indicates wether a subscription block is available for this category','','7.34'),(1086,'/admin/config/regional/language?render=overlay','default','Content statistics','','7.34'),(1087,'/admin/config/regional/language?render=overlay','default','Total views','','7.34'),(1088,'/admin/config/regional/language?render=overlay','default','The total number of times the node has been viewed.','','7.34'),(1089,'/admin/config/regional/language?render=overlay','default','The total number of times the node has been viewed today.','','7.34'),(1090,'/admin/config/regional/language?render=overlay','default','Most recent view','','7.34'),(1091,'/admin/config/regional/language?render=overlay','default','The most recent time the node has been viewed.','','7.34'),(1092,'/admin/config/regional/language?render=overlay','default','Access log','','7.34'),(1093,'/admin/config/regional/language?render=overlay','default','Stores site access information.','','7.34'),(1094,'/admin/config/regional/language?render=overlay','default','Aid','','7.34'),(1095,'/admin/config/regional/language?render=overlay','default','Unique access event ID.','','7.34'),(1096,'/admin/config/regional/language?render=overlay','default','Session ID','','7.34'),(1097,'/admin/config/regional/language?render=overlay','default','Browser session ID of user that visited page.','','7.34'),(1098,'','default','Page title','','7.34'),(1099,'/admin/config/regional/language?render=overlay','default','Title of page visited.','','7.34'),(1100,'/admin/config/regional/language?render=overlay','default','Internal path to page visited (relative to Drupal root.)','','7.34'),(1101,'','default','Referrer','','7.34'),(1102,'/admin/config/regional/language?render=overlay','default','Referrer URI.','','7.34'),(1103,'/admin/config/regional/language?render=overlay','default','Hostname of user that visited the page.','','7.34'),(1104,'/admin/config/regional/language?render=overlay','default','The user who visited the site.','','7.34'),(1105,'/admin/config/regional/language?render=overlay','default','Timer','','7.34'),(1106,'/admin/config/regional/language?render=overlay','default','Time in milliseconds that the page took to load.','','7.34'),(1107,'/admin/config/regional/language?render=overlay','default','Timestamp of when the page was visited.','','7.34'),(1108,'/admin/config/regional/language?render=overlay','default','Files maintained by Drupal and various modules.','','7.34'),(1109,'/admin/config/regional/language?render=overlay','default','The ID of the file.','','7.34'),(1110,'/admin/config/regional/language?render=overlay','default','The name of the file.','','7.34'),(1111,'/admin/config/regional/language?render=overlay','default','The path of the file.','','7.34'),(1112,'/admin/config/regional/language?render=overlay','default','Mime type','','7.34'),(1113,'/admin/config/regional/language?render=overlay','default','The mime type of the file.','','7.34'),(1114,'/admin/config/regional/language?render=overlay','default','Extension','','7.34'),(1115,'/admin/config/regional/language?render=overlay','default','The extension of the file.','','7.34'),(1116,'','default','Size','','7.34'),(1117,'','default','The size of the file.','','7.34'),(1118,'/admin/config/regional/language?render=overlay','default','The status of the file.','','7.34'),(1119,'/admin/config/regional/language?render=overlay','default','Upload date','','7.34'),(1120,'/admin/config/regional/language?render=overlay','default','The date the file was uploaded.','','7.34'),(1121,'/admin/config/regional/language?render=overlay','default','User who uploaded','','7.34'),(1122,'/admin/config/regional/language?render=overlay','default','The user that uploaded the file.','','7.34'),(1123,'/admin/config/regional/language?render=overlay','default','File Usage','','7.34'),(1124,'/admin/config/regional/language?render=overlay','default','Content that is associated with this file, usually because this file is in a field on the content.','','7.34'),(1125,'/admin/config/regional/language?render=overlay','default','A file that is associated with this node, usually because it is in a field on the node.','','7.34'),(1126,'/admin/config/regional/language?render=overlay','default','A user that is associated with this file, usually because this file is in a field on the user.','','7.34'),(1127,'/admin/config/regional/language?render=overlay','default','A file that is associated with this user, usually because it is in a field on the user.','','7.34'),(1128,'/admin/config/regional/language?render=overlay','default','A comment that is associated with this file, usually because this file is in a field on the comment.','','7.34'),(1129,'/admin/config/regional/language?render=overlay','default','A file that is associated with this comment, usually because it is in a field on the comment.','','7.34'),(1130,'/admin/config/regional/language?render=overlay','default','Taxonomy Term','','7.34'),(1131,'/admin/config/regional/language?render=overlay','default','A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.','','7.34'),(1132,'/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.','','7.34'),(1133,'/admin/config/regional/language?render=overlay','default','Taxonomy Vocabulary','','7.34'),(1134,'/admin/config/regional/language?render=overlay','default','A taxonomy vocabulary that is associated with this file, usually because this file is in a field on the taxonomy vocabulary.','','7.34'),(1135,'/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy vocabulary, usually because it is in a field on the taxonomy vocabulary.','','7.34'),(1136,'/admin/config/regional/language?render=overlay','default','Module','','7.34'),(1137,'/admin/config/regional/language?render=overlay','default','The module managing this file relationship.','','7.34'),(1138,'/admin/config/regional/language?render=overlay','default','Entity type','','7.34'),(1139,'/admin/config/regional/language?render=overlay','default','The type of entity that is related to the file.','','7.34'),(1140,'/admin/config/regional/language?render=overlay','default','Entity ID','','7.34'),(1141,'/admin/config/regional/language?render=overlay','default','The ID of the entity that is related to the file.','','7.34'),(1142,'/admin/config/regional/language?render=overlay','default','Use count','','7.34'),(1143,'/admin/config/regional/language?render=overlay','default','The number of times the file is used by this entity.','','7.34'),(1144,'/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine','','7.34'),(1145,'/admin/config/regional/language?render=overlay','default','Modules/Themes/Theme engines in your codebase.','','7.34'),(1146,'/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine filename','','7.34'),(1147,'/admin/config/regional/language?render=overlay','default','The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.','','7.34'),(1148,'/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine name','','7.34'),(1149,'/admin/config/regional/language?render=overlay','default','The name of the item; e.g. node.','','7.34'),(1150,'/admin/config/regional/language?render=overlay','default','The type of the item, either module, theme, or theme_engine.','','7.34'),(1151,'/admin/config/regional/language?render=overlay','default','Boolean indicating whether or not this item is enabled.','','7.34'),(1152,'/admin/config/regional/language?render=overlay','default','Schema version','','7.34'),(1153,'/admin/config/regional/language?render=overlay','default','The module\'s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module\'s hook_update_N() function that has either been run or existed when the module was first installed.','','7.34'),(1154,'/admin/config/regional/language?render=overlay','default','Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(1155,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary name','','7.34'),(1156,'/admin/config/regional/language?render=overlay','default','Machine-Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.34'),(1157,'/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" to a particular vocabulary.','','7.34'),(1158,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary ID','','7.34'),(1159,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary description','','7.34'),(1160,'/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary weight','','7.34'),(1161,'/admin/config/regional/language?render=overlay','default','Term','','7.34'),(1162,'/admin/config/regional/language?render=overlay','default','Taxonomy terms are attached to nodes.','','7.34'),(1163,'/admin/config/regional/language?render=overlay','default','The tid of a taxonomy term.','','7.34'),(1164,'/admin/config/regional/language?render=overlay','default','Taxonomy term chosen from autocomplete or select widget.','','7.34'),(1165,'/admin/config/regional/language?render=overlay','default','Representative node','','7.34'),(1166,'/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each term, according to a chosen sort criterion.','','7.34'),(1167,'/admin/config/regional/language?render=overlay','default','The taxonomy term name.','','7.34'),(1168,'/admin/config/regional/language?render=overlay','default','Taxonomy term name.','','7.34'),(1169,'/admin/config/regional/language?render=overlay','default','Uncategorized','','7.34'),(1170,'/admin/config/regional/language?render=overlay','default','The term weight field','','7.34'),(1171,'','default','Term description','','7.34'),(1172,'/admin/config/regional/language?render=overlay','default','The description associated with a taxonomy term.','','7.34'),(1173,'/admin/config/regional/language?render=overlay','default','Term edit link','','7.34'),(1174,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the term.','','7.34'),(1175,'/admin/config/regional/language?render=overlay','default','Content with term','','7.34'),(1176,'/admin/config/regional/language?render=overlay','default','Relate all content tagged with a term.','','7.34'),(1177,'/admin/config/regional/language?render=overlay','default','Has taxonomy term ID','','7.34'),(1178,'/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms.','','7.34'),(1179,'/admin/config/regional/language?render=overlay','default','Has taxonomy term','','7.34'),(1180,'','default','Parent term','','7.34'),(1181,'/admin/config/regional/language?render=overlay','default','The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.','','7.34'),(1182,'/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" by the parent pid.','','7.34'),(1183,'/admin/config/regional/language?render=overlay','default','The parent term of the term.','','7.34'),(1184,'/admin/config/regional/language?render=overlay','default','Uid','','7.34'),(1185,'/admin/config/regional/language?render=overlay','default','The user ID','','7.34'),(1186,'/admin/config/regional/language?render=overlay','default','Content authored','','7.34'),(1187,'/admin/config/regional/language?render=overlay','default','Relate content to the user who created it. This relationship will create one record for each content item created by the user.','','7.34'),(1188,'/admin/config/regional/language?render=overlay','default','nodes','','7.34'),(1189,'/admin/config/regional/language?render=overlay','default','The raw numeric user ID.','','7.34'),(1190,'/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each user, according to a chosen sort criterion.','','7.34'),(1191,'/admin/config/regional/language?render=overlay','default','Current','','7.34'),(1192,'/admin/config/regional/language?render=overlay','default','Filter the view to the currently logged in user.','','7.34'),(1193,'/admin/config/regional/language?render=overlay','default','The user or author name.','','7.34'),(1194,'/admin/config/regional/language?render=overlay','default','Name (raw)','','7.34'),(1195,'/admin/config/regional/language?render=overlay','default','The user or author name. This filter does not check if the user exists and allows partial matching. Does not utilize autocomplete.','','7.34'),(1196,'','default','E-mail','','7.34'),(1197,'/admin/config/regional/language?render=overlay','default','Email address for a given user. This field is normally not shown to users, so be cautious when using it.','','7.34'),(1198,'/admin/config/regional/language?render=overlay','default','Language of the user','','7.34'),(1199,'','default','Picture','','7.34'),(1200,'/admin/config/regional/language?render=overlay','default','The user\'s picture, if allowed.','','7.34'),(1201,'/admin/config/regional/language?render=overlay','default','Has Avatar','','7.34'),(1202,'/admin/config/regional/language?render=overlay','default','Provide a simple link to the user.','','7.34'),(1203,'/admin/config/regional/language?render=overlay','default','The date the user was created.','','7.34'),(1204,'/admin/config/regional/language?render=overlay','default','The user\'s last access date.','','7.34'),(1205,'/admin/config/regional/language?render=overlay','default','The user\'s last login date.','','7.34'),(1206,'','default','Active','','7.34'),(1207,'/admin/config/regional/language?render=overlay','default','Whether a user is active or blocked.','','7.34'),(1208,'','default','Blocked','','7.34'),(1209,'','default','Signature','','7.34'),(1210,'/admin/config/regional/language?render=overlay','default','The user\'s signature.','','7.34'),(1211,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the user.','','7.34'),(1212,'/admin/config/regional/language?render=overlay','default','Cancel link','','7.34'),(1213,'/admin/config/regional/language?render=overlay','default','Provide a simple link to cancel the user.','','7.34'),(1214,'/admin/config/regional/language?render=overlay','default','Provide serialized data of the user','','7.34'),(1215,'/admin/config/regional/language?render=overlay','default','Roles that a user belongs to.','','7.34'),(1216,'/admin/config/regional/language?render=overlay','default','No role','','7.34'),(1217,'','default','Permission','','7.34'),(1218,'/admin/config/regional/language?render=overlay','default','The user permissions.','','7.34'),(1219,'/admin/config/regional/language?render=overlay','default','Authmap ID','','7.34'),(1220,'/admin/config/regional/language?render=overlay','default','The Authmap ID.','','7.34'),(1221,'/admin/config/regional/language?render=overlay','default','Authentication name','','7.34'),(1222,'/admin/config/regional/language?render=overlay','default','The unique authentication name.','','7.34'),(1223,'/admin/config/regional/language?render=overlay','default','Authentication module','','7.34'),(1224,'/admin/config/regional/language?render=overlay','default','The name of the module managing the authentication entry.','','7.34'),(1225,'/admin/config/regional/language?render=overlay','default','Fieldset','','7.37'),(1226,'/admin/config/regional/language?render=overlay','default','Adds a fieldset to put fields and other fieldsets in.','','7.34'),(1227,'/admin/config/regional/language?render=overlay','default','Global','','7.34'),(1228,'/admin/config/regional/language?render=overlay','default','Random','','7.34'),(1229,'/admin/config/regional/language?render=overlay','default','Randomize the display order.','','7.34'),(1230,'/admin/config/regional/language?render=overlay','default','Null','','7.34'),(1231,'/admin/config/regional/language?render=overlay','default','Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.','','7.34'),(1232,'/admin/config/regional/language?render=overlay','default','Custom text','','7.34'),(1233,'/admin/config/regional/language?render=overlay','default','Provide custom text or link.','','7.34'),(1234,'/admin/config/regional/language?render=overlay','default','View result counter','','7.34'),(1235,'/admin/config/regional/language?render=overlay','default','Displays the actual position of the view result','','7.34'),(1236,'/admin/config/regional/language?render=overlay','default','Provide markup text for the area.','','7.34'),(1237,'/admin/config/regional/language?render=overlay','default','Unfiltered text','','7.34'),(1238,'/admin/config/regional/language?render=overlay','default','Add unrestricted, custom text or markup. This is similar to the custom text field.','','7.34'),(1239,'/admin/config/regional/language?render=overlay','default','View area','','7.34'),(1240,'/admin/config/regional/language?render=overlay','default','Insert a view inside an area.','','7.34'),(1241,'/admin/config/regional/language?render=overlay','default','Result summary','','7.34'),(1242,'/admin/config/regional/language?render=overlay','default','Shows result summary, for example the items per page.','','7.34'),(1243,'/admin/config/regional/language?render=overlay','default','Messages','','7.34'),(1244,'/admin/config/regional/language?render=overlay','default','Displays messages in the area.','','7.34'),(1245,'/admin/config/regional/language?render=overlay','default','Contextual Links','','7.34'),(1246,'/admin/config/regional/language?render=overlay','default','Display fields in a contextual links menu.','','7.34'),(1247,'/admin/config/regional/language?render=overlay','default','Combine fields filter','','7.34'),(1248,'/admin/config/regional/language?render=overlay','default','Combine two fields together and search by them.','','7.34'),(1249,'/admin/config/regional/language?render=overlay','default','Math expression','','7.34'),(1250,'/admin/config/regional/language?render=overlay','default','Evaluates a mathematical expression and displays it.','','7.34'),(1251,'/admin/config/regional/language?render=overlay','default','Fields comparison','','7.34'),(1252,'/admin/config/regional/language?render=overlay','default','Compare database fields against eachother.','','7.34'),(1253,'/admin/config/regional/language?render=overlay','default','Use fields comparison to filter the result of the view.','','7.34'),(1254,'/admin/config/regional/language?render=overlay','default','Webform submission','','7.34'),(1255,'/admin/config/regional/language?render=overlay','default','Webform submissions of the given Webform node.','','7.34'),(1256,'/admin/config/regional/language?render=overlay','default','Webform Submission','','7.34'),(1257,'/admin/config/regional/language?render=overlay','default','Webform submission count','','7.34'),(1258,'/admin/config/regional/language?render=overlay','default','The number of webform submissions on this node.','','7.34'),(1259,'/admin/config/regional/language?render=overlay','default','Webform submissions of the given user.','','7.34'),(1260,'/admin/config/regional/language?render=overlay','default','The number of webform submissions for this user.','','7.34'),(1261,'/admin/config/regional/language?render=overlay','default','Webform edit link','','7.34'),(1262,'/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the webform components and configuration.','','7.34'),(1263,'/admin/config/regional/language?render=overlay','default','Webform results link','','7.34'),(1264,'/admin/config/regional/language?render=overlay','default','Provide a simple link to view the results of a webform.','','7.34'),(1265,'/admin/config/regional/language?render=overlay','default','Webform form body','','7.34'),(1266,'/admin/config/regional/language?render=overlay','default','The Webform form body display for this node.','','7.34'),(1267,'/admin/config/regional/language?render=overlay','default','The block type','','7.34'),(1268,'/admin/config/regional/language?render=overlay','default','Edit link for bean block','','7.34'),(1269,'/admin/config/regional/language?render=overlay','default','Delete link for bean block','','7.34'),(1270,'/admin/config/regional/language?render=overlay','default','Contextual / Operation links','','7.34'),(1271,'/admin/config/regional/language?render=overlay','default','Display all the available contextual / operation links for the block.','','7.34'),(1272,'','default','New comments','','7.34'),(1273,'/admin/config/regional/language?render=overlay','default','The number of new comments on the node.','','7.34'),(1274,'/admin/config/regional/language?render=overlay','default','Add comment link','','7.34'),(1275,'/admin/config/regional/language?render=overlay','default','Display the standard add comment link used on regular nodes, which will only display if the viewing user has access to add a comment.','','7.34'),(1276,'/admin/config/regional/language?render=overlay','default','Comment status','','7.34'),(1277,'/admin/config/regional/language?render=overlay','default','Whether comments are enabled or disabled on the node.','','7.34'),(1278,'/admin/config/regional/language?render=overlay','default','User posted or commented','','7.34'),(1279,'/admin/config/regional/language?render=overlay','default','Display nodes only if a user posted the node or commented on the node.','','7.34'),(1280,'/admin/config/regional/language?render=overlay','default','Comments of the node','','7.34'),(1281,'/admin/config/regional/language?render=overlay','default','Relate all comments on the node. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.','','7.34'),(1282,'/admin/config/regional/language?render=overlay','default','Link to contact page','','7.34'),(1283,'/admin/config/regional/language?render=overlay','default','Provide a simple link to the user contact page.','','7.34'),(1284,'/admin/config/regional/language?render=overlay','default','@entity using @field','','7.34'),(1285,'/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the term.','','7.34'),(1286,'/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the image.','','7.34'),(1287,'/admin/config/regional/language?render=overlay','default','The language the content is in.','','7.34'),(1288,'/admin/config/regional/language?render=overlay','default','Taxonomy terms on node','','7.34'),(1289,'/admin/config/regional/language?render=overlay','default','Relate nodes to taxonomy terms, specifiying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.','','7.34'),(1290,'/admin/config/regional/language?render=overlay','default','term','','7.34'),(1291,'/admin/config/regional/language?render=overlay','default','All taxonomy terms','','7.34'),(1292,'/admin/config/regional/language?render=overlay','default','Display all taxonomy terms associated with a node from specified vocabularies.','','7.34'),(1293,'/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.','','7.34'),(1294,'/admin/config/regional/language?render=overlay','default','Has taxonomy term ID (with depth)','','7.34'),(1295,'/admin/config/regional/language?render=overlay','default','Has taxonomy terms (with depth)','','7.34'),(1296,'/admin/config/regional/language?render=overlay','default','Has taxonomy term ID depth modifier','','7.34'),(1297,'/admin/config/regional/language?render=overlay','default','Allows the \"depth\" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.','','7.34'),(1298,'/admin/config/regional/language?render=overlay','default','Break lock','','7.34'),(1299,'/admin/config/regional/language?render=overlay','default','Edit view','','7.34'),(1300,'','default','Disable text format','','7.34'),(1301,'','default','Run cron','','7.34'),(1302,'/admin/config/regional/language?render=overlay','default','Run updates','','7.34'),(1303,'/admin/config/regional/language?render=overlay','default','@project issue queue','','7.34'),(1304,'/admin/config/regional/language?render=overlay','default','Flush all caches','','7.34'),(1305,'/admin/config/regional/language?render=overlay','default','CSS and JavaScript','','7.34'),(1306,'/admin/config/regional/language?render=overlay','default','Page and else','','7.34'),(1307,'','default','Menu','','7.34'),(1308,'/admin/config/regional/language?render=overlay','default','Class registry','','7.34'),(1309,'/admin/config/regional/language?render=overlay','default','Theme registry','','7.34'),(1310,'/admin/config/regional/language?render=overlay','default','Update data','','7.34'),(1311,'/admin/config/regional/language?render=overlay','default','Disable developer modules','','7.32'),(1312,'','default','Log out','','7.34'),(1313,'/admin/config/regional/language?render=overlay','default','Add Block','','7.34'),(1314,'','default','Add content','','7.34'),(1315,'','default','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','','7.34'),(1316,'/admin/config/regional/language?render=overlay','default','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','','7.34'),(1317,'/admin/config/regional/language?render=overlay','default','A newsletter issue to be sent to subscribed email addresses.','','7.34'),(1318,'/admin/config/regional/language?render=overlay','default','Token registry','','7.34'),(1319,'','default','Hello <strong>@username</strong>','','7.34'),(1320,'','default','Contact','','7.34'),(1321,'/admin/config/regional/language?render=overlay','default','FAQ','','7.34'),(1322,'/admin/config/regional/language?render=overlay','default','Properties','','7.37'),(1323,'/admin/config/regional/language?render=overlay','default','Agents','','7.34'),(1324,'','default','My account','','7.32'),(1325,'','default','Add to %shortcut_set shortcuts','','7.34'),(1326,'','default','You are here','','7.34'),(1327,'','default','Status message','','7.34'),(1328,'','default','Error message','','7.34'),(1329,'','default','Warning message','','7.34'),(1330,'','default','Enable !title','','7.32'),(1331,'','default','Set !title as default','','7.32'),(1332,'','default','!title !required','','7.34'),(1333,'','default','edit','','7.34'),(1334,'','default','English name','','7.32'),(1335,'','default','Native name','','7.32'),(1336,'','default','Code','','7.32'),(1337,'','default','Direction','','7.32'),(1338,'','default','Enabled','','7.32'),(1339,'','default','Operations','','7.34'),(1340,'/admin/config/regional/language?render=overlay','default','If you have problems accessing administrative pages on this site, disable the overlay on your profile page.','','7.34'),(1341,'','default','Dismiss this message.','','7.34'),(1342,'/admin/config/regional/language?render=overlay','default','Options for the administrative overlay','','7.34'),(1343,'/admin/config/regional/language?render=overlay','default','Close overlay','','7.32'),(1344,'','default','Primary tabs','','7.34'),(1345,'','default','!local-task-title!active','','7.34'),(1346,'','default','Skip to main content','','7.34'),(1347,'','default','Compose tips','','7.34'),(1348,'','default','Blogs','','7.34'),(1349,'','default','Tags','','7.34'),(1350,'','default','Blog','','7.34'),(1351,'','default','View recent blog entries','','7.34'),(1352,'','default','Read !username\'s latest blog entries.','','7.34'),(1353,'','default','None','','7.34'),(1354,'/users/admin','default','Subscribed to','','7.34'),(1355,'/users/admin','default','Manage <a href=\"!url\">subscriptions</a>','','7.34'),(1356,'','default','@user\'s picture','','7.34'),(1357,'','default','View user profile.','','7.34'),(1358,'','default','History','','7.34'),(1359,'','default','Member for','','7.34'),(1360,'','default','@count months','','7.32'),(1361,'','default','@count weeks','','7.32'),(1362,'/users/admin','default','Headline','','7.34'),(1363,'','default','Header','','7.34'),(1364,'/users/admin','default','Main Menu','','7.34'),(1365,'','default','Highlighted','','7.34'),(1366,'/users/admin','default','Featured','','7.34'),(1367,'/users/admin','default','Action for Content','','7.34'),(1368,'','default','Sidebar first','','7.34'),(1369,'','default','Sidebar second','','7.34'),(1370,'/users/admin','default','Map','','7.34'),(1371,'/users/admin','default','Panel First','','7.34'),(1372,'/users/admin','default','Panel Highlighted','','7.34'),(1373,'/users/admin','default','Panel Second','','7.34'),(1374,'/users/admin','default','Panel Third 1','','7.34'),(1375,'/users/admin','default','Panel Third 2','','7.34'),(1376,'/users/admin','default','Panel Third 3','','7.34'),(1377,'/users/admin','default','Panel Footer 1','','7.34'),(1378,'/users/admin','default','Panel Footer 2','','7.34'),(1379,'/users/admin','default','Panel Footer 3','','7.34'),(1380,'/users/admin','default','Panel Footer 4','','7.34'),(1381,'','default','Footer','','7.34'),(1382,'/users/admin','default','Homepage 3','','7.34'),(1383,'/users/admin','default','Blog View Teaser','','7.34'),(1384,'/users/admin','default','Blog Isotope','','7.34'),(1385,'/users/admin','default','Three Columns','','7.34'),(1386,'/users/admin','default','Demo Three Columns','','7.34'),(1387,'/users/admin','default','Homepage 2','','7.34'),(1388,'/users/admin','default','About us','','7.34'),(1389,'/users/admin','default','Four Columns','','7.34'),(1390,'/users/admin','default','Properties on Map','','7.34'),(1391,'/users/admin','default','Blog Default List','','7.34'),(1392,'/users/admin','default','Blog Fields Demo','','7.34'),(1393,'/users/admin','default','Get in Touch','','7.34'),(1394,'/users/admin','default','Get in Touch V2','','7.34'),(1395,'/users/admin','default','Demo','','7.34'),(1396,'','default','Account','','7.34'),(1397,'','default','Track page visits','','7.34'),(1398,'/users/admin','default','Rendered submissions','','7.34'),(1399,'/users/admin','default','Display the rendered submission','','7.34'),(1400,'/users/admin','default','Better Exposed Filters','','7.34'),(1401,'/users/admin','default','Allow use of checkboxes/radio buttons for exposed filters','','7.34'),(1402,'/users/admin','default','Display the comment with standard comment view.','','7.34'),(1403,'/users/admin','default','Display the comment as RSS.','','7.34'),(1404,'/users/admin','default','Renders a single entity in a specific view mode (e.g. teaser).','','7.34'),(1405,'/users/admin','default','Entity Reference Source','','7.34'),(1406,'/users/admin','default','Entity Reference list','','7.34'),(1407,'/users/admin','default','Inline fields','','7.34'),(1408,'/users/admin','default','Displays the fields with an optional template.','','7.34'),(1409,'/users/admin','default','Display the results in a FlexSlider widget.','','7.34'),(1410,'/users/admin','default','Displays rows as a map.','','7.34'),(1411,'/users/admin','default','Extended GMap','','7.34'),(1412,'/users/admin','default','Displays a map of markers.','','7.34'),(1413,'/users/admin','default','jCarousel','','7.34'),(1414,'/users/admin','default','Display rows in a carousel via jCarousel.','','7.34'),(1415,'/users/admin','default','Display the content with standard node view.','','7.34'),(1416,'/users/admin','default','Content ID from URL','','7.34'),(1417,'/users/admin','default','Display view in Quicktabs.','','7.34'),(1418,'/users/admin','default','References','','7.34'),(1419,'/users/admin','default','References list','','7.34'),(1420,'/users/admin','default','Taxonomy term ID from URL','','7.34'),(1421,'/users/admin','default','Display the user with standard user view.','','7.34'),(1422,'/users/admin','default','User ID from URL','','7.34'),(1423,'/users/admin','default','User ID from logged in user','','7.34'),(1424,'/users/admin','default','Views Accordion','','7.34'),(1425,'/users/admin','default','Display a JQuery accordion with the results. The first field will be used as the header and trigger.','','7.34'),(1426,'/users/admin','default','Bootstrap Carousel','','7.34'),(1427,'/users/admin','default','Bootstrap Carousel Style','','7.34'),(1428,'/users/admin','default','Bootstrap Thumbnails','','7.34'),(1429,'/users/admin','default','Bootstrap Thumbnails Style','','7.34'),(1430,'/users/admin','default','Bootstrap Grid','','7.34'),(1431,'/users/admin','default','Bootstrap Grid Style','','7.34'),(1432,'/users/admin','default','Bootstrap Accordion','','7.34'),(1433,'/users/admin','default','Bootstrap Accordion Style','','7.34'),(1434,'/users/admin','default','Bootstrap Tab','','7.34'),(1435,'/users/admin','default','Bootstrap Tab Style','','7.34'),(1436,'/users/admin','default','Bootstrap Media Object','','7.34'),(1437,'/users/admin','default','Bootstrap Media Object Style','','7.34'),(1438,'/users/admin','default','Bootstrap Table','','7.34'),(1439,'/users/admin','default','Displays rows in Bootstrap Table Style','','7.34'),(1440,'/users/admin','default','Choose the fields to display in Bootstrap Carousel Style.','','7.34'),(1441,'/users/admin','default','Bootstrap Thumbnail','','7.34'),(1442,'/users/admin','default','Choose the fields to display in Bootstrap Thumbnail Style.','','7.34'),(1443,'/users/admin','default','Views fieldsets options','','7.34'),(1444,'/users/admin','default','A way to export Views Fieldsets.','','7.34'),(1445,'/users/admin','default','Isotope Grid','','7.34'),(1446,'/users/admin','default','Display the results using the jQuery Isotope plugin','','7.34'),(1447,'/users/admin','default','Isotope Filter Block','','7.34'),(1448,'/users/admin','default','Display the results formatted to filter an Isotope View','','7.34'),(1449,'/users/admin','default','Metro','','7.34'),(1450,'/users/admin','default','Display the results as Metro UI.','','7.34'),(1451,'/users/admin','default','Display the results as a slideshow.','','7.34'),(1452,'/users/admin','default','Views Ticker','','7.34'),(1453,'/users/admin','default','Display links to items while scrolling through them.','','7.34'),(1454,'/users/admin','default','Master','','7.37'),(1455,'/users/admin','default','Default settings for this view.','','7.34'),(1456,'','default','Page','','7.37'),(1457,'/users/admin','default','Display the view as a page, with a URL and menu links.','','7.34'),(1458,'/users/admin','default','Display the view as a block.','','7.34'),(1459,'','default','Attachment','','7.34'),(1460,'/users/admin','default','Attachments added to other displays to achieve multiple views in the same view.','','7.34'),(1461,'/users/admin','default','Feed','','7.34'),(1462,'/users/admin','default','Display the view as a feed, such as an RSS feed.','','7.34'),(1463,'/users/admin','default','Embed','','7.34'),(1464,'/users/admin','default','Provide a display which can be embedded using the views api.','','7.34'),(1465,'/users/admin','default','Empty display extender','','7.34'),(1466,'/users/admin','default','Unformatted list','','7.34'),(1467,'/users/admin','default','Displays rows one after another.','','7.34'),(1468,'/users/admin','default','HTML list','','7.34'),(1469,'/users/admin','default','Displays rows as an HTML list.','','7.34'),(1470,'/users/admin','default','Grid','','7.34'),(1471,'/users/admin','default','Displays rows in a grid.','','7.34'),(1472,'','default','Table','','7.34'),(1473,'/users/admin','default','Displays rows in a table.','','7.34'),(1474,'/users/admin','default','Displays the default summary as a list.','','7.34'),(1475,'/users/admin','default','Displays the summary unformatted, with option for one after another or inline.','','7.34'),(1476,'/users/admin','default','RSS Feed','','7.34'),(1477,'/users/admin','default','Generates an RSS feed from a view.','','7.34'),(1478,'/users/admin','default','Fields','','7.34'),(1479,'/users/admin','default','Display fields as RSS items.','','7.34'),(1480,'/users/admin','default','Fixed value','','7.34'),(1481,'/users/admin','default','PHP Code','','7.34'),(1482,'/users/admin','default','Raw value from URL','','7.34'),(1483,'/users/admin','default','Numeric','','7.34'),(1484,'/users/admin','default','Will be available to all users.','','7.34'),(1485,'','default','Role','','7.34'),(1486,'/users/admin','default','Access will be granted to users with any of the specified roles.','','7.34'),(1487,'/users/admin','default','Access will be granted to users with the specified permission string.','','7.34'),(1488,'/users/admin','default','SQL Query','','7.34'),(1489,'/users/admin','default','Query will be generated and run using the Drupal database API.','','7.34'),(1490,'/users/admin','default','No caching of Views data.','','7.34'),(1491,'/users/admin','default','Time-based','','7.34'),(1492,'/users/admin','default','Simple time-based caching of data.','','7.34'),(1493,'/users/admin','default','Basic exposed form','','7.34'),(1494,'/users/admin','default','Input required','','7.34'),(1495,'/users/admin','default','An exposed form that only renders a view if the form contains user input.','','7.34'),(1496,'/users/admin','default','Display all items','','7.34'),(1497,'/users/admin','default','Display all items that this view might find','','7.34'),(1498,'/users/admin','default','Display a specified number of items','','7.34'),(1499,'/users/admin','default','Display a limited number items that this view might find.','','7.34'),(1500,'/users/admin','default','Paged output, full pager','','7.34'),(1501,'/users/admin','default','Full','','7.34'),(1502,'/users/admin','default','Paged output, full Drupal style','','7.34'),(1503,'/users/admin','default','Paged output, mini pager','','7.34'),(1504,'/users/admin','default','Mini','','7.34'),(1505,'/users/admin','default','Use the mini pager output.','','7.34'),(1506,'/users/admin','default','Do not pass admin strings for translation.','','7.34'),(1507,'','default','Core','','7.34'),(1508,'/users/admin','default','Use Drupal core t() function. Not recommended, as it doesn\'t support updates to existing strings.','','7.34'),(1509,'/users/admin','default','If you need to translate Views labels into other languages, consider installing the <a href=\"!path\">Internationalization</a> package\'s Views translation module.','','7.34'),(1510,'/users/admin','default','Jump menu','','7.34'),(1511,'/users/admin','default','Puts all of the results into a select box and allows the user to go to a different page based upon the results.','','7.34'),(1512,'/users/admin','default','more','','7.37'),(1513,'/users/admin','default','Related Properties','','7.34'),(1514,'/users/admin','default','Agent\'s Properties','','7.34'),(1515,'/users/admin','default','fields','','7.34'),(1516,'/users/admin','default','Contextual filters','','7.34'),(1517,'/users/admin','default','contextual filters','','7.34'),(1518,'/users/admin','default','Contextual filter','','7.34'),(1519,'/users/admin','default','contextual filter','','7.34'),(1520,'/users/admin','default','Sort criteria','','7.34'),(1521,'/users/admin','default','sort criteria','','7.34'),(1522,'/users/admin','default','Sort criterion','','7.34'),(1523,'/users/admin','default','sort criterion','','7.34'),(1524,'/users/admin','default','Filter criteria','','7.34'),(1525,'/users/admin','default','filter criteria','','7.34'),(1526,'/users/admin','default','Filter criterion','','7.34'),(1527,'/users/admin','default','filter criterion','','7.34'),(1528,'/users/admin','default','Relationships','','7.34'),(1529,'/users/admin','default','relationships','','7.34'),(1530,'/users/admin','default','Relationship','','7.34'),(1531,'/users/admin','default','header','','7.34'),(1532,'/users/admin','default','footer','','7.34'),(1533,'/users/admin','default','No results behavior','','7.34'),(1534,'/users/admin','default','no results behavior','','7.34'),(1535,'/users/admin','default','Price','','7.37'),(1536,'/users/admin','default','Property Status','','7.34'),(1537,'/users/admin','default','Address','','7.37'),(1538,'/users/admin','default','in','','7.37'),(1539,'/users/admin','default','Lot Area','','7.34'),(1540,'/users/admin','default','Area','','7.37'),(1541,'/users/admin','default','True','','7.34'),(1542,'','default','Options','','7.34'),(1543,'/users/admin','default','Is one of','','7.34'),(1544,'/users/admin','default','=','','7.34'),(1545,'/users/admin','default','Is not one of','','7.34'),(1546,'/users/admin','default','not in','','7.34'),(1547,'/users/admin','default','<>','','7.34'),(1548,'/users/admin','default','Is empty (NULL)','','7.34'),(1549,'/users/admin','default','empty','','7.34'),(1550,'/users/admin','default','Is not empty (NOT NULL)','','7.34'),(1551,'/users/admin','default','not empty','','7.34'),(1552,'/users/admin','default','Display all results for the specified field','','7.34'),(1553,'/users/admin','default','Provide default value','','7.34'),(1554,'/users/admin','default','Hide view','','7.34'),(1555,'/users/admin','default','Display a summary','','7.34'),(1556,'/users/admin','default','Display contents of \"No results found\"','','7.34'),(1557,'/users/admin','default','Display \"Access Denied\"','','7.34'),(1558,'/users/admin','default','Items per page','','7.37'),(1559,'/users/admin','default','- All -','','7.37'),(1560,'/users/admin','default','Offset','','7.37'),(1561,'','default','« first','','7.37'),(1562,'','default','‹ previous','','7.37'),(1563,'','default','next ›','','7.37'),(1564,'','default','last »','','7.37'),(1565,'/users/admin','default','Address form (country-specific)','','7.34'),(1566,'/users/admin','default','Address 1','','7.34'),(1567,'/users/admin','default','Address 2','','7.34'),(1568,'/users/admin','default','City','','7.34'),(1569,'','default','Andorra','','7.34'),(1570,'','default','United Arab Emirates','','7.34'),(1571,'','default','Afghanistan','','7.34'),(1572,'','default','Antigua and Barbuda','','7.34'),(1573,'','default','Anguilla','','7.34'),(1574,'','default','Albania','','7.34'),(1575,'','default','Armenia','','7.34'),(1576,'','default','Netherlands Antilles','','7.34'),(1577,'','default','Angola','','7.34'),(1578,'','default','Antarctica','','7.34'),(1579,'','default','Argentina','','7.34'),(1580,'','default','American Samoa','','7.34'),(1581,'','default','Austria','','7.34'),(1582,'','default','Australia','','7.34'),(1583,'','default','Aruba','','7.34'),(1584,'','default','Aland Islands','','7.34'),(1585,'','default','Azerbaijan','','7.34'),(1586,'','default','Bosnia and Herzegovina','','7.34'),(1587,'','default','Barbados','','7.34'),(1588,'','default','Bangladesh','','7.34'),(1589,'','default','Belgium','','7.34'),(1590,'','default','Burkina Faso','','7.34'),(1591,'','default','Bulgaria','','7.34'),(1592,'','default','Bahrain','','7.34'),(1593,'','default','Burundi','','7.34'),(1594,'','default','Benin','','7.34'),(1595,'','default','Saint Barthélemy','','7.34'),(1596,'','default','Bermuda','','7.34'),(1597,'','default','Brunei','','7.34'),(1598,'','default','Bolivia','','7.34'),(1599,'/users/admin','default','Caribbean Netherlands','','7.34'),(1600,'','default','Brazil','','7.34'),(1601,'','default','Bahamas','','7.34'),(1602,'','default','Bhutan','','7.34'),(1603,'','default','Bouvet Island','','7.34'),(1604,'','default','Botswana','','7.34'),(1605,'','default','Belarus','','7.34'),(1606,'','default','Belize','','7.34'),(1607,'','default','Canada','','7.34'),(1608,'','default','Cocos (Keeling) Islands','','7.34'),(1609,'','default','Congo (Kinshasa)','','7.34'),(1610,'','default','Central African Republic','','7.34'),(1611,'','default','Congo (Brazzaville)','','7.34'),(1612,'','default','Switzerland','','7.34'),(1613,'','default','Ivory Coast','','7.34'),(1614,'','default','Cook Islands','','7.34'),(1615,'','default','Chile','','7.34'),(1616,'','default','Cameroon','','7.34'),(1617,'','default','China','','7.34'),(1618,'','default','Colombia','','7.34'),(1619,'','default','Costa Rica','','7.34'),(1620,'','default','Cuba','','7.34'),(1621,'','default','Cape Verde','','7.34'),(1622,'','default','Curaçao','','7.34'),(1623,'','default','Christmas Island','','7.34'),(1624,'','default','Cyprus','','7.34'),(1625,'','default','Czech Republic','','7.34'),(1626,'','default','Germany','','7.34'),(1627,'','default','Djibouti','','7.34'),(1628,'','default','Denmark','','7.34'),(1629,'','default','Dominica','','7.34'),(1630,'','default','Dominican Republic','','7.34'),(1631,'','default','Algeria','','7.34'),(1632,'','default','Ecuador','','7.34'),(1633,'','default','Estonia','','7.34'),(1634,'','default','Egypt','','7.34'),(1635,'','default','Western Sahara','','7.34'),(1636,'','default','Eritrea','','7.34'),(1637,'','default','Spain','','7.34'),(1638,'','default','Ethiopia','','7.34'),(1639,'','default','Finland','','7.34'),(1640,'','default','Fiji','','7.34'),(1641,'','default','Falkland Islands','','7.34'),(1642,'','default','Micronesia','','7.34'),(1643,'','default','Faroe Islands','','7.34'),(1644,'','default','France','','7.34'),(1645,'','default','Gabon','','7.34'),(1646,'','default','United Kingdom','','7.34'),(1647,'','default','Grenada','','7.34'),(1648,'','default','Georgia','','7.34'),(1649,'','default','French Guiana','','7.34'),(1650,'','default','Guernsey','','7.34'),(1651,'','default','Ghana','','7.34'),(1652,'','default','Gibraltar','','7.34'),(1653,'','default','Greenland','','7.34'),(1654,'','default','Gambia','','7.34'),(1655,'','default','Guinea','','7.34'),(1656,'','default','Guadeloupe','','7.34'),(1657,'','default','Equatorial Guinea','','7.34'),(1658,'','default','Greece','','7.34'),(1659,'','default','South Georgia and the South Sandwich Islands','','7.34'),(1660,'','default','Guatemala','','7.34'),(1661,'','default','Guam','','7.34'),(1662,'','default','Guinea-Bissau','','7.34'),(1663,'','default','Guyana','','7.34'),(1664,'','default','Hong Kong S.A.R., China','','7.34'),(1665,'','default','Heard Island and McDonald Islands','','7.34'),(1666,'','default','Honduras','','7.34'),(1667,'','default','Croatia','','7.34'),(1668,'','default','Haiti','','7.34'),(1669,'','default','Hungary','','7.34'),(1670,'','default','Indonesia','','7.34'),(1671,'','default','Ireland','','7.34'),(1672,'','default','Israel','','7.34'),(1673,'','default','Isle of Man','','7.34'),(1674,'','default','India','','7.34'),(1675,'','default','British Indian Ocean Territory','','7.34'),(1676,'','default','Iraq','','7.34'),(1677,'','default','Iran','','7.34'),(1678,'','default','Iceland','','7.34'),(1679,'','default','Italy','','7.34'),(1680,'','default','Jersey','','7.34'),(1681,'','default','Jamaica','','7.34'),(1682,'','default','Jordan','','7.34'),(1683,'','default','Japan','','7.34'),(1684,'','default','Kenya','','7.34'),(1685,'','default','Kyrgyzstan','','7.34'),(1686,'','default','Cambodia','','7.34'),(1687,'','default','Kiribati','','7.34'),(1688,'','default','Comoros','','7.34'),(1689,'','default','Saint Kitts and Nevis','','7.34'),(1690,'','default','North Korea','','7.34'),(1691,'','default','South Korea','','7.34'),(1692,'','default','Kuwait','','7.34'),(1693,'','default','Cayman Islands','','7.34'),(1694,'','default','Kazakhstan','','7.34'),(1695,'','default','Laos','','7.34'),(1696,'','default','Lebanon','','7.34'),(1697,'','default','Saint Lucia','','7.34'),(1698,'','default','Liechtenstein','','7.34'),(1699,'','default','Sri Lanka','','7.34'),(1700,'','default','Liberia','','7.34'),(1701,'','default','Lesotho','','7.34'),(1702,'','default','Lithuania','','7.34'),(1703,'','default','Luxembourg','','7.34'),(1704,'','default','Latvia','','7.34'),(1705,'','default','Libya','','7.34'),(1706,'','default','Morocco','','7.34'),(1707,'','default','Monaco','','7.34'),(1708,'','default','Moldova','','7.34'),(1709,'','default','Montenegro','','7.34'),(1710,'','default','Saint Martin (French part)','','7.34'),(1711,'','default','Madagascar','','7.34'),(1712,'','default','Marshall Islands','','7.34'),(1713,'','default','Macedonia','','7.34'),(1714,'','default','Mali','','7.34'),(1715,'','default','Myanmar','','7.34'),(1716,'','default','Mongolia','','7.34'),(1717,'','default','Macao S.A.R., China','','7.34'),(1718,'','default','Northern Mariana Islands','','7.34'),(1719,'','default','Martinique','','7.34'),(1720,'','default','Mauritania','','7.34'),(1721,'','default','Montserrat','','7.34'),(1722,'','default','Malta','','7.34'),(1723,'','default','Mauritius','','7.34'),(1724,'','default','Maldives','','7.34'),(1725,'','default','Malawi','','7.34'),(1726,'','default','Mexico','','7.34'),(1727,'','default','Malaysia','','7.34'),(1728,'','default','Mozambique','','7.34'),(1729,'','default','Namibia','','7.34'),(1730,'','default','New Caledonia','','7.34'),(1731,'','default','Niger','','7.34'),(1732,'','default','Norfolk Island','','7.34'),(1733,'','default','Nigeria','','7.34'),(1734,'','default','Nicaragua','','7.34'),(1735,'','default','Netherlands','','7.34'),(1736,'','default','Norway','','7.34'),(1737,'','default','Nepal','','7.34'),(1738,'','default','Nauru','','7.34'),(1739,'','default','Niue','','7.34'),(1740,'','default','New Zealand','','7.34'),(1741,'','default','Oman','','7.34'),(1742,'','default','Panama','','7.34'),(1743,'','default','Peru','','7.34'),(1744,'','default','French Polynesia','','7.34'),(1745,'','default','Papua New Guinea','','7.34'),(1746,'','default','Philippines','','7.34'),(1747,'','default','Pakistan','','7.34'),(1748,'','default','Poland','','7.34'),(1749,'','default','Saint Pierre and Miquelon','','7.34'),(1750,'','default','Pitcairn','','7.34'),(1751,'','default','Puerto Rico','','7.34'),(1752,'','default','Palestinian Territory','','7.34'),(1753,'','default','Portugal','','7.34'),(1754,'','default','Palau','','7.34'),(1755,'','default','Paraguay','','7.34'),(1756,'','default','Qatar','','7.34'),(1757,'','default','Reunion','','7.34'),(1758,'','default','Romania','','7.34'),(1759,'','default','Serbia','','7.34'),(1760,'','default','Russia','','7.34'),(1761,'','default','Rwanda','','7.34'),(1762,'','default','Saudi Arabia','','7.34'),(1763,'','default','Solomon Islands','','7.34'),(1764,'','default','Seychelles','','7.34'),(1765,'','default','Sudan','','7.34'),(1766,'','default','Sweden','','7.34'),(1767,'','default','Singapore','','7.34'),(1768,'','default','Saint Helena','','7.34'),(1769,'','default','Slovenia','','7.34'),(1770,'','default','Svalbard and Jan Mayen','','7.34'),(1771,'','default','Slovakia','','7.34'),(1772,'','default','Sierra Leone','','7.34'),(1773,'','default','San Marino','','7.34'),(1774,'','default','Senegal','','7.34'),(1775,'','default','Somalia','','7.34'),(1776,'','default','Suriname','','7.34'),(1777,'/users/admin','default','South Sudan','','7.34'),(1778,'','default','Sao Tome and Principe','','7.34'),(1779,'','default','El Salvador','','7.34'),(1780,'/users/admin','default','Sint Maarten','','7.34'),(1781,'','default','Syria','','7.34'),(1782,'','default','Swaziland','','7.34'),(1783,'','default','Turks and Caicos Islands','','7.34'),(1784,'','default','Chad','','7.34'),(1785,'','default','French Southern Territories','','7.34'),(1786,'','default','Togo','','7.34'),(1787,'','default','Thailand','','7.34'),(1788,'','default','Tajikistan','','7.34'),(1789,'','default','Tokelau','','7.34'),(1790,'','default','Timor-Leste','','7.34'),(1791,'','default','Turkmenistan','','7.34'),(1792,'','default','Tunisia','','7.34'),(1793,'','default','Tonga','','7.34'),(1794,'','default','Turkey','','7.34'),(1795,'','default','Trinidad and Tobago','','7.34'),(1796,'','default','Tuvalu','','7.34'),(1797,'','default','Taiwan','','7.34'),(1798,'','default','Tanzania','','7.34'),(1799,'','default','Ukraine','','7.34'),(1800,'','default','Uganda','','7.34'),(1801,'','default','United States Minor Outlying Islands','','7.34'),(1802,'','default','United States','','7.34'),(1803,'','default','Uruguay','','7.34'),(1804,'','default','Uzbekistan','','7.34'),(1805,'','default','Vatican','','7.34'),(1806,'','default','Saint Vincent and the Grenadines','','7.34'),(1807,'','default','Venezuela','','7.34'),(1808,'','default','British Virgin Islands','','7.34'),(1809,'','default','U.S. Virgin Islands','','7.34'),(1810,'','default','Vietnam','','7.34'),(1811,'','default','Vanuatu','','7.34'),(1812,'','default','Wallis and Futuna','','7.34'),(1813,'','default','Samoa','','7.34'),(1814,'','default','Yemen','','7.34'),(1815,'','default','Mayotte','','7.34'),(1816,'','default','South Africa','','7.34'),(1817,'','default','Zambia','','7.34'),(1818,'','default','Zimbabwe','','7.34'),(1819,'/users/admin','default','State','Territory of a country','7.34'),(1820,'/users/admin','default','--','','7.34'),(1821,'/users/admin','default','Alabama','','7.34'),(1822,'/users/admin','default','Alaska','','7.34'),(1823,'/users/admin','default','Arizona','','7.34'),(1824,'/users/admin','default','Arkansas','','7.34'),(1825,'/users/admin','default','California','','7.34'),(1826,'/users/admin','default','Colorado','','7.34'),(1827,'/users/admin','default','Connecticut','','7.34'),(1828,'/users/admin','default','Delaware','','7.34'),(1829,'/users/admin','default','District Of Columbia','','7.34'),(1830,'/users/admin','default','Florida','','7.34'),(1831,'/users/admin','default','Hawaii','','7.34'),(1832,'/users/admin','default','Idaho','','7.34'),(1833,'/users/admin','default','Illinois','','7.34'),(1834,'/users/admin','default','Indiana','','7.34'),(1835,'/users/admin','default','Iowa','','7.34'),(1836,'/users/admin','default','Kansas','','7.34'),(1837,'/users/admin','default','Kentucky','','7.34'),(1838,'/users/admin','default','Louisiana','','7.34'),(1839,'/users/admin','default','Maine','','7.34'),(1840,'/users/admin','default','Maryland','','7.34'),(1841,'/users/admin','default','Massachusetts','','7.34'),(1842,'/users/admin','default','Michigan','','7.34'),(1843,'/users/admin','default','Minnesota','','7.34'),(1844,'/users/admin','default','Mississippi','','7.34'),(1845,'/users/admin','default','Missouri','','7.34'),(1846,'/users/admin','default','Montana','','7.34'),(1847,'/users/admin','default','Nebraska','','7.34'),(1848,'/users/admin','default','Nevada','','7.34'),(1849,'/users/admin','default','New Hampshire','','7.34'),(1850,'/users/admin','default','New Jersey','','7.34'),(1851,'/users/admin','default','New Mexico','','7.34'),(1852,'/users/admin','default','New York','','7.34'),(1853,'/users/admin','default','North Carolina','','7.34'),(1854,'/users/admin','default','North Dakota','','7.34'),(1855,'/users/admin','default','Ohio','','7.34'),(1856,'/users/admin','default','Oklahoma','','7.34'),(1857,'/users/admin','default','Oregon','','7.34'),(1858,'/users/admin','default','Pennsylvania','','7.34'),(1859,'/users/admin','default','Rhode Island','','7.34'),(1860,'/users/admin','default','South Carolina','','7.34'),(1861,'/users/admin','default','South Dakota','','7.34'),(1862,'/users/admin','default','Tennessee','','7.34'),(1863,'/users/admin','default','Texas','','7.34'),(1864,'/users/admin','default','Utah','','7.34'),(1865,'/users/admin','default','Vermont','','7.34'),(1866,'/users/admin','default','Virginia','','7.34'),(1867,'/users/admin','default','Washington','','7.34'),(1868,'/users/admin','default','West Virginia','','7.34'),(1869,'/users/admin','default','Wisconsin','','7.34'),(1870,'/users/admin','default','Wyoming','','7.34'),(1871,'/users/admin','default','Armed Forces (Americas)','','7.34'),(1872,'/users/admin','default','Armed Forces (Europe, Canada, Middle East, Africa)','','7.34'),(1873,'/users/admin','default','Armed Forces (Pacific)','','7.34'),(1874,'/users/admin','default','Federated States of Micronesia','','7.34'),(1875,'/users/admin','default','Virgin Islands','','7.34'),(1876,'/users/admin','default','ZIP Code','','7.34'),(1877,'/users/admin','default','Hide the country when only one is available','','7.34'),(1878,'/users/admin','default','Name (First name, Last name)','','7.34'),(1879,'/users/admin','default','Name (single line)','','7.34'),(1880,'/users/admin','default','Organisation (single line)','','7.34'),(1881,'','default','Reset','','7.37'),(1882,'/users/admin','default','Sort by','','7.37'),(1883,'/users/admin','default','Asc','','7.37'),(1884,'/users/admin','default','Desc','','7.37'),(1885,'/users/admin','default','Fieldset','views_fieldsets','7.34'),(1886,'','default','Go to first page','','7.34'),(1887,'','default','Go to previous page','','7.34'),(1888,'','default','Go to next page','','7.34'),(1889,'','default','Go to last page','','7.34'),(1890,'','default','Go to page @number','','7.34'),(1891,'/users/admin','default','Stay informed on our latest news!','','7.34'),(1892,'/users/admin','default','Subscribe','','7.34'),(1893,'/users/admin','default','Manage my subscriptions','','7.34'),(1894,'/users/admin','default','Previous issues','','7.34'),(1895,'/users/admin','default','@newsletter feed','','7.34'),(1896,'','default','Subscribe to !feed-title','','7.34'),(1897,'','default','Configure block','','7.34'),(1898,'/users/admin','default','Default Style','','7.34'),(1899,'/users/admin','default','Default Layout','','7.34'),(1900,'/users/admin','default','Config TB Mega Menu','','7.34'),(1901,'/users/admin','default','Webform client form.','','7.34'),(1902,'/users/admin','default','Bean module element','','7.34'),(1903,'/users/admin','default','Revision settings','','7.34'),(1904,'/users/admin','default','View mode','','7.34'),(1905,'','default','Author textfield','','7.34'),(1906,'','default','Subject textfield','','7.34'),(1907,'','default','Node module element','','7.34'),(1908,'','default','URL path settings','','7.34'),(1909,'/users/admin','default','Path module form elements','','7.34'),(1910,'/users/admin','default','Newsletter subscriptions of the user','','7.34'),(1911,'','default','Term name textfield','','7.34'),(1912,'','default','Term description textarea','','7.34'),(1913,'','default','User name and password','','7.34'),(1914,'','default','User module account form elements.','','7.34'),(1915,'','default','Timezone','','7.34'),(1916,'/users/admin','default','User module timezone form element.','','7.34'),(1917,'/users/admin','default','User module history view element.','','7.34'),(1918,'/users/admin','default','User picture','','7.34'),(1919,'/users/admin','default','Administrative overlay','','7.34'),(1920,'/users/admin','default','Contact user element','','7.34'),(1921,'','default','Language settings','','7.34'),(1922,'/users/admin','default','Language settings for the user account.','','7.34'),(1923,'/users/admin','default','Back to Top','','7.34'),(1924,'/js/admin_menu/cache/3e2449e0c209d8eb70ce589719135671','default','','','7.34'),(1925,'/','default','Front page feed','','7.34'),(1926,'/','default','[field_address-thoroughfare]','','7.34'),(1927,'/','default','Show \"Page not found\"','','7.34'),(1928,'/','default','<h2>Properties</h2>','','7.34'),(1929,'','default','Limit allowed HTML tags','','7.34'),(1930,'','default','Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)','','7.34'),(1931,'','default','Convert URLs into links','','7.34'),(1932,'','default','Correct faulty and chopped off HTML','','7.34'),(1933,'','default','Display any HTML as plain text','','7.34'),(1934,'/','default','GMap Macro expander','','7.34'),(1935,'/','default','GMap macros will be displayed as interactive maps.','','7.34'),(1936,'','default','PHP evaluator','','7.34'),(1937,'','default','Executes a piece of PHP code. The usage of this filter should be restricted to administrators only!','','7.34'),(1938,'/','default','Video Embedding','','7.34'),(1939,'/','default','Replaces [VIDEO::http://www.youtube.com/watch?v=someVideoID::aVideoStyle] tags with embedded videos.','','7.34'),(1940,'/','default','Edit quicktab','','7.34'),(1941,'/','default','Slideshow Flexslider','','7.34'),(1942,'','default','Body','','7.34'),(1943,'/','default','More Detail','','7.34'),(1944,'/','default','Is less than','','7.34'),(1945,'/','default','<','','7.34'),(1946,'/','default','Is less than or equal to','','7.34'),(1947,'/','default','<=','','7.34'),(1948,'/','default','Is equal to','','7.34'),(1949,'/','default','Is not equal to','','7.34'),(1950,'/','default','!=','','7.34'),(1951,'/','default','Is greater than or equal to','','7.34'),(1952,'/','default','>=','','7.34'),(1953,'/','default','Is greater than','','7.34'),(1954,'/','default','>','','7.34'),(1955,'/','default','Is between','','7.34'),(1956,'/','default','between','','7.34'),(1957,'/','default','Is not between','','7.34'),(1958,'/','default','not between','','7.34'),(1959,'/','default','Regular expression','','7.34'),(1960,'/','default','regex','','7.34'),(1961,'','default','...','','7.34'),(1962,'/','default','Local','','7.34'),(1963,'/','default','Previous','','7.34'),(1964,'','default','Next','','7.34'),(1965,'/','default','Pause','','7.34'),(1966,'/','default','Play','','7.34'),(1967,'','default','Track','','7.34'),(1968,'/','default','Featured Properties','','7.34'),(1969,'/','default','Latitude','','7.34'),(1970,'/','default','Longitude','','7.34'),(1971,'/','default','Select any filter and click on Apply to see results','','7.37'),(1972,'/','default','Find Your Home','','7.37'),(1973,'/','default','Select terms from vocabulary @voc','','7.34'),(1974,'/','default','- Any -','','7.34'),(1975,'','default','Order','','7.34'),(1976,'','default','Advanced options','','7.37'),(1977,'/','default','Our Agents','','7.34'),(1978,'/','default','Featured Agents','','7.34'),(1979,'/','default','Office','','7.34'),(1980,'/','default','Full Name','','7.34'),(1981,'/','default','Phone','','7.34'),(1982,'/','default','Fax','','7.34'),(1983,'/','default','Mobile','','7.34'),(1984,'/','default','or','','7.34'),(1985,'/','default','Is all of','','7.34'),(1986,'/','default','and','','7.34'),(1987,'/','default','Is none of','','7.34'),(1988,'/','default','not','','7.34'),(1989,'/','default','Only has the \'authenticated user\' role','','7.34'),(1990,'/','default','Has roles in addition to \'authenticated user\'','','7.34'),(1991,'/','default','Why choose us','','7.34'),(1992,'/','default','Happy Clients','','7.34'),(1993,'/','default','Occupation','','7.34'),(1994,'/','default','Edit Block','','7.34'),(1995,'','default','Thu','','7.34'),(1996,'; misc/ajax.js','default','Please wait...','','none'),(1997,'sites/all/modules/better_exposed_filters/better_exposed_filters.js','default','Select All','','none'),(1998,'sites/all/modules/better_exposed_filters/better_exposed_filters.js','default','Select None','','none'),(1999,'','default','GD library PNG support','','7.32'),(2000,'/admin/config?render=overlay','default','CTools CSS Cache','','7.32'),(2001,'/admin/config?render=overlay','default','Exists','','7.32'),(2002,'/admin/config?render=overlay','default','JQuery Cycle plugin','','7.32'),(2003,'','default','Installed','','7.32'),(2004,'/admin/config?render=overlay','default','JQuery ImagesLoaded plugin','','7.32'),(2005,'','default','Not found','','7.32'),(2006,'/admin/config?render=overlay','default','For best results, you should download the !name and move the downloaded js file(s) into the %path folder of your server.','','7.32'),(2007,'','default','Not enabled','','7.32'),(2008,'/admin/config?render=overlay','default','Your server is capable of displaying file upload progress, but does not have the required libraries. It is recommended to install the <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress library</a> (preferred) or to install <a href=\"http://us2.php.net/apc\">APC</a>.','','7.32'),(2009,'','default','Upload progress','','7.32'),(2010,'/admin/config?render=overlay','default','Version 2.0 installed','','7.32'),(2011,'/admin/config?render=overlay','default','Version %version installed','','7.32'),(2012,'/admin/config?render=overlay','default','FlexSlider library installed.','','7.32'),(2013,'','default','GD library rotate and desaturate effects','','7.32'),(2014,'/admin/config?render=overlay','default','jQuery Update','','7.32'),(2015,'/admin/config?render=overlay','default','jQuery %jquery and jQuery UI %ui','','7.32'),(2016,'','default','Disabled','','7.32'),(2017,'/admin/config?render=overlay','default','If the site is experiencing problems with permissions to content, you may have to rebuild the permissions cache. Rebuilding will remove all privileges to content and replace them with permissions based on the current modules and settings. Rebuilding may take some time if there is a lot of content or complex permission settings. After rebuilding has completed, content will automatically use the new permissions.','','7.32'),(2018,'','default','Node Access Permissions','','7.32'),(2019,'','default','Rebuild permissions','','7.32'),(2020,'','default','Drupal','','7.34'),(2021,'','default','Web server','','7.32'),(2022,'','default','PHP','','7.32'),(2023,'','default','more information','','7.32'),(2024,'','default','PHP register globals','','7.32'),(2025,'','default','PHP extensions','','7.32'),(2026,'','default','Database system','','7.32'),(2027,'','default','Database system version','','7.32'),(2028,'','default','PHP memory limit','','7.32'),(2029,'','default','Protected','','7.32'),(2030,'','default','Configuration file','','7.32'),(2031,'/admin/config?render=overlay','default','Public files directory','','7.32'),(2032,'/admin/config?render=overlay','default','Temporary files directory','','7.32'),(2033,'','default','For more information, see the online handbook entry for <a href=\"@cron-handbook\">configuring cron jobs</a>.','','7.32'),(2034,'','default','@count min','','7.32'),(2035,'','default','@count sec','','7.32'),(2036,'','default','Last run !time ago','','7.32'),(2037,'','default','You can <a href=\"@cron\">run cron manually</a>.','','7.32'),(2038,'','default','To run cron from outside the site, go to <a href=\"!cron\">!cron</a>','','7.32'),(2039,'','default','Cron maintenance tasks','','7.32'),(2040,'','default','Writable (<em>public</em> download method)','','7.32'),(2041,'','default','Database updates','','7.32'),(2042,'','default','Up to date','','7.34'),(2043,'','default','Access to update.php','','7.32'),(2044,'','default','Standard PHP','','7.32'),(2045,'','default','PHP Mbstring Extension','','7.32'),(2046,'','default','Unicode library','','7.32'),(2047,'','default','Update notifications','','7.32'),(2048,'/admin/config?render=overlay','default','The source node for this current node\'s translation set.','','7.32'),(2049,'/admin/config?render=overlay','default','The explanation of the most recent changes made to the node.','','7.32'),(2050,'/admin/config?render=overlay','default','The content type of the node.','','7.32'),(2051,'/admin/config?render=overlay','default','Tokens related to content types.','','7.32'),(2052,'/admin/config?render=overlay','default','The name of the content type.','','7.32'),(2053,'/admin/config?render=overlay','default','The unique machine-readable name of the content type.','','7.32'),(2054,'/admin/config?render=overlay','default','The optional description of the content type.','','7.32'),(2055,'/admin/config?render=overlay','default','The number of nodes belonging to the content type.','','7.32'),(2056,'/admin/config?render=overlay','default','The URL of the content type\'s edit page.','','7.32'),(2057,'/admin/config?render=overlay','default','The URL of the taxonomy term\'s edit page.','','7.32'),(2058,'/admin/config?render=overlay','default','Parents','','7.32'),(2059,'/admin/config?render=overlay','default','An array of all the term\'s parents, starting with the root.','','7.32'),(2060,'/admin/config?render=overlay','default','Root term','','7.32'),(2061,'/admin/config?render=overlay','default','The root term of the taxonomy term.','','7.32'),(2062,'/admin/config?render=overlay','default','The unique machine-readable name of the vocabulary.','','7.32'),(2063,'/admin/config?render=overlay','default','The URL of the vocabulary\'s edit page.','','7.32'),(2064,'/admin/config?render=overlay','default','Base name','','7.32'),(2065,'/admin/config?render=overlay','default','The base name of the file.','','7.32'),(2066,'/admin/config?render=overlay','default','File byte size','','7.32'),(2067,'/admin/config?render=overlay','default','The size of the file, in bytes.','','7.32'),(2068,'/admin/config?render=overlay','default','Account cancellation URL','','7.32'),(2069,'/admin/config?render=overlay','default','The URL of the confirm delete page for the user account.','','7.32'),(2070,'/admin/config?render=overlay','default','One-time login URL','','7.32'),(2071,'/admin/config?render=overlay','default','The URL of the one-time login page for the user account.','','7.32'),(2072,'/admin/config?render=overlay','default','The picture of the user.','','7.32'),(2073,'/admin/config?render=overlay','default','The user roles associated with the user account.','','7.32'),(2074,'','default','IP address','','7.34'),(2075,'/admin/config?render=overlay','default','Menu links','','7.34'),(2076,'/admin/config?render=overlay','default','Tokens related to menu links.','','7.32'),(2077,'/admin/config?render=overlay','default','Link ID','','7.32'),(2078,'/admin/config?render=overlay','default','The unique ID of the menu link.','','7.32'),(2079,'/admin/config?render=overlay','default','The title of the menu link.','','7.32'),(2080,'/admin/config?render=overlay','default','The URL of the menu link.','','7.32'),(2081,'/admin/config?render=overlay','default','The menu link\'s parent.','','7.32'),(2082,'/admin/config?render=overlay','default','An array of all the menu link\'s parents, starting with the root.','','7.32'),(2083,'/admin/config?render=overlay','default','Root','','7.32'),(2084,'/admin/config?render=overlay','default','The menu link\'s root.','','7.32'),(2085,'/admin/config?render=overlay','default','Tokens related to the current page request.','','7.32'),(2086,'/admin/config?render=overlay','default','The title of the current page.','','7.32'),(2087,'/admin/config?render=overlay','default','The URL of the current page.','','7.32'),(2088,'/admin/config?render=overlay','default','Page number','','7.32'),(2089,'/admin/config?render=overlay','default','The page number of the current page when viewing paged lists.','','7.32'),(2090,'/admin/config?render=overlay','default','Query string value','','7.32'),(2091,'/admin/config?render=overlay','default','The value of a specific query string field of the current page.','','7.32'),(2092,'/admin/config?render=overlay','default','Tokens related to URLs.','','7.32'),(2093,'/admin/config?render=overlay','default','The path component of the URL.','','7.32'),(2094,'/admin/config?render=overlay','default','Relative URL','','7.32'),(2095,'/admin/config?render=overlay','default','The relative URL.','','7.32'),(2096,'/admin/config?render=overlay','default','Absolute URL','','7.32'),(2097,'/admin/config?render=overlay','default','The absolute URL.','','7.32'),(2098,'/admin/config?render=overlay','default','Brief URL','','7.32'),(2099,'/admin/config?render=overlay','default','The URL without the protocol and trailing backslash.','','7.32'),(2100,'/admin/config?render=overlay','default','Unaliased URL','','7.32'),(2101,'/admin/config?render=overlay','default','The unaliased URL.','','7.32'),(2102,'/admin/config?render=overlay','default','Arguments','','7.32'),(2103,'/admin/config?render=overlay','default','The specific argument of the current page (e.g. \'arg:1\' on the page \'node/1\' returns \'1\').','','7.32'),(2104,'/admin/config?render=overlay','default','Array','','7.32'),(2105,'/admin/config?render=overlay','default','Tokens related to arrays of strings.','','7.32'),(2106,'/admin/config?render=overlay','default','First','','7.32'),(2107,'/admin/config?render=overlay','default','The first element of the array.','','7.32'),(2108,'/admin/config?render=overlay','default','Last','','7.32'),(2109,'/admin/config?render=overlay','default','The last element of the array.','','7.32'),(2110,'','default','Count','','7.34'),(2111,'/admin/config?render=overlay','default','The number of elements in the array.','','7.32'),(2112,'/admin/config?render=overlay','default','Reversed','','7.32'),(2113,'/admin/config?render=overlay','default','The array reversed.','','7.32'),(2114,'/admin/config?render=overlay','default','Keys','','7.32'),(2115,'/admin/config?render=overlay','default','The array of keys of the array.','','7.32'),(2116,'/admin/config?render=overlay','default','Imploded','','7.32'),(2117,'/admin/config?render=overlay','default','The values of the array joined together with a custom string in-between each value.','','7.32'),(2118,'/admin/config?render=overlay','default','The specific value of the array.','','7.32'),(2119,'','default','Number','','7.34'),(2120,'/admin/config?render=overlay','default','A random number from 0 to @max.','','7.32'),(2121,'/admin/config?render=overlay','default','Hash','','7.32'),(2122,'/admin/config?render=overlay','default','A random hash. The possible hashing algorithms are: @hash-algos.','','7.32'),(2123,'/admin/config?render=overlay','default','Submission','','7.32'),(2124,'/admin/config?render=overlay','default','Tokens related to webform submissions.','','7.32'),(2125,'/admin/config?render=overlay','default','The serial number of this webform submission.','','7.32'),(2126,'/admin/config?render=overlay','default','Submission ID','','7.32'),(2127,'/admin/config?render=overlay','default','The unique indentifier for the webform submission.','','7.32'),(2128,'/admin/config?render=overlay','default','Date submitted','','7.32'),(2129,'/admin/config?render=overlay','default','The date the webform was submitted.','','7.32'),(2130,'/admin/config?render=overlay','default','The IP address that was used when submitting the webform.','','7.32'),(2131,'/admin/config?render=overlay','default','Submitter','','7.32'),(2132,'/admin/config?render=overlay','default','The user that submitted the webform result.','','7.32'),(2133,'/admin/config?render=overlay','default','Webform tokens related to URLs.','','7.32'),(2134,'/admin/config?render=overlay','default','Webform submission values','','7.32'),(2135,'/admin/config?render=overlay','default','Webform tokens from submitted data. Replace the \"?\" with the \"field key\", including any parent field keys separated by colons. You may append \":label\" for just the label or \":withlabel\" for both the label and value together. Append \":key\" for just the key in a key|label pair.','','7.32'),(2136,'/admin/config?render=overlay','default','Address field','','7.32'),(2137,'/admin/config?render=overlay','default','Tokens related to address field values and their components.','','7.32'),(2138,'/admin/config?render=overlay','default','Country name','','7.32'),(2139,'/admin/config?render=overlay','default','The full name of the country.','','7.32'),(2140,'/admin/config?render=overlay','default','Country code','','7.34'),(2141,'/admin/config?render=overlay','default','The two letter ISO country code.','','7.32'),(2142,'/admin/config?render=overlay','default','Administrative area (i.e. State/Province)','','7.32'),(2143,'/admin/config?render=overlay','default','The administrative area value, expanded to the full name if applicable.','','7.32'),(2144,'/admin/config?render=overlay','default','Administrative area (raw value)','','7.32'),(2145,'/admin/config?render=overlay','default','The raw administrative area value.','','7.32'),(2146,'/admin/config?render=overlay','default','The locality value.','','7.32'),(2147,'/admin/config?render=overlay','default','The postal code value.','','7.32'),(2148,'/admin/config?render=overlay','default','The thoroughfare value.','','7.32'),(2149,'/admin/config?render=overlay','default','Premise (i.e. Street address)','','7.32'),(2150,'/admin/config?render=overlay','default','Organisation','','7.32'),(2151,'/admin/config?render=overlay','default','The organisation name value.','','7.32'),(2152,'/admin/config?render=overlay','default','The name line value of the address.','','7.32'),(2153,'/admin/config?render=overlay','default','The first name value.','','7.32'),(2154,'/admin/config?render=overlay','default','The last name value.','','7.32'),(2155,'/admin/config?render=overlay','default','Address formatted for MailChimp','','7.32'),(2156,'/admin/config?render=overlay','default','The full address formatted for import into MailChimp.','','7.32'),(2157,'','default','Tokens for comments posted on the site.','','7.32'),(2158,'','default','The formatted content of the comment itself.','','7.32'),(2159,'','default','The date the comment was most recently updated.','','7.32'),(2160,'','default','The author of the comment, if they were logged in.','','7.32'),(2161,'/admin/config?render=overlay','default','Tokens related to menus.','','7.32'),(2162,'/admin/config?render=overlay','default','The name of the menu.','','7.32'),(2163,'/admin/config?render=overlay','default','The unique machine-readable name of the menu.','','7.32'),(2164,'/admin/config?render=overlay','default','The optional description of the menu.','','7.32'),(2165,'/admin/config?render=overlay','default','Menu link count','','7.32'),(2166,'/admin/config?render=overlay','default','The number of menu links belonging to the menu.','','7.32'),(2167,'/admin/config?render=overlay','default','The URL of the menu\'s edit page.','','7.32'),(2168,'/admin/config?render=overlay','default','The menu of the menu link.','','7.32'),(2169,'/admin/config?render=overlay','default','The URL of the menu link\'s edit page.','','7.32'),(2170,'','default','Menu link','','7.32'),(2171,'/admin/config?render=overlay','default','The menu link for this node.','','7.32'),(2172,'','default','Tokens related to individual content items, or \"nodes\".','','7.32'),(2173,'','default','Content ID','','7.32'),(2174,'','default','The unique ID of the content item, or \"node\".','','7.32'),(2175,'','default','The unique ID of the node\'s latest revision.','','7.32'),(2176,'','default','Translation set ID','','7.32'),(2177,'','default','The unique ID of the original-language version of this node, if one exists.','','7.32'),(2178,'','default','Content type name','','7.32'),(2179,'','default','The human-readable name of the node type.','','7.32'),(2180,'','default','The main body text of the node.','','7.32'),(2181,'','default','The summary of the node\'s main body text.','','7.32'),(2182,'/admin/config?render=overlay','default','Tokens related to the newsletter recipient','','7.32'),(2183,'/admin/config?render=overlay','default','Simplenews newsletter category','','7.32'),(2184,'/admin/config?render=overlay','default','Tokens related to the newsletter category','','7.32'),(2185,'/admin/config?render=overlay','default','Subscription URL','','7.32'),(2186,'/admin/config?render=overlay','default','The URL of the page where the subscription is confirmed.','','7.32'),(2187,'/admin/config?render=overlay','default','Unsubscribe URL','','7.32'),(2188,'/admin/config?render=overlay','default','The URL of the page where the cancellation of the subscription is confirmed.','','7.32'),(2189,'/admin/config?render=overlay','default','Manage URL','','7.32'),(2190,'/admin/config?render=overlay','default','The URL of the page where the subscribers can manage their newsletter subscriptions.','','7.32'),(2191,'/admin/config?render=overlay','default','Combined confirmation URL','','7.32'),(2192,'/admin/config?render=overlay','default','The URL of the page where subscribers can confirm their subscription changes.','','7.32'),(2193,'/admin/config?render=overlay','default','Subscriber email','','7.32'),(2194,'/admin/config?render=overlay','default','The email address of the newsletter receiver.','','7.32'),(2195,'/admin/config?render=overlay','default','Corresponding user','','7.32'),(2196,'/admin/config?render=overlay','default','The user object that corresponds to this subscriber. This is not set for anonymous subscribers.','','7.32'),(2197,'/admin/config?render=overlay','default','Newsletter category','','7.32'),(2198,'/admin/config?render=overlay','default','The name of the newsletter category.','','7.32'),(2199,'/admin/config?render=overlay','default','Newsletter category URL','','7.32'),(2200,'/admin/config?render=overlay','default','The URL of the page listing the issues of this newsletter category.','','7.32'),(2201,'/admin/config?render=overlay','default','Corresponding term','','7.32'),(2202,'/admin/config?render=overlay','default','The taxonomy term of this newsletter category','','7.32'),(2203,'','default','Tokens for site-wide settings and other global information.','','7.32'),(2204,'','default','Dates','','7.32'),(2205,'','default','Tokens related to times and dates.','','7.32'),(2206,'','default','Tokens related to uploaded files.','','7.32'),(2207,'','default','URL (brief)','','7.32'),(2208,'','default','The URL of the site\'s front page without the protocol.','','7.32'),(2209,'','default','Short format','','7.32'),(2210,'','default','A date in \'short\' format. (%date)','','7.32'),(2211,'','default','Medium format','','7.32'),(2212,'','default','Mon','','7.32'),(2213,'','default','A date in \'medium\' format. (%date)','','7.32'),(2214,'','default','Long format','','7.32'),(2215,'','default','Monday','','7.34'),(2216,'','default','January','Long month name','7.32'),(2217,'','default','A date in \'long\' format. (%date)','','7.32'),(2218,'','default','Custom format','','7.32'),(2219,'','default','the PHP documentation','','7.32'),(2220,'','default','A date in a custom format. See !php-date for details.','','7.32'),(2221,'','default','Time-since','','7.32'),(2222,'','default','@count years','','7.32'),(2223,'','default','A date in \'time-since\' format. (%date)','','7.32'),(2224,'','default','Raw timestamp','','7.32'),(2225,'','default','A date in UNIX timestamp format (%date)','','7.32'),(2226,'','default','The location of the file relative to Drupal root.','','7.32'),(2227,'','default','Tokens related to taxonomy terms.','','7.32'),(2228,'','default','Vocabularies','','7.32'),(2229,'','default','Tokens related to taxonomy vocabularies.','','7.32'),(2230,'','default','The number of nodes tagged with terms belonging to the taxonomy vocabulary.','','7.32'),(2231,'','default','The parent term of the taxonomy term, if one exists.','','7.32'),(2232,'','default','Tokens related to individual user accounts.','','7.32'),(2233,'','default','Current user','','7.32'),(2234,'','default','Tokens related to the currently logged in user.','','7.32'),(2235,'','default','The URL of the account edit page.','','7.32'),(2236,'/admin/config?render=overlay','default','Joined path','','7.32'),(2237,'/admin/config?render=overlay','default','The array values each cleaned by Pathauto and then joined with the slash into a string that resembles an URL.','','7.32'),(2238,'/admin/config?render=overlay','default','Tokens related to views.','','7.32'),(2239,'/admin/config?render=overlay','default','The human-readable name of the view.','','7.32'),(2240,'/admin/config?render=overlay','default','The description of the view.','','7.32'),(2241,'/admin/config?render=overlay','default','The machine-readable name of the view.','','7.32'),(2242,'/admin/config?render=overlay','default','The title of current display of the view.','','7.32'),(2243,'/admin/config?render=overlay','default','The URL of the view.','','7.32'),(2244,'/admin/config?render=overlay','default','Tokens related to the current date and time.','','7.32'),(2245,'/admin/config?render=overlay','default','Original @entity','','7.32'),(2246,'/admin/config?render=overlay','default','The original @entity data if the @entity is being updated or saved.','','7.32'),(2247,'/admin/config?render=overlay','default','The following tokens or token types are not defined as arrays:','','7.32'),(2248,'/admin/config?render=overlay','default','The following tokens or token types are missing required name and/or description information:','','7.32'),(2249,'/admin/config?render=overlay','default','The following token types do not have any tokens defined:','','7.32'),(2250,'/admin/config?render=overlay','default','The following token types are not defined but have tokens:','','7.32'),(2251,'/admin/config?render=overlay','default','The following token or token types are defined by multiple modules:','','7.32'),(2252,'/admin/config?render=overlay','default','jQuery Cycle Library','','7.32'),(2253,'','default','Hide descriptions','','7.32'),(2254,'','default','Compress layout by hiding descriptions.','','7.32'),(2255,'','default','Edit language','','7.32'),(2256,'','default','Language code','','7.32'),(2257,'','default','Language name in English','','7.32'),(2258,'','default','Name of the language in English. Will be available for translation in all languages.','','7.32'),(2259,'','default','Native language name','','7.32'),(2260,'','default','Name of the language in the language being added.','','7.32'),(2261,'','default','Path prefix language code','','7.32'),(2262,'','default','Language code or other custom text to use as a path prefix for URL language detection, if your <em>Detection and selection</em> settings use URL path prefixes. For the default language, this value may be left blank. <strong>Modifying this value may break existing URLs. Use with caution in a production environment.</strong> Example: Specifying \"deutsch\" as the path prefix code for German results in URLs like \"example.com/deutsch/contact\".','','7.32'),(2263,'','default','Language domain','','7.32'),(2264,'','default','The domain name to use for this language if URL domains are used for <em>Detection and selection</em>. Leave blank for the default language. <strong>Changing this value may break existing URLs.</strong> Example: Specifying \"de.example.com\" as language domain for German will result in an URL like \"http://de.example.com/contact\".','','7.32'),(2265,'','default','Direction that text in this language is presented.','','7.32'),(2266,'','default','Save language','','7.32'),(2267,'; sites/all/modules/webform/js/webform.js','default','This field is required.','','7.34'),(2268,'/admin/config/regional/settings?render=overlay','default','Africa/Abidjan','','7.32'),(2269,'','default','@zone: @date','','7.32'),(2270,'/admin/config/regional/settings?render=overlay','default','Africa/Accra','','7.32'),(2271,'/admin/config/regional/settings?render=overlay','default','Africa/Addis Ababa','','7.32'),(2272,'/admin/config/regional/settings?render=overlay','default','Africa/Algiers','','7.32'),(2273,'/admin/config/regional/settings?render=overlay','default','Africa/Asmara','','7.32'),(2274,'/admin/config/regional/settings?render=overlay','default','Africa/Bamako','','7.32'),(2275,'/admin/config/regional/settings?render=overlay','default','Africa/Bangui','','7.32'),(2276,'/admin/config/regional/settings?render=overlay','default','Africa/Banjul','','7.32'),(2277,'/admin/config/regional/settings?render=overlay','default','Africa/Bissau','','7.32'),(2278,'/admin/config/regional/settings?render=overlay','default','Africa/Blantyre','','7.32'),(2279,'/admin/config/regional/settings?render=overlay','default','Africa/Brazzaville','','7.32'),(2280,'/admin/config/regional/settings?render=overlay','default','Africa/Bujumbura','','7.32'),(2281,'/admin/config/regional/settings?render=overlay','default','Africa/Cairo','','7.32'),(2282,'/admin/config/regional/settings?render=overlay','default','Africa/Casablanca','','7.32'),(2283,'/admin/config/regional/settings?render=overlay','default','Africa/Ceuta','','7.32'),(2284,'/admin/config/regional/settings?render=overlay','default','Africa/Conakry','','7.32'),(2285,'/admin/config/regional/settings?render=overlay','default','Africa/Dakar','','7.32'),(2286,'/admin/config/regional/settings?render=overlay','default','Africa/Dar es Salaam','','7.32'),(2287,'/admin/config/regional/settings?render=overlay','default','Africa/Djibouti','','7.32'),(2288,'/admin/config/regional/settings?render=overlay','default','Africa/Douala','','7.32'),(2289,'/admin/config/regional/settings?render=overlay','default','Africa/El Aaiun','','7.32'),(2290,'/admin/config/regional/settings?render=overlay','default','Africa/Freetown','','7.32'),(2291,'/admin/config/regional/settings?render=overlay','default','Africa/Gaborone','','7.32'),(2292,'/admin/config/regional/settings?render=overlay','default','Africa/Harare','','7.32'),(2293,'/admin/config/regional/settings?render=overlay','default','Africa/Johannesburg','','7.32'),(2294,'/admin/config/regional/settings?render=overlay','default','Africa/Juba','','7.32'),(2295,'/admin/config/regional/settings?render=overlay','default','Africa/Kampala','','7.32'),(2296,'/admin/config/regional/settings?render=overlay','default','Africa/Khartoum','','7.32'),(2297,'/admin/config/regional/settings?render=overlay','default','Africa/Kigali','','7.32'),(2298,'/admin/config/regional/settings?render=overlay','default','Africa/Kinshasa','','7.32'),(2299,'/admin/config/regional/settings?render=overlay','default','Africa/Lagos','','7.32'),(2300,'/admin/config/regional/settings?render=overlay','default','Africa/Libreville','','7.32'),(2301,'/admin/config/regional/settings?render=overlay','default','Africa/Lome','','7.32'),(2302,'/admin/config/regional/settings?render=overlay','default','Africa/Luanda','','7.32'),(2303,'/admin/config/regional/settings?render=overlay','default','Africa/Lubumbashi','','7.32'),(2304,'/admin/config/regional/settings?render=overlay','default','Africa/Lusaka','','7.32'),(2305,'/admin/config/regional/settings?render=overlay','default','Africa/Malabo','','7.32'),(2306,'/admin/config/regional/settings?render=overlay','default','Africa/Maputo','','7.32'),(2307,'/admin/config/regional/settings?render=overlay','default','Africa/Maseru','','7.32'),(2308,'/admin/config/regional/settings?render=overlay','default','Africa/Mbabane','','7.32'),(2309,'/admin/config/regional/settings?render=overlay','default','Africa/Mogadishu','','7.32'),(2310,'/admin/config/regional/settings?render=overlay','default','Africa/Monrovia','','7.32'),(2311,'/admin/config/regional/settings?render=overlay','default','Africa/Nairobi','','7.32'),(2312,'/admin/config/regional/settings?render=overlay','default','Africa/Ndjamena','','7.32'),(2313,'/admin/config/regional/settings?render=overlay','default','Africa/Niamey','','7.32'),(2314,'/admin/config/regional/settings?render=overlay','default','Africa/Nouakchott','','7.32'),(2315,'/admin/config/regional/settings?render=overlay','default','Africa/Ouagadougou','','7.32'),(2316,'/admin/config/regional/settings?render=overlay','default','Africa/Porto-Novo','','7.32'),(2317,'/admin/config/regional/settings?render=overlay','default','Africa/Sao Tome','','7.32'),(2318,'/admin/config/regional/settings?render=overlay','default','Africa/Tripoli','','7.32'),(2319,'/admin/config/regional/settings?render=overlay','default','Africa/Tunis','','7.32'),(2320,'/admin/config/regional/settings?render=overlay','default','Africa/Windhoek','','7.32'),(2321,'/admin/config/regional/settings?render=overlay','default','America/Adak','','7.32'),(2322,'','default','Sunday','','7.34'),(2323,'/admin/config/regional/settings?render=overlay','default','America/Anchorage','','7.32'),(2324,'/admin/config/regional/settings?render=overlay','default','America/Anguilla','','7.32'),(2325,'/admin/config/regional/settings?render=overlay','default','America/Antigua','','7.32'),(2326,'/admin/config/regional/settings?render=overlay','default','America/Araguaina','','7.32'),(2327,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Buenos Aires','','7.32'),(2328,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Catamarca','','7.32'),(2329,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Cordoba','','7.32'),(2330,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Jujuy','','7.32'),(2331,'/admin/config/regional/settings?render=overlay','default','America/Argentina/La Rioja','','7.32'),(2332,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Mendoza','','7.32'),(2333,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Rio Gallegos','','7.32'),(2334,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Salta','','7.32'),(2335,'/admin/config/regional/settings?render=overlay','default','America/Argentina/San Juan','','7.32'),(2336,'/admin/config/regional/settings?render=overlay','default','America/Argentina/San Luis','','7.32'),(2337,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Tucuman','','7.32'),(2338,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Ushuaia','','7.32'),(2339,'/admin/config/regional/settings?render=overlay','default','America/Aruba','','7.32'),(2340,'/admin/config/regional/settings?render=overlay','default','America/Asuncion','','7.32'),(2341,'/admin/config/regional/settings?render=overlay','default','America/Atikokan','','7.32'),(2342,'/admin/config/regional/settings?render=overlay','default','America/Bahia','','7.32'),(2343,'/admin/config/regional/settings?render=overlay','default','America/Bahia Banderas','','7.32'),(2344,'/admin/config/regional/settings?render=overlay','default','America/Barbados','','7.32'),(2345,'/admin/config/regional/settings?render=overlay','default','America/Belem','','7.32'),(2346,'/admin/config/regional/settings?render=overlay','default','America/Belize','','7.32'),(2347,'/admin/config/regional/settings?render=overlay','default','America/Blanc-Sablon','','7.32'),(2348,'/admin/config/regional/settings?render=overlay','default','America/Boa Vista','','7.32'),(2349,'/admin/config/regional/settings?render=overlay','default','America/Bogota','','7.32'),(2350,'/admin/config/regional/settings?render=overlay','default','America/Boise','','7.32'),(2351,'/admin/config/regional/settings?render=overlay','default','America/Cambridge Bay','','7.32'),(2352,'/admin/config/regional/settings?render=overlay','default','America/Campo Grande','','7.32'),(2353,'/admin/config/regional/settings?render=overlay','default','America/Cancun','','7.32'),(2354,'/admin/config/regional/settings?render=overlay','default','America/Caracas','','7.32'),(2355,'/admin/config/regional/settings?render=overlay','default','America/Cayenne','','7.32'),(2356,'/admin/config/regional/settings?render=overlay','default','America/Cayman','','7.32'),(2357,'/admin/config/regional/settings?render=overlay','default','America/Chicago','','7.32'),(2358,'/admin/config/regional/settings?render=overlay','default','America/Chihuahua','','7.32'),(2359,'/admin/config/regional/settings?render=overlay','default','America/Costa Rica','','7.32'),(2360,'/admin/config/regional/settings?render=overlay','default','America/Creston','','7.32'),(2361,'/admin/config/regional/settings?render=overlay','default','America/Cuiaba','','7.32'),(2362,'/admin/config/regional/settings?render=overlay','default','America/Curacao','','7.32'),(2363,'/admin/config/regional/settings?render=overlay','default','America/Danmarkshavn','','7.32'),(2364,'/admin/config/regional/settings?render=overlay','default','America/Dawson','','7.32'),(2365,'/admin/config/regional/settings?render=overlay','default','America/Dawson Creek','','7.32'),(2366,'/admin/config/regional/settings?render=overlay','default','America/Denver','','7.32'),(2367,'/admin/config/regional/settings?render=overlay','default','America/Detroit','','7.32'),(2368,'/admin/config/regional/settings?render=overlay','default','America/Dominica','','7.32'),(2369,'/admin/config/regional/settings?render=overlay','default','America/Edmonton','','7.32'),(2370,'/admin/config/regional/settings?render=overlay','default','America/Eirunepe','','7.32'),(2371,'/admin/config/regional/settings?render=overlay','default','America/El Salvador','','7.32'),(2372,'/admin/config/regional/settings?render=overlay','default','America/Fortaleza','','7.32'),(2373,'/admin/config/regional/settings?render=overlay','default','America/Glace Bay','','7.32'),(2374,'/admin/config/regional/settings?render=overlay','default','America/Godthab','','7.32'),(2375,'/admin/config/regional/settings?render=overlay','default','America/Goose Bay','','7.32'),(2376,'/admin/config/regional/settings?render=overlay','default','America/Grand Turk','','7.32'),(2377,'/admin/config/regional/settings?render=overlay','default','America/Grenada','','7.32'),(2378,'/admin/config/regional/settings?render=overlay','default','America/Guadeloupe','','7.32'),(2379,'/admin/config/regional/settings?render=overlay','default','America/Guatemala','','7.32'),(2380,'/admin/config/regional/settings?render=overlay','default','America/Guayaquil','','7.32'),(2381,'/admin/config/regional/settings?render=overlay','default','America/Guyana','','7.32'),(2382,'/admin/config/regional/settings?render=overlay','default','America/Halifax','','7.32'),(2383,'/admin/config/regional/settings?render=overlay','default','America/Havana','','7.32'),(2384,'/admin/config/regional/settings?render=overlay','default','America/Hermosillo','','7.32'),(2385,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Indianapolis','','7.32'),(2386,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Knox','','7.32'),(2387,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Marengo','','7.32'),(2388,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Petersburg','','7.32'),(2389,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Tell City','','7.32'),(2390,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Vevay','','7.32'),(2391,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Vincennes','','7.32'),(2392,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Winamac','','7.32'),(2393,'/admin/config/regional/settings?render=overlay','default','America/Inuvik','','7.32'),(2394,'/admin/config/regional/settings?render=overlay','default','America/Iqaluit','','7.32'),(2395,'/admin/config/regional/settings?render=overlay','default','America/Jamaica','','7.32'),(2396,'/admin/config/regional/settings?render=overlay','default','America/Juneau','','7.32'),(2397,'/admin/config/regional/settings?render=overlay','default','America/Kentucky/Louisville','','7.32'),(2398,'/admin/config/regional/settings?render=overlay','default','America/Kentucky/Monticello','','7.32'),(2399,'/admin/config/regional/settings?render=overlay','default','America/Kralendijk','','7.32'),(2400,'/admin/config/regional/settings?render=overlay','default','America/La Paz','','7.32'),(2401,'/admin/config/regional/settings?render=overlay','default','America/Lima','','7.32'),(2402,'/admin/config/regional/settings?render=overlay','default','America/Los Angeles','','7.32'),(2403,'/admin/config/regional/settings?render=overlay','default','America/Lower Princes','','7.32'),(2404,'/admin/config/regional/settings?render=overlay','default','America/Maceio','','7.32'),(2405,'/admin/config/regional/settings?render=overlay','default','America/Managua','','7.32'),(2406,'/admin/config/regional/settings?render=overlay','default','America/Manaus','','7.32'),(2407,'/admin/config/regional/settings?render=overlay','default','America/Marigot','','7.32'),(2408,'/admin/config/regional/settings?render=overlay','default','America/Martinique','','7.32'),(2409,'/admin/config/regional/settings?render=overlay','default','America/Matamoros','','7.32'),(2410,'/admin/config/regional/settings?render=overlay','default','America/Mazatlan','','7.32'),(2411,'/admin/config/regional/settings?render=overlay','default','America/Menominee','','7.32'),(2412,'/admin/config/regional/settings?render=overlay','default','America/Merida','','7.32'),(2413,'/admin/config/regional/settings?render=overlay','default','America/Metlakatla','','7.32'),(2414,'/admin/config/regional/settings?render=overlay','default','America/Mexico City','','7.32'),(2415,'/admin/config/regional/settings?render=overlay','default','America/Miquelon','','7.32'),(2416,'/admin/config/regional/settings?render=overlay','default','America/Moncton','','7.32'),(2417,'/admin/config/regional/settings?render=overlay','default','America/Monterrey','','7.32'),(2418,'/admin/config/regional/settings?render=overlay','default','America/Montevideo','','7.32'),(2419,'/admin/config/regional/settings?render=overlay','default','America/Montserrat','','7.32'),(2420,'/admin/config/regional/settings?render=overlay','default','America/Nassau','','7.32'),(2421,'/admin/config/regional/settings?render=overlay','default','America/New York','','7.32'),(2422,'/admin/config/regional/settings?render=overlay','default','America/Nipigon','','7.32'),(2423,'/admin/config/regional/settings?render=overlay','default','America/Nome','','7.32'),(2424,'/admin/config/regional/settings?render=overlay','default','America/Noronha','','7.32'),(2425,'/admin/config/regional/settings?render=overlay','default','America/North Dakota/Beulah','','7.32'),(2426,'/admin/config/regional/settings?render=overlay','default','America/North Dakota/Center','','7.32'),(2427,'/admin/config/regional/settings?render=overlay','default','America/North Dakota/New Salem','','7.32'),(2428,'/admin/config/regional/settings?render=overlay','default','America/Ojinaga','','7.32'),(2429,'/admin/config/regional/settings?render=overlay','default','America/Panama','','7.32'),(2430,'/admin/config/regional/settings?render=overlay','default','America/Pangnirtung','','7.32'),(2431,'/admin/config/regional/settings?render=overlay','default','America/Paramaribo','','7.32'),(2432,'/admin/config/regional/settings?render=overlay','default','America/Phoenix','','7.32'),(2433,'/admin/config/regional/settings?render=overlay','default','America/Port-au-Prince','','7.32'),(2434,'/admin/config/regional/settings?render=overlay','default','America/Port of Spain','','7.32'),(2435,'/admin/config/regional/settings?render=overlay','default','America/Porto Velho','','7.32'),(2436,'/admin/config/regional/settings?render=overlay','default','America/Puerto Rico','','7.32'),(2437,'/admin/config/regional/settings?render=overlay','default','America/Rainy River','','7.32'),(2438,'/admin/config/regional/settings?render=overlay','default','America/Rankin Inlet','','7.32'),(2439,'/admin/config/regional/settings?render=overlay','default','America/Recife','','7.32'),(2440,'/admin/config/regional/settings?render=overlay','default','America/Regina','','7.32'),(2441,'/admin/config/regional/settings?render=overlay','default','America/Resolute','','7.32'),(2442,'/admin/config/regional/settings?render=overlay','default','America/Rio Branco','','7.32'),(2443,'/admin/config/regional/settings?render=overlay','default','America/Santa Isabel','','7.32'),(2444,'/admin/config/regional/settings?render=overlay','default','America/Santarem','','7.32'),(2445,'/admin/config/regional/settings?render=overlay','default','America/Santiago','','7.32'),(2446,'/admin/config/regional/settings?render=overlay','default','America/Santo Domingo','','7.32'),(2447,'/admin/config/regional/settings?render=overlay','default','America/Sao Paulo','','7.32'),(2448,'/admin/config/regional/settings?render=overlay','default','America/Scoresbysund','','7.32'),(2449,'/admin/config/regional/settings?render=overlay','default','America/Sitka','','7.32'),(2450,'/admin/config/regional/settings?render=overlay','default','America/St Barthelemy','','7.32'),(2451,'/admin/config/regional/settings?render=overlay','default','America/St Johns','','7.32'),(2452,'/admin/config/regional/settings?render=overlay','default','America/St Kitts','','7.32'),(2453,'/admin/config/regional/settings?render=overlay','default','America/St Lucia','','7.32'),(2454,'/admin/config/regional/settings?render=overlay','default','America/St Thomas','','7.32'),(2455,'/admin/config/regional/settings?render=overlay','default','America/St Vincent','','7.32'),(2456,'/admin/config/regional/settings?render=overlay','default','America/Swift Current','','7.32'),(2457,'/admin/config/regional/settings?render=overlay','default','America/Tegucigalpa','','7.32'),(2458,'/admin/config/regional/settings?render=overlay','default','America/Thule','','7.32'),(2459,'/admin/config/regional/settings?render=overlay','default','America/Thunder Bay','','7.32'),(2460,'/admin/config/regional/settings?render=overlay','default','America/Tijuana','','7.32'),(2461,'/admin/config/regional/settings?render=overlay','default','America/Toronto','','7.32'),(2462,'/admin/config/regional/settings?render=overlay','default','America/Tortola','','7.32'),(2463,'/admin/config/regional/settings?render=overlay','default','America/Vancouver','','7.32'),(2464,'/admin/config/regional/settings?render=overlay','default','America/Whitehorse','','7.32'),(2465,'/admin/config/regional/settings?render=overlay','default','America/Winnipeg','','7.32'),(2466,'/admin/config/regional/settings?render=overlay','default','America/Yakutat','','7.32'),(2467,'/admin/config/regional/settings?render=overlay','default','America/Yellowknife','','7.32'),(2468,'/admin/config/regional/settings?render=overlay','default','Antarctica/Casey','','7.32'),(2469,'/admin/config/regional/settings?render=overlay','default','Antarctica/Davis','','7.32'),(2470,'/admin/config/regional/settings?render=overlay','default','Antarctica/DumontDUrville','','7.32'),(2471,'/admin/config/regional/settings?render=overlay','default','Antarctica/Macquarie','','7.32'),(2472,'/admin/config/regional/settings?render=overlay','default','Antarctica/Mawson','','7.32'),(2473,'/admin/config/regional/settings?render=overlay','default','Antarctica/McMurdo','','7.32'),(2474,'/admin/config/regional/settings?render=overlay','default','Antarctica/Palmer','','7.32'),(2475,'/admin/config/regional/settings?render=overlay','default','Antarctica/Rothera','','7.32'),(2476,'/admin/config/regional/settings?render=overlay','default','Antarctica/Syowa','','7.32'),(2477,'/admin/config/regional/settings?render=overlay','default','Antarctica/Troll','','7.32'),(2478,'/admin/config/regional/settings?render=overlay','default','Antarctica/Vostok','','7.32'),(2479,'/admin/config/regional/settings?render=overlay','default','Arctic/Longyearbyen','','7.32'),(2480,'/admin/config/regional/settings?render=overlay','default','Asia/Aden','','7.32'),(2481,'/admin/config/regional/settings?render=overlay','default','Asia/Almaty','','7.32'),(2482,'/admin/config/regional/settings?render=overlay','default','Asia/Amman','','7.32'),(2483,'/admin/config/regional/settings?render=overlay','default','Asia/Anadyr','','7.32'),(2484,'/admin/config/regional/settings?render=overlay','default','Asia/Aqtau','','7.32'),(2485,'/admin/config/regional/settings?render=overlay','default','Asia/Aqtobe','','7.32'),(2486,'/admin/config/regional/settings?render=overlay','default','Asia/Ashgabat','','7.32'),(2487,'/admin/config/regional/settings?render=overlay','default','Asia/Baghdad','','7.32'),(2488,'/admin/config/regional/settings?render=overlay','default','Asia/Bahrain','','7.32'),(2489,'/admin/config/regional/settings?render=overlay','default','Asia/Baku','','7.32'),(2490,'/admin/config/regional/settings?render=overlay','default','Asia/Bangkok','','7.32'),(2491,'/admin/config/regional/settings?render=overlay','default','Asia/Beirut','','7.32'),(2492,'/admin/config/regional/settings?render=overlay','default','Asia/Bishkek','','7.32'),(2493,'/admin/config/regional/settings?render=overlay','default','Asia/Brunei','','7.32'),(2494,'/admin/config/regional/settings?render=overlay','default','Asia/Choibalsan','','7.32'),(2495,'/admin/config/regional/settings?render=overlay','default','Asia/Chongqing','','7.32'),(2496,'/admin/config/regional/settings?render=overlay','default','Asia/Colombo','','7.32'),(2497,'/admin/config/regional/settings?render=overlay','default','Asia/Damascus','','7.32'),(2498,'/admin/config/regional/settings?render=overlay','default','Asia/Dhaka','','7.32'),(2499,'/admin/config/regional/settings?render=overlay','default','Asia/Dili','','7.32'),(2500,'/admin/config/regional/settings?render=overlay','default','Asia/Dubai','','7.32'),(2501,'/admin/config/regional/settings?render=overlay','default','Asia/Dushanbe','','7.32'),(2502,'/admin/config/regional/settings?render=overlay','default','Asia/Gaza','','7.32'),(2503,'/admin/config/regional/settings?render=overlay','default','Asia/Harbin','','7.32'),(2504,'/admin/config/regional/settings?render=overlay','default','Asia/Hebron','','7.32'),(2505,'/admin/config/regional/settings?render=overlay','default','Asia/Ho Chi Minh','','7.32'),(2506,'/admin/config/regional/settings?render=overlay','default','Asia/Hong Kong','','7.32'),(2507,'/admin/config/regional/settings?render=overlay','default','Asia/Hovd','','7.32'),(2508,'/admin/config/regional/settings?render=overlay','default','Asia/Irkutsk','','7.32'),(2509,'/admin/config/regional/settings?render=overlay','default','Asia/Jakarta','','7.32'),(2510,'/admin/config/regional/settings?render=overlay','default','Asia/Jayapura','','7.32'),(2511,'/admin/config/regional/settings?render=overlay','default','Asia/Jerusalem','','7.32'),(2512,'/admin/config/regional/settings?render=overlay','default','Asia/Kabul','','7.32'),(2513,'/admin/config/regional/settings?render=overlay','default','Asia/Kamchatka','','7.32'),(2514,'/admin/config/regional/settings?render=overlay','default','Asia/Karachi','','7.32'),(2515,'/admin/config/regional/settings?render=overlay','default','Asia/Kashgar','','7.32'),(2516,'/admin/config/regional/settings?render=overlay','default','Asia/Kathmandu','','7.32'),(2517,'/admin/config/regional/settings?render=overlay','default','Asia/Khandyga','','7.32'),(2518,'/admin/config/regional/settings?render=overlay','default','Asia/Kolkata','','7.32'),(2519,'/admin/config/regional/settings?render=overlay','default','Asia/Krasnoyarsk','','7.32'),(2520,'/admin/config/regional/settings?render=overlay','default','Asia/Kuala Lumpur','','7.32'),(2521,'/admin/config/regional/settings?render=overlay','default','Asia/Kuching','','7.32'),(2522,'/admin/config/regional/settings?render=overlay','default','Asia/Kuwait','','7.32'),(2523,'/admin/config/regional/settings?render=overlay','default','Asia/Macau','','7.32'),(2524,'/admin/config/regional/settings?render=overlay','default','Asia/Magadan','','7.32'),(2525,'/admin/config/regional/settings?render=overlay','default','Asia/Makassar','','7.32'),(2526,'/admin/config/regional/settings?render=overlay','default','Asia/Manila','','7.32'),(2527,'/admin/config/regional/settings?render=overlay','default','Asia/Muscat','','7.32'),(2528,'/admin/config/regional/settings?render=overlay','default','Asia/Nicosia','','7.32'),(2529,'/admin/config/regional/settings?render=overlay','default','Asia/Novokuznetsk','','7.32'),(2530,'/admin/config/regional/settings?render=overlay','default','Asia/Novosibirsk','','7.32'),(2531,'/admin/config/regional/settings?render=overlay','default','Asia/Omsk','','7.32'),(2532,'/admin/config/regional/settings?render=overlay','default','Asia/Oral','','7.32'),(2533,'/admin/config/regional/settings?render=overlay','default','Asia/Phnom Penh','','7.32'),(2534,'/admin/config/regional/settings?render=overlay','default','Asia/Pontianak','','7.32'),(2535,'/admin/config/regional/settings?render=overlay','default','Asia/Pyongyang','','7.32'),(2536,'/admin/config/regional/settings?render=overlay','default','Asia/Qatar','','7.32'),(2537,'/admin/config/regional/settings?render=overlay','default','Asia/Qyzylorda','','7.32'),(2538,'/admin/config/regional/settings?render=overlay','default','Asia/Rangoon','','7.32'),(2539,'/admin/config/regional/settings?render=overlay','default','Asia/Riyadh','','7.32'),(2540,'/admin/config/regional/settings?render=overlay','default','Asia/Sakhalin','','7.32'),(2541,'/admin/config/regional/settings?render=overlay','default','Asia/Samarkand','','7.32'),(2542,'/admin/config/regional/settings?render=overlay','default','Asia/Seoul','','7.32'),(2543,'/admin/config/regional/settings?render=overlay','default','Asia/Shanghai','','7.32'),(2544,'/admin/config/regional/settings?render=overlay','default','Asia/Singapore','','7.32'),(2545,'/admin/config/regional/settings?render=overlay','default','Asia/Taipei','','7.32'),(2546,'/admin/config/regional/settings?render=overlay','default','Asia/Tashkent','','7.32'),(2547,'/admin/config/regional/settings?render=overlay','default','Asia/Tbilisi','','7.32'),(2548,'/admin/config/regional/settings?render=overlay','default','Asia/Tehran','','7.32'),(2549,'/admin/config/regional/settings?render=overlay','default','Asia/Thimphu','','7.32'),(2550,'/admin/config/regional/settings?render=overlay','default','Asia/Tokyo','','7.32'),(2551,'/admin/config/regional/settings?render=overlay','default','Asia/Ulaanbaatar','','7.32'),(2552,'/admin/config/regional/settings?render=overlay','default','Asia/Urumqi','','7.32'),(2553,'/admin/config/regional/settings?render=overlay','default','Asia/Ust-Nera','','7.32'),(2554,'/admin/config/regional/settings?render=overlay','default','Asia/Vientiane','','7.32'),(2555,'/admin/config/regional/settings?render=overlay','default','Asia/Vladivostok','','7.32'),(2556,'/admin/config/regional/settings?render=overlay','default','Asia/Yakutsk','','7.32'),(2557,'/admin/config/regional/settings?render=overlay','default','Asia/Yekaterinburg','','7.32'),(2558,'/admin/config/regional/settings?render=overlay','default','Asia/Yerevan','','7.32'),(2559,'/admin/config/regional/settings?render=overlay','default','Atlantic/Azores','','7.32'),(2560,'/admin/config/regional/settings?render=overlay','default','Atlantic/Bermuda','','7.32'),(2561,'/admin/config/regional/settings?render=overlay','default','Atlantic/Canary','','7.32'),(2562,'/admin/config/regional/settings?render=overlay','default','Atlantic/Cape Verde','','7.32'),(2563,'/admin/config/regional/settings?render=overlay','default','Atlantic/Faroe','','7.32'),(2564,'/admin/config/regional/settings?render=overlay','default','Atlantic/Madeira','','7.32'),(2565,'/admin/config/regional/settings?render=overlay','default','Atlantic/Reykjavik','','7.32'),(2566,'/admin/config/regional/settings?render=overlay','default','Atlantic/South Georgia','','7.32'),(2567,'/admin/config/regional/settings?render=overlay','default','Atlantic/St Helena','','7.32'),(2568,'/admin/config/regional/settings?render=overlay','default','Atlantic/Stanley','','7.32'),(2569,'/admin/config/regional/settings?render=overlay','default','Australia/Adelaide','','7.32'),(2570,'/admin/config/regional/settings?render=overlay','default','Australia/Brisbane','','7.32'),(2571,'/admin/config/regional/settings?render=overlay','default','Australia/Broken Hill','','7.32'),(2572,'/admin/config/regional/settings?render=overlay','default','Australia/Currie','','7.32'),(2573,'/admin/config/regional/settings?render=overlay','default','Australia/Darwin','','7.32'),(2574,'/admin/config/regional/settings?render=overlay','default','Australia/Eucla','','7.32'),(2575,'/admin/config/regional/settings?render=overlay','default','Australia/Hobart','','7.32'),(2576,'/admin/config/regional/settings?render=overlay','default','Australia/Lindeman','','7.32'),(2577,'/admin/config/regional/settings?render=overlay','default','Australia/Lord Howe','','7.32'),(2578,'/admin/config/regional/settings?render=overlay','default','Australia/Melbourne','','7.32'),(2579,'/admin/config/regional/settings?render=overlay','default','Australia/Perth','','7.32'),(2580,'/admin/config/regional/settings?render=overlay','default','Australia/Sydney','','7.32'),(2581,'/admin/config/regional/settings?render=overlay','default','Europe/Amsterdam','','7.32'),(2582,'/admin/config/regional/settings?render=overlay','default','Europe/Andorra','','7.32'),(2583,'/admin/config/regional/settings?render=overlay','default','Europe/Athens','','7.32'),(2584,'/admin/config/regional/settings?render=overlay','default','Europe/Belgrade','','7.32'),(2585,'/admin/config/regional/settings?render=overlay','default','Europe/Berlin','','7.32'),(2586,'/admin/config/regional/settings?render=overlay','default','Europe/Bratislava','','7.32'),(2587,'/admin/config/regional/settings?render=overlay','default','Europe/Brussels','','7.32'),(2588,'/admin/config/regional/settings?render=overlay','default','Europe/Bucharest','','7.32'),(2589,'/admin/config/regional/settings?render=overlay','default','Europe/Budapest','','7.32'),(2590,'/admin/config/regional/settings?render=overlay','default','Europe/Busingen','','7.32'),(2591,'/admin/config/regional/settings?render=overlay','default','Europe/Chisinau','','7.32'),(2592,'/admin/config/regional/settings?render=overlay','default','Europe/Copenhagen','','7.32'),(2593,'/admin/config/regional/settings?render=overlay','default','Europe/Dublin','','7.32'),(2594,'/admin/config/regional/settings?render=overlay','default','Europe/Gibraltar','','7.32'),(2595,'/admin/config/regional/settings?render=overlay','default','Europe/Guernsey','','7.32'),(2596,'/admin/config/regional/settings?render=overlay','default','Europe/Helsinki','','7.32'),(2597,'/admin/config/regional/settings?render=overlay','default','Europe/Isle of Man','','7.32'),(2598,'/admin/config/regional/settings?render=overlay','default','Europe/Istanbul','','7.32'),(2599,'/admin/config/regional/settings?render=overlay','default','Europe/Jersey','','7.32'),(2600,'/admin/config/regional/settings?render=overlay','default','Europe/Kaliningrad','','7.32'),(2601,'/admin/config/regional/settings?render=overlay','default','Europe/Kiev','','7.32'),(2602,'/admin/config/regional/settings?render=overlay','default','Europe/Lisbon','','7.32'),(2603,'/admin/config/regional/settings?render=overlay','default','Europe/Ljubljana','','7.32'),(2604,'/admin/config/regional/settings?render=overlay','default','Europe/London','','7.32'),(2605,'/admin/config/regional/settings?render=overlay','default','Europe/Luxembourg','','7.32'),(2606,'/admin/config/regional/settings?render=overlay','default','Europe/Madrid','','7.32'),(2607,'/admin/config/regional/settings?render=overlay','default','Europe/Malta','','7.32'),(2608,'/admin/config/regional/settings?render=overlay','default','Europe/Mariehamn','','7.32'),(2609,'/admin/config/regional/settings?render=overlay','default','Europe/Minsk','','7.32'),(2610,'/admin/config/regional/settings?render=overlay','default','Europe/Monaco','','7.32'),(2611,'/admin/config/regional/settings?render=overlay','default','Europe/Moscow','','7.32'),(2612,'/admin/config/regional/settings?render=overlay','default','Europe/Oslo','','7.32'),(2613,'/admin/config/regional/settings?render=overlay','default','Europe/Paris','','7.32'),(2614,'/admin/config/regional/settings?render=overlay','default','Europe/Podgorica','','7.32'),(2615,'/admin/config/regional/settings?render=overlay','default','Europe/Prague','','7.32'),(2616,'/admin/config/regional/settings?render=overlay','default','Europe/Riga','','7.32'),(2617,'/admin/config/regional/settings?render=overlay','default','Europe/Rome','','7.32'),(2618,'/admin/config/regional/settings?render=overlay','default','Europe/Samara','','7.32'),(2619,'/admin/config/regional/settings?render=overlay','default','Europe/San Marino','','7.32'),(2620,'/admin/config/regional/settings?render=overlay','default','Europe/Sarajevo','','7.32'),(2621,'/admin/config/regional/settings?render=overlay','default','Europe/Simferopol','','7.32'),(2622,'/admin/config/regional/settings?render=overlay','default','Europe/Skopje','','7.32'),(2623,'/admin/config/regional/settings?render=overlay','default','Europe/Sofia','','7.32'),(2624,'/admin/config/regional/settings?render=overlay','default','Europe/Stockholm','','7.32'),(2625,'/admin/config/regional/settings?render=overlay','default','Europe/Tallinn','','7.32'),(2626,'/admin/config/regional/settings?render=overlay','default','Europe/Tirane','','7.32'),(2627,'/admin/config/regional/settings?render=overlay','default','Europe/Uzhgorod','','7.32'),(2628,'/admin/config/regional/settings?render=overlay','default','Europe/Vaduz','','7.32'),(2629,'/admin/config/regional/settings?render=overlay','default','Europe/Vatican','','7.32'),(2630,'/admin/config/regional/settings?render=overlay','default','Europe/Vienna','','7.32'),(2631,'/admin/config/regional/settings?render=overlay','default','Europe/Vilnius','','7.32'),(2632,'/admin/config/regional/settings?render=overlay','default','Europe/Volgograd','','7.32'),(2633,'/admin/config/regional/settings?render=overlay','default','Europe/Warsaw','','7.32'),(2634,'/admin/config/regional/settings?render=overlay','default','Europe/Zagreb','','7.32'),(2635,'/admin/config/regional/settings?render=overlay','default','Europe/Zaporozhye','','7.32'),(2636,'/admin/config/regional/settings?render=overlay','default','Europe/Zurich','','7.32'),(2637,'/admin/config/regional/settings?render=overlay','default','Indian/Antananarivo','','7.32'),(2638,'/admin/config/regional/settings?render=overlay','default','Indian/Chagos','','7.32'),(2639,'/admin/config/regional/settings?render=overlay','default','Indian/Christmas','','7.32'),(2640,'/admin/config/regional/settings?render=overlay','default','Indian/Cocos','','7.32'),(2641,'/admin/config/regional/settings?render=overlay','default','Indian/Comoro','','7.32'),(2642,'/admin/config/regional/settings?render=overlay','default','Indian/Kerguelen','','7.32'),(2643,'/admin/config/regional/settings?render=overlay','default','Indian/Mahe','','7.32'),(2644,'/admin/config/regional/settings?render=overlay','default','Indian/Maldives','','7.32'),(2645,'/admin/config/regional/settings?render=overlay','default','Indian/Mauritius','','7.32'),(2646,'/admin/config/regional/settings?render=overlay','default','Indian/Mayotte','','7.32'),(2647,'/admin/config/regional/settings?render=overlay','default','Indian/Reunion','','7.32'),(2648,'/admin/config/regional/settings?render=overlay','default','Pacific/Apia','','7.32'),(2649,'/admin/config/regional/settings?render=overlay','default','Pacific/Auckland','','7.32'),(2650,'/admin/config/regional/settings?render=overlay','default','Pacific/Chatham','','7.32'),(2651,'/admin/config/regional/settings?render=overlay','default','Pacific/Chuuk','','7.32'),(2652,'/admin/config/regional/settings?render=overlay','default','Pacific/Easter','','7.32'),(2653,'/admin/config/regional/settings?render=overlay','default','Pacific/Efate','','7.32'),(2654,'/admin/config/regional/settings?render=overlay','default','Pacific/Enderbury','','7.32'),(2655,'/admin/config/regional/settings?render=overlay','default','Pacific/Fakaofo','','7.32'),(2656,'/admin/config/regional/settings?render=overlay','default','Pacific/Fiji','','7.32'),(2657,'/admin/config/regional/settings?render=overlay','default','Pacific/Funafuti','','7.32'),(2658,'/admin/config/regional/settings?render=overlay','default','Pacific/Galapagos','','7.32'),(2659,'/admin/config/regional/settings?render=overlay','default','Pacific/Gambier','','7.32'),(2660,'/admin/config/regional/settings?render=overlay','default','Pacific/Guadalcanal','','7.32'),(2661,'/admin/config/regional/settings?render=overlay','default','Pacific/Guam','','7.32'),(2662,'/admin/config/regional/settings?render=overlay','default','Pacific/Honolulu','','7.32'),(2663,'/admin/config/regional/settings?render=overlay','default','Pacific/Johnston','','7.32'),(2664,'/admin/config/regional/settings?render=overlay','default','Pacific/Kiritimati','','7.32'),(2665,'/admin/config/regional/settings?render=overlay','default','Pacific/Kosrae','','7.32'),(2666,'/admin/config/regional/settings?render=overlay','default','Pacific/Kwajalein','','7.32'),(2667,'/admin/config/regional/settings?render=overlay','default','Pacific/Majuro','','7.32'),(2668,'/admin/config/regional/settings?render=overlay','default','Pacific/Marquesas','','7.32'),(2669,'/admin/config/regional/settings?render=overlay','default','Pacific/Midway','','7.32'),(2670,'/admin/config/regional/settings?render=overlay','default','Pacific/Nauru','','7.32'),(2671,'/admin/config/regional/settings?render=overlay','default','Pacific/Niue','','7.32'),(2672,'/admin/config/regional/settings?render=overlay','default','Pacific/Norfolk','','7.32'),(2673,'/admin/config/regional/settings?render=overlay','default','Pacific/Noumea','','7.32'),(2674,'/admin/config/regional/settings?render=overlay','default','Pacific/Pago Pago','','7.32'),(2675,'/admin/config/regional/settings?render=overlay','default','Pacific/Palau','','7.32'),(2676,'/admin/config/regional/settings?render=overlay','default','Pacific/Pitcairn','','7.32'),(2677,'/admin/config/regional/settings?render=overlay','default','Pacific/Pohnpei','','7.32'),(2678,'/admin/config/regional/settings?render=overlay','default','Pacific/Port Moresby','','7.32'),(2679,'/admin/config/regional/settings?render=overlay','default','Pacific/Rarotonga','','7.32'),(2680,'/admin/config/regional/settings?render=overlay','default','Pacific/Saipan','','7.32'),(2681,'/admin/config/regional/settings?render=overlay','default','Pacific/Tahiti','','7.32'),(2682,'/admin/config/regional/settings?render=overlay','default','Pacific/Tarawa','','7.32'),(2683,'/admin/config/regional/settings?render=overlay','default','Pacific/Tongatapu','','7.32'),(2684,'/admin/config/regional/settings?render=overlay','default','Pacific/Wake','','7.32'),(2685,'/admin/config/regional/settings?render=overlay','default','Pacific/Wallis','','7.32'),(2686,'/admin/config/regional/settings?render=overlay','default','UTC','','7.32'),(2687,'','default','Locale','','7.32'),(2688,'','default','Default country','','7.32'),(2689,'','default','First day of week','','7.32'),(2690,'','default','Tuesday','','7.34'),(2691,'','default','Wednesday','','7.34'),(2692,'','default','Thursday','','7.34'),(2693,'','default','Friday','','7.34'),(2694,'','default','Saturday','','7.34'),(2695,'','default','Time zones','','7.32'),(2696,'','default','Default time zone','','7.32'),(2697,'','default','Users may set their own time zone.','','7.32'),(2698,'','default','Remind users at login if their time zone is not set.','','7.32'),(2699,'','default','Only applied if users may set their own time zone.','','7.32'),(2700,'','default','Time zone for new users','','7.32'),(2701,'','default','Default time zone.','','7.32'),(2702,'','default','Empty time zone.','','7.32'),(2703,'','default','Users may set their own time zone at registration.','','7.32'),(2704,'','default','- None -','','7.32'),(2705,'','default','Built-in interface','','7.32'),(2706,'','default','Arabic','','7.34'),(2707,'','default','English (built-in)','','7.32'),(2708,'','default','n/a','','7.32'),(2709,'','default','This page provides an overview of available translatable strings. Drupal displays translatable strings in text groups; modules may define additional text groups containing other translatable strings. Because text groups provide a method of grouping related strings, they are often used to focus translation efforts on specific areas of the Drupal interface.','','7.32'),(2710,'','default','See the <a href=\"@languages\">Languages page</a> for more information on adding support for additional languages.','','7.32'),(2711,'','default','User interface text','','7.34'),(2712,'','default','Order of language detection methods for user interface text. If a translation of user interface text is available in the detected language, it will be displayed.','','7.34'),(2713,'','default','Order of language detection methods for content. If a version of content is available in the detected language, it will be displayed.','','7.34'),(2714,'','default','Determine the language from the URL (Path prefix or domain).','','7.32'),(2715,'','default','Session','','7.32'),(2716,'','default','Determine the language from a request/session parameter.','','7.32'),(2717,'','default','Follow the user\'s language preference.','','7.32'),(2718,'','default','Browser','','7.32'),(2719,'','default','Determine the language from the browser\'s language settings.','','7.32'),(2720,'','default','Interface','','7.32'),(2721,'','default','Use the detected interface language.','','7.32'),(2722,'','default','URL fallback','','7.32'),(2723,'','default','Use an already detected language for URLs if none is found.','','7.32'),(2724,'','default','Use the default site language (@language_name).','','7.32'),(2725,'','default','@type language detection','','7.32'),(2726,'','default','@title language provider','','7.32'),(2727,'','default','Save settings','','7.32'),(2728,'','default','Define how to decide which language is used to display page elements (primarily text provided by Drupal and modules, such as field labels and help text). This decision is made by evaluating a series of detection methods for languages; the first detection method that gets a result will determine which language is used for that type of text. Define the order of evaluation of language detection methods on this page.','','7.32'),(2729,'','default','Detection method','','7.32'),(2730,'','default','Request/session parameter','','7.32'),(2731,'','default','Name of the request/session parameter used to determine the desired language.','','7.32'),(2732,'/admin/config/regional/language/configure/session?render=overlay','default','Determine the language from a request/session parameter. Example: \"http://example.com?language=de\" sets language to German based on the use of \"de\" within the \"language\" parameter.','','7.32'),(2733,'','default','Configuration saved.','','7.32'),(2734,'','default','Reset to defaults','','none'),(2735,'','default','delete','','7.34'),(2736,'','default','Create a new user account.','','none'),(2737,'','default','Request new password via e-mail.','','7.32'),(2738,'','default','Prefix','','none'),(2739,'','default','Suffix','','none'),(2740,'','default','approve','','none'),(2741,'','default','Approve','','none'),(2742,'','default','Username','','7.32'),(2743,'','default','content','','none'),(2744,'','default','Replies','','7.34'),(2745,'','default','Closed','','none'),(2746,'','default','yes','','7.32'),(2747,'','default','closed','','none'),(2748,'','default','disabled','','7.32'),(2749,'','default','Confirm','','none'),(2750,'','default','Cancel','','none'),(2751,'','default','Remove','','none'),(2752,'','default','administrator','','none'),(2753,'','default','RSS feed','','none'),(2754,'','default','Explanation or submission guidelines','','none'),(2755,'','default','More','','none'),(2756,'','default','not verified','','none'),(2757,'','default','Action','','none'),(2758,'','default','Last updated','','none'),(2759,'','default','new','','none'),(2760,'','default','error','','none'),(2761,'','default','Block title','','7.32'),(2762,'','default','The title of the block as shown to the user.','','none'),(2763,'','default','Yes','','none'),(2764,'','default','No','','none'),(2765,'','default','cron','','none'),(2766,'','default','Blue Lagoon (Default)','','none'),(2767,'','default','Ash','','none'),(2768,'','default','Aquamarine','','none'),(2769,'','default','Belgian Chocolate','','none'),(2770,'','default','Bluemarine','','none'),(2771,'','default','Citrus Blast','','none'),(2772,'','default','Cold Day','','none'),(2773,'','default','Greenbeam','','none'),(2774,'','default','Mediterrano','','none'),(2775,'','default','Mercury','','none'),(2776,'','default','Nocturnal','','none'),(2777,'','default','Olivia','','none'),(2778,'','default','Pink Plastic','','none'),(2779,'','default','Shiny Tomato','','none'),(2780,'','default','Teal Top','','none'),(2781,'','default','Homepage','','7.34'),(2782,'','default','Categories','','none'),(2783,'','default','Download','','7.34'),(2784,'','default','updated','','none'),(2785,'','default','File information','','none'),(2786,'','default','Release notes','','none'),(2787,'','default','Date','','7.34'),(2788,'','default','Daily','','none'),(2789,'','default','Weekly','','none'),(2790,'','default','Display settings','','none'),(2791,'','default','This action cannot be undone.','','none'),(2792,'','default','Test','','none'),(2793,'','default','Message','','7.32'),(2794,'','default','No log messages available.','','none'),(2795,'','default','Password','','7.32'),(2796,'','default','The configuration options have been saved.','','none'),(2797,'','default','Center','','none'),(2798,'','default','Help text','','none'),(2799,'','default','Required','','none'),(2800,'','default','root','','none'),(2801,'','default','Pages at a given level are ordered first by weight and then by title.','','none'),(2802,'','default','none','','7.32'),(2803,'','default','Category','','7.32'),(2804,'','default','Add container','','none'),(2805,'','default','edit container','','none'),(2806,'','default','No categories available.','','none'),(2807,'','default','‹ ','','none'),(2808,'','default','up','','none'),(2809,'','default','Go to parent page','','none'),(2810,'','default',' ›','','none'),(2811,'','default','Book','','none'),(2812,'','default','Outline','','none'),(2813,'','default','Preview','','7.34'),(2814,'','default','Save','','7.34'),(2815,'','default','Session opened for %name.','','none'),(2816,'','default','Open','','none'),(2817,'','default','Time','','7.34'),(2818,'','default','Filename','','none'),(2819,'','default','General discussion','','none'),(2820,'','default','edit forum','','none'),(2821,'','default','Forum name','','none'),(2822,'','default','forum','','none'),(2823,'','default','Are you sure you want to delete the forum %name?','','none'),(2824,'','default','Refresh','','none'),(2825,'','default','Region','','7.34'),(2826,'','default','Visible','','none'),(2827,'','default','Anchor','','none'),(2828,'','default','Display','','none'),(2829,'','default','results','','none'),(2830,'','default','never','','none'),(2831,'','default','The username %name does not exist.','','none'),(2832,'','default','mail','','none'),(2833,'','default','Updated','','none'),(2834,'','default','actions','','none'),(2835,'','default','aggregator','','none'),(2836,'','default','read more','','none'),(2837,'','default','Update interval','','none'),(2838,'','default','The fully-qualified URL of the feed.','','none'),(2839,'','default','Add forum','','none'),(2840,'','default','theme','','none'),(2841,'','default','no screenshot','','none'),(2842,'','default','Access log settings','','none'),(2843,'','default','Enable access log','','none'),(2844,'','default','Discard access logs older than','','none'),(2845,'','default','Preview comment','','7.32'),(2846,'','default','<none>','','none'),(2847,'','default','Unassign','','none'),(2848,'','default','Advanced search','','none'),(2849,'','default','You are not authorized to access this page.','','none'),(2850,'','default','Unknown','','none'),(2851,'','default','Upload','','none'),(2852,'','default','type','','none'),(2853,'','default','Find content','','none'),(2854,'','default','Database type','','none'),(2855,'','default','action','','none'),(2856,'','default','Continue','','none'),(2857,'','default','status','','none'),(2858,'','default','no','','7.32'),(2859,'','default','Sent email to %recipient','','none'),(2860,'','default','Unable to send email to %recipient','','none'),(2861,'','default','The subject of the message.','','none'),(2862,'','default','Create','','none'),(2863,'','default','Save categories','','none'),(2864,'','default','Parent item','','none'),(2865,'','default','Question','','none'),(2866,'','default','Add child page','','none'),(2867,'','default','Printer-friendly version','','none'),(2868,'','default','Content type for child pages','','none'),(2869,'','default','Update options','','none'),(2870,'','default','Remove from outline','','none'),(2871,'','default','Unknown export format.','','none'),(2872,'; modules/dashboard/dashboard.js','default','Done','','none'),(2873,'','default','Last post','','none'),(2874,'','default','Access denied','','none'),(2875,'','default','Year','','none'),(2876,'','default','Date format','','none'),(2877,'','default','1 hour','','7.32'),(2878,'','default','@count hours','','none'),(2879,'','default','@count[2] hours','','none'),(2880,'','default','@count[3] hours','','7.32'),(2881,'','default','@count[4] hours','','7.32'),(2882,'','default','@count[5] hours','','none'),(2883,'','default','1 day','','7.32'),(2884,'','default','@count days','','none'),(2885,'','default','@count[2] days','','none'),(2886,'','default','@count[3] days','','7.32'),(2887,'','default','@count[4] days','','none'),(2888,'','default','@count[5] days','','none'),(2889,'','default','Logo','','none'),(2890,'','default','Site name','','7.34'),(2891,'','default','Site slogan','','7.34'),(2892,'','default','Good','','7.32'),(2893,'','default','Only site administrators can create new user accounts.','','none'),(2894,'','default','Url','','none'),(2895,'','default','Host','','none'),(2896,'','default','PostgreSQL','','none'),(2897,'','default','Manual update check','','none'),(2898,'','default','Never','','none'),(2899,'','default','Check manually','','none'),(2900,'','default','Update available','','none'),(2901,'','default','Out of date','','7.32'),(2902,'','default','Left sidebar','','none'),(2903,'','default','Right sidebar','','none'),(2904,'','default','Inline','','none'),(2905,'','default','Recipients','','none'),(2906,'','default','Selected','','none'),(2907,'','default','Set this to <em>Yes</em> if you would like this category to be selected by default.','','none'),(2908,'','default','You must enter a category.','','none'),(2909,'','default','Are you sure you want to delete %category?','','none'),(2910,'','default','Category %category has been deleted.','','none'),(2911,'','default','Your name','','7.34'),(2912,'','default','Your e-mail address','','7.32'),(2913,'','default','Send e-mail','','7.32'),(2914,'','default','You must select a valid category.','','none'),(2915,'','default','You must enter a valid e-mail address.','','none'),(2916,'','default','[!category] !subject','','none'),(2917,'','default','To','','none'),(2918,'','default','Feed description','','none'),(2919,'','default','Custom','','7.34'),(2920,'','default','Visibility','','none'),(2921,'','default','Filter','','none'),(2922,'','default','Title field label','','none'),(2923,'','default','Sticky at top of lists','','none'),(2924,'','default','URL alias','','none'),(2925,'','default','Poll duration','','none'),(2926,'','default','Poll choices','','none'),(2927,'','default','Poll votes','','none'),(2928,'','default','Explanation','','none'),(2929,'','default','Selection options','','none'),(2930,'','default','Vocabulary name','','none'),(2931,'','default','Role name','','none'),(2932,'','default','E-mail address','','7.32'),(2933,'','default','Time zone','','7.32'),(2934,'','default','Severity','','none'),(2935,'','default','Field type','','none'),(2936,'','default','Vote','','none'),(2937,'','default','Set name','','none'),(2938,'','default','Original image','','none'),(2939,'','default','RSS - blogs','','7.34'),(2940,'','default','Heading','','none'),(2941,'','default','Mode','','none'),(2942,'','default','Warning','','none'),(2943,'','default','blocked','','none'),(2944,'','default','active','','none'),(2945,'','default','N/A','','none'),(2946,'','default','OK','','none'),(2947,'','default','OPML feed','','none'),(2948,'','default','configure','','none'),(2949,'','default','Number of news items in block','','none'),(2950,'','default','View this feed\'s recent news.','','none'),(2951,'','default','View this category\'s recent news.','','none'),(2952,'','default','Feed overview','','none'),(2953,'','default','Items','','none'),(2954,'','default','Last update','','7.34'),(2955,'','default','Next update','','none'),(2956,'','default','%time left','','none'),(2957,'','default','remove items','','none'),(2958,'','default','update items','','none'),(2959,'','default','Category overview','','none'),(2960,'','default','Categorize','','none'),(2961,'','default','The categories have been saved.','','none'),(2962,'','default','URL:','','none'),(2963,'','default','Updated:','','none'),(2964,'','default','%age old','','none'),(2965,'','default','%ago ago','','none'),(2966,'','default','Authored by','','none'),(2967,'','default','The feed %feed has been updated.','','none'),(2968,'','default','Feed %feed deleted.','','none'),(2969,'','default','The feed %feed has been deleted.','','none'),(2970,'','default','Feed %feed added.','','none'),(2971,'','default','The feed %feed has been added.','','none'),(2972,'','default','The news items from %site have been removed.','','none'),(2973,'','default','Width','','none'),(2974,'','default','Height','','none'),(2975,'','default','Maximum','','7.34'),(2976,'','default','Line','','none'),(2977,'','default','Scale','','7.34'),(2978,'','default','Caching','','7.32'),(2979,'','default','Month','','none'),(2980,'','default','Details','','none'),(2981,'','default','Widget','','none'),(2982,'','default','Last reply','','none'),(2983,'','default','Prev','','7.34'),(2984,'','default','Domain','','none'),(2985,'','default','Processors','','none'),(2986,'','default','Unlimited','','none'),(2987,'','default','Send','','none'),(2988,'','default','Enter a valid username.','','none'),(2989,'','default','Recipient','','none'),(2990,'','default','Add a role to the selected users','','none'),(2991,'','default','Remove a role from the selected users','','none'),(2992,'','default','security','','none'),(2993,'','default','Administer content','','none'),(2994,'','default','Method','','none'),(2995,'','default','Navajo','','none'),(2996,'','default','Day','','none'),(2997,'','default','Tue','','7.32'),(2998,'','default','Wed','','7.32'),(2999,'','default','Fri','','7.34'),(3000,'','default','Sat','','none'),(3001,'','default','Sun','','none'),(3002,'','default','January','','none'),(3003,'','default','February','','none'),(3004,'','default','March','','none'),(3005,'','default','April','','none'),(3006,'','default','May','','none'),(3007,'','default','June','','none'),(3008,'','default','July','','none'),(3009,'','default','August','','none'),(3010,'','default','September','','none'),(3011,'','default','October','','none'),(3012,'','default','November','','none'),(3013,'','default','December','','none'),(3014,'','default','am','','none'),(3015,'','default','pm','','none'),(3016,'','default','Forum','','none'),(3017,'','default','!time ago','','none'),(3018,'','default','Background color','','none'),(3019,'','default','Text color','','none'),(3020,'','default','Color','','none'),(3021,'','default','User login','','7.34'),(3022,'','default','Log in','','7.32'),(3023,'','default','Updated URL for feed %title to %url.','','none'),(3024,'','default','Jump to the first comment of this posting.','','7.34'),(3025,'','default','Jump to the first new comment of this posting.','','none'),(3026,'','default','Add new comment','','7.34'),(3027,'','default','Add a new comment to this page.','','7.34'),(3028,'','default','Share your thoughts and opinions related to this posting.','','none'),(3029,'','default','reset','','7.32'),(3030,'','default','String','','none'),(3031,'','default','Not installed','','none'),(3032,'','default','Choices','','none'),(3033,'','default','Minimum cache lifetime','','7.32'),(3034,'','default','1 vote','','none'),(3035,'','default','@count votes','','none'),(3036,'','default','@count[2] votes','','none'),(3037,'','default','@count[3] votes','','none'),(3038,'','default','@count[4] votes','','none'),(3039,'','default','@count[5] votes','','none'),(3040,'','default','@site is currently under maintenance. We should be back shortly. Thank you for your patience.','','none'),(3041,'','default','Default front page','','none'),(3042,'','default','Text processing','','none'),(3043,'','default','Maximum length','','none'),(3044,'','default','Rows','','none'),(3045,'','default','Save changes','','none'),(3046,'','default','access denied','','none'),(3047,'','default','Anonymous','','none'),(3048,'','default','Install','','none'),(3049,'','default','Optional','','none'),(3050,'','default','Recent comments','','7.34'),(3051,'','default','Set default','','none'),(3052,'','default','The comment and all its replies have been deleted.','','none'),(3053,'','default','Preformatted','','none'),(3054,'','default','Profile','','none'),(3055,'','default','Anonymous users','','none'),(3056,'','default','Clear cache','','7.32'),(3057,'','default','Visibility settings','','7.32'),(3058,'','default','Votes','','none'),(3059,'','default','Operation','','none'),(3060,'','default','reply','','none'),(3061,'','default','Function','','none'),(3062,'','default','Session closed for %name.','','none'),(3063,'','default','Tracker','','none'),(3064,'','default','You have to specify a valid date.','','none'),(3065,'','default','Server settings','','none'),(3066,'','default','The field %field is required.','','none'),(3067,'','default','Logout','','none'),(3068,'','default','1 new','','none'),(3069,'','default','@count new','','none'),(3070,'','default','@count[2] new','','none'),(3071,'','default','@count[3] new','','none'),(3072,'','default','@count[4] new','','none'),(3073,'','default','@count[5] new','','none'),(3074,'','default','Table prefix','','none'),(3075,'','default','Database username','','none'),(3076,'','default','Database password','','none'),(3077,'','default','Database name','','none'),(3078,'','default','Port','','none'),(3079,'','default','Size of textfield','','none'),(3080,'','default','Authoring information','','none'),(3081,'','default','Authored on','','7.34'),(3082,'','default','Leave blank for %anonymous.','','none'),(3083,'','default','Syslog','','none'),(3084,'','default','English','','7.32'),(3085,'','default','French','','none'),(3086,'','default','Italian','','none'),(3087,'','default','Spanish','','none'),(3088,'','default','Japanese','','none'),(3089,'','default','Korean','','none'),(3090,'','default','A valid e-mail address. All e-mails from the system will be sent to this address. The e-mail address is not made public and will only be used if you wish to receive a new password or wish to receive certain news or notifications by e-mail.','','7.32'),(3091,'','default','The e-mail address %email is already registered. <a href=\"@password\">Have you forgotten your password?</a>','','none'),(3092,'','default','Import OPML','','none'),(3093,'','default','Remove items','','none'),(3094,'','default','OPML File','','none'),(3095,'','default','Allowed HTML tags','','none'),(3096,'','default','Sources','','none'),(3097,'','default','!title category latest items','','none'),(3098,'','default','!title feed latest items','','none'),(3099,'','default','The category %category has been updated.','','none'),(3100,'','default','Category %category deleted.','','none'),(3101,'','default','The category %category has been deleted.','','none'),(3102,'','default','Category %category added.','','none'),(3103,'','default','The category %category has been added.','','none'),(3104,'','default','aggregator - @title','','none'),(3105,'','default','1 item','','none'),(3106,'','default','@count items','','none'),(3107,'','default','@count[2] items','','none'),(3108,'','default','@count[3] items','','none'),(3109,'','default','@count[4] items','','none'),(3110,'','default','@count[5] items','','none'),(3111,'','default','No items selected.','','none'),(3112,'','default','The update has been performed.','','none'),(3113,'','default','Titles only','','none'),(3114,'','default','Full text','','none'),(3115,'','default','This cannot be undone.','','none'),(3116,'','default','Upload picture','','7.32'),(3117,'','default','Message:','','none'),(3118,'','default','Language file','','none'),(3119,'','default','published','','none'),(3120,'','default','Average page generation time','','none'),(3121,'','default','The changes have been saved.','','none'),(3122,'','default','Show only users where','','none'),(3123,'','default','Refine','','none'),(3124,'','default','Undo','','none'),(3125,'','default','@time ago','','7.34'),(3126,'','default','No users selected.','','none'),(3127,'','default','Detected malicious attempt to alter protected user fields.','','none'),(3128,'; misc/tableselect.js','default','Select all rows in this table','','none'),(3129,'; misc/tableselect.js','default','Deselect all rows in this table','','none'),(3130,'','default','Search results','','7.34'),(3131,'','default','Your search yielded no results','','none'),(3132,'','default','Please enter some keywords.','','none'),(3133,'','default','Front page','','none'),(3134,'','default','Request new password','','7.32'),(3135,'','default','Deleted','','none'),(3136,'','default','Topics','','none'),(3137,'','default','Topic','','none'),(3138,'','default','Allowed values list','','none'),(3139,'','default','Today','','none'),(3140,'','default','Publishing options','','none'),(3141,'','default','Create new revision','','none'),(3142,'','default','Minimum height','','none'),(3143,'','default','Minimum width','','none'),(3144,'','default','Locale settings','','7.32'),(3145,'','default','How many content items to display in \"day\" list.','','none'),(3146,'','default','Jan','','none'),(3147,'','default','Feb','','none'),(3148,'','default','Mar','','none'),(3149,'','default','Apr','','none'),(3150,'','default','Jun','','none'),(3151,'','default','Jul','','7.32'),(3152,'','default','Aug','','7.32'),(3153,'','default','Sep','','none'),(3154,'','default','Oct','','none'),(3155,'','default','Nov','','none'),(3156,'','default','Dec','','none'),(3157,'','default','Posts','','none'),(3158,'','default','Configure permissions','','none'),(3159,'','default','Randomize','','none'),(3160,'','default','Empty','','none'),(3161,'','default','Existing system path','','none'),(3162,'','default','Path alias','','none'),(3163,'','default','Specify an alternative path by which this data can be accessed. For example, type \"about\" when writing an about page. Use a relative path and don\'t add a trailing slash or the URL alias won\'t work.','','none'),(3164,'','default','Greater than','','none'),(3165,'','default','Less than','','none'),(3166,'','default','any','','none'),(3167,'','default','Choice','','none'),(3168,'','default','Number of day\'s top views to display','','none'),(3169,'','default','Number of all time views to display','','none'),(3170,'','default','Number of most recent views to display','','none'),(3171,'','default','The settings have not been saved because of the errors.','','none'),(3172,'','default','characters','','none'),(3173,'','default','profile','','none'),(3174,'','default','Su','','none'),(3175,'','default','Mo','','none'),(3176,'','default','Tu','','none'),(3177,'','default','We','','none'),(3178,'','default','Th','','none'),(3179,'','default','Fr','','none'),(3180,'','default','Sa','','none'),(3181,'','default','Autocomplete taxonomy','','none'),(3182,'','default','Send yourself a copy.','','7.32'),(3183,'','default','Your message has been sent.','','none'),(3184,'','default','Create new account','','7.32'),(3185,'','default','role','','none'),(3186,'','default','Are you sure you want to delete the block %name?','','none'),(3187,'','default','The block %name has been removed.','','none'),(3188,'','default','list terms','','none'),(3189,'','default','add terms','','none'),(3190,'','default','Created new term %term.','','none'),(3191,'','default','Are you sure you want to delete the term %title?','','none'),(3192,'','default','Deleted term %name.','','none'),(3193,'','default','warning','','none'),(3194,'','default','No statistics available.','','none'),(3195,'','default','Enabled filters','','none'),(3196,'','default','critical','','none'),(3197,'','default','Results','','7.34'),(3198,'','default','Older polls','','none'),(3199,'','default','View the list of polls on this site.','','none'),(3200,'','default','Poll settings','','none'),(3201,'','default','You must fill in at least two choices.','','none'),(3202,'','default','open','','none'),(3203,'','default','This table lists all the recorded votes for this poll. If anonymous users are allowed to vote, they will be identified by the IP address of the computer they used when they voted.','','none'),(3204,'','default','Visitor','','none'),(3205,'','default','Cancel your vote','','none'),(3206,'','default','View the current poll results.','','none'),(3207,'','default','Deleting a term will delete all its children if there are any. This action cannot be undone.','','none'),(3208,'','default','Syndicate','','7.34'),(3209,'','default','Books','','none'),(3210,'','default','The feed from %site seems to be broken, due to an error \"%error\" on line %line.','','none'),(3211,'','default','The feed from %site seems to be broken, because of error \"%error\" on line %line.','','none'),(3212,'','default','Forums','','none'),(3213,'','default','Revisions for %title','','none'),(3214,'','default','!date by !username','','none'),(3215,'','default','revert','','none'),(3216,'','default','Revision','','none'),(3217,'','default','current revision','','none'),(3218,'','default','The specified passwords do not match.','','none'),(3219,'','default','No forums defined','','none'),(3220,'','default','This topic has been moved','','none'),(3221,'','default','Your settings have been saved.','','none'),(3222,'','default','permission','','none'),(3223,'','default','Your vote was recorded.','','none'),(3224,'','default','Allows your site to capture votes on different topics in the form of multiple choice questions.','','none'),(3225,'','default','Link color','','none'),(3226,'','default','Testing','','none'),(3227,'','default','Standard','','none'),(3228,'','default','%type settings','','none'),(3229,'','default','Menu settings','','none'),(3230,'','default','Color scheme','','none'),(3231,'','default','@type: deleted %title.','','none'),(3232,'','default','Allowed file extensions','','none'),(3233,'','default','Redirect to URL','','7.32'),(3234,'','default','details','','none'),(3235,'','default','The username %name has not been activated or is blocked.','','none'),(3236,'','default','Login attempt failed for %user.','','none'),(3237,'','default','Revision of %title from %date','','none'),(3238,'','default','The username of the user to which you would like to assign ownership.','','none'),(3239,'','default','Delete action','','none'),(3240,'','default','The action has been successfully saved.','','none'),(3241,'','default','Deleted action %aid (%action)','','none'),(3242,'','default','Action \'%action\' added.','','none'),(3243,'','default','Remove orphaned actions','','none'),(3244,'','default','Themes','','none'),(3245,'','default','JPEG quality','','none'),(3246,'','default','%','','none'),(3247,'','default','Delete comments','','none'),(3248,'','default','not published','','none'),(3249,'','default','!name field is required.','','7.32'),(3250,'','default','Comment settings','','none'),(3251,'','default','Hits','','none'),(3252,'','default','not sticky','','none'),(3253,'','default','sticky','','none'),(3254,'','default','not promoted','','none'),(3255,'','default','promoted','','none'),(3256,'','default','Default options','','none'),(3257,'','default','Contact settings','','7.32'),(3258,'','default','Reset password','','none'),(3259,'','default','Processing','','none'),(3260,'','default','Finished','','none'),(3261,'','default','disable','','none'),(3262,'','default','Temporary directory','','none'),(3263,'','default','date','','none'),(3264,'','default','File upload error. Could not move uploaded file.','','none'),(3265,'','default','Shortcut','','none'),(3266,'','default','Default value','','none'),(3267,'','default','The specified date is invalid.','','none'),(3268,'','default','Password strength:','','7.32'),(3269,'','default','Passwords match:','','7.32'),(3270,'','default','The name used to indicate anonymous users.','','none'),(3271,'','default','Alternate text','','none'),(3272,'','default','Assign','','none'),(3273,'','default','Not translated','','none'),(3274,'','default','Enter the terms you wish to search for.','','7.34'),(3275,'','default','Underlined','','none'),(3276,'','default','Delete role','','none'),(3277,'','default','Basic configuration','','none'),(3278,'','default','Customize menu','','none'),(3279,'','default','Block description','','none'),(3280,'','default','Form name','','none'),(3281,'','default','The title of the new field. The title will be shown to the user. An example title is \"Favorite color\".','','none'),(3282,'','default','An optional explanation to go with the new field. The explanation will be shown to the user.','','none'),(3283,'','default','Save field','','none'),(3284,'','default','Delete block','','7.32'),(3285,'','default','Save blocks','','none'),(3286,'','default','The block settings have been updated.','','none'),(3287,'','default','\'%name\' block','','7.32'),(3288,'','default','Allow individual users to customize the visibility of this block in their account settings.','','7.32'),(3289,'','default','Show block for specific roles','','7.32'),(3290,'','default','Show this block only for the selected role(s). If you select no roles, the block will be visible to all users.','','7.32'),(3291,'','default','Show block on specific pages','','7.32'),(3292,'','default','Save block','','7.32'),(3293,'','default','The block configuration has been saved.','','7.32'),(3294,'','default','The block has been created.','','none'),(3295,'','default','Block body','','none'),(3296,'','default','The content of the block as shown to the user.','','none'),(3297,'','default','Any customizations will be lost. This action cannot be undone.','','none'),(3298,'','default','Allows administrators to customize the site navigation menu.','','none'),(3299,'','default','edit vocabulary','','none'),(3300,'','default','Created new vocabulary %name.','','none'),(3301,'','default','Updated vocabulary %name.','','none'),(3302,'','default','Are you sure you want to delete the vocabulary %title?','','none'),(3303,'','default','Deleting a vocabulary will delete all the terms in it. This action cannot be undone.','','none'),(3304,'','default','Deleted vocabulary %name.','','none'),(3305,'','default','Above','','none'),(3306,'','default','Number of values','','none'),(3307,'','default','Add another item','','none'),(3308,'','default','Add field','','none'),(3309,'','default','Used in','','none'),(3310,'','default','Add existing field','','none'),(3311,'','default','If you have any content left in this field, it will be lost. This action cannot be undone.','','none'),(3312,'','default','Save field settings','','none'),(3313,'','default','The update has encountered an error.','','none'),(3314,'','default','1 item successfully processed:','','none'),(3315,'','default','@count items successfully processed:','','none'),(3316,'','default','@count[2] items successfully processed:','','none'),(3317,'','default','@count[3] items successfully processed:','','none'),(3318,'','default','@count[4] items successfully processed:','','none'),(3319,'','default','@count[5] items successfully processed:','','none'),(3320,'','default','Minimum','','7.34'),(3321,'','default','Precision','','none'),(3322,'','default','The total number of digits to store in the database, including those to the right of the decimal.','','none'),(3323,'','default','The number of digits to the right of the decimal.','','none'),(3324,'','default','Decimal marker','','none'),(3325,'','default','The character users will input to mark the decimal point in forms.','','none'),(3326,'','default','Defines numeric field types.','','none'),(3327,'','default','For a \'single on/off checkbox\' widget, define the \'off\' value first, then the \'on\' value in the <strong>Allowed values</strong> section. Note that the checkbox will be labeled with the label of the \'on\' value.','','none'),(3328,'','default','Defines selection, check box and radio button widgets for text and numeric fields.','','none'),(3329,'','default','Defines simple text field types.','','none'),(3330,'','default','Enable clean URLs','','none'),(3331,'','default','Permalink','','7.32'),(3332,'','default','Theme-engine-specific settings','','none'),(3333,'','default','Debug','','7.34'),(3334,'','default','Exception','','none'),(3335,'','default','@module module','','none'),(3336,'','default','Incompatible with this version of PHP','','none'),(3337,'','default','This module requires PHP version @php_required and is incompatible with PHP version !php_version.','','none'),(3338,'','default','More information','','none'),(3339,'','default','My blog','','none'),(3340,'','default','Anonymous commenting','','none'),(3341,'','default','Anonymous posters may not enter their contact information','','none'),(3342,'','default','Anonymous posters may leave their contact information','','none'),(3343,'','default','Anonymous posters must leave their contact information','','none'),(3344,'','default','The content of this field is kept private and will not be shown publicly.','','7.34'),(3345,'','default','Your signature will be publicly displayed at the end of your comments.','','7.32'),(3346,'','default','Date - newest first','','none'),(3347,'','default','Date - oldest first','','none'),(3348,'','default','1 comment','','none'),(3349,'','default','@count comments','','7.32'),(3350,'','default','@count[2] comments','','none'),(3351,'','default','@count[3] comments','','7.34'),(3352,'','default','@count[4] comments','','none'),(3353,'','default','@count[5] comments','','none'),(3354,'','default','1 new comment','','none'),(3355,'','default','@count new comments','','none'),(3356,'','default','@count[2] new comments','','none'),(3357,'','default','@count[3] new comments','','none'),(3358,'','default','@count[4] new comments','','none'),(3359,'','default','@count[5] new comments','','none'),(3360,'','default','Save content type','','none'),(3361,'','default','Show descriptions','','none'),(3362,'','default','Subtitle','','none'),(3363,'','default','Save role','','none'),(3364,'','default','debug','','none'),(3365,'','default','file system','','none'),(3366,'','default','Menu link title','','none'),(3367,'','default','The menu system stores system paths only, but will use the URL alias for display. %link_path has been stored as %normal_path','','none'),(3368,'','default','The path \'@link_path\' is either invalid or you do not have access to it.','','none'),(3369,'','default','There was an error saving the menu link.','','none'),(3370,'','default','Menu name','','none'),(3371,'','default','Are you sure you want to delete the custom menu %title?','','none'),(3372,'','default','Number of users to display','','none'),(3373,'','default','RSS - !title','','none'),(3374,'','default','RDF','','none'),(3375,'','default','Profiles','','none'),(3376,'','default','Edit container','','none'),(3377,'','default','Last visit','','none'),(3378,'','default','Hot topic threshold','','none'),(3379,'','default','Topics per page','','none'),(3380,'','default','Posts - most active first','','none'),(3381,'','default','Posts - least active first','','none'),(3382,'','default','Are you sure you want to revert to the revision from %revision-date?','','none'),(3383,'','default','Are you sure you want to delete the revision from %revision-date?','','none'),(3384,'','default','Maximum upload size','','none'),(3385,'','default','KB','','none'),(3386,'','default','Space','','none'),(3387,'','default','New forum topics','','none'),(3388,'','default','@type: deleted %title revision %revision.','','none'),(3389,'','default','Page not found','','none'),(3390,'','default','Language neutral','','none'),(3391,'','default','More help','','none'),(3392,'','default','Preview trimmed version','','none'),(3393,'','default','Preview full version','','none'),(3394,'','default','Account blocked','','none'),(3395,'','default','Expand','','none'),(3396,'','default','The name %name is already taken.','','none'),(3397,'','default','info','','none'),(3398,'','default','OpenID redirect','','none'),(3399,'','default','OpenID Login','','none'),(3400,'','default','Delete OpenID','','none'),(3401,'','default','Log in using OpenID','','none'),(3402,'','default','Cancel OpenID login','','none'),(3403,'','default','What is OpenID?','','none'),(3404,'','default','OpenID login failed.','','none'),(3405,'','default','OpenID login cancelled.','','none'),(3406,'','default','Successfully added %identity','','none'),(3407,'','default','OpenID','','none'),(3408,'','default','Add an OpenID','','none'),(3409,'','default','That OpenID is already in use on this site.','','none'),(3410,'','default','Are you sure you want to delete the OpenID %authname for %user?','','none'),(3411,'','default','OpenID deleted.','','none'),(3412,'','default','edit menu','','none'),(3413,'','default','Resize','','7.34'),(3414,'','default','The directory %directory does not exist.','','none'),(3415,'','default','Defines a file field type.','','none'),(3416,'','default','Show only items where','','none'),(3417,'','default','No comments available.','','none'),(3418,'','default','ok','','none'),(3419,'','default','@type: updated %title.','','none'),(3420,'','default','@type: added %title.','','none'),(3421,'','default','Error saving user account.','','none'),(3422,'','default','Action %action has been unassigned.','','none'),(3423,'','default','Add role','','none'),(3424,'','default','You must specify a valid role name.','','none'),(3425,'','default','The role has been added.','','none'),(3426,'','default','Path to custom logo','','none'),(3427,'','default','Updated term %term.','','none'),(3428,'','default','- Please choose -','','none'),(3429,'','default','- None selected -','','7.32'),(3430,'','default','Parser','','none'),(3431,'','default','Discard items older than','','none'),(3432,'','default','@site_name - aggregated feeds in category @title','','none'),(3433,'','default','@site_name - aggregated feeds','','none'),(3434,'','default','@site_name aggregator','','none'),(3435,'','default','!title feed','','none'),(3436,'','default','Aggregator','','none'),(3437,'','default','The feed from %site seems to be broken, because of error \"%error\".','','none'),(3438,'','default','There is no new syndicated content from %site.','','none'),(3439,'','default','There is new syndicated content from %site.','','none'),(3440,'','default','The feed from %site seems to be broken, due to \"%error\".','','none'),(3441,'','default','Feed aggregator','','none'),(3442,'','default','Aggregates syndicated content (RSS, RDF, and Atom feeds).','','none'),(3443,'','default','Alias','','none'),(3444,'','default','The content type %name has been deleted.','','none'),(3445,'','default','Deleted content type %name.','','none'),(3446,'','default','Enter your keywords','','none'),(3447,'','default','Number of topics','','none'),(3448,'','default','Active forum topics','','none'),(3449,'','default','Read the latest forum topics.','','none'),(3450,'','default','HTTP authentication','','none'),(3451,'','default','User activity','','none'),(3452,'','default','The category the new field should be part of. Categories are used to group fields logically. An example category is \"Personal information\".','','none'),(3453,'','default','The user must enter a value.','','none'),(3454,'','default','Visible in user registration form.','','none'),(3455,'','default','New feed items are automatically filed in the checked categories.','','none'),(3456,'','default','A user is considered online for this long after they have last viewed a page.','','none'),(3457,'','default','Maximum number of currently online users to display.','','none'),(3458,'','default','ajax','','none'),(3459,'','default','Book navigation','','none'),(3460,'','default','1 year','','none'),(3461,'','default','@count[2] years','','none'),(3462,'','default','@count[3] years','','none'),(3463,'','default','@count[4] years','','7.32'),(3464,'','default','@count[5] years','','none'),(3465,'','default','1 week','','7.34'),(3466,'','default','@count[2] weeks','','7.34'),(3467,'','default','@count[3] weeks','','7.32'),(3468,'','default','@count[4] weeks','','none'),(3469,'','default','@count[5] weeks','','none'),(3470,'','default','1 min','','7.32'),(3471,'','default','@count[2] min','','none'),(3472,'','default','@count[3] min','','7.32'),(3473,'','default','@count[4] min','','7.32'),(3474,'','default','@count[5] min','','none'),(3475,'','default','1 sec','','none'),(3476,'','default','@count[2] sec','','none'),(3477,'','default','@count[3] sec','','none'),(3478,'','default','@count[4] sec','','7.32'),(3479,'','default','@count[5] sec','','none'),(3480,'','default','-n/a-','','none'),(3481,'','default','Found the @submit button','','none'),(3482,'','default','Failed to set field @name to @value','','none'),(3483,'','default','No temporary directories to remove.','','none'),(3484,'','default','Run tests against Drupal core and your active modules. These tests help assure that your site code is working as designed.','','none'),(3485,'','default','Bulgarian','','none'),(3486,'','default','Croatian','','none'),(3487,'','default','Czech','','none'),(3488,'','default','Danish','','none'),(3489,'','default','Dutch','','none'),(3490,'','default','Finnish','','none'),(3491,'','default','German','','none'),(3492,'','default','Greek','','none'),(3493,'','default','Hebrew','','none'),(3494,'','default','Hungarian','','none'),(3495,'','default','Indonesian','','none'),(3496,'','default','Polish','','none'),(3497,'','default','Romanian','','none'),(3498,'','default','Russian','','none'),(3499,'','default','Slovak','','none'),(3500,'','default','Swedish','','none'),(3501,'','default','Turkish','','none'),(3502,'','default','Send message','','7.32'),(3503,'','default','Allow Upscaling','','none'),(3504,'','default','Let scale make images larger than their original size','','none'),(3505,'','default','Rotation angle','','none'),(3506,'','default','The number of degrees the image should be rotated. Positive numbers are clockwise, negative are counter-clockwise.','','none'),(3507,'','default','Randomize the rotation angle for each image. The angle specified above is used as a maximum.','','none'),(3508,'','default','Print','','none'),(3509,'','default','The file could not be created.','','none'),(3510,'','default','Locked','','none'),(3511,'','default','Password reset instructions mailed to %name at %email.','','none'),(3512,'','default','The e-mail address %mail is not valid.','','none'),(3513,'','default','authenticated user','','7.32'),(3514,'','default','Any','','none'),(3515,'','default','E-mail addresses to notify when updates are available','','none'),(3516,'','default','Whenever your site checks for available updates and finds new releases, it can notify a list of users via e-mail. Put each address on a separate line. If blank, no e-mails will be sent.','','none'),(3517,'','default','Check for updates','','none'),(3518,'','default','All newer versions','','none'),(3519,'','default','Only security updates','','none'),(3520,'','default','%email is not a valid e-mail address.','','none'),(3521,'','default','%emails are not valid e-mail addresses.','','none'),(3522,'','default','Not secure!','','7.34'),(3523,'','default','Revoked!','','none'),(3524,'','default','Unsupported release','','none'),(3525,'','default','Can not determine status','','none'),(3526,'','default','(version @version available)','','7.32'),(3527,'','default','See the available updates page for more information:','','7.32'),(3528,'','default','New release(s) available for !site_name','','7.32'),(3529,'','default','There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately!','','7.32'),(3530,'','default','Your version of Drupal has been revoked and is no longer available for download. Upgrading is strongly recommended!','','none'),(3531,'','default','The installed version of at least one of your modules or themes has been revoked and is no longer available for download. Upgrading or disabling is strongly recommended!','','none'),(3532,'','default','Your version of Drupal is no longer supported. Upgrading is strongly recommended!','','none'),(3533,'','default','There are updates available for your version of Drupal. To ensure the proper functioning of your site, you should update as soon as possible.','','none'),(3534,'','default','See the <a href=\"@available_updates\">available updates</a> page for more information.','','7.34'),(3535,'','default','Project not secure','','none'),(3536,'','default','This project has been labeled insecure by the Drupal security team, and is no longer available for download. Immediately disabling everything included by this project is strongly recommended!','','none'),(3537,'','default','Project revoked','','none'),(3538,'','default','This project has been revoked, and is no longer available for download. Disabling everything included by this project is strongly recommended!','','none'),(3539,'','default','Project not supported','','none'),(3540,'','default','This project is no longer supported, and is no longer available for download. Disabling everything included by this project is strongly recommended!','','none'),(3541,'','default','No available releases found','','7.32'),(3542,'','default','Release revoked','','none'),(3543,'','default','Your currently installed release has been revoked, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!','','none'),(3544,'','default','Release not supported','','none'),(3545,'','default','Your currently installed release is now unsupported, and is no longer available for download. Disabling everything included in this release or upgrading is strongly recommended!','','none'),(3546,'','default','Invalid info','','none'),(3547,'','default','Security update required!','','none'),(3548,'','default','Not supported!','','none'),(3549,'','default','Recommended version:','','none'),(3550,'','default','Security update:','','none'),(3551,'','default','Latest version:','','none'),(3552,'','default','Development version:','','none'),(3553,'','default','Also available:','','none'),(3554,'','default','@title','','none'),(3555,'','default','Edit forum','','none'),(3556,'','default','Default order','','none'),(3557,'','default','This is the designated forum vocabulary. Some of the normal vocabulary options have been removed.','','none'),(3558,'','default','Leave shadow copy','','none'),(3559,'','default','If you move this topic, you can leave a link in the old forum to the new forum.','','none'),(3560,'','default','Container name','','none'),(3561,'','default','forum container','','none'),(3562,'','default','Created new @type %term.','','none'),(3563,'','default','The @type %term has been updated.','','none'),(3564,'','default','Add new field','','none'),(3565,'','default','Containing any of the words','','none'),(3566,'','default','Containing the phrase','','none'),(3567,'','default','Containing none of the words','','none'),(3568,'','default','Only of the type(s)','','none'),(3569,'','default','Content ranking','','none'),(3570,'','default','Keyword relevance','','none'),(3571,'','default','Recently posted','','none'),(3572,'','default','Number of comments','','none'),(3573,'','default','Factor','','none'),(3574,'','default','Expand layout to include descriptions.','','none'),(3575,'','default','Or','','none'),(3576,'','default','Color set','','none'),(3577,'','default','About','','none'),(3578,'','default','Database host','','none'),(3579,'','default','Maximum link text length','','none'),(3580,'','default','URLs longer than this number of characters will be truncated to prevent long strings that break formatting. The link itself will be retained; just the text portion of the link will be truncated.','','none'),(3581,'','default','Default picture','','none'),(3582,'','default','URL of picture to display for users with no custom picture selected. Leave blank for none.','','none'),(3583,'','default','If the amount of boxes above isn\'t enough, click here to add more choices.','','none'),(3584,'','default','Toggle display','','none'),(3585,'','default','If you don\'t have direct file access to the server, use this field to upload your logo.','','none'),(3586,'','default','Install profile','','none'),(3587,'','default','%percentage of the site has been indexed.','','none'),(3588,'','default','File directory','','none'),(3589,'','default','There is 1 item left to index.','','none'),(3590,'','default','There are @count items left to index.','','none'),(3591,'','default','There are @count[2] items left to index.','','none'),(3592,'','default','There are @count[3] items left to index.','','none'),(3593,'','default','There are @count[4] items left to index.','','none'),(3594,'','default','There are @count[5] items left to index.','','none'),(3595,'','default','The content access permissions have been rebuilt.','','none'),(3596,'','default','sort by @s','','none'),(3597,'','default','Sorry, unrecognized username or password. <a href=\"@password\">Have you forgotten your password?</a>','','none'),(3598,'','default','Publish content','','7.32'),(3599,'','default','Stack overflow: too many calls to actions_do(). Aborting to prevent infinite recursion.','','none'),(3600,'','default','Action %action saved.','','none'),(3601,'','default','You may proceed to the <a href=\"@url\">Triggers</a> page to assign these actions to system events.','','none'),(3602,'','default','Delete an action.','','none'),(3603,'','default','Remove orphans','','none'),(3604,'','default','Triggers','','none'),(3605,'','default','Unassign an action from a trigger.','','none'),(3606,'','default','Choose an advanced action','','none'),(3607,'','default','Action type','','none'),(3608,'','default','Are you sure you want to delete the action %action?','','none'),(3609,'','default','Action %action was deleted','','none'),(3610,'','default','Deleted orphaned action (%action).','','none'),(3611,'','default','Are you sure you want to unassign the action %title?','','none'),(3612,'','default','You can assign it again later if you wish.','','none'),(3613,'','default','unassign','','none'),(3614,'','default','Choose an action','','none'),(3615,'','default','The action you chose is already assigned to that trigger.','','none'),(3616,'','default','When cron runs','','none'),(3617,'','default','The URL to which the user should be redirected. This can be an internal URL like node/1234 or an external URL like http://drupal.org.','','none'),(3618,'','default','Display a message to the user','','7.32'),(3619,'','default','Unpublish comment','','7.32'),(3620,'','default','Unpublish comment containing keyword(s)','','7.32'),(3621,'','default','Ban IP address of current user','','7.32'),(3622,'','default','Set @type %title to published.','','none'),(3623,'','default','Set @type %title to unpublished.','','none'),(3624,'','default','Set @type %title to sticky.','','none'),(3625,'','default','Set @type %title to unsticky.','','none'),(3626,'','default','Promoted @type %title to front page.','','none'),(3627,'','default','Removed @type %title from front page.','','none'),(3628,'','default','Saved @type %title','','none'),(3629,'','default','Changed owner of @type %title to uid %name.','','none'),(3630,'','default','After saving a new comment','','none'),(3631,'','default','After saving an updated comment','','none'),(3632,'','default','After deleting a comment','','none'),(3633,'','default','When a comment is being viewed by an authenticated user','','none'),(3634,'','default','Unpublished comment %subject.','','none'),(3635,'','default','After a user has been deleted','','none'),(3636,'','default','After a user has logged in','','none'),(3637,'','default','After a user has logged out','','none'),(3638,'','default','When a user\'s profile is being viewed','','none'),(3639,'','default','Blocked user %name.','','none'),(3640,'','default','Banned IP address %ip','','none'),(3641,'','default','After saving a new term to the database','','none'),(3642,'','default','After saving an updated term to the database','','none'),(3643,'','default','After deleting a term','','none'),(3644,'','default','Enables actions to be fired on certain system events, such as when new content is created.','','none'),(3645,'','default','1 read','','none'),(3646,'','default','@count reads','','none'),(3647,'','default','@count[2] reads','','7.34'),(3648,'','default','@count[3] reads','','7.34'),(3649,'','default','@count[4] reads','','7.34'),(3650,'','default','@count[5] reads','','none'),(3651,'','default','- Select -','','none'),(3652,'','default','Enables the categorization of content.','','none'),(3653,'','default','Path prefix','','none'),(3654,'','default','Delete contact','','none'),(3655,'','default','Auto-reply','','none'),(3656,'','default','Optional auto-reply. Leave empty if you do not want to send the user an auto-reply message.','','none'),(3657,'','default','%recipient is an invalid e-mail address.','','none'),(3658,'','default','Lithuanian','','none'),(3659,'','default','Up to date translation','','none'),(3660,'','default','Outdated translation','','none'),(3661,'','default','Some required modules must be enabled','','none'),(3662,'','default','New posts','','none'),(3663,'','default','mm/dd/yy','','none'),(3664,'','default','File to import not found.','','none'),(3665,'','default','The translation import failed, because the file %filename could not be read.','','none'),(3666,'','default','The translation file %filename contains an error: \"msgstr\" was expected but not found on line %line.','','none'),(3667,'','default','The translation file %filename contains an error: \"msgid_plural\" was expected but not found on line %line.','','none'),(3668,'','default','The translation file %filename contains a syntax error on line %line.','','none'),(3669,'','default','The translation file %filename contains an error: \"msgid\" is unexpected on line %line.','','none'),(3670,'','default','The translation file %filename contains an error: \"msgstr[]\" is unexpected on line %line.','','none'),(3671,'','default','The translation file %filename contains an error: \"msgstr\" is unexpected on line %line.','','none'),(3672,'','default','The translation file %filename contains an error: there is an unexpected string on line %line.','','none'),(3673,'','default','The translation file %filename ended unexpectedly at line %line.','','none'),(3674,'','default','Save translations','','none'),(3675,'','default','Export template','','none'),(3676,'','default','Create @name','','none'),(3677,'','default','The custom menu %title has been deleted.','','none'),(3678,'','default','@type %title has been deleted.','','none'),(3679,'','default','Crop','','7.34'),(3680,'','default','Instructions to present to the user below this field on the editing form.<br />Allowed HTML tags: @tags','','none'),(3681,'','default','anonymous user','','7.32'),(3682,'','default','@module (<span class=\"admin-disabled\">disabled</span>)','','none'),(3683,'','default','@module (<span class=\"admin-enabled\">enabled</span>)','','none'),(3684,'','default','Save permissions','','none'),(3685,'','default','The e-mail address %email is already taken.','','none'),(3686,'','default','Effect','','none'),(3687,'','default','Original text','','none'),(3688,'','default','Delete content type','','none'),(3689,'','default','Change book (update list of parents)','','none'),(3690,'','default','create a new book','','none'),(3691,'','default','edit permissions','','none'),(3692,'','default','edit order and titles','','none'),(3693,'','default','Manage your site\'s book outlines.','','none'),(3694,'','default','For security reasons, your upload has been renamed to %filename.','','none'),(3695,'','default','Installed version','','none'),(3696,'','default','Recommended version','','none'),(3697,'','default','Cron run successfully.','','none'),(3698,'','default','notice','','none'),(3699,'','default','File download','','none'),(3700,'','default','Acronym','','none'),(3701,'','default','original','','none'),(3702,'','default','Failed to upload the picture image; the %directory directory doesn\'t exist or is not writable.','','none'),(3703,'','default','The field has been updated.','','none'),(3704,'','default','pixels','','none'),(3705,'','default','1 month','','7.32'),(3706,'','default','@count[2] months','','none'),(3707,'','default','@count[3] months','','7.34'),(3708,'','default','@count[4] months','','none'),(3709,'','default','@count[5] months','','none'),(3710,'','default','Save order','','none'),(3711,'','default','done','','none'),(3712,'','default','edit role','','none'),(3713,'','default','%name: illegal value.','','none'),(3714,'','default','Edit %title','','none'),(3715,'','default','Drupal core','','none'),(3716,'','default','Book navigation block display','','none'),(3717,'','default','Relations','','none'),(3718,'','default','Password field is required.','','none'),(3719,'','default','Confirm password','','7.32'),(3720,'','default','No content available.','','none'),(3721,'','default','Administration theme','','none'),(3722,'','default','Thank you for applying for an account. Your account is currently pending approval by the site administrator.<br />In the meantime, a welcome message with further instructions has been sent to your e-mail address.','','none'),(3723,'','default','Afar','','none'),(3724,'','default','Somali','','none'),(3725,'','default','Komi','','none'),(3726,'','default','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','','none'),(3727,'','default','The specified file %file could not be copied, because no file by that name exists. Please check that you supplied the correct filename.','','none'),(3728,'','default','The specified file %file was not copied because it would overwrite itself.','','none'),(3729,'','default','The file %file could not be saved, because it exceeds %maxsize, the maximum allowed size for uploads.','','none'),(3730,'','default','The file %file could not be saved, because the upload did not complete.','','none'),(3731,'','default','The file %file could not be saved. An unknown error has occurred.','','none'),(3732,'','default','The specified file %name could not be uploaded.','','none'),(3733,'','default','The file\'s name is empty. Please give a name to the file.','','none'),(3734,'','default','Only files with the following extensions are allowed: %files-allowed.','','none'),(3735,'','default','The file is %filesize exceeding the maximum file size of %maxsize.','','none'),(3736,'','default','The file is %filesize which would exceed your disk quota of %quota.','','none'),(3737,'','default','Only JPEG, PNG and GIF images are allowed.','','none'),(3738,'','default','The image was resized to fit within the maximum allowed dimensions of %dimensions pixels.','','none'),(3739,'','default','The image is too large; the maximum dimensions are %dimensions pixels.','','none'),(3740,'','default','The image is too small; the minimum dimensions are %dimensions pixels.','','none'),(3741,'','default','The file %path was not deleted, because it does not exist.','','none'),(3742,'','default','Upload error. Could not move uploaded file %file to destination %destination.','','none'),(3743,'','default','Add to book outline','','none'),(3744,'','default','Stark','','none'),(3745,'','default','New set','','none'),(3746,'','default','outdated','','none'),(3747,'','default','<strong>@language_name</strong> (source)','','none'),(3748,'','default','add translation','','none'),(3749,'','default','Translations of %title','','none'),(3750,'','default','Database port','','none'),(3751,'','default','Re-index site','','none'),(3752,'','default','Are you sure you want to re-index the site?','','none'),(3753,'','default','cURL','','none'),(3754,'','default','Pass','','none'),(3755,'','default','Fail','','none'),(3756,'','default','No test results to display.','','none'),(3757,'','default','Save and continue','','none'),(3758,'','default','These options are only necessary for some sites. If you\'re not sure what you should enter here, leave the default settings or check with your hosting provider.','','none'),(3759,'','default','If your database is located on a different server, change this.','','none'),(3760,'','default','If your database server is listening to a non-standard port, enter its number.','','none'),(3761,'','default','Database port must be a number.','','none'),(3762,'','default','Spaces are allowed; punctuation is not allowed except for periods, hyphens, and underscores.','','none'),(3763,'','default','Maximum height','','none'),(3764,'','default','Maximum width','','none'),(3765,'','default','Secondary tabs','','7.32'),(3766,'','default','Enable or disable the display of certain page elements.','','none'),(3767,'','default','Add new content','','none'),(3768,'','default','Maximum image resolution','','none'),(3769,'','default','An illegal choice has been detected. Please contact the site administrator.','','none'),(3770,'','default','Illegal choice %choice in !name element.','','none'),(3771,'','default','Not writable','','none'),(3772,'','default','Decimal point','','none'),(3773,'','default','Book outline','','none'),(3774,'','default','This will be the top-level page in this book.','','none'),(3775,'','default','Revision information','','none'),(3776,'','default','Notify user of new account','','7.32'),(3777,'','default','View comment','','none'),(3778,'','default','Comma','','none'),(3779,'','default','Uses','','none'),(3780,'','default','Path to custom icon','','none'),(3781,'','default','Digest','','none'),(3782,'','default','You are not authorized to post comments.','','7.32'),(3783,'','default','The comment you are replying to does not exist.','','none'),(3784,'','default','This discussion is closed: you can\'t post new comments.','','none'),(3785,'','default','You are not authorized to view comments.','','none'),(3786,'','default','Are you sure you want to delete the comment %title?','','none'),(3787,'','default','Any replies to this comment will be lost. This action cannot be undone.','','none'),(3788,'','default','Publish the selected comments','','none'),(3789,'','default','Unpublish the selected comments','','none'),(3790,'','default','Are you sure you want to delete these comments and all their children?','','none'),(3791,'','default','You have to specify a valid author.','','none'),(3792,'','default','The name you used belongs to a registered user.','','none'),(3793,'','default','The e-mail address you specified is not valid.','','none'),(3794,'','default','The URL of your homepage is not valid. Remember that it must be fully qualified, i.e. of the form <code>http://example.com/directory</code>.','','none'),(3795,'','default','(No subject)','','none'),(3796,'','default','Default image','','none'),(3797,'','default','This text will be used by screen readers, search engines, or when the image cannot be loaded.','','none'),(3798,'','default','Add feed','','none'),(3799,'','default','@name\'s blog','','none'),(3800,'','default','Toolbar','','none'),(3801,'','default','Enter your @s username.','','7.32'),(3802,'','default','Posted in','','none'),(3803,'','default','Comment: unauthorized comment submitted or comment submitted to a closed post %subject.','','none'),(3804,'','default','!name\'s blog','','7.34'),(3805,'','default','Email:','','none'),(3806,'','default','All languages','','none'),(3807,'','default','@type %title has been created.','','none'),(3808,'','default','@type %title has been updated.','','none'),(3809,'','default','The post could not be saved.','','none'),(3810,'','default','1 character','','none'),(3811,'','default','@count characters','','none'),(3812,'','default','@count[2] characters','','none'),(3813,'','default','@count[3] characters','','none'),(3814,'','default','@count[4] characters','','none'),(3815,'','default','@count[5] characters','','none'),(3816,'','default','Filter settings','','none'),(3817,'','default','You do not have any administrative items.','','none'),(3818,'','default','One or more problems were detected with your Drupal installation. Check the <a href=\"@status\">status report</a> for more information.','','7.32'),(3819,'','default','Help topics','','none'),(3820,'','default','Help is available on the following items:','','none'),(3821,'','default','No help is available for module %module.','','none'),(3822,'','default','@module administration pages','','none'),(3823,'','default','Edit string','','none'),(3824,'','default','Delete string','','none'),(3825,'','default','Are you sure you want to delete the language %name?','','none'),(3826,'','default','The language %locale has been removed.','','none'),(3827,'','default','Are you sure you want to delete the string \"%source\"?','','none'),(3828,'','default','Deleting the string will remove all translations of this string in all languages. This action cannot be undone.','','none'),(3829,'','default','AM','','none'),(3830,'','default','PM','','none'),(3831,'','default','Comments per page','','none'),(3832,'','default','Multilingual support','','none'),(3833,'','default','Enabled, with translation','','none'),(3834,'','default','Publish comment','','7.32'),(3835,'','default','The file could not be uploaded.','','none'),(3836,'','default','The selected image handling toolkit %toolkit can not correctly process %function.','','none'),(3837,'','default','FTP','','none'),(3838,'','default','The directory %file is not protected from modifications and poses a security risk. You must change the directory\'s permissions to be non-writable. ','','none'),(3839,'','default','Collaboration','','none'),(3840,'','default','Administration pages','','none'),(3841,'','default','Currently using !item !version','','none'),(3842,'','default','Created content type %type.','','none'),(3843,'','default','User created with name %name and pass %pass','','none'),(3844,'','default','Created permissions: @perms','','none'),(3845,'','default','Invalid permission %permission.','','none'),(3846,'','default','Username field found.','','none'),(3847,'','default','Password field found.','','none'),(3848,'','default','!method @url returned @status (!length).','','none'),(3849,'','default','Valid HTML found on \"@path\"','','none'),(3850,'','default','Parsed page successfully.','','none'),(3851,'','default','Found the requested form fields at @path','','none'),(3852,'','default','Did not find field by name @name','','none'),(3853,'','default','Found field by id @id','','none'),(3854,'','default','Did not find field by id @id','','none'),(3855,'','default','HTTP response expected !code, actual !curl_code','','none'),(3856,'','default','The website encountered an unexpected error. Please try again later.','','none'),(3857,'','default','Tests','','none'),(3858,'','default','Run tests','','none'),(3859,'','default','Clean test environment','','none'),(3860,'','default','Remove tables with the prefix \"simpletest\" and temporary directories that are left over from tests that crashed. This is intended for developers when creating tests.','','none'),(3861,'','default','Clean environment','','none'),(3862,'','default','No tests to display.','','none'),(3863,'','default','@pass, @fail, and @exception','','none'),(3864,'','default','No test(s) selected.','','none'),(3865,'','default','Processing test @num of @max - %test.','','none'),(3866,'','default','@name: @summary','','none'),(3867,'','default','Processed test @num of @max - %test.','','none'),(3868,'','default','1 pass','','none'),(3869,'','default','@count passes','','none'),(3870,'','default','@count[2] passes','','none'),(3871,'','default','@count[3] passes','','none'),(3872,'','default','@count[4] passes','','none'),(3873,'','default','@count[5] passes','','none'),(3874,'','default','1 fail','','none'),(3875,'','default','@count fails','','none'),(3876,'','default','@count[2] fails','','none'),(3877,'','default','@count[3] fails','','none'),(3878,'','default','@count[4] fails','','none'),(3879,'','default','@count[5] fails','','none'),(3880,'','default','1 exception','','none'),(3881,'','default','@count exceptions','','none'),(3882,'','default','@count[2] exceptions','','none'),(3883,'','default','@count[3] exceptions','','none'),(3884,'','default','@count[4] exceptions','','none'),(3885,'','default','@count[5] exceptions','','none'),(3886,'','default','PHP DOMDocument class','','none'),(3887,'','default','Provides a framework for unit and functional testing.','','none'),(3888,'','default','Hindi','','none'),(3889,'','default','User %name used one-time login link at time %timestamp.','','none'),(3890,'','default','Created a new user account for <a href=\"@url\">%name</a>. No e-mail has been sent.','','none'),(3891,'','default','Registration successful. You are now logged in.','','none'),(3892,'','default','New user: %name (%email).','','none'),(3893,'','default','Trigger','','none'),(3894,'','default','View comments','','none'),(3895,'','default','Username or e-mail address','','none'),(3896,'','default','%name: this field cannot hold more than @count values.','','none'),(3897,'','default','No fields available.','','none'),(3898,'','default','After saving new content','','none'),(3899,'','default','After deleting content','','none'),(3900,'','default','Vertical Tabs','','7.32'),(3901,'','default','Not in book','','none'),(3902,'','default','New book','','none'),(3903,'; modules/node/node.js','default','By @name on @date','','none'),(3904,'; modules/node/node.js','default','By @name','','none'),(3905,'; modules/menu/menu.js','default','Not in menu','','none'),(3906,'; sites/all/modules/pathauto/pathauto.js','default','Alias: @alias','','none'),(3907,'; sites/all/modules/pathauto/pathauto.js','default','No alias','','none'),(3908,'','default','User autocomplete','','none'),(3909,'','default','Initializing.','','none'),(3910,'','default','An error has occurred.','','none'),(3911,'','default','Please continue to <a href=\"@error_url\">the error page</a>','','none'),(3912,'','default','HTTP POST is required.','','none'),(3913,'','default','Your page will be a part of the selected book.','','none'),(3914,'','default','0 sec','','7.32'),(3915,'','default','form','','none'),(3916,'','default','alert','','none'),(3917,'','default','emergency','','none'),(3918,'','default','Filter log messages','','none'),(3919,'','default','You must select something to filter by.','','none'),(3920,'; modules/node/node.js','default','New revision','','none'),(3921,'','default','To change the current user password, enter the new password in both fields.','','7.32'),(3922,'','default','You have tried to use a one-time login link that has expired. Please request a new one using the form below.','','none'),(3923,'','default','This login can be used only once.','','none'),(3924,'','default','The translation import of %filename failed.','','none'),(3925,'','default','More choices','','none'),(3926,'','default','Abbreviation','','none'),(3927,'','default','Inserted','','none'),(3928,'','default','Provide a password for the new account in both fields.','','none'),(3929,'','default','(@language)','','none'),(3930,'','default','Poll','','none'),(3931,'','default','Search for either of the two terms with uppercase <strong>OR</strong>. For example, <strong>cats OR dogs</strong>.','','none'),(3932,'','default','PHP filter','','none'),(3933,'','default','Attempting to re-run cron while it is already running.','','none'),(3934,'','default','Cron run completed.','','none'),(3935,'','default','HTTP request status','','none'),(3936,'','default','Fails','','none'),(3937,'','default','Visitors','','none'),(3938,'','default','The maximum length of the field in characters.','','none'),(3939,'','default','Already added languages','','none'),(3940,'','default','Recent blog posts','','7.34'),(3941,'','default','Who\'s new','','7.34'),(3942,'','default','Language name','','none'),(3943,'','default','list links','','none'),(3944,'','default','Edit category','','none'),(3945,'','default','The content type %name has been updated.','','none'),(3946,'','default','The content type %name has been added.','','none'),(3947,'','default','Catalan','','none'),(3948,'','default','Blue Lagoon (default)','','none'),(3949,'','default','The requested page could not be found.','','none'),(3950,'','default','The user account %id does not exist.','','none'),(3951,'','default','Attempted to cancel non-existing user account: %id.','','none'),(3952,'','default','Requirements problem','','none'),(3953,'','default','Database configuration','','none'),(3954,'','default','The type of database your @drupal data will be stored in.','','none'),(3955,'','default','The name of the database your @drupal data will be stored in. It must exist on your server before @drupal can be installed.','','none'),(3956,'','default','If more than one application will be sharing this database, enter a table prefix such as %prefix for your @drupal site here.','','none'),(3957,'','default','Select an installation profile','','none'),(3958,'','default','Choose language','','none'),(3959,'','default','Learn how to install Drupal in other languages','','none'),(3960,'','default','(built-in)','','none'),(3961,'','default','No profiles available','','none'),(3962,'','default','Drupal already installed','','none'),(3963,'','default','<ul><li>To start over, you must empty your existing database.</li><li>To install to a different database, edit the appropriate <em>settings.php</em> file in the <em>sites</em> folder.</li><li>To upgrade an existing installation, proceed to the <a href=\"@base-url/update.php\">update script</a>.</li><li>View your <a href=\"@base-url\">existing site</a>.</li></ul>','','none'),(3964,'','default','Installing @drupal','','none'),(3965,'','default','The installation has encountered an error.','','none'),(3966,'','default','Configure site','','none'),(3967,'','default','@drupal installation complete','','none'),(3968,'','default','Installed %module module.','','none'),(3969,'','default','Choose profile','','none'),(3970,'','default','Verify requirements','','none'),(3971,'','default','Set up database','','none'),(3972,'','default','Set up translations','','none'),(3973,'','default','Install site','','none'),(3974,'','default','Finish translations','','none'),(3975,'','default','Site e-mail address','','none'),(3976,'','default','The <em>From</em> address in automated e-mails sent during registration and new password requests, and other notifications. (Use an address ending in your site\'s domain to help prevent this e-mail being flagged as spam.)','','none'),(3977,'','default','By default, dates in this site will be displayed in the chosen time zone.','','none'),(3978,'','default','Check for updates automatically','','none'),(3979,'','default','Removed orphaned action \'%action\' from database.','','none'),(3980,'','default','Cron run exceeded the time limit and was aborted.','','none'),(3981,'','default','1 byte','','none'),(3982,'','default','@count bytes','','none'),(3983,'','default','@count[2] bytes','','none'),(3984,'','default','@count[3] bytes','','none'),(3985,'','default','@count[4] bytes','','none'),(3986,'','default','@count[5] bytes','','none'),(3987,'','default','!name cannot be longer than %max characters but is currently %length characters long.','','none'),(3988,'','default','Illegal choice %choice in %name element.','','none'),(3989,'','default','GD2 image manipulation toolkit','','7.32'),(3990,'','default','The GD toolkit is installed and working properly.','','none'),(3991,'','default','Define the image quality for JPEG manipulations. Ranges from 0 to 100. Higher values mean better image quality but bigger files.','','none'),(3992,'','default','The GD image toolkit requires that the GD module for PHP be installed and configured properly. For more information see <a href=\"@url\">PHP\'s image documentation</a>.','','none'),(3993,'','default','JPEG quality must be a number between 0 and 100.','','none'),(3994,'','default','Predefined language','','none'),(3995,'','default','Custom language','','none'),(3996,'','default','Add custom language','','none'),(3997,'','default','<a href=\"@rfc4646\">RFC 4646</a> compliant language identifier. Language codes typically use a country code, and optionally, a script or regional variant name. <em>Examples: \"en\", \"en-US\" and \"zh-Hant\".</em>','','none'),(3998,'','default','The language %language (%code) already exists.','','none'),(3999,'','default','Invalid language code.','','none'),(4000,'','default','The language %language has been created and can now be used. More information is available on the <a href=\"@locale-help\">help screen</a>.','','none'),(4001,'','default','Domain and path prefix values should not be set at the same time.','','none'),(4002,'','default','The domain (%domain) is already tied to a language (%language).','','none'),(4003,'','default','Only the default language can have both the domain and prefix empty.','','none'),(4004,'','default','The prefix (%prefix) is already tied to a language (%language).','','none'),(4005,'','default','The English language cannot be deleted.','','none'),(4006,'','default','The default language cannot be deleted.','','none'),(4007,'','default','Deleting a language will remove all interface translations associated with it, and posts in this language will be set to be language neutral. This action cannot be undone.','','none'),(4008,'','default','Language negotiation configuration saved.','','none'),(4009,'','default','String contains','','none'),(4010,'','default','Leave blank to show all strings. The search is case sensitive.','','none'),(4011,'','default','English (provided by Drupal)','','none'),(4012,'','default','Search in','','none'),(4013,'','default','Both translated and untranslated strings','','none'),(4014,'','default','Only translated strings','','none'),(4015,'','default','Only untranslated strings','','none'),(4016,'','default','Limit search to','','none'),(4017,'','default','All text groups','','none'),(4018,'','default','Languages not yet added','','none'),(4019,'','default','Import translation','','none'),(4020,'','default','A Gettext Portable Object (<em>.po</em>) file.','','none'),(4021,'','default','Import into','','none'),(4022,'','default','Choose the language you want to add strings into. If you choose a language which is not yet set up, it will be added.','','none'),(4023,'','default','Text group','','none'),(4024,'','default','Imported translations will be added to this text group.','','none'),(4025,'','default','The language %language has been created.','','none'),(4026,'','default','Export translation','','none'),(4027,'','default','Select the language to export in Gettext Portable Object (<em>.po</em>) format.','','none'),(4028,'','default','Generate a Gettext Portable Object Template (<em>.pot</em>) file with all strings from the Drupal locale database.','','none'),(4029,'','default','String not found.','','none'),(4030,'','default','The submitted string contains disallowed HTML: %string','','none'),(4031,'','default','The string has been saved.','','none'),(4032,'','default','The string has been removed.','','none'),(4033,'','default','The language selected for import is not supported.','','none'),(4034,'','default','The translation file %filename appears to have a missing or malformed header.','','none'),(4035,'','default','The translation was successfully imported. There are %number newly created translated strings, %update strings were updated and %delete strings were removed.','','none'),(4036,'','default','Importing interface translations','','none'),(4037,'','default','Starting import','','none'),(4038,'','default','Error importing interface translations','','none'),(4039,'','default','Attempted submission of a translation string with disallowed HTML: %string','','none'),(4040,'','default','The %language language (%code) has been created.','','none'),(4041,'','default','Imported %file into %locale: %number new strings added, %update updated and %delete removed.','','none'),(4042,'','default','Exported %locale translation file: %filename.','','none'),(4043,'','default','Exported translation file: %filename.','','none'),(4044,'','default','Updated JavaScript translation file for the language %language.','','none'),(4045,'','default','Created JavaScript translation file for the language %language.','','none'),(4046,'','default','Removed JavaScript translation file for the language %language, because no translations currently exist for that language.','','none'),(4047,'','default','An error occurred during creation of the JavaScript translation file for the language %language.','','none'),(4048,'','default','One translation string was skipped because it contains disallowed HTML.','','none'),(4049,'','default','@count translation strings were skipped because they contain disallowed HTML.','','none'),(4050,'','default','@count[2] translation strings were skipped because they contain disallowed HTML.','','none'),(4051,'','default','@count[3] translation strings were skipped because they contain disallowed HTML.','','none'),(4052,'','default','@count[4] translation strings were skipped because they contain disallowed HTML.','','none'),(4053,'','default','@count[5] translation strings were skipped because they contain disallowed HTML.','','none'),(4054,'','default','One translation file imported for the newly installed modules.','','none'),(4055,'','default','@count translation files imported for the newly installed modules.','','none'),(4056,'','default','@count[2] translation files imported for the newly installed modules.','','none'),(4057,'','default','@count[3] translation files imported for the newly installed modules.','','none'),(4058,'','default','@count[4] translation files imported for the newly installed modules.','','none'),(4059,'','default','@count[5] translation files imported for the newly installed modules.','','none'),(4060,'','default','One translation file imported for the enabled modules.','','none'),(4061,'','default','@count translation files imported for the enabled modules.','','none'),(4062,'','default','@count[2] translation files imported for the enabled modules.','','none'),(4063,'','default','@count[3] translation files imported for the enabled modules.','','none'),(4064,'','default','@count[4] translation files imported for the enabled modules.','','none'),(4065,'','default','@count[5] translation files imported for the enabled modules.','','none'),(4066,'','default','Abkhazian','','none'),(4067,'','default','Avestan','','none'),(4068,'','default','Afrikaans','','none'),(4069,'','default','Akan','','none'),(4070,'','default','Amharic','','none'),(4071,'','default','Assamese','','none'),(4072,'','default','Avar','','none'),(4073,'','default','Aymara','','none'),(4074,'','default','Azerbaijani','','none'),(4075,'','default','Bashkir','','none'),(4076,'','default','Belarusian','','none'),(4077,'','default','Bihari','','none'),(4078,'','default','Bislama','','none'),(4079,'','default','Bambara','','none'),(4080,'','default','Bengali','','none'),(4081,'','default','Tibetan','','none'),(4082,'','default','Breton','','none'),(4083,'','default','Bosnian','','none'),(4084,'','default','Chechen','','none'),(4085,'','default','Chamorro','','none'),(4086,'','default','Corsican','','none'),(4087,'','default','Cree','','none'),(4088,'','default','Old Slavonic','','none'),(4089,'','default','Chuvash','','none'),(4090,'','default','Welsh','','none'),(4091,'','default','Maldivian','','none'),(4092,'','default','Bhutani','','none'),(4093,'','default','Ewe','','none'),(4094,'','default','Esperanto','','none'),(4095,'','default','Estonian','','none'),(4096,'','default','Basque','','none'),(4097,'','default','Persian','','none'),(4098,'','default','Fulah','','none'),(4099,'','default','Faeroese','','none'),(4100,'','default','Frisian','','none'),(4101,'','default','Irish','','none'),(4102,'','default','Scots Gaelic','','none'),(4103,'','default','Galician','','none'),(4104,'','default','Guarani','','none'),(4105,'','default','Gujarati','','none'),(4106,'','default','Manx','','none'),(4107,'','default','Hausa','','none'),(4108,'','default','Hiri Motu','','none'),(4109,'','default','Armenian','','none'),(4110,'','default','Herero','','none'),(4111,'','default','Interlingua','','none'),(4112,'','default','Interlingue','','none'),(4113,'','default','Igbo','','none'),(4114,'','default','Inupiak','','none'),(4115,'','default','Icelandic','','none'),(4116,'','default','Inuktitut','','none'),(4117,'','default','Javanese','','none'),(4118,'','default','Georgian','','none'),(4119,'','default','Kongo','','none'),(4120,'','default','Kikuyu','','none'),(4121,'','default','Kwanyama','','none'),(4122,'','default','Kazakh','','none'),(4123,'','default','Greenlandic','','none'),(4124,'','default','Cambodian','','none'),(4125,'','default','Kannada','','none'),(4126,'','default','Kanuri','','none'),(4127,'','default','Kashmiri','','none'),(4128,'','default','Kurdish','','none'),(4129,'','default','Cornish','','none'),(4130,'','default','Latin','','none'),(4131,'','default','Luxembourgish','','none'),(4132,'','default','Luganda','','none'),(4133,'','default','Lingala','','none'),(4134,'','default','Laothian','','none'),(4135,'','default','Latvian','','none'),(4136,'','default','Malagasy','','none'),(4137,'','default','Marshallese','','none'),(4138,'','default','Macedonian','','none'),(4139,'','default','Malayalam','','none'),(4140,'','default','Mongolian','','none'),(4141,'','default','Moldavian','','none'),(4142,'','default','Marathi','','none'),(4143,'','default','Malay','','none'),(4144,'','default','Maltese','','none'),(4145,'','default','Burmese','','none'),(4146,'','default','North Ndebele','','none'),(4147,'','default','Nepali','','none'),(4148,'','default','Ndonga','','none'),(4149,'','default','Norwegian Bokmål','','none'),(4150,'','default','Norwegian Nynorsk','','none'),(4151,'','default','South Ndebele','','none'),(4152,'','default','Chichewa','','none'),(4153,'','default','Occitan','','none'),(4154,'','default','Oromo','','none'),(4155,'','default','Oriya','','none'),(4156,'','default','Ossetian','','none'),(4157,'','default','Punjabi','','none'),(4158,'','default','Pali','','none'),(4159,'','default','Pashto','','none'),(4160,'','default','Portuguese, Portugal','','none'),(4161,'','default','Portuguese, Brazil','','none'),(4162,'','default','Quechua','','none'),(4163,'','default','Rhaeto-Romance','','none'),(4164,'','default','Kirundi','','none'),(4165,'','default','Kinyarwanda','','none'),(4166,'','default','Sanskrit','','none'),(4167,'','default','Sardinian','','none'),(4168,'','default','Sindhi','','none'),(4169,'','default','Northern Sami','','none'),(4170,'','default','Sango','','none'),(4171,'','default','Serbo-Croatian','','none'),(4172,'','default','Sinhala','','none'),(4173,'','default','Slovenian','','none'),(4174,'','default','Samoan','','none'),(4175,'','default','Shona','','none'),(4176,'','default','Albanian','','none'),(4177,'','default','Serbian','','none'),(4178,'','default','Siswati','','none'),(4179,'','default','Sesotho','','none'),(4180,'','default','Sudanese','','none'),(4181,'','default','Swahili','','none'),(4182,'','default','Tamil','','none'),(4183,'','default','Telugu','','none'),(4184,'','default','Tajik','','none'),(4185,'','default','Thai','','none'),(4186,'','default','Tigrinya','','none'),(4187,'','default','Turkmen','','none'),(4188,'','default','Tagalog','','none'),(4189,'','default','Setswana','','none'),(4190,'','default','Tsonga','','none'),(4191,'','default','Tatar','','none'),(4192,'','default','Twi','','none'),(4193,'','default','Tahitian','','none'),(4194,'','default','Ukrainian','','none'),(4195,'','default','Urdu','','none'),(4196,'','default','Uzbek','','none'),(4197,'','default','Venda','','none'),(4198,'','default','Vietnamese','','none'),(4199,'','default','Wolof','','none'),(4200,'','default','Xhosa','','none'),(4201,'','default','Yiddish','','none'),(4202,'','default','Yoruba','','none'),(4203,'','default','Zhuang','','none'),(4204,'','default','Chinese, Simplified','','none'),(4205,'','default','Chinese, Traditional','','none'),(4206,'','default','Zulu','','none'),(4207,'','default','Error sending e-mail (from %from to %to).','','none'),(4208,'','default','sort ascending','','none'),(4209,'','default','sort descending','','none'),(4210,'','default','Operations on Unicode strings are emulated on a best-effort basis. Install the <a href=\"@url\">PHP mbstring extension</a> for improved Unicode support.','','none'),(4211,'','default','Multibyte string function overloading in PHP is active and must be disabled. Check the php.ini <em>mbstring.func_overload</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(4212,'','default','Multibyte string input conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.encoding_translation</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(4213,'','default','Multibyte string input conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.http_input</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(4214,'','default','Multibyte string output conversion in PHP is active and must be disabled. Check the php.ini <em>mbstring.http_output</em> setting. Please refer to the <a href=\"@url\">PHP mbstring documentation</a> for more information.','','none'),(4215,'','default','Could not convert XML encoding %s to UTF-8.','','none'),(4216,'','default','Unsupported encoding %s. Please install iconv, GNU recode or mbstring for PHP.','','none'),(4217,'','default','Parse error. Not well formed','','none'),(4218,'','default','Parse error. Request not well formed.','','none'),(4219,'','default','Server error. Invalid XML-RPC. Request must be a methodCall.','','none'),(4220,'','default','Server error. Requested method @methodname not specified.','','none'),(4221,'','default','Server error. Wrong number of method parameters.','','none'),(4222,'','default','Server error. Invalid method parameters.','','none'),(4223,'','default','Server error. Requested function @method does not exist.','','none'),(4224,'','default','Invalid syntax for system.multicall.','','none'),(4225,'','default','Recursive calls to system.multicall are forbidden.','','none'),(4226,'','default','Server error. Requested method @methodname signature not specified.','','none'),(4227,'','default','The name of the feed (or the name of the website providing the feed).','','none'),(4228,'','default','Categorize news items','','none'),(4229,'','default','Are you sure you want to remove all items from the feed %feed?','','none'),(4230,'','default','checkboxes','','none'),(4231,'','default','multiple selector','','none'),(4232,'','default','Thousands of sites (particularly news sites and blogs) publish their latest headlines and posts in feeds, using a number of standardized XML-based formats. Formats supported by the aggregator include <a href=\"@rss\">RSS</a>, <a href=\"@rdf\">RDF</a>, and <a href=\"@atom\">Atom</a>.','','none'),(4233,'','default','Current feeds are listed below, and <a href=\"@addfeed\">new feeds may be added</a>. For each feed or feed category, the <em>latest items</em> block may be enabled at the <a href=\"@block\">blocks administration page</a>.','','none'),(4234,'','default','Add a feed in RSS, RDF or Atom format. A feed may only have one entry.','','none'),(4235,'','default','Categories allow feed items from different feeds to be grouped together. For example, several sport-related feeds may belong to a category named <em>Sports</em>. Feed items may be grouped automatically (by selecting a category when creating or editing a feed) or manually (via the <em>Categorize</em> page available from feed item listings). Each category provides its own feed page and block.','','none'),(4236,'','default','Configure which content your site aggregates from other sites, how often it polls them, and how they\'re categorized.','','none'),(4237,'','default','Update items','','none'),(4238,'','default','Edit feed','','none'),(4239,'','default','No blocks in this region','','none'),(4240,'','default','The block %info was assigned to the invalid region %region and has been disabled.','','none'),(4241,'; modules/block/block.js','default','The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.','','none'),(4242,'','default','Post new blog entry.','','none'),(4243,'','default','You are not allowed to post a new blog entry.','','none'),(4244,'','default','You have not created any blog entries.','','none'),(4245,'','default','!author has not created any blog entries.','','none'),(4246,'','default','No blog entries have been created.','','none'),(4247,'','default','!username\'s blog','','7.34'),(4248,'','default','Read the latest blog entries.','','none'),(4249,'','default','The content type for the %add-child link must be one of those selected as an allowed book outline type.','','none'),(4250,'','default','Save book pages','','none'),(4251,'','default','This book has been modified by another user, the changes could not be saved.','','none'),(4252,'','default','Title changed from %original to %current.','','none'),(4253,'','default','Updated book %title.','','none'),(4254,'','default','book: updated %title.','','none'),(4255,'','default','Update book outline','','none'),(4256,'','default','Remove from book outline','','none'),(4257,'','default','No changes were made','','none'),(4258,'','default','The post has been added to the selected book. You may now position it relative to other pages.','','none'),(4259,'','default','The book outline has been updated.','','none'),(4260,'','default','There was an error adding the post to the book.','','none'),(4261,'','default','%title has associated child pages, which will be relocated automatically to maintain their connection to the book. To recreate the hierarchy (as it was before removing this page), %title may be added again using the Outline tab, and each of its former child pages will need to be relocated manually.','','none'),(4262,'','default','%title may be added to hierarchy again using the Outline tab.','','none'),(4263,'','default','Are you sure you want to remove %title from the book hierarchy?','','none'),(4264,'','default','The post has been removed from the book.','','none'),(4265,'','default','Show a printer-friendly version of this book page and its sub-pages.','','none'),(4266,'','default','Show block on all pages','','none'),(4267,'','default','Show block only on book pages','','none'),(4268,'','default','If <em>Show block on all pages</em> is selected, the block will contain the automatically generated menus for all of the site\'s books. If <em>Show block only on book pages</em> is selected, the block will contain only the one menu corresponding to the current page\'s book. In this case, if the current page is not in a book, no block will be displayed. The <em>Page specific visibility settings</em> or other visibility settings can be used in addition to selectively display this block.','','none'),(4269,'','default','This is the top-level page in this book.','','none'),(4270,'','default','No book selected.','','none'),(4271,'','default','The parent page in the book. The maximum depth for a book and all child pages is !maxdepth. Some pages in the selected book may not be available as parents if selecting them would exceed this limit.','','none'),(4272,'','default','%title is part of a book outline, and has associated child pages. If you proceed with deletion, the child pages will be relocated automatically.','','none'),(4273,'','default','Re-order book pages and change titles','','none'),(4274,'','default','Book page','','none'),(4275,'','default','Base color','','none'),(4276,'','default','Header top','','none'),(4277,'','default','Header bottom','','none'),(4278,'','default','There is not enough memory available to PHP to change this theme\'s color scheme. You need at least %size more. Check the <a href=\"@url\">PHP documentation</a> for more information.','','none'),(4279,'','default','Delete the selected comments','','none'),(4280,'','default','Allows users to comment on and discuss published content.','','none'),(4281,'','default','Example: \'website feedback\' or \'product information\'.','','none'),(4282,'','default','When listing categories, those with lighter (smaller) weights get listed before categories with heavier (larger) weights. Categories with equal weights are sorted alphabetically.','','none'),(4283,'','default','The contact form has not been configured. <a href=\"@add\">Add one or more categories</a> to the form.','','none'),(4284,'','default','Personal contact form','','7.32'),(4285,'','default','Edit contact category','','none'),(4286,'','default','Enables the use of both personal and site-wide contact forms.','','none'),(4287,'','default','Database logging','','none'),(4288,'','default','Logs and records system events to the database.','','none'),(4289,'','default','No roles may use this format','','none'),(4290,'','default','Allowed HTML tags: @tags','','7.34'),(4291,'','default','Anchors are used to make links to other pages.','','none'),(4292,'','default','By default line break tags are automatically added, so use this tag to add additional ones. Use of this tag is different because it is not used with an open/close pair like all the others. Use the extra \" /\" inside the tag to maintain XHTML 1.0 compatibility','','none'),(4293,'','default','Text with <br />line break','','none'),(4294,'','default','By default paragraph tags are automatically added, so use this tag to add additional ones.','','none'),(4295,'','default','Paragraph one.','','none'),(4296,'','default','Paragraph two.','','none'),(4297,'','default','Strong','','7.32'),(4298,'','default','Emphasized','','none'),(4299,'','default','Cited','','none'),(4300,'','default','Coded text used to show programming source code','','none'),(4301,'','default','Coded','','none'),(4302,'','default','Bolded','','none'),(4303,'','default','Italicized','','none'),(4304,'','default','Superscripted','','none'),(4305,'','default','<sup>Super</sup>scripted','','none'),(4306,'','default','Subscripted','','none'),(4307,'','default','<sub>Sub</sub>scripted','','none'),(4308,'','default','<abbr title=\"Abbreviation\">Abbrev.</abbr>','','none'),(4309,'','default','<acronym title=\"Three-Letter Acronym\">TLA</acronym>','','none'),(4310,'','default','Block quoted','','none'),(4311,'','default','Quoted inline','','none'),(4312,'','default','Table header','','none'),(4313,'','default','Table cell','','none'),(4314,'','default','Ordered list - use the &lt;li&gt; to begin each list item','','none'),(4315,'','default','First item','','none'),(4316,'','default','Second item','','none'),(4317,'','default','Unordered list - use the &lt;li&gt; to begin each list item','','none'),(4318,'','default','Definition lists are similar to other HTML lists. &lt;dl&gt; begins the definition list, &lt;dt&gt; begins the definition term and &lt;dd&gt; begins the definition description.','','none'),(4319,'','default','First term','','none'),(4320,'','default','First definition','','none'),(4321,'','default','Second term','','none'),(4322,'','default','Second definition','','none'),(4323,'','default','Subtitle three','','none'),(4324,'','default','Subtitle four','','none'),(4325,'','default','Subtitle five','','none'),(4326,'','default','Subtitle six','','none'),(4327,'','default','Tag Description','','none'),(4328,'','default','You Type','','none'),(4329,'','default','You Get','','none'),(4330,'','default','No help provided for tag %tag.','','none'),(4331,'','default','Ampersand','','none'),(4332,'','default','Quotation mark','','none'),(4333,'','default','Character Description','','none'),(4334,'','default','Lines and paragraphs break automatically.','','7.34'),(4335,'','default','Lines and paragraphs are automatically recognized. The &lt;br /&gt; line break, &lt;p&gt; paragraph and &lt;/p&gt; close paragraph tags are inserted automatically. If paragraphs are not recognized simply add a couple blank lines.','','none'),(4336,'','default','Web page addresses and e-mail addresses turn into links automatically.','','7.34'),(4337,'','default','Short but meaningful name for this collection of threaded discussions.','','none'),(4338,'','default','Description and guidelines for discussions within this forum.','','none'),(4339,'','default','Forums are displayed in ascending order by weight (forums with equal weights are displayed alphabetically).','','none'),(4340,'','default','Short but meaningful name for this collection of related forums.','','none'),(4341,'','default','Description and guidelines for forums within this container.','','none'),(4342,'','default','Containers are displayed in ascending order by weight (containers with equal weights are displayed alphabetically).','','none'),(4343,'','default','Deleting a forum or container will also delete its sub-forums, if any. To delete posts in this forum, visit <a href=\"@content\">content administration</a> first. This action cannot be undone.','','none'),(4344,'','default','Default number of forum topics displayed per page.','','none'),(4345,'','default','Default display order for topics.','','none'),(4346,'','default','Containers are usually placed at the top (root) level, but may also be placed inside another container or forum.','','none'),(4347,'','default','Forums may be placed at the top (root) level, or inside another container or forum.','','none'),(4348,'','default','For more information, see the online handbook entry for <a href=\"@forum\">Forum module</a>.','','none'),(4349,'','default','Forum topic','','none'),(4350,'','default','You are not allowed to post new content in the forum.','','none'),(4351,'','default','Manages the display of online help.','','none'),(4352,'','default','Note that the <em>.po</em> files within a translation package are imported automatically (if available) when new modules or themes are enabled, or as new languages are added. Since this page only allows the import of one <em>.po</em> file at a time, it may be simpler to download and extract a translation package into your Drupal installation directory and <a href=\"@language-add\">add the language</a> (which automatically imports all <em>.po</em> files within the package). Translation packages are available for download on the <a href=\"@translations\">Drupal translation page</a>.','','none'),(4353,'','default','This page exports the translated strings used by your site. An export file may be in Gettext Portable Object (<em>.po</em>) form, which includes both the original string and the translation (used to share translations with others), or in Gettext Portable Object Template (<em>.pot</em>) form, which includes the original strings only (used to create new translations with a Gettext translation editor).','','none'),(4354,'','default','This account\'s default language for e-mails.','','none'),(4355,'','default','A path alias set for a specific language will always be used when displaying this page in that language, and takes precedence over path aliases set for <em>All languages</em>.','','none'),(4356,'','default','Enable multilingual support for this content type. If enabled, a language selection field will be added to the editing form, allowing you to select from one of the <a href=\"!languages\">enabled languages</a>. If disabled, new posts are saved with the default language. Existing content will not be affected by changing this option.','','none'),(4357,'','default','Adds language handling functionality and enables the translation of the user interface to languages other than English.','','none'),(4358,'','default','Submission form settings','','none'),(4359,'','default','This content type does not have a title field.','','none'),(4360,'','default','The machine-readable name must contain only lowercase letters, numbers, and underscores.','','none'),(4361,'','default','The human-readable name %name is already taken.','','none'),(4362,'','default','Are you sure you want to delete the content type %type?','','none'),(4363,'','default','Added content type %name.','','none'),(4364,'','default','Changed the content type of 1 post from %old-type to %type.','','none'),(4365,'','default','Changed the content type of @count posts from %old-type to %type.','','none'),(4366,'','default','Changed the content type of @count[2] posts from %old-type to %type.','','none'),(4367,'','default','Changed the content type of @count[3] posts from %old-type to %type.','','none'),(4368,'','default','Changed the content type of @count[4] posts from %old-type to %type.','','none'),(4369,'','default','Changed the content type of @count[5] posts from %old-type to %type.','','none'),(4370,'','default','Are you sure you want to rebuild the permissions on site content?','','none'),(4371,'','default','This action rebuilds all permissions on site content, and may be a lengthy process. This action cannot be undone.','','none'),(4372,'','default','language','','none'),(4373,'','default','An error occurred and processing did not complete.','','none'),(4374,'','default','The trimmed version of your post shows what your post looks like when promoted to the main page or when exported for syndication.<span class=\"no-js\"> You can insert the delimiter \"&lt;!--break--&gt;\" (without the quotes) to fine-tune where your post gets split.</span>','','none'),(4375,'','default','Copy of the revision from %date.','','none'),(4376,'','default','@type %title has been reverted back to the revision from %revision-date.','','none'),(4377,'','default','Revision from %revision-date of @type %title has been deleted.','','none'),(4378,'','default','@type: reverted %title revision %revision.','','none'),(4379,'','default','The content access permissions need to be rebuilt.','','none'),(4380,'','default','<strong>Configure your website</strong> Once logged in, visit the <a href=\"@admin\">administration section</a>, where you can <a href=\"@config\">customize and configure</a> all aspects of your website.','','none'),(4381,'','default','<strong>Enable additional functionality</strong> Next, visit the <a href=\"@modules\">module list</a> and enable features which suit your specific needs. You can find additional modules in the <a href=\"@download_modules\">Drupal modules download section</a>.','','none'),(4382,'','default','<strong>Customize your website design</strong> To change the \"look and feel\" of your website, visit the <a href=\"@themes\">themes section</a>. You may choose from one of the included themes or download additional themes from the <a href=\"@download_themes\">Drupal themes download section</a>.','','none'),(4383,'','default','Rebuilding content access permissions','','none'),(4384,'','default','Content permissions have been rebuilt.','','none'),(4385,'','default','The content access permissions have not been properly rebuilt.','','none'),(4386,'','default','Revert to earlier revision','','none'),(4387,'','default','Delete earlier revision','','none'),(4388,'','default','Allows content to be submitted to the site and displayed on pages.','','none'),(4389,'','default','To use OpenID you must first establish an identity on a public or private OpenID server. If you do not have an OpenID and would like one, look into one of the <a href=\"@openid-providers\">free public providers</a>. You can find out more about OpenID at <a href=\"@openid-net\">this website</a>.','','none'),(4390,'','default','OpenID identities','','none'),(4391,'','default','Allows users to log into your site using OpenID.','','none'),(4392,'','default','The alias %alias is already in use in this language.','','none'),(4393,'','default','The alias has been saved.','','none'),(4394,'','default','Are you sure you want to delete path alias %title?','','none'),(4395,'','default','Filter aliases','','none'),(4396,'','default','Enter the path you wish to create the alias for, followed by the name of the new alias.','','none'),(4397,'','default','Edit alias','','none'),(4398,'','default','Delete alias','','none'),(4399,'','default','Allows users to rename URLs.','','none'),(4400,'','default','<a href=\"@drupal\">Drupal.org</a> offers <a href=\"@php-snippets\">some example PHP snippets</a>, or you can create your own with some PHP experience and knowledge of the Drupal system.','','none'),(4401,'','default','You may post PHP code. You should include &lt;?php ?&gt; tags.','','7.34'),(4402,'','default','Using custom PHP code','','none'),(4403,'','default','Custom PHP code may be embedded in some types of site content, including posts and blocks. While embedding PHP code inside a post or block is a powerful and flexible feature when used by a trusted user with PHP experience, it is a significant and dangerous security risk when used improperly. Even a small mistake when posting PHP code may accidentally compromise your site.','','none'),(4404,'','default','If you are unfamiliar with PHP, SQL, or Drupal, avoid using custom PHP code within posts. Experimenting with PHP may corrupt your database, render your site inoperable, or significantly compromise security.','','none'),(4405,'','default','Notes:','','none'),(4406,'','default','Remember to double-check each line for syntax and logic errors <strong>before</strong> saving.','','none'),(4407,'','default','Statements must be correctly terminated with semicolons.','','none'),(4408,'','default','Global variables used within your PHP code retain their values after your script executes.','','none'),(4409,'','default','<code>register_globals</code> is <strong>turned off</strong>. If you need to use forms, understand and use the functions in <a href=\"@formapi\">the Drupal Form API</a>.','','none'),(4410,'','default','Use a <code>print</code> or <code>return</code> statement in your code to output content.','','none'),(4411,'','default','Develop and test your PHP code using a separate test script and sample database before deploying on a production site.','','none'),(4412,'','default','Consider including your custom PHP code within a site-specific module or <code>template.php</code> file rather than embedding it directly into a post or block.','','none'),(4413,'','default','Be aware that the ability to embed PHP code within content is provided by the PHP Filter module. If this module is disabled or deleted, then blocks and posts with embedded PHP may display, rather than execute, the PHP code.','','none'),(4414,'','default','A basic example: <em>Creating a \"Welcome\" block that greets visitors with a simple message.</em>','','none'),(4415,'','default','Allows embedded PHP code/snippets to be evaluated.','','none'),(4416,'','default','Total votes: @votes','','none'),(4417,'','default','Most recent poll','','none'),(4418,'','default','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','','none'),(4419,'','default','Poll status','','none'),(4420,'','default','When a poll is closed, visitors can no longer vote for it.','','none'),(4421,'','default','After this period, the poll will be closed automatically.','','none'),(4422,'','default','Negative values are not allowed.','','none'),(4423,'','default','Your vote could not be recorded because you did not select any of the choices.','','none'),(4424,'','default','Vote count','','none'),(4425,'','default','Polls','','none'),(4426,'','default','Profile fields have been updated.','','none'),(4427,'','default','No fields in this category. If this category remains empty when saved, it will be removed.','','none'),(4428,'','default','The name of the field. The form name is not shown to the user but used internally in the HTML code and URLs.\nUnless you know what you are doing, it is highly recommended that you prefix the form name with <code>profile_</code> to avoid name clashes with other fields. Spaces or any other special characters except dash (-) and underscore (_) are not allowed. An example name is \"profile_favorite_color\" or perhaps just \"profile_color\".','','none'),(4429,'','default','A list of all options. Put each option on a separate line. Example options are \"red\", \"blue\", \"green\", etc.','','none'),(4430,'','default','Hidden profile field, only accessible by administrators, modules and themes.','','none'),(4431,'','default','Private field, content only available to privileged users.','','none'),(4432,'','default','Public field, content shown on profile page but not used on member list pages.','','none'),(4433,'','default','Public field, content shown on profile page and on member list pages.','','none'),(4434,'','default','The weights define the order in which the form fields are shown. Lighter fields \"float up\" towards the top of the category.','','none'),(4435,'','default','Form will auto-complete while user is typing.','','none'),(4436,'','default','For security, auto-complete will be disabled if the user does not have access to user profiles.','','none'),(4437,'','default','The specified form name contains one or more illegal characters. Spaces or any other special characters except dash (-) and underscore (_) are not allowed.','','none'),(4438,'','default','The specified form name is reserved for use by Drupal.','','none'),(4439,'','default','The specified category name is reserved for use by Drupal.','','none'),(4440,'','default','The specified title is already in use.','','none'),(4441,'','default','The specified name is already in use.','','none'),(4442,'','default','A hidden field cannot be required.','','none'),(4443,'','default','A hidden field cannot be set to visible on the user registration form.','','none'),(4444,'','default','The field has been created.','','none'),(4445,'','default','Are you sure you want to delete the field %field?','','none'),(4446,'','default','This action cannot be undone. If users have entered values into this field in their profile, these entries will also be deleted. If you want to keep the user-entered data, instead of deleting the field you may wish to <a href=\"@edit-field\">edit this field</a> and change it to a hidden profile field so that it may only be accessed by administrators.','','none'),(4447,'','default','The field %field has been deleted.','','none'),(4448,'','default','Profile field %field added under category %category.','','none'),(4449,'','default','Profile field %field deleted.','','none'),(4450,'','default','User list','','none'),(4451,'','default','single-line textfield','','none'),(4452,'','default','multi-line textfield','','none'),(4453,'','default','checkbox','','none'),(4454,'','default','list selection','','none'),(4455,'','default','freeform list','','none'),(4456,'','default','Author information','','none'),(4457,'','default','Link to full user profile','','none'),(4458,'','default','Profile fields to display','','none'),(4459,'','default','Select which profile fields you wish to display in the block. Only fields designated as public in the <a href=\"@profile-admin\">profile field configuration</a> are available.','','none'),(4460,'','default','View full user profile','','none'),(4461,'','default','About %name','','none'),(4462,'','default','Put each item on a separate line or separate them by commas. No HTML allowed.','','none'),(4463,'','default','The value provided for %field is not a valid URL.','','none'),(4464,'','default','Create customizable fields for your users.','','none'),(4465,'','default','Profile category autocomplete','','none'),(4466,'','default','Edit field','','none'),(4467,'','default','Delete field','','none'),(4468,'','default','Profile autocomplete','','none'),(4469,'','default','Supports configurable user profiles.','','none'),(4470,'','default','The index will be rebuilt.','','none'),(4471,'','default','Indexing status','','none'),(4472,'','default','Indexing throttle','','none'),(4473,'','default','Number of items to index per cron run','','none'),(4474,'','default','The maximum number of items indexed in each pass of a <a href=\"@cron\">cron maintenance task</a>. If necessary, reduce the number of items to prevent timeouts and memory errors while indexing.','','none'),(4475,'','default','Indexing settings','','none'),(4476,'','default','<p><em>Changing the settings below will cause the site index to be rebuilt. The search index is not cleared but systematically updated to reflect the new settings. Searching will continue to work but new content won\'t be indexed until all existing content has been re-indexed.</em></p><p><em>The default settings should be appropriate for the majority of sites.</em></p>','','none'),(4477,'','default','Minimum word length to index','','none'),(4478,'','default','The number of characters a word has to be to be indexed. A lower setting means better search result ranking, but also a larger database. Each search query must contain at least one keyword that is this size (or longer).','','none'),(4479,'','default','Simple CJK handling','','none'),(4480,'','default','Whether to apply a simple Chinese/Japanese/Korean tokenizer based on overlapping sequences. Turn this off if you want to use an external preprocessor for this instead. Does not affect other languages.','','none'),(4481,'','default','The search engine maintains an index of words found in your site\'s content. To build and maintain this index, a correctly configured <a href=\"@cron\">cron maintenance task</a> is required. Indexing behavior can be adjusted using the settings below.','','none'),(4482,'','default','Search form','','7.34'),(4483,'','default','Enables site-wide keyword searching.','','none'),(4484,'','default','Total page generation time','','none'),(4485,'','default','%time ms','','none'),(4486,'','default','Top pages in the past %interval','','none'),(4487,'','default','Top visitors in the past %interval','','none'),(4488,'','default','Top referrers in the past %interval','','none'),(4489,'','default','Log each page access. Required for referrer statistics.','','none'),(4490,'','default','Older access log entries (including referrer statistics) will be automatically discarded. (Requires a correctly configured <a href=\"@cron\">cron maintenance task</a>.)','','none'),(4491,'','default','Content viewing counter settings','','none'),(4492,'','default','Count content views','','none'),(4493,'','default','Increment a counter each time content is viewed.','','none'),(4494,'','default','Settings for the statistical information that Drupal will keep about the site. See <a href=\"@statistics\">site statistics</a> for the actual information.','','none'),(4495,'','default','This page displays the site\'s most recent hits.','','none'),(4496,'','default','This page displays all external referrers, or external references to your website.','','none'),(4497,'','default','When you ban a visitor, you prevent the visitor\'s IP address from accessing your site. Unlike blocking a user, banning a visitor works even for anonymous users. This is most commonly used to block resource-intensive bots or web crawlers.','','none'),(4498,'','default','Popular content','','7.34'),(4499,'','default','How many content items to display in \"all time\" list.','','none'),(4500,'','default','How many content items to display in \"recently viewed\" list.','','none'),(4501,'','default','Today\'s:','','none'),(4502,'','default','All time:','','none'),(4503,'','default','Last viewed:','','none'),(4504,'','default','View access log.','','none'),(4505,'','default','Logs access statistics for your site.','','none'),(4506,'','default','Logs and records system events to syslog.','','none'),(4507,'','default','User pictures in posts','','none'),(4508,'','default','User pictures in comments','','none'),(4509,'','default','Shortcut icon','','none'),(4510,'','default','Logo image settings','','none'),(4511,'','default','If toggled on, the following logo will be displayed.','','none'),(4512,'','default','Use the default logo','','none'),(4513,'','default','Check here if you want the theme to use the logo supplied with it.','','none'),(4514,'','default','The path to the file you would like to use as your logo file instead of the default logo.','','none'),(4515,'','default','Upload logo image','','none'),(4516,'','default','Shortcut icon settings','','none'),(4517,'','default','Your shortcut icon, or \'favicon\', is displayed in the address bar and bookmarks of most browsers.','','none'),(4518,'','default','Use the default shortcut icon.','','none'),(4519,'','default','Check here if you want the theme to use the default shortcut icon.','','none'),(4520,'','default','The path to the image file you would like to use as your custom shortcut icon.','','none'),(4521,'','default','Upload icon image','','none'),(4522,'','default','If you don\'t have direct file access to the server, use this field to upload your shortcut icon.','','none'),(4523,'','default','@module (<span class=\"admin-missing\">missing</span>)','','none'),(4524,'','default','The following modules will be completely uninstalled from your site, and <em>all data from these modules will be lost</em>!','','none'),(4525,'','default','Confirm uninstall','','none'),(4526,'','default','Would you like to continue with uninstalling the above?','','none'),(4527,'','default','No modules selected.','','none'),(4528,'','default','The selected modules have been uninstalled.','','none'),(4529,'','default','Default 403 (access denied) page','','none'),(4530,'','default','Default 404 (not found) page','','none'),(4531,'','default','Caches cleared.','','7.32'),(4532,'','default','Select an image processing toolkit','','none'),(4533,'','default','Number of items in each feed','','none'),(4534,'','default','Default number of items to include in each feed.','','none'),(4535,'','default','Feed content','','none'),(4536,'','default','Titles plus teaser','','none'),(4537,'','default','Global setting for the default display of content items in each feed.','','none'),(4538,'','default','Cron ran successfully.','','none'),(4539,'','default','Cron run failed.','','none'),(4540,'','default','No modules are available to uninstall.','','none'),(4541,'','default','This theme requires PHP version @php_required and is incompatible with PHP version !php_version.','','none'),(4542,'','default','This page shows you all available administration tasks for each module.','','none'),(4543,'','default','These options control the default display settings for your entire site, across all themes. Unless they have been overridden by a specific theme, these settings will be used.','','none'),(4544,'','default','The <em>Powered by Drupal</em> block is an optional link to the home page of the Drupal project. While there is absolutely no requirement that sites feature this link, it may be used to show support for Drupal.','','none'),(4545,'','default','Here you can find a short overview of your site\'s parameters as well as any problems detected with your installation. It may be useful to copy and paste this information into support requests filed on drupal.org\'s support forums and project issue queues.','','none'),(4546,'','default','Powered by Drupal','','7.34'),(4547,'','default','Could not delete temporary file \"%path\" during garbage collection','','none'),(4548,'','default','Compact mode','','none'),(4549,'','default','Date and time lookup','','none'),(4550,'','default','Clean URL check','','none'),(4551,'','default','-1 (Unlimited)','','none'),(4552,'','default','Your PHP installation is too old. Drupal requires at least PHP %version.','','none'),(4553,'','default','<em>register_globals</em> is enabled. Drupal requires this configuration directive to be disabled. Your site may not be secure when <em>register_globals</em> is enabled. The PHP manual has instructions for <a href=\"http://php.net/configuration.changes\">how to change configuration settings</a>.','','none'),(4554,'','default','Enabled (\'@value\')','','none'),(4555,'','default','Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the installation process.','','none'),(4556,'','default','Consider increasing your PHP memory limit to %memory_minimum_limit to help prevent errors in the update process.','','none'),(4557,'','default','Depending on your configuration, Drupal can run with a %memory_limit PHP memory limit. However, a %memory_minimum_limit PHP memory limit or above is recommended, especially if your site uses additional custom or contributed modules.','','none'),(4558,'','default','Increase the memory limit by editing the memory_limit parameter in the file %configuration-file and then restart your web server (or contact your system administrator or hosting provider for assistance).','','none'),(4559,'','default','Contact your system administrator or hosting provider for assistance with increasing your PHP memory limit.','','none'),(4560,'','default','See the <a href=\"@url\">Drupal requirements</a> for more information.','','none'),(4561,'','default','Not protected','','none'),(4562,'','default','The file %file is not protected from modifications and poses a security risk. You must change the file\'s permissions to be non-writable.','','none'),(4563,'','default','Cron has not run recently.','','none'),(4564,'','default','The directory %directory is not writable.','','none'),(4565,'','default','You may need to set the correct directory at the <a href=\"@admin-file-system\">file system settings page</a> or change the current directory\'s permissions so that it is writable.','','none'),(4566,'','default','Writable (<em>private</em> download method)','','none'),(4567,'','default','Some modules have database schema updates to install. You should run the <a href=\"@update\">database update script</a> immediately.','','none'),(4568,'','default','The update.php script is accessible to everyone without authentication check, which is a security risk. You must change the $update_free_access value in your settings.php back to FALSE.','','none'),(4569,'','default','Handles general site configuration for administrators.','','none'),(4570,'','default','Reset to alphabetical','','none'),(4571,'','default','Terms are displayed in ascending order by weight.','','none'),(4572,'','default','Weight value must be numeric.','','none'),(4573,'','default','Are you sure you want to reset the vocabulary %title to alphabetical order?','','none'),(4574,'','default','Resetting a vocabulary will discard all custom ordering and sort items alphabetically.','','none'),(4575,'','default','Reset vocabulary %name to alphabetical order.','','none'),(4576,'','default','Translations of a piece of content are managed with translation sets. Each translation set has one source post and any number of translations in any of the <a href=\"!languages\">enabled languages</a>. All translations are tracked to be up to date or outdated based on whether the source post was modified significantly.','','none'),(4577,'','default','Translation settings','','none'),(4578,'','default','Flag translations as outdated','','none'),(4579,'','default','If you made a significant change, which means translations should be updated, you can flag all translations of this post as outdated. This will not change any other property of those posts, like whether they are published or not.','','none'),(4580,'','default','This translation needs to be updated','','none'),(4581,'','default','When this option is checked, this translation needs to be updated because the source post has changed. Uncheck when the translation is up to date again.','','none'),(4582,'','default','Content translation','','none'),(4583,'','default','Allows content to be translated into different languages.','','none'),(4584,'','default','Unknown release date','','none'),(4585,'','default','Last checked: @time ago','','none'),(4586,'','default','Last checked: never','','none'),(4587,'','default','Includes: %includes','','none'),(4588,'','default','Disabled modules','','none'),(4589,'','default','Disabled themes','','none'),(4590,'','default','Select how frequently you want to automatically check for new releases of your currently installed modules and themes.','','none'),(4591,'','default','E-mail notification threshold','','none'),(4592,'','default','You can choose to send e-mail only if a security update is available, or to be notified about all newer versions. If there are updates available of Drupal core or any of your installed modules and themes, your site will always print a message on the <a href=\"@status_report\">status report</a> page, and will also display an error message on administration pages if there is a security update.','','none'),(4593,'','default','Here you can find information about available updates for your installed modules and themes. Note that each module or theme is part of a \"project\", which may or may not have the same name, and might include multiple modules or themes within it.','','none'),(4594,'','default','Module and theme update status','','7.34'),(4595,'','default','There are security updates available for one or more of your modules or themes. To ensure the security of your server, you should update immediately!','','7.34'),(4596,'','default','There are updates available for one or more of your modules or themes. To ensure the proper functioning of your site, you should update as soon as possible.','','7.32'),(4597,'','default','Notify user when account is activated.','','none'),(4598,'','default','Notify user when account is blocked.','','none'),(4599,'','default','Picture guidelines','','none'),(4600,'','default','This text is displayed at the picture upload form in addition to the default guidelines. It\'s useful for helping or instructing your users.','','none'),(4601,'','default','The name for this role. Example: \"moderator\", \"editorial board\", \"site architect\".','','none'),(4602,'','default','The role has been renamed.','','none'),(4603,'','default','The role has been deleted.','','none'),(4604,'','default','E-mail new password','','none'),(4605,'','default','Sorry, %name is not recognized as a user name or an e-mail address.','','none'),(4606,'','default','Further instructions have been sent to your e-mail address.','','none'),(4607,'','default','%name has been deleted.','','none'),(4608,'','default','You must enter a username.','','none'),(4609,'','default','The username cannot begin with a space.','','none'),(4610,'','default','The username cannot end with a space.','','none'),(4611,'','default','The username cannot contain multiple spaces in a row.','','none'),(4612,'','default','The username contains an illegal character.','','none'),(4613,'','default','The username %name is too long: it must be %max characters or less.','','none'),(4614,'','default','You must enter an e-mail address.','','none'),(4615,'','default','Who\'s online','','7.34'),(4616,'','default','User list length','','none'),(4617,'','default','Enter the password that accompanies your username.','','7.32'),(4618,'','default','Signature settings','','7.32'),(4619,'','default','Delete picture','','7.32'),(4620,'','default','Check this box to delete your current picture.','','7.32'),(4621,'','default','Unblock the selected users','','none'),(4622,'','default','Block the selected users','','none'),(4623,'','default','This web page allows administrators to register new users. Users\' e-mail addresses and usernames must be unique.','','none'),(4624,'','default','Enter a simple pattern (\"*\" may be used as a wildcard match) to search for a username or e-mail address. For example, one may search for \"br\" and Drupal might return \"brian\", \"brad\", and \"brenda@example.com\".','','none'),(4625,'','default','Deleted user: %name %email.','','none'),(4626,'','default','Edit role','','none'),(4627,'','default','Manages the user registration and login system.','','none'),(4628,'','default','Garland','','none'),(4629,'','default','Run the clean URL test','','none'),(4630,'','default','The title is used as a tool tip when the user hovers the mouse over the image.','','none'),(4631,'','default','Progress indicator','','none'),(4632,'','default','Bar with progress meter','','none'),(4633,'','default','Throbber','','none'),(4634,'','default','The file upload failed. %upload','','none'),(4635,'','default','An unrecoverable error occurred. The uploaded file likely exceeded the maximum file size (@size) that this server supports.','','none'),(4636,'','default','Starting upload...','','none'),(4637,'','default','Uploading... (@current of @total)','','none'),(4638,'','default','Your server is not capable of displaying file upload progress. File upload progress requires PHP be run with mod_php and not as FastCGI.','','none'),(4639,'','default','Your server is capable of displaying file upload progress through APC, but it is not enabled. Add <code>apc.rfc1867 = 1</code> to your php.ini configuration. Alternatively, it is recommended to use <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>, which supports more than one simultaneous upload.','','none'),(4640,'','default','Enabled (<a href=\"http://php.net/manual/en/apc.configuration.php#ini.apc.rfc1867\">APC RFC1867</a>)','','none'),(4641,'','default','Enabled (<a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>)','','none'),(4642,'','default','@size KB','','none'),(4643,'','default','@size MB','','none'),(4644,'','default','@size GB','','none'),(4645,'','default','@size TB','','none'),(4646,'','default','@size PB','','none'),(4647,'','default','@size EB','','none'),(4648,'','default','@size ZB','','none'),(4649,'','default','@size YB','','none'),(4650,'','default','All messages','','7.32'),(4651,'','default','(empty)','','none'),(4652,'','default','No new posts','','none'),(4653,'','default','Sticky topic','','none'),(4654,'','default','The translation file %filename contains an error: \"msgctxt\" is unexpected on line %line.','','none'),(4655,'','default','Region settings','','7.32'),(4656,'','default','Format string','','none'),(4657,'','default','Are you sure you want to remove the format %format?','','none'),(4658,'','default','Removed date format %format.','','none'),(4659,'','default','Delete date format','','none'),(4660,'','default','Allow users to delete a configured date format.','','none'),(4661,'','default','Slate','','none'),(4662,'','default','manage fields','','none'),(4663,'','default','@field_name (Locked)','','none'),(4664,'','default','- Select a field type -','','none'),(4665,'','default','- Select a widget -','','none'),(4666,'','default','Type of data to store.','','none'),(4667,'','default','Form element to edit the data.','','none'),(4668,'','default','- Select an existing field -','','none'),(4669,'','default','Field to share','','none'),(4670,'','default','Add new field: you need to provide a label.','','none'),(4671,'','default','Add new field: you need to provide a field name.','','none'),(4672,'','default','Add new field: you need to select a field type.','','none'),(4673,'','default','Add new field: you need to select a widget.','','none'),(4674,'','default','Add new field: invalid widget.','','none'),(4675,'','default','Add existing field: you need to provide a label.','','none'),(4676,'','default','Add existing field: you need to select a field.','','none'),(4677,'','default','Add existing field: you need to select a widget.','','none'),(4678,'','default','Add existing field: invalid widget.','','none'),(4679,'','default','@type: @field (@label)','','none'),(4680,'','default','The field %field is locked and cannot be edited.','','none'),(4681,'','default','Maximum number of values users can enter for this field.','','none'),(4682,'','default','\'Unlimited\' will provide an \'Add more\' button so the users can add as many values as they like.','','none'),(4683,'','default','%name must be an integer.','','none'),(4684,'','default','%name must be a positive integer.','','none'),(4685,'','default','%name must be a number.','','none'),(4686,'','default','Only numbers are allowed in %field.','','none'),(4687,'','default','update.php','','none'),(4688,'','default','Rotate','','7.34'),(4689,'','default','Show shortcuts','','none'),(4690,'','default','width @width','','none'),(4691,'','default','height @height','','none'),(4692,'','default','upscaling allowed','','none'),(4693,'','default','random between -@degrees&deg and @degrees&deg','','none'),(4694,'','default','@degrees&deg','','none'),(4695,'','default','Database is encoded in UTF-8','','none'),(4696,'','default','Drupal could not determine the encoding of the database was set to UTF-8','','none'),(4697,'','default','PostgreSQL has initialized itself.','','none'),(4698,'','default','Created role of name: @name, id: @rid','','none'),(4699,'','default','User %name successfully logged in.','','none'),(4700,'','default','\"@text\" found','','none'),(4701,'','default','\"@text\" not found','','none'),(4702,'','default','Pattern \"@pattern\" found','','none'),(4703,'','default','Pattern \"@pattern\" not found','','none'),(4704,'','default','Checkbox field @id is checked.','','none'),(4705,'','default','Checkbox field @id is not checked.','','none'),(4706,'','default','Verbose message','','none'),(4707,'','default','Select the test(s) or test group(s) you would like to run, and click <em>Run tests</em>.','','none'),(4708,'','default','All (@count)','','none'),(4709,'','default','Pass (@count)','','none'),(4710,'','default','Fail (@count)','','none'),(4711,'','default','Return to list','','none'),(4712,'','default','Clear results after each complete test suite run','','none'),(4713,'','default','Provide verbose information when running tests','','none'),(4714,'','default','HTTP auth settings to be used by the SimpleTest browser during testing. Useful when the site requires basic HTTP authentication.','','none'),(4715,'','default','@pass, @fail, @exception, and @debug','','none'),(4716,'','default','The test run did not successfully finish.','','none'),(4717,'','default','Clear results is disabled and the test results table will not be cleared.','','none'),(4718,'','default','No leftover tables to remove.','','none'),(4719,'','default','1 debug message','','none'),(4720,'','default','@count debug messages','','none'),(4721,'','default','@count[2] debug messages','','none'),(4722,'','default','@count[3] debug messages','','none'),(4723,'','default','@count[4] debug messages','','none'),(4724,'','default','@count[5] debug messages','','none'),(4725,'','default','Removed 1 test result.','','none'),(4726,'','default','Removed @count test results.','','none'),(4727,'','default','Removed @count[2] test results.','','none'),(4728,'','default','Removed @count[3] test results.','','none'),(4729,'','default','Removed @count[4] test results.','','none'),(4730,'','default','Removed @count[5] test results.','','none'),(4731,'','default','Removed 1 leftover table.','','none'),(4732,'','default','Removed @count leftover tables.','','none'),(4733,'','default','Removed @count[2] leftover tables.','','none'),(4734,'','default','Removed @count[3] leftover tables.','','none'),(4735,'','default','Removed @count[4] leftover tables.','','none'),(4736,'','default','Removed @count[5] leftover tables.','','none'),(4737,'','default','Removed 1 temporary directory.','','none'),(4738,'','default','Removed @count temporary directories.','','none'),(4739,'','default','Removed @count[2] temporary directories.','','none'),(4740,'','default','Removed @count[3] temporary directories.','','none'),(4741,'','default','Removed @count[4] temporary directories.','','none'),(4742,'','default','Removed @count[5] temporary directories.','','none'),(4743,'','default','Test result','','none'),(4744,'','default','View result of tests.','','none'),(4745,'','default','hash','','none'),(4746,'','default','Comment permalink','','none'),(4747,'','default','!site_name blogs','','none'),(4748,'','default','Search block','','none'),(4749,'','default','Edit style','','none'),(4750,'','default','Delete style','','none'),(4751,'','default','Check for updates of disabled modules and themes','','none'),(4752,'','default','Fetcher','','none'),(4753,'','default','This permission is inherited from the authenticated user role.','','none'),(4754,'','default','openid','','none'),(4755,'','default','Submitted by !username on !datetime','','7.34'),(4756,'','default','Administer forums','','none'),(4757,'','default','Cancel account','','7.32'),(4758,'','default','Secondary menu','','none'),(4759,'','default','Administrator role','','none'),(4760,'; modules/node/node.js','default','No revision','','none'),(4761,'; modules/comment/comment-node-form.js','default','@number comments per page','','none'),(4762,'','default','Requires a title','','none'),(4763,'','default','Private files','','none'),(4764,'; modules/block/block.js','default','Not restricted','','none'),(4765,'','default','Other blocks','','none'),(4766,'','default','Poll winner','','none'),(4767,'','default','The winning poll answer.','','none'),(4768,'','default','Poll winner votes','','none'),(4769,'','default','The number of votes received by the winning poll answer.','','none'),(4770,'','default','Poll winner percent','','none'),(4771,'','default','The percentage of votes received by the winning poll answer.','','none'),(4772,'','default','Your OpenID','','none'),(4773,'','default','This OpenID will be attached to your account after registration.','','none'),(4774,'','default','Main page content','','7.34'),(4775,'','default','You are not allowed to access this page.','','none'),(4776,'','default','Authorize file system changes','','none'),(4777,'','default','It appears you have reached this page in error.','','none'),(4778,'','default','authorize.php','','none'),(4779,'','default','Cron could not run because an invalid key was used.','','none'),(4780,'','default','Cron could not run because the site is in maintenance mode.','','none'),(4781,'','default','Check the error messages and <a href=\"!url\">proceed with the installation</a>.','','none'),(4782,'','default','In your %settings_file file you have configured @drupal to use a %driver server, however your PHP installation currently does not support this database type.','','none'),(4783,'','default','Sorry, you must select a language to continue the installation.','','none'),(4784,'','default','We were unable to find any installation profiles. Installation profiles tell us what modules to enable and what schema to install in the database. A profile is necessary to continue with the installation process.','','none'),(4785,'','default','Sorry, the profile you have chosen cannot be loaded.','','none'),(4786,'','default','All necessary changes to %dir and %file have been made, so you should remove write permissions to them now in order to avoid security risks. If you are unsure how to do so, consult the <a href=\"@handbook_url\">online handbook</a>.','','none'),(4787,'','default','Congratulations, you installed @drupal!','','none'),(4788,'','default','Review the messages above before visiting <a href=\"@url\">your new site</a>.','','none'),(4789,'','default','<a href=\"@url\">Visit your new site</a>.','','none'),(4790,'','default','Settings file','','none'),(4791,'','default','The settings file does not exist.','','none'),(4792,'','default','The @drupal installer requires that you create a settings file as part of the installation process. Copy the %default_file file to %file. More details about installing Drupal are available in <a href=\"@install_txt\">INSTALL.txt</a>.','','none'),(4793,'','default','The %file file exists.','','none'),(4794,'','default','The settings file is not writable.','','none'),(4795,'','default','The @drupal installer requires write permissions to %file during the installation process. If you are unsure how to grant file permissions, consult the <a href=\"@handbook_url\">online handbook</a>.','','none'),(4796,'','default','Automated e-mails, such as registration information, will be sent from this address. Use an address ending in your site\'s domain to help prevent these e-mails from being flagged as spam.','','none'),(4797,'','default','Site maintenance account','','none'),(4798,'','default','Select the default country for the site.','','none'),(4799,'','default','Receive e-mail notifications','','none'),(4800,'','default','The system will notify you when updates and important security releases are available for installed components. Anonymous information about your site is sent to <a href=\"@drupal\">Drupal.org</a>.','','none'),(4801,'','default','No pending updates.','','none'),(4802,'','default','1 pending update','','none'),(4803,'','default','@count pending updates','','none'),(4804,'','default','@count[2] pending updates','','none'),(4805,'','default','@count[3] pending updates','','none'),(4806,'','default','@count[4] pending updates','','none'),(4807,'','default','@count[5] pending updates','','none'),(4808,'','default','An error occurred while handling the request: The server received invalid input.','','none'),(4809,'','default','Invalid form POST data.','','none'),(4810,'','default','Unable to continue, no available methods of file transfer','','none'),(4811,'','default','WARNING: You are not using an encrypted connection, so your password will be sent in plain text. <a href=\"@https-link\">Learn more</a>.','','none'),(4812,'','default','To continue, provide your server connection details','','none'),(4813,'','default','Connection method','','none'),(4814,'','default','Enter connection settings','','none'),(4815,'','default','@backend connection settings','','none'),(4816,'','default','Change connection type','','none'),(4817,'','default','Error, this type of connection protocol (%backend) does not exist.','','none'),(4818,'','default','No active batch.','','none'),(4819,'','default','Site under maintenance','','none'),(4820,'','default','Archivers can only operate on local files: %file not supported','','none'),(4821,'','default','The file could not be uploaded, because the destination %destination is invalid.','','none'),(4822,'','default','The file %source could not be uploaded because a file by that name already exists in the destination %directory.','','none'),(4823,'','default','The file\'s name exceeds the 240 characters limit. Please rename the file and try again.','','none'),(4824,'','default','%path is a directory and cannot be removed using file_unmanaged_delete().','','none'),(4825,'','default','The file %path is not of a recognized type so it was not deleted.','','none'),(4826,'','default','The file permissions could not be set on %uri.','','none'),(4827,'','default','Completed @current of @total.','','none'),(4828,'','default','Failed to run all tasks against the database server. The task %task wasn\'t found.','','none'),(4829,'','default','Failed to modify %settings. Verify the file permissions.','','none'),(4830,'','default','Failed to open %settings. Verify the file permissions.','','none'),(4831,'','default','Required modules','','none'),(4832,'','default','Required modules not found.','','none'),(4833,'','default','The following modules are required but were not found. Move them into the appropriate modules subdirectory, such as <em>sites/all/modules</em>. Missing modules: !modules','','none'),(4834,'','default','%module module uninstalled.','','none'),(4835,'','default','The translation file %filepath contains an error: the plural formula could not be parsed.','','none'),(4836,'','default','No strings available.','','none'),(4837,'','default','@count disallowed HTML string(s) in %file','','none'),(4838,'','default','JavaScript translation file %file.js was lost.','','none'),(4839,'','default','Unable to send e-mail. Contact the site administrator if the problem persists.','','7.34'),(4840,'','default','Class %class does not implement interface %interface','','none'),(4841,'','default','Operating in maintenance mode. <a href=\"@url\">Go online.</a>','','none'),(4842,'','default','Operating in maintenance mode.','','none'),(4843,'','default','%module module enabled.','','none'),(4844,'','default','%module module disabled.','','none'),(4845,'','default','Unable to determine the type of the source directory.','','none'),(4846,'','default','Cannot determine the type of project.','','none'),(4847,'','default','Fatal error in update, cowardly refusing to wipe out the install directory.','','none'),(4848,'','default','File Transfer failed, reason: !reason','','none'),(4849,'','default','Unable to create %directory due to the following: %reason','','none'),(4850,'','default','Drupal could not be correctly setup with the existing database. Revise any errors.','','none'),(4851,'','default','No feeds available. <a href=\"@link\">Add feed</a>.','','none'),(4852,'','default','No categories available. <a href=\"@link\">Add category</a>.','','none'),(4853,'','default','The length of time between feed updates. Requires a correctly configured <a href=\"@cron\">cron maintenance task</a>.','','none'),(4854,'','default','News items in block','','none'),(4855,'','default','Drupal can make a block with the most recent news items of this feed. You can <a href=\"@block-admin\">configure blocks</a> to be displayed in the sidebar of your page. This setting lets you configure the number of news items to show in this feed\'s block. If you choose \'0\' this feed\'s block will be disabled.','','none'),(4856,'','default','The URL %url is invalid. Enter a fully-qualified URL, such as http://www.example.com/feed.xml.','','none'),(4857,'','default','A feed named %feed already exists. Enter a unique title.','','none'),(4858,'','default','A feed with this URL %url already exists. Enter a unique URL.','','none'),(4859,'','default','Upload an OPML file containing a list of feeds to be imported.','','none'),(4860,'','default','OPML Remote URL','','none'),(4861,'','default','Enter the URL of an OPML file. This file will be downloaded and processed only once on submission of the form.','','none'),(4862,'','default','Drupal can make a block with the most recent news items of a feed. You can <a href=\"@block-admin\">configure blocks</a> to be displayed in the sidebar of your page. This setting lets you configure the number of news items to show in a feed\'s block. If you choose \'0\' these feeds\' blocks will be disabled.','','none'),(4863,'','default','You must <em>either</em> upload a file or enter a URL.','','none'),(4864,'','default','This URL is not valid.','','none'),(4865,'','default','No new feed has been added.','','none'),(4866,'','default','The URL %url is invalid.','','none'),(4867,'','default','A feed named %title already exists.','','none'),(4868,'','default','A feed with the URL %url already exists.','','none'),(4869,'','default','Fetchers download data from an external source. Choose a fetcher suitable for the external source you would like to download from.','','none'),(4870,'','default','Parsers transform downloaded data into standard structures. Choose a parser suitable for the type of feeds you would like to aggregate.','','none'),(4871,'','default','Processors act on parsed feed data, for example they store feed items. Choose the processors suitable for your task.','','none'),(4872,'','default','For most aggregation tasks, the default settings are fine.','','none'),(4873,'','default','A category named %category already exists. Enter a unique title.','','none'),(4874,'','default','Default fetcher','','none'),(4875,'','default','Downloads data from a URL using Drupal\'s HTTP request handler.','','none'),(4876,'','default','Default parser','','none'),(4877,'','default','Parses RSS, Atom and RDF feeds.','','none'),(4878,'','default','Default processor','','none'),(4879,'','default','Creates lightweight records from feed items.','','none'),(4880,'','default','Default processor settings','','none'),(4881,'','default','Number of items shown in listing pages','','none'),(4882,'','default','Requires a correctly configured <a href=\"@cron\">cron maintenance task</a>.','','none'),(4883,'','default','Select categories using','','none'),(4884,'','default','For a small number of categories, checkboxes are easier to use, while a multiple selector works well with large numbers of categories.','','none'),(4885,'','default','Length of trimmed description','','none'),(4886,'','default','The maximum number of characters used in the trimmed version of content.','','none'),(4887,'','default','The Aggregator module is an on-site syndicator and news reader that gathers and displays fresh content from RSS-, RDF-, and Atom-based feeds made available across the web. Thousands of sites (particularly news sites and blogs) publish their latest headlines in feeds, using a number of standardized XML-based formats. For more information, see the online handbook entry for <a href=\"@aggregator-module\">Aggregator module</a>.','','none'),(4888,'','default','Viewing feeds','','none'),(4889,'','default','Feeds contain published content, and may be grouped in categories, generally by topic. Users view feed content in the <a href=\"@aggregator\">main aggregator display</a>, or by <a href=\"@aggregator-sources\">their source</a> (usually via an RSS feed reader). The most recent content in a feed or category can be displayed as a block through the <a href=\"@admin-block\">Blocks administration page</a>.','','none'),(4890,'','default','Adding, editing, and deleting feeds','','none'),(4891,'','default','Administrators can add, edit, and delete feeds, and choose how often to check each feed for newly updated items on the <a href=\"@feededit\">Feed aggregator administration page</a>.','','none'),(4892,'','default','OPML integration','','none'),(4893,'','default','A <a href=\"@aggregator-opml\">machine-readable OPML file</a> of all feeds is available. OPML is an XML-based file format used to share outline-structured information such as a list of RSS feeds. Feeds can also be <a href=\"@import-opml\">imported via an OPML file</a>.','','none'),(4894,'','default','Configuring cron','','none'),(4895,'','default','A correctly configured <a href=\"@cron\">cron maintenance task</a> is required to update feeds automatically.','','none'),(4896,'','default','<acronym title=\"Outline Processor Markup Language\">OPML</acronym> is an XML format used to exchange multiple feeds between aggregators. A single OPML document may contain a collection of many feeds. Drupal can parse such a file and import all feeds at once, saving you the effort of adding them manually. You may either upload a local file from your computer or enter a URL where Drupal can download it.','','none'),(4897,'','default','Administer news feeds','','none'),(4898,'','default','View news feeds','','none'),(4899,'','default','Configure the behavior of the feed aggregator, including when to discard feed items and how to present feed items and categories.','','none'),(4900,'','default','Override the default title for the block. Use <em>!placeholder</em> to display no title, or leave blank to use the default block title.','','7.32'),(4901,'','default','Specify in which themes and regions this block is displayed.','','7.32'),(4902,'','default','All pages except those listed','','7.32'),(4903,'','default','Only the listed pages','','7.32'),(4904,'','default','Specify pages by using their paths. Enter one path per line. The \'*\' character is a wildcard. Example paths are %blog for the blog page and %blog-wildcard for every personal blog. %front is the front page.','','7.32'),(4905,'','default','Pages on which this PHP code returns <code>TRUE</code> (experts only)','','7.32'),(4906,'','default','Pages or PHP code','','7.32'),(4907,'','default','If the PHP option is chosen, enter PHP code between %php. Note that executing incorrect PHP code can break your Drupal site.','','7.32'),(4908,'','default','Customizable per user','','7.32'),(4909,'; modules/block/block.js','default','Not customizable','','7.32'),(4910,'','default','Customizable, visible by default','','7.32'),(4911,'','default','Customizable, hidden by default','','7.32'),(4912,'','default','Ensure that each block description is unique.','','none'),(4913,'','default','The Block module allows you to create boxes of content, which are rendered into an area, or region, of one or more pages of a website. The core Seven administration theme, for example, implements the regions \"Content\", \"Help\", \"Dashboard main\", and \"Dashboard sidebar\", and a block may appear in any one of these regions. The <a href=\"@blocks\">Blocks administration page</a> provides a drag-and-drop interface for assigning a block to a region, and for controlling the order of blocks within regions. For more information, see the online handbook entry for <a href=\"@block\">Block module</a>.','','none'),(4914,'','default','Positioning content','','none'),(4915,'','default','When working with blocks, remember that all themes do <em>not</em> implement the same regions, or display regions in the same way. Blocks are positioned on a per-theme basis. Users with the <em>Administer blocks</em> permission can disable blocks. Disabled blocks are listed on the <a href=\"@blocks\">Blocks administration page</a>, but are not displayed in any region.','','none'),(4916,'','default','Controlling visibility','','none'),(4917,'','default','Blocks can be configured to be visible only on certain pages, only to users of certain roles, or only on pages displaying certain <a href=\"@content-type\">content types</a>. Administrators can also allow specific blocks to be enabled or disabled by users when they edit their <a href=\"@user\">My account</a> page. Some dynamic blocks, such as those generated by modules, will be displayed only on certain pages.','','none'),(4918,'','default','Creating custom blocks','','none'),(4919,'','default','Users with the <em>Administer blocks</em> permission can <a href=\"@block-add\">add custom blocks</a>, which are then listed on the <a href=\"@blocks\">Blocks administration page</a>. Once created, custom blocks behave just like default and module-generated blocks.','','none'),(4920,'','default','This page provides a drag-and-drop interface for assigning a block to a region, and for controlling the order of blocks within regions. Since not all themes implement the same regions, or display regions in the same way, blocks are positioned on a per-theme basis. Remember that your changes will not be saved until you click the <em>Save blocks</em> button at the bottom of the page. Click the <em>configure</em> link next to each block to configure its specific title and visibility settings.','','none'),(4921,'','default','Demonstrate block regions (@theme)','','none'),(4922,'','default','Administer blocks','','none'),(4923,'','default','A brief description of your block. Used on the <a href=\"@overview\">Blocks administration page</a>.','','none'),(4924,'','default','Personalize blocks','','none'),(4925,'','default','Blocks consist of content or information that complements the main content of the page. Enable or disable optional blocks using the checkboxes below.','','none'),(4926,'','default','Cache blocks','','7.32'),(4927,'','default','Block caching is inactive because you have enabled modules defining content access restrictions.','','none'),(4928,'','default','Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.','','none'),(4929,'; modules/block/block.js','default','Restricted to certain pages','','none'),(4930,'; modules/block/block.js','default','The block cannot be placed in this region.','','none'),(4931,'','default','Single-user blogs','','none'),(4932,'','default','Each user\'s blog entries are automatically displayed with a link to the user\'s main blog page. You can create as many single-user blogs as you have site users with permission to create blog content.','','none'),(4933,'','default','Multi-user blogs','','none'),(4934,'','default','Blog entries from each single-user blog are also aggregated into one central multi-user blog, which displays the blog content of all users in a single listing.','','none'),(4935,'','default','There is an optional <em>Blogs</em> menu item added to the Navigation menu, which displays all blogs available on your site, and a <em>My blog</em> item displaying the current user\'s blog entries.','','none'),(4936,'','default','The Blog module also creates a default <em>Recent blog posts</em> block that may be enabled at the <a href=\"@blocks\">blocks administration page</a>.','','none'),(4937,'','default','Create new blog entry','','7.34'),(4938,'','default','Enables multi-user blogs.','','none'),(4939,'','default','No books available.','','none'),(4940,'','default','Content types allowed in book outlines','','none'),(4941,'','default','Users with the %outline-perm permission can add all content types.','','none'),(4942,'','default','Administer book outlines','','none'),(4943,'','default','The Book module is used for creating structured, multi-page content, such as site resource guides, manuals, and wikis. It allows you to create content that has chapters, sections, subsections, or any similarly-tiered structure. For more information, see the online handbook entry for <a href=\"@book\">Book module</a>.','','none'),(4944,'','default','Adding and managing book content','','none'),(4945,'','default','You can assign separate permissions for <em>creating</em>, <em>editing</em>, and <em>deleting</em> book content, as well as <em>adding content to books</em>, and <em>creating new books</em>. Users with the <em>Administer book outlines</em> permission can add <em>any</em> type of content to a book by selecting the appropriate book outline while editing the content. They can also view a list of all books, and edit and rearrange section titles on the <a href=\"@admin-book\">Book administration page</a>.','','none'),(4946,'','default','Book pages have a default book-specific navigation block. This navigation block contains links that lead to the previous and next pages in the book, and to the level above the current page in the book\'s structure. This block can be enabled on the <a href=\'@admin-block\'>Blocks administration page</a>. For book pages to show up in the book navigation, they must be added to a book outline.','','none'),(4947,'','default','Books can be created collaboratively, as they allow users with appropriate permissions to add pages into existing books, and add those pages to a custom table of contents menu.','','none'),(4948,'','default','Printing books','','none'),(4949,'','default','Users with the <em>View printer-friendly books</em> permission can select the <em>printer-friendly version</em> link visible at the bottom of a book page\'s content to generate a printer-friendly display of the page and all of its subsections.','','none'),(4950,'','default','The book module offers a means to organize a collection of related content pages, collectively known as a book. When viewed, this content automatically displays links to adjacent book pages, providing a simple navigation system for creating and reviewing structured content.','','none'),(4951,'','default','The outline feature allows you to include pages in the <a href=\"@book\">Book hierarchy</a>, as well as move them within the hierarchy or to <a href=\"@book-admin\">reorder an entire book</a>.','','none'),(4952,'','default','Create new books','','none'),(4953,'','default','Add content and child pages to books','','none'),(4954,'','default','View printer-friendly books','','none'),(4955,'','default','View a book page and all of its sub-pages as a single document for ease of printing. Can be performance heavy.','','none'),(4956,'','default','<em>Books</em> have a built-in hierarchical navigation. Use for handbooks or tutorials.','','none'),(4957,'','default','Allows users to create and organize related content in an outline.','','none'),(4958,'','default','The Color module allows users with the <em>Administer site configuration</em> permission to quickly and easily change the color scheme of themes that have been built to be compatible with it. For more information, see the online handbook entry for <a href=\"@color\">Color module</a>.','','none'),(4959,'','default','Changing colors','','none'),(4960,'','default','Using the Color module allows you to easily change the color of links, backgrounds, text, and other theme elements. To change the color settings for a compatible theme, select the <em>Settings</em> link for your theme on the <a href=\'@configure\'>Themes administration page</a>. If you don\'t see a color picker on that page, then your theme is not compatible with the color module. If you are sure that the theme does indeed support the color module, but the color picker does not appear, then <a href=\'@troubleshoot\'>follow these troubleshooting procedures</a>.','','none'),(4961,'','default','The Color module saves a modified copy of the theme\'s specified stylesheets in the files directory. This means that if you make any manual changes to your theme\'s stylesheet, <em>you must save your color settings again, even if they haven\'t changed</em>. This step is required because the module stylesheets (in the files directory) need to be recreated to include your changes.','','none'),(4962,'','default','The GD library for PHP is enabled, but was compiled without PNG support. Check the <a href=\"@url\">PHP image documentation</a> for information on how to correct this.','','none'),(4963,'','default','The GD library for PHP is missing or outdated. Check the <a href=\"@url\">PHP image documentation</a> for information on how to correct this.','','none'),(4964,'','default','Allows administrators to change the color scheme of compatible themes.','','none'),(4965,'','default','Select one or more comments to perform the update on.','','none'),(4966,'','default','There do not appear to be any comments to delete, or your selected comment was deleted by another administrator.','','none'),(4967,'','default','Deleted @count comments.','','none'),(4968,'','default','Deleted comment @cid and its replies.','','none'),(4969,'','default','Comment approved.','','none'),(4970,'','default','The Comment module allows users to comment on site content, set commenting defaults and permissions, and moderate comments. For more information, see the online handbook entry for <a href=\"@comment\">Comment module</a>.','','none'),(4971,'','default','Default and custom settings','','none'),(4972,'','default','Each <a href=\'@content-type\'>content type</a> can have its own default comment settings configured as: <em>Open</em> to allow new comments, <em>Hidden</em> to hide existing comments and prevent new comments, or <em>Closed</em> to view existing comments, but prevent new comments. These defaults will apply to all new content created (changes to the settings on existing content must be done manually). Other comment settings can also be customized per content type, and can be overridden for any given item of content. When a comment has no replies, it remains editable by its author, as long as the author has a user account and is logged in.','','none'),(4973,'','default','Administer comments and comment settings','','none'),(4974,'','default','Edit own comments','','none'),(4975,'','default','Number of recent comments','','none'),(4976,'','default','Threading','','none'),(4977,'','default','Show comment replies in a threaded list.','','none'),(4978,'','default','Default comment setting for new content','','none'),(4979,'','default','Allow comment title','','none'),(4980,'','default','Show reply form on the same page as comments','','none'),(4981,'','default','Users with the \"Post comments\" permission can post comments.','','none'),(4982,'','default','Users cannot post comments, but existing comments will be displayed.','','none'),(4983,'','default','Comments are hidden from view.','','none'),(4984,'','default','Users cannot post comments.','','none'),(4985,'','default','Your comment has been queued for review by site administrators and will be published after approval.','','none'),(4986,'','default','Your comment has been posted.','','none'),(4987,'','default','<a href=\"@login\">Log in</a> or <a href=\"@register\">register</a> to post comments','','7.32'),(4988,'','default','<a href=\"@login\">Log in</a> to post comments','','none'),(4989,'','default','Flat list','','none'),(4990,'','default','Threaded list','','none'),(4991,'','default','Save comment','','7.32'),(4992,'','default','The comment will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, \"Company, Inc.\"','','none'),(4993,'','default','Published comment %subject.','','none'),(4994,'','default','Saved comment %title','','none'),(4995,'','default','Unapproved comments','','none'),(4996,'','default','Example: \'webmaster@example.com\' or \'sales@example.com,support@example.com\' . To specify multiple recipients, separate each e-mail address with a comma.','','none'),(4997,'','default','Category %category has been saved.','','none'),(4998,'','default','You cannot send more than %limit messages in @interval. Try again later.','','none'),(4999,'','default','Contact @username','','none'),(5000,'','default','%sender-name (@sender-from) sent an e-mail regarding %category.','','none'),(5001,'','default','%sender-name (@sender-from) sent %recipient-name an e-mail.','','none'),(5002,'','default','The Contact module allows visitors to contact site administrators and other users. Users specify a subject, write their message, and can have a copy of their message sent to their own e-mail address. For more information, see the online handbook entry for <a href=\"@contact\">Contact module</a>.','','none'),(5003,'','default','User contact forms','','none'),(5004,'','default','Site-wide contact forms','','none'),(5005,'','default','When the site-wide contact form is enabled, a link in the main <em>Navigation</em> menu is created, but the link is disabled by default. This menu link can be enabled on the <a href=\'@menu\'>Menus administration page</a>.','','none'),(5006,'','default','Customization','','none'),(5007,'','default','If you would like additional text to appear on the site-wide or personal contact page, use a block. You can create and edit blocks on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(5008,'','default','Add one or more categories on this page to set up your site-wide <a href=\"@form\">contact form</a>.','','none'),(5009,'','default','If you would like additional text to appear on the site-wide contact page, use a block. You can create and edit blocks on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(5010,'','default','Administer contact forms and contact form settings','','none'),(5011,'','default','Use the site-wide contact form','','none'),(5012,'','default','Use users\' personal contact forms','','none'),(5013,'','default','!sender-name (!sender-url) sent a message using the contact form at !form-url.','','none'),(5014,'','default','[!site-name] !subject','','none'),(5015,'','default','!sender-name (!sender-url) has sent you a message via your contact form (!form-url) at !site-name.','','none'),(5016,'','default','If you don\'t want to receive such e-mails, you can change your settings at !recipient-edit-url.','','none'),(5017,'','default','Allow other users to contact you via a <a href=\"@url\">personal contact form</a> which keeps your e-mail address hidden. Note that some privileged users such as site administrators are still able to contact you even if you choose to disable this feature.','','7.32'),(5018,'','default','Enable the personal contact form by default for new users.','','none'),(5019,'','default','Changing this setting will not affect existing users.','','none'),(5020,'','default','Displaying contextual links','','none'),(5021,'','default','Contextual links are supplied by modules, to give you quick access to tasks associated with regions of pages on your site. For instance, if you have a custom menu block displayed in a sidebar of your site, the Blocks and Menus modules will supply links to configure the block and edit the menu. The Contextual links module collects these links into a list for display by your theme, and also adds JavaScript code to the page to hide the links initially, and display them when your mouse hovers over the block.','','none'),(5022,'','default','Use contextual links','','none'),(5023,'','default','Use contextual links to perform actions related to elements on a page.','','none'),(5024,'','default','Contextual links','','none'),(5025,'','default','Provides contextual links to perform actions related to elements on a page.','','none'),(5026,'','default','Tracking user activity','','none'),(5027,'','default','By enabling blocks such as <em>Who\'s online</em> and <em>Who\'s new</em>, site users can track who is logged in and new user signups at a centralized location.','','none'),(5028,'','default','Tracking content activity','','none'),(5029,'','default','By enabling blocks such as <em>Recent blog posts</em>, <em>New forum topics</em> and <em>Recent comments</em>, site users can view newly added site content at a glance.','','none'),(5030,'','default','View the administrative dashboard','','none'),(5031,'','default','This dashboard region is empty. Click <em>Customize dashboard</em> to add blocks to it.','','none'),(5032,'','default','DRAG HERE','','none'),(5033,'','default','Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.','','none'),(5034,'','default','Clear log messages','','none'),(5035,'','default','This will permanently remove the log messages from the database.','','none'),(5036,'','default','Database log cleared.','','none'),(5037,'','default','The Database logging module logs system events in the Drupal database. For more information, see the online handbook entry for the <a href=\"@dblog\">Database logging module</a>.','','none'),(5038,'','default','Monitoring your site','','none'),(5039,'','default','Debugging site problems','','none'),(5040,'','default','Field validation errors','','none'),(5041,'','default','Attempt to create a field with a name longer than 32 characters: %name','','none'),(5042,'','default','Attempt to create field name %name which already exists and is active.','','none'),(5043,'','default','Attempt to create field name %name which already exists, although it is inactive.','','none'),(5044,'','default','Attempt to create field name %name which is reserved by entity type %type.','','none'),(5045,'','default','Attempt to create a field of unknown type %type.','','none'),(5046,'','default','Attempt to create a field with unknown storage type %type.','','none'),(5047,'','default','Attempt to create an instance of field @field_name without a bundle.','','none'),(5048,'','default','Enabling field types','','none'),(5049,'','default','The Field module provides the infrastructure for fields and field attachment; the field types and input widgets themselves are provided by additional modules. Some of the modules are required; the optional modules can be enabled from the <a href=\"@modules\">Modules administration page</a>. Drupal core includes the following field type modules: Number (required), Text (required), List (required), Taxonomy (optional), Image (optional), and File (optional); the required Options module provides input widgets for other field modules. Additional fields and widgets may be provided by contributed modules, which you can find in the <a href=\"@contrib\">contributed module section of Drupal.org</a>. Currently enabled field and input widget modules:','','none'),(5050,'','default','Managing field data storage','','none'),(5051,'','default','Developers of field modules can either use the default <a href=\"@sql-store\">Field SQL storage module</a> to store data for their fields, or a contributed or custom module developed using the <a href=\"@storage-api\">field storage API</a>.','','none'),(5052,'','default','The Field SQL storage module stores field data in the database. It is the default field storage module; other field storage mechanisms may be available as contributed modules. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','none'),(5053,'','default','Field SQL storage','','none'),(5054,'','default','Stores field data in an SQL database.','','none'),(5055,'','default','The List module defines various fields for storing a list of items, for use with the Field module. Usually these items are entered through a select list, checkboxes, or radio buttons. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','none'),(5056,'','default','The \'checkboxes/radio buttons\' widget will display checkboxes if the <em>Number of values</em> option is greater than 1 for this field, otherwise radios will be displayed.','','none'),(5057,'','default','Allowed HTML tags in labels: @tags','','none'),(5058,'','default','The value of this field is being determined by the %function function and may not be changed.','','none'),(5059,'','default','Allowed values list: each key must be a valid integer or decimal.','','none'),(5060,'','default','Allowed values list: each key must be a string at most 255 characters long.','','none'),(5061,'','default','Allowed values list: keys must be integers.','','none'),(5062,'','default','Defines list field types. Use with Options to create selection lists.','','none'),(5063,'','default','The minimum value that should be allowed in this field. Leave blank for no minimum.','','none'),(5064,'','default','The maximum value that should be allowed in this field. Leave blank for no maximum.','','none'),(5065,'','default','Only numbers and the decimal separator (@separator) allowed in %field.','','none'),(5066,'','default','The Options module defines checkbox, selection, and other input widgets for the Field module. See the <a href=\"@field-help\">Field module help page</a> for more information about fields.','','none'),(5067,'','default','The Text module defines various text field types for the Field module. A text field may contain plain text only, or optionally, may use Drupal\'s <a href=\'@filter-help\'>text filters</a> to securely manage HTML output. Text input fields may be either a single line (text field), multiple lines (text area), or for greater input control, a select box, checkbox, or radio buttons. If desired, the field can be validated, so that it is limited to a set of allowed values. See the <a href=\'@field-help\'>Field module help page</a> for more information about fields.','','none'),(5068,'','default','Filtered text (user selects text format)','','none'),(5069,'','default','Summary input','','none'),(5070,'','default','This allows authors to input an explicit summary, to be displayed instead of the automatically trimmed text when using the \"Summary or trimmed\" display type.','','none'),(5071,'','default','%name: the text may not be longer than %max characters.','','none'),(5072,'','default','%name: the summary may not be longer than %max characters.','','none'),(5073,'','default','Leave blank to use trimmed value of full text as the summary.','','7.32'),(5074,'; modules/field/modules/text/text.js','default','Hide summary','','none'),(5075,'; modules/field/modules/text/text.js','default','Edit summary','','none'),(5076,'','default','%field (@field_name) field requires the %widget_type widget provided by %widget_module module','','none'),(5077,'','default','Inactive fields are not shown unless their providing modules are enabled. The following fields are not enabled: !list','','none'),(5078,'','default','Edit field settings.','','none'),(5079,'','default','Change widget type.','','none'),(5080,'','default','Edit instance settings.','','none'),(5081,'','default','Delete instance.','','none'),(5082,'','default','The field %label cannot be added because it is locked.','','none'),(5083,'','default','There was a problem creating field instance %label: @message.','','none'),(5084,'','default','There are no fields yet added. You can add new fields on the <a href=\"@link\">Manage fields</a> page.','','none'),(5085,'','default','These settings apply to the %field field everywhere it is used. These settings impact the way that data is stored in the database and cannot be changed once data has been created.','','none'),(5086,'','default','%field has no field settings.','','none'),(5087,'','default','Updated field %label field settings.','','none'),(5088,'','default','Attempt to update field %label failed: %message.','','none'),(5089,'','default','Change widget','','none'),(5090,'','default','The type of form element you would like to present to the user when creating this field in the %type type.','','none'),(5091,'','default','Changed the widget for field %label.','','none'),(5092,'','default','There was a problem changing the widget for field %label.','','none'),(5093,'','default','This field is <strong>locked</strong> and cannot be deleted.','','none'),(5094,'','default','The field %field has been deleted from the %type content type.','','none'),(5095,'','default','There was a problem removing the %field from the %type content type.','','none'),(5096,'','default','These settings apply only to the %field field when used in the %type type.','','none'),(5097,'','default','Required field','','none'),(5098,'','default','These settings apply to the %field field everywhere it is used. Because the field already has data, some settings can no longer be changed.','','none'),(5099,'','default','These settings apply to the %field field everywhere it is used.','','none'),(5100,'','default','%field field settings','','none'),(5101,'','default','The default value for this field, used when creating new content.','','none'),(5102,'','default','Saved %label configuration.','','none'),(5103,'','default','This list shows all fields currently in use for easy reference.','','none'),(5104,'','default','Save and add fields','','none'),(5105,'','default','Field UI','','none'),(5106,'','default','Enable <em>Display</em> field','','none'),(5107,'','default','The display option allows users to choose if a file should be shown when viewing the content.','','none'),(5108,'','default','Files displayed by default','','none'),(5109,'','default','This setting only has an effect if the display option is enabled.','','none'),(5110,'','default','Upload destination','','none'),(5111,'','default','Select where the final files should be stored. Private file storage has significantly more overhead than public files, but allows restricted access to files within this field.','','none'),(5112,'','default','Optional subdirectory within the upload destination where files will be stored. Do not include preceding or trailing slashes.','','none'),(5113,'','default','Enter a value like \"512\" (bytes), \"80 KB\" (kilobytes) or \"50 MB\" (megabytes) in order to restrict the allowed file size. If left empty the file sizes will be limited only by PHP\'s maximum post and file upload sizes (current limit <strong>%limit</strong>).','','none'),(5114,'','default','Enable <em>Description</em> field','','none'),(5115,'','default','The description field allows users to enter a description about the uploaded file.','','none'),(5116,'','default','The \"!name\" option must contain a valid value. You may either leave the text field empty or enter a string like \"512\" (bytes), \"80 KB\" (kilobytes) or \"50 MB\" (megabytes).','','none'),(5117,'','default','The list of allowed extensions is not valid, be sure to exclude leading dots and to separate extensions with a comma or space.','','none'),(5118,'','default','Add a new file','','none'),(5119,'','default','Include file in display','','none'),(5120,'','default','The description may be used as the label of the link to the file.','','none'),(5121,'','default','Files must be less than !size.','','none'),(5122,'','default','Allowed file types: !extensions.','','none'),(5123,'','default','Images must be exactly !size pixels.','','none'),(5124,'','default','Images must be between !min and !max pixels.','','none'),(5125,'','default','Images must be larger than !min pixels.','','none'),(5126,'','default','Images must be smaller than !max pixels.','','none'),(5127,'','default','Attaching files to content','','none'),(5128,'','default','The File module allows users to attach files to content (e.g., PDF files, spreadsheets, etc.), when a <em>File</em> field is added to a given content type using the <a href=\"@fieldui-help\">Field UI module</a>. You can add validation options to your File field, such as specifying a maximum file size and allowed file extensions.','','none'),(5129,'','default','Managing attachment display','','none'),(5130,'','default','Managing file locations','','none'),(5131,'','default','An unrecoverable error occurred. Use of this form has expired. Try reloading the page and submitting again.','','none'),(5132,'','default','The file referenced by the !name field does not exist.','','none'),(5133,'','default','The file in the !name field was unable to be uploaded.','','none'),(5134,'','default','The upload directory %directory for the file field !name could not be created or is not accessible. A newly uploaded file could not be saved in this directory as a consequence, and the upload was canceled.','','none'),(5135,'','default','Your server is not capable of displaying file upload progress. File upload progress requires an Apache server running PHP with mod_php.','','none'),(5136,'','default','All roles may use this format','','none'),(5137,'','default','The text format ordering has been saved.','','none'),(5138,'','default','All roles for this text format must be enabled and cannot be changed.','','none'),(5139,'','default','Filter processing order','','none'),(5140,'','default','Text format names must be unique. A format named %name already exists.','','none'),(5141,'','default','Added text format %format.','','none'),(5142,'','default','The text format %format has been updated.','','none'),(5143,'','default','Applying filters to text','','none'),(5144,'','default','Defining text formats','','none'),(5145,'','default','Choosing a text format','','none'),(5146,'','default','Warning: This permission may have security implications depending on how the text format is configured.','','none'),(5147,'','default','Use the !text_format text format','','none'),(5148,'','default','More information about text formats','','7.34'),(5149,'','default','Display basic HTML help in long filter tips','','none'),(5150,'','default','Add rel=\"nofollow\" to all links','','none'),(5151,'','default','For more information see W3C\'s <a href=\"@html-specifications\">HTML Specifications</a> or use your favorite search engine to find other sites that explain HTML.','','none'),(5152,'','default','Most unusual characters can be directly entered without any problems.','','none'),(5153,'','default','If you do encounter problems, try using HTML character entities. A common example looks like &amp;amp; for an ampersand &amp; character. For a full list of entities see HTML\'s <a href=\"@html-entities\">entities</a> page. Some of the available characters include:','','none'),(5154,'','default','No HTML tags allowed.','','7.34'),(5155,'','default','Filters content in preparation for display.','','none'),(5156,'','default','By !author @time ago','','none'),(5157,'','default','The forum %term and all sub-forums have been deleted.','','none'),(5158,'','default','The number of replies a topic must have to be considered \"hot\".','','none'),(5159,'','default','No containers or forums available. <a href=\"@container\">Add container</a> or <a href=\"@forum\">Add forum</a>.','','none'),(5160,'','default','forum: deleted %term and all its sub-forums.','','none'),(5161,'','default','The Forum module lets you create threaded discussion forums with functionality similar to other message board systems. Forums are useful because they allow community members to discuss topics with one another while ensuring those conversations are archived for later reference. In a forum, users post topics and threads in nested hierarchies, allowing discussions to be categorized and grouped. The forum hierarchy consists of:','','none'),(5162,'','default','Optional containers (for example, <em>Support</em>), which can hold:','','none'),(5163,'','default','Forums (for example, <em>Installing Drupal</em>), which can hold:','','none'),(5164,'','default','Forum topics submitted by users (for example, <em>How to start a Drupal 6 Multisite</em>), which start discussions and are starting points for:','','none'),(5165,'','default','Threaded comments submitted by users (for example, <em>You have these options...</em>).','','none'),(5166,'','default','Setting up forum structure','','none'),(5167,'','default','Visit the <a href=\"@forums\">Forums page</a> to set up containers and forums to hold your discussion topics.','','none'),(5168,'','default','Starting a discussion','','none'),(5169,'','default','The <a href=\"@create-topic\">Forum topic</a> link on the <a href=\"@content-add\">Add new content</a> page creates the first post of a new threaded discussion, or thread.','','none'),(5170,'','default','Enabling the Forum module provides a default <em>Forums</em> menu item in the navigation menu that links to the <a href=\"@forums\">Forums page</a>.','','none'),(5171,'','default','Moving forum topics','','none'),(5172,'','default','A forum topic (and all of its comments) may be moved between forums by selecting a different forum while editing a forum topic. When moving a forum topic between forums, the <em>Leave shadow copy</em> option creates a link in the original forum pointing to the new location.','','none'),(5173,'','default','Locking and disabling comments','','none'),(5174,'','default','Selecting <em>Closed</em> under <em>Comment settings</em> while editing a forum topic will lock (prevent new comments on) the thread. Selecting <em>Hidden</em> under <em>Comment settings</em> while editing a forum topic will hide all existing comments on the thread, and prevent new ones.','','none'),(5175,'','default','Forums contain forum topics. Use containers to group related forums.','','none'),(5176,'','default','Use containers to group related forums.','','none'),(5177,'','default','A forum holds related forum topics.','','none'),(5178,'','default','Adjust the display of your forum topics. Organize the forums on the <a href=\"@forum-structure\">forum structure page</a>.','','none'),(5179,'','default','Add new @node_type','','none'),(5180,'','default','<a href=\"@login\">Log in</a> to post new content in the forum.','','none'),(5181,'','default','The item %forum is a forum container, not a forum. Select one of the forums below instead.','','none'),(5182,'','default','A <em>forum topic</em> starts a new discussion thread within a forum.','','none'),(5183,'','default','Control forum hierarchy settings.','','none'),(5184,'','default','Forum navigation vocabulary','','none'),(5185,'','default','Provides discussion forums.','','none'),(5186,'','default','Follow these steps to set up and start using your website:','','none'),(5187,'','default','<strong>Start posting content</strong> Finally, you can <a href=\"@content\">add new content</a> for your website.','','none'),(5188,'','default','For more information, refer to the specific topics listed in the next section or to the <a href=\"@handbook\">online Drupal handbooks</a>. You may also post at the <a href=\"@forum\">Drupal forum</a> or view the wide range of <a href=\"@support\">other support options</a> available.','','none'),(5189,'','default','The Help module provides <a href=\"@help-page\">Help reference pages</a> and context-sensitive advice to guide you through the use and configuration of modules. It is a starting point for the online <a href=\"@handbook\">Drupal handbooks</a>. The handbooks contain more extensive and up-to-date information, are annotated with user-contributed comments, and serve as the definitive reference point for all Drupal documentation. For more information, see the online handbook entry for the <a href=\"@help\">Help module</a>.','','none'),(5190,'','default','Providing a help reference','','none'),(5191,'','default','The Help module displays explanations for using each module listed on the main <a href=\"@help\">Help reference page</a>.','','none'),(5192,'','default','Providing context-sensitive help','','none'),(5193,'','default','The Help module displays context-sensitive advice and explanations on various pages.','','none'),(5194,'','default','Edit %name style','','none'),(5195,'','default','This image style is currently being provided by a module. Click the \"Override defaults\" button to change its settings.','','none'),(5196,'','default','Image style name','','none'),(5197,'','default','The name is used in URLs for generated images. Use only lowercase alphanumeric characters, underscores (_), and hyphens (-).','','none'),(5198,'','default','Select a new effect','','none'),(5199,'','default','Override defaults','','none'),(5200,'','default','Update style','','none'),(5201,'','default','Select an effect to add.','','none'),(5202,'','default','The image effect was successfully applied.','','none'),(5203,'','default','The %style style has been overridden, allowing you to change its settings.','','none'),(5204,'','default','Style name','','none'),(5205,'','default','Create new style','','none'),(5206,'','default','Style %name was created.','','none'),(5207,'','default','The image style name %name is already in use.','','none'),(5208,'','default','Please only use lowercase alphanumeric characters, underscores (_), and hyphens (-) for style names.','','none'),(5209,'','default','No replacement, just delete','','none'),(5210,'','default','Replacement style','','none'),(5211,'','default','Optionally select a style before deleting %style','','none'),(5212,'','default','If this style is in use on the site, you may select another style to replace it. All images that have been generated for this style will be permanently deleted.','','none'),(5213,'','default','Style %name was deleted.','','none'),(5214,'','default','Revert the %style style?','','none'),(5215,'','default','Reverting this style will delete the customized settings and restore the defaults provided by the @module module.','','none'),(5216,'','default','Edit %label effect','','none'),(5217,'','default','Add %label effect','','none'),(5218,'','default','Update effect','','none'),(5219,'','default','Add effect','','none'),(5220,'','default','Are you sure you want to delete the @effect effect from the %style style?','','none'),(5221,'','default','The image effect %name has been deleted.','','none'),(5222,'','default','!name must be an integer.','','none'),(5223,'','default','!name must be a positive integer.','','none'),(5224,'','default','!name must be a hexadecimal color value.','','none'),(5225,'','default','Width and height can not both be blank.','','none'),(5226,'','default','The part of the image that will be retained during the crop.','','none'),(5227,'','default','The background color to use for exposed areas of the image. Use web-style hex colors (#FFFFFF for white, #000000 for black). Leave blank for transparency on image types that support it.','','none'),(5228,'','default','There are currently no styles. <a href=\"!url\">Add a new one</a>.','','none'),(5229,'','default','There are currently no effects in this style. Add one by selecting an option below.','','none'),(5230,'','default','view actual size','','none'),(5231,'','default','Sample original image','','none'),(5232,'','default','Sample modified image','','none'),(5233,'','default','Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.','','7.34'),(5234,'','default','Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.','','7.34'),(5235,'','default','Scale and crop','','7.34'),(5236,'','default','Cropping will remove portions of an image to make it the specified dimensions.','','7.34'),(5237,'','default','Desaturate','','7.34'),(5238,'','default','Desaturate converts an image to grayscale.','','7.34'),(5239,'','default','Rotating an image may cause the dimensions of an image to increase to fit the diagonal.','','7.34'),(5240,'','default','Image resize failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(5241,'','default','Image scale failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(5242,'','default','Image crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(5243,'','default','Image scale and crop failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(5244,'','default','Image desaturate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(5245,'','default','Image rotate failed using the %toolkit toolkit on %path (%mimetype, %dimensions)','','none'),(5246,'','default','If no image is uploaded, this image will be shown on display.','','none'),(5247,'','default','The maximum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Leave blank for no restriction. If a larger image is uploaded, it will be resized to reflect the given width and height. Resizing images on upload will cause the loss of <a href=\"http://en.wikipedia.org/wiki/Exchangeable_image_file_format\">EXIF data</a> in the image.','','none'),(5248,'','default','Minimum image resolution','','none'),(5249,'','default','The minimum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Leave blank for no restriction. If a smaller image is uploaded, it will be rejected.','','none'),(5250,'','default','Enable <em>Alt</em> field','','none'),(5251,'','default','The alt attribute may be used by search engines, screen readers, and when the image cannot be loaded.','','none'),(5252,'','default','Enable <em>Title</em> field','','none'),(5253,'','default','The title attribute is used as a tooltip when the mouse hovers over the image.','','none'),(5254,'','default','Height and width values must be numeric.','','none'),(5255,'','default','Both a height and width value must be specified in the !name field.','','none'),(5256,'','default','Preview image style','','none'),(5257,'','default','no preview','','none'),(5258,'','default','The preview image will be shown while editing the content.','','none'),(5259,'','default','Manipulating images','','none'),(5260,'','default','Based on where it will be used: eg. <em>profile-picture</em>','','none'),(5261,'','default','Describing its appearance: eg. <em>square-85x85</em>','','none'),(5262,'','default','Attaching images to content as fields','','none'),(5263,'','default','Administer image styles','','none'),(5264,'','default','Create and modify styles for generating image modifications such as thumbnails.','','none'),(5265,'','default','No defined styles','','none'),(5266,'','default','Image generation in progress. Try again shortly.','','none'),(5267,'','default','Error generating image.','','none'),(5268,'','default','Unable to generate the derived image located at %path.','','none'),(5269,'','default','Failed to create style directory: %directory','','none'),(5270,'','default','Generate image style','','7.32'),(5271,'','default','Configure an image style.','','none'),(5272,'','default','Delete an image style.','','none'),(5273,'','default','Revert style','','none'),(5274,'','default','Revert an image style.','','none'),(5275,'','default','Edit image effect','','none'),(5276,'','default','Delete image effect','','none'),(5277,'','default','Add image effect','','none'),(5278,'','default','Add a new effect to a style.','','none'),(5279,'','default','Provides image manipulation tools.','','none'),(5280,'','default','Use the <em>Custom language</em> section below if your desired language does not appear in this list.','','none'),(5281,'','default','Part of the URL that determines language','','none'),(5282,'','default','Filter translatable strings','','none'),(5283,'','default','Date type','','none'),(5284,'','default','Are you sure you want to reset the date formats for %language to the global defaults?','','none'),(5285,'','default','Resetting will remove all localized date formats for this language. This action cannot be undone.','','none'),(5286,'','default','The Locale module allows your Drupal site to be presented in languages other than the default English, and to be multilingual. The Locale module works by maintaining a database of translations, and examining text as it is about to be displayed. When a translation of the text is available in the language to be displayed, the translation is displayed rather than the original text. When a translation is unavailable, the original text is displayed, and then stored for review by a translator. For more information, see the online handbook entry for <a href=\"@locale\">Locale module</a>.','','none'),(5287,'','default','Translating interface text','','none'),(5288,'','default','Translations of text in the Drupal interface may be provided by:','','none'),(5289,'','default','Translating within your site, using the Locale module\'s integrated <a href=\'@translate\'>translation interface</a>.','','none'),(5290,'','default','Configuring a multilingual site','','none'),(5291,'','default','Add a language to be supported by your site. If your desired language is not available in the <em>Language name</em> drop-down, click <em>Custom language</em> and provide a language code and other details manually. When providing a language code manually, be sure to enter a standardized language code, since this code may be used by browsers to determine an appropriate display language.','','none'),(5292,'','default','This page imports the translated strings contained in an individual Gettext Portable Object (<em>.po</em>) file. Normally distributed as part of a translation package (each translation package may contain several <em>.po</em> files), a <em>.po</em> file may need to be imported after offline editing in a Gettext translation editor. Importing an individual <em>.po</em> file may be a lengthy process.','','none'),(5293,'','default','This page allows a translator to search for specific translated and untranslated strings, and is used when creating or editing translations. (Note: For translation tasks involving many strings, it may be more convenient to <a href=\"@export\">export</a> strings for offline editing in a desktop Gettext translation editor.) Searches may be limited to strings found within a specific text group or in a specific language.','','none'),(5294,'','default','Administer languages','','none'),(5295,'','default','Translate interface texts','','none'),(5296,'','default','Language switcher (@type)','','7.34'),(5297,'','default','Localize date formats','','none'),(5298,'','default','Reset date formats','','none'),(5299,'','default','Reset localized date formats to global defaults','','none'),(5300,'','default','February','Long month name','none'),(5301,'','default','March','Long month name','none'),(5302,'','default','April','Long month name','none'),(5303,'','default','May','Long month name','none'),(5304,'','default','June','Long month name','none'),(5305,'','default','July','Long month name','none'),(5306,'','default','August','Long month name','none'),(5307,'','default','September','Long month name','none'),(5308,'','default','October','Long month name','none'),(5309,'','default','November','Long month name','none'),(5310,'','default','December','Long month name','none'),(5311,'','default','add link','','none'),(5312,'','default','There are no menu links yet. <a href=\"@link\">Add link</a>.','','none'),(5313,'','default','The text to be used for this link in the menu.','','none'),(5314,'','default','The path for this menu link. This can be an internal Drupal path such as %add-node or an external URL such as %drupal. Enter %front to link to the front page.','','none'),(5315,'','default','Menu links that are not enabled will not be listed in any menu.','','none'),(5316,'','default','Show as expanded','','none'),(5317,'','default','If selected and this menu link has children, the menu will always appear expanded.','','none'),(5318,'','default','Parent link','','none'),(5319,'','default','The maximum depth for a link and all its children is fixed at !maxdepth. Some menu links may not be available as parents if selecting them would exceed this limit.','','none'),(5320,'','default','Optional. In the menu, the heavier links will sink and the lighter links will be positioned nearer the top.','','none'),(5321,'','default','Are you sure you want to delete the custom menu link %item?','','none'),(5322,'','default','The menu link %title has been deleted.','','none'),(5323,'','default','Are you sure you want to reset the link %item to its default values?','','none'),(5324,'','default','The menu link was reset to its default settings.','','none'),(5325,'','default','No Main links','','none'),(5326,'','default','Source for the Main links','','none'),(5327,'','default','Select what should be displayed as the Main links (typically at the top of the page).','','none'),(5328,'','default','No Secondary links','','none'),(5329,'','default','Source for the Secondary links','','none'),(5330,'','default','Deleted custom menu %title and all its menu links.','','none'),(5331,'','default','Deleted menu link %title.','','none'),(5332,'','default','<strong>Warning:</strong> There is currently 1 menu link in %title. It will be deleted (system-defined items will be reset).','','none'),(5333,'','default','<strong>Warning:</strong> There are currently @count menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(5334,'','default','<strong>Warning:</strong> There are currently @count[2] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(5335,'','default','<strong>Warning:</strong> There are currently @count[3] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(5336,'','default','<strong>Warning:</strong> There are currently @count[4] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(5337,'','default','<strong>Warning:</strong> There are currently @count[5] menu links in %title. They will be deleted (system-defined links will be reset).','','none'),(5338,'','default','Managing menus','','none'),(5339,'','default','Displaying menus','','none'),(5340,'','default','After you have created a menu, you must enable and position the associated block on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(5341,'','default','You can enable the newly-created block for this menu on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(5342,'','default','Each menu has a corresponding block that is managed on the <a href=\"@blocks\">Blocks administration page</a>.','','none'),(5343,'','default','Administer menus and menu items','','none'),(5344,'','default','Provide a menu link','','none'),(5345,'','default','Menu links with smaller weights are displayed before links with larger weights.','','none'),(5346,'','default','Available menus','','none'),(5347,'','default','The menus available to place links in for this content type.','','none'),(5348,'','default','Default parent item','','none'),(5349,'','default','Choose the menu item to be the default parent for a new link in the content authoring form.','','none'),(5350,'','default','Parent menu items','','none'),(5351,'','default','Edit menu link','','none'),(5352,'','default','Reset menu link','','none'),(5353,'','default','Delete menu link','','none'),(5354,'','default','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.','','none'),(5355,'','default','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.','','none'),(5356,'','default','The <em>Management</em> menu contains links for administrative tasks.','','none'),(5357,'','default','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.','','none'),(5358,'','default','manage display','','none'),(5359,'','default','No content types available. <a href=\"@link\">Add content type</a>.','','none'),(5360,'','default','The human-readable name of this content type. This text will be displayed as part of the list on the <em>Add new content</em> page. It is recommended that this name begin with a capital letter and contain only letters, numbers, and spaces. This name must be unique.','','none'),(5361,'','default','Describe this content type. The text will be displayed on the <em>Add new content</em> page.','','none'),(5362,'','default','Preview before submitting','','none'),(5363,'','default','This text will be displayed at the top of the page when creating or editing content of this type.','','none'),(5364,'','default','Users with the <em>Administer content</em> permission will be able to override these options.','','none'),(5365,'','default','Display author and date information.','','none'),(5366,'','default','Author username and publish date will be displayed.','','none'),(5367,'','default','Invalid machine-readable name. Enter a name other than %invalid.','','none'),(5368,'','default','%type is used by 1 piece of content on your site. If you remove this content type, you will not be able to edit the %type content and it may not display correctly.','','none'),(5369,'','default','%type is used by @count pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(5370,'','default','%type is used by @count[2] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(5371,'','default','%type is used by @count[3] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(5372,'','default','%type is used by @count[4] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(5373,'','default','%type is used by @count[5] pieces of content on your site. If you remove %type, you will not be able to edit the %type content and it may not display correctly.','','none'),(5374,'','default','Publish selected content','','none'),(5375,'','default','Unpublish selected content','','none'),(5376,'','default','Promote selected content to front page','','none'),(5377,'','default','Demote selected content from front page','','none'),(5378,'','default','Make selected content sticky','','none'),(5379,'','default','Make selected content not sticky','','none'),(5380,'','default','Delete selected content','','none'),(5381,'','default','Deleted @count posts.','','none'),(5382,'','default','Are you sure you want to delete this item?','','none'),(5383,'','default','Are you sure you want to delete these items?','','none'),(5384,'','default','<em>Edit @type</em> @title','','none'),(5385,'','default','You have not created any content types yet. Go to the <a href=\"@create-content\">content type creation page</a> to add a new content type.','','none'),(5386,'','default','Provide an explanation of the changes you are making. This will help other authors understand your motivations.','','none'),(5387,'','default','The content access permissions need to be rebuilt. <a href=\"@node_access_rebuild\">Rebuild permissions</a>.','','none'),(5388,'','default','The Node module manages the creation, editing, deletion, settings, and display of the main site content. Content items managed by the Node module are typically displayed as pages on your site, and include a title, some meta-data (author, creation time, content type, etc.), and optional fields containing text or other data (fields are managed by the <a href=\"@field\">Field module</a>). For more information, see the online handbook entry for <a href=\"@node\">Node module</a>.','','none'),(5389,'','default','Creating content','','none'),(5390,'','default','When new content is created, the Node module records basic information about the content, including the author, date of creation, and the <a href=\"@content-type\">Content type</a>. It also manages the <em>publishing options</em>, which define whether or not the content is published, promoted to the front page of the site, and/or sticky at the top of content lists. Default settings can be configured for each <a href=\"@content-type\">type of content</a> on your site.','','none'),(5391,'','default','Creating custom content types','','none'),(5392,'','default','Administering content','','none'),(5393,'','default','The <a href=\"@content\">Content administration page</a> allows you to review and bulk manage your site content.','','none'),(5394,'','default','Creating revisions','','none'),(5395,'','default','The Node module also enables you to create multiple versions of any content, and revert to older versions using the <em>Revision information</em> settings.','','none'),(5396,'','default','User permissions','','none'),(5397,'','default','The Node module makes a number of permissions available for each content type, which can be set by role on the <a href=\"@permissions\">permissions page</a>.','','none'),(5398,'','default','Individual content types can have different fields, behaviors, and permissions assigned to them.','','none'),(5399,'','default','Content items can be displayed using different view modes: Teaser, Full content, Print, RSS, etc. <em>Teaser</em> is a short format that is typically used in lists of multiple content items. <em>Full content</em> is typically used when the content is displayed on its own page.','','none'),(5400,'','default','Here, you can define which fields are shown and hidden when %type content is displayed in each view mode, and define how the fields are displayed in each view mode.','','none'),(5401,'','default','Revisions allow you to track differences between multiple versions of your content, and revert back to older versions.','','none'),(5402,'','default','The content on this page has either been modified by another user, or you have already submitted modifications using this form. As a result, your changes cannot be saved.','','none'),(5403,'','default','Administer content types','','none'),(5404,'','default','Warning: Give to trusted roles only; this permission has security implications.','','none'),(5405,'','default','View published content','','none'),(5406,'','default','Access the content overview page','','none'),(5407,'','default','Bypass content access control','','none'),(5408,'','default','View content revisions','','none'),(5409,'','default','Revert content revisions','','none'),(5410,'','default','Delete content revisions','','none'),(5411,'','default','View own unpublished content','','none'),(5412,'','default','Content is sticky at top of lists','','none'),(5413,'','default','Content is promoted to the front page','','none'),(5414,'','default','Recent content','','7.34'),(5415,'','default','Number of recent content items to display','','none'),(5416,'','default','Show block for specific content types','','7.32'),(5417,'','default','Welcome to @site-name','','none'),(5418,'','default','No front page content has been created yet.','','none'),(5419,'','default','Unpublish content','','7.32'),(5420,'','default','Make content sticky','','7.32'),(5421,'','default','Make content unsticky','','7.32'),(5422,'','default','Promote content to front page','','7.32'),(5423,'','default','Remove content from front page','','7.32'),(5424,'','default','Change the author of content','','7.32'),(5425,'','default','Save content','','7.32'),(5426,'','default','Unpublish content containing keyword(s)','','7.32'),(5427,'','default','The content will be unpublished if it contains any of the phrases above. Use a case-sensitive, comma-separated list of phrases. Example: funny, bungee jumping, \"Company, Inc.\"','','none'),(5428,'','default','One permission in use','','none'),(5429,'','default','@count permissions in use','','none'),(5430,'','default','@count[2] permissions in use','','none'),(5431,'','default','@count[3] permissions in use','','none'),(5432,'','default','@count[4] permissions in use','','none'),(5433,'','default','@count[5] permissions in use','','none'),(5434,'','default','Find and manage content.','','none'),(5435,'','default','Edit content type','','none'),(5436,'','default','Don\'t display post information','','none'),(5437,'','default','This site supports <a href=\"@openid-net\">OpenID</a>, a secure way to log in to many websites using a single username and password. OpenID can reduce the necessity of managing many usernames and passwords for many websites.','','none'),(5438,'','default','If you already have an OpenID, enter the URL to your OpenID server below (e.g. myusername.openidprovider.com). Next time you log in, you will be able to use this URL instead of a regular username and password. You can have multiple OpenID servers if you like; just keep adding them here.','','none'),(5439,'','default','Logging in with OpenID','','none'),(5440,'','default','To log in using OpenID, a user must already have an OpenID account. Users can then create site accounts using their OpenID, assign one or more OpenIDs to an existing account, and log in using an OpenID. This lowers the barrier to registration, which helps increase the user base, and offers convenience and security to the users. Because OpenID cannot guarantee a user is legitimate, email verification is still necessary. When logging in, users are presented with the option of entering their OpenID URL, which will look like <em>myusername.openidprovider.com</em>. The site then communicates with the OpenID server, asking it to verify the identity of the user. If the user is logged into their OpenID server, the server communicates back to your site, verifying the user. If they are not logged in, the OpenID server will ask the user for their password. At no point does the site being logged into record the user\'s OpenID password.','','none'),(5441,'','default','Once you have verified your e-mail address, you may log in via OpenID.','','none'),(5442,'','default','Sorry, that is not a valid OpenID. Ensure you have spelled your ID correctly.','','none'),(5443,'','default','Complete the registration by filling out the form below. If you already have an account, you can <a href=\"@login\">log in</a> now and add your OpenID under \"My account\".','','none'),(5444,'','default','Creating aliases','','none'),(5445,'','default','<em>member/jane-smith</em> aliased to internal path <em>user/123</em>','','none'),(5446,'','default','<em>about-us/team</em> aliased to internal path <em>node/456</em>','','none'),(5447,'','default','Managing aliases','','none'),(5448,'','default','The Path module provides a way to search and view a <a href=\"@aliases\">list of all aliases</a> that are in use on your website. Aliases can be added, edited and deleted through this list.','','none'),(5449,'','default','An alias defines a different name for an existing URL path - for example, the alias \'about\' for the URL path \'node/1\'. A URL path can have multiple aliases.','','none'),(5450,'','default','Administer URL aliases','','none'),(5451,'','default','Create and edit URL aliases','','none'),(5452,'','default','The alias is already in use.','','none'),(5453,'','default','Enabling execution of PHP in text fields','','none'),(5454,'','default','Use PHP for settings','','none'),(5455,'','default','The PHP module has been disabled. Any existing content that was using the PHP filter will now be visible in plain text. This might pose a security risk by exposing sensitive information, if any, used in the PHP code.','','none'),(5456,'','default','The Poll module can be used to create simple surveys or questionnaires that display cumulative results. A poll is a good way to receive feedback from site users and community members. For more information, see the online handbook entry for the <a href=\"@poll\">Poll module</a>.','','none'),(5457,'','default','Creating a poll','','none'),(5458,'','default','Users can create a poll by clicking on Poll on the <a href=\"@add-content\">Add new content</a> page, and entering the question being posed, the answer choices, and beginning vote counts for each choice. The status (closed or active) and duration (length of time the poll remains active for new votes) can also be specified.','','none'),(5459,'','default','Viewing polls','','none'),(5460,'','default','You can visit the <a href=\"@poll\">Polls</a> page to view all current polls, or alternately enable the <em>Most recent poll</em> block on the <a href=\"@blocks\">Blocks administration page</a>. To vote in or view the results of a specific poll, you can click on the poll itself.','','none'),(5461,'','default','Vote on polls','','none'),(5462,'','default','Cancel and change own votes','','none'),(5463,'','default','Your vote was cancelled.','','none'),(5464,'','default','To enable browsing this field by value, enter a title for the resulting page. The word <code>%value</code> will be substituted with the corresponding value. An example page title is \"People whose favorite color is %value\" . This is only applicable for a public field.','','none'),(5465,'','default','To enable browsing this field by value, enter a title for the resulting page. An example page title is \"People who are employed\" . This is only applicable for a public field.','','none'),(5466,'','default','The Profile module allows site administrators to define custom fields (such as country, full name, or age) for user profiles, which are then displayed in the <a href=\"@user\">My Account</a> section. This permits users of a site to share more information about themselves, and can help community-based sites organize users around specific information. For more information, see the online handbook entry for <a href=\"@profile\">Profile module</a>.','','none'),(5467,'','default','Adding fields to the default profile','','none'),(5468,'','default','To provide the ability for users to enter more information about themselves, the Profile module allows additional fields to be added to the default user profile. Examples of common additions would be <em>Location</em>, <em>Company</em>, <em>Age</em>, or <em>About me</em>.','','none'),(5469,'','default','User information pages','','none'),(5470,'','default','The Profile module enables links to see further information about site users. You can view both a main <a href=\"@profile\">User list page</a>, and more specified pages by clicking on linked fields in any profile. For example, the <a href=\"@profile-country\">People who live in Canada</a> listing on Drupal.org displays all users who have entered <em>Canada</em> in the <em>Country</em> field on their user profile.','','none'),(5471,'','default','Author information block','','none'),(5472,'','default','This page displays a list of the existing custom profile fields to be displayed on a user\'s <em>My account</em> page. To provide structure, similar or related fields may be placed inside a category. To add a new category (or edit an existing one), edit a profile field and provide a new category name.','','none'),(5473,'','default','The active search modules have been changed.','','none'),(5474,'','default','Searched %type for %keys.','','none'),(5475,'','default','Searching content and users','','none'),(5476,'','default','Users with <em>Use search</em> permission can use the search block and <a href=\"@search\">Search page</a>. Users with the <em>View published content</em> permission can search for content containing exact keywords. Users with the <em>View user profiles</em> permission can search for users containing the keyword anywhere in the user name, and users with the <em>Administer users</em> permission can search for users by email address. Additionally, users with <em>Use advanced search</em> permission can find content using more complex search methods and filtering by choosing the <em>Advanced search</em> option on the <a href=\"@search\">Search page</a>.','','none'),(5477,'','default','Indexing content with cron','','none'),(5478,'','default','Configuring search settings','','none'),(5479,'','default','The Search module includes a default <em>Search form</em> block, which can be enabled and configured on the <a href=\"@blocks\">Blocks administration page</a>. The block is available to users with the <em>Search content</em> permission.','','none'),(5480,'','default','Extending Search module','','none'),(5481,'','default','<ul>\n<li>Check if your spelling is correct.</li>\n<li>Remove quotes around phrases to search for each word individually. <em>bike shed</em> will often show more results than <em>&quot;bike shed&quot;</em>.</li>\n<li>Consider loosening your query with <em>OR</em>. <em>bike OR shed</em> will often show more results than <em>bike shed</em>.</li>\n</ul>','','none'),(5482,'','default','Administer search','','none'),(5483,'','default','Use search','','none'),(5484,'','default','Use advanced search','','none'),(5485,'','default','Choose a set of shortcuts to use','','none'),(5486,'','default','Choose a set of shortcuts for this user','','none'),(5487,'','default','You are now using the new %set_name shortcut set. You can edit it from this page or <a href=\"@switch-url\">switch back to a different one.</a>','','none'),(5488,'','default','%user is now using a new shortcut set called %set_name. You can edit it from this page.','','none'),(5489,'','default','You are now using the %set_name shortcut set.','','none'),(5490,'','default','%user is now using the %set_name shortcut set.','','none'),(5491,'','default','Change set','','none'),(5492,'','default','The shortcut set has been updated.','','none'),(5493,'','default','Add new shortcut','','none'),(5494,'','default','Editing @shortcut','','none'),(5495,'','default','The name of the shortcut.','','none'),(5496,'','default','The path to the shortcut.','','none'),(5497,'','default','The link must correspond to a valid path on the site.','','none'),(5498,'','default','The shortcut %link has been updated.','','none'),(5499,'','default','Added a shortcut for %title.','','none'),(5500,'','default','Are you sure you want to delete the shortcut %title?','','none'),(5501,'','default','The shortcut %title has been deleted.','','none'),(5502,'','default','Unable to add a shortcut for %title.','','none'),(5503,'','default','Adding and removing shortcuts','','none'),(5504,'','default','Displaying shortcuts','','none'),(5505,'','default','Administer shortcuts','','none'),(5506,'','default','@shortcut_set shortcuts','','none'),(5507,'','default','Add to shortcuts','','none'),(5508,'','default','Remove from %shortcut_set shortcuts','','none'),(5509,'','default','Remove from shortcuts','','none'),(5510,'','default','Edit shortcuts','','none'),(5511,'','default','Add shortcut','','none'),(5512,'','default','Edit shortcut','','none'),(5513,'','default','Delete shortcut','','none'),(5514,'','default','Allows users to manage customizable lists of shortcut links.','','none'),(5515,'','default','Value @value is TRUE.','','none'),(5516,'','default','Value @value is FALSE.','','none'),(5517,'','default','Value @value is NULL.','','none'),(5518,'','default','Value @value is not NULL.','','none'),(5519,'','default','Value @first is equal to value @second.','','none'),(5520,'','default','Value @first is not equal to value @second.','','none'),(5521,'','default','Value @first is identical to value @second.','','none'),(5522,'','default','Value @first is not identical to value @second.','','none'),(5523,'','default','The test did not complete due to a fatal error.','','none'),(5524,'','default','Link with label %label found.','','none'),(5525,'','default','Link with label %label not found.','','none'),(5526,'','default','Link containing href %href found.','','none'),(5527,'','default','No link containing href %href found.','','none'),(5528,'','default','Clicked link %label (@url_target) from @url_before','','none'),(5529,'','default','Option @option for field @id is selected.','','none'),(5530,'','default','Option @option for field @id is not selected.','','none'),(5531,'','default','GSS negotiate','','none'),(5532,'','default','NTLM','','none'),(5533,'','default','Any safe','','none'),(5534,'','default','Running tests','','none'),(5535,'','default','Visit the <a href=\"@admin-simpletest\">Testing page</a> to display a list of available tests. For comprehensive testing, select <em>all</em> tests, or individually select tests for more targeted testing. Note that it might take several minutes for all tests to complete. For more information on creating and modifying your own tests, see the <a href=\"@simpletest-api\">Testing API Documentation</a> in the Drupal handbook.','','none'),(5536,'','default','After the tests run, a message will be displayed next to each test group indicating whether tests within it passed, failed, or had exceptions. A pass means that the test returned the expected results, while fail means that it did not. An exception normally indicates an error outside of the test, such as a PHP warning or notice. If there were failures or exceptions, the results will be expanded to show details, and the tests that had failures or exceptions will be indicated in red or pink rows. You can then use these results to refine your code and tests, until all tests pass.','','none'),(5537,'','default','Administer tests','','none'),(5538,'','default','The test run finished in @elapsed.','','none'),(5539,'','default','Use the <em>Clean environment</em> button to clean-up temporary files and tables.','','none'),(5540,'','default','The testing framework requires the PHP <a href=\"@open_basedir-url\">open_basedir</a> restriction to be disabled. Check your webserver configuration or contact your web host.','','none'),(5541,'','default','The testing framework could not be installed because the PHP <a href=\"@curl_url\">cURL</a> library is not available.','','none'),(5542,'','default','The testing framework could not be installed because the PHP <a href=\"@hash_url\">hash</a> extension is disabled.','','none'),(5543,'','default','PHP open_basedir restriction','','none'),(5544,'','default','unblock IP address','','none'),(5545,'','default','block IP address','','none'),(5546,'','default','The Statistics module shows you how often a given page is viewed, who viewed it, the previous page the user visited (referrer URL), and when it was viewed. These statistics are useful in determining how users are visiting and navigating your site. For more information, see the online handbook entry for the <a href=\"@statistics\">Statistics module</a>.','','none'),(5547,'','default','Managing logs','','none'),(5548,'','default','Viewing site usage','','none'),(5549,'','default','The Statistics module can help you break down details about your users and how they are using the site. The module offers four reports:','','none'),(5550,'','default','Displaying popular content','','none'),(5551,'','default','The module includes a <em>Popular content</em> block that displays the most viewed pages today and for all time, and the last content viewed. To use the block, enable <em>Count content views</em> on the <a href=\"@statistics-settings\">statistics settings page</a>, and then you can enable and configure the block on the <a href=\"@blocks\">blocks administration page</a>.','','none'),(5552,'','default','Page view counter','','none'),(5553,'','default','The Statistics module includes a counter for each page that increases whenever the page is viewed. To use the counter, enable <em>Count content views</em> on the <a href=\"@statistics-settings\">statistics settings page</a>, and set the necessary <a href=\"@permissions\">permissions</a> (<em>View content hits</em>) so that the counter is visible to the users.','','none'),(5554,'','default','Administer statistics','','none'),(5555,'','default','View content access statistics','','none'),(5556,'','default','View content hits','','none'),(5557,'','default','Logging for UNIX, Linux, and Mac OS X','','none'),(5558,'','default','Logging for Microsoft Windows','','none'),(5559,'','default','On Microsoft Windows, messages are always sent to the Event Log using the code <code>LOG_USER</code>.','','none'),(5560,'','default','Syslog facility','','none'),(5561,'','default','Depending on the system configuration, Syslog and other logging tools use this code to identify or filter messages from within the entire system log.','','none'),(5562,'','default','The image %file could not be rotated because the imagerotate() function is not available in this PHP installation.','','none'),(5563,'','default','The image %file could not be desaturated because the imagefilter() function is not available in this PHP installation.','','none'),(5564,'','default','Screenshot for !theme theme','','none'),(5565,'','default','Settings for !theme theme','','none'),(5566,'','default','Disable !theme theme','','none'),(5567,'','default','Set !theme as default theme','','none'),(5568,'','default','Enable !theme theme','','none'),(5569,'','default','Enable and set default','','none'),(5570,'','default','Enable !theme as default theme','','none'),(5571,'','default','default theme','','none'),(5572,'','default','Choose \"Default theme\" to always use the same theme as the rest of the site.','','none'),(5573,'','default','Use the administration theme when editing or creating content','','none'),(5574,'','default','The %theme theme has been enabled.','','none'),(5575,'','default','The %theme theme was not found.','','none'),(5576,'','default','%theme is the default theme and cannot be disabled.','','none'),(5577,'','default','The %theme theme has been disabled.','','none'),(5578,'','default','Please note that the administration theme is still set to the %admin_theme theme; consequently, the theme on this page remains unchanged. All non-administrative sections of the site, however, will show the selected %selected_theme theme by default.','','none'),(5579,'','default','%theme is now the default theme.','','none'),(5580,'','default','User verification status in comments','','none'),(5581,'','default','These settings only exist for the themes based on the %engine theme engine.','','none'),(5582,'','default','The logo could not be uploaded.','','none'),(5583,'','default','The favicon could not be uploaded.','','none'),(5584,'','default','The custom logo path is invalid.','','none'),(5585,'','default','The custom favicon path is invalid.','','none'),(5586,'','default','@module (<span class=\"admin-missing\">incompatible with</span> version @version)','','none'),(5587,'','default','This version is not compatible with Drupal !core_version and should be replaced.','','none'),(5588,'','default','Would you like to continue with the above?','','none'),(5589,'','default','Enter a valid IP address.','','none'),(5590,'','default','This IP address is already blocked.','','none'),(5591,'','default','You may not block your own IP address.','','none'),(5592,'','default','The IP address %ip has been blocked.','','none'),(5593,'','default','Are you sure you want to delete %ip?','','none'),(5594,'','default','The IP address %ip was deleted.','','none'),(5595,'','default','How this is used depends on your site\'s theme.','','none'),(5596,'','default','Number of posts on front page','','none'),(5597,'','default','The maximum number of posts displayed on overview pages such as the front page.','','none'),(5598,'','default','This page is displayed when the requested document is denied to the current user. Leave blank to display a generic \"access denied\" page.','','none'),(5599,'','default','This page is displayed when no other content matches the requested document. Leave blank to display a generic \"page not found\" page.','','none'),(5600,'','default','Errors and warnings','','7.32'),(5601,'','default','Clear all caches','','7.32'),(5602,'','default','<strong class=\"error\">Set up the <a href=\"!file-system\">public files directory</a> to make these optimizations available.</strong>','','none'),(5603,'','default','Bandwidth optimization','','7.32'),(5604,'','default','Compress cached pages.','','7.32'),(5605,'','default','Public file system path','','none'),(5606,'','default','A local file system path where public files will be stored. This directory must exist and be writable by Drupal. This directory must be relative to the Drupal installation directory and be accessible over the web.','','none'),(5607,'','default','Private file system path','','none'),(5608,'','default','A local file system path where temporary files will be stored. This directory should not be accessible over the web.','','none'),(5609,'','default','Default download method','','none'),(5610,'','default','This setting is used as the preferred download method. The use of public files is more efficient, but does not provide any access control.','','none'),(5611,'','default','Description of your site, included in each feed.','','none'),(5612,'','default','No date types available. <a href=\"@link\">Add date type</a>.','','none'),(5613,'','default','The date type must contain only alphanumeric characters and underscores.','','none'),(5614,'','default','This date type already exists. Enter a unique type.','','none'),(5615,'','default','New date type added successfully.','','none'),(5616,'','default','Put site into maintenance mode','','none'),(5617,'','default','Maintenance mode message','','none'),(5618,'','default','Message to show visitors when the site is in maintenance mode.','','none'),(5619,'','default','Use URLs like <code>example.com/user</code> instead of <code>example.com/?q=user</code>.','','none'),(5620,'','default','Requires: !module-list','','none'),(5621,'','default','Required by: !module-list','','none'),(5622,'','default','Are you sure you want to remove the date type %type?','','none'),(5623,'','default','Removed date type %type.','','none'),(5624,'','default','No custom date formats available. <a href=\"@link\">Add date format</a>.','','none'),(5625,'','default','Displayed as','','none'),(5626,'','default','Displayed as %date','','none'),(5627,'','default','A user-defined date format. See the <a href=\"@url\">PHP manual</a> for available options.','','none'),(5628,'','default','Save format','','none'),(5629,'','default','This format already exists. Enter a unique format string.','','none'),(5630,'','default','Custom date format updated.','','none'),(5631,'','default','Custom date format added.','','none'),(5632,'','default','Available actions:','','none'),(5633,'','default','Create an advanced action','','none'),(5634,'','default','A unique label for this advanced action. This label will be displayed in the interface of modules that integrate with actions, such as Trigger module.','','none'),(5635,'','default','Deleted %ip','','none'),(5636,'','default','Enabled theme','','none'),(5637,'','default','Enabled themes','','none'),(5638,'','default','Disabled theme','','none'),(5639,'','default','The System module is integral to the site, and provides basic but extensible functionality for use by other modules and themes. Some integral elements of Drupal are contained in and managed by the System module, including caching, enabling and disabling modules and themes, preparing and displaying the administrative page, and configuring fundamental site settings. A number of key system maintenance operations are also part of the System module. For more information, see the online handbook entry for <a href=\"@system\">System module</a>.','','none'),(5640,'','default','Managing modules','','none'),(5641,'','default','Managing themes','','none'),(5642,'','default','Managing caching','','none'),(5643,'','default','Performing system maintenance','','none'),(5644,'','default','Configuring basic site settings','','none'),(5645,'','default','Configuring actions','','none'),(5646,'','default','Set and configure the default theme for your website.  Alternative <a href=\"@themes\">themes</a> are available.','','none'),(5647,'','default','Download additional <a href=\"@modules\">contributed modules</a> to extend Drupal\'s functionality.','','none'),(5648,'','default','Regularly review and install <a href=\"@updates\">available updates</a> to maintain a secure and current site. Always run the <a href=\"@update-php\">update script</a> each time a module is updated.','','none'),(5649,'','default','Regularly review <a href=\"@updates\">available updates</a> to maintain a secure and current site. Always run the <a href=\"@update-php\">update script</a> each time a module is updated.','','none'),(5650,'','default','Regularly review available updates to maintain a secure and current site. Always run the <a href=\"@update-php\">update script</a> each time a module is updated. Enable the Update manager module to update and install modules and themes.','','none'),(5651,'','default','If you are upgrading to a newer version of Drupal or upgrading contributed modules or themes, you may need to run the <a href=\"@update-php\">update script</a>.','','none'),(5652,'','default','Administer modules','','none'),(5653,'','default','Administer site configuration','','none'),(5654,'','default','Administer themes','','none'),(5655,'','default','Administer actions','','none'),(5656,'','default','Use the administration pages and help','','none'),(5657,'','default','Use the site in maintenance mode','','none'),(5658,'','default','View site reports','','none'),(5659,'','default','Block IP addresses','','none'),(5660,'','default','Private local files served by Drupal.','','none'),(5661,'','default','Update modules','','none'),(5662,'','default','Update themes','','none'),(5663,'','default','SSH','','none'),(5664,'','default','Your password is not saved in the database and is only used to establish a connection.','','none'),(5665,'','default','The connection will be created between your web server and the machine hosting the web server files. In the vast majority of cases, this will be the same machine, and \"localhost\" is correct.','','none'),(5666,'','default','Configure your <a href=\"@user-edit\">account time zone setting</a>.','','none'),(5667,'','default','Select the desired local time and time zone. Dates and times throughout this site will be displayed using this time zone.','','7.32'),(5668,'','default','Your time zone setting will be automatically detected if possible. Confirm the selection and click save.','','none'),(5669,'','default','System help','','7.34'),(5670,'','default','The directory %directory does not exist and could not be created.','','none'),(5671,'','default','The directory %directory exists but is not writable and could not be made writable.','','none'),(5672,'','default','The email address to which the message should be sent OR enter [node:author:mail], [comment:author:mail], etc. if you would like to send an e-mail to the author of the original post.','','none'),(5673,'','default','The message that should be sent. You may include placeholders like [node:title], [user:name], and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.','','none'),(5674,'','default','The message to be displayed to the current user. You may include placeholders like [node:title], [user:name], and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.','','none'),(5675,'','default','Powered by <a href=\"@poweredby\">Drupal</a>','','none'),(5676,'','default','AHAH callback','','none'),(5677,'','default','Enable theme','','none'),(5678,'','default','Disable theme','','none'),(5679,'','default','Set default theme','','none'),(5680,'','default','Delete IP address','','none'),(5681,'','default','Delete date type','','none'),(5682,'','default','Allow users to delete a configured date type.','','none'),(5683,'','default','Edit date format','','none'),(5684,'','default','Allow users to edit a configured date format.','','none'),(5685,'','default','The host !host is no longer blocked because it is not a valid IP address.','','none'),(5686,'','default','Aggressive caching was disabled and replaced with normal caching. Read the page caching section in default.settings.php for more information on how to enable similar functionality.','','none'),(5687,'','default','%profile_name (%profile-%version)','','none'),(5688,'','default','The phpinfo() function has been disabled for security reasons. To see your server\'s phpinfo() information, change your PHP settings or contact your server administrator. For more information, <a href=\"@phpinfo\">Enabling and disabling phpinfo()</a> handbook page.','','none'),(5689,'','default','An automated attempt to create this directory failed, possibly due to a permissions problem. To proceed with the installation, either create the directory and modify its permissions manually or ensure that the installer has the permissions to create it automatically. For more information, see INSTALL.txt or the <a href=\"@handbook_url\">online handbook</a>.','','none'),(5690,'','default','Your configuration has been saved.','','none'),(5691,'','default','No vocabularies available. <a href=\"@link\">Add vocabulary</a>.','','none'),(5692,'','default','No terms available. <a href=\"@link\">Add term</a>.','','none'),(5693,'','default','There is currently no content classified with this term.','','none'),(5694,'','default','The Taxonomy module allows you to classify the content of your website. To classify content, you define <em>vocabularies</em> that contain related <em>terms</em>, and then assign the vocabularies to content types. For more information, see the online handbook entry for the <a href=\"@taxonomy\">Taxonomy module</a>.','','none'),(5695,'','default','Creating vocabularies','','none'),(5696,'','default','<em>vocabulary</em>: Music','','none'),(5697,'','default','<em>term</em>: Jazz','','none'),(5698,'','default','<em>sub-term</em>: Swing','','none'),(5699,'','default','<em>sub-term</em>: Fusion','','none'),(5700,'','default','<em>term</em>: Rock','','none'),(5701,'','default','<em>sub-term</em>: Country rock','','none'),(5702,'','default','<em>sub-term</em>: Hard rock','','none'),(5703,'','default','Terms in a <em>free-tagging vocabulary</em> can be built gradually as you create or edit content. This is often done used for blogs or photo management applications.','','none'),(5704,'','default','Assigning vocabularies to content types','','none'),(5705,'','default','Classifying content','','none'),(5706,'','default','Viewing listings and RSS feeds by term','','none'),(5707,'','default','Extending Taxonomy module','','none'),(5708,'','default','There are <a href=\"@taxcontrib\">many contributed modules</a> that extend the behavior of the Taxonomy module for both display and organization of terms.','','none'),(5709,'','default','Taxonomy is for categorizing content. Terms are grouped into vocabularies. For example, a vocabulary called \"Fruit\" would contain the terms \"Apple\" and \"Banana\".','','none'),(5710,'','default','You can reorganize the terms in %capital_name using their drag-and-drop handles, and group terms under a parent term by sliding them under and to the right of the parent.','','none'),(5711,'','default','%capital_name contains terms grouped under parent terms. You can reorganize the terms in %capital_name using their drag-and-drop handles.','','none'),(5712,'','default','%capital_name contains terms with multiple parents. Drag and drop of terms with multiple parents is not supported, but you can re-enable drag-and-drop support by editing each term to include only a single parent.','','none'),(5713,'','default','Administer vocabularies and terms','','none'),(5714,'','default','Edit terms in %vocabulary','','none'),(5715,'','default','Delete terms from %vocabulary','','none'),(5716,'','default','The vocabulary which supplies the options for this field.','','none'),(5717,'','default','The Toolbar module displays links to top-level administration menu items and links from other modules at the top of the screen. For more information, see the online handbook entry for <a href=\"@toolbar\">Toolbar module</a>.','','none'),(5718,'','default','Displaying administrative links','','none'),(5719,'','default','Use the administration toolbar','','none'),(5720,'','default','Toggle drawer visibility','','none'),(5721,'','default','Provides a toolbar that shows the top-level administration menu items and links from other modules.','','none'),(5722,'','default','The Tracker module displays the most recently added and updated content on your site, and allows you to follow new content created by each user. This module has no configuration options. For more information, see the online handbook entry for <a href=\"@tracker\">Tracker module</a>.','','none'),(5723,'','default','The Tracker module adds a new menu item to the Navigation menu, called <em>Recent content</em>. You can configure menu items via the <a href=\"@menus\">Menus administration page</a>.','','none'),(5724,'','default','Tracking new and updated site content','','none'),(5725,'','default','The <a href=\'@recent\'>Recent content</a> page shows new and updated content in reverse chronological order, listing the content type, title, author\'s name, number of comments, and time of last update. Content is considered updated when changes occur in the text, or when new comments are added. The <em>My recent content</em> tab limits the list to the currently logged-in user.','','none'),(5726,'','default','Tracking user-specific content','','none'),(5727,'','default','To follow a specific user\'s new and updated content, select the <em>Track</em> tab from the user\'s profile page.','','none'),(5728,'','default','All recent content','','none'),(5729,'','default','My recent content','','none'),(5730,'','default','Track content','','none'),(5731,'','default','Enables tracking of recent content for users.','','none'),(5732,'','default','The Content translation module allows content to be translated into different languages. Working with the <a href=\"@locale\">Locale module</a> (which manages enabled languages and provides translation for the site interface), the Content translation module is key to creating and maintaining translated site content. For more information, see the online handbook entry for <a href=\"@translation\">Content translation module</a>.','','none'),(5733,'','default','Configuring content types for translation','','none'),(5734,'','default','Assigning a language to content','','none'),(5735,'','default','Use the <em>Language</em> drop down to select the appropriate language when creating or editing content.','','none'),(5736,'','default','Translating content','','none'),(5737,'','default','Maintaining translations','','none'),(5738,'','default','Translate content','','none'),(5739,'','default','There is already a translation in this language.','','none'),(5740,'','default','Trigger: !description','','none'),(5741,'','default','No actions available for this trigger. <a href=\"@link\">Add action</a>.','','none'),(5742,'','default','Missing/undefined save action (%save_aid) for %aid action.','','none'),(5743,'','default','The %label action has been appended, which is required to save the property change.','','none'),(5744,'','default','The %label action was moved to save the property change.','','none'),(5745,'','default','Configuring triggers and actions','','none'),(5746,'','default','When either saving new content or updating existing content','','none'),(5747,'','default','After saving updated content','','none'),(5748,'','default','When either saving a new comment or updating an existing comment','','none'),(5749,'','default','After creating a new user account','','none'),(5750,'','default','After updating a user account','','none'),(5751,'','default','Configure when to execute actions.','','none'),(5752,'','default','Installing updates','','none'),(5753,'','default','Preparing to update your site','','none'),(5754,'','default','Installing %project','','none'),(5755,'','default','Preparing to install','','none'),(5756,'','default','Error installing / updating','','none'),(5757,'','default','Installed %project_name successfully','','none'),(5758,'','default','Update was completed successfully. Your site has been taken out of maintenance mode.','','none'),(5759,'','default','Update was completed successfully.','','none'),(5760,'','default','Update failed! See the log below for more information.','','none'),(5761,'','default','Update failed! See the log below for more information. Your site is still in maintenance mode.','','none'),(5762,'','default','Installation was completed successfully. Your site has been taken out of maintenance mode.','','none'),(5763,'','default','Installation was completed successfully.','','none'),(5764,'','default','Installation failed! See the log below for more information.','','none'),(5765,'','default','Installation failed! See the log below for more information. Your site is still in maintenance mode.','','none'),(5766,'','default','Failed to get available update data.','','none'),(5767,'','default','No available update data','','none'),(5768,'','default','Checking available update data','','none'),(5769,'','default','Trying to check available update data ...','','none'),(5770,'','default','Error checking available update data.','','none'),(5771,'','default','Checking available update data ...','','none'),(5772,'','default','Checked available update data for %title.','','none'),(5773,'','default','Failed to check available update data for %title.','','none'),(5774,'','default','An error occurred trying to get available update data.','','none'),(5775,'','default','There was a problem getting update information. Try again later.','','none'),(5776,'','default','(Theme)','','none'),(5777,'','default','(Release notes)','','none'),(5778,'','default','(Security update)','','none'),(5779,'','default','(Unsupported)','','none'),(5780,'','default','All of your projects are up to date.','','none'),(5781,'','default','Download these updates','','none'),(5782,'','default','Manual updates required','','none'),(5783,'','default','Updates of Drupal core are not supported at this time.','','none'),(5784,'','default','You must select at least one project to update.','','none'),(5785,'','default','Downloading updates','','none'),(5786,'','default','Preparing to download selected updates','','none'),(5787,'','default','Downloading updates failed:','','none'),(5788,'','default','Updates downloaded successfully.','','none'),(5789,'','default','Fatal error trying to download.','','none'),(5790,'','default','Back up your database and site before you continue. <a href=\"@backup_url\">Learn how</a>.','','none'),(5791,'','default','Perform updates with site in maintenance mode (strongly recommended)','','none'),(5792,'','default','Install from a URL','','none'),(5793,'','default','For example: %url','','none'),(5794,'','default','Upload a module or theme archive to install','','none'),(5795,'','default','For example: %filename from your local computer','','none'),(5796,'','default','You must either provide a URL or upload an archive file to install.','','none'),(5797,'','default','The provided URL is invalid.','','none'),(5798,'','default','Unable to retrieve Drupal project from %url.','','none'),(5799,'','default','Provided archive contains no files.','','none'),(5800,'','default','Unable to determine %project name.','','none'),(5801,'','default','%project is already installed.','','none'),(5802,'','default','Cannot extract %file, not a valid archive.','','none'),(5803,'','default','Downloading %project','','none'),(5804,'','default','Failed to download %project from %url','','none'),(5805,'','default','Includes:','','none'),(5806,'','default','Enabled: %includes','','none'),(5807,'','default','Disabled: %disabled','','none'),(5808,'','default','%base_theme (!base_label)','','none'),(5809,'','default','Depends on: !basethemes','','none'),(5810,'','default','Required by: %subthemes','','none'),(5811,'','default','The Update manager also allows administrators to update and install modules and themes through the administration interface.','','none'),(5812,'','default','Checking for available updates','','none'),(5813,'','default','Performing updates through the user interface','','none'),(5814,'','default','Installing new modules and themes through the user interface','','none'),(5815,'','default','You can automatically install your missing updates using the Update manager:','','none'),(5816,'','default','Your site is currently configured to send these emails when any updates are available. To get notified only for security updates, !url.','','7.34'),(5817,'','default','Your site is currently configured to send these emails only when security updates are available. To get notified for any available updates, !url.','','none'),(5818,'','default','There was a problem checking <a href=\"@update-report\">available updates</a> for Drupal.','','7.32'),(5819,'','default','There was a problem checking <a href=\"@update-report\">available updates</a> for your modules or themes.','','none'),(5820,'','default','See the <a href=\"@available_updates\">available updates</a> page for more information and to install your missing updates.','','7.32'),(5821,'','default','Ready to update','','none'),(5822,'','default','Update manager','','none'),(5823,'','default','Checks for available updates, and can securely install or update modules and themes via a web interface.','','none'),(5824,'','default','No people available.','','none'),(5825,'','default','Registration and cancellation','','none'),(5826,'','default','Who can register accounts?','','none'),(5827,'','default','Administrators only','','none'),(5828,'','default','Visitors, but administrator approval is required','','none'),(5829,'','default','Require e-mail verification when a visitor creates an account.','','none'),(5830,'','default','When cancelling a user account','','none'),(5831,'','default','Users with the %select-cancel-method or %administer-users <a href=\"@permissions-url\">permissions</a> can override this default method.','','none'),(5832,'','default','Select method for cancelling account','','none'),(5833,'','default','Administer users','','none'),(5834,'','default','Personalization','','none'),(5835,'','default','Enable signatures.','','none'),(5836,'','default','The directory %directory does not exist or is not writable.','','none'),(5837,'','default','Enable user pictures.','','none'),(5838,'','default','Picture directory','','none'),(5839,'','default','Picture display style','','none'),(5840,'','default','Picture upload dimensions','','none'),(5841,'','default','Picture upload file size','','none'),(5842,'','default','E-mails','','7.34'),(5843,'','default','Welcome (new user created by administrator)','','none'),(5844,'','default','Edit the welcome e-mail messages sent to new member accounts created by an administrator.','','none'),(5845,'','default','Welcome (awaiting approval)','','none'),(5846,'','default','Edit the welcome e-mail messages sent to new members upon registering, when administrative approval is required.','','none'),(5847,'','default','Welcome (no approval required)','','none'),(5848,'','default','Edit the welcome e-mail messages sent to new members upon registering, when no administrator approval is required.','','none'),(5849,'','default','Password recovery','','none'),(5850,'','default','Edit the e-mail messages sent to users who request a new password.','','none'),(5851,'','default','Account activation','','none'),(5852,'','default','Enable and edit e-mail messages sent to users upon account activation (when an administrator activates an account of a user who has already registered, on a site where administrative approval is required).','','none'),(5853,'','default','Enable and edit e-mail messages sent to users when their accounts are blocked.','','none'),(5854,'','default','Account cancellation confirmation','','none'),(5855,'','default','Edit the e-mail messages sent to users when they attempt to cancel their accounts.','','none'),(5856,'','default','Account canceled','','none'),(5857,'','default','Enable and edit e-mail messages sent to users when their accounts are canceled.','','none'),(5858,'','default','Notify user when account is canceled.','','none'),(5859,'','default','The role name %name already exists. Choose another role name.','','none'),(5860,'','default','You are logged in as %user. <a href=\"!user_edit\">Change your password.</a>','','none'),(5861,'','default','The one-time login link you clicked is invalid.','','none'),(5862,'','default','You have just used your one-time login link. It is no longer necessary to use this link to log in. Please change your password.','','none'),(5863,'','default','<p>This is a one-time login for %user_name and will expire on %expiration_date.</p><p>Click on this button to log in to the site and change your password.</p>','','none'),(5864,'','default','When cancelling your account','','none'),(5865,'','default','When cancelling the account','','none'),(5866,'','default','Require e-mail confirmation to cancel account.','','none'),(5867,'','default','When enabled, the user must confirm the account cancellation via e-mail.','','none'),(5868,'','default','When enabled, the user will receive an e-mail notification after the account has been cancelled.','','none'),(5869,'','default','Are you sure you want to cancel your account?','','none'),(5870,'','default','Are you sure you want to cancel the account %name?','','none'),(5871,'','default','Select the method to cancel the account above.','','none'),(5872,'','default','A confirmation request to cancel your account has been sent to your e-mail address.','','none'),(5873,'','default','Your account will be blocked and you will no longer be able to log in. All of your content will remain attributed to your user name.','','none'),(5874,'','default','Your account will be blocked and you will no longer be able to log in. All of your content will be hidden from everyone but administrators.','','none'),(5875,'','default','Your account will be removed and all account information deleted. All of your content will be assigned to the %anonymous-name user.','','none'),(5876,'','default','Your account will be removed and all account information deleted. All of your content will also be deleted.','','none'),(5877,'','default','You have tried to use an account cancellation link that has expired. Please request a new one using the form below.','','none'),(5878,'','default','Sent account cancellation request to %name %email.','','none'),(5879,'','default','Creating and managing users','','none'),(5880,'','default','The User module allows users with the appropriate <a href=\"@permissions\">permissions</a> to create user accounts through the <a href=\"@people\">People administration page</a>, where they can also assign users to one or more roles, and block or delete user accounts. If allowed, users without accounts (anonymous users) can create their own accounts on the <a href=\"@register\">Create new account</a> page.','','none'),(5881,'','default','User roles and permissions','','none'),(5882,'','default','By default, Drupal comes with two user roles:','','none'),(5883,'','default','Anonymous user: this role is used for users that don\'t have a user account or that are not authenticated.','','none'),(5884,'','default','Authenticated user: this role is automatically granted to all logged in users.','','none'),(5885,'','default','This form lets administrators add, edit, and arrange fields for storing user data.','','none'),(5886,'','default','This form lets administrators configure how fields should be displayed when rendering a user profile page.','','none'),(5887,'','default','Administer permissions','','none'),(5888,'','default','View user profiles','','none'),(5889,'','default','Change own username','','none'),(5890,'','default','Cancel own user account','','none'),(5891,'','default','Select method for cancelling own account','','none'),(5892,'','default','Spaces are allowed; punctuation is not allowed except for periods, hyphens, apostrophes, and underscores.','','7.32'),(5893,'','default','The signature is too long: it must be %max characters or less.','','none'),(5894,'','default','Cancelling account','','none'),(5895,'','default','Cancelling user account','','none'),(5896,'','default','%name has been disabled.','','none'),(5897,'','default','Account details for [user:name] at [site:name]','','none'),(5898,'','default','An administrator created an account for you at [site:name]','','none'),(5899,'','default','Account details for [user:name] at [site:name] (pending admin approval)','','none'),(5900,'','default','[user:name],\n\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\n\n\n--  [site:name] team','','none'),(5901,'','default','[user:name] has applied for an account.\n\n[user:edit-url]','','none'),(5902,'','default','Replacement login information for [user:name] at [site:name]','','none'),(5903,'','default','Account details for [user:name] at [site:name] (approved)','','none'),(5904,'','default','Account details for [user:name] at [site:name] (blocked)','','none'),(5905,'','default','Account cancellation request for [user:name] at [site:name]','','none'),(5906,'','default','Account details for [user:name] at [site:name] (canceled)','','none'),(5907,'','default','Cancel the selected user accounts','','none'),(5908,'','default','The user account %name cannot be cancelled.','','none'),(5909,'','default','When cancelling these accounts','','none'),(5910,'','default','Are you sure you want to cancel these user accounts?','','none'),(5911,'','default','Cancel accounts','','none'),(5912,'','default','To make your password stronger:','','7.32'),(5913,'','default','Make it at least 6 characters','','7.32'),(5914,'','default','Add lowercase letters','','7.32'),(5915,'','default','Add uppercase letters','','7.32'),(5916,'','default','Add numbers','','7.32'),(5917,'','default','Add punctuation','','7.32'),(5918,'','default','Make it different from your username','','7.32'),(5919,'','default','Weak','','7.32'),(5920,'','default','Fair','','7.32'),(5921,'','default','Blocked user: %name %email.','','none'),(5922,'','default','Sorry, there has been more than one failed login attempt for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(5923,'','default','Sorry, there have been more than @count failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(5924,'','default','Sorry, there have been more than @count[2] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(5925,'','default','Sorry, there have been more than @count[3] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(5926,'','default','Sorry, there have been more than @count[4] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(5927,'','default','Sorry, there have been more than @count[5] failed login attempts for this account. It is temporarily blocked. Try again later or <a href=\"@url\">request a new password</a>.','','none'),(5928,'','default','Confirm account cancellation','','none'),(5929,'','default','User passwords rehashed to improve security','','none'),(5930,'','default','Migrated user time zones','','none'),(5931,'','default','Minimal','','none'),(5932,'','default','Basic page','','none'),(5933,'','default','Enter a comma-separated list of words to describe your content.','','7.34'),(5934,'','default','Content width','','none'),(5935,'','default','Image style','','none'),(5936,'','default','1 pending update (@number_applied to be applied, @number_incompatible skipped)','','none'),(5937,'','default','@count pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(5938,'','default','@count[2] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(5939,'','default','@count[3] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(5940,'','default','@count[4] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(5941,'','default','@count[5] pending updates (@number_applied to be applied, @number_incompatible skipped)','','none'),(5942,'','default','The Blog module allows registered users to maintain an online journal, or <em>blog</em>. Blogs are made up of individual <em>blog entries</em>. By default, the blog entries are displayed by creation time in descending order, with comments enabled, and are promoted to the site\'s front page. For more information, see the online handbook entry for <a href=\'@blog\'>Blog module</a>.','','none'),(5943,'','default','A contact form with category %category already exists.','','none'),(5944,'','default','Hello !recipient-name,','','none'),(5945,'','default','Attempt to create an instance of a field @field_name that doesn\'t exist or is currently inactive.','','none'),(5946,'','default','Attempt to create an instance of field @field_name on bundle @bundle that already has an instance of that field.','','none'),(5947,'','default','Field API to add fields to entities like nodes and users.','','none'),(5948,'','default','Configuring text formats','','none'),(5949,'','default','Show more content','','none'),(5950,'','default','Collapse','','none'),(5951,'','default','The testing framework requires the DOMDocument class to be available. Check the configure command at the <a href=\"@link-phpinfo\">PHP info page</a>.','','none'),(5952,'','default','Error messages to display','','7.32'),(5953,'','default','It is recommended that sites running on production environments do not display any errors.','','7.32'),(5954,'','default','Cannot open %file_path','','none'),(5955,'','default','Password reset instructions will be mailed to %email. You must log out to use the password reset link in the e-mail.','','none'),(5956,'','default','Enter your current password to change the %mail or %pass. !request_new.','','7.32'),(5957,'','default','Current password','','7.32'),(5958,'','default','Your current password is missing or incorrect; it\'s required to change the %name.','','none'),(5959,'','default','A welcome message with further instructions has been e-mailed to the new user <a href=\"@url\">%name</a>.','','none'),(5960,'','default','A welcome message with further instructions has been sent to your e-mail address.','','none'),(5961,'','default','%module module installed.','','none'),(5962,'','default','Use this page to create a new custom block.','','none'),(5963,'','default','Number of recent blog posts to display','','none'),(5964,'','default','Edit comment %comment','','none'),(5965,'','default','Planning fields','','none'),(5966,'','default','What the field will be called','','none'),(5967,'','default','A field has a <em>label</em> (the name displayed in the user interface) and a <em>machine name</em> (the name used internally). The label can be changed after you create the field, if needed, but the machine name cannot be changed after you have created the field.','','none'),(5968,'','default','What type of data the field will store','','none'),(5969,'','default','Each field can store one type of data (text, number, file, etc.). When you define a field, you choose a particular <em>field type</em>, which corresponds to the type of data you want to store. The field type cannot be changed after you have created the field.','','none'),(5970,'','default','How the data will be input and displayed','','none'),(5971,'','default','How many values the field will store','','none'),(5972,'','default','You can store one value, a specific maximum number of values, or an unlimited number of values in each field. For example, an employee identification number field might store a single number, whereas a phone number field might store multiple phone numbers. This setting can be changed after you have created the field, but if you reduce the maximum number of values, you may lose information.','','none'),(5973,'','default','Reusing fields','','none'),(5974,'','default','Once you have defined a field, you can reuse it. For example, if you define a custom image field for one content type, and you need to have an image field with the same parameters on another content type, you can add the same field to the second content type, in the <em>Add existing field</em> area of the user interface. You could also add this field to a taxonomy vocabulary, comments, user accounts, etc.','','none'),(5975,'','default','Some settings of a reused field are unique to each use of the field; others are shared across all places you use the field. For example, the label of a text field is unique to each use, while the setting for the number of values is shared.','','none'),(5976,'','default','Fields on content items','','none'),(5977,'','default','Fields on taxonomy terms','','none'),(5978,'','default','Fields on taxonomy terms are defined at the taxonomy vocabulary level, on the <em>Manage fields</em> tab of the vocabulary edit page (which you can reach from the <a href=\"@taxonomy\">Taxonomy page</a>). When you define a field for a vocabulary, each term in that vocabulary will have that field added to it. For example, you could define an image field for a vocabulary to store an icon with each term.','','none'),(5979,'','default','Fields on user accounts','','none'),(5980,'','default','Fields on user accounts are defined on a site-wide basis on the <a href=\"@fields\">Manage fields tab</a> of the <a href=\"@accounts\">Account settings</a> page. When you define a field for user accounts, each user account will have that field added to it. For example, you could add a long text field to allow users to include a biography.','','none'),(5981,'','default','Fields on comments','','none'),(5982,'','default','Fields on comments are defined at the content-type level, on the <em>Comment fields</em> tab of the content type edit page (which you can reach from the <a href=\"@types\">Content types page</a>). When you add a field for comments, each comment on a content item of that type will have that field added to it. For example, you could add a website field to the comments on forum posts, to allow forum commenters to add a link to their website.','','none'),(5983,'','default','Administer text formats and filters','','none'),(5984,'','default','Existing strings and the plural format are kept, only new strings are added.','','none'),(5985,'','default','Add new %type','','none'),(5986,'','default','The new set is created by copying items from your default shortcut set.','','none'),(5987,'','default','The new set is created by copying items from the %default set.','','none'),(5988,'','default','You are currently using the %set-name shortcut set.','','none'),(5989,'','default','edit set name','','none'),(5990,'','default','delete set','','none'),(5991,'','default','Create new set','','none'),(5992,'','default','The %set_name shortcut set has been created. You can edit it from this page.','','none'),(5993,'','default','Updated set name to %set-name.','','none'),(5994,'','default','If you have chosen this shortcut set as the default for some or all users, they may also be affected by deleting it.','','none'),(5995,'','default','Are you sure you want to delete the shortcut set %title?','','none'),(5996,'','default','The shortcut set %title has been deleted.','','none'),(5997,'','default','1 user has chosen or been assigned to this shortcut set.','','none'),(5998,'','default','@count users have chosen or been assigned to this shortcut set.','','none'),(5999,'','default','@count[2] users have chosen or been assigned to this shortcut set.','','none'),(6000,'','default','@count[3] users have chosen or been assigned to this shortcut set.','','none'),(6001,'','default','@count[4] users have chosen or been assigned to this shortcut set.','','none'),(6002,'','default','@count[5] users have chosen or been assigned to this shortcut set.','','none'),(6003,'','default','Administering shortcuts','','none'),(6004,'','default','Choosing shortcut sets','','none'),(6005,'','default','Users with permission to switch shortcut sets can choose a shortcut set to use from the Shortcuts tab of their user account page.','','none'),(6006,'','default','Define which shortcut set you are using on the <a href=\"@shortcut-link\">Shortcuts tab</a> of your account page.','','none'),(6007,'','default','Edit current shortcut set','','none'),(6008,'','default','Select any shortcut set','','none'),(6009,'','default','Edit set name','','none'),(6010,'','default','Delete shortcut set','','none'),(6011,'','default','@remote could not be saved to @path.','','none'),(6012,'','default','Drupal requires you to enable the PHP extensions in the following list (see the <a href=\"@system_requirements\">system requirements page</a> for more information):','','none'),(6013,'','default','Database support','','none'),(6014,'','default','Your web server does not appear to support any common PDO database extensions. Check with your hosting provider to see if they support PDO (PHP Data Objects) and offer any databases that <a href=\"@drupal-databases\">Drupal supports</a>.','','none'),(6015,'','default','Footer first column','','7.34'),(6016,'','default','Footer second column','','7.34'),(6017,'','default','Footer third column','','7.34'),(6018,'','default','Footer fourth column','','7.34'),(6019,'','default','Kyrgyz','','none'),(6020,'','default','theme() may not be called until all modules are loaded.','','none'),(6021,'','default','Comment posted: %subject.','','none'),(6022,'','default','On value','','none'),(6023,'','default','If left empty, \"1\" will be used.','','none'),(6024,'','default','Off value','','none'),(6025,'','default','If left empty, \"0\" will be used.','','none'),(6026,'','default','This field has been disabled because you do not have sufficient permissions to edit it.','','none'),(6027,'','default','Select a forum.','','none'),(6028,'','default','View, edit and delete all content regardless of permission restrictions.','','none'),(6029,'','default','You must validate your email address for this account before logging in via OpenID.','','none'),(6030,'','default','The HTML ID %id is unique.','','none'),(6031,'','default','Syslog format','','none'),(6032,'','default','External resources can be optimized automatically, which can reduce both the size and number of requests made to your website.','','7.32'),(6033,'','default','HTTP error @errorcode occurred when trying to fetch @remote.','','none'),(6034,'','default','A translation of %title in %language already exists, a new %type will be created instead of a translation.','','none'),(6035,'','default','Your modules have been downloaded and updated.','','none'),(6036,'','default','<a href=\"@update\">Run database updates</a>','','none'),(6037,'','default','@name <em>(locked)</em>','','none'),(6038,'','default','Are you sure you want to delete the role %name ?','','none'),(6039,'','default','Filipino','','none'),(6040,'','default','Swiss German','','none'),(6041,'','default','Scots','','none'),(6042,'; modules/file/file.js','default','The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','none'),(6043,'','default','Cache pages for anonymous users','','7.32'),(6044,'','default','Main background','','none'),(6045,'','default','Sidebar background','','none'),(6046,'','default','Sidebar borders','','none'),(6047,'','default','Footer background','','none'),(6048,'','default','Plum','','none'),(6049,'','default','A space-separated list of HTML tags allowed in the content of feed items. Disallowed tags are stripped from the content.','','none'),(6050,'','default','%field may only contain characters a-z, underscores, or hyphens.','','none'),(6051,'','default','%field cannot contain any markup.','','none'),(6052,'','default','No URL aliases available. <a href=\"@link\">Add URL alias</a>.','','none'),(6053,'','default','To provide keyword searching, the search engine maintains an index of words found in the content and its fields, along with text added to your content by other modules (such as comments from the core Comment module, and taxonomy terms from the core Taxonomy module). To build and maintain this index, a correctly configured <a href=\"@cron\">cron maintenance task</a> is required. Users with <em>Administer search</em> permission can further configure the cron settings on the <a href=\"@searchsettings\">Search settings page</a>.','','none'),(6054,'','default','Content reindexing','','none'),(6055,'','default','Content-related actions on your site (creating, editing, or deleting content and comments) automatically cause affected content items to be marked for indexing or reindexing at the next cron run. When content is marked for reindexing, the previous content remains in the index until cron runs, at which time it is replaced by the new content. Unlike content-related actions, actions related to the structure of your site do not cause affected content to be marked for reindexing. Examples of structure-related actions that affect content include deleting or editing taxonomy terms, enabling or disabling modules that add text to content (such as Taxonomy, Comment, and field-providing modules), and modifying the fields or display parameters of your content types. If you take one of these actions and you want to ensure that the search index is updated to reflect your changed site structure, you can mark all content for reindexing by clicking the \"Re-index site\" button on the <a href=\"@searchsettings\">Search settings page</a>. If you have a lot of content on your site, it may take several cron runs for the content to be reindexed.','','none'),(6056,'','default','Cached pages will not be re-created until at least this much time has elapsed.','','7.32'),(6057,'','default','Expiration of cached pages','','7.32'),(6058,'','default','The maximum time an external cache can use an old version of a page.','','7.32'),(6059,'','default','These options control the display settings for the %name theme. When your site is displayed using this theme, these settings will be used.','','none'),(6060,'','default','Administer software updates','','none'),(6061,'','default','Enter a valid email address or use a token e-mail address such as %author.','','none'),(6062,'','default','@required_name (Missing)','','none'),(6063,'','default','@required_name (Version @compatibility required)','','none'),(6064,'','default','@name requires at least PHP @version.','','none'),(6065,'','default','@name requires this module.','','none'),(6066,'','default','@name requires this module and version. Currently using @required_name version @version','','none'),(6067,'','default','Site details','','none'),(6068,'','default','Title and slogan','','none'),(6069,'','default','Firehouse','','none'),(6070,'','default','Ice','','none'),(6071,'','default','Can\'t handle more than one field storage engine','','none'),(6072,'','default','Field storage engine not found.','','none'),(6073,'','default','For this query an entity type must be specified.','','none'),(6074,'','default','Entity %entity has no base table.','','none'),(6075,'','default','Do not know how to order on @key for @entity_type','','none'),(6076,'','default','The database table prefix you have entered, %prefix, is invalid. The table prefix can only contain alphanumeric characters, periods, or underscores.','','none'),(6077,'','default','Default settings file','','none'),(6078,'','default','The default settings file does not exist.','','none'),(6079,'','default','The @drupal installer requires that the %default-file file not be modified in any way from the original download.','','none'),(6080,'','default','Māori','','none'),(6081,'','default','Attempt to create an instance of field @field_name without an entity type.','','none'),(6082,'','default','Attempt to create an instance of field @field_name on forbidden entity type @entity_type.','','none'),(6083,'','default','Attempt to update an instance of a nonexistent field @field.','','none'),(6084,'','default','Attempt to update an instance of field @field on bundle @bundle that doesn\'t exist.','','none'),(6085,'','default','Attempt to purge a field @field_name that still has instances.','','none'),(6086,'','default','%name: the value may be no less than %min.','','none'),(6087,'','default','%name: the value may be no greater than %max.','','none'),(6088,'','default','No fields have been defined yet.','','none'),(6089,'','default','Weight for new field','','none'),(6090,'','default','Weight for added field','','none'),(6091,'','default','Custom display settings','','none'),(6092,'','default','Use custom display settings for the following view modes','','none'),(6093,'','default','The %view_mode mode now uses custom display settings. You might want to <a href=\"@url\">configure them</a>.','','none'),(6094,'','default','User interface for the Field API.','','none'),(6095,'','default','Separate extensions with a space or comma and do not include the leading dot.','','none'),(6096,'','default','Edit an existing effect within a style.','','none'),(6097,'','default','Delete an existing effect from a style.','','none'),(6098,'','default','Poll module settings','','none'),(6099,'','default','Poll vote','','none'),(6100,'','default','Poll results','','none'),(6101,'','default','The new set name is required.','','none'),(6102,'','default','The shortcut set %name already exists. Choose another name.','','none'),(6103,'','default','Expected text found in @field of email message: \"@expected\".','','none'),(6104,'','default','1 e-mail was sent during this test.','','none'),(6105,'','default','@count e-mails were sent during this test.','','none'),(6106,'','default','@count[2] e-mails were sent during this test.','','none'),(6107,'','default','@count[3] e-mails were sent during this test.','','none'),(6108,'','default','@count[4] e-mails were sent during this test.','','none'),(6109,'','default','@count[5] e-mails were sent during this test.','','none'),(6110,'','default','Blocked IP addresses','','none'),(6111,'','default','IP addresses listed here are blocked from your site. Blocked addresses are completely forbidden from accessing the site and instead see a brief message explaining the situation.','','none'),(6112,'','default','The content type %rowtype had uploads disabled but contained uploaded file data. Uploads have been re-enabled to migrate the existing data. You may delete the \"File attachments\" field in the %rowtype type if this data is not necessary.','','none'),(6113,'','default','Upload module has been migrated to File module.','','none'),(6114,'','default','Available variables are: [site:name], [site:url], [user:name], [user:mail], [site:login-url], [site:url-brief], [user:edit-url], [user:one-time-login-url], [user:cancel-url].','','none'),(6115,'','default','not yet assigned','','none'),(6116,'','default','not yet created','','none'),(6117,'','default','[user:name],\n\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','none'),(6118,'','default','[user:name],\n\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password.\n\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\n\nusername: [user:name]\npassword: Your password\n\n--  [site:name] team','','none'),(6119,'','default','[user:name],\n\nA request to reset the password for your account has been made at [site:name].\n\nYou may now log in by clicking this link or copying and pasting it to your browser:\n\n[user:one-time-login-url]\n\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\n\n--  [site:name] team','','none'),(6120,'','default','None (original image)','','none'),(6121,'','default','Comment display','','none'),(6122,'','default','New field name','','none'),(6123,'','default','Error opening socket @socket','','none'),(6124,'','default','delivery callback not found','','none'),(6125,'','default','callback %callback not found: %q.','','none'),(6126,'','default','The specified file %file could not be copied, because the destination is invalid. More information is available in the system log.','','none'),(6127,'','default','The specified file %file could not be copied, because the destination directory is not properly configured. This may be caused by a problem with file or directory permissions. More information is available in the system log.','','none'),(6128,'','default','The file %file could not be copied because a file by that name already exists in the destination directory.','','none'),(6129,'','default','The specified file %file could not be moved, because the destination is invalid. More information is available in the system log.','','none'),(6130,'','default','The specified file %file could not be deleted, because it is not a valid URI. More information is available in the system log.','','none'),(6131,'','default','The data could not be saved, because the destination is invalid. More information is available in the system log.','','none'),(6132,'','default','File %file (%realpath) could not be copied, because the destination %destination is invalid. This is often caused by improper use of file_copy() or a missing stream wrapper.','','none'),(6133,'','default','File %file (%realpath) could not be copied because it does not exist.','','none'),(6134,'','default','File %file could not be copied because a file by that name already exists in the destination directory (%directory)','','none'),(6135,'','default','File %file could not be copied because it would overwrite itself.','','none'),(6136,'','default','The specified file %file could not be copied to %destination.','','none'),(6137,'','default','File %file (%realpath) could not be moved, because the destination %destination is invalid. This may be caused by improper use of file_move() or a missing stream wrapper.','','none'),(6138,'','default','File %file (%realpath) could not be deleted because it is not a valid URI. This may be caused by improper use of file_delete() or a missing stream wrapper.','','none'),(6139,'','default','The data could not be saved because the destination %destination is invalid. This may be caused by improper use of file_save_data() or a missing stream wrapper.','','none'),(6140,'','default','Your PHP configuration only supports a single database type, so it has been automatically selected.','','none'),(6141,'','default','Failed to connect to your database server. The server reports the following message: %error.<ul><li>Is the database server running?</li><li>Does the database exist, and have you entered the correct database name?</li><li>Have you entered the correct username and password?</li><li>Have you entered the correct database hostname?</li></ul>','','none'),(6142,'','default','The version of PHP you are using has known issues with PostgreSQL. You need to upgrade PHP to 5.2.11, 5.3.1 or greater.','','none'),(6143,'','default','Exit block region demonstration','','none'),(6144,'','default','Customizing the dashboard requires the !permission-name permission.','','none'),(6145,'','default','To customize the dashboard page, move blocks to the dashboard regions on the <a href=\"@dashboard\">Dashboard administration page</a>, or enable JavaScript on this page to use the drag-and-drop interface.','','none'),(6146,'','default','Drag and drop these blocks to the columns below. Changes are automatically saved. More options are available on the <a href=\"@dashboard-url\">configuration page</a>.','','none'),(6147,'','default','The Database logging module allows you to view an event log on the <a href=\"@dblog\">Recent log messages</a> page. The log is a chronological list of recorded events containing usage data, performance data, errors, warnings and operational information. Administrators should check the log on a regular basis to ensure their site is working properly.','','none'),(6148,'','default','In case of errors or problems with the site, the <a href=\"@dblog\">Recent log messages</a> page can be useful for debugging, since it shows the sequence of events. The log messages include usage information, warnings, and errors.','','none'),(6149,'','default','The Database logging module monitors your website, capturing system events in a log (shown here) to be reviewed by an authorized individual at a later time. This log is a list of recorded events containing usage data, performance data, errors, warnings and operational information. It is vital to check the Recent log messages report on a regular basis, as it is often the only way to tell what is going on.','','none'),(6150,'','default','Database log messages to keep','','7.32'),(6151,'','default','The maximum number of messages to keep in the database log. Requires a <a href=\"@cron\">cron maintenance task</a>.','','7.32'),(6152,'','default','Define a string that should be suffixed to the value, like \' m\', \' kb/s\'. Leave blank for none. Separate singular and plural values with a pipe (\'pound|pounds\').','','none'),(6153,'','default','Thousand marker','','none'),(6154,'','default','Display prefix and suffix.','','none'),(6155,'','default','Display with prefix and suffix.','','none'),(6156,'','default','- Select a value -','','none'),(6157,'','default','Trim length','','none'),(6158,'','default','No field is displayed.','','none'),(6159,'','default','No field is hidden.','','none'),(6160,'','default','Format settings:','','none'),(6161,'','default','The file used in the !name field may not be referenced.','','none'),(6162,'','default','Missing text format: %format.','','none'),(6163,'','default','Link image to','','none'),(6164,'','default','Image style: @style','','none'),(6165,'','default','Linked to content','','none'),(6166,'','default','Linked to file','','none'),(6167,'','default','Shown when hovering over the menu link.','','none'),(6168,'','default','The menu module allows on-the-fly creation of menu links in the content authoring forms. To configure these settings for a particular content type, visit the <a href=\"@content-types\">Content types</a> page, click the <em>edit</em> link for the content type, and go to the <em>Menu settings</em> section.','','none'),(6169,'','default','Undefined language (@langcode)','','none'),(6170,'','default','Format: %time. The date format is YYYY-MM-DD and %timezone is the time zone offset from UTC. Leave blank to use the time of form submission.','','none'),(6171,'','default','Show administrative pages on top of the page you started from.','','none'),(6172,'','default','A <a href=\"@php-code\">PHP code</a> text format has been created.','','none'),(6173,'','default','Choose which search modules are active from the available modules.','','none'),(6174,'','default','Default search module','','none'),(6175,'','default','Choose which search module is the default.','','none'),(6176,'','default','Your default search module is not selected as an active module.','','none'),(6177,'','default','Search is currently disabled.','','none'),(6178,'','default','... !excerpt ... !excerpt ...','','none'),(6179,'','default','Syslog identity','','none'),(6180,'','default','A string that will be prepended to every message logged to Syslog. If you have multiple sites logging to the same Syslog log file, a unique identity per site makes it easy to tell the log entries apart.','','none'),(6181,'','default','Optionally, specify a relative URL to display as the front page.  Leave blank to display the default content feed.','','none'),(6182,'','default','Error pages','','none'),(6183,'','default','The path \'%path\' is either invalid or you do not have access to it.','','none'),(6184,'','default','Last run: %cron-last ago.','','none'),(6185,'','default','Run cron every','','none'),(6186,'','default','Did not delete temporary file \"%path\" during garbage collection, because it is in use by the following modules: %modules.','','none'),(6187,'','default','Weight for added term','','none'),(6188,'','default','Subdirectory in the file upload directory where pictures will be stored.','','none'),(6189,'','default','Pictures larger than this will be scaled down to this size.','','none'),(6190,'','default','Upload an image to go with this article.','','7.34'),(6191,'','default','The settings file is writable.','','none'),(6192,'','default','The settings file is owned by the web server.','','none'),(6193,'','default','The @drupal installer failed to create a settings file with proper file ownership. Log on to your web server, remove the existing %file file, and create a new one by copying the %default_file file to %file. More details about installing Drupal are available in <a href=\"@install_txt\">INSTALL.txt</a>. If you have problems with the file permissions on your server, consult the <a href=\"@handbook_url\">online handbook</a>.','','none'),(6194,'','default','Invalid merge query: no conditions','','none'),(6195,'','default','Weight for @block block','','none'),(6196,'','default','Region for @block block','','none'),(6197,'','default','Comment approval','','none'),(6198,'','default','Comments from users who have the <em>Skip comment approval</em> permission are published immediately. All other comments are placed in the <a href=\'@comment-approval\'>Unapproved comments</a> queue, until a user who has permission to <em>Administer comments</em> publishes or deletes them. Published comments can be bulk managed on the <a href=\'@admin-comment\'>Published comments</a> administration page.','','none'),(6199,'','default','Post comments','','none'),(6200,'','default','Skip comment approval','','none'),(6201,'','default','This function can only be used to delete fields without data','','none'),(6202,'','default','Are you sure you want to disable the text format %format?','','none'),(6203,'','default','Disabled text formats are completely removed from the administrative interface, and any content stored with that format will not be displayed. This action cannot be undone.','','none'),(6204,'','default','Disabled text format %format.','','none'),(6205,'','default','Text Formats','','none'),(6206,'','default','Hot topic, new comments','','none'),(6207,'','default','Hot topic','','none'),(6208,'','default','Normal topic','','none'),(6209,'','default','Closed topic','','none'),(6210,'','default','and where %property is %value','','none'),(6211,'','default','where %property is %value','','none'),(6212,'','default','and where','','none'),(6213,'','default','Current URL is @url.','','none'),(6214,'','default','Page title @actual is equal to @expected.','','none'),(6215,'','default','Page title @actual is not equal to @unexpected.','','none'),(6216,'','default','HTTP response not expected !code, actual !curl_code','','none'),(6217,'','default','Configure @module permissions','','none'),(6218,'','default','Stores temporary data for system_update_7061.','','none'),(6219,'','default','Administrative toolbar','','none'),(6220,'','default','%property is %value','','none'),(6221,'','default','Nothing','','none'),(6222,'','default','Lolspeak','','none'),(6223,'','default','%type: !message in %function (line %line of %file).','','7.32'),(6224,'','default','Update @title','','none'),(6225,'','default','A unique machine-readable name. Can only contain lowercase letters, numbers, and underscores.','','none'),(6226,'','default','The machine-readable name must contain unique characters.','','none'),(6227,'','default','The machine-readable name must contain only lowercase letters, numbers, and hyphens.','','none'),(6228,'','default','The machine-readable name is already in use. It must be unique.','','none'),(6229,'','default','Asturian','','none'),(6230,'','default','English, British','','none'),(6231,'','default','Haitian Creole','','none'),(6232,'','default','Portuguese, International','','none'),(6233,'','default','Weight for row @number','','none'),(6234,'','default','Parent for @title','','none'),(6235,'','default','New field label','','none'),(6236,'','default','Parent for new field','','none'),(6237,'','default','Type of new field','','none'),(6238,'','default','Widget for new field','','none'),(6239,'','default','Existing field label','','none'),(6240,'','default','Parent for existing field','','none'),(6241,'','default','Existing field to share','','none'),(6242,'','default','Widget for existing field','','none'),(6243,'','default','Label display for @title','','none'),(6244,'','default','Formatter for @title','','none'),(6245,'','default','Parents for @title','','none'),(6246,'','default','Visibility for @title','','none'),(6247,'','default','There is data for this field in the database. The field settings can no longer be changed.','','none'),(6248,'','default','Weight for new file','','none'),(6249,'','default','Choose a file','','none'),(6250,'','default','Weight for new effect','','none'),(6251,'','default','Enable @title menu link','','7.32'),(6252,'','default','A unique name to construct the URL for the menu. It must only contain lowercase letters, numbers and hyphens.','','none'),(6253,'','default','A unique machine-readable name for this content type. It must only contain lowercase letters, numbers, and underscores. This name will be used for constructing the URL of the %node-add page, in which underscores will be converted into hyphens.','','none'),(6254,'','default','Choice label','','none'),(6255,'','default','New choice label','','none'),(6256,'','default','Vote count for choice @label','','none'),(6257,'','default','Vote count for new choice','','none'),(6258,'','default','Weight for choice @label','','none'),(6259,'','default','Weight for new choice','','none'),(6260,'','default','Category for @title','','none'),(6261,'','default','Active modules','','none'),(6262,'','default','@original_title (@parent_title)','','none'),(6263,'','default','Your PHP installation is too old. Drupal requires at least PHP 5.2.5, or PHP @version with the htmlspecialchars security patch backported.','','none'),(6264,'','default','Your web server does not appear to support PDO (PHP Data Objects). Ask your hosting provider if they support the native PDO extension. See the <a href=\"@link\">system requirements</a> page for more information.','','none'),(6265,'','default','Your web server seems to have the wrong version of PDO installed. Drupal 7 requires the PDO extension from PHP core. This system has the older PECL version. See the <a href=\"@link\">system requirements</a> page for more information.','','none'),(6266,'','default','List of trigger actions when !description','','none'),(6267,'','default','The database version %version is less than the minimum required version %minimum_version.','','none'),(6268,'','default','!theme (default theme)','','7.32'),(6269,'','default','!theme (administration theme)','','7.32'),(6270,'','default','The Dashboard module provides a <a href=\"@dashboard\">Dashboard page</a> in the administrative interface for organizing administrative tasks and navigation, and tracking information within your site. The Dashboard page contains blocks, which you can add to and arrange using the drag-and-drop interface that appears when you click on the <em>Customize dashboard</em> link. Within this interface, blocks that are not primarily used for site administration do not appear by default, but can be added via the <em>Add other blocks</em> link. For more information, see the online handbook entry for <a href=\"@handbook\">Dashboard module</a>.','','none'),(6271,'','default','Rearrange blocks for display on the <a href=\"@dashboard-url\">Dashboard page</a>. Blocks placed in the <em>Dashboard (inactive)</em> region are not displayed when viewing the Dashboard page, but are available within its <em>Customize dashboard</em> interface. Removing a block from active dashboard display makes it available on the main <a href=\"@blocks-url\">blocks administration page</a>.','','none'),(6272,'','default','Add other blocks','','none'),(6273,'','default','%type_name: Create new content','','none'),(6274,'','default','%type_name: Edit own content','','none'),(6275,'','default','%type_name: Edit any content','','none'),(6276,'','default','%type_name: Delete own content','','none'),(6277,'','default','%type_name: Delete any content','','none'),(6278,'','default','Next steps','','none'),(6279,'','default','File %file could not be copied, because the destination directory %destination is not configured correctly.','','none'),(6280,'','default','@driver_name settings','','none'),(6281,'','default','MySQL, MariaDB, or equivalent','','none'),(6282,'','default','SQLite','','none'),(6283,'','default','Database file','','none'),(6284,'','default','The absolute path to the file where @drupal data will be stored. This must be writable by the web server and should exist outside of the web root.','','none'),(6285,'','default','The directory you specified is not writable by the web server.','','none'),(6286,'; misc/autocomplete.js','default','Autocomplete popup','','none'),(6287,'; misc/autocomplete.js','default','Searching for matches...','','none'),(6288,'','default','The Field module allows custom data fields to be defined for <em>entity</em> types (entities include content items, comments, user accounts, and taxonomy terms). The Field module takes care of storing, loading, editing, and rendering field data. Most users will not interact with the Field module directly, but will instead use the <a href=\"@field-ui-help\">Field UI module</a> user interface. Module developers can use the Field API to make new entity types \"fieldable\" and thus allow fields to be attached to them. For more information, see the online handbook entry for <a href=\"@field\">Field module</a>.','','none'),(6289,'','default','No fields are present yet.','','none'),(6290,'','default','Strong','Font weight','none'),(6291,'','default','Read more<span class=\"element-invisible\"> about @title</span>','','7.34'),(6292,'','default','Optionally specify an alternative URL by which this content can be accessed. For example, type \"about\" when writing an about page. Use a relative path and don\'t add a trailing slash or the URL alias won\'t work.','','none'),(6293,'','default','The number of votes that have been cast on a poll.','','none'),(6294,'','default','The length of time the poll is set to run.','','none'),(6295,'','default','Uninstall @module module','','none'),(6296,'','default','Aggregate and compress CSS files.','','7.32'),(6297,'','default','Aggregate JavaScript files.','','7.32'),(6298,'','default','To uninstall @module, the following module must be uninstalled first: @required_modules','','none'),(6299,'','default','To uninstall @module, the following modules must be uninstalled first: @required_modules','','none'),(6300,'','default','Enable newly added modules','','none'),(6301,'','default','Enable newly added themes','','none'),(6302,'','default','The uninstall process removes all data related to a module. To uninstall a module, you must first disable it on the main <a href=\"@modules\">Modules page</a>.','','none'),(6303,'','default','View the administration theme','','none'),(6304,'','default','The Toolbar module displays a bar containing top-level administrative links across the top of the screen. Below that, the Toolbar module has a <em>drawer</em> section where it displays links provided by other modules, such as the core <a href=\"@shortcuts-help\">Shortcut module</a>. The drawer can be hidden/shown by using the show/hide shortcuts link at the end of the toolbar.','','none'),(6305,'','default','Hide shortcuts','','none'),(6306,'','default','Indexed %count content items for tracking.','','none'),(6307,'','default','Release notes for @project_title','','none'),(6308,'','default','The role settings have been updated.','','none'),(6309,'','default','Disable the account and keep its content.','','none'),(6310,'','default','Disable the account and unpublish its content.','','none'),(6311,'','default','Delete the account and make its content belong to the %anonymous-name user.','','none'),(6312,'','default','Delete the account and its content.','','none'),(6313,'','default','Display on user registration form.','','none'),(6314,'','default','This is compulsory for \'required\' fields.','','none'),(6315,'','default','@count orphaned actions (%orphans) exist in the actions table. !link','','none'),(6316,'','default','Deleted 1 comment.','','none'),(6317,'','default','Deleted @count[2] comments.','','none'),(6318,'','default','Deleted @count[3] comments.','','none'),(6319,'','default','Deleted @count[4] comments.','','none'),(6320,'','default','Deleted @count[5] comments.','','none'),(6321,'','default','Use field label instead of the \"On value\" as label','','none'),(6322,'','default','Deleted 1 post.','','none'),(6323,'','default','Deleted @count[2] posts.','','none'),(6324,'','default','Deleted @count[3] posts.','','none'),(6325,'','default','Deleted @count[4] posts.','','none'),(6326,'','default','Deleted @count[5] posts.','','none'),(6327,'','default','tracker','','none'),(6328,'','default','Automatic updating of Drupal core is not supported. See the <a href=\"@upgrade-guide\">upgrade guide</a> for information on how to update Drupal core manually.','','none'),(6329,'','default','%archive_file contains a version of %names that is not compatible with Drupal !version.','','none'),(6330,'','default','%archive_file contains versions of modules or themes that are not compatible with Drupal !version: %names','','none'),(6331,'','default','The %setting setting is currently set to \'%current_value\', but needs to be \'%needed_value\'. Change this by running the following query: !query','','none'),(6332,'','default','The possible values this field can contain. Enter one value per line, in the format key|label.','','none'),(6333,'','default','The key is the stored value, and must be numeric. The label will be used in displayed values and edit forms.','','none'),(6334,'','default','The label is optional: if a line contains a single number, it will be used as key and label.','','none'),(6335,'','default','Lists of labels are also accepted (one label per line), only if the field does not hold any values yet. Numeric keys will be automatically generated from the positions in the list.','','none'),(6336,'','default','The key is the stored value. The label will be used in displayed values and edit forms.','','none'),(6337,'','default','The label is optional: if a line contains a single string, it will be used as key and label.','','none'),(6338,'','default','Allowed values list: invalid input.','','none'),(6339,'','default','Allowed values list: some values are being removed while currently in use.','','none'),(6340,'','default','Failed to connect to the server. The server reports the following message: !message For more help installing or updating code on your server, see the <a href=\"@handbook_url\">handbook</a>.','','none'),(6341,'','default','Unable to parse info file: %info_file.','','none'),(6342,'','default','The info file (%info_file) does not define a \'name\' attribute.','','none'),(6343,'','default','The testing framework requires the PHP memory limit to be at least %memory_minimum_limit. The current value is %memory_limit. <a href=\"@url\">Follow these steps to continue</a>.','','none'),(6344,'','default','%archive_file does not contain any .info files.','','none'),(6345,'','default','Comment fields','','none'),(6346,'','default','%name must be a valid hexadecimal CSS color value.','','none'),(6347,'','default','Each field type has one or more available <em>widgets</em> associated with it; each widget provides a mechanism for data input when you are editing (text box, select list, file upload, etc.). Each field type also has one or more display options, which determine how the field is displayed to site visitors. The widget and display options can be changed after you have created the field.','','none'),(6348,'','default','Cannot rename field %id (%old_field_name) to %new_field_name because it does not use the field_sql_storage storage type.','','none'),(6349,'','default','Changes to the style have been saved.','','none'),(6350,'','default','This block is only shown if <a href=\"@languages\">at least two languages are enabled</a> and <a href=\"@configuration\">language negotiation</a> is set to <em>URL</em> or <em>Session</em>.','','none'),(6351,'','default','The Menu module provides an interface for managing menus. A menu is a hierarchical collection of links, which can be within or external to the site, generally used for navigation. Each menu is rendered in a block that can be enabled and positioned through the <a href=\"@blocks\">Blocks administration page</a>. You can view and manage menus on the <a href=\"@menus\">Menus administration page</a>. For more information, see the online handbook entry for the <a href=\"@menu\">Menu module</a>.','','none'),(6352,'','default','(Machine name: @type)','','none'),(6353,'','default','OpenID suggests the use of either the <a href=\"@gmp\">GMP Math</a> (recommended for performance) or <a href=\"@bc\">BC Math</a> libraries to enable OpenID associations.','','none'),(6354,'','default','Not optimized','','none'),(6355,'','default','OpenID suggests the use of the GMP Math library for PHP for optimal performance. Check the <a href=\"@url\">GMP Math Library documentation</a> for installation instructions.','','none'),(6356,'','default','OpenID Math library','','none'),(6357,'','default','The @module module is missing, so the following module will be disabled: @depends.','','none'),(6358,'','default','The @module module is missing, so the following modules will be disabled: @depends.','','none'),(6359,'','default','The machine-readable name cannot be \"add\" or \"list\".','','none'),(6360,'','default','Enable multilingual support for this content type. If enabled, a language selection field will be added to the editing form, allowing you to select from one of the <a href=\"!languages\">enabled languages</a>. You can also turn on translation for this content type, which lets you have content translated to any of the installed languages. If disabled, new posts are saved with the default language. Existing content will not be affected by changing this option.','','none'),(6361,'','default','Query tagged for node access but there is no nid. Add foreign keys to node.nid in schema to fix.','','none'),(6362,'','default','Your node listing query is using @fallback as a base table in a query tagged for node access. This might not be secure and might not even work. Specify foreign keys in your schema to node.nid ','','none'),(6363,'','default','Unknown field: @field_name','','none'),(6364,'','default','%field: There should only be one decimal separator (@separator).','','none'),(6365,'','default','Enabled modules: %modules','','none'),(6366,'','default','File %file could not be copied, because the destination %destination is invalid. This is often caused by improper use of file_copy() or a missing stream wrapper.','','none'),(6367,'','default','File %file could not be copied because it does not exist.','','none'),(6368,'','default','File %file could not be moved, because the destination %destination is invalid. This may be caused by improper use of file_move() or a missing stream wrapper.','','none'),(6369,'','default','File %file could not be deleted because it is not a valid URI. This may be caused by improper use of file_delete() or a missing stream wrapper.','','none'),(6370,'','default','Missing bundle property on entity of type @entity_type.','','none'),(6371,'','default','Fields type(s) in use','','none'),(6372,'','default','Fields pending deletion','','none'),(6373,'','default','(module: !module)','','none'),(6374,'','default','The requested page \"@path\" could not be found.','','none'),(6375,'','default','The form has become outdated. Copy any unsaved work in the form below and then <a href=\"@link\">reload this page</a>.','','none'),(6376,'','default','There are several decisions you will need to make before defining a field for content, comments, etc.:','','none'),(6377,'','default','The throbber display does not show the status of uploads but takes up less space. The progress bar is helpful for monitoring progress on large uploads.','','none'),(6378,'','default','Active search modules','','none'),(6379,'','default','No shortcuts available. <a href=\"@link\">Add a shortcut</a>.','','none'),(6380,'','default','Leave this blank to delete both the existing username and password.','','none'),(6381,'','default','To change the password, enter the new password here.','','none'),(6382,'','default','HTTP authentication credentials must include a username in addition to a password.','','none'),(6383,'','default','Incompatible with this version of Drupal core.','','none'),(6384,'','default','Cron takes care of running periodic tasks like checking for updates and indexing content for search.','','none'),(6385,'','default','The clean URL test passed.','','none'),(6386,'','default','Clean URLs are enabled, but the clean URL test failed. Uncheck the box below to disable clean URLs.','','none'),(6387,'','default','The clean URL test failed.','','none'),(6388,'','default','Clean URLs cannot be enabled. If you are directed to this page or to a <em>Page not found (404)</em> error after testing for clean URLs, see the <a href=\"@handbook\">online handbook</a>.','','none'),(6389,'','default','There was a problem creating field %label: !message','','none'),(6390,'','default','@module (<span class=\"admin-missing\">incompatible with</span> this version of Drupal core)','','none'),(6391,'','default','Update notifications are not enabled. It is <strong>highly recommended</strong> that you enable the update manager module from the <a href=\"@module\">module administration page</a> in order to stay up-to-date on new releases. For more information, <a href=\"@update\">Update status handbook page</a>.','','none'),(6392,'','default','Your search used too many AND/OR expressions. Only the first @count terms were included in this search.','','none'),(6393,'','default','The test cannot be executed because it has not been set up properly.','','none'),(6394,'','default','Found field with name @name','','none'),(6395,'','default','Found field with name @name and value @value','','none'),(6396,'','default','A list field (@field_name) with existing data cannot have its keys changed.','','none'),(6397,'','default','A unique machine-readable name containing letters, numbers, and underscores.','','none'),(6398,'','default','The %style style has been reverted to its defaults.','','none'),(6399,'','default','If no image is uploaded, this image will be shown on display and will override the field\'s default image.','','none'),(6400,'','default','View details for all votes','','none'),(6401,'','default','No blocked IP addresses available.','','none'),(6402,'','default','Taxonomy field @field_name not found.','','none'),(6403,'','default','Theme hook %hook not found.','','none'),(6404,'','default','No book content available.','','none'),(6405,'','default','Field type(s) in use - see <a href=\"@fields-page\">Field list</a>','','7.34'),(6406,'','default','logged in users only','','none'),(6407,'','default','No OpenID identities available for this account.','','none'),(6408,'','default','Uyghur','','none'),(6409,'','default','Install another module','','none'),(6410,'','default','Get an overview of <a href=\"@url\">all content</a>.','','none'),(6411,'','default','Get an overview of all content.','','none'),(6412,'','default','Invalid or missing cache bin specified: %bin','','none'),(6413,'/admin/config/development/performance?render=overlay&render=overlay','default','Simple (with optional filter by bundle)','','7.32'),(6414,'/admin/config/development/performance?render=overlay&render=overlay','default','Views: Filter by an entity reference view','','7.32'),(6415,'/admin/config/development/performance?render=overlay&render=overlay','default','Taxonomy index','','7.32'),(6416,'/admin/config/development/performance?render=overlay&render=overlay','default','Include the term references created by instances of this field carried by node entities in the core {taxonomy_index} table. This will allow various modules to handle them like core term_reference fields.','','7.32'),(6417,'/admin/config/development/performance?render=overlay&render=overlay','default','Render Views filters as select list','','7.32'),(6418,'/admin/config/development/performance?render=overlay&render=overlay','default','Provides a select list for Views filters on this field. This should not be used when there are over 100 entities, as it might cause an out of memory error.','','7.32'),(6419,'/admin/config/development/performance?render=overlay&render=overlay','default','Number of hits','','7.32'),(6420,'/admin/config/development/performance?render=overlay&render=overlay','default','Content revisions','','7.32'),(6421,'/admin/config/development/performance?render=overlay&render=overlay','default','Config Mega Menus','','7.32'),(6422,'/admin/config/development/performance?render=overlay&render=overlay','default','Convert config TB MegaMenu to MegaMenu-VX','','7.32'),(6423,'/admin/config/development/performance?render=overlay&render=overlay','default','Defaults','','7.32'),(6424,'/admin/config/development/performance?render=overlay&render=overlay','default','Image gallery','','7.32'),(6425,'/admin/config/development/performance?render=overlay&render=overlay','default','Gallery page','','7.32'),(6426,'/admin/config/development/performance?render=overlay&render=overlay','default','Popular Blogs','','7.34'),(6427,'/admin/config/development/performance?render=overlay&render=overlay','default','You might also like','','7.34'),(6428,'/admin/config/development/performance?render=overlay&render=overlay','default','News','','7.34'),(6429,'/admin/config/development/performance?render=overlay&render=overlay','default','We are offer','','7.34'),(6430,'/admin/config/development/performance?render=overlay&render=overlay','default','[field_address-thoroughfare]\n','','7.37'),(6431,'/admin/config/development/performance?render=overlay&render=overlay','default','Gallery','','7.34'),(6432,'/admin/config/development/performance?render=overlay&render=overlay','default','Video','','7.34'),(6433,'/admin/config/development/performance?render=overlay&render=overlay','default','By','','7.34'),(6434,'/admin/config/development/performance?render=overlay&render=overlay','default','.','','7.34'),(6435,'/admin/config/development/performance?render=overlay&render=overlay','default',',','','7.34'),(6436,'/admin/config/development/performance?render=overlay&render=overlay','default','Read more','','7.34'),(6437,'/admin/config/development/performance?render=overlay&render=overlay','default','%1','','7.34'),(6438,'/admin/config/development/performance?render=overlay&render=overlay','default','Block current user','','7.32'),(6439,'/admin/config/development/performance?render=overlay&render=overlay','default','Update node alias','','7.32'),(6440,'/admin/config/development/performance?render=overlay&render=overlay','default','Update taxonomy term alias','','7.32'),(6441,'/admin/config/development/performance?render=overlay&render=overlay','default','Update user alias','','7.32'),(6442,'/admin/config/development/performance?render=overlay&render=overlay','default','Triptych first','','7.34'),(6443,'/admin/config/development/performance?render=overlay&render=overlay','default','Triptych middle','','7.34'),(6444,'/admin/config/development/performance?render=overlay&render=overlay','default','Triptych last','','7.34'),(6445,'/admin/config/development/performance?render=overlay&render=overlay','default','Context editor','','7.34'),(6446,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Node author photos optionally tagged as term from node','','7.34'),(6447,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Node author recent photosets','','7.34'),(6448,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Node author photos optionally tagged as term from node (extra instance)','','7.34'),(6449,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: User photos optionally tagged as term from node','','7.34'),(6450,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: User recent photosets','','7.34'),(6451,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: User photos optionally tagged as term from node (extra instance)','','7.34'),(6452,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Group photos optionally tagged as term from node','','7.34'),(6453,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Set photos optionally tagged as term from node','','7.34'),(6454,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Set photos optionally tagged as term from node (extra instance)','','7.34'),(6455,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Favorites optionally tagged as term from node','','7.34'),(6456,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Group photos optionally tagged as term from node (extra instance)','','7.34'),(6457,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: User photos with specific tags','','7.34'),(6458,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Favorites optionally tagged as term from node (extra instance)','','7.34'),(6459,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Node author favorites (what they like from others, but all together) optionally tagged as term from node','','7.34'),(6460,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Node author favorites optionally tagged as term from node (extra instance)','','7.34'),(6461,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Node author gallery photos (arbitrary selection by author of other\'s photos) optionally with gallery title as term from node','','7.34'),(6462,'/admin/config/development/performance?render=overlay&render=overlay','default','Flickr: Node author gallery photos optionally titled as term from node (extra instance)','','7.34'),(6463,'/admin/config/development/performance?render=overlay&render=overlay','default','Newsletter: Multi Subscription','','7.34'),(6464,'/admin/config/development/performance?render=overlay&render=overlay','default','Newsletter: @title','','7.34'),(6465,'/admin/config/development/performance?render=overlay&render=overlay','default','Tags in @voc','','7.34'),(6466,'/admin/config/development/performance?render=overlay&render=overlay','default','Property Types Filter','','7.34'),(6467,'/admin/config/development/performance?render=overlay&render=overlay','default','View: !view: !display','','7.34'),(6468,'/admin/config/development/performance?render=overlay&render=overlay','default','Exposed form: @view-@display_id','','7.34'),(6469,'/admin/config/development/performance?render=overlay&render=overlay','default','Ads','','7.34'),(6470,'/admin/config/development/performance?render=overlay&render=overlay','default','Posts by Category','','7.34'),(6471,'/admin/config/development/performance?render=overlay&render=overlay','default','Our Team','','7.34'),(6472,'/admin/config/development/performance?render=overlay&render=overlay','default','WeebPal','','7.34'),(6473,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Red','','7.34'),(6474,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Bright red','','7.34'),(6475,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Orange','','7.34'),(6476,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pale Yellow','','7.34'),(6477,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Yellow','','7.34'),(6478,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pale Green','','7.34'),(6479,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Green','','7.34'),(6480,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Dark Green','','7.34'),(6481,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Flouro Green','','7.34'),(6482,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pale Blue','','7.34'),(6483,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Light Blue','','7.34'),(6484,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Blue','','7.34'),(6485,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Dark Blue','','7.34'),(6486,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Purple','','7.34'),(6487,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Pink','','7.34'),(6488,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Bright Pink','','7.34'),(6489,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Brown','','7.34'),(6490,'/admin/config/development/performance?render=overlay&render=overlay','default','Small White','','7.34'),(6491,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Light Gray','','7.34'),(6492,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Gray','','7.34'),(6493,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Black','','7.34'),(6494,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Blue (Alternate)','','7.34'),(6495,'/admin/config/development/performance?render=overlay&render=overlay','default','Small Red (Alternate)','','7.34'),(6496,'/admin/config/development/performance?render=overlay&render=overlay','default','X marks the spot','','7.34'),(6497,'/admin/config/development/performance?render=overlay&render=overlay','default','Big Blue','','7.34'),(6498,'/admin/config/development/performance?render=overlay&render=overlay','default','Big Red','','7.34'),(6499,'/admin/config/development/performance?render=overlay&render=overlay','default','Blue','','7.34'),(6500,'/admin/config/development/performance?render=overlay&render=overlay','default','Gray','','7.34'),(6501,'/admin/config/development/performance?render=overlay&render=overlay','default','Green','','7.34'),(6502,'/admin/config/development/performance?render=overlay&render=overlay','default','Light Blue','','7.34'),(6503,'/admin/config/development/performance?render=overlay&render=overlay','default','Orange','','7.34'),(6504,'/admin/config/development/performance?render=overlay&render=overlay','default','Pink','','7.34'),(6505,'/admin/config/development/performance?render=overlay&render=overlay','default','Purple','','7.34'),(6506,'/admin/config/development/performance?render=overlay&render=overlay','default','White','','7.34'),(6507,'/admin/config/development/performance?render=overlay&render=overlay','default','Yellow','','7.34'),(6508,'/admin/config/development/performance?render=overlay&render=overlay','default','Week','','7.34'),(6509,'/admin/config/development/performance?render=overlay&render=overlay','default','Letters','','7.34'),(6510,'/admin/config/development/performance?render=overlay&render=overlay','default','Blank','','7.34'),(6511,'/admin/config/development/performance?render=overlay&render=overlay','default','Cluster','','7.34'),(6512,'/admin/config/development/performance?render=overlay&render=overlay','default','Line Vertex','','7.34'),(6513,'/admin/config/development/performance?render=overlay&render=overlay','default','Numbers','','7.34'),(6514,'/admin/config/development/performance?render=overlay&render=overlay','default','Route','','7.34'),(6515,'/admin/config/development/performance?render=overlay&render=overlay','default','FontAwsome: Icons','','7.32'),(6516,'/admin/config/development/performance?render=overlay&render=overlay','default','Lullacons: Pack 1','','7.34'),(6517,'/admin/config/development/performance?render=overlay&render=overlay','default','الافتراضي','','7.32'),(6518,'/admin/config/development/performance?render=overlay&render=overlay','default','موجز','','7.32'),(6519,'/admin/config/development/performance?render=overlay&render=overlay','default','Presents month, day, and year fields.','','7.34'),(6520,'/admin/config/development/performance?render=overlay&render=overlay','default','A special textfield that accepts e-mail addresses.','','7.34'),(6521,'/admin/config/development/performance?render=overlay&render=overlay','default','Fieldsets allow you to organize multiple fields into groups.','','7.34'),(6522,'/admin/config/development/performance?render=overlay&render=overlay','default','Allows creation of grid questions, denoted by radio buttons.','','7.34'),(6523,'/admin/config/development/performance?render=overlay&render=overlay','default','A field which is not visible to the user, but is recorded with the submission.','','7.34'),(6524,'/admin/config/development/performance?render=overlay&render=overlay','default','Markup','','7.34'),(6525,'/admin/config/development/performance?render=overlay&render=overlay','default','Displays text as HTML in the form; does not render a field.','','7.34'),(6526,'/admin/config/development/performance?render=overlay&render=overlay','default','A numeric input field (either as textfield or select list).','','7.34'),(6527,'/admin/config/development/performance?render=overlay&render=overlay','default','Page break','','7.34'),(6528,'/admin/config/development/performance?render=overlay&render=overlay','default','Organize forms into multiple pages.','','7.34'),(6529,'/admin/config/development/performance?render=overlay&render=overlay','default','Select options','','7.34'),(6530,'/admin/config/development/performance?render=overlay&render=overlay','default','Allows creation of checkboxes, radio buttons, or select menus.','','7.34'),(6531,'/admin/config/development/performance?render=overlay&render=overlay','default','Textarea','','7.34'),(6532,'/admin/config/development/performance?render=overlay&render=overlay','default','A large text area that allows for multiple lines of input.','','7.34'),(6533,'/admin/config/development/performance?render=overlay&render=overlay','default','Textfield','','7.34'),(6534,'/admin/config/development/performance?render=overlay&render=overlay','default','Basic textfield type.','','7.34'),(6535,'/admin/config/development/performance?render=overlay&render=overlay','default','Presents the user with hour and minute fields. Optional am/pm fields.','','7.34'),(6536,'/admin/config/development/performance?render=overlay&render=overlay','default','Allow users to upload files of configurable types.','','7.34'),(6537,'/admin/config/development/performance?render=overlay&render=overlay','default','Vocabulary terms','','7.34'),(6538,'/admin/config/development/performance?render=overlay&render=overlay','default','All the terms in a vocabulary.','','7.34'),(6539,'/admin/config/development/performance?render=overlay&render=overlay','default','The picture of a user.','','7.34'),(6540,'/admin/config/development/performance?render=overlay&render=overlay','default','User profile','','7.34'),(6541,'/admin/config/development/performance?render=overlay&render=overlay','default','The profile of a user.','','7.34'),(6542,'/admin/config/development/performance?render=overlay&render=overlay','default','User signature','','7.34'),(6543,'/admin/config/development/performance?render=overlay&render=overlay','default','The signature of a user.','','7.34'),(6544,'/admin/config/development/performance?render=overlay&render=overlay','default','Term description.','','7.34'),(6545,'/admin/config/development/performance?render=overlay&render=overlay','default','List of related terms','','7.34'),(6546,'/admin/config/development/performance?render=overlay&render=overlay','default','Terms related to an existing term; may be child, siblings or top level.','','7.34'),(6547,'/admin/config/development/performance?render=overlay&render=overlay','default','Advanced search form','','7.34'),(6548,'/admin/config/development/performance?render=overlay&render=overlay','default','A search form with advanced options.','','7.34'),(6549,'/admin/config/development/performance?render=overlay&render=overlay','default','Widgets','','7.34'),(6550,'/admin/config/development/performance?render=overlay&render=overlay','default','The results of a search using keywords.','','7.34'),(6551,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the action links (local tasks) as content.','','7.34'),(6552,'/admin/config/development/performance?render=overlay&render=overlay','default','Page elements','','7.34'),(6553,'/admin/config/development/performance?render=overlay&render=overlay','default','Breadcrumb','','7.34'),(6554,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the breadcrumb trail as content.','','7.34'),(6555,'/admin/config/development/performance?render=overlay&render=overlay','default','Feed icons','','7.34'),(6556,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the site feed_icons statement as content.','','7.34'),(6557,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the help text of the current page as content.','','7.34'),(6558,'/admin/config/development/performance?render=overlay&render=overlay','default','Site logo','','7.34'),(6559,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the logo trail as content.','','7.34'),(6560,'/admin/config/development/performance?render=overlay&render=overlay','default','Status messages','','7.34'),(6561,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the status messages of the current page as content.','','7.34'),(6562,'/admin/config/development/performance?render=overlay&render=overlay','default','Primary navigation links','','7.34'),(6563,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the primary_links (local tasks) as content.','','7.34'),(6564,'/admin/config/development/performance?render=overlay&render=overlay','default','Secondary navigation links','','7.34'),(6565,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the secondary_links (local tasks) as content.','','7.34'),(6566,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the site\'s slogan as content.','','7.34'),(6567,'/admin/config/development/performance?render=overlay&render=overlay','default','Tabs','','7.34'),(6568,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the tabs (local tasks) as content.','','7.34'),(6569,'/admin/config/development/performance?render=overlay&render=overlay','default','Add the page title as content.','','7.34'),(6570,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form author information','','7.34'),(6571,'/admin/config/development/performance?render=overlay&render=overlay','default','Author information on the Node form.','','7.34'),(6572,'/admin/config/development/performance?render=overlay&render=overlay','default','Form','','7.34'),(6573,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form submit buttons','','7.34'),(6574,'/admin/config/development/performance?render=overlay&render=overlay','default','Submit buttons for the node form.','','7.34'),(6575,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form comment settings','','7.34'),(6576,'/admin/config/development/performance?render=overlay&render=overlay','default','Comment settings on the Node form.','','7.34'),(6577,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form languages','','7.34'),(6578,'/admin/config/development/performance?render=overlay&render=overlay','default','The language selection form.','','7.34'),(6579,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form revision log message','','7.34'),(6580,'/admin/config/development/performance?render=overlay&render=overlay','default','Revision log message for the node.','','7.34'),(6581,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form menu settings','','7.34'),(6582,'/admin/config/development/performance?render=overlay&render=overlay','default','Menu settings on the Node form.','','7.34'),(6583,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form url path settings','','7.34'),(6584,'/admin/config/development/performance?render=overlay&render=overlay','default','Publishing options on the Node form.','','7.34'),(6585,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form publishing options','','7.34'),(6586,'/admin/config/development/performance?render=overlay&render=overlay','default','Node form title field','','7.34'),(6587,'/admin/config/development/performance?render=overlay&render=overlay','default','The node title form.','','7.34'),(6588,'/admin/config/development/performance?render=overlay&render=overlay','default','Attached files','','7.34'),(6589,'/admin/config/development/performance?render=overlay&render=overlay','default','A list of files attached to the node.','','7.34'),(6590,'/admin/config/development/performance?render=overlay&render=overlay','default','Node author','','7.34'),(6591,'/admin/config/development/performance?render=overlay&render=overlay','default','The author of the referenced node.','','7.34'),(6592,'/admin/config/development/performance?render=overlay&render=overlay','default','Node body','','7.34'),(6593,'/admin/config/development/performance?render=overlay&render=overlay','default','The body of the referenced node.','','7.34'),(6594,'/admin/config/development/performance?render=overlay&render=overlay','default','Node comments','','7.34'),(6595,'/admin/config/development/performance?render=overlay&render=overlay','default','The comments of the referenced node.','','7.34'),(6596,'/admin/config/development/performance?render=overlay&render=overlay','default','Comment form','','7.34'),(6597,'/admin/config/development/performance?render=overlay&render=overlay','default','A form to add a new comment.','','7.34'),(6598,'/admin/config/development/performance?render=overlay&render=overlay','default','Node content','','7.34'),(6599,'/admin/config/development/performance?render=overlay&render=overlay','default','The content of the referenced node.','','7.34'),(6600,'/admin/config/development/performance?render=overlay&render=overlay','default','Node created date','','7.34'),(6601,'/admin/config/development/performance?render=overlay&render=overlay','default','The date the referenced node was created.','','7.34'),(6602,'/admin/config/development/performance?render=overlay&render=overlay','default','Node links','','7.34'),(6603,'/admin/config/development/performance?render=overlay&render=overlay','default','Node links of the referenced node.','','7.34'),(6604,'/admin/config/development/performance?render=overlay&render=overlay','default','Node terms','','7.34'),(6605,'/admin/config/development/performance?render=overlay&render=overlay','default','Taxonomy terms of the referenced node.','','7.34'),(6606,'/admin/config/development/performance?render=overlay&render=overlay','default','Node title','','7.34'),(6607,'/admin/config/development/performance?render=overlay&render=overlay','default','The title of the referenced node.','','7.34'),(6608,'/admin/config/development/performance?render=overlay&render=overlay','default','Node type description','','7.34'),(6609,'/admin/config/development/performance?render=overlay&render=overlay','default','Node type description.','','7.34'),(6610,'/admin/config/development/performance?render=overlay&render=overlay','default','Node last updated date','','7.34'),(6611,'/admin/config/development/performance?render=overlay&render=overlay','default','The date the referenced node was last updated.','','7.34'),(6612,'/admin/config/development/performance?render=overlay&render=overlay','default','Existing node','','7.34'),(6613,'/admin/config/development/performance?render=overlay&render=overlay','default','Add a node from your site as content.','','7.34'),(6614,'/admin/config/development/performance?render=overlay&render=overlay','default','Entity field','','7.34'),(6615,'/admin/config/development/performance?render=overlay&render=overlay','default','General form','','7.34'),(6616,'/admin/config/development/performance?render=overlay&render=overlay','default','Everything in the form that is not displayed by other content.','','7.34'),(6617,'/admin/config/development/performance?render=overlay&render=overlay','default','Entity extra field','','7.34'),(6618,'/admin/config/development/performance?render=overlay&render=overlay','default','Custom content','','7.34'),(6619,'/admin/config/development/performance?render=overlay&render=overlay','default','The site contact form that allows users to send a message to site administrators.','','7.34'),(6620,'/admin/config/development/performance?render=overlay&render=overlay','default','User contact form','','7.34'),(6621,'/admin/config/development/performance?render=overlay&render=overlay','default','The site contact form that allows users to contact other users.','','7.34'),(6622,'/admin/config/development/performance?render=overlay&render=overlay','default','Comment Reply Form','','7.34'),(6623,'/admin/config/development/performance?render=overlay&render=overlay','default','A form to add a new comment reply.','','7.34'),(6624,'/admin/config/development/performance?render=overlay&render=overlay','default','للاستخدام مع المدونات المتعددة المستخدمين. كل مستخدم يحصل على مدونة شخصية.','','7.32'),(6625,'/admin/config/development/performance?render=overlay','default','Context (any)','','7.34'),(6626,'/admin/config/development/performance?render=overlay','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass if <em>any</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.34'),(6627,'/admin/config/development/performance?render=overlay','default','Context (all)','','7.34'),(6628,'/admin/config/development/performance?render=overlay','default','Set this context on the basis of other active contexts. Put each context on a separate line. The condition will pass only if <em>all</em> of the contexts are active. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to prevent this context from activating if the listed context is active. Other contexts which use context conditions can not be used to exclude this context from activating.','','7.34'),(6629,'/admin/config/development/performance?render=overlay','default','Node type','','7.34'),(6630,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a node page or using the add/edit form of one of these content types.','','7.34'),(6631,'/admin/config/development/performance?render=overlay','default','Sitewide context','','7.34'),(6632,'/admin/config/development/performance?render=overlay','default','Should this context always be set? If <strong>true</strong>, this context will be active across your entire site.','','7.34'),(6633,'/admin/config/development/performance?render=overlay','default','Default context','','7.34'),(6634,'/admin/config/development/performance?render=overlay','default','This context will be set if no other context is active except sitewide contexts.','','7.34'),(6635,'/admin/config/development/performance?render=overlay','default','Set this context when any of the paths above match the page path. Put each path on a separate line. You can use the <code>*</code> character (asterisk) as a wildcard and the <code>~</code> character (tilde) to exclude one or more paths. Use &lt;front&gt; for the site front page.','','7.34'),(6636,'/admin/config/development/performance?render=overlay','default','Query String','','7.34'),(6637,'/admin/config/development/performance?render=overlay','default','Set this context when any of the query strings above match the page query string. Put each query string on a separate line. You can use the \"*\" character as a wildcard and <code>~</code> to exclude one or more query strings.','','7.34'),(6638,'/admin/config/development/performance?render=overlay','default','User role','','7.34'),(6639,'/admin/config/development/performance?render=overlay','default','Set this context when the current user has one of the selected role(s).','','7.34'),(6640,'/admin/config/development/performance?render=overlay','default','User page','','7.34'),(6641,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a user page.','','7.34'),(6642,'/admin/config/development/performance?render=overlay','default','Set this context when any of the selected menu items belong to the current active menu trail.','','7.34'),(6643,'/admin/config/development/performance?render=overlay','default','Set this context when displaying the page of one of these views.','','7.34'),(6644,'/admin/config/development/performance?render=overlay','default','Set this context when viewing the site in the selected language.','','7.34'),(6645,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a node with the selected taxonomy terms.','','7.34'),(6646,'/admin/config/development/performance?render=overlay','default','Set this context when viewing a taxonomy term page.','','7.34'),(6647,'/admin/config/development/performance?render=overlay','default','Control block visibility using context.','','7.34'),(6648,'/admin/config/development/performance?render=overlay','default','Regions','','7.34'),(6649,'/admin/config/development/performance?render=overlay','default','Control Region visiblity using context.','','7.34'),(6650,'/admin/config/development/performance?render=overlay','default','Set the breadcrumb trail to the selected menu item.','','7.34'),(6651,'/admin/config/development/performance?render=overlay','default','Template suggestions','','7.34'),(6652,'/admin/config/development/performance?render=overlay','default','Add template suggestions using context.','','7.34'),(6653,'/admin/config/development/performance?render=overlay','default','Theme Page','','7.34'),(6654,'/admin/config/development/performance?render=overlay','default','Control page theme variables using context.','','7.34'),(6655,'/admin/config/development/performance?render=overlay','default','Theme HTML','','7.34'),(6656,'/admin/config/development/performance?render=overlay','default','Control HTML theme variables using context.','','7.34'),(6657,'/admin/config/development/performance?render=overlay','default','Debug output reaction for SimpleTest.','','7.34'),(6658,'/admin/config/development/performance?render=overlay','default','Control menu active class using context.','','7.34'),(6659,'/admin/config/development/performance?render=overlay','default','A log message associated with the revision.','','7.34'),(6660,'/admin/config/development/performance?render=overlay','default','A special cache used to store objects that are being edited; it serves to save state in an ordinarily stateless environment.','','7.34'),(6661,'/admin/config/development/performance?render=overlay','default','Table that contains field group entries and settings.','','7.34'),(6662,'/admin/config/development/performance?render=overlay','default','Reply to','','7.34'),(6663,'/admin/config/development/performance?render=overlay','default','Recent posts','','7.34'),(6664,'/admin/config/development/performance?render=overlay','default','Last Post','','7.34'),(6665,'/admin/config/development/performance?render=overlay','default',' new','','7.34'),(6666,'/admin/config/development/performance?render=overlay','default','Recent posts for %1','','7.34'),(6667,'/admin/config/development/performance?render=overlay','default','Monthly archive','','7.34'),(6668,'/admin/config/development/performance?render=overlay','default','No backlinks found.','','7.34'),(6669,'/admin/config/development/performance?render=overlay','default','Pages that link to %1','','7.34'),(6670,'/admin/config/development/performance?render=overlay','default','What links here','','7.34'),(6671,'/admin/config/development/performance?render=overlay','default','Popular (page)','','7.34'),(6672,'/admin/config/development/performance?render=overlay','default','Today (page)','','7.34'),(6673,'/admin/config/development/performance?render=overlay','default','Popular (block)','','7.34'),(6674,'/admin/config/development/performance?render=overlay','default',' (','','7.34'),(6675,'/admin/config/development/performance?render=overlay','default',')','','7.34'),(6676,'/admin/config/development/performance?render=overlay','default','Today (block)','','7.34'),(6677,'/admin/config/development/performance?render=overlay','default','Today\'s popular content','','7.34'),(6678,'/users/admin','default','Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.','','7.34'),(6679,'/users/admin','default','العنوان','','7.34'),(6680,'/','default','رابط','','7.34'),(6681,'/','default','الصورة','','7.34'),(6682,'/','default','الاسم','','7.34'),(6683,'/','default','Lullabot','','7.34'),(6684,'/','default','Field Bases','','7.34'),(6685,'/','default','Field Instances','','7.34'),(6686,'/','default','Menu items','','7.34'),(6687,'/about-us','default','Facebook','','7.34'),(6688,'/about-us','default','Gplus','','7.34'),(6689,'/about-us','default','Twitter','','7.34'),(6690,'/about-us','default','Position','','7.34'),(6691,'/about-us','default','View profile','','7.34'),(6692,'/about-us','default','Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis <br>nostrudexercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. ','','7.34'),(6693,'/properties','default','Tango','','7.34'),(6694,'/properties/map','default','Javascript is required to view this map.','','7.34'),(6695,'/blog','default','Group results together','','7.34'),(6696,'/blog','default','Count DISTINCT','','7.34'),(6697,'/blog','default','Sum','','7.34'),(6698,'/blog','default','Average','','7.34'),(6699,'/blog','default','Standard deviation','','7.34'),(6700,'/blog','default','(','','7.34'),(6701,'/blog','default','عقدة','','7.34'),(6702,'/blog','default',' views','','7.34'),(6703,'/blog','default','<span class=\"day\">@day</span><span class=\"month\">@month @year</span>','','7.34'),(6704,'/blog','default','By !username in !content_type','','7.34'),(6705,'/blog-teaser','default','النوع','','7.32'),(6706,'/blog-teaser','default','عدد التعليقات','','7.32'),(6707,'/blog-fields-demo','default','تدوينة','','7.32'),(6708,'/admin/config?render=overlay','default','@type field.','','7.32'),(6709,'/property/6936-vestibulum-ac-ultricies-nisi','default','Additional Details','','7.34'),(6710,'/property/6936-vestibulum-ac-ultricies-nisi','default','Video Group','','7.34'),(6711,'sites/all/modules/views/js/views-admin.js','default','Remove group','','none'),(6712,'sites/all/modules/views/js/views-admin.js','default','Apply (all displays)','','none'),(6713,'sites/all/modules/views/js/views-admin.js','default','Revert to default','','none'),(6714,'sites/all/modules/views/js/views-admin.js','default','Apply (this display)','','none'),(6715,'sites/all/modules/pathauto/pathauto.js','default','Automatic alias','','none'),(6716,'/ar/blog-post/vestibulum-blandit-tempus-nulla','default','!instance_label @count','','7.34'),(6717,'sites/all/modules/context/plugins/context_reaction_block.js','default','Desired block weight exceeds available weight options, please check weights for blocks before saving','','none'),(6718,'sites/all/modules/context/plugins/context_reaction_block.js','default','Now Editing: ','','none'),(6719,'/ar/home-page','default','Mobile Menu','','7.34'),(6720,'/ar/admin/structure/block/manage/views/ads-block/configure?destination=blog&render=overlay','default','CSS class(es)','','7.32'),(6721,'/ar/admin/structure/block/manage/views/ads-block/configure?destination=blog&render=overlay','default','Customize the styling of this block by adding CSS classes. Separate multiple classes by spaces.','','7.32'),(6722,'/ar/admin/structure/block/manage/views/ads-block/configure?destination=blog&render=overlay','default','Show this block only on pages that display content of the given type(s). If you select no types, there will be no type-specific limitation.','','7.32'),(6723,'/ar/admin/structure/block/manage/views/ads-block/configure?destination=blog&render=overlay','default','This field supports tokens.','','7.32'),(6724,'/ar/user/4/edit?render=overlay','default','Your virtual face or picture. Pictures larger than @dimensions pixels will be scaled down.','','7.32'),(6725,'/ar/user/4/edit?render=overlay','default','Flickr settings','','7.32'),(6726,'/ar/user/4/edit?render=overlay','default','Flickr identifier','','7.32'),(6727,'/ar/user/4/edit?render=overlay','default','Enter either your Flickr username, URL path alias, the email address associated with your Flickr account, or your Flickr NSID. Leave this box empty to delete your Flickr page on this site.','','7.32'),(6728,'/ar/user/4/edit?render=overlay','default','The link title is limited to @maxlength characters maximum.','','7.32'),(6729,'/ar/property/5699-donec-tristique-orci-non','default','Search result highlighting input','','7.34'),(6730,'/ar/property/5699-donec-tristique-orci-non','default','Hide the postal code','','7.34'),(6731,'/ar/property/5699-donec-tristique-orci-non','default','Hide the street address','','7.34'),(6732,'/ar/property/5699-donec-tristique-orci-non','default','Make all fields optional (Not recommended)','','7.34'),(6733,'/ar/property/5699-donec-tristique-orci-non','default','Suburb','','7.34'),(6734,'/ar/property/5699-donec-tristique-orci-non','default','Province','','7.34'),(6735,'/ar/property/5699-donec-tristique-orci-non','default','Emirate','','7.34'),(6736,'/ar/property/5699-donec-tristique-orci-non','default','ZIP code','','7.34'),(6737,'/ar/property/5699-donec-tristique-orci-non','default','City/Suburb','','7.34'),(6738,'/ar/property/5699-donec-tristique-orci-non','default','Postcode','','7.34'),(6739,'/ar/property/5699-donec-tristique-orci-non','default','Neighborhood','','7.34'),(6740,'/ar/property/5699-donec-tristique-orci-non','default','Island','','7.34'),(6741,'/ar/property/5699-donec-tristique-orci-non','default','District','','7.34'),(6742,'/ar/property/5699-donec-tristique-orci-non','default','Department','Territory of a country','7.34'),(6743,'/ar/property/5699-donec-tristique-orci-non','default','Governorate','','7.34'),(6744,'/ar/property/5699-donec-tristique-orci-non','default','County','','7.34'),(6745,'/ar/property/5699-donec-tristique-orci-non','default','Town/City','','7.34'),(6746,'/ar/property/5699-donec-tristique-orci-non','default','Area','Territory of a country','7.34'),(6747,'/ar/property/5699-donec-tristique-orci-non','default','City/Regency','','7.34'),(6748,'/ar/property/5699-donec-tristique-orci-non','default','PIN code','','7.34'),(6749,'/ar/property/5699-donec-tristique-orci-non','default','Parish','Territory of a country','7.34'),(6750,'/ar/property/5699-donec-tristique-orci-non','default','Prefecture','','7.34'),(6751,'/ar/property/5699-donec-tristique-orci-non','default','Region','Territory of a country','7.34'),(6752,'/ar/property/5699-donec-tristique-orci-non','default','Municipality','','7.34'),(6753,'/ar/property/5699-donec-tristique-orci-non','default','Village / Township','','7.34'),(6754,'/ar/property/5699-donec-tristique-orci-non','default','Abu Dhabi','','7.34'),(6755,'/ar/property/5699-donec-tristique-orci-non','default','Fujairah','','7.34'),(6756,'/ar/property/5699-donec-tristique-orci-non','default','Umm al-Quwain','','7.34'),(6757,'/ar/property/5699-donec-tristique-orci-non','default','Sharjah','','7.34'),(6758,'/ar/property/5699-donec-tristique-orci-non','default','Dubai','','7.34'),(6759,'/ar/property/5699-donec-tristique-orci-non','default','Ras al-Khaimah','','7.34'),(6760,'/ar/property/5699-donec-tristique-orci-non','default','Ajmān','','7.34'),(6761,'/ar/property/5699-donec-tristique-orci-non','default','Buenos Aires','','7.34'),(6762,'/ar/property/5699-donec-tristique-orci-non','default','Catamarca','','7.34'),(6763,'/ar/property/5699-donec-tristique-orci-non','default','Chaco','','7.34'),(6764,'/ar/property/5699-donec-tristique-orci-non','default','Chubut','','7.34'),(6765,'/ar/property/5699-donec-tristique-orci-non','default','Ciudad de Buenos Aires','','7.34'),(6766,'/ar/property/5699-donec-tristique-orci-non','default','Córdoba','','7.34'),(6767,'/ar/property/5699-donec-tristique-orci-non','default','Corrientes','','7.34'),(6768,'/ar/property/5699-donec-tristique-orci-non','default','Entre Ríos','','7.34'),(6769,'/ar/property/5699-donec-tristique-orci-non','default','Formosa','','7.34'),(6770,'/ar/property/5699-donec-tristique-orci-non','default','Jujuy','','7.34'),(6771,'/ar/property/5699-donec-tristique-orci-non','default','La Pampa','','7.34'),(6772,'/ar/property/5699-donec-tristique-orci-non','default','La Rioja','','7.34'),(6773,'/ar/property/5699-donec-tristique-orci-non','default','Mendoza','','7.34'),(6774,'/ar/property/5699-donec-tristique-orci-non','default','Misiones','','7.34'),(6775,'/ar/property/5699-donec-tristique-orci-non','default','Neuquén','','7.34'),(6776,'/ar/property/5699-donec-tristique-orci-non','default','Río Negro','','7.34'),(6777,'/ar/property/5699-donec-tristique-orci-non','default','Salta','','7.34'),(6778,'/ar/property/5699-donec-tristique-orci-non','default','San Juan','','7.34'),(6779,'/ar/property/5699-donec-tristique-orci-non','default','San Luis','','7.34'),(6780,'/ar/property/5699-donec-tristique-orci-non','default','Santa Cruz','','7.34'),(6781,'/ar/property/5699-donec-tristique-orci-non','default','Santa Fe','','7.34'),(6782,'/ar/property/5699-donec-tristique-orci-non','default','Santiago del Estero','','7.34'),(6783,'/ar/property/5699-donec-tristique-orci-non','default','Tierra del Fuego','','7.34'),(6784,'/ar/property/5699-donec-tristique-orci-non','default','Tucumán','','7.34'),(6785,'/ar/property/5699-donec-tristique-orci-non','default','Australian Capital Territory','','7.34'),(6786,'/ar/property/5699-donec-tristique-orci-non','default','New South Wales','','7.34'),(6787,'/ar/property/5699-donec-tristique-orci-non','default','Northern Territory','','7.34'),(6788,'/ar/property/5699-donec-tristique-orci-non','default','Queensland','','7.34'),(6789,'/ar/property/5699-donec-tristique-orci-non','default','South Australia','','7.34'),(6790,'/ar/property/5699-donec-tristique-orci-non','default','Tasmania','','7.34'),(6791,'/ar/property/5699-donec-tristique-orci-non','default','Victoria','','7.34'),(6792,'/ar/property/5699-donec-tristique-orci-non','default','Western Australia','','7.34'),(6793,'/ar/property/5699-donec-tristique-orci-non','default','Acre','','7.34'),(6794,'/ar/property/5699-donec-tristique-orci-non','default','Alagoas','','7.34'),(6795,'/ar/property/5699-donec-tristique-orci-non','default','Amazonas','','7.34'),(6796,'/ar/property/5699-donec-tristique-orci-non','default','Amapá','','7.34'),(6797,'/ar/property/5699-donec-tristique-orci-non','default','Bahia','','7.34'),(6798,'/ar/property/5699-donec-tristique-orci-non','default','Ceará','','7.34'),(6799,'/ar/property/5699-donec-tristique-orci-non','default','Distrito Federal','','7.34'),(6800,'/ar/property/5699-donec-tristique-orci-non','default','Espírito Santo','','7.34'),(6801,'/ar/property/5699-donec-tristique-orci-non','default','Goiás','','7.34'),(6802,'/ar/property/5699-donec-tristique-orci-non','default','Maranhão','','7.34'),(6803,'/ar/property/5699-donec-tristique-orci-non','default','Minas Gerais','','7.34'),(6804,'/ar/property/5699-donec-tristique-orci-non','default','Mato Grosso do Sul','','7.34'),(6805,'/ar/property/5699-donec-tristique-orci-non','default','Mato Grosso','','7.34'),(6806,'/ar/property/5699-donec-tristique-orci-non','default','Pará','','7.34'),(6807,'/ar/property/5699-donec-tristique-orci-non','default','Paraíba','','7.34'),(6808,'/ar/property/5699-donec-tristique-orci-non','default','Pernambuco','','7.34'),(6809,'/ar/property/5699-donec-tristique-orci-non','default','Piauí','','7.34'),(6810,'/ar/property/5699-donec-tristique-orci-non','default','Paraná','','7.34'),(6811,'/ar/property/5699-donec-tristique-orci-non','default','Rio de Janeiro','','7.34'),(6812,'/ar/property/5699-donec-tristique-orci-non','default','Rio Grande do Norte','','7.34'),(6813,'/ar/property/5699-donec-tristique-orci-non','default','Rondônia','','7.34'),(6814,'/ar/property/5699-donec-tristique-orci-non','default','Roraima','','7.34'),(6815,'/ar/property/5699-donec-tristique-orci-non','default','Rio Grande do Sul','','7.34'),(6816,'/ar/property/5699-donec-tristique-orci-non','default','Santa Catarina','','7.34'),(6817,'/ar/property/5699-donec-tristique-orci-non','default','Sergipe','','7.34'),(6818,'/ar/property/5699-donec-tristique-orci-non','default','São Paulo','','7.34'),(6819,'/ar/property/5699-donec-tristique-orci-non','default','Tocantins','','7.34'),(6820,'/ar/property/5699-donec-tristique-orci-non','default','Alberta','','7.34'),(6821,'/ar/property/5699-donec-tristique-orci-non','default','British Columbia','','7.34'),(6822,'/ar/property/5699-donec-tristique-orci-non','default','Manitoba','','7.34'),(6823,'/ar/property/5699-donec-tristique-orci-non','default','New Brunswick','','7.34'),(6824,'/ar/property/5699-donec-tristique-orci-non','default','Newfoundland and Labrador','','7.34'),(6825,'/ar/property/5699-donec-tristique-orci-non','default','Northwest Territories','','7.34'),(6826,'/ar/property/5699-donec-tristique-orci-non','default','Nova Scotia','','7.34'),(6827,'/ar/property/5699-donec-tristique-orci-non','default','Nunavut','','7.34'),(6828,'/ar/property/5699-donec-tristique-orci-non','default','Ontario','','7.34'),(6829,'/ar/property/5699-donec-tristique-orci-non','default','Prince Edward Island','','7.34'),(6830,'/ar/property/5699-donec-tristique-orci-non','default','Quebec','','7.34'),(6831,'/ar/property/5699-donec-tristique-orci-non','default','Saskatchewan','','7.34'),(6832,'/ar/property/5699-donec-tristique-orci-non','default','Yukon Territory','','7.34'),(6833,'/ar/property/5699-donec-tristique-orci-non','default','Aysén del General Carlos Ibáñez del Campo','','7.34'),(6834,'/ar/property/5699-donec-tristique-orci-non','default','Antofagasta','','7.34'),(6835,'/ar/property/5699-donec-tristique-orci-non','default','Araucanía','','7.34'),(6836,'/ar/property/5699-donec-tristique-orci-non','default','Arica y Parinacota','','7.34'),(6837,'/ar/property/5699-donec-tristique-orci-non','default','Atacama','','7.34'),(6838,'/ar/property/5699-donec-tristique-orci-non','default','Biobío','','7.34'),(6839,'/ar/property/5699-donec-tristique-orci-non','default','Coquimbo','','7.34'),(6840,'/ar/property/5699-donec-tristique-orci-non','default','Libertador General Bernardo O\'Higgins','','7.34'),(6841,'/ar/property/5699-donec-tristique-orci-non','default','Los Lagos','','7.34'),(6842,'/ar/property/5699-donec-tristique-orci-non','default','Los Ríos','','7.34'),(6843,'/ar/property/5699-donec-tristique-orci-non','default','Magallanes y de la Antártica Chilena','','7.34'),(6844,'/ar/property/5699-donec-tristique-orci-non','default','Maule','','7.34'),(6845,'/ar/property/5699-donec-tristique-orci-non','default','Metropolitana de Santiago','','7.34'),(6846,'/ar/property/5699-donec-tristique-orci-non','default','Tarapacá','','7.34'),(6847,'/ar/property/5699-donec-tristique-orci-non','default','Valparaíso','','7.34'),(6848,'/ar/property/5699-donec-tristique-orci-non','default','Anhui Sheng','','7.34'),(6849,'/ar/property/5699-donec-tristique-orci-non','default','Macau','','7.34'),(6850,'/ar/property/5699-donec-tristique-orci-non','default','Beijing Shi','','7.34'),(6851,'/ar/property/5699-donec-tristique-orci-non','default','Chongqing Shi','','7.34'),(6852,'/ar/property/5699-donec-tristique-orci-non','default','Fujian Sheng','','7.34'),(6853,'/ar/property/5699-donec-tristique-orci-non','default','Gansu Sheng','','7.34'),(6854,'/ar/property/5699-donec-tristique-orci-non','default','Guangdong Sheng','','7.34'),(6855,'/ar/property/5699-donec-tristique-orci-non','default','Guangxi Zhuangzuzizhiqu','','7.34'),(6856,'/ar/property/5699-donec-tristique-orci-non','default','Guizhou Sheng','','7.34'),(6857,'/ar/property/5699-donec-tristique-orci-non','default','Hainan Sheng','','7.34'),(6858,'/ar/property/5699-donec-tristique-orci-non','default','Hebei Sheng','','7.34'),(6859,'/ar/property/5699-donec-tristique-orci-non','default','Henan Sheng','','7.34'),(6860,'/ar/property/5699-donec-tristique-orci-non','default','Heilongjiang Sheng','','7.34'),(6861,'/ar/property/5699-donec-tristique-orci-non','default','Hubei Sheng','','7.34'),(6862,'/ar/property/5699-donec-tristique-orci-non','default','Hunan Sheng','','7.34'),(6863,'/ar/property/5699-donec-tristique-orci-non','default','Jilin Sheng','','7.34'),(6864,'/ar/property/5699-donec-tristique-orci-non','default','Jiangsu Sheng','','7.34'),(6865,'/ar/property/5699-donec-tristique-orci-non','default','Jiangxi Sheng','','7.34'),(6866,'/ar/property/5699-donec-tristique-orci-non','default','Liaoning Sheng','','7.34'),(6867,'/ar/property/5699-donec-tristique-orci-non','default','Neimenggu Zizhiqu','','7.34'),(6868,'/ar/property/5699-donec-tristique-orci-non','default','Ningxia Huizuzizhiqu','','7.34'),(6869,'/ar/property/5699-donec-tristique-orci-non','default','Qinghai Sheng','','7.34'),(6870,'/ar/property/5699-donec-tristique-orci-non','default','Shandong Sheng','','7.34'),(6871,'/ar/property/5699-donec-tristique-orci-non','default','Shanxi Sheng','','7.34'),(6872,'/ar/property/5699-donec-tristique-orci-non','default','Shaanxi Sheng','','7.34'),(6873,'/ar/property/5699-donec-tristique-orci-non','default','Shanghai Shi','','7.34'),(6874,'/ar/property/5699-donec-tristique-orci-non','default','Sichuan Sheng','','7.34'),(6875,'/ar/property/5699-donec-tristique-orci-non','default','Tianjin Shi','','7.34'),(6876,'/ar/property/5699-donec-tristique-orci-non','default','Xizang Zizhiqu','','7.34'),(6877,'/ar/property/5699-donec-tristique-orci-non','default','Hong Kong','','7.34'),(6878,'/ar/property/5699-donec-tristique-orci-non','default','Xinjiang Weiwuerzizhiqu','','7.34'),(6879,'/ar/property/5699-donec-tristique-orci-non','default','Yunnan Sheng','','7.34'),(6880,'/ar/property/5699-donec-tristique-orci-non','default','Zhejiang Sheng','','7.34'),(6881,'/ar/property/5699-donec-tristique-orci-non','default','Antioquia','','7.34'),(6882,'/ar/property/5699-donec-tristique-orci-non','default','Arauca','','7.34'),(6883,'/ar/property/5699-donec-tristique-orci-non','default','Atlántico','','7.34'),(6884,'/ar/property/5699-donec-tristique-orci-non','default','Bolívar','','7.34'),(6885,'/ar/property/5699-donec-tristique-orci-non','default','Boyacá','','7.34'),(6886,'/ar/property/5699-donec-tristique-orci-non','default','Caldas','','7.34'),(6887,'/ar/property/5699-donec-tristique-orci-non','default','Caquetá','','7.34'),(6888,'/ar/property/5699-donec-tristique-orci-non','default','Casanare','','7.34'),(6889,'/ar/property/5699-donec-tristique-orci-non','default','Cauca','','7.34'),(6890,'/ar/property/5699-donec-tristique-orci-non','default','Cesar','','7.34'),(6891,'/ar/property/5699-donec-tristique-orci-non','default','Cundinamarca','','7.34'),(6892,'/ar/property/5699-donec-tristique-orci-non','default','Chocó','','7.34'),(6893,'/ar/property/5699-donec-tristique-orci-non','default','Guainía','','7.34'),(6894,'/ar/property/5699-donec-tristique-orci-non','default','Guaviare','','7.34'),(6895,'/ar/property/5699-donec-tristique-orci-non','default','Huila','','7.34'),(6896,'/ar/property/5699-donec-tristique-orci-non','default','La Guajira','','7.34'),(6897,'/ar/property/5699-donec-tristique-orci-non','default','Magdalena','','7.34'),(6898,'/ar/property/5699-donec-tristique-orci-non','default','Meta','','7.34'),(6899,'/ar/property/5699-donec-tristique-orci-non','default','Nariño','','7.34'),(6900,'/ar/property/5699-donec-tristique-orci-non','default','Norte de Santander','','7.34'),(6901,'/ar/property/5699-donec-tristique-orci-non','default','Putumayo','','7.34'),(6902,'/ar/property/5699-donec-tristique-orci-non','default','Quindío','','7.34'),(6903,'/ar/property/5699-donec-tristique-orci-non','default','Risaralda','','7.34'),(6904,'/ar/property/5699-donec-tristique-orci-non','default','San Andrés, Providencia y Santa Catalina','','7.34'),(6905,'/ar/property/5699-donec-tristique-orci-non','default','Santander','','7.34'),(6906,'/ar/property/5699-donec-tristique-orci-non','default','Sucre','','7.34'),(6907,'/ar/property/5699-donec-tristique-orci-non','default','Tolima','','7.34'),(6908,'/ar/property/5699-donec-tristique-orci-non','default','Valle del Cauca','','7.34'),(6909,'/ar/property/5699-donec-tristique-orci-non','default','Vaupés','','7.34'),(6910,'/ar/property/5699-donec-tristique-orci-non','default','Vichada','','7.34'),(6911,'/ar/property/5699-donec-tristique-orci-non','default','Harjumaa','','7.34'),(6912,'/ar/property/5699-donec-tristique-orci-non','default','Hiiumaa','','7.34'),(6913,'/ar/property/5699-donec-tristique-orci-non','default','Ida-Virumaa','','7.34'),(6914,'/ar/property/5699-donec-tristique-orci-non','default','Jõgevamaa','','7.34'),(6915,'/ar/property/5699-donec-tristique-orci-non','default','Järvamaa','','7.34'),(6916,'/ar/property/5699-donec-tristique-orci-non','default','Läänemaa','','7.34'),(6917,'/ar/property/5699-donec-tristique-orci-non','default','Lääne-Virumaa','','7.34'),(6918,'/ar/property/5699-donec-tristique-orci-non','default','Põlvamaa','','7.34'),(6919,'/ar/property/5699-donec-tristique-orci-non','default','Pärnumaa','','7.34'),(6920,'/ar/property/5699-donec-tristique-orci-non','default','Raplamaa','','7.34'),(6921,'/ar/property/5699-donec-tristique-orci-non','default','Saaremaa','','7.34'),(6922,'/ar/property/5699-donec-tristique-orci-non','default','Tartumaa','','7.34'),(6923,'/ar/property/5699-donec-tristique-orci-non','default','Valgamaa','','7.34'),(6924,'/ar/property/5699-donec-tristique-orci-non','default','Viljandimaa','','7.34'),(6925,'/ar/property/5699-donec-tristique-orci-non','default','Võrumaa','','7.34'),(6926,'/ar/property/5699-donec-tristique-orci-non','default','Alexandria','','7.34'),(6927,'/ar/property/5699-donec-tristique-orci-non','default','Aswan','','7.34'),(6928,'/ar/property/5699-donec-tristique-orci-non','default','Asyut','','7.34'),(6929,'/ar/property/5699-donec-tristique-orci-non','default','Beheira','','7.34'),(6930,'/ar/property/5699-donec-tristique-orci-non','default','Beni Suef','','7.34'),(6931,'/ar/property/5699-donec-tristique-orci-non','default','Cairo','','7.34'),(6932,'/ar/property/5699-donec-tristique-orci-non','default','Dakahlia','','7.34'),(6933,'/ar/property/5699-donec-tristique-orci-non','default','Damietta','','7.34'),(6934,'/ar/property/5699-donec-tristique-orci-non','default','Faiyum','','7.34'),(6935,'/ar/property/5699-donec-tristique-orci-non','default','Gharbia','','7.34'),(6936,'/ar/property/5699-donec-tristique-orci-non','default','Giza','','7.34'),(6937,'/ar/property/5699-donec-tristique-orci-non','default','Ismailia','','7.34'),(6938,'/ar/property/5699-donec-tristique-orci-non','default','Kafr el-Sheikh','','7.34'),(6939,'/ar/property/5699-donec-tristique-orci-non','default','Matruh','','7.34'),(6940,'/ar/property/5699-donec-tristique-orci-non','default','Minya','','7.34'),(6941,'/ar/property/5699-donec-tristique-orci-non','default','Monufia','','7.34'),(6942,'/ar/property/5699-donec-tristique-orci-non','default','New Valley','','7.34'),(6943,'/ar/property/5699-donec-tristique-orci-non','default','North Sinai','','7.34'),(6944,'/ar/property/5699-donec-tristique-orci-non','default','Port Said','','7.34'),(6945,'/ar/property/5699-donec-tristique-orci-non','default','Qalyubia','','7.34'),(6946,'/ar/property/5699-donec-tristique-orci-non','default','Qena','','7.34'),(6947,'/ar/property/5699-donec-tristique-orci-non','default','Red Sea','','7.34'),(6948,'/ar/property/5699-donec-tristique-orci-non','default','Sharqia','','7.34'),(6949,'/ar/property/5699-donec-tristique-orci-non','default','Sohag','','7.34'),(6950,'/ar/property/5699-donec-tristique-orci-non','default','South Sinai','','7.34'),(6951,'/ar/property/5699-donec-tristique-orci-non','default','Suez','','7.34'),(6952,'/ar/property/5699-donec-tristique-orci-non','default','Luxor','','7.34'),(6953,'/ar/property/5699-donec-tristique-orci-non','default','A Coruña','','7.34'),(6954,'/ar/property/5699-donec-tristique-orci-non','default','Alava','','7.34'),(6955,'/ar/property/5699-donec-tristique-orci-non','default','Albacete','','7.34'),(6956,'/ar/property/5699-donec-tristique-orci-non','default','Alicante','','7.34'),(6957,'/ar/property/5699-donec-tristique-orci-non','default','Almería','','7.34'),(6958,'/ar/property/5699-donec-tristique-orci-non','default','Asturias','','7.34'),(6959,'/ar/property/5699-donec-tristique-orci-non','default','Ávila','','7.34'),(6960,'/ar/property/5699-donec-tristique-orci-non','default','Badajoz','','7.34'),(6961,'/ar/property/5699-donec-tristique-orci-non','default','Baleares','','7.34'),(6962,'/ar/property/5699-donec-tristique-orci-non','default','Barcelona','','7.34'),(6963,'/ar/property/5699-donec-tristique-orci-non','default','Burgos','','7.34'),(6964,'/ar/property/5699-donec-tristique-orci-non','default','Cáceres','','7.34'),(6965,'/ar/property/5699-donec-tristique-orci-non','default','Cádiz','','7.34'),(6966,'/ar/property/5699-donec-tristique-orci-non','default','Cantabria','','7.34'),(6967,'/ar/property/5699-donec-tristique-orci-non','default','Castellón','','7.34'),(6968,'/ar/property/5699-donec-tristique-orci-non','default','Ceuta','','7.34'),(6969,'/ar/property/5699-donec-tristique-orci-non','default','Ciudad Real','','7.34'),(6970,'/ar/property/5699-donec-tristique-orci-non','default','Cuenca','','7.34'),(6971,'/ar/property/5699-donec-tristique-orci-non','default','Gerona','','7.34'),(6972,'/ar/property/5699-donec-tristique-orci-non','default','Granada','','7.34'),(6973,'/ar/property/5699-donec-tristique-orci-non','default','Guadalajara','','7.34'),(6974,'/ar/property/5699-donec-tristique-orci-non','default','Guipúzcoa','','7.34'),(6975,'/ar/property/5699-donec-tristique-orci-non','default','Huelva','','7.34'),(6976,'/ar/property/5699-donec-tristique-orci-non','default','Huesca','','7.34'),(6977,'/ar/property/5699-donec-tristique-orci-non','default','Jaén','','7.34'),(6978,'/ar/property/5699-donec-tristique-orci-non','default','Las Palmas','','7.34'),(6979,'/ar/property/5699-donec-tristique-orci-non','default','León','','7.34'),(6980,'/ar/property/5699-donec-tristique-orci-non','default','Lérida','','7.34'),(6981,'/ar/property/5699-donec-tristique-orci-non','default','Lugo','','7.34'),(6982,'/ar/property/5699-donec-tristique-orci-non','default','Madrid','','7.34'),(6983,'/ar/property/5699-donec-tristique-orci-non','default','Málaga','','7.34'),(6984,'/ar/property/5699-donec-tristique-orci-non','default','Melilla','','7.34'),(6985,'/ar/property/5699-donec-tristique-orci-non','default','Murcia','','7.34'),(6986,'/ar/property/5699-donec-tristique-orci-non','default','Navarra','','7.34'),(6987,'/ar/property/5699-donec-tristique-orci-non','default','Ourense','','7.34'),(6988,'/ar/property/5699-donec-tristique-orci-non','default','Palencia','','7.34'),(6989,'/ar/property/5699-donec-tristique-orci-non','default','Pontevedra','','7.34'),(6990,'/ar/property/5699-donec-tristique-orci-non','default','Salamanca','','7.34'),(6991,'/ar/property/5699-donec-tristique-orci-non','default','Santa Cruz de Tenerife','','7.34'),(6992,'/ar/property/5699-donec-tristique-orci-non','default','Segovia','','7.34'),(6993,'/ar/property/5699-donec-tristique-orci-non','default','Sevilla','','7.34'),(6994,'/ar/property/5699-donec-tristique-orci-non','default','Soria','','7.34'),(6995,'/ar/property/5699-donec-tristique-orci-non','default','Tarragona','','7.34'),(6996,'/ar/property/5699-donec-tristique-orci-non','default','Teruel','','7.34'),(6997,'/ar/property/5699-donec-tristique-orci-non','default','Toledo','','7.34'),(6998,'/ar/property/5699-donec-tristique-orci-non','default','Valencia','','7.34'),(6999,'/ar/property/5699-donec-tristique-orci-non','default','Valladolid','','7.34'),(7000,'/ar/property/5699-donec-tristique-orci-non','default','Vizcaya','','7.34'),(7001,'/ar/property/5699-donec-tristique-orci-non','default','Zamora','','7.34'),(7002,'/ar/property/5699-donec-tristique-orci-non','default','Zaragoza','','7.34'),(7003,'/ar/property/5699-donec-tristique-orci-non','default','Kowloon','','7.34'),(7004,'/ar/property/5699-donec-tristique-orci-non','default','Hong Kong Island','','7.34'),(7005,'/ar/property/5699-donec-tristique-orci-non','default','New Territories','','7.34'),(7006,'/ar/property/5699-donec-tristique-orci-non','default','Aceh','','7.34'),(7007,'/ar/property/5699-donec-tristique-orci-non','default','Bali','','7.34'),(7008,'/ar/property/5699-donec-tristique-orci-non','default','Bangka Belitung','','7.34'),(7009,'/ar/property/5699-donec-tristique-orci-non','default','Banten','','7.34'),(7010,'/ar/property/5699-donec-tristique-orci-non','default','Bengkulu','','7.34'),(7011,'/ar/property/5699-donec-tristique-orci-non','default','DKI Jakarta','','7.34'),(7012,'/ar/property/5699-donec-tristique-orci-non','default','D.I. Yogyakarta','','7.34'),(7013,'/ar/property/5699-donec-tristique-orci-non','default','Gorontalo','','7.34'),(7014,'/ar/property/5699-donec-tristique-orci-non','default','Jambi','','7.34'),(7015,'/ar/property/5699-donec-tristique-orci-non','default','Jawa Barat','','7.34'),(7016,'/ar/property/5699-donec-tristique-orci-non','default','Jawa Tengah','','7.34'),(7017,'/ar/property/5699-donec-tristique-orci-non','default','Jawa Timur','','7.34'),(7018,'/ar/property/5699-donec-tristique-orci-non','default','Kalimantan Barat','','7.34'),(7019,'/ar/property/5699-donec-tristique-orci-non','default','Kalimantan Selatan','','7.34'),(7020,'/ar/property/5699-donec-tristique-orci-non','default','Kalimantan Tengah','','7.34'),(7021,'/ar/property/5699-donec-tristique-orci-non','default','Kalimantan Timur','','7.34'),(7022,'/ar/property/5699-donec-tristique-orci-non','default','Kepulauan Riau','','7.34'),(7023,'/ar/property/5699-donec-tristique-orci-non','default','Lampung','','7.34'),(7024,'/ar/property/5699-donec-tristique-orci-non','default','Maluku','','7.34'),(7025,'/ar/property/5699-donec-tristique-orci-non','default','Maluku Utara','','7.34'),(7026,'/ar/property/5699-donec-tristique-orci-non','default','Nusa Tenggara Barat','','7.34'),(7027,'/ar/property/5699-donec-tristique-orci-non','default','Nusa Tenggara Timur','','7.34'),(7028,'/ar/property/5699-donec-tristique-orci-non','default','Papua','','7.34'),(7029,'/ar/property/5699-donec-tristique-orci-non','default','Papua Barat','','7.34'),(7030,'/ar/property/5699-donec-tristique-orci-non','default','Riau','','7.34'),(7031,'/ar/property/5699-donec-tristique-orci-non','default','Sulawesi Barat','','7.34'),(7032,'/ar/property/5699-donec-tristique-orci-non','default','Sulawesi Selatan','','7.34'),(7033,'/ar/property/5699-donec-tristique-orci-non','default','Sulawesi Tengah','','7.34'),(7034,'/ar/property/5699-donec-tristique-orci-non','default','Sulawesi Tenggara','','7.34'),(7035,'/ar/property/5699-donec-tristique-orci-non','default','Sulawesi Utara','','7.34'),(7036,'/ar/property/5699-donec-tristique-orci-non','default','Sumatera Barat','','7.34'),(7037,'/ar/property/5699-donec-tristique-orci-non','default','Sumatera Selatan','','7.34'),(7038,'/ar/property/5699-donec-tristique-orci-non','default','Sumatera Utara','','7.34'),(7039,'/ar/property/5699-donec-tristique-orci-non','default','Co Carlow','','7.34'),(7040,'/ar/property/5699-donec-tristique-orci-non','default','Co Cavan','','7.34'),(7041,'/ar/property/5699-donec-tristique-orci-non','default','Co Clare','','7.34'),(7042,'/ar/property/5699-donec-tristique-orci-non','default','Co Cork','','7.34'),(7043,'/ar/property/5699-donec-tristique-orci-non','default','Co Donegal','','7.34'),(7044,'/ar/property/5699-donec-tristique-orci-non','default','Co Dublin','','7.34'),(7045,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 1','','7.34'),(7046,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 2','','7.34'),(7047,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 3','','7.34'),(7048,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 4','','7.34'),(7049,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 5','','7.34'),(7050,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 6','','7.34'),(7051,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 6w','','7.34'),(7052,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 7','','7.34'),(7053,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 8','','7.34'),(7054,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 9','','7.34'),(7055,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 10','','7.34'),(7056,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 11','','7.34'),(7057,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 12','','7.34'),(7058,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 13','','7.34'),(7059,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 14','','7.34'),(7060,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 15','','7.34'),(7061,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 16','','7.34'),(7062,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 17','','7.34'),(7063,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 18','','7.34'),(7064,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 19','','7.34'),(7065,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 20','','7.34'),(7066,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 21','','7.34'),(7067,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 22','','7.34'),(7068,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 23','','7.34'),(7069,'/ar/property/5699-donec-tristique-orci-non','default','Dublin 24','','7.34'),(7070,'/ar/property/5699-donec-tristique-orci-non','default','Co Galway','','7.34'),(7071,'/ar/property/5699-donec-tristique-orci-non','default','Co Kerry','','7.34'),(7072,'/ar/property/5699-donec-tristique-orci-non','default','Co Kildare','','7.34'),(7073,'/ar/property/5699-donec-tristique-orci-non','default','Co Kilkenny','','7.34'),(7074,'/ar/property/5699-donec-tristique-orci-non','default','Co Laois','','7.34'),(7075,'/ar/property/5699-donec-tristique-orci-non','default','Co Leitrim','','7.34'),(7076,'/ar/property/5699-donec-tristique-orci-non','default','Co Limerick','','7.34'),(7077,'/ar/property/5699-donec-tristique-orci-non','default','Co Longford','','7.34'),(7078,'/ar/property/5699-donec-tristique-orci-non','default','Co Louth','','7.34'),(7079,'/ar/property/5699-donec-tristique-orci-non','default','Co Mayo','','7.34'),(7080,'/ar/property/5699-donec-tristique-orci-non','default','Co Meath','','7.34'),(7081,'/ar/property/5699-donec-tristique-orci-non','default','Co Monaghan','','7.34'),(7082,'/ar/property/5699-donec-tristique-orci-non','default','Co Offaly','','7.34'),(7083,'/ar/property/5699-donec-tristique-orci-non','default','Co Roscommon','','7.34'),(7084,'/ar/property/5699-donec-tristique-orci-non','default','Co Sligo','','7.34'),(7085,'/ar/property/5699-donec-tristique-orci-non','default','Co Tipperary','','7.34'),(7086,'/ar/property/5699-donec-tristique-orci-non','default','Co Waterford','','7.34'),(7087,'/ar/property/5699-donec-tristique-orci-non','default','Co Westmeath','','7.34'),(7088,'/ar/property/5699-donec-tristique-orci-non','default','Co Wexford','','7.34'),(7089,'/ar/property/5699-donec-tristique-orci-non','default','Co Wicklow','','7.34'),(7090,'/ar/property/5699-donec-tristique-orci-non','default','Andhra Pradesh','','7.34'),(7091,'/ar/property/5699-donec-tristique-orci-non','default','Arunachal Pradesh','','7.34'),(7092,'/ar/property/5699-donec-tristique-orci-non','default','Assam','','7.34'),(7093,'/ar/property/5699-donec-tristique-orci-non','default','Bihar','','7.34'),(7094,'/ar/property/5699-donec-tristique-orci-non','default','Chhattisgarh','','7.34'),(7095,'/ar/property/5699-donec-tristique-orci-non','default','Daman & Diu','','7.34'),(7096,'/ar/property/5699-donec-tristique-orci-non','default','Dadra & Nagar Haveli','','7.34'),(7097,'/ar/property/5699-donec-tristique-orci-non','default','Goa','','7.34'),(7098,'/ar/property/5699-donec-tristique-orci-non','default','Gujarat','','7.34'),(7099,'/ar/property/5699-donec-tristique-orci-non','default','Himachal Pradesh','','7.34'),(7100,'/ar/property/5699-donec-tristique-orci-non','default','Haryana','','7.34'),(7101,'/ar/property/5699-donec-tristique-orci-non','default','Jharkhand','','7.34'),(7102,'/ar/property/5699-donec-tristique-orci-non','default','Jammu & Kashmir','','7.34'),(7103,'/ar/property/5699-donec-tristique-orci-non','default','Karnataka','','7.34'),(7104,'/ar/property/5699-donec-tristique-orci-non','default','Kerala','','7.34'),(7105,'/ar/property/5699-donec-tristique-orci-non','default','Maharashtra','','7.34'),(7106,'/ar/property/5699-donec-tristique-orci-non','default','Manipur','','7.34'),(7107,'/ar/property/5699-donec-tristique-orci-non','default','Meghalaya','','7.34'),(7108,'/ar/property/5699-donec-tristique-orci-non','default','Madhya Pradesh','','7.34'),(7109,'/ar/property/5699-donec-tristique-orci-non','default','Mizoram','','7.34'),(7110,'/ar/property/5699-donec-tristique-orci-non','default','Nagaland','','7.34'),(7111,'/ar/property/5699-donec-tristique-orci-non','default','Odisha','','7.34'),(7112,'/ar/property/5699-donec-tristique-orci-non','default','Punjab','','7.34'),(7113,'/ar/property/5699-donec-tristique-orci-non','default','Rajasthan','','7.34'),(7114,'/ar/property/5699-donec-tristique-orci-non','default','Sikkim','','7.34'),(7115,'/ar/property/5699-donec-tristique-orci-non','default','Tamil Nadu','','7.34'),(7116,'/ar/property/5699-donec-tristique-orci-non','default','Telangana','','7.34'),(7117,'/ar/property/5699-donec-tristique-orci-non','default','Tripura','','7.34'),(7118,'/ar/property/5699-donec-tristique-orci-non','default','Uttar Pradesh','','7.34'),(7119,'/ar/property/5699-donec-tristique-orci-non','default','Uttarakhand','','7.34'),(7120,'/ar/property/5699-donec-tristique-orci-non','default','West Bengal','','7.34'),(7121,'/ar/property/5699-donec-tristique-orci-non','default','Andaman & Nicobar','','7.34'),(7122,'/ar/property/5699-donec-tristique-orci-non','default','Chandigarh','','7.34'),(7123,'/ar/property/5699-donec-tristique-orci-non','default','Delhi','','7.34'),(7124,'/ar/property/5699-donec-tristique-orci-non','default','Lakshadweep','','7.34'),(7125,'/ar/property/5699-donec-tristique-orci-non','default','Puducherry','','7.34'),(7126,'/ar/property/5699-donec-tristique-orci-non','default','Agrigento','','7.34'),(7127,'/ar/property/5699-donec-tristique-orci-non','default','Alessandria','','7.34'),(7128,'/ar/property/5699-donec-tristique-orci-non','default','Ancona','','7.34'),(7129,'/ar/property/5699-donec-tristique-orci-non','default','Aosta','','7.34'),(7130,'/ar/property/5699-donec-tristique-orci-non','default','Ascoli Piceno','','7.34'),(7131,'/ar/property/5699-donec-tristique-orci-non','default','L\'Aquila','','7.34'),(7132,'/ar/property/5699-donec-tristique-orci-non','default','Arezzo','','7.34'),(7133,'/ar/property/5699-donec-tristique-orci-non','default','Asti','','7.34'),(7134,'/ar/property/5699-donec-tristique-orci-non','default','Avellino','','7.34'),(7135,'/ar/property/5699-donec-tristique-orci-non','default','Bari','','7.34'),(7136,'/ar/property/5699-donec-tristique-orci-non','default','Bergamo','','7.34'),(7137,'/ar/property/5699-donec-tristique-orci-non','default','Biella','','7.34'),(7138,'/ar/property/5699-donec-tristique-orci-non','default','Belluno','','7.34'),(7139,'/ar/property/5699-donec-tristique-orci-non','default','Benevento','','7.34'),(7140,'/ar/property/5699-donec-tristique-orci-non','default','Bologna','','7.34'),(7141,'/ar/property/5699-donec-tristique-orci-non','default','Brindisi','','7.34'),(7142,'/ar/property/5699-donec-tristique-orci-non','default','Brescia','','7.34'),(7143,'/ar/property/5699-donec-tristique-orci-non','default','Barletta-Andria-Trani','','7.34'),(7144,'/ar/property/5699-donec-tristique-orci-non','default','Bolzano/Bozen','','7.34'),(7145,'/ar/property/5699-donec-tristique-orci-non','default','Cagliari','','7.34'),(7146,'/ar/property/5699-donec-tristique-orci-non','default','Campobasso','','7.34'),(7147,'/ar/property/5699-donec-tristique-orci-non','default','Caserta','','7.34'),(7148,'/ar/property/5699-donec-tristique-orci-non','default','Chieti','','7.34'),(7149,'/ar/property/5699-donec-tristique-orci-non','default','Carbonia-Iglesias','','7.34'),(7150,'/ar/property/5699-donec-tristique-orci-non','default','Caltanissetta','','7.34'),(7151,'/ar/property/5699-donec-tristique-orci-non','default','Cuneo','','7.34'),(7152,'/ar/property/5699-donec-tristique-orci-non','default','Como','','7.34'),(7153,'/ar/property/5699-donec-tristique-orci-non','default','Cremona','','7.34'),(7154,'/ar/property/5699-donec-tristique-orci-non','default','Cosenza','','7.34'),(7155,'/ar/property/5699-donec-tristique-orci-non','default','Catania','','7.34'),(7156,'/ar/property/5699-donec-tristique-orci-non','default','Catanzaro','','7.34'),(7157,'/ar/property/5699-donec-tristique-orci-non','default','Enna','','7.34'),(7158,'/ar/property/5699-donec-tristique-orci-non','default','Forlì-Cesena','','7.34'),(7159,'/ar/property/5699-donec-tristique-orci-non','default','Ferrara','','7.34'),(7160,'/ar/property/5699-donec-tristique-orci-non','default','Foggia','','7.34'),(7161,'/ar/property/5699-donec-tristique-orci-non','default','Firenze','','7.34'),(7162,'/ar/property/5699-donec-tristique-orci-non','default','Fermo','','7.34'),(7163,'/ar/property/5699-donec-tristique-orci-non','default','Frosinone','','7.34'),(7164,'/ar/property/5699-donec-tristique-orci-non','default','Genova','','7.34'),(7165,'/ar/property/5699-donec-tristique-orci-non','default','Gorizia','','7.34'),(7166,'/ar/property/5699-donec-tristique-orci-non','default','Grosseto','','7.34'),(7167,'/ar/property/5699-donec-tristique-orci-non','default','Imperia','','7.34'),(7168,'/ar/property/5699-donec-tristique-orci-non','default','Isernia','','7.34'),(7169,'/ar/property/5699-donec-tristique-orci-non','default','Crotone','','7.34'),(7170,'/ar/property/5699-donec-tristique-orci-non','default','Lecco','','7.34'),(7171,'/ar/property/5699-donec-tristique-orci-non','default','Lecce','','7.34'),(7172,'/ar/property/5699-donec-tristique-orci-non','default','Livorno','','7.34'),(7173,'/ar/property/5699-donec-tristique-orci-non','default','Lodi','','7.34'),(7174,'/ar/property/5699-donec-tristique-orci-non','default','Latina','','7.34'),(7175,'/ar/property/5699-donec-tristique-orci-non','default','Lucca','','7.34'),(7176,'/ar/property/5699-donec-tristique-orci-non','default','Monza e Brianza','','7.34'),(7177,'/ar/property/5699-donec-tristique-orci-non','default','Macerata','','7.34'),(7178,'/ar/property/5699-donec-tristique-orci-non','default','Messina','','7.34'),(7179,'/ar/property/5699-donec-tristique-orci-non','default','Milano','','7.34'),(7180,'/ar/property/5699-donec-tristique-orci-non','default','Mantova','','7.34'),(7181,'/ar/property/5699-donec-tristique-orci-non','default','Modena','','7.34'),(7182,'/ar/property/5699-donec-tristique-orci-non','default','Massa-Carrara','','7.34'),(7183,'/ar/property/5699-donec-tristique-orci-non','default','Matera','','7.34'),(7184,'/ar/property/5699-donec-tristique-orci-non','default','Napoli','','7.34'),(7185,'/ar/property/5699-donec-tristique-orci-non','default','Novara','','7.34'),(7186,'/ar/property/5699-donec-tristique-orci-non','default','Nuoro','','7.34'),(7187,'/ar/property/5699-donec-tristique-orci-non','default','Ogliastra','','7.34'),(7188,'/ar/property/5699-donec-tristique-orci-non','default','Oristano','','7.34'),(7189,'/ar/property/5699-donec-tristique-orci-non','default','Olbia-Tempio','','7.34'),(7190,'/ar/property/5699-donec-tristique-orci-non','default','Palermo','','7.34'),(7191,'/ar/property/5699-donec-tristique-orci-non','default','Piacenza','','7.34'),(7192,'/ar/property/5699-donec-tristique-orci-non','default','Padova','','7.34'),(7193,'/ar/property/5699-donec-tristique-orci-non','default','Pescara','','7.34'),(7194,'/ar/property/5699-donec-tristique-orci-non','default','Perugia','','7.34'),(7195,'/ar/property/5699-donec-tristique-orci-non','default','Pisa','','7.34'),(7196,'/ar/property/5699-donec-tristique-orci-non','default','Pordenone','','7.34'),(7197,'/ar/property/5699-donec-tristique-orci-non','default','Prato','','7.34'),(7198,'/ar/property/5699-donec-tristique-orci-non','default','Parma','','7.34'),(7199,'/ar/property/5699-donec-tristique-orci-non','default','Pistoia','','7.34'),(7200,'/ar/property/5699-donec-tristique-orci-non','default','Pesaro e Urbino','','7.34'),(7201,'/ar/property/5699-donec-tristique-orci-non','default','Pavia','','7.34'),(7202,'/ar/property/5699-donec-tristique-orci-non','default','Potenza','','7.34'),(7203,'/ar/property/5699-donec-tristique-orci-non','default','Ravenna','','7.34'),(7204,'/ar/property/5699-donec-tristique-orci-non','default','Reggio Calabria','','7.34'),(7205,'/ar/property/5699-donec-tristique-orci-non','default','Reggio Emilia','','7.34'),(7206,'/ar/property/5699-donec-tristique-orci-non','default','Ragusa','','7.34'),(7207,'/ar/property/5699-donec-tristique-orci-non','default','Rieti','','7.34'),(7208,'/ar/property/5699-donec-tristique-orci-non','default','Roma','','7.34'),(7209,'/ar/property/5699-donec-tristique-orci-non','default','Rimini','','7.34'),(7210,'/ar/property/5699-donec-tristique-orci-non','default','Rovigo','','7.34'),(7211,'/ar/property/5699-donec-tristique-orci-non','default','Salerno','','7.34'),(7212,'/ar/property/5699-donec-tristique-orci-non','default','Siena','','7.34'),(7213,'/ar/property/5699-donec-tristique-orci-non','default','Sondrio','','7.34'),(7214,'/ar/property/5699-donec-tristique-orci-non','default','La Spezia','','7.34'),(7215,'/ar/property/5699-donec-tristique-orci-non','default','Siracusa','','7.34'),(7216,'/ar/property/5699-donec-tristique-orci-non','default','Sassari','','7.34'),(7217,'/ar/property/5699-donec-tristique-orci-non','default','Savona','','7.34'),(7218,'/ar/property/5699-donec-tristique-orci-non','default','Taranto','','7.34'),(7219,'/ar/property/5699-donec-tristique-orci-non','default','Teramo','','7.34'),(7220,'/ar/property/5699-donec-tristique-orci-non','default','Trento','','7.34'),(7221,'/ar/property/5699-donec-tristique-orci-non','default','Torino','','7.34'),(7222,'/ar/property/5699-donec-tristique-orci-non','default','Trapani','','7.34'),(7223,'/ar/property/5699-donec-tristique-orci-non','default','Terni','','7.34'),(7224,'/ar/property/5699-donec-tristique-orci-non','default','Trieste','','7.34'),(7225,'/ar/property/5699-donec-tristique-orci-non','default','Treviso','','7.34'),(7226,'/ar/property/5699-donec-tristique-orci-non','default','Udine','','7.34'),(7227,'/ar/property/5699-donec-tristique-orci-non','default','Varese','','7.34'),(7228,'/ar/property/5699-donec-tristique-orci-non','default','Verbano-Cusio-Ossola','','7.34'),(7229,'/ar/property/5699-donec-tristique-orci-non','default','Vercelli','','7.34'),(7230,'/ar/property/5699-donec-tristique-orci-non','default','Venezia','','7.34'),(7231,'/ar/property/5699-donec-tristique-orci-non','default','Vicenza','','7.34'),(7232,'/ar/property/5699-donec-tristique-orci-non','default','Verona','','7.34'),(7233,'/ar/property/5699-donec-tristique-orci-non','default','Medio Campidano','','7.34'),(7234,'/ar/property/5699-donec-tristique-orci-non','default','Viterbo','','7.34'),(7235,'/ar/property/5699-donec-tristique-orci-non','default','Vibo Valentia','','7.34'),(7236,'/ar/property/5699-donec-tristique-orci-non','default','Hokkaido','','7.34'),(7237,'/ar/property/5699-donec-tristique-orci-non','default','Aomori','','7.34'),(7238,'/ar/property/5699-donec-tristique-orci-non','default','Iwate','','7.34'),(7239,'/ar/property/5699-donec-tristique-orci-non','default','Miyagi','','7.34'),(7240,'/ar/property/5699-donec-tristique-orci-non','default','Akita','','7.34'),(7241,'/ar/property/5699-donec-tristique-orci-non','default','Yamagata','','7.34'),(7242,'/ar/property/5699-donec-tristique-orci-non','default','Fukushima','','7.34'),(7243,'/ar/property/5699-donec-tristique-orci-non','default','Ibaraki','','7.34'),(7244,'/ar/property/5699-donec-tristique-orci-non','default','Tochigi','','7.34'),(7245,'/ar/property/5699-donec-tristique-orci-non','default','Gunma','','7.34'),(7246,'/ar/property/5699-donec-tristique-orci-non','default','Saitama','','7.34'),(7247,'/ar/property/5699-donec-tristique-orci-non','default','Chiba','','7.34'),(7248,'/ar/property/5699-donec-tristique-orci-non','default','Tokyo','','7.34'),(7249,'/ar/property/5699-donec-tristique-orci-non','default','Kanagawa','','7.34'),(7250,'/ar/property/5699-donec-tristique-orci-non','default','Niigata','','7.34'),(7251,'/ar/property/5699-donec-tristique-orci-non','default','Toyama','','7.34'),(7252,'/ar/property/5699-donec-tristique-orci-non','default','Ishikawa','','7.34'),(7253,'/ar/property/5699-donec-tristique-orci-non','default','Fukui','','7.34'),(7254,'/ar/property/5699-donec-tristique-orci-non','default','Yamanashi','','7.34'),(7255,'/ar/property/5699-donec-tristique-orci-non','default','Nagano','','7.34'),(7256,'/ar/property/5699-donec-tristique-orci-non','default','Gifu','','7.34'),(7257,'/ar/property/5699-donec-tristique-orci-non','default','Shizuoka','','7.34'),(7258,'/ar/property/5699-donec-tristique-orci-non','default','Aichi','','7.34'),(7259,'/ar/property/5699-donec-tristique-orci-non','default','Mie','','7.34'),(7260,'/ar/property/5699-donec-tristique-orci-non','default','Shiga','','7.34'),(7261,'/ar/property/5699-donec-tristique-orci-non','default','Kyoto','','7.34'),(7262,'/ar/property/5699-donec-tristique-orci-non','default','Osaka','','7.34'),(7263,'/ar/property/5699-donec-tristique-orci-non','default','Hyogo','','7.34'),(7264,'/ar/property/5699-donec-tristique-orci-non','default','Nara','','7.34'),(7265,'/ar/property/5699-donec-tristique-orci-non','default','Wakayama','','7.34'),(7266,'/ar/property/5699-donec-tristique-orci-non','default','Tottori','','7.34'),(7267,'/ar/property/5699-donec-tristique-orci-non','default','Shimane','','7.34'),(7268,'/ar/property/5699-donec-tristique-orci-non','default','Okayama','','7.34'),(7269,'/ar/property/5699-donec-tristique-orci-non','default','Hiroshima','','7.34'),(7270,'/ar/property/5699-donec-tristique-orci-non','default','Yamaguchi','','7.34'),(7271,'/ar/property/5699-donec-tristique-orci-non','default','Tokushima','','7.34'),(7272,'/ar/property/5699-donec-tristique-orci-non','default','Kagawa','','7.34'),(7273,'/ar/property/5699-donec-tristique-orci-non','default','Ehime','','7.34'),(7274,'/ar/property/5699-donec-tristique-orci-non','default','Kochi','','7.34'),(7275,'/ar/property/5699-donec-tristique-orci-non','default','Fukuoka','','7.34'),(7276,'/ar/property/5699-donec-tristique-orci-non','default','Saga','','7.34'),(7277,'/ar/property/5699-donec-tristique-orci-non','default','Nagasaki','','7.34'),(7278,'/ar/property/5699-donec-tristique-orci-non','default','Kumamoto','','7.34'),(7279,'/ar/property/5699-donec-tristique-orci-non','default','Oita','','7.34'),(7280,'/ar/property/5699-donec-tristique-orci-non','default','Miyazaki','','7.34'),(7281,'/ar/property/5699-donec-tristique-orci-non','default','Kagoshima','','7.34'),(7282,'/ar/property/5699-donec-tristique-orci-non','default','Okinawa','','7.34'),(7283,'/ar/property/5699-donec-tristique-orci-non','default','Seoul','','7.34'),(7284,'/ar/property/5699-donec-tristique-orci-non','default','Busan','','7.34'),(7285,'/ar/property/5699-donec-tristique-orci-non','default','Daegu','','7.34'),(7286,'/ar/property/5699-donec-tristique-orci-non','default','Daejeon','','7.34'),(7287,'/ar/property/5699-donec-tristique-orci-non','default','Gwangju','','7.34'),(7288,'/ar/property/5699-donec-tristique-orci-non','default','Incheon','','7.34'),(7289,'/ar/property/5699-donec-tristique-orci-non','default','Ulsan','','7.34'),(7290,'/ar/property/5699-donec-tristique-orci-non','default','Chungcheongbuk-do','','7.34'),(7291,'/ar/property/5699-donec-tristique-orci-non','default','Chungcheongnam-do','','7.34'),(7292,'/ar/property/5699-donec-tristique-orci-non','default','Gangwon-do','','7.34'),(7293,'/ar/property/5699-donec-tristique-orci-non','default','Gyeonggi-do','','7.34'),(7294,'/ar/property/5699-donec-tristique-orci-non','default','Gyeongsangbuk-do','','7.34'),(7295,'/ar/property/5699-donec-tristique-orci-non','default','Gyeongsangnam-do','','7.34'),(7296,'/ar/property/5699-donec-tristique-orci-non','default','Jeju-do','','7.34'),(7297,'/ar/property/5699-donec-tristique-orci-non','default','Jeollabuk-do','','7.34'),(7298,'/ar/property/5699-donec-tristique-orci-non','default','Jeollanam-do','','7.34'),(7299,'/ar/property/5699-donec-tristique-orci-non','default','Sejong','','7.34'),(7300,'/ar/property/5699-donec-tristique-orci-non','default','Astana','','7.34'),(7301,'/ar/property/5699-donec-tristique-orci-non','default','Almaty','','7.34'),(7302,'/ar/property/5699-donec-tristique-orci-non','default','Almaty region','','7.34'),(7303,'/ar/property/5699-donec-tristique-orci-non','default','Aqmola region','','7.34'),(7304,'/ar/property/5699-donec-tristique-orci-non','default','Aqtöbe region','','7.34'),(7305,'/ar/property/5699-donec-tristique-orci-non','default','Atyraū region','','7.34'),(7306,'/ar/property/5699-donec-tristique-orci-non','default','Batys Qazaqstan region','','7.34'),(7307,'/ar/property/5699-donec-tristique-orci-non','default','Mangghystaū region','','7.34'),(7308,'/ar/property/5699-donec-tristique-orci-non','default','Ongtüstik Qazaqstan region','','7.34'),(7309,'/ar/property/5699-donec-tristique-orci-non','default','Pavlodar region','','7.34'),(7310,'/ar/property/5699-donec-tristique-orci-non','default','Qaraghandy region','','7.34'),(7311,'/ar/property/5699-donec-tristique-orci-non','default','Qostanay region','','7.34'),(7312,'/ar/property/5699-donec-tristique-orci-non','default','Qyzylorda region','','7.34'),(7313,'/ar/property/5699-donec-tristique-orci-non','default','Shyghys Qazaqstan region','','7.34'),(7314,'/ar/property/5699-donec-tristique-orci-non','default','Soltüstik Qazaqstan region','','7.34'),(7315,'/ar/property/5699-donec-tristique-orci-non','default','Zhambyl region','','7.34'),(7316,'/ar/property/5699-donec-tristique-orci-non','default','Aguascalientes','','7.34'),(7317,'/ar/property/5699-donec-tristique-orci-non','default','Baja California','','7.34'),(7318,'/ar/property/5699-donec-tristique-orci-non','default','Baja California Sur','','7.34'),(7319,'/ar/property/5699-donec-tristique-orci-non','default','Campeche','','7.34'),(7320,'/ar/property/5699-donec-tristique-orci-non','default','Coahuila','','7.34'),(7321,'/ar/property/5699-donec-tristique-orci-non','default','Colima','','7.34'),(7322,'/ar/property/5699-donec-tristique-orci-non','default','Chiapas','','7.34'),(7323,'/ar/property/5699-donec-tristique-orci-non','default','Chihuahua','','7.34'),(7324,'/ar/property/5699-donec-tristique-orci-non','default','Durango','','7.34'),(7325,'/ar/property/5699-donec-tristique-orci-non','default','Estado de México','','7.34'),(7326,'/ar/property/5699-donec-tristique-orci-non','default','Guanajuato','','7.34'),(7327,'/ar/property/5699-donec-tristique-orci-non','default','Guerrero','','7.34'),(7328,'/ar/property/5699-donec-tristique-orci-non','default','Hidalgo','','7.34'),(7329,'/ar/property/5699-donec-tristique-orci-non','default','Jalisco','','7.34'),(7330,'/ar/property/5699-donec-tristique-orci-non','default','Michoacán','','7.34'),(7331,'/ar/property/5699-donec-tristique-orci-non','default','Morelos','','7.34'),(7332,'/ar/property/5699-donec-tristique-orci-non','default','Nayarit','','7.34'),(7333,'/ar/property/5699-donec-tristique-orci-non','default','Nuevo León','','7.34'),(7334,'/ar/property/5699-donec-tristique-orci-non','default','Oaxaca','','7.34'),(7335,'/ar/property/5699-donec-tristique-orci-non','default','Puebla','','7.34'),(7336,'/ar/property/5699-donec-tristique-orci-non','default','Queretaro','','7.34'),(7337,'/ar/property/5699-donec-tristique-orci-non','default','Quintana Roo','','7.34'),(7338,'/ar/property/5699-donec-tristique-orci-non','default','San Luis Potosí','','7.34'),(7339,'/ar/property/5699-donec-tristique-orci-non','default','Sinaloa','','7.34'),(7340,'/ar/property/5699-donec-tristique-orci-non','default','Sonora','','7.34'),(7341,'/ar/property/5699-donec-tristique-orci-non','default','Tabasco','','7.34'),(7342,'/ar/property/5699-donec-tristique-orci-non','default','Tamaulipas','','7.34'),(7343,'/ar/property/5699-donec-tristique-orci-non','default','Tlaxcala','','7.34'),(7344,'/ar/property/5699-donec-tristique-orci-non','default','Veracruz','','7.34'),(7345,'/ar/property/5699-donec-tristique-orci-non','default','Yucatán','','7.34'),(7346,'/ar/property/5699-donec-tristique-orci-non','default','Zacatecas','','7.34'),(7347,'/ar/property/5699-donec-tristique-orci-non','default','Johor','','7.34'),(7348,'/ar/property/5699-donec-tristique-orci-non','default','Kedah','','7.34'),(7349,'/ar/property/5699-donec-tristique-orci-non','default','Kelantan','','7.34'),(7350,'/ar/property/5699-donec-tristique-orci-non','default','Kuala Lumpur','','7.34'),(7351,'/ar/property/5699-donec-tristique-orci-non','default','Labuan','','7.34'),(7352,'/ar/property/5699-donec-tristique-orci-non','default','Melaka','','7.34'),(7353,'/ar/property/5699-donec-tristique-orci-non','default','Negeri Sembilan','','7.34'),(7354,'/ar/property/5699-donec-tristique-orci-non','default','Pahang','','7.34'),(7355,'/ar/property/5699-donec-tristique-orci-non','default','Perak','','7.34'),(7356,'/ar/property/5699-donec-tristique-orci-non','default','Perlis','','7.34'),(7357,'/ar/property/5699-donec-tristique-orci-non','default','Pulau Pinang','','7.34'),(7358,'/ar/property/5699-donec-tristique-orci-non','default','Putrajaya','','7.34'),(7359,'/ar/property/5699-donec-tristique-orci-non','default','Sabah','','7.34'),(7360,'/ar/property/5699-donec-tristique-orci-non','default','Sarawak','','7.34'),(7361,'/ar/property/5699-donec-tristique-orci-non','default','Selangor','','7.34'),(7362,'/ar/property/5699-donec-tristique-orci-non','default','Terengganu','','7.34'),(7363,'/ar/property/5699-donec-tristique-orci-non','default','Ancash','','7.34'),(7364,'/ar/property/5699-donec-tristique-orci-non','default','Apurimac','','7.34'),(7365,'/ar/property/5699-donec-tristique-orci-non','default','Arequipa','','7.34'),(7366,'/ar/property/5699-donec-tristique-orci-non','default','Ayacucho','','7.34'),(7367,'/ar/property/5699-donec-tristique-orci-non','default','Cajamarca','','7.34'),(7368,'/ar/property/5699-donec-tristique-orci-non','default','Callao','','7.34'),(7369,'/ar/property/5699-donec-tristique-orci-non','default','Cusco','','7.34'),(7370,'/ar/property/5699-donec-tristique-orci-non','default','Huancavelica','','7.34'),(7371,'/ar/property/5699-donec-tristique-orci-non','default','Huanuco','','7.34'),(7372,'/ar/property/5699-donec-tristique-orci-non','default','Ica','','7.34'),(7373,'/ar/property/5699-donec-tristique-orci-non','default','Junin','','7.34'),(7374,'/ar/property/5699-donec-tristique-orci-non','default','La Libertad','','7.34'),(7375,'/ar/property/5699-donec-tristique-orci-non','default','Lambayeque','','7.34'),(7376,'/ar/property/5699-donec-tristique-orci-non','default','Lima','','7.34'),(7377,'/ar/property/5699-donec-tristique-orci-non','default','Loreto','','7.34'),(7378,'/ar/property/5699-donec-tristique-orci-non','default','Madre de Dios','','7.34'),(7379,'/ar/property/5699-donec-tristique-orci-non','default','Moquegua','','7.34'),(7380,'/ar/property/5699-donec-tristique-orci-non','default','Pasco','','7.34'),(7381,'/ar/property/5699-donec-tristique-orci-non','default','Piura','','7.34'),(7382,'/ar/property/5699-donec-tristique-orci-non','default','Puno','','7.34'),(7383,'/ar/property/5699-donec-tristique-orci-non','default','San Martin','','7.34'),(7384,'/ar/property/5699-donec-tristique-orci-non','default','Tacna','','7.34'),(7385,'/ar/property/5699-donec-tristique-orci-non','default','Tumbes','','7.34'),(7386,'/ar/property/5699-donec-tristique-orci-non','default','Ucayali','','7.34'),(7387,'/ar/property/5699-donec-tristique-orci-non','default','Moskva','','7.34'),(7388,'/ar/property/5699-donec-tristique-orci-non','default','Sankt-Peterburg','','7.34'),(7389,'/ar/property/5699-donec-tristique-orci-non','default','Adygeya, Respublika','','7.34'),(7390,'/ar/property/5699-donec-tristique-orci-non','default','Altay, Respublika','','7.34'),(7391,'/ar/property/5699-donec-tristique-orci-non','default','Bashkortostan, Respublika','','7.34'),(7392,'/ar/property/5699-donec-tristique-orci-non','default','Buryatiya, Respublika','','7.34'),(7393,'/ar/property/5699-donec-tristique-orci-non','default','Chechenskaya Respublika','','7.34'),(7394,'/ar/property/5699-donec-tristique-orci-non','default','Chuvashskaya Respublika','','7.34'),(7395,'/ar/property/5699-donec-tristique-orci-non','default','Dagestan, Respublika','','7.34'),(7396,'/ar/property/5699-donec-tristique-orci-non','default','Ingushetiya, Respublika','','7.34'),(7397,'/ar/property/5699-donec-tristique-orci-non','default','Kabardino-Balkarskaya Respublika','','7.34'),(7398,'/ar/property/5699-donec-tristique-orci-non','default','Kalmykiya, Respublika','','7.34'),(7399,'/ar/property/5699-donec-tristique-orci-non','default','Karachayevo-Cherkesskaya Respublika','','7.34'),(7400,'/ar/property/5699-donec-tristique-orci-non','default','Kareliya, Respublika','','7.34'),(7401,'/ar/property/5699-donec-tristique-orci-non','default','Khakasiya, Respublika','','7.34'),(7402,'/ar/property/5699-donec-tristique-orci-non','default','Komi, Respublika','','7.34'),(7403,'/ar/property/5699-donec-tristique-orci-non','default','Mariy El, Respublika','','7.34'),(7404,'/ar/property/5699-donec-tristique-orci-non','default','Mordoviya, Respublika','','7.34'),(7405,'/ar/property/5699-donec-tristique-orci-non','default','Sakha, Respublika [Yakutiya]','','7.34'),(7406,'/ar/property/5699-donec-tristique-orci-non','default','Severnaya Osetiya-Alaniya, Respublika','','7.34'),(7407,'/ar/property/5699-donec-tristique-orci-non','default','Tatarstan, Respublika','','7.34'),(7408,'/ar/property/5699-donec-tristique-orci-non','default','Tyva, Respublika [Tuva]','','7.34'),(7409,'/ar/property/5699-donec-tristique-orci-non','default','Udmurtskaya Respublika','','7.34'),(7410,'/ar/property/5699-donec-tristique-orci-non','default','Altayskiy kray','','7.34'),(7411,'/ar/property/5699-donec-tristique-orci-non','default','Kamchatskiy kray','','7.34'),(7412,'/ar/property/5699-donec-tristique-orci-non','default','Khabarovskiy kray','','7.34'),(7413,'/ar/property/5699-donec-tristique-orci-non','default','Krasnodarskiy kray','','7.34'),(7414,'/ar/property/5699-donec-tristique-orci-non','default','Krasnoyarskiy kray','','7.34'),(7415,'/ar/property/5699-donec-tristique-orci-non','default','Permskiy kray','','7.34'),(7416,'/ar/property/5699-donec-tristique-orci-non','default','Primorskiy kray','','7.34'),(7417,'/ar/property/5699-donec-tristique-orci-non','default','Stavropolskiy kray','','7.34'),(7418,'/ar/property/5699-donec-tristique-orci-non','default','Zabaykalskiy kray','','7.34'),(7419,'/ar/property/5699-donec-tristique-orci-non','default','Amurskaya oblast','','7.34'),(7420,'/ar/property/5699-donec-tristique-orci-non','default','Arkhangelskaya oblast','','7.34'),(7421,'/ar/property/5699-donec-tristique-orci-non','default','Astrakhanskaya oblast','','7.34'),(7422,'/ar/property/5699-donec-tristique-orci-non','default','Belgorodskaya oblast','','7.34'),(7423,'/ar/property/5699-donec-tristique-orci-non','default','Bryanskaya oblast','','7.34'),(7424,'/ar/property/5699-donec-tristique-orci-non','default','Chelyabinskaya oblast','','7.34'),(7425,'/ar/property/5699-donec-tristique-orci-non','default','Irkutskaya oblast','','7.34'),(7426,'/ar/property/5699-donec-tristique-orci-non','default','Ivanovskaya oblast','','7.34'),(7427,'/ar/property/5699-donec-tristique-orci-non','default','Kaliningradskaya oblast','','7.34'),(7428,'/ar/property/5699-donec-tristique-orci-non','default','Kaluzhskaya oblast','','7.34'),(7429,'/ar/property/5699-donec-tristique-orci-non','default','Kemerovskaya oblast','','7.34'),(7430,'/ar/property/5699-donec-tristique-orci-non','default','Kirovskaya oblast','','7.34'),(7431,'/ar/property/5699-donec-tristique-orci-non','default','Kostromskaya oblast','','7.34'),(7432,'/ar/property/5699-donec-tristique-orci-non','default','Kurganskaya oblast','','7.34'),(7433,'/ar/property/5699-donec-tristique-orci-non','default','Kurskaya oblast','','7.34'),(7434,'/ar/property/5699-donec-tristique-orci-non','default','Leningradskaya oblast','','7.34'),(7435,'/ar/property/5699-donec-tristique-orci-non','default','Lipetskaya oblast','','7.34'),(7436,'/ar/property/5699-donec-tristique-orci-non','default','Magadanskaya oblast','','7.34'),(7437,'/ar/property/5699-donec-tristique-orci-non','default','Moskovskaya oblast','','7.34'),(7438,'/ar/property/5699-donec-tristique-orci-non','default','Murmanskaya oblast','','7.34'),(7439,'/ar/property/5699-donec-tristique-orci-non','default','Nizhegorodskaya oblast','','7.34'),(7440,'/ar/property/5699-donec-tristique-orci-non','default','Novgorodskaya oblast','','7.34'),(7441,'/ar/property/5699-donec-tristique-orci-non','default','Novosibirskaya oblast','','7.34'),(7442,'/ar/property/5699-donec-tristique-orci-non','default','Omskaya oblast','','7.34'),(7443,'/ar/property/5699-donec-tristique-orci-non','default','Orenburgskaya oblast','','7.34'),(7444,'/ar/property/5699-donec-tristique-orci-non','default','Orlovskaya oblast','','7.34'),(7445,'/ar/property/5699-donec-tristique-orci-non','default','Penzenskaya oblast','','7.34'),(7446,'/ar/property/5699-donec-tristique-orci-non','default','Pskovskaya oblast','','7.34'),(7447,'/ar/property/5699-donec-tristique-orci-non','default','Rostovskaya oblast','','7.34'),(7448,'/ar/property/5699-donec-tristique-orci-non','default','Ryazanskaya oblast','','7.34'),(7449,'/ar/property/5699-donec-tristique-orci-non','default','Sakhalinskaya oblast','','7.34'),(7450,'/ar/property/5699-donec-tristique-orci-non','default','Samarskaya oblast','','7.34'),(7451,'/ar/property/5699-donec-tristique-orci-non','default','Saratovskaya oblast','','7.34'),(7452,'/ar/property/5699-donec-tristique-orci-non','default','Smolenskaya oblast','','7.34'),(7453,'/ar/property/5699-donec-tristique-orci-non','default','Sverdlovskaya oblast','','7.34'),(7454,'/ar/property/5699-donec-tristique-orci-non','default','Tambovskaya oblast','','7.34'),(7455,'/ar/property/5699-donec-tristique-orci-non','default','Tomskaya oblast','','7.34'),(7456,'/ar/property/5699-donec-tristique-orci-non','default','Tulskaya oblast','','7.34'),(7457,'/ar/property/5699-donec-tristique-orci-non','default','Tverskaya oblast','','7.34'),(7458,'/ar/property/5699-donec-tristique-orci-non','default','Tyumenskaya oblast','','7.34'),(7459,'/ar/property/5699-donec-tristique-orci-non','default','Ulyanovskaya oblast','','7.34'),(7460,'/ar/property/5699-donec-tristique-orci-non','default','Vladimirskaya oblast','','7.34'),(7461,'/ar/property/5699-donec-tristique-orci-non','default','Volgogradskaya oblast','','7.34'),(7462,'/ar/property/5699-donec-tristique-orci-non','default','Vologodskaya oblast','','7.34'),(7463,'/ar/property/5699-donec-tristique-orci-non','default','Voronezhskaya oblast','','7.34'),(7464,'/ar/property/5699-donec-tristique-orci-non','default','Yaroslavskaya oblast','','7.34'),(7465,'/ar/property/5699-donec-tristique-orci-non','default','Yevreyskaya avtonomnaya oblast','','7.34'),(7466,'/ar/property/5699-donec-tristique-orci-non','default','Chukotskiy avtonomnyy okrug','','7.34'),(7467,'/ar/property/5699-donec-tristique-orci-non','default','Khanty-Mansiyskiy avtonomnyy okrug-Yugra','','7.34'),(7468,'/ar/property/5699-donec-tristique-orci-non','default','Nenetskiy avtonomnyy okrug','','7.34'),(7469,'/ar/property/5699-donec-tristique-orci-non','default','Yamalo-Nenetskiy avtonomnyy okrug','','7.34'),(7470,'/ar/property/5699-donec-tristique-orci-non','default','Adana','','7.34'),(7471,'/ar/property/5699-donec-tristique-orci-non','default','Adıyaman','','7.34'),(7472,'/ar/property/5699-donec-tristique-orci-non','default','Afyon','','7.34'),(7473,'/ar/property/5699-donec-tristique-orci-non','default','Ağrı','','7.34'),(7474,'/ar/property/5699-donec-tristique-orci-non','default','Aksaray','','7.34'),(7475,'/ar/property/5699-donec-tristique-orci-non','default','Amasya','','7.34'),(7476,'/ar/property/5699-donec-tristique-orci-non','default','Ankara','','7.34'),(7477,'/ar/property/5699-donec-tristique-orci-non','default','Antalya','','7.34'),(7478,'/ar/property/5699-donec-tristique-orci-non','default','Ardahan','','7.34'),(7479,'/ar/property/5699-donec-tristique-orci-non','default','Artvin','','7.34'),(7480,'/ar/property/5699-donec-tristique-orci-non','default','Aydın','','7.34'),(7481,'/ar/property/5699-donec-tristique-orci-non','default','Balıkesir','','7.34'),(7482,'/ar/property/5699-donec-tristique-orci-non','default','Bartın','','7.34'),(7483,'/ar/property/5699-donec-tristique-orci-non','default','Batman','','7.34'),(7484,'/ar/property/5699-donec-tristique-orci-non','default','Bayburt','','7.34'),(7485,'/ar/property/5699-donec-tristique-orci-non','default','Bilecik','','7.34'),(7486,'/ar/property/5699-donec-tristique-orci-non','default','Bingöl','','7.34'),(7487,'/ar/property/5699-donec-tristique-orci-non','default','Bitlis','','7.34'),(7488,'/ar/property/5699-donec-tristique-orci-non','default','Bolu','','7.34'),(7489,'/ar/property/5699-donec-tristique-orci-non','default','Burdur','','7.34'),(7490,'/ar/property/5699-donec-tristique-orci-non','default','Bursa','','7.34'),(7491,'/ar/property/5699-donec-tristique-orci-non','default','Çanakkale','','7.34'),(7492,'/ar/property/5699-donec-tristique-orci-non','default','Çankırı','','7.34'),(7493,'/ar/property/5699-donec-tristique-orci-non','default','Çorum','','7.34'),(7494,'/ar/property/5699-donec-tristique-orci-non','default','Denizli','','7.34'),(7495,'/ar/property/5699-donec-tristique-orci-non','default','Diyarbakır','','7.34'),(7496,'/ar/property/5699-donec-tristique-orci-non','default','Düzce','','7.34'),(7497,'/ar/property/5699-donec-tristique-orci-non','default','Edirne','','7.34'),(7498,'/ar/property/5699-donec-tristique-orci-non','default','Elazığ','','7.34'),(7499,'/ar/property/5699-donec-tristique-orci-non','default','Erzincan','','7.34'),(7500,'/ar/property/5699-donec-tristique-orci-non','default','Erzurum','','7.34'),(7501,'/ar/property/5699-donec-tristique-orci-non','default','Eskişehir','','7.34'),(7502,'/ar/property/5699-donec-tristique-orci-non','default','Gaziantep','','7.34'),(7503,'/ar/property/5699-donec-tristique-orci-non','default','Giresun','','7.34'),(7504,'/ar/property/5699-donec-tristique-orci-non','default','Gümüşhane','','7.34'),(7505,'/ar/property/5699-donec-tristique-orci-non','default','Hakkari','','7.34'),(7506,'/ar/property/5699-donec-tristique-orci-non','default','Hatay','','7.34'),(7507,'/ar/property/5699-donec-tristique-orci-non','default','Iğdır','','7.34'),(7508,'/ar/property/5699-donec-tristique-orci-non','default','Isparta','','7.34'),(7509,'/ar/property/5699-donec-tristique-orci-non','default','İstanbul','','7.34'),(7510,'/ar/property/5699-donec-tristique-orci-non','default','İzmir','','7.34'),(7511,'/ar/property/5699-donec-tristique-orci-non','default','Kahramanmaraş','','7.34'),(7512,'/ar/property/5699-donec-tristique-orci-non','default','Karabük','','7.34'),(7513,'/ar/property/5699-donec-tristique-orci-non','default','Karaman','','7.34'),(7514,'/ar/property/5699-donec-tristique-orci-non','default','Kars','','7.34'),(7515,'/ar/property/5699-donec-tristique-orci-non','default','Kastamonu','','7.34'),(7516,'/ar/property/5699-donec-tristique-orci-non','default','Kayseri','','7.34'),(7517,'/ar/property/5699-donec-tristique-orci-non','default','Kırıkkale','','7.34'),(7518,'/ar/property/5699-donec-tristique-orci-non','default','Kırklareli','','7.34'),(7519,'/ar/property/5699-donec-tristique-orci-non','default','Kırşehir','','7.34'),(7520,'/ar/property/5699-donec-tristique-orci-non','default','Kilis','','7.34'),(7521,'/ar/property/5699-donec-tristique-orci-non','default','Kocaeli','','7.34'),(7522,'/ar/property/5699-donec-tristique-orci-non','default','Konya','','7.34'),(7523,'/ar/property/5699-donec-tristique-orci-non','default','Kütahya','','7.34'),(7524,'/ar/property/5699-donec-tristique-orci-non','default','Malatya','','7.34'),(7525,'/ar/property/5699-donec-tristique-orci-non','default','Manisa','','7.34'),(7526,'/ar/property/5699-donec-tristique-orci-non','default','Mardin','','7.34'),(7527,'/ar/property/5699-donec-tristique-orci-non','default','Mersin','','7.34'),(7528,'/ar/property/5699-donec-tristique-orci-non','default','Muğla','','7.34'),(7529,'/ar/property/5699-donec-tristique-orci-non','default','Muş','','7.34'),(7530,'/ar/property/5699-donec-tristique-orci-non','default','Nevşehir','','7.34'),(7531,'/ar/property/5699-donec-tristique-orci-non','default','Niğde','','7.34'),(7532,'/ar/property/5699-donec-tristique-orci-non','default','Ordu','','7.34'),(7533,'/ar/property/5699-donec-tristique-orci-non','default','Osmaniye','','7.34'),(7534,'/ar/property/5699-donec-tristique-orci-non','default','Rize','','7.34'),(7535,'/ar/property/5699-donec-tristique-orci-non','default','Sakarya','','7.34'),(7536,'/ar/property/5699-donec-tristique-orci-non','default','Samsun','','7.34'),(7537,'/ar/property/5699-donec-tristique-orci-non','default','Siirt','','7.34'),(7538,'/ar/property/5699-donec-tristique-orci-non','default','Sinop','','7.34'),(7539,'/ar/property/5699-donec-tristique-orci-non','default','Sivas','','7.34'),(7540,'/ar/property/5699-donec-tristique-orci-non','default','Şanlıurfa','','7.34'),(7541,'/ar/property/5699-donec-tristique-orci-non','default','Şırnak','','7.34'),(7542,'/ar/property/5699-donec-tristique-orci-non','default','Tekirdağ','','7.34'),(7543,'/ar/property/5699-donec-tristique-orci-non','default','Tokat','','7.34'),(7544,'/ar/property/5699-donec-tristique-orci-non','default','Trabzon','','7.34'),(7545,'/ar/property/5699-donec-tristique-orci-non','default','Tunceli','','7.34'),(7546,'/ar/property/5699-donec-tristique-orci-non','default','Uşak','','7.34'),(7547,'/ar/property/5699-donec-tristique-orci-non','default','Van','','7.34'),(7548,'/ar/property/5699-donec-tristique-orci-non','default','Yalova','','7.34'),(7549,'/ar/property/5699-donec-tristique-orci-non','default','Yozgat','','7.34'),(7550,'/ar/property/5699-donec-tristique-orci-non','default','Zonguldak','','7.34'),(7551,'/ar/property/5699-donec-tristique-orci-non','default','Taichung City','','7.34'),(7552,'/ar/property/5699-donec-tristique-orci-non','default','Taipei City','','7.34'),(7553,'/ar/property/5699-donec-tristique-orci-non','default','Taitung County','','7.34'),(7554,'/ar/property/5699-donec-tristique-orci-non','default','Tainan City','','7.34'),(7555,'/ar/property/5699-donec-tristique-orci-non','default','Yilan County','','7.34'),(7556,'/ar/property/5699-donec-tristique-orci-non','default','Hualien County','','7.34'),(7557,'/ar/property/5699-donec-tristique-orci-non','default','Kinmen County','','7.34'),(7558,'/ar/property/5699-donec-tristique-orci-non','default','Nantou County','','7.34'),(7559,'/ar/property/5699-donec-tristique-orci-non','default','Pingtung County','','7.34'),(7560,'/ar/property/5699-donec-tristique-orci-non','default','Miaoli County','','7.34'),(7561,'/ar/property/5699-donec-tristique-orci-non','default','Taoyuan County','','7.34'),(7562,'/ar/property/5699-donec-tristique-orci-non','default','Kaohsiung City','','7.34'),(7563,'/ar/property/5699-donec-tristique-orci-non','default','Keelung City','','7.34'),(7564,'/ar/property/5699-donec-tristique-orci-non','default','Lienchiang County','','7.34'),(7565,'/ar/property/5699-donec-tristique-orci-non','default','Yunlin County','','7.34'),(7566,'/ar/property/5699-donec-tristique-orci-non','default','New Taipei City','','7.34'),(7567,'/ar/property/5699-donec-tristique-orci-non','default','Hsinchu City','','7.34'),(7568,'/ar/property/5699-donec-tristique-orci-non','default','Hsinchu County','','7.34'),(7569,'/ar/property/5699-donec-tristique-orci-non','default','Chiayi City','','7.34'),(7570,'/ar/property/5699-donec-tristique-orci-non','default','Chiayi County','','7.34'),(7571,'/ar/property/5699-donec-tristique-orci-non','default','Changhua County','','7.34'),(7572,'/ar/property/5699-donec-tristique-orci-non','default','Penghu County','','7.34'),(7573,'/ar/property/5699-donec-tristique-orci-non','default','Crimea','','7.34'),(7574,'/ar/property/5699-donec-tristique-orci-non','default','Vinnyts\'ka oblast','','7.34'),(7575,'/ar/property/5699-donec-tristique-orci-non','default','Volyns\'ka oblast','','7.34'),(7576,'/ar/property/5699-donec-tristique-orci-non','default','Dnipropetrovsk Oblast','','7.34'),(7577,'/ar/property/5699-donec-tristique-orci-non','default','Donetsk Oblast','','7.34'),(7578,'/ar/property/5699-donec-tristique-orci-non','default','Zhytomyrs\'ka oblast','','7.34'),(7579,'/ar/property/5699-donec-tristique-orci-non','default','Zakarpats\'ka oblast','','7.34'),(7580,'/ar/property/5699-donec-tristique-orci-non','default','Zaporiz\'ka oblast','','7.34'),(7581,'/ar/property/5699-donec-tristique-orci-non','default','Ivano-Frankivs\'ka oblast','','7.34'),(7582,'/ar/property/5699-donec-tristique-orci-non','default','Kyiv city','','7.34'),(7583,'/ar/property/5699-donec-tristique-orci-non','default','Kiev Oblast','','7.34'),(7584,'/ar/property/5699-donec-tristique-orci-non','default','Kirovohrads\'ka oblast','','7.34'),(7585,'/ar/property/5699-donec-tristique-orci-non','default','Luhans\'ka oblast','','7.34'),(7586,'/ar/property/5699-donec-tristique-orci-non','default','Lviv Oblast','','7.34'),(7587,'/ar/property/5699-donec-tristique-orci-non','default','Mykolaivs\'ka oblast','','7.34'),(7588,'/ar/property/5699-donec-tristique-orci-non','default','Odessa Oblast','','7.34'),(7589,'/ar/property/5699-donec-tristique-orci-non','default','Poltavs\'ka oblast','','7.34'),(7590,'/ar/property/5699-donec-tristique-orci-non','default','Rivnens\'ka oblast','','7.34'),(7591,'/ar/property/5699-donec-tristique-orci-non','default','Sevastopol\' city','','7.34'),(7592,'/ar/property/5699-donec-tristique-orci-non','default','Sums\'ka oblast','','7.34'),(7593,'/ar/property/5699-donec-tristique-orci-non','default','Ternopil\'s\'ka oblast','','7.34'),(7594,'/ar/property/5699-donec-tristique-orci-non','default','Kharkiv Oblast','','7.34'),(7595,'/ar/property/5699-donec-tristique-orci-non','default','Khersons\'ka oblast','','7.34'),(7596,'/ar/property/5699-donec-tristique-orci-non','default','Khmel\'nyts\'ka oblast','','7.34'),(7597,'/ar/property/5699-donec-tristique-orci-non','default','Cherkas\'ka oblast','','7.34'),(7598,'/ar/property/5699-donec-tristique-orci-non','default','Chernivets\'ka oblast','','7.34'),(7599,'/ar/property/5699-donec-tristique-orci-non','default','Chernihivs\'ka oblast','','7.34'),(7600,'/ar/property/5699-donec-tristique-orci-non','default','District of Columbia','','7.34'),(7601,'/ar/property/5699-donec-tristique-orci-non','default','Anzoátegui','','7.34'),(7602,'/ar/property/5699-donec-tristique-orci-non','default','Apure','','7.34'),(7603,'/ar/property/5699-donec-tristique-orci-non','default','Aragua','','7.34'),(7604,'/ar/property/5699-donec-tristique-orci-non','default','Barinas','','7.34'),(7605,'/ar/property/5699-donec-tristique-orci-non','default','Carabobo','','7.34'),(7606,'/ar/property/5699-donec-tristique-orci-non','default','Cojedes','','7.34'),(7607,'/ar/property/5699-donec-tristique-orci-non','default','Delta Amacuro','','7.34'),(7608,'/ar/property/5699-donec-tristique-orci-non','default','Dependencias Federales','','7.34'),(7609,'/ar/property/5699-donec-tristique-orci-non','default','Falcón','','7.34'),(7610,'/ar/property/5699-donec-tristique-orci-non','default','Guárico','','7.34'),(7611,'/ar/property/5699-donec-tristique-orci-non','default','Lara','','7.34'),(7612,'/ar/property/5699-donec-tristique-orci-non','default','Mérida','','7.34'),(7613,'/ar/property/5699-donec-tristique-orci-non','default','Miranda','','7.34'),(7614,'/ar/property/5699-donec-tristique-orci-non','default','Monagas','','7.34'),(7615,'/ar/property/5699-donec-tristique-orci-non','default','Nueva Esparta','','7.34'),(7616,'/ar/property/5699-donec-tristique-orci-non','default','Portuguesa','','7.34'),(7617,'/ar/property/5699-donec-tristique-orci-non','default','Táchira','','7.34'),(7618,'/ar/property/5699-donec-tristique-orci-non','default','Trujillo','','7.34'),(7619,'/ar/property/5699-donec-tristique-orci-non','default','Vargas','','7.34'),(7620,'/ar/property/5699-donec-tristique-orci-non','default','Yaracuy','','7.34'),(7621,'/ar/property/5699-donec-tristique-orci-non','default','Zulia','','7.34'),(7622,'/ar/property/5699-donec-tristique-orci-non','default','All values','','7.34'),(7623,'/ar/property/5699-donec-tristique-orci-non','default','Displays all values as submitted by a user.','','7.34'),(7624,'/ar/property/5699-donec-tristique-orci-non','default','Sub Premise (i.e. Suite, Apartment, Floor, Unknown.','','7.34'),(7625,'/ar/property/5699-donec-tristique-orci-non','default','Result summary with additional tokens','','7.34'),(7626,'/ar/property/5699-donec-tristique-orci-non','default','Shows result summary, for example the items per page (and links to change the items per page).','','7.34'),(7627,'/ar/users/admin','default','Panel Mobile Menu','','7.34'),(7628,'/realesteast/ar/get-touch','default','Submit','','7.34'),(7629,'/realesteast/ar/get-touch','default','Form components','','7.34'),(7630,'/realesteast/ar/get-touch','default','Conditionals','','7.34'),(7631,'/realesteast/ar/get-touch','default','Submissions','','7.34'),(7632,'/realesteast/ar/get-touch','default','Analysis','','7.34'),(7633,'/realesteast/ar/get-touch','default','Form settings','','7.34'),(7634,'/realesteast/ar/get-touch','default','Clear','','7.34'),(7635,'/realesteast/en/admin/structure/views/view/properties/edit/page_2?render=overlay&render=overlay','default','Page 2','','7.37'),(7636,'/realesteast/en/admin/structure/views/view/properties/edit/page_2?render=overlay&render=overlay','default','Page 3','','7.37'),(7637,'/realesteast/ar/blog-post/pellentesque-ut-sapien-lobortis-varius-sem-vitae','default','Showing @start - @end of @total','','7.34'),(7638,'/realesteast/ar/blog-post/pellentesque-ut-sapien-lobortis-varius-sem-vitae','default','Serial Number','','7.34'),(7639,'/realesteast/ar/blog-post/pellentesque-ut-sapien-lobortis-varius-sem-vitae','default','[serial]','','7.34'),(7640,'/realesteast/ar/blog-post/pellentesque-ut-sapien-lobortis-varius-sem-vitae','default','Showing @start - @end of @total @items_per_page_links','','7.34'),(7641,'/realesteast/ar/blog-post/pellentesque-ut-sapien-lobortis-varius-sem-vitae','default','#','','7.34'),(7642,'/realesteast/en/admin/structure/views/view/blogs/edit/block_1?destination=blog&render=overlay&render=overlay','default','Block 2','','7.34'),(7643,'/realesteast/en/admin/structure/views/view/blogs/edit/block_1?destination=blog&render=overlay&render=overlay','default','Homepage 2 Block','','7.34'),(7644,'sites/all/modules/token/token.js','default','Loading token browser...','','none'),(7645,'sites/all/modules/token/token.js','default','Available tokens','','none'),(7646,'sites/all/modules/token/token.js','default','Insert this token into your form','','none'),(7647,'sites/all/modules/token/token.js','default','First click a text field to insert your tokens into.','','none'),(7648,'/real_estast/en/admin/structure/views/view/properties/edit/page_2?render=overlay&render=overlay','default','Bathrooms:','','7.37'),(7649,'sites/all/modules/ip_geoloc/js/ip_geoloc_gmap_multi_loc.js','default','IPGV&M: syntax error in Google map options.','','none'),(7650,'sites/all/modules/ip_geoloc/js/ip_geoloc_gmap_multi_loc.js','default','Location #@i','','none'),(7651,'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','All unsaved changed has been reseted!','','none'),(7652,'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','Saved config sucessfully!','','none'),(7653,'sites/all/modules/tb_megamenu/js/tb-megamenu-object.js','default','Remove this block','','none'),(7654,'/ar/about-us','default','Smart IP and GeoIP API fallbacks NOT enabled.','','7.34'),(7655,'/ar/about-us','default','This field stores geo information.','','7.34'),(7656,'/ar/about-us','default','Geocode from another field','','7.34'),(7657,'/ar/about-us','default','Well Known Text (WKT)','','7.34'),(7658,'/ar/about-us','default','GeoJSON','','7.34'),(7659,'/ar/about-us','default','Latitude / Longitude','','7.34'),(7660,'/ar/about-us','default','Bounds','','7.34'),(7661,'/ar/about-us','default','KML','','7.34'),(7662,'/ar/about-us','default','GPX','','7.34'),(7663,'/ar/about-us','default','Geohash','','7.34'),(7664,'/ar/about-us','default','Latitude/Longitude','','7.34'),(7665,'/ar/about-us','default','Latitude Only','','7.34'),(7666,'/ar/about-us','default','Longitude Only','','7.34'),(7667,'/ar/about-us','default','Geometry Type','','7.34'),(7668,'/ar/about-us','default','Definition List (Accessibility)','','7.34'),(7669,'/ar/about-us','default','Descriptive Text (Accessibility)','','7.34'),(7670,'/ar/about-us','default','Geofield Map','','7.34'),(7671,'/ar/about-us','default','Leaflet','','7.34'),(7672,'/ar/about-us','default','IP geolocations','','7.34'),(7673,'/ar/about-us','default','Stores IP geolocation information.','','7.34'),(7674,'/ar/about-us','default','Address formatted as a string','','7.34'),(7675,'/ar/about-us','default','Region code','','7.34'),(7676,'/ar/about-us','default','Post code or ZIP','','7.34'),(7677,'/ar/about-us','default','Locality (e.g. suburb)','','7.34'),(7678,'/ar/about-us','default','Street','','7.34'),(7679,'/ar/about-us','default','Route (street)','','7.34'),(7680,'/ar/about-us','default','Street no.','','7.34'),(7681,'/ar/about-us','default','Street number','','7.34'),(7682,'/ar/about-us','default','State','','7.34'),(7683,'/ar/about-us','default','administrative area level 1 (state or province)','','7.34'),(7684,'/ar/about-us','default','Displays a View as an Geofield map.','','7.34'),(7685,'/ar/about-us','default','Map (Google API, via IPGV&M)','','7.34'),(7686,'/ar/about-us','default','Displays the view as a Google map.','','7.34'),(7687,'/ar/about-us','default','Map (Leaflet API, via IPGV&M)','','7.34'),(7688,'/ar/about-us','default','Displays the view as a map via the Leaflet API.','','7.34'),(7689,'/ar/about-us','default','Visitor location attribute (via IPGV&M)','','7.34'),(7690,'/ar/about-us','default','Geocoder settings','','7.34'),(7691,'/ar/about-us','default','Configuration for API keys.','','7.34'),(7692,'/ar/about-us','default','IP Geolocation Views & Maps','','7.34'),(7693,'/ar/about-us','default','Configure map markers and how geolocation information is updated.','','7.34'),(7694,'/ar/about-us','default','Leaflet More Maps','','7.34'),(7695,'/ar/about-us','default','Assemble custom maps from available layers.','','7.34'),(7696,'/ar/about-us','default','ip_geoloc','','7.34'),(7697,'/ar/','default','IPGV&M: Map (Google) centered on visitor\'s location','','7.34'),(7698,'/ar/','default','IPGV&M: Map (Google) of @n most recent visitors','','7.34'),(7699,'/ar/','default','IPGV&M: Address lookup based on IP','','7.34'),(7700,'/ar/','default','IPGV&M: Set my location','','7.34'),(7701,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','Sort options','','7.37'),(7702,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','<span>Price</span> : <strong>[field_price]</strong>','','7.37'),(7703,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','<span>Price  :</span> <strong>[field_price]</strong>','','7.37'),(7704,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','<span>Status :</span> [field_property_status]','','7.37'),(7705,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','<span>Address : </span>  [field_address-thoroughfare]\n','','7.37'),(7706,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','<span>Area: </span> [field_lot_area]','','7.37'),(7707,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','<span>Bedrooms : </span> [field_bedrooms] ','','7.37'),(7708,'/drupal7/real_estast/en/admin/structure/views/view/properties/edit/block_1?destination=node%2F63&render=overlay&render=overlay','default','<span>Bathrooms : </span> [field_bathrooms]','','7.37'),(7709,'misc/drupal.js','default','CustomMessage: !customMessage','','none'),(7710,'misc/ajax.js','default','The response failed verification so will not be processed.','','none'),(7711,'misc/ajax.js','default','The callback URL is not local and not trusted: !url','','none');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_target` VALUES (1,'حدث خطأ أجاكس HTTP.','ar',0,0),(2,'نتيجة كود PHP: !status','ar',0,0),(3,'تم إنهاء طلب AJAX HTTP بشكل غير عادي.','ar',0,0),(4,'يليه معلومات التنقيح.','ar',0,0),(5,'المسار: !uri','ar',0,0),(6,'نص الحالة: !statusText','ar',0,0),(7,'ResponseText: !responseText','ar',0,0),(8,'ReadyState: !readyState','ar',0,0),(9,'جاري التحميل','ar',0,0),(10,'(علامة التبويب النشطة)','ar',0,0),(11,'إخفاء','ar',0,0),(12,'عرض','ar',0,0),(17,'الكل','ar',0,0),(26,'الكلمات المفتاحية','ar',0,0),(28,'الموضع','ar',0,0),(36,'حوار @title','ar',0,0),(37,'ضبط','ar',0,0),(38,'إعادة ترتيب السطور حسب وزن رقمي بدلا من سحبها.','ar',0,0),(39,'إظهار أوزان الأسطر','ar',0,0),(40,'إخفاء أوزان السطور','ar',0,0),(41,'اسحب لتغير الترتيب','ar',0,0),(42,'التغييرات الحادثة على هذا الجدول لن تُحفظ إلا بعد إرسال الاستمارة.','ar',0,0),(43,'الملفات العامة','ar',0,0),(44,'الملفات المحلية العامة مخدمة من قبل الخادم.','ar',0,0),(45,'الملفات المؤقتة','ar',0,0),(46,'الملفات المحلية المؤقتة للرفع والمعاينات.','ar',0,0),(47,'اللغات','ar',0,0),(48,'اضبط اللغات المتاحة للمحتوى و ترجمة واجهة الاستخدام.','ar',0,0),(49,'طويل','ar',0,0),(50,'متوسط','ar',0,0),(51,'قصير','ar',0,0),(52,'الرئيسية','ar',0,0),(53,'الإدارة','ar',0,0),(54,'المظهر','ar',0,0),(55,'اختيار وإعداد حللك.','ar',0,0),(56,'الإعدادات','ar',0,0),(57,'إدارة الإعدادات.','ar',0,0),(58,'تأليف المحتوى','ar',0,0),(59,'إعدادات متعلقة بتنسيق وتأليف المحتوى.','ar',0,0),(60,'التطوير','ar',0,0),(61,'أدوات التطوير.','ar',0,0),(62,'ميديا','ar',0,0),(63,'أدوات الميديا.','ar',0,0),(64,'الأشخاص','ar',0,0),(66,'الإقليمية واللغة','ar',0,0),(67,'الإعدادات الإقليمية والتوطين والترجمة.','ar',0,0),(68,'التاريخ والتوقيت','ar',0,0),(69,'ضبط صيغة عرض التاريخ والوقت.','ar',0,0),(70,'اﻹعدادات الإقليمية','ar',0,0),(71,'إعدادات المنطقة الزمنية والدولة الافتراضيين للموقع.','ar',0,0),(72,'أضف لغة','ar',0,0),(73,'الكشف والتحديد','ar',0,0),(74,'لائحة','ar',0,0),(75,'ترجمة الواجهة','ar',0,0),(76,'ترجمة الواجهة المدمجة و النصوص الأخرى.','ar',0,0),(77,'البحث والبيانات الفوقية','ar',0,0),(78,'البحث على الموقع، metadata و SEO.','ar',0,0),(79,'النظام','ar',0,0),(80,'الضبط العام للنظام.','ar',0,0),(81,'واجهة المستخدم','ar',0,0),(82,'أدوات تحسين واجهة المستخدم.','ar',0,0),(83,'خدمات الويب','ar',0,0),(84,'أدوات متعلقة بخدمات الويب.','ar',0,0),(85,'سيرة العمل','ar',0,0),(86,'سيرة عمل المحتوى، أدوات سيرة العمل الافتتاحي.','ar',0,0),(88,'المحتوى','ar',0,0),(89,'إدارة المحتوى والتعليقات.','ar',0,0),(90,'لوحة التحكم','ar',0,0),(91,'مشاهدة وتخصيص لوحة معلوماتك.','ar',0,0),(92,'الفهرس','ar',0,0),(93,'الوحدات','ar',0,0),(94,'توسيع وظائف الموقع.','ar',0,0),(95,'إدارة حسابات المستخدمين والأدوار والصلاحيات.','ar',0,0),(96,'التقارير','ar',0,0),(97,'عرض التقارير والتحديثات والأخطاء.','ar',0,0),(98,'الهيكلية','ar',0,0),(99,'إدارة الصناديق، أنواع المحتوى، القوائم، إلخ.','ar',0,0),(100,'المهام','ar',0,0),(101,'المساعدة','ar',0,0),(102,'مرجع للاستخدام، التكوين والوحدات.','ar',0,0),(103,'حالة تحديث قلب دروبال','ar',0,0),(104,'لا توجد تحديثات','ar',0,0),(105,'لا توجد أي معلومات تحديث متوفرة. <a href=\"@run_cron\">شغل مجدول الأعمال (كرون)</a> أو <a href=\"@check_manually\">تحقق يدويا</a>.','ar',0,0),(106,'الوزن لـ @title','ar',0,0),(107,'من اليمين لليسار','ar',0,0),(108,'من اليسار لليمين','ar',0,0),(109,'اللغات المفعلة','ar',0,0),(110,'اللغة الافتراضية','ar',0,0),(111,'حفظ الإعدادات','ar',0,0),(139,'أعلى الصفحة','ar',0,0),(140,'أسفل الصفحة','ar',0,0),(141,'العمود الجانبي اﻷول','ar',0,0),(145,'تدوينة','ar',0,0),(146,'للاستخدام مع المدونات المتعددة المستخدمين. كل مستخدم يحصل على مدونة شخصية.','ar',0,0),(147,'مقال','ar',0,0),(148,'استخدم <em>المقال</em> للمحتويات المتغيرة كالأخبار، والنشرات الصحفية أو ملاحظات المدونة.','ar',0,0),(149,'العنوان','ar',0,0),(151,'الصندوق','ar',0,0),(152,'الافتراضي','ar',0,0),(154,'التعليق','ar',0,0),(155,'التعليق بأكمله','ar',0,0),(156,'تعليق على @node_type','ar',0,0),(158,'المحتوى الكامل','ar',0,0),(161,'العقدة','ar',0,0),(162,'موجز','ar',0,0),(163,'آر.إس.إس','ar',0,0),(164,'فهرس البحث','ar',0,0),(166,'ملف','ar',0,0),(167,'مصطلح تصنيف','ar',0,0),(168,'صفحة مصطلح تصنيف','ar',0,0),(169,'معجم الوسوم','ar',0,0),(170,'المستخدم','ar',0,0),(171,'حساب المستخدم','ar',0,0),(176,'العقد','ar',0,0),(177,'المستخدمين','ar',0,0),(178,'الملفات','ar',0,0),(182,'التعليقات','ar',0,0),(184,'الوسوم','ar',0,0),(197,'هذا الحقل يخزن معرف الملف (ID) على شكل عدد صحيح.','ar',0,0),(199,'الصورة','ar',0,0),(200,'يخزن هذا الحقل المعرف (ID) لملف الصورة على شكل عدد صحيح.','ar',0,0),(201,'رابط','ar',0,0),(203,'قائمة (رقم صحيح)','ar',0,0),(204,'يقوم هذا الحقل بتخزين الأعداد الصحيحة من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’عدد الأيام’: 1 => يوم واحد، 7 => أسبوع واحد، 31 => شهر واحد.','ar',0,0),(205,'قائمة (رقم عشري)','ar',0,0),(206,'يقوم هذا الحقل بتخزين القيم العشرية من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’الكسور’: 0 => 0، 0.25 => 1/4، 0.75 => 3/4، 1 => 1.','ar',0,0),(207,'قائمة (نص)','ar',0,0),(208,'يقوم هذا الحقل بتخزين قيم نصية من قائمة القيم ’القيمة => التسمية’ المسموح بها. على سبيل المثال: ’ولايات الجزائر’: 04 => أم البواقي، 25 => قسنطينة، 23 => عنابة.','ar',0,0),(209,'قيمة منطقية','ar',0,0),(210,'يخزن هذا الحقل خيارات ابتدائية مثل مشغل/معطل أو نعم/لا.','ar',0,0),(212,'عدد صحيح','ar',0,0),(213,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد صحيح.','ar',0,0),(214,'عدد عشري','ar',0,0),(215,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد كسري.','ar',0,0),(216,'عدد حقيقي','ar',0,0),(217,'هذا الحقل يخزن عددا في قاعدة البيانات على شكل عدد عشري.','ar',0,0),(218,'مرجع المصطلح','ar',0,0),(219,'يخزن هذا الحقل مرجعا لمصطلح تصنيف.','ar',0,0),(220,'نص','ar',0,0),(221,'هذا الحقل يخز ن نص (varchar) في قاعدة البيانات.','ar',0,0),(222,'نص طويل','ar',0,0),(223,'هذا الحقل يخزن نص طويل في قاعدة البيانات.','ar',0,0),(224,'نص طويل وملخص','ar',0,0),(225,'هذا الحقل يخزن نص طويل في قاعدة البيانات مع ملخص اختياري للنص.','ar',0,0),(229,'خانة نصية','ar',0,0),(233,'مخفي','ar',0,0),(237,'لائحة الخيارات','ar',0,0),(238,'خانات اختيار/مربعات التحديد','ar',0,0),(239,'خانة اختيار نعم/لا وحيدة','ar',0,0),(240,'ودجة الإكمال التلقائي للمفردات (توسيم)','ar',0,0),(241,'منطقة النص (عدة سطور)','ar',0,0),(242,'نص متعدد السطور مع ملخص','ar',0,0),(249,'معلومات','ar',0,0),(257,'التسمية','ar',0,0),(264,'تحرير','ar',0,0),(265,'حذف','ar',0,0),(266,'إضافة','ar',0,0),(270,'ملف عام','ar',0,0),(271,'جدول الملفات','ar',0,0),(272,'رابط الملف','ar',0,0),(285,'المفتاح','ar',0,0),(292,'غير منسق','ar',0,0),(293,'نص عادي','ar',0,0),(294,'فئة RSS','ar',0,0),(295,'شُذِب','ar',0,0),(296,'الملخص أو المشذب','ar',0,0),(300,'تخزين SQL افتراضياً','ar',0,0),(301,'يقوم يتخزين الحقول في قاعدة البيانات SQL المحلية، باستخدام جدول لكل حقل.','ar',0,0),(303,'القائمة الرئيسية','ar',0,0),(305,'الصفحات','ar',0,0),(309,'الإبحار','ar',0,0),(312,'متجاوز','ar',0,0),(313,'اختيار وضبط حلتك','ar',0,0),(314,'الإعدادات','ar',0,0),(315,'ضبط الإعدادات الافتراضية و الخاصة بالحلل.','ar',0,0),(316,'Bartik','ar',0,0),(317,'إعدادات عامة','ar',0,0),(319,'Seven','ar',0,0),(320,'تثبيت حلة جديدة','ar',0,0),(321,'تحديث','ar',0,0),(322,'تنسيقات النص','ar',0,0),(323,'تضبط كيفية ترشيح المحتوى الذي يدخله المستخدمون، بما فيه وسوم إتش.تي.إم.إل المسموح بها، و تسمح أيضا بتفعيل مرشحات إضافية توفرها الوحدات.','ar',0,0),(324,'إضافة تنسيق نص','ar',0,0),(331,'السجلات والأخطاء','ar',0,0),(332,'إعدادت للسجلات وتنبيهات الوحدات. وحدات كثيرة يمكنها إعادة توجيه أحداث النظام لدروبال نحو وجهات مختلفة كملف syslog، قاعدة البيانات، عنوان بريد إلكتروني، إلخ.','ar',0,0),(333,'وضع الصيانة','ar',0,0),(334,'وضع الموقع خارج الخدمة للصيانة أو إعادة وضعه بالخدمة.','ar',0,0),(335,'الأداء','ar',0,0),(336,'تفعيل أو تعطيل التخزين المؤقت للصفحات للمستخدمين المجهولين وضبط خيارات تحسين CSS وJS.','ar',0,0),(339,'نظام الملفات','ar',0,0),(340,'أخبر دروبال عن مكان تخزين الملفات المرفوعة، و عن كيفية الوصول إليها.','ar',0,0),(341,'عدة الصور','ar',0,0),(342,'اختر عدة الصور التي ترغب في استخدامها، إذا كنت قد ركبت عددا اختيارية.','ar',0,0),(343,'أنماط الصور','ar',0,0),(345,'إضافة نمط','ar',0,0),(346,'إضافة نمط صورة جديد','ar',0,0),(347,'قائمة أنماط الصور بالموقع.','ar',0,0),(352,'تفعيل','ar',0,0),(353,'تعطيل','ar',0,0),(354,'استرجع','ar',0,0),(356,'استيراد','ar',0,0),(357,'تصدير','ar',0,0),(366,'هل أنت متأكد أنك راغب في حذف %title؟','ar',0,0),(379,'إعدادات متقدمة','ar',0,0),(392,'إعدادات الحساب','ar',0,0),(393,'تكوين الشكل المبدئي للمستخدمين، بما في ذلك شورط التسجيل، رسائل البريد الإلكتروني، حقول وصور المستخدمين.','ar',0,0),(394,'تسيير العرض','ar',0,0),(395,'تسيير الحقول','ar',0,0),(396,'حظر عنوان IP','ar',0,0),(397,'إدارة عناوين الإيبي المحظورة','ar',0,0),(398,'تنسيقات','ar',0,0),(399,'ضبط مقاطع صيغة العرض للتاريخ والوقت.','ar',0,0),(400,'إضافة تنسيق','ar',0,0),(401,'السماح للمستخدمين بإضافة تنسيقات تواريخ إضافية.','ar',0,0),(402,'الأنواع','ar',0,0),(403,'إضافة نوع تاريخ','ar',0,0),(404,'إضافة نوع تاريخ جديد.','ar',0,0),(405,'المحليات','ar',0,0),(406,'ضبط تنسيقات التاريخ لكل محلية','ar',0,0),(407,'ضبط التحقق عن اللغة في الجلسة','ar',0,0),(408,'ضبط التحقق عن اللغة في عنوان الرابط','ar',0,0),(409,'نظرة عامة','ar',0,0),(410,'ترجمة','ar',0,0),(411,'المسارات النظيفة','ar',0,0),(412,'تفعيل أو تعطيل المسارات النظيفة في موقعك.','ar',0,0),(413,'إعدادات البحث','ar',0,0),(414,'ضبط إعدادات البحث وخيارات الفهرسة.','ar',0,0),(415,'امسح الفهرس','ar',0,0),(416,'بدائل المسارات','ar',0,0),(417,'غيّر مسارات موقعك بتعيين بدائل لها.','ar',0,0),(418,'أضف بديلا','ar',0,0),(423,'عام','ar',0,0),(425,'الإجراءات','ar',0,0),(426,'إدارة الإجراءات المعرفة على موقعك.','ar',0,0),(427,'ضبط إجراء متقدم','ar',0,0),(428,'تسيير الإجراءات','ar',0,0),(429,'مجدول الأعمال (كرون)','ar',0,0),(430,'إدارة مهام الصيانة التلقائية للموقع.','ar',0,0),(431,'معلومات الموقع','ar',0,0),(432,'تغيير اسم الموقع، عنوان البريد الإلكتروني، الشعار، الصفحة الرئيسية الافتراضية، عدد المشاركات في كل صفحة وصفحات الأخطاء.','ar',0,0),(433,'الإحصائيات','ar',0,0),(434,'التحكم في التفاصيل الخاصة بكيفية تسجيل موقعك لإحصائيات الوصول.','ar',0,0),(435,'الاختصارات','ar',0,0),(436,'إضافة وتعديل مجموعات الاختصارات.','ar',0,0),(437,'إضافة مجموعة اختصارات','ar',0,0),(442,'التلقيم','ar',0,0),(443,'ضبط عدد العناصر في التلقيمة، والتلقيمات التي تحتوى على عناوين أو موجز أو المحتوى الكامل.','ar',0,0),(457,'سرد و تحرير التعليقات في الموقع و في طابور الموافقة على النشر.','ar',0,0),(458,'تعليقات منشورة','ar',0,0),(459,'التعليقات غير الموافق عليها (@count)','ar',0,0),(462,'الصناديق','ar',0,0),(465,'ضبط صناديق لوحة التحكم المتوفرة','ar',0,0),(466,'ضبط الصناديق التي ستُعرض في لوحة التحكم.','ar',0,0),(467,'تخصيص لوحة التحكم','ar',0,0),(468,'تخصيص لوحة التحكم الخاصة بك.','ar',0,0),(469,'إزالة','ar',0,0),(470,'تثبيت وحدة جديدة','ar',0,0),(471,'أضف مستخدما','ar',0,0),(472,'بحث وإدارة الأشخاص المتفاعلين مع موقعك.','ar',0,0),(473,'الصلاحيات','ar',0,0),(474,'حدد الوصول إلى الخصائص باختيار صلاحيات الأدوار.','ar',0,0),(475,'الأدوار','ar',0,0),(476,'سرد وإضافة وتحرير أدوار المستخدمين.','ar',0,0),(481,'آخر رسائل السجل','ar',0,0),(482,'مشاهدة الأحداث التي تم تسجيلها حديثا.','ar',0,0),(483,'تقرير الحالة','ar',0,0),(484,'الحصول على تقرير حالة عن عمل موقعك و عن أي مشكلات تم اكتشافها.','ar',0,0),(485,'أكثر أخطاء \'الوصول ممنوع\'','ar',0,0),(486,'يعرض أخطاء \'الوصول ممنوع\' (403).','ar',0,0),(487,'أكثر أخطاء \'الصفحة غير موجودة\'','ar',0,0),(488,'عرض أخطاء \'الصفحة غير موجودة\' (404).','ar',0,0),(489,'أكثر العبارات بحثا','ar',0,0),(490,'يعرض أشهر العبارات التي بُحِث عنها.','ar',0,0),(491,'قائمة الحقول','ar',0,0),(492,'معاينة الحقول لكل أنواع الكيانات.','ar',0,0),(495,'التحديثات المتوفرة','ar',0,0),(496,'الحصول على تقرير عن حالة التحديثات المتوفرة لوحداتك وحللك المثبتة.','ar',0,0),(497,'تثبيت وحدة أو حلة جديدتين','ar',0,0),(500,'الطلبات الحديثة','ar',0,0),(501,'اعرض الصفحات التي طلبت مؤخرا.','ar',0,0),(502,'أشهر الصفحات','ar',0,0),(503,'اعرض الصفحات التي تطلب كثيرا.','ar',0,0),(504,'أصحاب الروابط الواردة','ar',0,0),(505,'اعرض أكثر من يربط إلى الموقع','ar',0,0),(506,'أهم الزوار','ar',0,0),(507,'اعرض الزوار الذين يطلبون صفحات كثيرة.','ar',0,0),(508,'اضبط محتويات الصناديق التي تظهر في الأعمدة الجانبية و في المناطق الأخرى من موقعك.','ar',0,0),(509,'أضف صندوقا','ar',0,0),(510,'أنواع المحتوى','ar',0,0),(511,'إدارة أنواع المحتوى، بما في ذلك الحالات الافتراضية والترقية إلى الصفحة الرئيسية وإعدادات التعليقات، الخ.','ar',0,0),(512,'إضافة نوع محتوى','ar',0,0),(513,'القوائم','ar',0,0),(514,'إضافة قوائم جديدة للموقع, تعديل قوائم موجودة, و إعادة تسمية وتنظيم روابط القائمة.','ar',0,0),(515,'أضف قائمة','ar',0,0),(516,'اعرض القوائم','ar',0,0),(517,'التصنيف','ar',0,0),(518,'تسيير توسيم وتصنيف وتقسيم محتواك.','ar',0,0),(519,'إضافة معجم','ar',0,0),(522,'عرض','ar',0,0),(523,'عرض','ar',0,0),(534,'الأساسي','ar',0,0),(540,'استمارة الاتصال','ar',0,0),(541,'تنشئ استمارة اتصال عامة، و تعد تصنيفات لتستخدمها هذه الاستمارة.','ar',0,0),(542,'أضف تصنيفا','ar',0,0),(553,'السياق','ar',0,0),(569,'ملف','ar',0,0),(570,'مرشح','ar',0,0),(572,'صورة','ar',0,0),(574,'قائمة','ar',0,0),(575,'عقدة','ar',0,0),(580,'ابحث','ar',0,0),(582,'النظام','ar',0,0),(583,'تصنيف','ar',0,0),(585,'مستخدم','ar',0,0),(598,'اتصال','ar',0,0),(601,'php','ar',0,0),(610,'المحلية','ar',0,0),(611,'إعدادات الحقل','ar',0,0),(612,'نوع الويدجة','ar',0,0),(613,'إضافة رابط','ar',0,0),(614,'احذف القائمة','ar',0,0),(615,'تحرير القائمة','ar',0,0),(616,'سرد الروابط','ar',0,0),(617,'إضافة مصطلح','ar',0,0),(619,'الحالة','ar',0,0),(655,'عنوان التعليق','ar',0,0),(658,'المؤلف','ar',0,0),(662,'اسم المستضيف','ar',0,0),(668,'اللغة','ar',0,0),(714,'عدد التعليقات','ar',0,0),(725,'الاسم المقروء آليا','ar',0,0),(730,'العنوان URL','ar',0,0),(741,'اسم الحقل','ar',0,0),(745,'معرف التعليق','ar',0,0),(746,'المعرف الفريد للتعليق.','ar',0,0),(747,'العنوان IP','ar',0,0),(748,'عنوان الإيبي للجهاز الذي أرسل منه التعليق.','ar',0,0),(749,'الاسم','ar',0,0),(750,'الاسم المدخل من طرف صاحب التعليق.','ar',0,0),(751,'عنوان البريد الإلكتروني','ar',0,0),(752,'عنوان البريد الإلكتروني المدخل من طرف صاحب التعليق.','ar',0,0),(753,'الصفحة الرئيسية','ar',0,0),(754,'رابط الموقع المدخل من طرف صاحب التعليق.','ar',0,0),(755,'الموضوع','ar',0,0),(757,'مسار التعليق.','ar',0,0),(758,'تحرير العنوان URL','ar',0,0),(759,'مسار صفحة تحرير التعليق.','ar',0,0),(760,'تاريخ الإنشاء','ar',0,0),(761,'تاريخ إرسال التعليق.','ar',0,0),(762,'الأب','ar',0,0),(763,'التعليق الأب، إذا كان تسنن التعليقات مفعّل.','ar',0,0),(764,'العقدة التي تم التعليق عليها.','ar',0,0),(768,'الملخص','ar',0,0),(769,'تنسيق النص','ar',0,0),(794,'معرف المراجعة','ar',0,0),(798,'نوع المحتوى','ar',0,0),(799,'نوع العقدة.','ar',0,0),(800,'عنوان العقدة.','ar',0,0),(801,'اللغة المستخدمة في العقدة','ar',0,0),(802,'عنوان رابط العقدة.','ar',0,0),(803,'URL صفحة تحرير العقدة.','ar',0,0),(809,'تاريخ نشر العقدة.','ar',0,0),(810,'تاريخ التعديل','ar',0,0),(811,'تاريخ آخر تحديث للعقدة.','ar',0,0),(812,'مؤلف العقدة.','ar',0,0),(815,'رسالة سجل المراجعة','ar',0,0),(819,'معرف الوسم','ar',0,0),(820,'المعرف الفريد للوسم.','ar',0,0),(821,'اسم الوسم.','ar',0,0),(822,'الوصف','ar',0,0),(823,'الوصف الاختياري للوسم.','ar',0,0),(824,'الوزن','ar',0,0),(826,'عدد العقد','ar',0,0),(827,'عدد العقد الموسومة بمصطلح التصنيف.','ar',0,0),(828,'العنوان URL لمصطلح التصنيف.','ar',0,0),(829,'المعجم','ar',0,0),(830,'المعجم الذي ينتمي إليه مصطلح التصنيف.','ar',0,0),(831,'مفردات أم','ar',0,0),(835,'المعرف ID للمعجم','ar',0,0),(836,'المعرف ID الفريد لمعجم التصنيف.','ar',0,0),(837,'اسم معجم التصنيف.','ar',0,0),(838,'الاسم الآلي','ar',0,0),(840,'الوصف الاختياري لمعجم التصنيف.','ar',0,0),(841,'عدد الوسوم','ar',0,0),(842,'عدد المصطلحات التي تنتمي إلى معجم التصنيف.','ar',0,0),(843,'معرف المستخدم','ar',0,0),(844,'المعرف الوحيد (ID) لحساب المستخدم.','ar',0,0),(845,'اسم الدخول لحساب المستخدم.','ar',0,0),(846,'البريد الإلكتروني','ar',0,0),(847,'عنوان البريد الإلكتروني لحساب المستخدم.','ar',0,0),(848,'عنوان رابط الصفحة الشخصية للحساب.','ar',0,0),(850,'آخر وصول','ar',0,0),(852,'آخر تسجيل للدخول','ar',0,0),(854,'الإنشاء','ar',0,0),(855,'تاريخ إنشاء حساب المستخدم.','ar',0,0),(859,'الحلة الافتراضية','ar',0,0),(861,'اسم الموقع.','ar',0,0),(862,'الشعار','ar',0,0),(863,'شعار الموقع.','ar',0,0),(864,'عنوان البريد الإلكتروني الإداري للموقع.','ar',0,0),(865,'رابط الصفحة الرئيسية للموقع.','ar',0,0),(866,'صفحة الدخول','ar',0,0),(867,'رابط صفحة الدخول إلى الموقع.','ar',0,0),(874,'المسار','ar',0,0),(877,'معرف الملف','ar',0,0),(878,'المعرف الفريد (ID) للملف المرفوع.','ar',0,0),(879,'اسم الملف','ar',0,0),(880,'اسم الملف على القرص.','ar',0,0),(881,'نوع MIME','ar',0,0),(882,'نوع MIME للملف.','ar',0,0),(883,'حجم الملف','ar',0,0),(885,'رابط الملف القابل للوصول من الويب.','ar',0,0),(886,'الختم الزمني','ar',0,0),(887,'تاريخ آخر تغيير للملف.','ar',0,0),(888,'المالك','ar',0,0),(889,'المستخدم الذي قام برفع الملف أولاً.','ar',0,0),(893,'عدد التعليقات المرسلة في عقدة.','ar',0,0),(894,'عدد التعليقات الجديدة','ar',0,0),(895,'عدد التعليقات المرسلة على مشاركة منذ آخر زيارة للقارئ.','ar',0,0),(897,'اللغة المبدئية للرسائل البريدية و لعرض الموقع الخاصة بهذا الحساب.','ar',0,0),(902,'عدد مرات العرض','ar',0,0),(903,'عدد مرات قراءة المشاركة.','ar',0,0),(904,'مشاهدة اليوم','ar',0,0),(905,'عدد مرات قراءة المشاركة اليوم.','ar',0,0),(906,'آخر مشاهدة','ar',0,0),(907,'تاريخ آخر قراءة للمشاركة.','ar',0,0),(908,'المراجعات','ar',0,0),(927,'الحقل','ar',0,0),(946,'المجموعة','ar',0,0),(950,'النسخة','ar',0,0),(965,'النوع','ar',0,0),(967,'منشور','ar',0,0),(969,'لم ينشر','ar',0,0),(972,'مرقّى إلى الصفحة الرئيسية','ar',0,0),(1015,'بحث','ar',0,0),(1038,'خطأ','ar',0,0),(1067,'التنسيق','ar',0,0),(1098,'عنوان الصفحة','ar',0,0),(1101,'أحال إليه','ar',0,0),(1116,'الحجم','ar',0,0),(1117,'حجم الملف.','ar',0,0),(1171,'وصف المصطلح','ar',0,0),(1180,'مفردة أم','ar',0,0),(1196,'البريد الإلكتروني','ar',0,0),(1199,'الصورة','ar',0,0),(1206,'نشط','ar',0,0),(1208,'ممنوع','ar',0,0),(1209,'التوقيع','ar',0,0),(1217,'الصلاحية','ar',0,0),(1272,'تعليقات جديدة','ar',0,0),(1300,'إلغاء تنسيق النص','ar',0,0),(1301,'تشغيل مجدول الأعمال (كرون)','ar',0,0),(1307,'القائمة','ar',0,0),(1312,'خروج','ar',0,0),(1314,'إضافة محتوى','ar',0,0),(1315,'استخدم <em>الصفحات الأساسية</em> للمحتوى الثابت، مثل صفحة \'عن الموقع\'.','ar',0,0),(1319,'مرحباً <strong>@username</strong>','ar',0,0),(1320,'اتصل','ar',0,0),(1324,'حسابي','ar',0,0),(1325,'إضافة إلى اختصارات %shortcut_set','ar',0,0),(1326,'أنت هنا','ar',0,0),(1327,'رسالة الحالة','ar',0,0),(1328,'رسالة الخطأ','ar',0,0),(1329,'رسالة التحذير','ar',0,0),(1330,'تفعيل  !title','ar',0,0),(1331,'جعل  !title هو الافتراضي','ar',0,0),(1332,'‏!title ‏!required','ar',0,0),(1333,'تحرير','ar',0,0),(1334,'الاسم بالإنجليزية','ar',0,0),(1335,'الاسم الأصلي','ar',0,0),(1336,'الكود','ar',0,0),(1337,'الاتجاه','ar',0,0),(1338,'مفعل','ar',0,0),(1339,'عمليات','ar',0,0),(1341,'حذف هذه الرسالة.','ar',0,0),(1344,'التبويبات الأساسية','ar',0,0),(1345,'!local-task-title!active','ar',0,0),(1346,'تجاوز إلى المحتوى الرئيسي','ar',0,0),(1347,'نصائح للكتابة','ar',0,0),(1348,'مدونات','ar',0,0),(1349,'وسوم','ar',0,0),(1350,'المدونة','ar',0,0),(1351,'اعرض التدوينات الحديثة','ar',0,0),(1352,'اقرأ أحدث تدوينات !username.','ar',0,0),(1353,'لا شيء','ar',0,0),(1356,'صورة @user','ar',0,0),(1357,'عرض ملف المستخدم.','ar',0,0),(1358,'الأرشيف','ar',0,0),(1359,'مسجل بالموقع منذ','ar',0,0),(1360,'أقل من شهر','ar',3705,1),(1361,'أقل من أسبوع','ar',3465,1),(1363,'الترويسة','ar',0,0),(1365,'مبرز','ar',0,0),(1368,'العمود الجانبي الأول','ar',0,0),(1369,'الشريط الجانبي الثاني','ar',0,0),(1381,'التذييل','ar',0,0),(1396,'الحساب','ar',0,0),(1397,'تابع زيارات الصفحات','ar',0,0),(1456,'الصفحة','ar',0,0),(1459,'المرفق','ar',0,0),(1472,'جدول','ar',0,0),(1485,'الدور','ar',0,0),(1507,'النواة','ar',0,0),(1542,'الخيارات','ar',0,0),(1561,'« الأولى','ar',0,0),(1562,'‹ السابقة','ar',0,0),(1563,'التالية ›','ar',0,0),(1564,'الأخيرة »','ar',0,0),(1569,'أندورا','ar',0,0),(1570,'الإمارات العربية المتحدة','ar',0,0),(1571,'أفغانستان','ar',0,0),(1572,'أنتيغوا وبربودا','ar',0,0),(1573,'أنغويلا','ar',0,0),(1574,'ألبانيا','ar',0,0),(1575,'أرمينيا','ar',0,0),(1576,'جزر الأنتيل الهولندية','ar',0,0),(1577,'أنغولا','ar',0,0),(1578,'القطب الجنوبي','ar',0,0),(1579,'الأرجنتين','ar',0,0),(1580,'ساموا الأمريكية','ar',0,0),(1581,'النمسا','ar',0,0),(1582,'أستراليا','ar',0,0),(1583,'أروبا','ar',0,0),(1584,'جزر ألاند','ar',0,0),(1585,'أذربيجان','ar',0,0),(1586,'البوسنة والهرسك','ar',0,0),(1587,'باربادوس','ar',0,0),(1588,'بنغلادش','ar',0,0),(1589,'بلجيكا','ar',0,0),(1590,'بوركينا فاسو','ar',0,0),(1591,'بلغاريا','ar',0,0),(1592,'البحرين','ar',0,0),(1593,'بوروندي','ar',0,0),(1594,'بينين','ar',0,0),(1595,'سانت بارتيليمي','ar',0,0),(1596,'برمودا','ar',0,0),(1597,'بروناي','ar',0,0),(1598,'بوليفيا','ar',0,0),(1600,'البرازيل','ar',0,0),(1601,'الباهامس','ar',0,0),(1602,'بوتان','ar',0,0),(1603,'جزيرة بوفيه','ar',0,0),(1604,'بوتسوانا','ar',0,0),(1605,'بيلاروسيا','ar',0,0),(1606,'بيليز','ar',0,0),(1607,'كندا','ar',0,0),(1608,'جزر الكوكوس','ar',0,0),(1609,'الكونغو (كينشاسا)','ar',0,0),(1610,'جمهورية إفريقيا الوسطى','ar',0,0),(1611,'الكونغو (برازافيل)','ar',0,0),(1612,'سويسرا','ar',0,0),(1613,'ساحل العاج','ar',0,0),(1614,'جزر كووك','ar',0,0),(1615,'تشيلي','ar',0,0),(1616,'الكاميرون','ar',0,0),(1617,'الصين','ar',0,0),(1618,'كولومبيا','ar',0,0),(1619,'كوستاريكا','ar',0,0),(1620,'كوبا','ar',0,0),(1621,'الرأس الأخضر','ar',0,0),(1622,'كوراساو','ar',0,0),(1623,'جزيرة الكريسماس','ar',0,0),(1624,'قبرص','ar',0,0),(1625,'جمهورية التشيك','ar',0,0),(1626,'ألمانيا','ar',0,0),(1627,'جيبوتي','ar',0,0),(1628,'الدانمارك','ar',0,0),(1629,'دومينيكا','ar',0,0),(1630,'جمهورية الدومينيكان','ar',0,0),(1631,'الجزائر','ar',0,0),(1632,'الإكوادور','ar',0,0),(1633,'إستونيا','ar',0,0),(1634,'مصر','ar',0,0),(1635,'الصحراء الغربية','ar',0,0),(1636,'اريتريا','ar',0,0),(1637,'إسبانيا','ar',0,0),(1638,'إثيوبيا','ar',0,0),(1639,'فنلندا','ar',0,0),(1640,'فيجية','ar',0,0),(1641,'جزر الفوكلاند','ar',0,0),(1642,'ميكرونيزيا','ar',0,0),(1643,'جزر فارو','ar',0,0),(1644,'فرنسا','ar',0,0),(1645,'الغابون','ar',0,0),(1646,'المملكة المتحدة','ar',0,0),(1647,'غرينادا','ar',0,0),(1648,'جورجيا','ar',0,0),(1649,'غويانا الفرنسية','ar',0,0),(1650,'غيرنسي','ar',0,0),(1651,'غانا','ar',0,0),(1652,'جبل طارق','ar',0,0),(1653,'غرينلاند','ar',0,0),(1654,'غامبيا','ar',0,0),(1655,'غينيا','ar',0,0),(1656,'غواديلوب','ar',0,0),(1657,'غينيا الإستوائية','ar',0,0),(1658,'اليونان','ar',0,0),(1659,'جورجيا الجنوبية وجزر ساندويتش الجنوبية','ar',0,0),(1660,'غواتيمالا','ar',0,0),(1661,'غوام','ar',0,0),(1662,'غينيا-بيساو','ar',0,0),(1663,'غوايانا','ar',0,0),(1664,'هونغ كونغ - الصين','ar',0,0),(1665,'جزيرة هيرد وجزر ماكدونالد','ar',0,0),(1666,'الهندوراس','ar',0,0),(1667,'كرواتيا','ar',0,0),(1668,'هاييتي','ar',0,0),(1669,'هنغاريا','ar',0,0),(1670,'أندونيسيا','ar',0,0),(1671,'ايرلندا','ar',0,0),(1672,'إسرائيل','ar',0,0),(1673,'جزيرة مان','ar',0,0),(1674,'الهند','ar',0,0),(1675,'إقليم المحيط الهندي البريطاني','ar',0,0),(1676,'العراق','ar',0,0),(1677,'إيران','ar',0,0),(1678,'آيسلندا','ar',0,0),(1679,'إيطاليا','ar',0,0),(1680,'جيرسي','ar',0,0),(1681,'جامايكا','ar',0,0),(1682,'الأردن','ar',0,0),(1683,'اليابان','ar',0,0),(1684,'كينيا','ar',0,0),(1685,'قيرغيزستان','ar',0,0),(1686,'كمبوديا','ar',0,0),(1687,'كيريباتي','ar',0,0),(1688,'جزر القمر','ar',0,0),(1689,'سانت كيتس ونيفيس','ar',0,0),(1690,'كوريا الشمالية','ar',0,0),(1691,'كوريا الجنوبية','ar',0,0),(1692,'الكويت','ar',0,0),(1693,'جزر الكايمان','ar',0,0),(1694,'كازاخستان','ar',0,0),(1695,'لاوس','ar',0,0),(1696,'لبنان','ar',0,0),(1697,'سانت لوسيا','ar',0,0),(1698,'ليختنشتاين','ar',0,0),(1699,'سيريلانكا','ar',0,0),(1700,'ليبيريا','ar',0,0),(1701,'ليسوتو','ar',0,0),(1702,'ليتوانيا','ar',0,0),(1703,'لكسمبورغ','ar',0,0),(1704,'لاتفيا','ar',0,0),(1705,'ليبيا','ar',0,0),(1706,'المغرب','ar',0,0),(1707,'موناكو','ar',0,0),(1708,'مولدوفا','ar',0,0),(1709,'الجبل الأسود','ar',0,0),(1710,'سانت مارتن (الجزء الفرنسي)','ar',0,0),(1711,'مدغشقر','ar',0,0),(1712,'جزر مارشال','ar',0,0),(1713,'مقدونيا','ar',0,0),(1714,'مالي','ar',0,0),(1715,'ميانمار','ar',0,0),(1716,'منغوليا','ar',0,0),(1717,'ماكاو','ar',0,0),(1718,'جزر ماريانا الشمالية','ar',0,0),(1719,'المارتينيك','ar',0,0),(1720,'موريتانيا','ar',0,0),(1721,'مونتسيرات','ar',0,0),(1722,'مالطا','ar',0,0),(1723,'موريشيوس','ar',0,0),(1724,'المالديف','ar',0,0),(1725,'الملاوي','ar',0,0),(1726,'المكسيك','ar',0,0),(1727,'ماليزيا','ar',0,0),(1728,'موزمبيق','ar',0,0),(1729,'ناميبيا','ar',0,0),(1730,'كاليدونيا الجديدة','ar',0,0),(1731,'النيجر','ar',0,0),(1732,'جزيرة نورفولك','ar',0,0),(1733,'نيجيريا','ar',0,0),(1734,'نيكاراغوا','ar',0,0),(1735,'هولندا','ar',0,0),(1736,'النرويج','ar',0,0),(1737,'نيبال','ar',0,0),(1738,'ناورو','ar',0,0),(1739,'نيوي','ar',0,0),(1740,'نيوزيلندا','ar',0,0),(1741,'عمان','ar',0,0),(1742,'بنما','ar',0,0),(1743,'البيرو','ar',0,0),(1744,'بولينيزيا الفرنسية','ar',0,0),(1745,'بابوا غينيا الجديدة','ar',0,0),(1746,'الفليبين','ar',0,0),(1747,'باكستان','ar',0,0),(1748,'بولندا','ar',0,0),(1749,'سان بيير وميكويلون','ar',0,0),(1750,'بيتكيرن','ar',0,0),(1751,'بورتو ريكو','ar',0,0),(1752,'فلسطين','ar',0,0),(1753,'البرتغال','ar',0,0),(1754,'بالاو','ar',0,0),(1755,'باراجواي','ar',0,0),(1756,'قطر','ar',0,0),(1757,'ريونيون','ar',0,0),(1758,'رومانيا','ar',0,0),(1759,'صربيا','ar',0,0),(1760,'روسيا','ar',0,0),(1761,'رواندا','ar',0,0),(1762,'المملكة العربية السعودية','ar',0,0),(1763,'جزر سليمان','ar',0,0),(1764,'سيشل','ar',0,0),(1765,'السودان','ar',0,0),(1766,'السويد','ar',0,0),(1767,'سنغافورة','ar',0,0),(1768,'سانت هيلينا','ar',0,0),(1769,'سلوفينيا','ar',0,0),(1770,'سفالبارد وجان ماين','ar',0,0),(1771,'سلوفاكيا','ar',0,0),(1772,'سيراليون','ar',0,0),(1773,'سان مارينو','ar',0,0),(1774,'السنغال','ar',0,0),(1775,'الصومال','ar',0,0),(1776,'سورينام','ar',0,0),(1778,'ساو تومي وبرينسيبي','ar',0,0),(1779,'السلفادور','ar',0,0),(1781,'سوريا','ar',0,0),(1782,'سوازيلاند','ar',0,0),(1783,'جزر تيركس وكايكوس','ar',0,0),(1784,'تشاد','ar',0,0),(1785,'مناطق فرنسا الجنوبية','ar',0,0),(1786,'توغو','ar',0,0),(1787,'تايلاند','ar',0,0),(1788,'طاجكستان','ar',0,0),(1789,'توكيلاو','ar',0,0),(1790,'تيمور الشرقية','ar',0,0),(1791,'تركمانستان','ar',0,0),(1792,'تونس','ar',0,0),(1793,'تونجا','ar',0,0),(1794,'تركيا','ar',0,0),(1795,'ترينيداد وتوباغو','ar',0,0),(1796,'توفالو','ar',0,0),(1797,'تايوان','ar',0,0),(1798,'تنزانيا','ar',0,0),(1799,'أوكرانيا','ar',0,0),(1800,'أوغندا','ar',0,0),(1801,'الولايات المتحدة الجزر الصغيرة النائية','ar',0,0),(1802,'الولايات المتحدة الأمريكية','ar',0,0),(1803,'أوروغواي','ar',0,0),(1804,'أوزبكستان','ar',0,0),(1805,'الفاتيكان','ar',0,0),(1806,'سان فنسنت وغريناديس','ar',0,0),(1807,'فنزويلا','ar',0,0),(1808,'الجزر العذراء البريطانية','ar',0,0),(1809,'الجزر العذراء الأمريكية','ar',0,0),(1810,'فيتنام','ar',0,0),(1811,'فانواتو','ar',0,0),(1812,'واليس وفوتونا','ar',0,0),(1813,'ساموا','ar',0,0),(1814,'اليمن','ar',0,0),(1815,'مايوت','ar',0,0),(1816,'جنوب أفريقيا','ar',0,0),(1817,'زامبيا','ar',0,0),(1818,'زيمبابوي','ar',0,0),(1881,'إعادة الضبط','ar',0,0),(1886,'الذهاب إلى الصفحة الأولى','ar',0,0),(1887,'الذهاب إلى الصفحة السابقة','ar',0,0),(1888,'الذهاب إلى الصفحة التالية','ar',0,0),(1889,'الذهاب إلى الصفحة الأخيرة','ar',0,0),(1890,'الذهاب إلى الصفحة @number','ar',0,0),(1896,'اشترك ب !feed-title','ar',0,0),(1897,'ضبط الصندوق','ar',0,0),(1905,'حقل المؤلف','ar',0,0),(1906,'حقل الموضوع','ar',0,0),(1907,'عنصر وحدة العقد','ar',0,0),(1908,'إعدادات المسار','ar',0,0),(1911,'حقل نص اسم الوسم','ar',0,0),(1912,'نص متعدد الأسطر لوصف المصطلح','ar',0,0),(1913,'اسم المستخدم و كلمة المرور','ar',0,0),(1914,'عناصر استمارة الحساب لوحدة المستخدم.','ar',0,0),(1915,'المنطقة الزمنية','ar',0,0),(1921,'إعدادات اللغات','ar',0,0),(1929,'الحد من وسوم HTML المسموح بها','ar',0,0),(1930,'تحويل فواصل السطور إلى HTML (مثلا، <code>&lt;br&gt;</code> و <code>&lt;p&gt;</code>)','ar',0,0),(1931,'تحويل عناوين المواقع إلى روابط','ar',0,0),(1932,'تصحيح كود HTML الناقص أو الخاطئ','ar',0,0),(1933,'عرض كود HTML كنص عادي','ar',0,0),(1936,'مقيم PHP','ar',0,0),(1937,'يشغل كود بي.إتش.بي. يجب أن يتاح استخدام هذا المرشح للإداريين فقط!','ar',0,0),(1942,'المتن','ar',0,0),(1961,'...','ar',0,0),(1964,'التالي','ar',0,0),(1967,'تتبع','ar',0,0),(1975,'الترتيب','ar',0,0),(1976,'الخيارات المتقدمة','ar',0,0),(1995,'خميس','ar',0,0),(1996,'يرجى الانتظار...','ar',0,0),(1999,'دعم مكتبة معالجة الصور GD لصيغة ملفات PNG','ar',0,0),(2003,'مثبت','ar',0,0),(2005,'غير موجود','ar',0,0),(2007,'غير مُفعّل','ar',0,0),(2009,'تقدم حالة الرفع','ar',0,0),(2013,'تأثيرات الدوران وعدم التشبع لمكتبة GD','ar',0,0),(2016,'معطل','ar',0,0),(2018,'صلاحيات الوصول إلى العقدة','ar',0,0),(2019,'أعد بناء الصلاحيات','ar',0,0),(2020,'دروبال','ar',0,0),(2021,'خادم ويب','ar',0,0),(2022,'PHP','ar',0,0),(2023,'المزيد من المعلومات','ar',0,0),(2024,'PHP register globals','ar',0,0),(2025,'إضافات PHP','ar',0,0),(2026,'نظام قاعدة البيانات','ar',0,0),(2027,'إصدار نظام قاعدة البيانات','ar',0,0),(2028,'الحد الأقصى لذاكرة PHP','ar',0,0),(2029,'محمي','ar',0,0),(2030,'ملف الإعدادات','ar',0,0),(2033,'للمزيد من المعلومات، راجع مقال الدليل على الشبكة عن <a href=\"@cron-handbook\">إعداد وظائف كرون</a>.','ar',0,0),(2034,'أقل من دقيقة','ar',3470,1),(2035,'أقل من ثانية','ar',3475,1),(2036,'آخر تشغيل منذ !time','ar',0,0),(2037,'بإمكانك <a href=\"@cron\">تشغيل الدورية يدويا</a>.','ar',0,0),(2038,'لتشغيل الدورية من خارج الموقع، انتقل إلى <a href=\"!cron\">!cron</a>','ar',0,0),(2039,'مهام الصيانة الدورية','ar',0,0),(2040,'قابل للكتابة (طريقة تنزيل <em>عمومية</em>)','ar',0,0),(2041,'تحديثات قاعدة البيانات','ar',0,0),(2042,'محَدَّث','ar',0,0),(2043,'الوصول إلى update.php','ar',0,0),(2044,'PHP قياسي','ar',0,0),(2045,'امتداد المقاطع المتعددة البايتات في  PHP','ar',0,0),(2046,'مكتبة يونيكود','ar',0,0),(2047,'إخطارات التحديثات','ar',0,0),(2074,'عنوان الـIP','ar',0,0),(2110,'العدد','ar',0,0),(2119,'رقم','ar',0,0),(2157,'رموز (Tokens) للتعليقات المنشورة في الموقع.','ar',0,0),(2158,'تنسيق محتوى التعليق.','ar',0,0),(2159,'التاريخ الذي تم به آخر تحديث للتعليق.','ar',0,0),(2160,'صاحب التعليق، إذا كان قد سجل دخوله.','ar',0,0),(2170,'رابط القائمة','ar',0,0),(2172,'العلامات المميزة (tokens) المتعلقة بعناصر المحتوى، أو \"العقد\".','ar',0,0),(2173,'معرف المحتوى','ar',0,0),(2174,'المعرف الفريد لعنصر المحتوى، أو \"العقدة\".','ar',0,0),(2175,'المعرف الفريد لآخر مراجعة للعقدة.','ar',0,0),(2176,'معرف مجموعة الترجمة','ar',0,0),(2177,'المعرف الفريد لنسخة اللغة الأصلية لهذه العقدة، في حال كانت موجودة.','ar',0,0),(2178,'اسم نوع المحتوى','ar',0,0),(2179,'الاسم الظاهر للمستخدم لهذا النوع من المحتوى','ar',0,0),(2180,'متن النص الرئيسي للعقدة.','ar',0,0),(2181,'ملخص متن النص الرئيسي للعقدة.','ar',0,0),(2203,'رموز إعدادات الموقع ككل ومعلومات شاملة أخرى.','ar',0,0),(2204,'التواريخ','ar',0,0),(2205,'Tokens المتعلقة بالتواقيت والتواريخ.','ar',0,0),(2206,'Tokens المتعلقة بالملفات المرفوعة.','ar',0,0),(2207,'عنوان الرابط (قصير) URL','ar',0,0),(2208,'عنوان رابط الصفحة الرئيسية للموقع بدون البروتوكول.','ar',0,0),(2209,'صيغة قصيرة','ar',0,0),(2210,'التاريخ بالصيغة القصيرة. (%date)','ar',0,0),(2211,'صيغة متوسطة','ar',0,0),(2212,'اثنين','ar',0,0),(2213,'التاريخ بالصيغة المتوسطة. (%date)','ar',0,0),(2214,'صيغة طويلة','ar',0,0),(2215,'الاثنين','ar',0,0),(2216,'يناير','ar',0,0),(2217,'التاريخ بالصيغة الطويلة. (%date)','ar',0,0),(2218,'نسق خاص','ar',0,0),(2219,'دليل PHP','ar',0,0),(2220,'التاريخ بصيغة مخصصة. للتفاصيل راجع !php-date.','ar',0,0),(2221,'الوقت المنقضي منذ','ar',0,0),(2222,'أقل من سنة','ar',3460,1),(2223,'تاريخ بصيغة \"الوقت المنقضي منذ\". (%date)','ar',0,0),(2224,'الطابع الزمني الخام','ar',0,0),(2225,'التاريخ بصيغة الطابع الزمني يونيكس (%date)','ar',0,0),(2226,'موقع الملف تبعا لجذر دروبال.','ar',0,0),(2227,'رموز متعلقة بمصطلحات التصنيف.','ar',0,0),(2228,'المعاجم','ar',0,0),(2229,'رموز متعلقة بمعاجم التصنيف.','ar',0,0),(2230,'عدد العقد الموسومة بمصطلحات تنتمي إلى معجم التصنيف.','ar',0,0),(2231,'المصطلح الأب لمصطلح التصنيف، إذا وجد.','ar',0,0),(2232,'الرموز (Token) المرتبطة بالحسابات الفردية للمستخدم.','ar',0,0),(2233,'المستخدم الحالي','ar',0,0),(2234,'الرموز (Token) المرتبطة بالمستخدم المتصل حاليا.','ar',0,0),(2235,'عنوان رابط صفحة تعديل الحساب.','ar',0,0),(2253,'إخفاء الأوصاف','ar',0,0),(2254,'ضغط النسق بإخفاء الأوصاف.','ar',0,0),(2255,'تحرير اللغة','ar',0,0),(2256,'رمز اللغة','ar',0,0),(2257,'اسم اللغة بالإنجليزية','ar',0,0),(2258,'اسم اللغة بالإنجليزية. سيكون متوفرا للترجمة في جميع اللغات.','ar',0,0),(2259,'اسم اللغة الأصلي','ar',0,0),(2260,'اسم اللغة باللغة نفسها.','ar',0,0),(2261,'كود لغة بادئة المسار','ar',0,0),(2262,'كود اللغة أو نص مخصص آخر مستخدم كبادئة مسار للكشف عن اللعة بواسطة الرابط، إذا كانت إعدادات <em>الكشف والتحديد</em> الخاصة بك تستخدم بادئة مسار الرابط. بالنسبة للغة المبدئية، بالإمكان ترك هذه القيمة فارغة. <strong>تغيير هذه القائمة قد يؤدي إلى تعطيل الروابط الحالية. استخدم هذا الإعداد بحذر.</strong> مثلاً: استخدام \"deutsch\" كرمز لبادئة المسار للروابط المؤدية إلى الصفحات باللغة الألمانية، كما هو الحال في المثال : \"example.com/deutsch/contact\"','ar',0,0),(2263,'نطاق اللغة','ar',0,0),(2264,'اسم النطاق الذي ينبغي استخدامه لهذه اللغة إذا كانت نطاقات عناوين URL مستخدمة <em>للاكتشاف والاختيار</em>. المرجو تركه فارغا للغة الافتراضية. <strong>تغيير هذه القيمة قد يعطل عناوين URL الموجودة</strong>. مثال: تحديد \"de.example.com\" كنطاق لغة  للألمانية سيعطي عنوانا URL مثل \"http://de.example.com/contact\".','ar',0,0),(2265,'اتجاه الكتابة المستخدم في هذه اللغة.','ar',0,0),(2266,'حفظ اللغة','ar',0,0),(2267,'هذا الحقل ضروري.','ar',0,0),(2269,'@zone: @date','ar',0,0),(2322,'الأحد','ar',0,0),(2687,'المحليات','ar',0,0),(2688,'البلد الافتراضي','ar',0,0),(2689,'أول يوم في الأسبوع','ar',0,0),(2690,'الثلاثاء','ar',0,0),(2691,'الأربعاء','ar',0,0),(2692,'الخميس','ar',0,0),(2693,'الجمعة','ar',0,0),(2694,'السبت','ar',0,0),(2695,'المناطق الزمنية','ar',0,0),(2696,'المنطقة الزمنية الافتراضية','ar',0,0),(2697,'بإمكان المستخدمين تحديد المنطقة الزمنية الخاصة بهم.','ar',0,0),(2698,'تذكير المستخدمين بتعيين المنطقة الزمنية لهم عند تسجيل الدخول، إذا لم يتم تعيينها.','ar',0,0),(2699,'لا يطبق إلا إذا كان بإمكان المستخدمين تعيين المنطقة الزمنية الخاصة بهم.','ar',0,0),(2700,'المنطقة الزمنية للمستخدمين الجدد','ar',0,0),(2701,'المنطقة الزمنية الافتراضية.','ar',0,0),(2702,'منطقة زمنية فارغة.','ar',0,0),(2703,'بإمكان المستخدمين تحديد منطقتهم الزمنية أثناء التسجيل.','ar',0,0),(2704,'- لا شيء -','ar',0,0),(2705,'واجهة مدمجة','ar',0,0),(2706,'عربية','ar',0,0),(2707,'الإنجليزية (مدمجة)','ar',0,0),(2708,'غير متوفر','ar',0,0),(2709,'توفر هذى الصفحة معلومات عن النصوص الممكن ترجمتها. يعرض دروبال النصوص الممكن ترجمتها في مجموعات نصية، يمكن للوحدات تعريف مجموعات نصية إضافية تحتوي على نصوص يمكن ترجمتها. توفر المجموعات النصية طريقة لجمع النصوص المتعلقة ببعضها معا حيث تستخدم لتركز مجهودات الترجمة نحو أجزاء محددة من واجهة دروبال.','ar',0,0),(2710,'راجع <a href=\"@languages\">صفحة اللغات</a> للمزيد من المعلومات حول إضافة لغات أخرى.','ar',0,0),(2711,'نص واجهة المستخدم','ar',0,0),(2712,'ترتيب أساليب الكشف عن اللعات لنص واجهة المستخدم. إذا توفرت نسخة نص مترجمة من واجهة المستخدم في اللغة المحددة، فسيتم عرضها.','ar',0,0),(2713,'ترتيب خيارات كشف لغة المحتويات. إذا توافر محتوى بلغة معروفة، سيتم عرضه.','ar',0,0),(2714,'تحديد اللغة من عنوان الرابط (بادئة المسار أو النطاق).','ar',0,0),(2715,'الجلسة','ar',0,0),(2716,'تحديد اللغة من تكوين معامل الطلب/الجلسة.','ar',0,0),(2717,'تتبع إعدادات اللغة الخاصة بالمستخدم.','ar',0,0),(2718,'المتصفّح','ar',0,0),(2719,'تحديد اللغة من إعدادات اللغة للمتصفح.','ar',0,0),(2720,'الواجهة','ar',0,0),(2721,'استخدام لغة الواجهة المكتشفة.','ar',0,0),(2722,'عنوان الرابط البديل','ar',0,0),(2723,'اسنخدام لغة تم التحقق منها مسبقاً من عناوين الروابط إذا لم يتم العثور على أية لغة.','ar',0,0),(2724,'إستخدم اللغة الافتراضية للموقع (@language_name).','ar',0,0),(2725,'الكشف عن اللغة @type','ar',0,0),(2726,'موفر اللغة @title','ar',0,0),(2727,'حفظ الإعدادات','ar',0,0),(2728,'حدد كيفية تحديد اللغة المستخدمة لعرض عناصر الصفحة (خاصة النصوص الموفرة من طرف دروبال والوحدات، كالتسميات ونصوص المساعدة). يؤخذ هذا التحديد أثناء تقييم سلسلة من الأساليب المستخدمة في الكشف عن اللغات. الطريقة الأولى التي تحصل على نتيجة ستحدد اللغة المستخدمة لهذا النوع من النص. حدد ترتيب أساليب الكشف عن اللغة من هذه الصفحة.','ar',0,0),(2729,'طريقة الكشف','ar',0,0),(2730,'إعداد الطلب/الجلسة','ar',0,0),(2731,'اسم إعداد الطلب/الجلسة المستخدم لتحديد اللغة المرغوبة.','ar',0,0),(2733,'تم حفظ الإعدادات.','ar',0,0),(2734,'استرجاع الإعدادات الافتراضية','ar',0,0),(2735,'حذف','ar',0,0),(2736,'أنشئ حساب مستخدم جديد.','ar',0,0),(2737,'طلب كلمة مرور جديدة عن طريق البريد الإلكتروني.','ar',0,0),(2738,'سابقة','ar',0,0),(2739,'لاحقة','ar',0,0),(2740,'موافقة','ar',0,0),(2741,'الموافقة','ar',0,0),(2742,'اسم المستخدم','ar',0,0),(2743,'المحتوى','ar',0,0),(2744,'الردود','ar',0,0),(2745,'مغلق','ar',0,0),(2746,'نعم','ar',0,0),(2747,'مغلق','ar',0,0),(2748,'معطَّل','ar',0,0),(2749,'تأكيد','ar',0,0),(2750,'إلغاء','ar',0,0),(2751,'حذف','ar',0,0),(2752,'مدير','ar',0,0),(2753,'تلقيمة آر.إس.إس','ar',0,0),(2754,'الشرح أو توجيهات الإرسال','ar',0,0),(2755,'المزيد','ar',0,0),(2756,'لم يتم التحقق','ar',0,0),(2757,'إجراء','ar',0,0),(2758,'آخر تحديث','ar',0,0),(2759,'جديد','ar',0,0),(2760,'خطأ','ar',0,0),(2761,'عنوان الصندوق','ar',0,0),(2762,'عنوان الصندوق كما يظهر للمستخدم.','ar',0,0),(2763,'نعم','ar',0,0),(2764,'لا','ar',0,0),(2765,'مجدول الأعمال (كرون)','ar',0,0),(2766,'بحيرة زرقاء (المبدئية)','ar',0,0),(2767,'رماد','ar',0,0),(2768,'زبرجد','ar',0,0),(2769,'شكولاتة بلجيكية','ar',0,0),(2770,'أزرق بحري','ar',0,0),(2771,'انفجار ليموني','ar',0,0),(2772,'يوم بارد','ar',0,0),(2773,'شعاع أخضر','ar',0,0),(2774,'بحر متوسط','ar',0,0),(2775,'زئبق','ar',0,0),(2776,'ليلي','ar',0,0),(2777,'زيتونة','ar',0,0),(2778,'لدائن زهرية','ar',0,0),(2779,'طماطم لامعة','ar',0,0),(2780,'أزرق مخضر','ar',0,0),(2781,'الصفحة الأولى','ar',0,0),(2782,'التصنيفات','ar',0,0),(2783,'تحميل','ar',0,0),(2784,'التحديث','ar',0,0),(2785,'معلومات الملف','ar',0,0),(2786,'ملاحظات النسخة','ar',0,0),(2787,'التاريخ','ar',0,0),(2788,'يوميًا','ar',0,0),(2789,'أسبوعيًا','ar',0,0),(2790,'إعدادات العرض','ar',0,0),(2791,'لا يمكن التراجع عن هذة العملية.','ar',0,0),(2792,'الاختبار','ar',0,0),(2793,'الرسالة','ar',0,0),(2794,'لا توجد رسائل سجل.','ar',0,0),(2795,'كلمة المرور','ar',0,0),(2796,'تم حفظ خيارات الضبط.','ar',0,0),(2797,'المركز','ar',0,0),(2798,'نص المساعدة','ar',0,0),(2799,'ضروري','ar',0,0),(2800,'جذر','ar',0,0),(2801,'الصفحات في مستو واحد ترتب بالوزن أولا، ثم بالعنوان.','ar',0,0),(2802,'لا شيء','ar',0,0),(2803,'التصنيف','ar',0,0),(2804,'أضف حاوية','ar',0,0),(2805,'تحرير الحاوية','ar',0,0),(2806,'لا يوجد تصنيفات.','ar',0,0),(2807,'▸ ','ar',0,0),(2808,'فوق','ar',0,0),(2809,'الذهاب إلى الصفحة الأم','ar',0,0),(2810,' ◂','ar',0,0),(2811,'الوثيقة','ar',0,0),(2812,'الهيكل','ar',0,0),(2813,'معاينة','ar',0,0),(2814,'حفظ','ar',0,0),(2815,'تم فتح جلسة لـ%name.','ar',0,0),(2816,'مفتوح','ar',0,0),(2817,'الوقت','ar',0,0),(2818,'اسم الملف','ar',0,0),(2819,'النقاش العام','ar',0,0),(2820,'تحرير المنتدى','ar',0,0),(2821,'اسم المنتدى','ar',0,0),(2822,'منتدى','ar',0,0),(2823,'هل أنت متأكد أنك راغب في حذف منتدى %name؟','ar',0,0),(2824,'تحديث','ar',0,0),(2825,'المنطقة','ar',0,0),(2826,'مرئي','ar',0,0),(2827,'المرساة','ar',0,0),(2828,'العرض','ar',0,0),(2829,'النتائج','ar',0,0),(2830,'أبدا','ar',0,0),(2831,'لا وجود للمستخدم %name.','ar',0,0),(2832,'البريد','ar',0,0),(2833,'التحديث','ar',0,0),(2834,'الإجراءات','ar',0,0),(2835,'مجمع','ar',0,0),(2836,'اقرأ المزيد','ar',0,0),(2837,'معدل التحديث','ar',0,0),(2838,'مسار التلقيمة بالكامل.','ar',0,0),(2839,'أضف منتدى','ar',0,0),(2840,'حلة','ar',0,0),(2841,'لا توجد لقطة','ar',0,0),(2842,'إعدادات سجل الوصول','ar',0,0),(2843,'فعّل سجل الوصول','ar',0,0),(2844,'أهمل سجلات الوصول الأقدم من','ar',0,0),(2845,'معاينة التعليق','ar',0,0),(2846,'<لا يوجد>','ar',0,0),(2847,'ألغ الربط','ar',0,0),(2848,'البحث المتقدم','ar',0,0),(2849,'غير مسموح لك بالوصول إلى هذه الصفحة.','ar',0,0),(2850,'غير معروف','ar',0,0),(2851,'رفع','ar',0,0),(2852,'النوع','ar',0,0),(2853,'المحتوى','ar',0,0),(2854,'نوع قاعدة البيانات','ar',0,0),(2855,'إجراء','ar',0,0),(2856,'متابعة','ar',0,0),(2857,'الحالة','ar',0,0),(2858,'لا','ar',0,0),(2859,'أُرسل البريد إلى %recipient','ar',0,0),(2860,'تعذّر إرسال البريد إلى %recipient','ar',0,0),(2861,'موضوع الرسالة.','ar',0,0),(2862,'أنشئ','ar',0,0),(2863,'حفظ التصنيفات','ar',0,0),(2864,'رابط أم','ar',0,0),(2865,'السؤال','ar',0,0),(2866,'أضف صفحة فرعية','ar',0,0),(2867,'نسخة للطباعة','ar',0,0),(2868,'نوع المحتوى للصفحات الفرعية','ar',0,0),(2869,'خيارات التحديث','ar',0,0),(2870,'احذف من هيكل الوثيقة','ar',0,0),(2871,'صيغة تصدير غير معروفة.','ar',0,0),(2872,'تمّ','ar',0,0),(2873,'آخر موضوع','ar',0,0),(2874,'الوصول مرفوض','ar',0,0),(2875,'السنة','ar',0,0),(2876,'تنسيق التاريخ','ar',0,0),(2877,'ساعة واحدة','ar',0,0),(2878,'أقل من ساعة','ar',2877,1),(2879,'ساعتين','ar',2878,2),(2880,'@count[3] ساعات','ar',2879,3),(2881,'@count[4] ساعة','ar',2880,4),(2882,'@count[5] ساعة','ar',2881,5),(2883,'يوم واحد','ar',0,0),(2884,'أقل من يوم','ar',2883,1),(2885,'يومين','ar',2884,2),(2886,'@count[3] أيام','ar',2885,3),(2887,'@count[4] يوما','ar',2886,4),(2888,'@count[5] يوم','ar',2887,5),(2889,'الشعار','ar',0,0),(2890,'اسم الموقع','ar',0,0),(2891,'شعار الموقع','ar',0,0),(2892,'جيد','ar',0,0),(2893,'يمكن للإداريين فقط إنشاء حسابات مستخدمين جديدة.','ar',0,0),(2894,'المسار','ar',0,0),(2895,'المستضيف','ar',0,0),(2896,'PostgreSQL','ar',0,0),(2897,'التماس يدوي للتحديثات','ar',0,0),(2898,'أبدا','ar',0,0),(2899,'التحقق يدوياً','ar',0,0),(2900,'يوجد تحديث','ar',0,0),(2901,'قديم','ar',0,0),(2902,'العمود الجانبي اﻷيسر','ar',0,0),(2903,'العمود الجانبي اﻷيمن','ar',0,0),(2904,'داخل المحتوى','ar',0,0),(2905,'المتسلمون','ar',0,0),(2906,'محدد','ar',0,0),(2907,'اختر <em>نعم</em> إذا كنت تود أن يتم اختيار هذا التصنيف مبدئيا.','ar',0,0),(2908,'يجب أن تدخل تصنيفا.','ar',0,0),(2909,'هل تود فعلا حذف التصنيف %category؟','ar',0,0),(2910,'تم حذف تصنيف %category.','ar',0,0),(2911,'اسمك','ar',0,0),(2912,'عنوان بريدك الإلكتروني','ar',0,0),(2913,'إرسال بريد إلكتروني','ar',0,0),(2914,'عليك أن تختار تصنيفا صحيحا.','ar',0,0),(2915,'يجب أن تدخل عنوان بريد إلكتروني سليم.','ar',0,0),(2916,'[!category] !subject','ar',0,0),(2917,'إلى','ar',0,0),(2918,'وصف التلقيم','ar',0,0),(2919,'مخصص','ar',0,0),(2920,'الرؤية','ar',0,0),(2921,'انتقاء','ar',0,0),(2922,'لافتة حقل العنوان','ar',0,0),(2923,'مُثَبَّت أعلى القوائم','ar',0,0),(2924,'بديل المسار','ar',0,0),(2925,'مدة استطلاع الرأي','ar',0,0),(2926,'خيارات الاستبيان','ar',0,0),(2927,'أصوات الاستبيان','ar',0,0),(2928,'الشرح','ar',0,0),(2929,'خيارات الاختيار','ar',0,0),(2930,'اسم المعجم','ar',0,0),(2931,'اسم الدور','ar',0,0),(2932,'عنوان البريد الإلكتروني','ar',0,0),(2933,'النطاق الزمني','ar',0,0),(2934,'الحدة','ar',0,0),(2935,'نوع الحقل','ar',0,0),(2936,'صوّت','ar',0,0),(2937,'اسم المجموعة','ar',0,0),(2938,'الصورة الأصلية','ar',0,0),(2939,'تلقيمات - المدونات','ar',0,0),(2940,'الترويسة','ar',0,0),(2941,'النمط','ar',0,0),(2942,'تحذير','ar',0,0),(2943,'ممنوع','ar',0,0),(2944,'نشط','ar',0,0),(2945,'غير موجود','ar',0,0),(2946,'موافق','ar',0,0),(2947,'تلقيمة أو.بي.إم.إل','ar',0,0),(2948,'ضبط','ar',0,0),(2949,'عدد عناصر الأخبار في الصندوق','ar',0,0),(2950,'اعرض آخر أخبار هذه التلقيمة.','ar',0,0),(2951,'اعرض آخر الأخبار في هذا التصنيف.','ar',0,0),(2952,'عرض عام للتلقيمات','ar',0,0),(2953,'أخبار','ar',0,0),(2954,'آخر تحديث','ar',0,0),(2955,'التحديث القادم','ar',0,0),(2956,'باقي %time','ar',0,0),(2957,'احذف الأخبار','ar',0,0),(2958,'حدِّث الأخبار','ar',0,0),(2959,'عرض عام للتصنيفات','ar',0,0),(2960,'صنّف','ar',0,0),(2961,'تم حفظ التصنيفات.','ar',0,0),(2962,'المسار:','ar',0,0),(2963,'آخر تحديث:','ar',0,0),(2964,'منذ %age','ar',0,0),(2965,'منذ %ago','ar',0,0),(2966,'ألّفه','ar',0,0),(2967,'تم تحديث تلقيمة %feed.','ar',0,0),(2968,'تم حذف تلقيمة %feed.','ar',0,0),(2969,'تم حذف تلقيمة %feed.','ar',0,0),(2970,'تمت إضافة تلقيمة %feed.','ar',0,0),(2971,'تمت إضافة تلقيمة %feed.','ar',0,0),(2972,'تم حذف الأخبار القادمة من موقع %site.','ar',0,0),(2973,'العرض','ar',0,0),(2974,'الارتفاع','ar',0,0),(2975,'أقصى قيمة','ar',0,0),(2976,'السطر','ar',0,0),(2977,'توسيع النطاق','ar',0,0),(2978,'التخزين المؤقت','ar',0,0),(2979,'بالشهر','ar',0,0),(2980,'التفاصيل','ar',0,0),(2981,'ودجة','ar',0,0),(2982,'آخر رد','ar',0,0),(2983,'السابق','ar',0,0),(2984,'النطاق','ar',0,0),(2985,'المعالجات','ar',0,0),(2986,'غير محدود','ar',0,0),(2987,'أرسل','ar',0,0),(2988,'أدخل اسم مستخدم صحيح.','ar',0,0),(2989,'المتسلم','ar',0,0),(2990,'أضف دورا إلى المستخدمين المختارين','ar',0,0),(2991,'احذف دورا من المستخدمين المختارين','ar',0,0),(2992,'أمن','ar',0,0),(2993,'إدارة المحتوى','ar',0,0),(2994,'الطريقة','ar',0,0),(2995,'نافاجية','ar',0,0),(2996,'باليوم','ar',0,0),(2997,'ثلاثاء','ar',0,0),(2998,'أربعاء','ar',0,0),(2999,'جمعة','ar',0,0),(3000,'سبت','ar',0,0),(3001,'أحد','ar',0,0),(3002,'يناير','ar',0,0),(3003,'فبراير','ar',0,0),(3004,'مارس','ar',0,0),(3005,'أبريل','ar',0,0),(3006,'مايو','ar',0,0),(3007,'يونيو','ar',0,0),(3008,'يوليو','ar',0,0),(3009,'أغسطس','ar',0,0),(3010,'سبتمبر','ar',0,0),(3011,'أكتوبر','ar',0,0),(3012,'نوفمبر','ar',0,0),(3013,'ديسمبر','ar',0,0),(3014,'ص','ar',0,0),(3015,'م','ar',0,0),(3016,'المنتدى','ar',0,0),(3017,'منذ !time','ar',0,0),(3018,'لون الخلفية','ar',0,0),(3019,'لون النص','ar',0,0),(3020,'اللون','ar',0,0),(3021,'دخول المستخدم','ar',0,0),(3022,'تسجيل الدخول','ar',0,0),(3023,'تم تحديث مسار تلقيمة %title إلى %url.','ar',0,0),(3024,'اذهب إلى أول تعليق في هذه الصفحة.','ar',0,0),(3025,'اذهب إلى أول تعليق جديد في هذه الصفحة.','ar',0,0),(3026,'إضافة تعليق جديد','ar',0,0),(3027,'أضف تعليقا جديدا على هذه الصفحة.','ar',0,0),(3028,'شارك بأفكارك وآراؤك المتعلقة بهذه الصفحة.','ar',0,0),(3029,'أعد الضبط','ar',0,0),(3030,'المقطع','ar',0,0),(3031,'غير مركب','ar',0,0),(3032,'الخيارات','ar',0,0),(3033,'أدنى مدة للتخزين المؤقت','ar',0,0),(3034,'صوت واحد','ar',0,0),(3035,'لا أصوات','ar',3034,1),(3036,'صوتان','ar',3035,2),(3037,'@count[3] أصوات','ar',3036,3),(3038,'@count[4] صوتا','ar',3037,4),(3039,'@count[5] صوت','ar',3038,5),(3040,'@site حاليا تحت الصيانة. يعود قريبا. شكرا على صبرك.','ar',0,0),(3041,'الصفحة الرئيسية الافتراضية','ar',0,0),(3042,'معالجة النصوص','ar',0,0),(3043,'أقصى طول','ar',0,0),(3044,'صفوف','ar',0,0),(3045,'حفظ التغييرات','ar',0,0),(3046,'الوصول مرفوض','ar',0,0),(3047,'مجهول','ar',0,0),(3048,'تثبيت','ar',0,0),(3049,'اختياري','ar',0,0),(3050,'أحدث التعليقات','ar',0,0),(3051,'تعيين كافتراضي','ar',0,0),(3052,'تم حذف التعليق و كل الردود عليه.','ar',0,0),(3053,'منسق مسبقا','ar',0,0),(3054,'ملفات المستخدمين','ar',0,0),(3055,'المستخدمون المجهولون','ar',0,0),(3056,'مسح ذاكرة التخزين المؤقت','ar',0,0),(3057,'إعدادات العرض','ar',0,0),(3058,'الأصوات','ar',0,0),(3059,'عملية','ar',0,0),(3060,'رد','ar',0,0),(3061,'الوظيفة','ar',0,0),(3062,'انتهت جلسة %name.','ar',0,0),(3063,'المتتبع','ar',0,0),(3064,'يجب أن تحدد تاريخا صحيحا.','ar',0,0),(3065,'إعدادات الخادم','ar',0,0),(3066,'الحقل %field ضروري.','ar',0,0),(3067,'خروج','ar',0,0),(3068,'واحد جديد','ar',0,0),(3069,'لا جديد','ar',3068,1),(3070,'اثنان جديدان','ar',3069,2),(3071,'@count[3] جدد','ar',3070,3),(3072,'@count[4] جديدا','ar',3071,4),(3073,'@count[5] جديد','ar',3072,5),(3074,'بادئة الجدول','ar',0,0),(3075,'اسم مستخدم قاعدة البيانات','ar',0,0),(3076,'كلمة مرور قاعدة البيانات','ar',0,0),(3077,'اسم قاعدة البيانات','ar',0,0),(3078,'منفذ','ar',0,0),(3079,'حجم حقل النص','ar',0,0),(3080,'معلومات التاليف','ar',0,0),(3081,'أُنشِئ يوم','ar',0,0),(3082,'دعها فارغة ل%anonymous.','ar',0,0),(3083,'سجل النظام','ar',0,0),(3084,'إنجليزية','ar',0,0),(3085,'فرنسية','ar',0,0),(3086,'إيطالية','ar',0,0),(3087,'أسبانية','ar',0,0),(3088,'يابانية','ar',0,0),(3089,'كورية','ar',0,0),(3090,'عنوان بريد إلكتروني صحيح. سيتم إرسال كل رسائل النظام إلى هذا العنوان. سيتم إخفاء هذا العنوان البريدي و لن يستخدم إلا في حال رغبتك في استلام كلمة مرور جديدة، أو في حال رغبتك في استقبال بعض الأخبار و التنبيهات عبر البريد الإلكتروني.','ar',0,0),(3091,'عنوان البريد الإلكتروني %email مسجل سابقا. <a href=\"@password\">هل نسيت كلمة مرورك؟</a>','ar',0,0),(3092,'استيراد OPML','ar',0,0),(3093,'احذف الأخبار','ar',0,0),(3094,'ملف OPML','ar',0,0),(3095,'وسوم إتش.تي.إم.إل المسموح بها','ar',0,0),(3096,'المصادر','ar',0,0),(3097,'آخر أخبار تصنيف !title','ar',0,0),(3098,'آخر أخبار تلقيمة !title','ar',0,0),(3099,'تم تحديث التصنيف %category.','ar',0,0),(3100,'تم حذف التصنيف %category.','ar',0,0),(3101,'تم حذف التصنيف %category.','ar',0,0),(3102,'تمت إضافة التصنيف %category.','ar',0,0),(3103,'تمت إضافة التصنيف %category.','ar',0,0),(3104,'مجمِّع - @title','ar',0,0),(3105,'خبر واحد','ar',0,0),(3106,'لا أخبار','ar',3105,1),(3107,'خبران','ar',3106,2),(3108,'@count[3] أخبار','ar',3107,3),(3109,'@count[4] خبرا','ar',3108,4),(3110,'@count[5] خبر','ar',3109,5),(3111,'لم تختر أي عناصر.','ar',0,0),(3112,'تم التحديث.','ar',0,0),(3113,'العناوين فقط','ar',0,0),(3114,'كامل المتن','ar',0,0),(3115,'لا يمكن التراجع عن هذا.','ar',0,0),(3116,'ارفع صورة','ar',0,0),(3117,'الرسالة:','ar',0,0),(3118,'ملف اللغة','ar',0,0),(3119,'منشور','ar',0,0),(3120,'متوسط زمن توليد الصفحة','ar',0,0),(3121,'تم حفظ التغييرات.','ar',0,0),(3122,'لا تعرض إلا المستخدمين الذين','ar',0,0),(3123,'تحسين','ar',0,0),(3124,'تراجع','ar',0,0),(3125,'منذ @time','ar',0,0),(3126,'لا مستخدمين مختارين.','ar',0,0),(3127,'تم اكتشاف محاولة للتلاعب بخانات مستخدم محمية.','ar',0,0),(3128,'اختر كل الصفوف في هذا الجدول','ar',0,0),(3129,'ألغ اختيار كل الصفوف في هذا الجدول','ar',0,0),(3130,'نتائج البحث','ar',0,0),(3131,'لا نتائج لعملية البحث','ar',0,0),(3132,'من فضلك أدخل بعض الكلمات المفتاحية.','ar',0,0),(3133,'الصفحة الرئيسية','ar',0,0),(3134,'طلب كلمة مرور جديدة','ar',0,0),(3135,'محذوف','ar',0,0),(3136,'المناقشات','ar',0,0),(3137,'المناقشة','ar',0,0),(3138,'قائمة القيم المسموح بها','ar',0,0),(3139,'اليوم','ar',0,0),(3140,'خيارات النشر','ar',0,0),(3141,'أنشئ نسخة جديدة','ar',0,0),(3142,'أقل ارتفاع','ar',0,0),(3143,'أقل عرض','ar',0,0),(3144,'إعدادات المحلية','ar',0,0),(3145,'عدد العناصر التي ستعرض في قائمة \"اليوم\".','ar',0,0),(3146,'يناير','ar',0,0),(3147,'فبراير','ar',0,0),(3148,'مارس','ar',0,0),(3149,'أبريل','ar',0,0),(3150,'يونيو','ar',0,0),(3151,'يوليو','ar',0,0),(3152,'أغسطس','ar',0,0),(3153,'سبتمبر','ar',0,0),(3154,'أكتوبر','ar',0,0),(3155,'نوفمبر','ar',0,0),(3156,'ديسمبر','ar',0,0),(3157,'المحتوى','ar',0,0),(3158,'ضبط الصلاحيات','ar',0,0),(3159,'عشوائي','ar',0,0),(3160,'فارغ','ar',0,0),(3161,'مسار نظام موجود سابقا','ar',0,0),(3162,'مسار بديل','ar',0,0),(3163,'حدد مسارا بديلا يمكن باتباعه الوصول لهذه البيانات. مثلا، أدخل \'about\' عند كتابة صفحة \"حول الموقع\" استخدم مسارا نسبيا، ولا تضع / أخيرة، و إلا فلن يعمل البديل.','ar',0,0),(3164,'أكبر من','ar',0,0),(3165,'أصغر من','ar',0,0),(3166,'أياً','ar',0,0),(3167,'اختيار','ar',0,0),(3168,'عدد أشهر ما عرض اليوم','ar',0,0),(3169,'عدد أشهر ما عرض في عمر الموقع','ar',0,0),(3170,'عدد أحدث ما عرض','ar',0,0),(3171,'لم يتم حفظ الإعدادات بسبب الأخطاء.','ar',0,0),(3172,'الأحرف','ar',0,0),(3173,'ملف مستخدم','ar',0,0),(3174,'الأحد','ar',0,0),(3175,'الإثنين','ar',0,0),(3176,'الثلاثاء','ar',0,0),(3177,'الأربعاء','ar',0,0),(3178,'الخميس','ar',0,0),(3179,'الجمعة','ar',0,0),(3180,'السبت','ar',0,0),(3181,'أكمل التصنيف آليا','ar',0,0),(3182,'أرسل نسخة إلى نفسك.','ar',0,0),(3183,'أُرسلت رسالتك.','ar',0,0),(3184,'إنشاء حساب جديد','ar',0,0),(3185,'دور','ar',0,0),(3186,'هل أنت متأكد أنك راغب في حذف صندوق %name؟','ar',0,0),(3187,'تم حذف الصندوق %name.','ar',0,0),(3188,'اسرد المفردات','ar',0,0),(3189,'أضف مفردات','ar',0,0),(3190,'أُنشأت المفردة الجديدة %term.','ar',0,0),(3191,'هل أنت متأكد أنك راغب في حذف المفردة %title؟','ar',0,0),(3192,'تم حذف المصطلح %name.','ar',0,0),(3193,'تحذير','ar',0,0),(3194,'لا توجد إحصائيات متوفرة.','ar',0,0),(3195,'المرشحات المفعلة','ar',0,0),(3196,'حرِج','ar',0,0),(3197,'النتائج','ar',0,0),(3198,'استطلاعات الرأي الأقدم','ar',0,0),(3199,'اعرض قائمة استطلاعات الرأي الموجودة على هذا الموقع.','ar',0,0),(3200,'إعدادات استطلاعات الرأي','ar',0,0),(3201,'يجب أن تملأ اختيارين على الأقل.','ar',0,0),(3202,'مفتوح','ar',0,0),(3203,'يسرد هذا الجدول كل الأصوات المسجلة لاستطلاع الرأي هذا. في حال السماح للمستخدمين المجهولين بالتصويت، سيسجلوا بعنوان إنترنت للحواسيب التي استخدموها للتصويت.','ar',0,0),(3204,'الزائر','ar',0,0),(3205,'إلغاء صوتك','ar',0,0),(3206,'اعرض نتائج الاستطلاع الحالية.','ar',0,0),(3207,'حذف مفردة يحذف كل المفردات تحتها. لا يمكن الرجوع عن هذا العمل.','ar',0,0),(3208,'تلقيم','ar',0,0),(3209,'الوثائق','ar',0,0),(3210,'يبدو أن تلقيمة %site قد انقطعت بسبب خطأ \"%error\" في السطر %line.','ar',0,0),(3211,'يبدو أن تلقيمة %site قد انقطعت بسبب خطأ \"%error\" في السطر %line.','ar',0,0),(3212,'المنتديات','ar',0,0),(3213,'مراجعات %title','ar',0,0),(3214,'!date بواسطة !username','ar',0,0),(3215,'استرجاع','ar',0,0),(3216,'مراجعة','ar',0,0),(3217,'المراجعة الحالية','ar',0,0),(3218,'كلمتا السر غير متطابقين.','ar',0,0),(3219,'لا منتديات معرفة','ar',0,0),(3220,'تم نقل المناقشة','ar',0,0),(3221,'تم حفظ إعداداتك.','ar',0,0),(3222,'صلاحية','ar',0,0),(3223,'سُجّل صوتك.','ar',0,0),(3224,'تسمح لموقعك بجمع التصويتات حول موضوعات مختلفة على شكل أسئلة متعددة الاختيارات.','ar',0,0),(3225,'لون الروابط','ar',0,0),(3226,'جار الاختبار','ar',0,0),(3227,'معياري','ar',0,0),(3228,'إعدادات %type','ar',0,0),(3229,'إعدادات القائمة','ar',0,0),(3230,'خطة الألوان','ar',0,0),(3231,'@type: %title حُذف.','ar',0,0),(3232,'لواحق الملفات المسموح بها','ar',0,0),(3233,'وجّه إلى مسار','ar',0,0),(3234,'تفاصيل','ar',0,0),(3235,'الاسم %name غير مفعل أو ممنوع.','ar',0,0),(3236,'لقد فشلت محاولة دخول %user.','ar',0,0),(3237,'نسخة %date من %title','ar',0,0),(3238,'اسم المستخدم الذي تريد نسبة الموضوع إليه.','ar',0,0),(3239,'احذف الإجراء','ar',0,0),(3240,'تم حفظ الإجراء بنجاح.','ar',0,0),(3241,'إجراء محذوف %aid‏ (%action)','ar',0,0),(3242,'تمت إضافة الإجراء \'%action\'.','ar',0,0),(3243,'حذف الإجراءات اليتيمة','ar',0,0),(3244,'الحلل','ar',0,0),(3245,'جودة JPEG','ar',0,0),(3246,'%','ar',0,0),(3247,'احذف التعليقات','ar',0,0),(3248,'غير منشور','ar',0,0),(3249,'حقل \"!name\" ضروري.','ar',0,0),(3250,'إعدادات التعليق','ar',0,0),(3251,'الطلبات','ar',0,0),(3252,'غير مُثَبَّت','ar',0,0),(3253,'مُثَبَّت','ar',0,0),(3254,'غير مُرَق','ar',0,0),(3255,'مُرَقَّى','ar',0,0),(3256,'الخيارات الافتراضية','ar',0,0),(3257,'إعدادات الاتصال','ar',0,0),(3258,'إعادة ضبط كلمة المرور','ar',0,0),(3259,'قيد المعالجة','ar',0,0),(3260,'اكتمل','ar',0,0),(3261,'تعطيل','ar',0,0),(3262,'الدليل المؤقت','ar',0,0),(3263,'تاريخ','ar',0,0),(3264,'خطأ في رفع الملف. لم يمكن نقل الملف الذي تم رفعه.','ar',0,0),(3265,'اختصار','ar',0,0),(3266,'القيمة الافتراضية','ar',0,0),(3267,'التاريخ المحدد باطل.','ar',0,0),(3268,'درحة تعقيد كلمة المرور :','ar',0,0),(3269,'تتطابق كلمتا السر:','ar',0,0),(3270,'الاسم المستخدم للإشارة إلى المستخدمين المجهولين.','ar',0,0),(3271,'النص البديل','ar',0,0),(3272,'اربط','ar',0,0),(3273,'غير مترجم','ar',0,0),(3274,'أدخل العبارات التي تريد البحث عنها.','ar',0,0),(3275,'مسطر','ar',0,0),(3276,'احذف الدور','ar',0,0),(3277,'اﻹعدادات الأساسية','ar',0,0),(3278,'تطويع قائمة','ar',0,0),(3279,'وصف الصندوق','ar',0,0),(3280,'اسم الاستمارة','ar',0,0),(3281,'عنوان الحقل الجديد. سيتم عرض العنوان للمستخدم. كمثال على عنوان: \"لونك المفضل\".','ar',0,0),(3282,'شرح اختياري للحقل الجديد. سيظهر الشرح للمستخدم.','ar',0,0),(3283,'حفظ الحقل','ar',0,0),(3284,'احذف الصندوق','ar',0,0),(3285,'حفظ الصناديق','ar',0,0),(3286,'تم تحديث إعدادات الصندوق.','ar',0,0),(3287,'صندوق \'%name\'','ar',0,0),(3288,'اسمح للمستخدمين الأفراد بتفصيل عرض هذا الصندوق أثناء ضبطهم حساباتهم.','ar',0,0),(3289,'أظهر الصندوق لأدوار محددة','ar',0,0),(3290,'لا تعرض هذا الصندوق إلا للأدوار المختارة. إذا لم تختر أية أدوار، سيظهر الصندوق لكل المستخدمين.','ar',0,0),(3291,'أظهر الصندوق في صفحات محددة','ar',0,0),(3292,'حفظ الصندوق','ar',0,0),(3293,'تم حفظ إعدادات الصندوق.','ar',0,0),(3294,'تم إنشاء الصندوق.','ar',0,0),(3295,'متن الصندوق','ar',0,0),(3296,'محتوى الصندوق كما يظهر للمستخدم.','ar',0,0),(3297,'أي تعديلات ستحذف. لا يمكن الرجوع عن هذا الفعل.','ar',0,0),(3298,'تسمح للإداريين بتطويع قائمة تصفح الموقع.','ar',0,0),(3299,'تحرير المعجم','ar',0,0),(3300,'تم إنشاء المعجم %name.','ar',0,0),(3301,'تم تحديث المعجم %name.','ar',0,0),(3302,'هل أنت متأكد أنك تريد حذف المعجم %title؟','ar',0,0),(3303,'حذف معجم يحذف كل مصطلحاته. هذا الإجراء غير قابل للإلغاء.','ar',0,0),(3304,'تم حذف المعجم %name.','ar',0,0),(3305,'أعلاه','ar',0,0),(3306,'عدد القيم','ar',0,0),(3307,'أضف عنصراً آخراً','ar',0,0),(3308,'أضف خانة','ar',0,0),(3309,'مستخدمة في','ar',0,0),(3310,'إضافة حقل موجود','ar',0,0),(3311,'إذا كان هناك أي محتوى فى هذه الخانة، فسوف يتم حذفه ولن يمكن استرجاعه مرة أخرى.','ar',0,0),(3312,'حفظ إعدادات الحقل','ar',0,0),(3313,'حدث خطأ أثناء التحديث.','ar',0,0),(3314,'تمت معالجة عنصر واحد:','ar',0,0),(3315,'لم تُعالج أي عناصر:','ar',3314,1),(3316,'تمت معالجة عنصرين:','ar',3315,2),(3317,'تمت معالجة @count[3] عناصر:','ar',3316,3),(3318,'تمت معالجة @count[4] عنصرا:','ar',3317,4),(3319,'تمت معالجة @count[5] عنصر:','ar',3318,5),(3320,'أقل قيمة','ar',0,0),(3321,'الدقة','ar',0,0),(3322,'العدد الإجمالي للأرقام التي يمكن تخزينها في قاعدة البيانات، بما في ذلك الأرقام على يمين الفاصلة العشرية.','ar',0,0),(3323,'عدد الأرقام بعد الفاصلة.','ar',0,0),(3324,'الفاصلة العشرية','ar',0,0),(3325,'رمز الفاصلة العشرية الذي سيدخله المستخدمون في الاستمارات.','ar',0,0),(3326,'تعين أنواع الحقول الرقمية','ar',0,0),(3327,'من أجل \'خانة اختيار نعم/لا\'، قم بتعيين قيمة \'لا\' أولاً، ثم قيمة \'نعم\' في قسم <strong>القيم المسموح بها</strong>. علماً أن خانة الاختيار يتم تعليمها بمعلم القيمة \'نعم\'.','ar',0,0),(3328,'يعرف ويدجات لقوائم الاختيار ومربعات الاختيار وأزرار الانتقاء للحقول النصية والعددية.','ar',0,0),(3329,'تعريف أنواع حقول نصية بسيطة.','ar',0,0),(3330,'تفعيل المسارات النظيفة','ar',0,0),(3331,'الرابط الثابت','ar',0,0),(3332,'إعدادات خاصة بمحرك الحلة','ar',0,0),(3333,'تنقيح','ar',0,0),(3334,'الاستثناء','ar',0,0),(3335,'وحدة @module','ar',0,0),(3336,'غير متوافق مع هذه النسخة من PHP.','ar',0,0),(3337,'تتطلب هذه الوحدة النسخة @php_required من بي.إتش.بي ولا تتوافق مع النسخة !php_version منها.','ar',0,0),(3338,'المزيد من المعلومات','ar',0,0),(3339,'مدونتي','ar',0,0),(3340,'تعليق مجهول الهوية','ar',0,0),(3341,'المستخدم المجهول لا يمكنه أن يدخل بيانات الاتصال به','ar',0,0),(3342,'المستخدم المجهول يمكن أن يدخل بيانات الاتصال به','ar',0,0),(3343,'المستخدم المجهول لابد أن يدخل بيانات الاتصال به','ar',0,0),(3344,'محتويات هذا الحقل سرية ولن تظهر للآخرين.','ar',0,0),(3345,'يظهر توقيعك علنا في نهاية تعليقاتك.','ar',0,0),(3346,'التاريخ - الأحدث أولا','ar',0,0),(3347,'التاريخ - الأقدم أولا','ar',0,0),(3348,'تعليق واحد','ar',0,0),(3349,'لا تعليقات','ar',3348,1),(3350,'تعليقان','ar',3349,2),(3351,'@count[3] تعليقات','ar',3350,3),(3352,'@count[4] تعليقا','ar',3351,4),(3353,'@count[5] تعليق','ar',3352,5),(3354,'تعليق واحد جديد','ar',0,0),(3355,'لا تعليقات جديدة','ar',3354,1),(3356,'تعليقان جديدان','ar',3355,2),(3357,'@count[3] تعليقات جديدة','ar',3356,3),(3358,'@count[4] تعليقا جديدا','ar',3357,4),(3359,'@count[5] تعليق جديد','ar',3358,5),(3360,'حفظ نوع المحتوى','ar',0,0),(3361,'عرض الأوصاف','ar',0,0),(3362,'عنوان ثان','ar',0,0),(3363,'حفظ الدور','ar',0,0),(3364,'تنقيح','ar',0,0),(3365,'نظام الملفات','ar',0,0),(3366,'عنوان رابط القائمة','ar',0,0),(3367,'يخزن نظام القوائم مسارات النظام فقط، لكن سيستخدم المسار البديل للعرض. حُفِظ %link_path على الصورة %normal_path','ar',0,0),(3368,'المسار \'@link_path\' إما غير صحيح أو لا تملك صلاحية الوصول إليه.','ar',0,0),(3369,'خطأ أثناء حفظ رابط القائمة.','ar',0,0),(3370,'اسم القائمة','ar',0,0),(3371,'هل أنت متأكد أنك راغب في حذف القائمة %title؟','ar',0,0),(3372,'عدد المستخدمين المعروضة أسمائهم','ar',0,0),(3373,'تلقيمات - !title','ar',0,0),(3374,'RDF','ar',0,0),(3375,'ملفات المستخدمين','ar',0,0),(3376,'تحرير الحاوية','ar',0,0),(3377,'آخر زيارة','ar',0,0),(3378,'عتبة المناقشات الساخنة','ar',0,0),(3379,'عدد المناقشات في الصفحة','ar',0,0),(3380,'المواضيع - الأكثر نشاطا أولا','ar',0,0),(3381,'المواضيع - الأقل نشاطا أولا','ar',0,0),(3382,'هل أنت متأكد أنك راغب في حذف مراجعة %revision-date؟','ar',0,0),(3383,'هل أنت متأكد أنك راغب في حذف مراجعة %revision-date؟','ar',0,0),(3384,'أكبر حجم للملف المرفوع','ar',0,0),(3385,'ك.بايت','ar',0,0),(3386,'فراغ','ar',0,0),(3387,'المناقشات الجديدة','ar',0,0),(3388,'@type: تم حذف المراجعة %revision من %title.','ar',0,0),(3389,'الصفحة غير موجودة','ar',0,0),(3390,'اسم اللغة','ar',0,0),(3391,'المزيد من المساعدة','ar',0,0),(3392,'معاينة المقتطف','ar',0,0),(3393,'معاينة الإصدار الكامل','ar',0,0),(3394,'تم حظر الحساب','ar',0,0),(3395,'توسيع','ar',0,0),(3396,'الاسم %name مستخدم بالفعل.','ar',0,0),(3397,'معلومات','ar',0,0),(3398,'تحويل OpenID','ar',0,0),(3399,'تسجيل الدخول بهوية OpenID','ar',0,0),(3400,'احذف هوية OpenID','ar',0,0),(3401,'تسجيل الدخول باستخدام OpenID','ar',0,0),(3402,'إلغاء دخول OpenID','ar',0,0),(3403,'ما هي هوية OpenID؟','ar',0,0),(3404,'فشل في استخدام OpenID للولوج.','ar',0,0),(3405,'تم إلغاء OpenID للدخول.','ar',0,0),(3406,'تم إضافة %identity بنجاح','ar',0,0),(3407,'المعرف المفتوح (OpenID)','ar',0,0),(3408,'أضف هوية OpenID','ar',0,0),(3409,'هوية OpenID هذه مستخدمة بالفعل في هذا الموقع.','ar',0,0),(3410,'هل أنت متأكد من حذف هوية OpenID %authname للمستخدم %user؟','ar',0,0),(3411,'تم حذف هوية OpenID.','ar',0,0),(3412,'تحرير القائمة','ar',0,0),(3413,'تغيير الحجم','ar',0,0),(3414,'المجلد %directory غير موجود.','ar',0,0),(3415,'يعرّف نوع الحقل ملف.','ar',0,0),(3416,'مواصفات انتقاء المحتوى المعروض','ar',0,0),(3417,'لا تعليقات.','ar',0,0),(3418,'حسنا','ar',0,0),(3419,'@type: تم تحديث %title.','ar',0,0),(3420,'@type: تمت إضافة %title.','ar',0,0),(3421,'خطأ أثناء حفظ حساب المستخدم.','ar',0,0),(3422,'أُلغي ربط الإجراء %action.','ar',0,0),(3423,'أضف دورا','ar',0,0),(3424,'يجب أن تدخل اسم دور صحيح.','ar',0,0),(3425,'تمت إضافة الدور.','ar',0,0),(3426,'مسار الشعار الطيع','ar',0,0),(3427,'حُدِّثت المفردة %term.','ar',0,0),(3428,'- اختر رجاء -','ar',0,0),(3429,'- لا شيء محدد -','ar',0,0),(3430,'المحلل','ar',0,0),(3431,'أهمل الأخبار الأقدم من','ar',0,0),(3432,'‏@site_name - تلقيمات مجمعة في التصنيف @title','ar',0,0),(3433,'‏@site_name - تلقيمات مجمعة','ar',0,0),(3434,'مجمِّع أخبار @site_name','ar',0,0),(3435,'تلقيمة !title','ar',0,0),(3436,'مجمع','ar',0,0),(3437,'يبدو أن تلقيمة %site قد انقطعت بسبب خطأ \"%error\".','ar',0,0),(3438,'لا توجد محتويات جديدة على %site.','ar',0,0),(3439,'يوجد محتوى جديد على %site.','ar',0,0),(3440,'يبدو أن تلقيمة %site قد انقطعت بسبب \"%error\".','ar',0,0),(3441,'مجمِّع التلقيمات','ar',0,0),(3442,'تجمع المحتوى المتزامن (تلقيمات RSS وRDF وAtom).','ar',0,0),(3443,'البديل','ar',0,0),(3444,'تم حذف نوع المحتوى %name.','ar',0,0),(3445,'تم حذف نوع المحتوى %name.','ar',0,0),(3446,'أدخل كلمات البحث','ar',0,0),(3447,'عدد المناقشات','ar',0,0),(3448,'المناقشات النشطة','ar',0,0),(3449,'اقرأ أحدث المناقشات.','ar',0,0),(3450,'مصادقة HTTP','ar',0,0),(3451,'نشاط المستخدم','ar',0,0),(3452,'التصنيف الذي يفترض أن يتبع له الحقل الجديد. تستخدم التصنيفات لتجميع الخانات منطقيا. مثال: تصنيف \"البيانات الشخصية\".','ar',0,0),(3453,'يجب أن يدخل المستخدم قيمة ما هنا.','ar',0,0),(3454,'ظاهر في استمارة تسجيل المستخدمين.','ar',0,0),(3455,'الأخبار الجديدة في هذه التلقيمة ستضاف آليا إلى التصنيفات المختارة.','ar',0,0),(3456,'تحسب فترة وجود المستخدم عالخط منذ آخر عرض لصفحة.','ar',0,0),(3457,'أقصى عدد يعرض للمستخدمين الموجودين عالخط.','ar',0,0),(3458,'أجاكس','ar',0,0),(3459,'تصفح الوثيقة','ar',0,0),(3460,'سنة واحدة','ar',0,0),(3461,'سنتان','ar',2222,2),(3462,'@count[3] سنوات','ar',3461,3),(3463,'@count[4] سنة','ar',3462,4),(3464,'@count[5] سنة','ar',3463,5),(3465,'أسبوع واحد','ar',0,0),(3466,'أسبوعين','ar',1361,2),(3467,'@count[3] أسابيع','ar',3466,3),(3468,'@count[4] أسبوعا','ar',3467,4),(3469,'@count[5] أسبوع','ar',3468,5),(3470,'دقيقة واحدة','ar',0,0),(3471,'دقيقتين','ar',2034,2),(3472,'@count[3] دقائق','ar',3471,3),(3473,'@count[4] دقيقة','ar',3472,4),(3474,'@count[5] دقيقة','ar',3473,5),(3475,'ثانية واحدة','ar',0,0),(3476,'ثانيتين','ar',2035,2),(3477,'@count[3] ثوان','ar',3476,3),(3478,'@count[4] ثانية','ar',3477,4),(3479,'@count[5] ثانية','ar',3478,5),(3480,'-بلا-','ar',0,0),(3481,'تم العثور على الزر @submit','ar',0,0),(3482,'لا يمكن تعيين القيمة @value في الحقل @name','ar',0,0),(3483,'لا دليل مؤقت لحذفه.','ar',0,0),(3484,'تشغيل الاختبارات على نواة دروبال و الوحدات المفعلة. هذه الاختبارات تسمح بالتأكد من ضمان عمل كود موقعك كما هو متوقع.','ar',0,0),(3485,'بلغارية','ar',0,0),(3486,'كرواتية','ar',0,0),(3487,'تشيكية','ar',0,0),(3488,'دنماركية','ar',0,0),(3489,'هولندية','ar',0,0),(3490,'فنلندية','ar',0,0),(3491,'ألمانية','ar',0,0),(3492,'يونانية','ar',0,0),(3493,'عبرية','ar',0,0),(3494,'مجرية','ar',0,0),(3495,'إندونيسية','ar',0,0),(3496,'بولندية','ar',0,0),(3497,'رومانية','ar',0,0),(3498,'روسية','ar',0,0),(3499,'سلوفاكية','ar',0,0),(3500,'سويدية','ar',0,0),(3501,'تركية','ar',0,0),(3502,'إرسال رسالة','ar',0,0),(3503,'السماح بالتكبير','ar',0,0),(3504,'السماح لأداة التحجيم بجعل الصور أكبر حجماً من حجمها الأصلي','ar',0,0),(3505,'زاوية التدوير','ar',0,0),(3506,'عدد الدرجات لتدوير الصورة. الأرقام الموجبة مع اتجاه عقارب الساعة، الأرقام السالبة بعكس عقارب الساعة.','ar',0,0),(3507,'توليد عشوائي لزاوية التدوير لكل صورة. الزاوية المحددة أعلاه تستخدم كحد أقصى.','ar',0,0),(3508,'الطباعة','ar',0,0),(3509,'لم يتم إنشاء الملف.','ar',0,0),(3510,'مقفل','ar',0,0),(3511,'تم إرسال تعليمات إعادة ضبط كلمة المرور إلى %name على البريد %email.','ar',0,0),(3512,'عنوان البريد الإلكتروني %mail غير صالح.','ar',0,0),(3513,'مستخدم معرف','ar',0,0),(3514,'أي من','ar',0,0),(3515,'عنوان بريد إلكتروني لإخطاره عند وجود تحديثات','ar',0,0),(3516,'كلما التمس موقعك التحديثات ووجد إصدارات جديدة، يستطيع أن يخطر قائمة من المستخدمين بالبريد. ضع العناوين منفصلة كل في سطر. إذا ترك فارغا فلن تُرسل أي رسائل.','ar',0,0),(3517,'التمس التحديثات','ar',0,0),(3518,'كل الإصدارات الجديدة','ar',0,0),(3519,'التحديثات الأمنية فقط','ar',0,0),(3520,'ليس %email عنوان بريد إلكتروني سليم.','ar',0,0),(3521,'ليست %emails عناوين بريد إلكترونية سليمة.','ar',0,0),(3522,'ليس آمنا','ar',0,0),(3523,'منقوض','ar',0,0),(3524,'نسخة غير مدعومة','ar',0,0),(3525,'تعذّر تحديد الحالة','ar',0,0),(3526,'(تتوفر النسخة @version)','ar',0,0),(3527,'راجع صفحة التحديثات المتوفرة لمزيد من المعلومات:','ar',0,0),(3528,'توجد تحديثات لموقع !site_name','ar',0,0),(3529,'يوجد تحديث أمني لنسخة دروبال المركبة. لضمان أمان موقعك يتعين عليك التحديث حالا.','ar',0,0),(3530,'لقد سُحبت نسخة دروبال المركبة لديك ولم تعد متاحة للتنزيل. يُنصح بالترقية بشدة.','ar',0,0),(3531,'لقد سُحبت النسخة المركبة من واحد أو أكثر من الوحدات أو السمات ولم تعد متاحة للتنزيل. يُنصح بشدة بترقيتها أو تعطيلها.','ar',0,0),(3532,'لم تعد النسخة المركبة من دروبال مدعوم. يُنصح بالترقية بشدة.','ar',0,0),(3533,'توجد تحديثات للنسخة المركبة من دروبال. لتضمن بقاء موقعك عاملا كما ينبغي علك الترقية بأسرع وقت.','ar',0,0),(3534,'راجع صفحة <a href=\"@available_updates\">التحديثات المتوفرة</a> لمزيد من المعلومات.','ar',0,0),(3535,'المشروع غير آمن','ar',0,0),(3536,'هذا المشروع غير آمن طبقا لفريق أمن دروبال، ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0,0),(3537,'المشروع مسحوب','ar',0,0),(3538,'لقد سُحب هذا المشروع ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0,0),(3539,'المشروع غير مدعوم','ar',0,0),(3540,'لقد توقف دعم هذا المشروع ولم يُعد متاحا للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذا المشروع حالا.','ar',0,0),(3541,'لا تتوفر أي إصدارات','ar',0,0),(3542,'سُحبت النسخة','ar',0,0),(3543,'لقد سُحبت النسخة المركبة حاليا ولم تعد متاحة للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذه النسخة أو الترقية.','ar',0,0),(3544,'النسخة غير مدعومة','ar',0,0),(3545,'النسخة المركبة حاليا غير مدعومة الآن، ولم تعد متاحة للتنزيل. يُنصح بشدة تعطيل كل شيء مدرج في هذه النسخة أو الترقية.','ar',0,0),(3546,'معلومات غير سليمة','ar',0,0),(3547,'تحديث أمني ضروري.','ar',0,0),(3548,'غير مدعوم','ar',0,0),(3549,'النسخة المزكاة:','ar',0,0),(3550,'تحديث أمني:','ar',0,0),(3551,'آخر نسخة:','ar',0,0),(3552,'النسخة التطويرية:','ar',0,0),(3553,'يتوفر أيضا:','ar',0,0),(3554,'@title','ar',0,0),(3555,'تحرير المنتدى','ar',0,0),(3556,'الترتيب الافتراضي','ar',0,0),(3557,'هذا معجم مفردات المنتدى. تم إزالة بعض المفردات الطبيعية.','ar',0,0),(3558,'اترك نسخة ظل','ar',0,0),(3559,'إذا نقلت المناقشة، يمكنك ترك رابط في المنتدى القديم يشير إلى الجديد.','ar',0,0),(3560,'اسم الحاوية','ar',0,0),(3561,'حاوية منتدى','ar',0,0),(3562,'أنشئ @type %term جديد.','ar',0,0),(3563,'تم تحديث @type %term.','ar',0,0),(3564,'إضافة حقل جديد','ar',0,0),(3565,'تحتوي على أي من الكلمات','ar',0,0),(3566,'تحتوي على العبارة','ar',0,0),(3567,'لا تحتوي على الكلمات','ar',0,0),(3568,'فقط من النوع','ar',0,0),(3569,'تقييم المحتوى','ar',0,0),(3570,'مدى مناسبة الكلمة المفتاحية','ar',0,0),(3571,'نشر حديثا','ar',0,0),(3572,'عدد التعليقات','ar',0,0),(3573,'المعامل','ar',0,0),(3574,'تمديد النسق ليتضمن الأوصاف.','ar',0,0),(3575,'أو','ar',0,0),(3576,'مجموعة الألوان','ar',0,0),(3577,'حول','ar',0,0),(3578,'مستضيف قاعدة البيانات','ar',0,0),(3579,'أقصى طول لنص الرابط','ar',0,0),(3580,'ستقطع المسارات التي عدد حروفها أكبر من هذا الرقم، و ذلك لمنع المقاطع الطويلة التي تخرب العرض. سيظل الرابط نفسه كما هو، إلا أن الجزء النصي في الرابط سيقطع.','ar',0,0),(3581,'الصورة المبدئية','ar',0,0),(3582,'مسار الصورة الشخصية التي تعرض للمستخدمين الذين لم يختاروا صورة شخصية لأنفسهم. اتركها خالية كي لا تعرض صورة.','ar',0,0),(3583,'إذا كانت عدد الخيارات بالأعلى غير كاف، أشر على هذا المربع، ثم انقر زر \"عرض مسبق\" في الأسفل لإضافة المزيد من الخيارات.','ar',0,0),(3584,'غيِّر العرض','ar',0,0),(3585,'إذا لم بكن لديك وصول مباشر إلى الملفات على الخادم، استخدم هذا الحقل لرفع شعارك.','ar',0,0),(3586,'لاحة التركيب','ar',0,0),(3587,'أعيدت فهرسة %percentage من الموقع.','ar',0,0),(3588,'دليل الملف','ar',0,0),(3589,'هناك عنصر واحد لم يفهرس بعد.','ar',0,0),(3590,'لا عناصر لم تفهرس بعد.','ar',3589,1),(3591,'هناك عنصران لم يفهرسا بعد.','ar',3590,2),(3592,'هناك @count[3] عناصر لم تفهرس بعد.','ar',3591,3),(3593,'هناك @count[4] عنصرا لم يفهرسوا بعد.','ar',3592,4),(3594,'هناك @count[5] عنصر لم تفهرس بعد.','ar',3593,5),(3595,'أُعيد بناء صلاحيات الوصول للمحتوى.','ar',0,0),(3596,'رتب حسب @s','ar',0,0),(3597,'عذرا، لم يتم التعرف على اسم المستخدم أو كلمة المرور. <a href=\"@password\">هل نسيت كلمة مرورك؟</a>','ar',0,0),(3598,'نشر المحتوى','ar',0,0),(3599,'فيض المكدّس: استدعاءات كثيرة جدا لدالة ‪actions_do()‬. ستُجهض لمنع التكرار لمالا نهاية.','ar',0,0),(3600,'تم حفظ الإجراء \'%action\'.','ar',0,0),(3601,'ربما تريد الذهاب إلى صفحة <a href=\"@url\">المُطلقات</a> لربط هذه الإجراءات بأحداث النظام.','ar',0,0),(3602,'احذف إجراء.','ar',0,0),(3603,'احذف الأيتام','ar',0,0),(3604,'المُطلِقات','ar',0,0),(3605,'ألغِ ربط إجراء بمُطلِق.','ar',0,0),(3606,'اختر إجراء متقدما','ar',0,0),(3607,'نوع الإجراء','ar',0,0),(3608,'أمتأكد أنك ترغب في حذف الإجراء %action؟','ar',0,0),(3609,'تم حذف الإجراء %action','ar',0,0),(3610,'حذف إجراء يتيم (%action).','ar',0,0),(3611,'أمتأكد من رغبتك في إلغاء ربط الإجراء %title؟','ar',0,0),(3612,'تستطيع ربطه لاحقا إذا أردت.','ar',0,0),(3613,'ألغ الربط','ar',0,0),(3614,'اختر إجراءً','ar',0,0),(3615,'الإجراء الذي اخترته مربوط بالفعل بهذا المُطلِق.','ar',0,0),(3616,'عند تشغيل الدورية','ar',0,0),(3617,'المسار الذي سيُوجّه إليه المستخدم. يمكن أن يكون مساراً داخلياً مثل node/1234 أو مساراً خارجياً مثل http://drupal.org.','ar',0,0),(3618,'اعرض رسالة للمستخدم','ar',0,0),(3619,'تراجع عن نشر التعليق','ar',0,0),(3620,'تراجع عن نشر التعليق المحتوي الكلمة المفتاحية','ar',0,0),(3621,'احظر رقم إنترنت (IP) المستخدم الحالي','ar',0,0),(3622,'جعل @type %title منشورا.','ar',0,0),(3623,'جعل @type %title غير منشور.','ar',0,0),(3624,'جعل @type %title مثبّتا.','ar',0,0),(3625,'جعل @type %title غير مثبّت.','ar',0,0),(3626,'رُقَِيَ @type %title للصفحة الرئيسية.','ar',0,0),(3627,'رُفع @type %title من الصفحة الرئيسية.','ar',0,0),(3628,'حُفِظ @type %title','ar',0,0),(3629,'غُيّر مالك @type %title إلى %name.','ar',0,0),(3630,'بعد حفظ تعليق جديد','ar',0,0),(3631,'بعد حفظ تعليق محدّث','ar',0,0),(3632,'بعد حذف تعليق','ar',0,0),(3633,'عندما يعرض مستخدم مستوثق تعليقا','ar',0,0),(3634,'تعليق غير منشور %subject.','ar',0,0),(3635,'بعد حذف مستخدم','ar',0,0),(3636,'بعد ولوج المستخدم','ar',0,0),(3637,'بعد خروج المستخدم','ar',0,0),(3638,'عند عرض صفحة المستخدم الشخصية','ar',0,0),(3639,'مُنع المستخدم: %name.','ar',0,0),(3640,'حُظِر رقم الإنترنت %ip','ar',0,0),(3641,'بعد حفظ مصطلح جديد في قاعدة البيانات','ar',0,0),(3642,'بعد حفظ مفردة مُحدّثة في قاعدة البيانات','ar',0,0),(3643,'بعد حذف مصطلح','ar',0,0),(3644,'تمكّن إطلاق إجراءات استجابة لأحداث معينة في النظام، عند إنشاء محتوى جديد مثلا.','ar',0,0),(3645,'قرأت مرة واحدة','ar',0,0),(3646,'لم تقرأ','ar',3645,1),(3647,'قرأت مرتين','ar',3646,2),(3648,'قرأت @count[3] مرات','ar',3647,3),(3649,'قرأت @count[4] مرة','ar',3648,4),(3650,'قرأت @count[5] مرة','ar',3649,5),(3651,'- اختر -','ar',0,0),(3652,'تتيح تصنيف المحتوى.','ar',0,0),(3653,'سابقة المسار','ar',0,0),(3654,'احذف الاتصال','ar',0,0),(3655,'رد آلي','ar',0,0),(3656,'رد آلي اختياري. اتركه فارغا إذا لم تكن ترغب في إرسال ردود آلية للمستخدمين.','ar',0,0),(3657,'عنوان البريد الإلكتروني %recipient غير صحيح.','ar',0,0),(3658,'ليتوانية','ar',0,0),(3659,'ترجمة حديثة','ar',0,0),(3660,'ترجمة قديمة','ar',0,0),(3661,'يجب تفعيل بعض الوحدات المطلوبة','ar',0,0),(3662,'مواضيع جديدة','ar',0,0),(3663,'mm/dd/yy','ar',0,0),(3664,'الملف غير موجود.','ar',0,0),(3665,'فشل استيراد الترجمة، لتعذر قراءة الملف %filename.','ar',0,0),(3666,'يحتوي ملف الترجمة %filename على خطأ: \"msgstr\" كان متوقعا، و لكن لا يوجد على السطر %line.','ar',0,0),(3667,'يحتوي ملف الترجمة %filename على خطأ: \"msgid_plural\" كان متوقعا و لكن لم يوجد على السطر %line.','ar',0,0),(3668,'يحتوي ملف الترجمة %filename على خطأ صياغي في السطر %line.','ar',0,0),(3669,'يحتوي ملف الترجمة %filename على خطأ: \"msgid\" غير متوقع في السطر %line.','ar',0,0),(3670,'يحتوي ملف الترجمة %filename على خطأ: \"msgstr[]\" غير متوقع في السطر %line.','ar',0,0),(3671,'يحتوي ملف الترجمة %filename على خطأ: \"msgstr\" غير متوقع في السطر %line.','ar',0,0),(3672,'يحتوي ملف الترجمة %filename على خطأ: هناك مقطع غير متوقع في السطر %line.','ar',0,0),(3673,'انتهى ملف الترجمة %filename بشكل غير متوقع في السطر %line.','ar',0,0),(3674,'حفظ الترجمات','ar',0,0),(3675,'صدّر القالب','ar',0,0),(3676,'أنشئ @name','ar',0,0),(3677,'تم حذف القائمة %title.','ar',0,0),(3678,'تم حذف ال@type‏ %title.','ar',0,0),(3679,'الاقتصاص','ar',0,0),(3680,'التعليمات التي تظهر للمستخدم تحت هذا الحقل، في استمارة التحرير. <br /> وسوم HTML المسموحة: @tags','ar',0,0),(3681,'مستخدم مجهول','ar',0,0),(3682,'@module (<span class=\"admin-disabled\">معطل</span>)','ar',0,0),(3683,'@module (<span class=\"admin-enabled\">مُفَعَّل</span>)','ar',0,0),(3684,'حفظ الصلاحيات','ar',0,0),(3685,'عنوان البريد الإلكتروني %email مستخدم بالفعل.','ar',0,0),(3686,'التأثير','ar',0,0),(3687,'النص الأصلى','ar',0,0),(3688,'حذف نوع المحتوى','ar',0,0),(3689,'غير الوثيقة (حدّث قائمة الآباء)','ar',0,0),(3690,'إنشاء وثائق جديدة','ar',0,0),(3691,'حرر الصلاحيات','ar',0,0),(3692,'تحرير الترتيب والعناوين','ar',0,0),(3693,'إدارة هيكل وثائق موقعك.','ar',0,0),(3694,'لأسباب أمنية تم تغيير اسم الملف المرفوع إلى %filename.','ar',0,0),(3695,'النسخة المثبة','ar',0,0),(3696,'النسخة الموصى بها','ar',0,0),(3697,'تم تشغيل الدورية بنجاح.','ar',0,0),(3698,'إخطار','ar',0,0),(3699,'تنزيل الملف','ar',0,0),(3700,'اختصار','ar',0,0),(3701,'الأصلية','ar',0,0),(3702,'فشل في رفع الصورة. الدليل %directory غير موجود. أو غير مسموح بالكتابة فيه.','ar',0,0),(3703,'تم تحديث الحقل.','ar',0,0),(3704,'بكسلات','ar',0,0),(3705,'شهر واحد','ar',0,0),(3706,'شهران','ar',1360,2),(3707,'@count[3] أشهر','ar',3706,3),(3708,'@count[4] شهراً','ar',3707,4),(3709,'@count[5] شهر','ar',3708,5),(3710,'حفظ الترتيب','ar',0,0),(3711,'تم','ar',0,0),(3712,'تحرير الدور','ar',0,0),(3713,'%name: قيمة غير صحيحة.','ar',0,0),(3714,'نحرير %title','ar',0,0),(3715,'نواة دروبال','ar',0,0),(3716,'عرض صندوق تصفح الوثائق','ar',0,0),(3717,'العلاقات','ar',0,0),(3718,'حقل كلمة المرور مطلوب.','ar',0,0),(3719,'تأكيد كلمة المرور','ar',0,0),(3720,'لا يوجد محتوى.','ar',0,0),(3721,'سمة الإدارة','ar',0,0),(3722,'نشكرك لطلبك حسابا. حسابك حاليا في انتظار موافقة إداري الموقع.<br /> حتى يحين ذلك، أرسلت رسالة ترحيب إلى عنوان بريدك الإلكتروني، و معها مزيد من التوجيهات.','ar',0,0),(3723,'أفارية','ar',0,0),(3724,'صومالية','ar',0,0),(3725,'كومية','ar',0,0),(3726,'تحذير أمني: لا يمكن الكتابة على ملف \"‪.htaccess‬\". من فضلك أنشئ ملف ‪.htaccess‬ في الدليل %directory، على أن يحتوى الملف على السطر التالي: <code>!htaccess</code>','ar',0,0),(3727,'الملف %file لا يمكن نسخه. لا يوجد ملف بذلك الاسم. من فضلك تأكد أن اسم الملف صحيح.','ar',0,0),(3728,'لم يتم نسخ الملف المحدد %file لأنه سيستبدل نفسه.','ar',0,0),(3729,'لا يمكن حفظ الملف %file. لأنه يتجاوز %maxsize، الحجم الأقصى المسموح به للملفات المرفوعة.','ar',0,0),(3730,'لا يمكن حفظ الملف %file. لأن عملية التحميل لم تكتمل.','ar',0,0),(3731,'لا يمكن حفظ الملف %file. لسبب مجهول.','ar',0,0),(3732,'لم يتم تحويل الملف المحدد %name.','ar',0,0),(3733,'اسم الملف فارغ. الرجاء إعطاء اسم للملف.','ar',0,0),(3734,'يُسمح بالملفات التي تحمل هذه الامتدادات فقط: %files-allowed.','ar',0,0),(3735,'حجم الملف %filesize يتجاوز الحجم الأقصى للملفات %maxsize.','ar',0,0),(3736,'حجم الملف %filesize وهو ما قد يتجاوز حصتك من القرص (%quota).','ar',0,0),(3737,'يسمح بالصور من امتدادات JPEG و PNG و GIF فقط.','ar',0,0),(3738,'تم تغيير أبعاد الصورة حتى تلائم أكبر أبعاد مسموح بها، و هو %dimensions بكسل.','ar',0,0),(3739,'الصورة كبيرة جدا؛ الحد الأقصى هو %dimensions بكسل.','ar',0,0),(3740,'الصورة صغيرة جداً؛ الحد الأدنى هو %dimensions بكسل.','ar',0,0),(3741,'لم يتم حذف الملف %path لأنه غير موجود.','ar',0,0),(3742,'خطأ في رفع الملف. لم يمكن نقل الملف %file إلى الوجهة %destination.','ar',0,0),(3743,'أضف إلى هيكل الوثيقة','ar',0,0),(3744,'Stark','ar',0,0),(3745,'مجموعة جديدة','ar',0,0),(3746,'قديمة','ar',0,0),(3747,'<strong>@language_name</strong> (الأصل)','ar',0,0),(3748,'إضافة ترجمة','ar',0,0),(3749,'ترجمات %title','ar',0,0),(3750,'منفذ قاعدة البيانات','ar',0,0),(3751,'أعد فهرسة الموقع','ar',0,0),(3752,'هل أنت متأكد أنك ترغب في إعادة فهرسة الموقع؟','ar',0,0),(3753,'cURL','ar',0,0),(3754,'نجاح','ar',0,0),(3755,'فشل','ar',0,0),(3756,'لا توجد نتائج اختبارات لعرضها.','ar',0,0),(3757,'حفظ ومتابعة','ar',0,0),(3758,'هذه الخيارات ضرورية لبعض المواقع. إن لم تكن متأكدا مما يجب أن تدخل هنا، اترك الإعدادات المبدئية أو راجع مقدم خدمة الاستضافة أولا.','ar',0,0),(3759,'إذا كانت قاعدة بياناتك على خادم آخر، غيّر هذا.','ar',0,0),(3760,'إذا كانت قاعدة البيانات مضبوطة على منفذ غير معياري، أدخل رقمه هنا.','ar',0,0),(3761,'يجب أن يكون منفذ قاعدة البيانات رقما.','ar',0,0),(3762,'يسمح باستعمال الفراغات؛ لا يسمح باستعمال الترقيم ما عدا النقط والشرطات والشرطات السفلية','ar',0,0),(3763,'أقصى ارتفاع','ar',0,0),(3764,'أقصى عرض','ar',0,0),(3765,'التبويبات الفرعية','ar',0,0),(3766,'فعل أو عطل عرض عناصر معينة بالصفحة.','ar',0,0),(3767,'إضافة محتوى جديد','ar',0,0),(3768,'أقصى دقة للصورة','ar',0,0),(3769,'تم التعرف على اختيار غير مسموح به. من فضلك اتصل بإداري الموقع.','ar',0,0),(3770,'اختيار %choice غير مسموح به في حقل !name.','ar',0,0),(3771,'غير قابل للكتابة عليه','ar',0,0),(3772,'نقطة عشرية','ar',0,0),(3773,'هيكل الوثيقة','ar',0,0),(3774,'هذه ستكون الصفحة الأم في هذه الوثيقة.','ar',0,0),(3775,'معلومات المراجعة','ar',0,0),(3776,'إبلاغ المستخدم بإنشاء حسابه','ar',0,0),(3777,'عرض التعليق','ar',0,0),(3778,'فاصلة','ar',0,0),(3779,'الاستخدامات','ar',0,0),(3780,'مسار الأيقونة المخصصة','ar',0,0),(3781,'موجز','ar',0,0),(3782,'لست مخولا بنشر تعليقات.','ar',0,0),(3783,'التعليق الذي ترد عليه غير موجود.','ar',0,0),(3784,'هذه المناقشة مغلقة: لا يمكنك نشر تعليقات جديدة.','ar',0,0),(3785,'لست مخولا بعرض التعليقات.','ar',0,0),(3786,'هل أنت متأكد أنك راغب في حذف التعليق %title؟','ar',0,0),(3787,'أي ردود على هذا التعليق سوف تضيع، و لن يمكن التراجع عن هذا الفعل.','ar',0,0),(3788,'نشر التعليقات المحددة','ar',0,0),(3789,'إلغاء نشر التعليقات المحددة','ar',0,0),(3790,'هل ترغب فعلا في حذف هذه التعليقات مع كل الردود عليها؟','ar',0,0),(3791,'يجب أن تحدد مؤلفا صحيحا.','ar',0,0),(3792,'الاسم الذي اخترته مسجل لمستخدم آخر.','ar',0,0),(3793,'عنوان البريد الإلكتروني ليس صحيحا.','ar',0,0),(3794,'مسار موقعك غير صحيح. تذكر أن المسار يجب أن يكتب بالصورة الكاملة مثلا: <code>http://example.com/directory</code>.','ar',0,0),(3795,'(لا موضوع)','ar',0,0),(3796,'الصورة الافتراضية','ar',0,0),(3797,'سيتم استخدام هذا النص من طرف قارئات الشاشة، محركات البحث، أو عند الفشل بتحميل الصورة.','ar',0,0),(3798,'إضافة تلقيمة','ar',0,0),(3799,'مدونة @name','ar',0,0),(3800,'شريط الأدوات','ar',0,0),(3801,'أدخل اسم مستخدم @s الخاص بك.','ar',0,0),(3802,'نُشِر في','ar',0,0),(3803,'ملاحظة: تعليق غير مخوّل به أو تعليق أرسل إلى الموضوع المغلق %subject.','ar',0,0),(3804,'مدونة !name','ar',0,0),(3805,'البريد الإلكتروني:','ar',0,0),(3806,'كل اللغات','ar',0,0),(3807,'تم إنشاء ال@type‏ %title.','ar',0,0),(3808,'تم تحديث ال@type‏ %title.','ar',0,0),(3809,'تعذر حفظ الموضوع.','ar',0,0),(3810,'محرف','ar',0,0),(3811,'محرف واحد','ar',3810,1),(3812,'محرفان','ar',3811,2),(3813,'@count[3] أحرف','ar',3812,3),(3814,'@count[4] حرفاً','ar',3813,4),(3815,'@count[5] حرف','ar',3814,5),(3816,'إعدادات المرشح','ar',0,0),(3817,'ليس لديك أي عناصر إدارية.','ar',0,0),(3818,'ظهرت مشكلة أو أكثر في نسخة دروبال المركبة. راجع <a href=\"@status\">تقرير الحالة</a> لمزيد من المعلومات.','ar',0,0),(3819,'مواضيع المساعدة','ar',0,0),(3820,'تتوفر مساعدة للعناصر التالية:','ar',0,0),(3821,'لا توجد مساعدة لوحدة %module.','ar',0,0),(3822,'صفحات إدارة @module','ar',0,0),(3823,'تحرير المقطع','ar',0,0),(3824,'احذف المقطع','ar',0,0),(3825,'هل أنت متأكد من حذف لغة %name؟','ar',0,0),(3826,'تم حذف لغة %locale.','ar',0,0),(3827,'أمتأكد أنك ترغب في حذف المقطع \"%source\"؟','ar',0,0),(3828,'حذف المقطع سيحذف كل ترجماته بكل اللغات. لا يمكن التراجع عن هذا الفعل.','ar',0,0),(3829,'صباحا','ar',0,0),(3830,'مساء','ar',0,0),(3831,'التعليقات في كل صفحة','ar',0,0),(3832,'دعم تعدد اللغات','ar',0,0),(3833,'مفعّل، مع الترجمة','ar',0,0),(3834,'نشر التعليق','ar',0,0),(3835,'تعذر رفع الملف.','ar',0,0),(3836,'طقم أدوات مناولة الصور \'%toolkit\' لا يستطيع معالجة \'%function\'.','ar',0,0),(3837,'FTP','ar',0,0),(3838,'المجلد %file غير محمي من التعديلات و قد يشكل خطورة على الأمان. ينبغي عليك تغيير صلاحيات الملف كي لا يقبل الكتابة فيه. ','ar',0,0),(3839,'تعاون','ar',0,0),(3840,'صفحات الإدارة','ar',0,0),(3841,'يستخدم الآن !item !version','ar',0,0),(3842,'تم إنشاء نوع المحتوى %type.','ar',0,0),(3843,'تم إنشاء حساب المستخدم %name وكلمة مروره %pass','ar',0,0),(3844,'الصلاحيات المنشأة : @perms','ar',0,0),(3845,'الصلاحية %permission غير صحيحة.','ar',0,0),(3846,'تم العثور على حقل اسم المستخدم.','ar',0,0),(3847,'تم العثور على حقل كلمة المرور.','ar',0,0),(3848,'!method @url أرجعت @status (!length).','ar',0,0),(3849,'HTML صحيح في \"@path\"','ar',0,0),(3850,'تم تحليل الصفحة بنجاح','ar',0,0),(3851,'تم العثور على حقول الاستمارة المطلوبة في المسار @path','ar',0,0),(3852,'لم يتم العثور على الحقل عن طريق اسمه @name','ar',0,0),(3853,'تم العثور على الحقل عن طريق معرفه @id','ar',0,0),(3854,'لم يتم العثور على الحقل عن طريق معرفه @id','ar',0,0),(3855,'رد اش.تي.تي.بي المتوقع هو !code والرد المتحصل عليه هو !curl_code','ar',0,0),(3856,'واجه الموقع خطأ غير متوقع. يرجى المحاولة في وقت لاحق.','ar',0,0),(3857,'الاختبارات','ar',0,0),(3858,'تشعيل الاختبارات','ar',0,0),(3859,'تنظيف بيئة الاختبارات','ar',0,0),(3860,'إزالة الجداول ذات البادئة \"simpletest\" والمجلدات المؤقتة التي خلفتها الاختبارات الفاشلة. هذا موجه للمطورين أثناء إنشاء الاختبارات.','ar',0,0),(3861,'تنظيف البيئة','ar',0,0),(3862,'لا توجد اختبارات للعرض.','ar',0,0),(3863,'@pass، @fail، و @exception','ar',0,0),(3864,'لم يتم تحديد أي اختبار.','ar',0,0),(3865,'تشغيل الاختبار @num من @max - %test.','ar',0,0),(3866,'@name: @summary','ar',0,0),(3867,'تم تشغيل الاختبار @num من @max - %test.','ar',0,0),(3868,'واحد ناجح','ar',0,0),(3869,'واحد ناجح','ar',3868,1),(3870,'إثنان ناجحان','ar',3869,2),(3871,'@count[3] ناجحة','ar',3870,3),(3872,'@count[4] ناجح','ar',3871,4),(3873,'@count[5] ناجح','ar',3872,5),(3874,'واحد فاشل','ar',0,0),(3875,'واحد فاشل','ar',3874,1),(3876,'إثنان فاشلان','ar',3875,2),(3877,'@count[3] فاشلة','ar',3876,3),(3878,'@count[4] فاشل','ar',3877,4),(3879,'@count[5] فاشل','ar',3878,5),(3880,'استثناء واحد','ar',0,0),(3881,'استثناء واحد','ar',3880,1),(3882,'استنثناءان إثنان','ar',3881,2),(3883,'@count[3] استثناءات','ar',3882,3),(3884,'@count[4] استثناء','ar',3883,4),(3885,'@count[5] استثناء','ar',3884,5),(3886,'PHP DOMDocument class','ar',0,0),(3887,'توفر بيئة للاختبارات الفردية والوظيفية.','ar',0,0),(3888,'هندية','ar',0,0),(3889,'قام %name باستخدام رابط الولوج في %timestamp.','ar',0,0),(3890,'تم إنشاء حساب مستخدم جديد ل<a href=\"@url\">%name</a>. لم يتم إرسال أي بريد إلكتروني.','ar',0,0),(3891,'نجح التسجل، لقد ولجت الآن.','ar',0,0),(3892,'مستخدم جديد: %name‏ (%email).','ar',0,0),(3893,'المُطلِق','ar',0,0),(3894,'عرض التعليقات','ar',0,0),(3895,'اسم المستخدم، أو عنوان البريد الإلكتروني','ar',0,0),(3896,'%name: لا يمكن لهذا الحقل أن يحتوي أكثر من @count قيمة.','ar',0,0),(3897,'لا حقول متاحة.','ar',0,0),(3898,'بعد حفظ محتوى جديد','ar',0,0),(3899,'بعد حذف محتوى','ar',0,0),(3900,'التبويبات العمودية','ar',0,0),(3901,'ليس في الكتاب','ar',0,0),(3902,'كتاب جديد','ar',0,0),(3903,'من @name بتاريخ  @date','ar',0,0),(3904,'من %name','ar',0,0),(3905,'غير موجود في القائمة','ar',0,0),(3906,'البديل: @alias','ar',0,0),(3907,'لا يوجد بدائل','ar',0,0),(3908,'إكمال آلي لاسم المستخدم','ar',0,0),(3909,'التجهيز.','ar',0,0),(3910,'حدث خطأ.','ar',0,0),(3911,'من فضلك انتقل إلى <a href=\"@error_url\">صفحة الخطأ</a>','ar',0,0),(3912,'‏HTTP POST ضروري.','ar',0,0),(3913,'ستكون صفحتك جزء من الوثيقة المختارة.','ar',0,0),(3914,'0 ثانية','ar',0,0),(3915,'استمارة','ar',0,0),(3916,'تنبيه','ar',0,0),(3917,'حالة طارئة','ar',0,0),(3918,'ترشيح رسائل السجل','ar',0,0),(3919,'يجب أن تختار مرشح.','ar',0,0),(3920,'مراجعة جديدة','ar',0,0),(3921,'لتغير كلمة مرور المستخدم الحالية، أدخل كلمة المرور الجديدة في كلا الحقلين.','ar',0,0),(3922,'لقد حاولت استخدام رابط ولوج انتهت صلاحيته. من فضلك اطلب رابطا جديدا مستخدما الاستمارة بالأدنى.','ar',0,0),(3923,'يمكن استخدام هذا الدخول مرة واحدة فقط.','ar',0,0),(3924,'فشلت عملية استيراد %filename.','ar',0,0),(3925,'المزيد من الخيارات','ar',0,0),(3926,'اختصار','ar',0,0),(3927,'مضاف','ar',0,0),(3928,'أدخل كلمة مرور للحساب الجديد في كلا الخانتين.','ar',0,0),(3929,'(@language)','ar',0,0),(3930,'استطلاع رأي','ar',0,0),(3931,'استخدم كلمة <strong>OR</strong> بالحروف الكبيرة لتقوم بالبحث عن أيا من كلمتين. مثلا <strong>قطط OR كلاب</strong>.','ar',0,0),(3932,'فلتر  PHP','ar',0,0),(3933,'محاولة إعادة تشغيل مجدول الأعمال (كرون) وهو مشغل.','ar',0,0),(3934,'اكتمل تشغيل مجدول الأعمال (كرون).','ar',0,0),(3935,'حالة طلب HTTP','ar',0,0),(3936,'فشلت','ar',0,0),(3937,'الزوار','ar',0,0),(3938,'أقصى طول للحقل بعدد الحروف.','ar',0,0),(3939,'اللغات المضافة','ar',0,0),(3940,'أحدث التدوينات','ar',0,0),(3941,'المستخدمون الجدد','ar',0,0),(3942,'اسم اللغة','ar',0,0),(3943,'سرد الروابط','ar',0,0),(3944,'تحرير التصنيف','ar',0,0),(3945,'تم تحديث نوع المحتوى %name.','ar',0,0),(3946,'أُضيف نوع المحتوى %name.','ar',0,0),(3947,'كتلانية','ar',0,0),(3948,'البحيرة الزرقاء (الافتراضية)','ar',0,0),(3949,'تعذر العثور على الصفحة المطلوبة.','ar',0,0),(3950,'حساب المستخدم %id غير موجود.','ar',0,0),(3951,'محاولة إلغاء حساب مستخدم غير موجود: %id.','ar',0,0),(3952,'مشكلة متطلبات','ar',0,0),(3953,'إعدادات قاعدة البيانات','ar',0,0),(3954,'نوع قاعدة البيانات التي ستخزن فيها بيانات @drupal.','ar',0,0),(3955,'اسم قاعدة البيانات التي ستخزن فيها بيانات @drupal. يجب أن تكون موجودة على خادمك لتتمكن من تركيب @drupal.','ar',0,0),(3956,'في حالة تقاسم قاعدة البيانات بين أكثر من تطبيق، أدخل بادئة مثل %prefix لجداول @drupal.','ar',0,0),(3957,'اختر تعريف تثبيت','ar',0,0),(3958,'اختيار اللغة','ar',0,0),(3959,'تعلّم كيف تُركّب دروبال بلغات أخرى','ar',0,0),(3960,'(مدمجة)','ar',0,0),(3961,'لا تتوفر لاحات','ar',0,0),(3962,'دروبال مركّب بالفعل','ar',0,0),(3963,'<ul><li>كي تبدأ من جديد، عليك أولا أن تفرغ قاعدة البيانات الموجودة حاليا.</li><li>لتركب الموقع على قاعدة بيانات مختلفة، حرر ملف <em>settings.php</em> المناسب في دليل <em>sites</em>.</li><li>لترقي التركيبة الحالية، تقدم إلى <a href=\"@base-url/update.php\">برمجية الترقية</a>.</li><li> اعرض<a href=\"@base-url\"> موقعك الحالي </a>.</li></ul>','ar',0,0),(3964,'تركيب @drupal','ar',0,0),(3965,'واجه التركيب خطأ.','ar',0,0),(3966,'ضبط الموقع','ar',0,0),(3967,'اكتمل تركيب @drupal','ar',0,0),(3968,'تم تركيب وحدة %module.','ar',0,0),(3969,'اختر لاحة','ar',0,0),(3970,'التحقق من المتطلبات','ar',0,0),(3971,'ضبط قاعدة البيانات','ar',0,0),(3972,'ضبط الترجمات','ar',0,0),(3973,'تركيب الموقع','ar',0,0),(3974,'إكمال الترجمات','ar',0,0),(3975,'البريد الإلكتروني للموقع','ar',0,0),(3976,'حقل <em>من</em> في البريد الإلكتروني الآلي المرسل أثناء التسجيل وطلبات كلمات السر الجديدة والإخطارات الأخرى. (استخدم عنوانا ينتهي بنطاق موقعك لتفادي اعتبار هذا البريد سخاما.)','ar',0,0),(3977,'تعرض التواريخ و التوقيتات في الموقع كله باستخدام هذا التوقيت.','ar',0,0),(3978,'مراقبة التحديثات تلقائيا','ar',0,0),(3979,'تم حذف الإجراء اليتيم \'%action\' من قاعدة البيانات.','ar',0,0),(3980,'تجاوز مجدول الأعمال (كرون) الحد الزمني و تم إجهاضه.','ar',0,0),(3981,'بايت واحد','ar',0,0),(3982,'0 بايت','ar',3981,1),(3983,'بايتان','ar',3982,2),(3984,'@count[3] بايتات','ar',3983,3),(3985,'@count[4] بايت','ar',3984,4),(3986,'@count[5] بايت','ar',3985,5),(3987,'لا يمكن أن يتجاوز !name ‏%max حرفاً إلا أن طوله الحالي %legnth حرفاً.','ar',0,0),(3988,'اختيار %choice غير مسموح به في حقل %name.','ar',0,0),(3989,'طقم الأدوات GD2 لمناولة الصور','ar',0,0),(3990,'طقم أدوات جي.دي مركب ويعمل بشكل صحيح.','ar',0,0),(3991,'حدد جودة الصور لمناولة JPEG. تتراوح بين 0 و 100. القيم الأعلى تعني جودة صور أفضل، و ملفات أكبر حجما.','ar',0,0),(3992,'طقم أدوات جي.دي يحتاج أن تكون وحدة جي.دي لبي.إتش.بي مركبة و معدة. بشكل صحيح. لمزيد من المعلومات طالع <a href=\"@url\">توثيق بي.إش.بي للصور</a>.','ar',0,0),(3993,'يجب أن تكون جودة JPEG رقما بين 0 و 100.','ar',0,0),(3994,'اللغات المعرفة مسبقا','ar',0,0),(3995,'لغة طيعة','ar',0,0),(3996,'أضف لغة طيعة','ar',0,0),(3997,'معرّف لغة متوافق مع معيار <a href=\"@rfc4646\">RFC 4646</a>. رموز اللغات تتكون عادة من رمز الدولة و -اختياريا- اسم نظام الكتابة أو التنويعة المحلية. <em>مثلا: \"en\"، \"en-US\" و \"zh-Hant\".</em>','ar',0,0),(3998,'اللغة %language ‏(%code) موجودة سلفا.','ar',0,0),(3999,'رمز اللغة غير سليم.','ar',0,0),(4000,'تم إنشاء اللغة %language، ويمكن استخدامها الآن. لمزيد من المعلومات، طالع <a href=\"@locale-help\">صفحة المساعدة</a>.','ar',0,0),(4001,'يجب عدم تحديد قيم النطاق وسابقة المسار في ذات الوقت.','ar',0,0),(4002,'النطاق (%domain) مرتبط بلغة أخرى (%language).','ar',0,0),(4003,'في اللغة المبدئية فقط يمكن أن يكون النطاق والسابقة خاليين.','ar',0,0),(4004,'السابقة (%prefix) مربوطة بلغة أخرى (%language).','ar',0,0),(4005,'لا يمكن حذف اللغة الإنجليزية.','ar',0,0),(4006,'لا يمكن حذف اللغة المبدئية.','ar',0,0),(4007,'حذف لغة سيحذف كل ترجمات الواجهة المرتبطة بها، وكل المواضيع المكتوبة بهذا اللغة ستجعل محايدة اللغة. هذا العمل لا يمكن التراجع عنه.','ar',0,0),(4008,'تم حفظ إعدادات تفاوض اللغة.','ar',0,0),(4009,'المقطع يحتوي','ar',0,0),(4010,'اتركه خاليا لعرض جميع المقاطع. البحث حساس للحروف اللاتينية الكبيرة و الصغيرة.','ar',0,0),(4011,'الإنجليزية (موفرة من دروبال)','ar',0,0),(4012,'البحث في','ar',0,0),(4013,'كلا المقاطع المترجمة وغير المترجمة','ar',0,0),(4014,'فقط المقاطع المترجمة','ar',0,0),(4015,'فقط المقاطع غير المترجمة','ar',0,0),(4016,'حصر البحث في','ar',0,0),(4017,'كل مجموعات النصوص','ar',0,0),(4018,'اللغات التي لم تُضف بعد','ar',0,0),(4019,'استيراد ترجمة','ar',0,0),(4020,'ملف جتتكست (<em>‭‪.po‬‬</em>).','ar',0,0),(4021,'استيراد إلى','ar',0,0),(4022,'اختر اللغة التي تريد إضافة الكلمات إليها. ستُضاف اللغة إذا لم تكن قد أُعدت من قبل.','ar',0,0),(4023,'مجموعة النصوص','ar',0,0),(4024,'ستضاف الترجمات المستوردة إلى مجموعة النصوص هذه.','ar',0,0),(4025,'تم إنشاء اللغة %language.','ar',0,0),(4026,'تصدير الترجمة','ar',0,0),(4027,'اختر اللغة التي تود تصديرها إلى ملف جتتكست (<em>‭‪.po‬‬</em>).','ar',0,0),(4028,'ولد ملف قالب جتتكست (<em>‭‪.pot‬‬</em>) بكامل إعدادات الواجهة من قاعدة بيانات محلية دروبال.','ar',0,0),(4029,'المقطع غير موجود.','ar',0,0),(4030,'المقطع المُرسل يحتوي إتش.تي.إم.إل غير مسموح به: %string','ar',0,0),(4031,'تم حفظ المقطع.','ar',0,0),(4032,'تم حذف المقطع.','ar',0,0),(4033,'اللغة التي اختيرت للاستيراد ليست مدعومة.','ar',0,0),(4034,'يبدو أن ملف الترجمة %filename لا يحتوي على ترويسة سليمة.','ar',0,0),(4035,'تم استيراد الترجمة بنجاح. يوجد الآن %number مقطعاً مترجماً جديداً، و %update مقطعاً تم تحديثه، و %delete مقطعاً تم حذفه.','ar',0,0),(4036,'يتم استيراد ترجمات الواجهة','ar',0,0),(4037,'يبدأ الاستيراد','ar',0,0),(4038,'خطأ أثناء استيراد ترجمة الواجهة','ar',0,0),(4039,'محاولة لإرسال مقطع ترجمة يحتوي إتش.تي.إم.إل غير مسموح به: %string','ar',0,0),(4040,'رمز اللغة %language ‏(%code) موجودة سلفا.','ar',0,0),(4041,'تم استيراد %file إلى %locale: أضيف %number مقطعا جديدا و %update مقطعا تم تحديثها و %delete مقطعا تم حذفها.','ar',0,0),(4042,'تم تصدير ملف ترجمة %locale و اسم الملف: %filename.','ar',0,0),(4043,'تم تصدير ملف الترجمة: %filename.','ar',0,0),(4044,'تم تحديث ملف ترجمة جافا سكربت للغة %language.','ar',0,0),(4045,'تم إنشاء ملف ترجمة جافا سكربت للغة %language.','ar',0,0),(4046,'تم حذف ملف ترجمة جافا سكربت للغة %language لعدم وجود أي ترجمة حاليا لهذه اللغة.','ar',0,0),(4047,'حدث خطأ أثناء إنشاء ملف ترجمة جافا سكربت للغة %language.','ar',0,0),(4048,'تُخطّيت ترجمة واحدة لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',0,0),(4049,'لم تتخطى أي ترجمة.','ar',4048,1),(4050,'تُخطّيت ترجمتين لأنهما تحتويان إتش.تي.إم.إل غير مسموح به.','ar',4049,2),(4051,'تُخطّيت @count[3] ترجمات لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',4050,3),(4052,'تُخطّيت @count[4] ترجمة لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',4051,4),(4053,'تُخطّيت @count[5] ترجمة لأنها تحتوي إتش.تي.إم.إل غير مسموح به.','ar',4052,5),(4054,'تم استيراد ملف ترجمة واحد للوحدة المثبتة حديثا.','ar',0,0),(4055,'لم يتم استيراد أي ملفات ترجمة للوحدة المثبتة حديثا.','ar',4054,1),(4056,'تم استيراد ملفي ترجمة للوحدة المثبتة حديثا.','ar',4055,2),(4057,'تم استيراد @count[3] ملفات ترجمة للوحدة المثبتة حديثا.','ar',4056,3),(4058,'تم استيراد @count[4] ملف ترجمة للوحدة المثبتة حديثا.','ar',4057,4),(4059,'تم استيراد @count[5] ملف ترجمة للوحدة المثبتة حديثا.','ar',4058,5),(4060,'تم استيراد ملف ترجمة واحد للوحدات المفعّلة.','ar',0,0),(4061,'لم يتم استيراد أي ملفات ترجمة للوحدات المفعّلة.','ar',4060,1),(4062,'تم استيراد ملفي ترجمة للوحدات المفعّلة.','ar',4061,2),(4063,'تم استيراد @count[3] ملفات ترجمة للوحدات المفعّلة.','ar',4062,3),(4064,'تم استيراد @count[4] ملف ترجمة للوحدات المفعّلة.','ar',4063,4),(4065,'تم استيراد @count[5] ملف ترجمة للوحدات المفعّلة.','ar',4064,5),(4066,'أبخازية','ar',0,0),(4067,'أفستانية','ar',0,0),(4068,'أفريكانية','ar',0,0),(4069,'أقانية','ar',0,0),(4070,'أمهرية','ar',0,0),(4071,'أسامية','ar',0,0),(4072,'عفارية','ar',0,0),(4073,'أيمارية','ar',0,0),(4074,'أذرية','ar',0,0),(4075,'بشكيرية','ar',0,0),(4076,'بيلاروسية','ar',0,0),(4077,'بيهارية','ar',0,0),(4078,'بيسلامية','ar',0,0),(4079,'بمبارية','ar',0,0),(4080,'بنغالية','ar',0,0),(4081,'تبتية','ar',0,0),(4082,'بريتونية','ar',0,0),(4083,'بوسنية','ar',0,0),(4084,'ششنية','ar',0,0),(4085,'شامورية','ar',0,0),(4086,'كورسية','ar',0,0),(4087,'كيرية','ar',0,0),(4088,'سلافونية قديمة','ar',0,0),(4089,'تشوفاش','ar',0,0),(4090,'ولزية','ar',0,0),(4091,'مالديفية','ar',0,0),(4092,'بوتانية','ar',0,0),(4093,'إيوية','ar',0,0),(4094,'أسبيرية','ar',0,0),(4095,'إستونية','ar',0,0),(4096,'باسكية','ar',0,0),(4097,'فارسية','ar',0,0),(4098,'فولية','ar',0,0),(4099,'فايروسية','ar',0,0),(4100,'فريزية','ar',0,0),(4101,'إيرلندية','ar',0,0),(4102,'اسكوتلندية جيلية','ar',0,0),(4103,'جالية','ar',0,0),(4104,'جوارانية','ar',0,0),(4105,'جوجاراتية','ar',0,0),(4106,'كانسية','ar',0,0),(4107,'هاوسية','ar',0,0),(4108,'هيري موتية','ar',0,0),(4109,'أرمنية','ar',0,0),(4110,'هيريرية','ar',0,0),(4111,'إنترلينجوة','ar',0,0),(4112,'إنترلينجا','ar',0,0),(4113,'إيغبو','ar',0,0),(4114,'إينوبياك','ar',0,0),(4115,'إيسلندية','ar',0,0),(4116,'إينوكتيتو','ar',0,0),(4117,'جافية','ar',0,0),(4118,'جورجية','ar',0,0),(4119,'كونجولية','ar',0,0),(4120,'كيكويو','ar',0,0),(4121,'كوانياما','ar',0,0),(4122,'كازاخية','ar',0,0),(4123,'جرينلندية','ar',0,0),(4124,'كمبودية','ar',0,0),(4125,'كندية','ar',0,0),(4126,'كانورية','ar',0,0),(4127,'كشميرية','ar',0,0),(4128,'كردية','ar',0,0),(4129,'كورنيشية','ar',0,0),(4130,'لاتينية','ar',0,0),(4131,'لكسمبورجية','ar',0,0),(4132,'موغندية','ar',0,0),(4133,'لينغالية','ar',0,0),(4134,'لوثانية','ar',0,0),(4135,'لاتفية','ar',0,0),(4136,'مالاجية','ar',0,0),(4137,'مارشالية','ar',0,0),(4138,'مقدونية','ar',0,0),(4139,'مالايالامية','ar',0,0),(4140,'منغولية','ar',0,0),(4141,'مولدوفية','ar',0,0),(4142,'ماراتية','ar',0,0),(4143,'مالاية','ar',0,0),(4144,'مالطية','ar',0,0),(4145,'بورمية','ar',0,0),(4146,'نيبيلية شمالية','ar',0,0),(4147,'نيبالية','ar',0,0),(4148,'ندونغا','ar',0,0),(4149,'نرويجية بوكمال','ar',0,0),(4150,'نرويجية نينورسك','ar',0,0),(4151,'نيبيلية جنوبية','ar',0,0),(4152,'شيشيوا','ar',0,0),(4153,'أوسيتانية','ar',0,0),(4154,'أورومية','ar',0,0),(4155,'أورية','ar',0,0),(4156,'أوسيتانية','ar',0,0),(4157,'بنجابية','ar',0,0),(4158,'بالية','ar',0,0),(4159,'بشتية','ar',0,0),(4160,'برتغالية، البرتغال','ar',0,0),(4161,'برتغالية، البرازيل','ar',0,0),(4162,'كيشوا','ar',0,0),(4163,'رايتو-رومانس','ar',0,0),(4164,'كيروندية','ar',0,0),(4165,'كينياروندية','ar',0,0),(4166,'سنسيكريتية','ar',0,0),(4167,'سردينية','ar',0,0),(4168,'سينديهية','ar',0,0),(4169,'سامية شمالية','ar',0,0),(4170,'سنغالية','ar',0,0),(4171,'صرب-كرواتية','ar',0,0),(4172,'صنهالا','ar',0,0),(4173,'سلوفينية','ar',0,0),(4174,'ساموية','ar',0,0),(4175,'شونا','ar',0,0),(4176,'ألبانية','ar',0,0),(4177,'صربية','ar',0,0),(4178,'سيسواتية','ar',0,0),(4179,'سيزوتو','ar',0,0),(4180,'سودانية','ar',0,0),(4181,'سواحيلية','ar',0,0),(4182,'تاميلية','ar',0,0),(4183,'تيلوغية','ar',0,0),(4184,'طاجيكية','ar',0,0),(4185,'تايلندية','ar',0,0),(4186,'تيغيانية','ar',0,0),(4187,'تركمانية','ar',0,0),(4188,'تاجالية','ar',0,0),(4189,'سيستوانية','ar',0,0),(4190,'تسونغا','ar',0,0),(4191,'تترية','ar',0,0),(4192,'توي','ar',0,0),(4193,'تاهيتية','ar',0,0),(4194,'أوكرانية','ar',0,0),(4195,'أردية','ar',0,0),(4196,'أوزبكية','ar',0,0),(4197,'فندية','ar',0,0),(4198,'فيتنامية','ar',0,0),(4199,'ولوف','ar',0,0),(4200,'خوسية','ar',0,0),(4201,'يديشية','ar',0,0),(4202,'يوروبية','ar',0,0),(4203,'زوانجية','ar',0,0),(4204,'صينية مبسطة','ar',0,0),(4205,'صينية تقليدية','ar',0,0),(4206,'زولووية','ar',0,0),(4207,'عطل في إرسال البريد (من %from إلى %to).','ar',0,0),(4208,'رتب تصاعديا','ar',0,0),(4209,'رتب تنازليا','ar',0,0),(4210,'العمليات على نصوص يونيكود تقريبية للقدر الممكن. يرجى تثبيت <a href=\"@url\">خاصية البي.اش.بي mbstring</a> لدعم أفضل لليونيكود.','ar',0,0),(4211,'التحميل الزائد لدوال المقاطع متعددة البايتات مفعل في PHP، و يجب أن يتم إيقافه. راجع إعداد <em>mbstring.func_overload</em> في ملف php.ini. لمزيد من المعلومات، من فضلك ارجع إلى <a href=\"@url\">توثيق المقاطع متعددة البايتات في بي.إتش.بي</a>.','ar',0,0),(4212,'تحويل مدخلات المقاطع متعددة البايتات مفعل في PHP و يجب إيقافه. راجع إعداد <em>mbstring.encoding_translation</em> في ملف php.ini. لمزيد من المعلومات، من فضلك راجع <a href=\"@url\">توثيق المقاطع متعددة البايتات في PHP</a>.','ar',0,0),(4213,'تحويل مدخلات المقاطع متعددة البايتات مفعل في بي.إتش.بي و يجب إيقافه. راجع إعداد <em>mbstring.encoding_input</em> في ملف php.ini. لمزيد من المعلومات، من فضلك راجع <a href=\"@url\">توثيق المقاطع متعددة البايتات في بي.إتش.بي</a>.','ar',0,0),(4214,'تحويل مخرجات المقاطع متعددة البايتات مفعل في بي.إتش.بي ويجب إيقافه. راجع إعداد <em>mbstring.encoding_output</em> في ملف php.ini. لمزيد من المعلومات، من فضلك راجع <a href=\"@url\">توثيق المقاطع متعددة البايتات في بي.إتش.بي</a>.','ar',0,0),(4215,'تعذّر تحويل ترميز لغة النص الموسع \'%s\' إلى UTF-8.','ar',0,0),(4216,'الترميز \'%s\' غير مدعوم. من فضلك ركب iconv‏، GNU recode، أو مقاطع الأحرف متعددة البايتات (mbstring) في بي.إتش.بي.','ar',0,0),(4217,'خطأ تحليلي. الصيغة غير صحيحة','ar',0,0),(4218,'خطأ تحليلي. الصيغة غير صحيحة.','ar',0,0),(4219,'خطأ في الخادم. XML-RPC غير صالح. يجب أن يكون الطلب methodCall.','ar',0,0),(4220,'خطأ في الخادم. الطريقة المطلوبة %methodname غير محددة.','ar',0,0),(4221,'خطأ في الخادم. عدد خاطئ من معاملات الطريقة.','ar',0,0),(4222,'خطأ في الخادم. معاملات الطريقة غير صالحة.','ar',0,0),(4223,'خطأ في الخادم. الدالة المطلوبة @method غير موجودة.','ar',0,0),(4224,'صيغة دالة نظام متعددة النداء غير مقبولة.','ar',0,0),(4225,'لا يسمح بالنداء الذاتي لدوال النظام متعددة النداء.','ar',0,0),(4226,'خطأ في الخادم. توقيع الطريقة المطلوبة %methodname  غير محدد.','ar',0,0),(4227,'اسم التلقيمة (أو اسم الموقع الذي يرد منه المحتوى).','ar',0,0),(4228,'صنّف الأخبار','ar',0,0),(4229,'هل أنت متأكد أنك ترغب في حذف كل أخبار التلقيمة %feed؟','ar',0,0),(4230,'مربعات اختيار','ar',0,0),(4231,'صندوق اختيار من متعدد','ar',0,0),(4232,'تنشر الآلاف من المواقع (خاصية المواقع الإخبارية والمدونات) آخر العناوين والمواضيع في تلقيمات باستخدام عدد من الأنساق المعيارية. تشمل الأنساق التي يدعمها المجمّع <a href=\"@rss\">RSS</a>، و <a href=\"@rdf\">RDF</a> و <a href=\"@atom\">Atom</a>.','ar',0,0),(4233,'التلقيمات الحالية مسرودة أدناه، و<a href=\"@addfeed\">يمكن إضافة تلقيمات جديدة</a>. يمكن تفعيل <em>أحدث العناصر</em> لكل تلقيم أو تصنيف في <a href=\"@block\">صفحة إدارة الصناديق</a>.','ar',0,0),(4234,'أضف تلقيما بنسق RSS أو RDF أو Atom. لكل تلقيم خانة واحدة فقط.','ar',0,0),(4235,'تتيح التصنيفات جمع التلقيمات من مصادر مختلفة معا. مثلا قد تُجمع التلقيمات الرياضية المختلفة في تصنيف باسم <em>رياضة</em>. يمكن جمع التلقيمات آليا (باختيار تصنيف أثناء إضافة التلقيم) أو يدويا (عبر صفحة <em>التصنيفات</em> المتاحة من صفحة التلقيمات). لكل تصنيف صفحته الخاصة وصندوقه.','ar',0,0),(4236,'اضبط المحتوى الذي يرد للموقع من مواقع أخرى، و معدل تحديثه، و كيفية تصنيفه.','ar',0,0),(4237,'حدِّث الأخبار','ar',0,0),(4238,'تحرير التلقيمة','ar',0,0),(4239,'لا صناديق في هذه المنطقة','ar',0,0),(4240,'الصندوق %info كان مسندا إلى منطقة غير صالحة (%region) ولذا تم تعطيله.','ar',0,0),(4241,'لن تُحفظ التغييرات في هذه الصناديق قبل النقر على زر <em>احفظ الصناديق</em>.','ar',0,0),(4242,'أرسل تدوينة جديدة.','ar',0,0),(4243,'غير مسموح لك بإنشاء تدوينات جديدة.','ar',0,0),(4244,'لم تُنشئ أي تدوينات.','ar',0,0),(4245,'لم ينشئ !author أي تدوينات.','ar',0,0),(4246,'لم تُنشأ أي تلقيمات.','ar',0,0),(4247,'مدونة !username','ar',0,0),(4248,'اقرأ أحدث التدوينات في هذه المدونة.','ar',0,0),(4249,'يجب أن يكون نوع المحتوى في الوصلة %add-child واحدا من تلك الأنواع المسموح بها في هياكل الوثائق.','ar',0,0),(4250,'احفظ صفحات الوثيقة','ar',0,0),(4251,'لقد عدّل هذا المحتوى مستخدم آخر. لا يمكن حفظ التعديلات.','ar',0,0),(4252,'تغيّر العنوان من %original إلى %current.','ar',0,0),(4253,'حُدّثت وثيقة %title.','ar',0,0),(4254,'وثيقة: حُدّث %title.','ar',0,0),(4255,'حدّث ملخص الوثيقة','ar',0,0),(4256,'احذف من هيكل الوثيقة','ar',0,0),(4257,'لم يحدث أي تغيير','ar',0,0),(4258,'أضيفت المادة للوثيقة المختار. يمكنك الآن تحديد موضعها بالنسبة للآخرين.','ar',0,0),(4259,'تم تحديث هيكل الوثيقة.','ar',0,0),(4260,'حدث خطأ أثناء إضافة المادة إلى الوثيقة.','ar',0,0),(4261,'‏%title ترتبط به صفحات فرعية، والتي ستنتقل تلقائيا للمحافظة على ارتباطها بالوثيقة. لإعادة إنشاء الهيكل (كما كانت قبل حذف الصفحة) يمكن إضافة %title مرة ثانية باستخدام لسان الهيكلية، وستحتاج لإعادة وضع كل الصفحات الفرعية منه يدويا.','ar',0,0),(4262,'يمكن إضافة %title للهيكل مرة ثانية باستخدام لسان الهيكل.','ar',0,0),(4263,'هل أنت متأكد أنك راغب في حذف %title من هيكل الوثيقة؟','ar',0,0),(4264,'تم حذف المادة من الوثيقة.','ar',0,0),(4265,'أظهر نسخة للطباعة من صفحة الوثيقة هذه و من صفحاتها التي تتفرع منها.','ar',0,0),(4266,'أظهر الصندوق في كل الصفحات','ar',0,0),(4267,'أظهر الصندوق في صفحات الوثيقة فقط','ar',0,0),(4268,'في حالة اختيار <em>أظهر الصندوق في كل الصفحات</em> سيحتوى الصندوق على قائمة بكل الوثائق على الموقع. أما في حالة اختيار <em>أظهر الصندوق في صفحات الوثيقة فقط</em> سيحتوى الصندوق على قائمة بالصفحات الفرعية للوثيقة الحالية، و لن يظهر الصندوق في حالة عرض أي أنواع محتوى أخرى.','ar',0,0),(4269,'هذه الصفحة الأم في هذه الوثيقة.','ar',0,0),(4270,'لم تختر أي صناديق.','ar',0,0),(4271,'الصفحة الأم للوثيقة. الحد الأقصى لعمق الوثيقة هو !maxdepth. لا يمكن إضافة صفحات فرعية أعمق من هذا الحد و بالتالي لن تتوفر بعض الصفحات كخيار الصفحة الأم.','ar',0,0),(4272,'‏%title جزء من هيكل الوثيقة وله صفحات فرعية مرتبطة. إذا حذفته ستنقل الصفحات الفرعية آليا.','ar',0,0),(4273,'أعد ترتيب صفحات الوثيقة وغير العناوين','ar',0,0),(4274,'صفحة وثيقة','ar',0,0),(4275,'اللون الأساسي','ar',0,0),(4276,'قمة الترويسة','ar',0,0),(4277,'أسفل الترويسة','ar',0,0),(4278,'لا توجد ذاكرة كافية ليغير بي.إتش.بي خطة الألوان هذه. تحتاج على الأقل إلى %size مزيد. راجع <a href=\"@url\">توثيق بي.إتش.بي</a> لمزيد من المعلومات.','ar',0,0),(4279,'حذف التعليقات المحددة','ar',0,0),(4280,'تسمح للمستخدمين بالتعليق على المحتوى المنشور و مناقشته.','ar',0,0),(4281,'مثلا: \'آراء عن الموقع\' أو \'معلومات حول المنتج\'.','ar',0,0),(4282,'عند سرد التصنيفات، تلك ذات الوزن الأخف (الأقل) ستعرض قبل الأثقل وزنا. التصنيفات المتساوية الأوزان سترتب أبجديا.','ar',0,0),(4283,'تم إعداد استمارة الاتصال. <a href=\"@add\">أضف تصنيفا أو أكثر</a> للاستمارة.','ar',0,0),(4284,'استمارة الاتصال الشخصية','ar',0,0),(4285,'حرر تصنيف الاتصال','ar',0,0),(4286,'تفعل استعمال كلي استماراتي الاتصال الشخصية والشاملة للموقع.','ar',0,0),(4287,'تسجيل قاعدة البيانات','ar',0,0),(4288,'تسجل أحداث النظام في قاعدة البيانات.','ar',0,0),(4289,'لا يمكن لأي دور استخدام هذا النسق','ar',0,0),(4290,'وسوم إتش.تي.إم.إل المسموح بها: @tags','ar',0,0),(4291,'تستخدم المراسي لعمل روابط لصفحات أخرى.','ar',0,0),(4292,'مبدئيا، تضاف وسوم فصل السطور تلقائيا. استخدم هذا الوسم لإضافة وسوم أخرى زائدة. يختلف هذا الوسم عن الوسوم الأخرى لأنه لا يستخدم في زوج فتح و إغلاق مثل الآخرين. استخدم \"/\" داخل الوسم لكي تحافظ على التوافق مع معايير إكس.إتش.تي.إم.إل 1.0.','ar',0,0),(4293,'نص مع<br /> فواصل السطور','ar',0,0),(4294,'افتراضيا، تضاف وسوم الفقرات تلقائيا. استخدم هذا الوسم لإضافة وسوم إضافية.','ar',0,0),(4295,'الفقرة الأولى.','ar',0,0),(4296,'الفقرة الثانية.','ar',0,0),(4297,'مهم','ar',0,0),(4298,'موضّح','ar',0,0),(4299,'مقتبس','ar',0,0),(4300,'نص أكواد يُستخدم لعرض الكود المصدري للبرمجيات','ar',0,0),(4301,'مُكَوَّد','ar',0,0),(4302,'عريض','ar',0,0),(4303,'مائل','ar',0,0),(4304,'نص علوي','ar',0,0),(4305,'نص <sup>علوي</sup>','ar',0,0),(4306,'نص سفلي','ar',0,0),(4307,'نص <sub>سفلي</sub>','ar',0,0),(4308,'<abbr title=\"اختصار\">اخ</abbr>','ar',0,0),(4309,'<acronym title=\"اختصار ثلاثي الحروف\">اثح</acronym>','ar',0,0),(4310,'فقرة مقتبسة','ar',0,0),(4311,'مقتبس داخل السطر','ar',0,0),(4312,'رأس الجدول','ar',0,0),(4313,'خلية في جدول','ar',0,0),(4314,'قائمة مرتبة - استخدم &lt;li&gt; لتبدأ كل عنصر بالقائمة','ar',0,0),(4315,'أول عنصر','ar',0,0),(4316,'ثاني عنصر','ar',0,0),(4317,'قائمة غير مرتبة - استخدم &lt;li&gt; لتبدأ كل عنصر بالقائمة','ar',0,0),(4318,'قوائم التعريفات مشابهة للقوائم في إتش.تي.إم.إل. رقم &lt;dl&gt; يبدأ قائمة التعريفات، و رقم &lt;dt&gt; يبدأ المصطلح، و رقم &lt;dd&gt; يبدأ تعريف المصطلح.','ar',0,0),(4319,'أول مصطلح','ar',0,0),(4320,'أول تعريف','ar',0,0),(4321,'ثاني مصطلح','ar',0,0),(4322,'ثاني تعريف','ar',0,0),(4323,'عنوان ثالث','ar',0,0),(4324,'عنوان رابع','ar',0,0),(4325,'عنوان خامس','ar',0,0),(4326,'عنوان سادس','ar',0,0),(4327,'وصف الوسم','ar',0,0),(4328,'عند كتابة','ar',0,0),(4329,'يظهر لك','ar',0,0),(4330,'لا توجد مساعده متوفرة للوسم %tag.','ar',0,0),(4331,'رمز &','ar',0,0),(4332,'علامة التنصيص','ar',0,0),(4333,'وصف الحرف','ar',0,0),(4334,'تفصل السطور و الفقرات تلقائيا.','ar',0,0),(4335,'يتم التعرف على السطور والفقرات تلقائيا. وسم فصل السطر &lt;br /&gt;، و وسم بداية الفقرة &lt;p&gt;، و وسم إغلاق الفقرة &lt;/p&gt; تضاف تلقائيا. إذا لم تعرف الفقرات تلقائيا، أضف سطرين فارغين بينها.','ar',0,0),(4336,'تتحول مسارات مواقع وب و عناوين البريد الإلكتروني إلى روابط آليا.','ar',0,0),(4337,'اسم مختصر لكن ذو مغزى لهذه المجموعة من النقاشات المتفرعة.','ar',0,0),(4338,'وصف عام و قواعد النقاش لهذا المنتدى.','ar',0,0),(4339,'تُعرض المنتديات بترتيب تصاعدي حسب الوزن (المنتديات المتساوية في الوزن ترتب أبجديا).','ar',0,0),(4340,'اسم مختصر لكن ذو مغزى لهذه المجموعة من المنتديات المتقاربة.','ar',0,0),(4341,'وصف عام و قواعد المنتديات في هذه الحاوية.','ar',0,0),(4342,'تُعرض الحاويات بترتيب تصاعدي حسب الوزن (الحاويات المتساوية في الوزن ترتب أبجديا).','ar',0,0),(4343,'حذف منتدى أو حاوية سيحذف أيضا كل المنتديات الفرعية والمناقشات التابعة له. ان كنت تريد فقط حذف مواضيع من المنتدى استخدم صفحة <a href=\"content\">إدارة المحتوى</a>. لا يمكن التراجع عن هذا الفعل.','ar',0,0),(4344,'العدد المبدئي للمناقشات التي ستعرض في صفحة واحدة.','ar',0,0),(4345,'الترتيب الافتراضي لعرض المواضيع.','ar',0,0),(4346,'عادة ما توضع الحاويات في المستوى الأعلى (الجذر) من المنتدى. ولكن يظل بالإمكان وضع حاوية داخل حاوية أخرى أو منتدى.','ar',0,0),(4347,'يمكن وضع المنتديات بالمستوى الأعلى (الجذر)، أو بداخل حاوية.','ar',0,0),(4348,'لمزيد من المعلومات، طالع صفحة <a href=\"@forum\">وحدة المنتديات</a> في كتيب الاستخدام.','ar',0,0),(4349,'مناقشة منتدى','ar',0,0),(4350,'غير مسموح لك بإنشاء نقاشات جديدة في المنتدى.','ar',0,0),(4351,'تسير عرض المساعدة المباشرة.','ar',0,0),(4352,'لاحظ أن ملفات الترجمة <em>.po</em> المتواجدة بحزمة ترجمة يتم استيرادها تلقائيا (في حال وجودها) عند تفعيل وحدات أو حلل جديدة أو عند إضافة لغات جديدة. بما أن هذه الصفحة تسمح باستيراد ملف <em>.po</em> واحد فقط في كل مرة، فقد يكون من الأسهل تحميل وتفكيك حزمة ترجمة داخل مجلدك الذي ثُبّت فيه دروبال و<a href=\"@language-add\">أضافة اللغة</a> (هذا سيستورد تلقائيا كل ملفات <em>.po</em> الموجودة بالحزمة). حزم الترجمة متوفرة للتحميل في <a href=\"@translations\">صفحة ترجمة دروبال</a>.','ar',0,0),(4353,'تصدّر هذه الصفحة النصوص المترجمة المستعملة من طرف موقعك. ملف التصدير يكون أن يكون على شكل Gettext Portable Object (<em>.po</em>)، الذي يضم كلا من المقطعبن الأصلي و الترجمة (مستعمل لمشاركة الترجمة مع الآخرين)، أو على شكل Gettext Portable Object Template (<em>.pot</em>)، الذي يضم المقطع الأصلي فقط (يستخدم لإنشاء ترجمات جديدة باستخدام محرر ترجمة Gettext).','ar',0,0),(4354,'اللغة المبدئية للرسائل البريدية الخاصة بهذا الحساب.','ar',0,0),(4355,'المسار البديل المحدد للغة معينة سوف يستخدم دائما عند عرض هذه الصفحة بهذه اللغة. و سوف يكون له أسبقية عن المسار البديل المحدد <em>لكل اللغات</em>.','ar',0,0),(4356,'تفعيل دعم تعدد اللغات لهذا النوع من المحتوى. إذا تم التفعيل سوف يظهر حقل لاختيار اللغة في استمارة إضافة هذا النوع من المحتوى لكي يسمح لك باختيار واحدة من <a href=\"!languages\">اللغات المفعلة</a>. إذا لم تُفعّل هذه الخاصية فستُدرج كل الرسائل الجديدة تحت اللغة المبدئية للموقع. المحتوى الموجود مسبقا بالموقع لن يتأثر بأي تغيير يطرأ على هذه الخاصية.','ar',0,0),(4357,'تضيف خصائص التعامل مع اللغات وتمكن المستخدم من تغيير لغة واجهة الاستخدام إلى لغات غير الإنجليزية.','ar',0,0),(4358,'إعدادات استمارة النشر','ar',0,0),(4359,'ليس لنوع المحتوى خانة عنوان.','ar',0,0),(4360,'يمكن أن يحتوي الاسم المقروء من طرف الجهاز على أحرف لاتينية صغيرة وأرقام وشرطات سفلية فقط.','ar',0,0),(4361,'الاسم الموجه للبشر %name مستخدم بالفعل.','ar',0,0),(4362,'هل أنت متأكد أنك راغب في حذف نوع المحتوى %type؟','ar',0,0),(4363,'أُضيف نوع المحتوى %name.','ar',0,0),(4364,'تم تغيير نوع محتوى موضوع واحد من %old-type إلى %type.','ar',0,0),(4365,'لم يُغيّر نوع محتوى أي موضوع.','ar',4364,1),(4366,'تم تغيير نوع محتوى موضوعين من %old-type إلى %type.','ar',4365,2),(4367,'تم تغيير نوع محتوى @count[3] مواضيع من %old-type إلى %type.','ar',4366,3),(4368,'تم تغيير نوع محتوى @count[4] موضوعا من %old-type إلى %type.','ar',4367,4),(4369,'تم تغيير نوع محتوى @count[5] موضوع من %old-type إلى %type.','ar',4368,5),(4370,'هل أنت متأكد أنك ترغب في إعادة بناء صلاحيات محتوى الموقع؟','ar',0,0),(4371,'يُعيد هذا الإجراء بناء كل صلاحيات محتوى الموقع، و لن يمكن التراجع عنه.','ar',0,0),(4372,'اللغة','ar',0,0),(4373,'حدث خطأ ولم تكتمل المعالجة.','ar',0,0),(4374,'يعرض لك المقتطف ما يظهر من الموضوع حال ترقيته إلى الصفحة الرئيسية، أو في تلقيمة آر.إس.إس.<span class=\"no-js\"> يمكنك إضافة &lt;!--break--&gt; لتحدد مكان قطع الموضوع.</span>','ar',0,0),(4375,'نسخة من مراجعة %date.','ar',0,0),(4376,'استُرجِع @type %title إلى مراجعة %revision-date.','ar',0,0),(4377,'حذُفت مراجعة @type %title بتاريخ %revision-date.','ar',0,0),(4378,'@type: تم إعادة %title إلى وضعه في النسخة %revision.','ar',0,0),(4379,'تحتاج صلاحيات الوصول للمحتوى إلى إعادة بنائها.','ar',0,0),(4380,'<strong>اضبط موقعك</strong> بمجرد ولوجك، زر <a href=\"@admin\">قسم الإدارة</a> حيث يمكنك <a href=\"@config\">تطويع و ضبط</a> كل النواحي في موقعك.','ar',0,0),(4381,'<strong>فَعِّل خصائص إضافية</strong> بعدها، زر <a href=\"@modules\">قائمة الوحدات</a> و فعل الخصائص التي تناسب احتياجاتك. بإمكانك معرفة المزيد عن الوحدات الإضافية في <a href=\"@download_modules\">قسم تنزيل وحدات دروبال</a>.','ar',0,0),(4382,'<strong>خصص مظهر موقعك</strong> لتغير شكل ومظهر الموقع، زر <a href=\"@themes\">قسم الثيمات</a>. بإمكانك هناك اختيار واحد من الثيمات الموجودة، كما بإمكانك تحميل ثيمات إضافية من <a href=\"@download_themes\">قسم تحميل ثيمات دروبال</a>.','ar',0,0),(4383,'يعيد بناء صلاحيات الوصول للمحتوى','ar',0,0),(4384,'أُعيد بناء صلاحيات المحتوى.','ar',0,0),(4385,'لم يتم إعادة بناء صلاحيات الوصول للمحتوى بشكل سليم.','ar',0,0),(4386,'استعد مراجعة سابقة','ar',0,0),(4387,'احذف مراجعة سابقة','ar',0,0),(4388,'تسمح بنشر المحتوى على الموقع و عرضه في صفحات.','ar',0,0),(4389,'لاستخدام OpenID يجب أولا أن تنشئ هوية على خادم OpenID عام أو خاص. إذا لم يكن لديك OpenID و تود أن يكون لك واحد، راجع واحدا من <a href=\"@openid-providers\">المزودين العامين المجانين</a>.  يمكنك معرفة المزيد عن OpenID في <a href=\"@openid-net\">هذا الموقع</a>.','ar',0,0),(4390,'هويات OpenID','ar',0,0),(4391,'يمكن دخول المستخدمين إلى موقعك باستخدام OpenID.','ar',0,0),(4392,'البديل %alias سبق استخدامه في هذه اللغة.','ar',0,0),(4393,'تم حفظ البديل.','ar',0,0),(4394,'هل أنت متأكد أنك ترغب في حذف المسار البديل %title؟','ar',0,0),(4395,'رشح المسارات البديلة','ar',0,0),(4396,'أدخل المسار الذي ترغب في إنشاء بديل له، و أتبعه باسم المسار الجديد.','ar',0,0),(4397,'تحرير البديل','ar',0,0),(4398,'احذف البديل','ar',0,0),(4399,'تمكن المستخدمين من إعادة تسمية المسارات.','ar',0,0),(4400,'يوجد بموقع <a href=\"@drupal\">Drupal.org</a> <a href=\"@php-snippets\">بعض الأمثلة بكود PHP</a> أو يمكنك كتابة الكود الخاص بك إذا كان لديك بعض الخبرة في لغة PHP و نظام دروبال.','ar',0,0),(4401,'يمكنك كتابة كود بلغة بي.إتش.بي. يجب أن تضيف أوسمة &lt;?php ?&gt;.','ar',0,0),(4402,'استخدام كود PHP','ar',0,0),(4403,'يمكن كتابة كود PHP في المحتوى بالموقع و في الصناديق. بالرغم من أن إضافة كود PHP في المحتوى أو الصناديق قد يكون ذو فائدة كبيرة إذا أضافه مستخدمون موثوق بهم و ذوي خبرة في لغة PHP إلا أنه قد يكون في غاية الخطورة على أمن الموقع إذا ما استخدم بطريقة خاطئة. مجرد خطأ بسيط في كود PHP يمكن أن يؤدي إلى اختراق موقعك.','ar',0,0),(4404,'إذا لم يكن لديك معرفة كافية بدروبال و لغتي PHP و SQL ابتعد عن استخدام كود PHP في المحتوى. تجربة الكود قد يؤدي إلى تخريب قاعدة البيانات، إيقاف الموقع عن العمل، أو تعريضه للاختراق.','ar',0,0),(4405,'ملاحظات:','ar',0,0),(4406,'تذكر أن تراجع كل سطر أكثر من مرة لتتأكد من خلوه من أي أخطاء في نحو اللغة أو في المنطق الذي تريد تنفيذه <strong>قبل</strong> الحفظ.','ar',0,0),(4407,'يجب أن تقفل كل جملة برمجية بفاصلة منقوطة.','ar',0,0),(4408,'المتغيرات العامة المستخدمة في كود PHP سوف تعود إلى قيمتها الأولية بعد أن ينتهي تنفيذ النص البرمجي الخاص بك.','ar',0,0),(4409,'خيار <code>register_globals</code> <strong>معطل</strong>. إذا كنت تريد أن تستخدم الاستمارات ادرس و استخدم الوظائف الموجودة في <a href=\"@formapi\">واجهة الاستمارات البرمجية بدروبال</a>.','ar',0,0),(4410,'استخدم <code>print</code> أو <code>return</code> في شيفرتك لتقوم بعرض أي محتوى.','ar',0,0),(4411,'قم بتطوير كود PHP التي تريد استخدامها في برمجية مستقلة و قاعدة بيانات أخرى بعيدة عن موقعك قبل أن تقوم بوضعها في الموقع.','ar',0,0),(4412,'فكر في كتابة كود PHP التي تريد استخدامه في وحدة مخصصة لذلك أو في ملف <code>template.php</code> بدل من وضعها مباشرة في صندوق أو في محتوى.','ar',0,0),(4413,'احترس من أن إمكانية إضافة كود PHP في المحتوى توفرها وحدة مرشح PHP. إذا حذّفت عطّلت هذه الوحدة فإن الكود الذي أضفته إلى المحتوى سوف يظهر كما هو بدلا من تنفيذه.','ar',0,0),(4414,'مثال بسيط: <em> عمل صندوق \"ترحيب\" بالزوار برسالة بسيطة. </em>','ar',0,0),(4415,'تمكن تقييم كود/قصاصات بي.إتش.بي المضمّنة.','ar',0,0),(4416,'مجموع الأصوات : @votes','ar',0,0),(4417,'أحدث استطلاع رأي','ar',0,0),(4418,'<em>استطلاع الرأي</em> عبارة عن سؤال مرفق بمجموعة من الخيارات. يتابع استطلاع الرأي عدد الأصوات التي حصل عليها كل اختيار.','ar',0,0),(4419,'حالة استطلاع الرأي','ar',0,0),(4420,'لا يمكن للزائرين التصويت بعد إغلاق الاستطلاع.','ar',0,0),(4421,'يغلق استطلاع الرأي بعد هذه الفترة بشكل آلي.','ar',0,0),(4422,'غير مسموح بالقيم السالبة.','ar',0,0),(4423,'تعذّر تسجيل صوتك لأنك لم تختر أي من الخيارات المتاحة.','ar',0,0),(4424,'عدد الأصوات','ar',0,0),(4425,'استطلاعات الرأي','ar',0,0),(4426,'تم تحديث الحقل.','ar',0,0),(4427,'لا حقول تحت هذا التصنيف. ان لم تضف أي حقول سيحذف التصنيف عند الحفظ.','ar',0,0),(4428,'اسم الحقل. لن يعرض اسم الحقل للمستخدمين، إلا أنه سيستخدم داخليا في شفرة إتش.تي.إم.إل وفي المسارات.\nإلا إذا كنت متأكدا مما تفعل، فمن الموصى به جدا أن تسبق اسم الاستمارة بـ<code>profile_</code>، و ذلك لتلافي أي تعارضات مع أسماء خانات أخرى. غير مسموح بالمسافات أو أي حروف خاصة أخرى باستثناء الشرطة (-) و الشرطة على السطر (_).مثال على أسماء الاستمارات \"profile_favorite_color\"، أو ربما فقط \"profile_color\".','ar',0,0),(4429,'قائمة بكل الخيارات. ضع كل منها في سطر مستقل. أمثلة على الخيارات: \"أحمر\"؛ \"أزرق\"؛ \"أخضر\"...','ar',0,0),(4430,'حقول ملف المستخدم المخفية، متاحة فقط للإداريين، و الوحدات، و السمات.','ar',0,0),(4431,'حقل خاص. لا يظهر المحتوى إلا للمستخدمين ذوي الصلاحية.','ar',0,0),(4432,'حقل عام. يظهر المحتوى في صفحة الملف، لكنه لن يظهر في صفحة قائمة الأعضاء.','ar',0,0),(4433,'حقل عام. يظهر المحتوى في صفحة الملف، و في صفحة قائمة الأعضاء.','ar',0,0),(4434,'يحدد الوزن ترتيب إظهار حقول الاستمارة. تترتب الحقول من الأخف إلى الأثقل في التصنيف الواحد.','ar',0,0),(4435,'ستكمل الاستمارة آليا بينما يملأها المستخدم.','ar',0,0),(4436,'إن لم يكن للمستخدم صلاحية عرض ملفات المستخدمين سيعطل الإكمال الآلي كاحتياط أمني.','ar',0,0),(4437,'اسم الاستمارة المحدد يحتوي حرفا واحدا على الأقل غير مسموح به. غير مسموح بالمسافات أو أي حروف خاصة باستثناء الشرطة (-) و الشرطة على السطر (_).','ar',0,0),(4438,'اسم الاستمارة المحدد محجوز لاستخدام دروبال.','ar',0,0),(4439,'اسم التصنيف المحدد محجوز لاستخدام دروبال.','ar',0,0),(4440,'العنوان المحدد مستخدم فعلا.','ar',0,0),(4441,'الاسم المحدد مستخدم فعلا.','ar',0,0),(4442,'لا يمكن جعل حقل مخفي ضروري.','ar',0,0),(4443,'لا يمكن ضبط الحقول المخفية بحيث تظهر في استمارة التسجيل.','ar',0,0),(4444,'تم إنشاء الحقل.','ar',0,0),(4445,'هل أنت متأكد أنك ترغب في حذف الحقل %field؟','ar',0,0),(4446,'لا يمكن الرجوع عن هذا الفعل. إذا كان المستخدمون قد أدخلوا قيما لهذا الحقل في ملفاتهم الشخصية فستمسح تلك المعلومات أيضا. إذا كنت ترغب في الحفاظ على المعلومات التي أدخلها هؤلاء، بدلا من أن تمسح الحقل ربما ترغب في <a href=\"@edit-field\">تحرير هذا الحقل</a> و تغيير عرضه بحيث لا يصل إليه إلا الإداريين.','ar',0,0),(4447,'تم حذف الحقل %field.','ar',0,0),(4448,'تم إضافة الحقل %field تحت التصنيف %category.','ar',0,0),(4449,'تم حذف حقل ملف المستخدمين %field.','ar',0,0),(4450,'قائمة المستخدمين','ar',0,0),(4451,'حقل نصي من سطر واحد','ar',0,0),(4452,'حقل نصي متعددة السطور','ar',0,0),(4453,'مربع اختيار','ar',0,0),(4454,'قائمة اختيار','ar',0,0),(4455,'قائمة حرة','ar',0,0),(4456,'معلومات المؤلف','ar',0,0),(4457,'اربط بالملف الكامل للمستخدم','ar',0,0),(4458,'حقول الملف الشخصي التي ستعرض','ar',0,0),(4459,'اختر حقول ملف معلومات المستخدمين التي ترغب في ظهورها في الصندوق. الحقول المتاحة هي فقط التي تم تحديدها كحقول عامة في <a href=\"@profile-admin\">إعدادات حقول ملف المستخدم</a>.','ar',0,0),(4460,'اعرض كامل ملف المستخدم','ar',0,0),(4461,'عن %name','ar',0,0),(4462,'ضع كل عنصر في سطر مستقل أو افصل بينها بعلامة الفاصلة. من غير المسموح استخدام إتش.تي.إم.إل.','ar',0,0),(4463,'المسار الذي أدخلته في حقل %field غير صحيح.','ar',0,0),(4464,'أنشئ خانات طيعة لمستخدميك.','ar',0,0),(4465,'أكمل خانة الملف آليا','ar',0,0),(4466,'تحرير الحقل','ar',0,0),(4467,'احذف الحقل','ar',0,0),(4468,'إكمال ملف المستخدم آليا','ar',0,0),(4469,'تدعم إمكانية ضبط ملفات المستخدمين.','ar',0,0),(4470,'سيعاد بناء الفهرس.','ar',0,0),(4471,'حالة الفهرسة','ar',0,0),(4472,'صمام الفهرسة','ar',0,0),(4473,'عدد العناصر التي ستتم فهرستها خلال كل عمل لمجدول الأعمال (كرون)','ar',0,0),(4474,'أقصى عدد من العناصر التي ستتم فهرستها خلال كل <a href=\"@cron\">مهمة صيانة بمجدول الأعمال (كرون)</a>. عند الحاجة، اِخفض هذا العدد لتفادى أخطاء تجاوز المهلات وأخطاء الذاكرة خلال الفهرسة.','ar',0,0),(4475,'إعدادات الفهرسة','ar',0,0),(4476,'<p><em>تغيير الإعدادات التالية سيتسبب في إعادة بناء فهرس الموقع. لن يتم حذف فهرس البحث، و لكن سيتم تحديثه نظاميا ليعكس الإعدادات الجديدة. سيستمر نظام البحث في العمل إلا أن المحتويات الجديدة لن تفهرس حتى تتم إعادة فهرسة كامل المواد الموجودة.</em></p><p><em>يفترض أن تكون الإعدادات الافتراضية مناسبة لغالبية المواقع.</em></p>','ar',0,0),(4477,'الحد الأدنى لطول الكلمة التي تفهرس','ar',0,0),(4478,'عدد أحرف الكلمة التي يجب أن تحتوي عليها الكلمة حتى تتم فهرستها. القيم الأقل يعني رتبة أفضل لنتائج البحث و لكن يتسبب في كبر حجم قاعدة البيانات. كل استعلام بحث يجب أن يحتوي على الأقل على كلمة واحدة بهذا العدد من الأحرف (أو أطول).','ar',0,0),(4479,'تعمل مع الصينية/اليابانية/الكورية المبسطة','ar',0,0),(4480,'تطبيق tokenizer للصينية/الكورية/اليابانية المبسطة مبني على التتابعات المتقاطعة. الغ تشغيل هذه الخاصية إذا كنت تود استخدام برنامج معالجة خارجي لهذا الغرض. لا يؤثر هذا الخيار في اللغات الأخرى.','ar',0,0),(4481,'يحافظ محرك البحث على فهرس للكلمات الموجودة في محتوى موقعك. يتطلب بناء وصيانة هدا الفهرس <a href=\"@cron\">مهمة صيانةٍ بمجدول الأعمال (كرون)</a> معَدة إعدادا صحيحا. يمكن تعديل طريقة الفهرسة باستعمال الإعدادات أسفله.','ar',0,0),(4482,'استمارة البحث','ar',0,0),(4483,'تفعل البحث على مستوى الموقع كله.','ar',0,0),(4484,'زمن توليد الصفحة الكلي','ar',0,0),(4485,'%time ملي ثانية','ar',0,0),(4486,'أشهر الصفحات في آخر %interval','ar',0,0),(4487,'أهم الزوار في آخر %interval','ar',0,0),(4488,'أكثر من يربط للموقع في آخر %interval','ar',0,0),(4489,'سجل الوصول إلى كل صفحة. ضروري لإحصاء من يربط إلى الموقع.','ar',0,0),(4490,'سيُتخلص من سجلات الوصول القديمة (بما في ذلك إحصائيات المحيل). (يتطلب <a href=\"@cron\">مهمة صيانةٍ بمجدول الأعمال (كرون)</a> معَدة إعدادا صحيحا.)','ar',0,0),(4491,'إعدادات عداد عرض المحتوى','ar',0,0),(4492,'عدد مرات عرض المحتوى','ar',0,0),(4493,'عد كل مرة يعرض فيها المحتوى.','ar',0,0),(4494,'إعدادات المعلومات الإحصائية التي سيقوم دروبال بحفظها عن الموقع.طالع <a href=\"@statistics\"> إحصائيات الموقع</a> للمعلومات الفعلية.','ar',0,0),(4495,'تظهر هذه الصفحة أحدث الزيارات للموقع.','ar',0,0),(4496,'تظهر هذه الصفحة الروابط الواردة التي يصل منها الزوار لموقعك أو المواقع التي تذكر موقعك.','ar',0,0),(4497,'عندما تحجب زائرا، فأنت تمنع أي وصول إلى موقعك من عنوان IP الخاص به. بعكس إيقاف مستخدم ما فإن حجب زائر يعمل حتى وإن كان مستخدما مجهولا. الاستخدام الأكثر شيوعا لهذه الميزة هو في حجب آليات محركات البحث التي تستنفذ موارد النظام.','ar',0,0),(4498,'المحتوى المشهور','ar',0,0),(4499,'عدد العناصر التي ستعرض في قائمة \"في عمر الموقع\".','ar',0,0),(4500,'عدد العناصر التي ستعرض في قائمة \"المعروض حديثا\".','ar',0,0),(4501,'اليوم:','ar',0,0),(4502,'في عمر الموقع:','ar',0,0),(4503,'آخر ما عرض:','ar',0,0),(4504,'اعرض سجل الوصول.','ar',0,0),(4505,'تحتفظ بسجلات الوصول لموقعك.','ar',0,0),(4506,'تسجل أحداث النظام في سجل النظام.','ar',0,0),(4507,'صور المستخدمين في الرسائل','ar',0,0),(4508,'صور المستخدمين في التعليقات','ar',0,0),(4509,'رمز الاختصار','ar',0,0),(4510,'إعدادات صورة الشعار','ar',0,0),(4511,'عند تفعيلها، يعرض الشعار التالي.','ar',0,0),(4512,'استخدم الشعار المبدئي','ar',0,0),(4513,'اختر هنا إذا أردت أن تستخدم السمة الشعار الذي صمم معها.','ar',0,0),(4514,'مسار الملف الذي تود استخدامه كشعار لك بدلا من الشعار المبدئي.','ar',0,0),(4515,'رفع صورة الشعار','ar',0,0),(4516,'إعدادات أيقونة الاختصار','ar',0,0),(4517,'تظهر أيقونة الاختصار أو أيقونتك المفضلة في شريط العنوان وفي قائمة المواقع المفضلة في غالبية المتصفحات.','ar',0,0),(4518,'استخدم أيقونة الاختصار المبدئية.','ar',0,0),(4519,'أشر هنا إذا أردت أن تستخدم السمة الأيقونة المبدئية.','ar',0,0),(4520,'مسار ملف الصورة الذي تود استخدامه كأيقونة اختصار.','ar',0,0),(4521,'رفع صورة الأيقونة','ar',0,0),(4522,'إذا لم يكن لديك وصول مباشر إلى الملفات على الخادم، استخدم هذا الحقل لرفع أيقونتك الاختصار.','ar',0,0),(4523,'@module (<span class=\"admin-missing\">مفقود</span>)','ar',0,0),(4524,'ستزال هذه الوحدات من على موقعك بشكل كامل، <em>و ستلغى كل البيانات المرتبطة بها</em>!','ar',0,0),(4525,'تأكيد الإزالة','ar',0,0),(4526,'هل ترغب في إكمال إزالة ما سبق؟','ar',0,0),(4527,'لم يتم اختيار أي وحدات.','ar',0,0),(4528,'تمت إزالة الوحدات المحددة.','ar',0,0),(4529,'صفحة 403 (الوصول ممنوع) الافتراضية','ar',0,0),(4530,'صفحة 404 (غير موجود) الافتراضية','ar',0,0),(4531,'تم مسح ذاكرات التخزين الموقت.','ar',0,0),(4532,'اختر أداة التعامل مع الصور','ar',0,0),(4533,'عدد العناصر في كل تلقيمة','ar',0,0),(4534,'العدد الافتراضي للعناصر التي سيتم إدراجها في التلقيمة.','ar',0,0),(4535,'محتوى التلقيمات','ar',0,0),(4536,'العناوين بالإضافة للمقتطف','ar',0,0),(4537,'الإعدادات العامة للعرض الافتراضي لعناصر المحتوى في كل تلقيمة.','ar',0,0),(4538,'اكتمل مجدول الأعمال (كرون) بنجاح.','ar',0,0),(4539,'فشل عمل كرون.','ar',0,0),(4540,'لا توجد وحدات يمكن إزالتها.','ar',0,0),(4541,'تتطلب هذه السمة النسخة @php_required من بي.إتش.بي ولا تتوافق مع النسخة !php_version منها.','ar',0,0),(4542,'تظهر لك هذه الصفحة كل المهام الإدارية الممكنة لكل وحدة.','ar',0,0),(4543,'تتحكم هذه الخيارات في العرض المبدئي للموقع بأكمله بغض النظر عن السمة المستخدمة. تستخدم هذه الإعدادات طالما لم يتم تجاوزها في سمة بعينها.','ar',0,0),(4544,'يوفر صندوق <em>يستخدم دروبال</em> وصلة اختيارية إلى صفحة مشروع دروبال. مع أن إضافة وصلة كهذه ليس مطلبا على الإطلاق، إلا أنه يمكن استخدامه لإظهار الدعم لمشروع دروبال.','ar',0,0),(4545,'تجد هنا عرض عام لمؤشرات الموقع بالإضافة للمشاكل التي تحدث أثناء التثبيت. في حال حدوث مشكلة يمكنك نسخ\\لصق نص المشكلة عند طلب الدعم في موقع دروبال أو في صفحة الوحدة التي سببت هذه المشكلة.','ar',0,0),(4546,'يستخدم دروبال','ar',0,0),(4547,'تعذّر حذف الملف المؤقت \"%path\" أثناء جمع القمامة','ar',0,0),(4548,'الوضع المصغر','ar',0,0),(4549,'عرض التاريخ والتوقيت','ar',0,0),(4550,'فحص المسارات النظيفة','ar',0,0),(4551,'-1 (غير محدود)','ar',0,0),(4552,'نسخة بي.إتش.بي قديمة جدا. يتطلب دروبال على الأقل نسخة بي.إتش.بي %version.','ar',0,0),(4553,'‏<em>register_globals</em> مُفعّل. يتطلب دروبال تعطيل خيار التضبيط هذا. قد لا يكون موقعك آمنا عند تفعيل <em>register_globals</em>. يحتوي كتيّب بي.إتش.بي على <a href=\"http://php.net/configuration.changes\">تعليمات لتعطيل هذا التضبيط.</a>.','ar',0,0),(4554,'مُفعّل (\'@value\')','ar',0,0),(4555,'قد ترغب في زيادة حد ذاكرة بي.إتش.بي إلى %memory_minimum_limit لتفادي الأخطاء أثناء التركيب.','ar',0,0),(4556,'قد ترغب في زيادة حد ذاكرة بي.إتش.بي إلى %memory_minimum_limit لتفادي الأخطاء أثناء التحديث.','ar',0,0),(4557,'حسب تضبيطاتك، يستطيع دروبال العمل مع حد ذاكرة بي.إتش.بي %memory_limit. مع هذا يُنصح بحد ذاكرة يساوي %memory_minimum_limit أو أكثر، خاصة إذا كان موقعة يستخدم وحدات إضافية.','ar',0,0),(4558,'ارفع حد الذاكرة بتغيير قيمة المعامل memory_limit في الملف %configuration-file ثم أعد تشغيل خادمك للويب (أو اتصل بمدير نظامك أو مقدم خدمة الاستضافة للحصول على مساعدة).','ar',0,0),(4559,'إتصل بإدارة النظام أو مقدم الإستضافة للمساعدة في تزويد حد ذاكرة الـ PHP.','ar',0,0),(4560,'راجع <a href=\"@url\">متطلبات دروبال</a> لمزيد من المعلومات.','ar',0,0),(4561,'غير مَحْمي','ar',0,0),(4562,'الملف %file غير محم من التعديلات و قد يشكل خطورة على الأمان. ينبغي عليك تغيير صلاحيات الملف كي لا يقبل الكتابة فيه.','ar',0,0),(4563,'لم يتم تشغيل الدورية مؤخرا.','ar',0,0),(4564,'لا يمكن الكتابة في الدليل %directory.','ar',0,0),(4565,'تحتاج إلى ضبط الدليل في <a href=\"@admin-file-system\">صفحة إعدادات نظام الملفات</a>، أو إلى أن تغير صلاحيات الدليل الحالي ليقبل الكتابة فيه.','ar',0,0),(4566,'قابل للكتابة (طريقة تنزيل <em>خاصة</em>)','ar',0,0),(4567,'تتطلب بعض الوحدات تركيب مخطط جديد في قاعدة البيانات. ينبغي عليك تشغيل <a href=\"@update\">برمجية تحديث قاعدة البيانات</a> حالا.','ar',0,0),(4568,'يستطيع أي شخص الوصول إلى update.php دون استيثاق، ما يمثل خطرا أمنيا. يجب أن تُعيد قيمة $update_free_access في ملف settings.php إلى FALSE.','ar',0,0),(4569,'تتعامل مع ضبط الموقع العام للإداريين.','ar',0,0),(4570,'أعد إلى الأبجدي','ar',0,0),(4571,'تُعرض المفردات تصاعديا مرتبة حسب الوزن.','ar',0,0),(4572,'يجب أن تكون قيمة الوزن عددية.','ar',0,0),(4573,'هل أنت متأكد أنك ترغب في إعادة معجم %title إلى الترتيب الأبجدي؟','ar',0,0),(4574,'إعادة المعجم إلى الترتيب الأبجدي سيحذف أيضا أي ترتيب يدوي.','ar',0,0),(4575,'إعادة المعجم %name إلى الترتيب الأبجدي.','ar',0,0),(4576,'تدار ترجمات أي جزء من المحتوى عبر أطقم الترجمة. لكل طقم ترجمة موضوع أصل وأي عدد من الترجمات بأي من <a href=\"!languages\">اللغات المفعّلة</a>. يحدد ما إذا كانت الترجمة حديثة أو قديمة على حسب مدى تغير الموضوع الأصل.','ar',0,0),(4577,'إعدادات الترجمة','ar',0,0),(4578,'علّم الترجمات قديمة','ar',0,0),(4579,'إذا كنت قد غيّرت كثيرا في الأصل بحيث تحتاج الترجمات إلى تحديث، فيمكنك تعليم كل ترجمات هذا الموضوع على أنها قديمة. لن يغير هذا أي من الخصائص الأخرى لهذه المواضيع كحالة النشر من عدمه.','ar',0,0),(4580,'تحتاج هذه الترجمة إلى تحديث','ar',0,0),(4581,'عند تحديد هذا الخيار فستحتاج هذه الترجمة لتحديثها لأن الأصل تغير. ارفع تحديد هذا الخيار بعد تحديث الترجمة.','ar',0,0),(4582,'ترجمة المحتوى','ar',0,0),(4583,'تسمح بترجمة المحتوى إلى لغات مختلفة.','ar',0,0),(4584,'تاريخ إصدار مجهول','ar',0,0),(4585,'آخر تحقق : منذ @time','ar',0,0),(4586,'آخر تحقق: لم يتم التحقق بعد','ar',0,0),(4587,'تشمل: %includes','ar',0,0),(4588,'وحدات مُعَطَّلة','ar',0,0),(4589,'سمات مُعَطَّلة','ar',0,0),(4590,'حدد الوتيرة التي تريد لمراقبة الإصدارات الجديدة لوحداتك وحللك المثبتة حاليا.','ar',0,0),(4591,'عتبة الإخطار بالبريد','ar',0,0),(4592,'يمكنك أن تختار إخطارك بالتحديثات الأمنية فقط أو إخطارك بكل الإصدارات الجديدة. عند توفر تحديثات جديدة لقلب دروبال أو أي من الوحدات والسمات المركبة، فسيعرض موقعك دائما رسالة في صفحة <a href=\"@status_report\">تقرير الحالة</a>، وسيعرض أيضا رسالة خطأ في صفحات الإدارة عند توفر تحديثات أمنية.','ar',0,0),(4593,'تجد هنا معلومات عن التحديثات المتوفرة للوحدات والسمات المركبة. لاحظ أن كل وحدة أو سمة جزء من \"مشروع\" والذي قد يحمل نفس الاسم أو لا، وقد يشتمل على أكثر من وحدة أو سمة.','ar',0,0),(4594,'حالة تحديث الوحدات الحلل','ar',0,0),(4595,'يوجد تحديث أمني لواحد أو أكثر من الوحدات أو السمات المركبة. لضمان أمان موقعك يتعين عليك التحديث حالا.','ar',0,0),(4596,'توجد تحديثات لواحد أو أكثر من الوحدات أو السمات المركبة. لتضمن بقاء موقعك عاملا كما ينبغي علك الترقية بأسرع وقت.','ar',0,0),(4597,'أخطِر المستخدم عند تفعيل حسابه.','ar',0,0),(4598,'أخطِر المستخدم عند منع حسابه.','ar',0,0),(4599,'إرشادات الصور','ar',0,0),(4600,'يعرض هذا النص في استمارة رفع الصور، و ذلك بالإضافة إلى التعليمات المبدئية. يفيد النص في توجيه المستخدمين.','ar',0,0),(4601,'اسم الدور. مثلا: \"مشرف\"؛ \"محرر\"؛ \"مصمم\".','ar',0,0),(4602,'تمت إعادة تسمية الدور.','ar',0,0),(4603,'تم حذف الدور.','ar',0,0),(4604,'إرسال كلمة المرور الجديدة إلى البريد الإلكتروني','ar',0,0),(4605,'عفوا، لم يتم التعرف على %name كاسم مستخدم أو عنوان بريد إلكتروني.','ar',0,0),(4606,'تم إرسال تعليمات إضافية إلى عنوان بريدك الإلكتروني.','ar',0,0),(4607,'تم حذف %name.','ar',0,0),(4608,'يجب أن تدخل اسم مستخدم.','ar',0,0),(4609,'يجب ألا يبدأ اسم المستخدم بمسافة.','ar',0,0),(4610,'يجب ألا ينتهي اسم المستخدم بمسافة.','ar',0,0),(4611,'يجب ألا يحتوى اسم المستخدم على مسافات متتالية.','ar',0,0),(4612,'يحتوى اسم المستخدم على حرف غير مسموح به.','ar',0,0),(4613,'اسم المستخدم %name طويل جدا: يجب الا يزيد أسم المستخدم عن %max حرفا.','ar',0,0),(4614,'يجب أن تدخل بريدك الإلكترونى.','ar',0,0),(4615,'المتصلون الأن','ar',0,0),(4616,'طول قائمة المستخدمين','ar',0,0),(4617,'أدخل كلمة المرور المصاحبة لاسم مستخدمك.','ar',0,0),(4618,'إعدادات التوقيع','ar',0,0),(4619,'احذف الصورة','ar',0,0),(4620,'اختر هذا الصندوق لتحذف صورتك الحالية.','ar',0,0),(4621,'ارفع المنع عن المستخدمين المختارين','ar',0,0),(4622,'امنع المستخدمين المختارين','ar',0,0),(4623,'تمكن هذه الصفحة الإداريين من تسجيل مستخدمين جدد. يجب أن تكون عناوين البريد الإلكتروني وأسماء المستخدمين فريدة.','ar',0,0),(4624,'أدخل نمطا بسيطا (يمكن استخدام \"*\" كجوكر) للبحث عن اسم مستخدم.مثلا، يمكن البحث عن \"مح\" ليعطي دروبال يعطى نتائج مثل \"محمد\" و \"محمود\" و \"محفوظ\".','ar',0,0),(4625,'حُذف المستخدم: %name ‏%email.','ar',0,0),(4626,'تحرير الدور','ar',0,0),(4627,'تدير نظام تسجيل و ولوج المستخدمين.','ar',0,0),(4628,'جَرلاند','ar',0,0),(4629,'تشغيل اختبار المسارات النظيفة','ar',0,0),(4630,'يظهر العنوان عندما يمر سهم الماوس فوق الصورة.','ar',0,0),(4631,'مؤشر التقدم','ar',0,0),(4632,'شريط مع مقياس التقدم','ar',0,0),(4633,'Throbber','ar',0,0),(4634,'فشل في رفع الملف. %upload','ar',0,0),(4635,'حدث خطأ غير قابل للاسترجاع. حجم الملف على الأرجح تجاوز الحد الأقصى (@size) الذي يتحمله الخادم.','ar',0,0),(4636,'يتم الرفع...','ar',0,0),(4637,'جاري الرفع... (@current من @total)','ar',0,0),(4638,'لا يستطيع خادمك عرض تقدم رفع الملفات. يتطلب عرض تقدم رفع الملفات أن يعمل PHP مع mod_php وليس كـFastCGI.','ar',0,0),(4639,'بإمكان خادمك عرض حالة تقدم رفع الملفات بواسطة APC، ولكنه غير مفعل. يرجى إضافة <code>apc.rfc1867 = 1</code> إلى ملف الإعدادات php.ini. بدلا من ذلك، يوصى باستخدام <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>، التي تدعم رفع أكثر من ملف واحد في نفس الوقت.','ar',0,0),(4640,'مفعل (<a href=\"http://php.net/manual/en/apc.configuration.php#ini.apc.rfc1867\">APC RFC1867</a>)','ar',0,0),(4641,'مفعل (<a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress</a>)','ar',0,0),(4642,'@size كيلوبايت','ar',0,0),(4643,'@size ميغابايت','ar',0,0),(4644,'@size جيغابايت','ar',0,0),(4645,'@size تيرابايت','ar',0,0),(4646,'@size بيتابايت','ar',0,0),(4647,'@size إكسابايت','ar',0,0),(4648,'@size زيتابايت','ar',0,0),(4649,'@size يوتابايت','ar',0,0),(4650,'كل الرسائل','ar',0,0),(4651,'(فارغ)','ar',0,0),(4652,'لا توجد مواضيع جديدة','ar',0,0),(4653,'موضوع مثبت','ar',0,0),(4654,'يحتوي ملف الترجمة %filename على خطأ: \"msgctxt\" غير متوقع في السطر %line.','ar',0,0),(4655,'إعدادات المنطقة','ar',0,0),(4656,'مقطع التنسيق','ar',0,0),(4657,'هل أنت متأكد أنك تريد إلغاء التنسيق %format ؟','ar',0,0),(4658,'تم حذف التنسيق %format.','ar',0,0),(4659,'حذف تنسيق التاريخ','ar',0,0),(4660,'السماح للمستخدمين بحذف تنسيق تاريخ مضبوط مسبقاً.','ar',0,0),(4661,'اللوح','ar',0,0),(4662,'تسيير الحقول','ar',0,0),(4663,'@field_name (مقفل)','ar',0,0),(4664,'- اختر نوع الحقل -','ar',0,0),(4665,'- اختر Widget -','ar',0,0),(4666,'نوع البيانات التي سيتم حفظها.','ar',0,0),(4667,'عنصر الاستمارة لتحرير البيانات.','ar',0,0),(4668,'- اختر حقل موجود -','ar',0,0),(4669,'الحقل المشترك','ar',0,0),(4670,'إضافة حقل جديد: يجب إضافة تسمية.','ar',0,0),(4671,'إضافة حقل جديد: يجب كتابة اسم الحقل.','ar',0,0),(4672,'إضافة حقل جديد: يجب عليك تحديد نوع الحقل.','ar',0,0),(4673,'إضافة حقل جديد: يجب عليك تحديد ويدجت.','ar',0,0),(4674,'إضافة حقل جديد: ويدجت غير صالحة.','ar',0,0),(4675,'إضافة حقل موجود: يجب توفير تسمية.','ar',0,0),(4676,'إضافة حقل موجود: يجب تحديد حقل.','ar',0,0),(4677,'إضافة حقل موجود: يجب تحديد ويدجت.','ar',0,0),(4678,'إضافة حقل موجود: ويدجت غير صالحة.','ar',0,0),(4679,'@type: @field (@label)','ar',0,0),(4680,'الحقل %field مقفل ولا يمكن تعديله.','ar',0,0),(4681,'العدد الأقصى للقيم التي يمكن أن يدخلها المستخدم لهذا الحقل.','ar',0,0),(4682,'’غير محدود’ توفر زر ’إضافة المزيد’ للسماح للمستخدمين بإضافة العديد من القيم التي يرغبون بها.','ar',0,0),(4683,'يجب أن يكون %name عدد صحيح.','ar',0,0),(4684,'يجب أن يكون %name عدداً صحيحاً موجباً.','ar',0,0),(4685,'%name يجب أن يكون عدد.','ar',0,0),(4686,'يسمح فقط بالأرقام في %field.','ar',0,0),(4687,'update.php','ar',0,0),(4688,'التدوير','ar',0,0),(4689,'عرض الاختصارات','ar',0,0),(4690,'عرض @width','ar',0,0),(4691,'ارتفاع @height','ar',0,0),(4692,'التكبير مسموح','ar',0,0),(4693,'توليد عشوائي بين - @degrees&deg و @degrees&deg','ar',0,0),(4694,'@degrees&deg','ar',0,0),(4695,'قاعدة البيانات بترميز UTF-8','ar',0,0),(4696,'لم يستطع دروبال تحديد ما إذا كان  ترميز قاعدة البيانات هو UTF-8','ar',0,0),(4697,'قام PostgreSQL بتهيئة نفسه','ar',0,0),(4698,'تم إنشاء دور باسم: @name ومعرف: @rid','ar',0,0),(4699,'تم تسجيل دخول @name بنجاح.','ar',0,0),(4700,'تم العثور على النص \"@text\"','ar',0,0),(4701,'لم يتم العثور على النص \"@text\"','ar',0,0),(4702,'تم العثور على النمط \"@pattern\"','ar',0,0),(4703,'لم يتم العثور على النمط \"@pattern\"','ar',0,0),(4704,'تم تحديد مربع الاختيار @id.','ar',0,0),(4705,'لم يتم تحديد مربع الاختيار @id.','ar',0,0),(4706,'رسالة مستنبطة','ar',0,0),(4707,'حدد الاختبار (الاختبارات) أو مجموعة (مجموعات) الاختبارات التي تريد تشغيلها، وانقر على <em>بدء الاختبارات</em>.','ar',0,0),(4708,'الكل (@count)','ar',0,0),(4709,'الناجحة (@count)','ar',0,0),(4710,'الفاشلة (@count)','ar',0,0),(4711,'العودة إلى القائمة','ar',0,0),(4712,'مسح النتائج بعد كل عملية تشغيل كاملة لسلسلة من الاختبارات','ar',0,0),(4713,'تقديم المعلومات المستنبطة عند تشغيل الاختبارات','ar',0,0),(4714,'إعدادات مصادقة HTTP التي ستستخدم من طرف متصفح SimpleTest أثناء الاختبارات. هي مفيدة عندما يتطلب الموقع مصادقة HTTP أساسية.','ar',0,0),(4715,'@pass، @fail، @exception، و @debug','ar',0,0),(4716,'لم يتم إكمال الاختبار بنجاح.','ar',0,0),(4717,'تم تعطيل مسح النتائج ولن يتم حذف جدول نتائج الاختبارات.','ar',0,0),(4718,'لم يتبق أي جدول لإزالته.','ar',0,0),(4719,'رسالة تصحيح واحدة','ar',0,0),(4720,'رسالة تصحيح واحدة','ar',4719,1),(4721,'رسالتا تصحيح إثنتان','ar',4720,2),(4722,'@count[3] رسائل تصحيح','ar',4721,3),(4723,'@count[4] رسالة تصحيح','ar',4722,4),(4724,'@count[5] رسالة تصحيح','ar',4723,5),(4725,'تم حذف نتيجة اختبار واحدة','ar',0,0),(4726,'تم حذف نتيجة اختبار واحدة','ar',4725,1),(4727,'تم حذف نتيجتي اختبار إثنتين','ar',4726,2),(4728,'تم حذف @count[3] نتائج اختبار','ar',4727,3),(4729,'تم حذف @count[4] نتيجة اختبار','ar',4728,4),(4730,'تم حذف @count[5] نتيجة اختبار','ar',4729,5),(4731,'تم حذف جدول واحد متروك','ar',0,0),(4732,'تم حذف جدول واحد متروك','ar',4731,1),(4733,'تم حذف جدولين متروكين','ar',4732,2),(4734,'تم حذف @count[3] جداول متروكة','ar',4733,3),(4735,'تم حذف @count[4] جدولاً متروكاً','ar',4734,4),(4736,'تم حذف @count[5] جدول متروكة','ar',4735,5),(4737,'تم حذف جدول مؤقت واحد.','ar',0,0),(4738,'تم حذف جدول مؤقت واحد.','ar',4737,1),(4739,'تم حذف جدولين مؤقتين.','ar',4738,2),(4740,'تم حذف @count[3] جداول مؤقتة.','ar',4739,3),(4741,'تم حذف @count[4] جدولا مؤقت.','ar',4740,4),(4742,'تم حذف @count[5] جدول مؤقتة.','ar',4741,5),(4743,'نتائج الاختبار','ar',0,0),(4744,'عرض نتيجة الاختبارات.','ar',0,0),(4745,'hash','ar',0,0),(4746,'الرابط الدائم للتعليق','ar',0,0),(4747,'مدونات !site_name','ar',0,0),(4748,'صندوق البحث','ar',0,0),(4749,'تحرير النمط','ar',0,0),(4750,'حذف النمط','ar',0,0),(4751,'التحقق من تحديثات الوحدات الحلل المعطلة.','ar',0,0),(4752,'الجالب','ar',0,0),(4753,'هذه الصلاحية منبثقة من دور المستخدم المعرف.','ar',0,0),(4754,'openid','ar',0,0),(4755,'أضافه !username في !datetime','ar',0,0),(4756,'إدارة المنتديات','ar',0,0),(4757,'إلغاء الحساب','ar',0,0),(4758,'القائمة الثانوية','ar',0,0),(4759,'دور إداري','ar',0,0),(4760,'لا توجد أي مراجعة','ar',0,0),(4761,'@number تعليق في الصفحة','ar',0,0),(4762,'العنوان ضروري','ar',0,0),(4763,'الملفات الخاصة','ar',0,0),(4764,'غير مقيد','ar',0,0),(4765,'صناديق أخرى','ar',0,0),(4766,'الفائز في الاستبيان','ar',0,0),(4767,'الإجابة الفائزة في الاستبيان.','ar',0,0),(4768,'أصوات الفائز في الاستبيان','ar',0,0),(4769,'عدد الأصوات التي حصلت عليها الإجابة الفائزة في الاستبيان.','ar',0,0),(4770,'النسبة المئوية من الأصوات التي حصل عليها الفائز','ar',0,0),(4771,'النسبة المئوية للأصوات التي تلقتها الإجابة الفائزة في الاستبيان.','ar',0,0),(4772,'OpenID الخاص بك','ar',0,0),(4773,'سيتم ربط هوية OpenID هذه بحسابك بعد التسجيل.','ar',0,0),(4774,'محتوى الصفحة الرئيسية','ar',0,0),(4775,'لا يسمح لك بالوصول إلى هذه الصفحة.','ar',0,0),(4776,'السماح بالتغييرات على نظام الملفات','ar',0,0),(4777,'يبدو أنك وصلت إلى هذه الصفحة عن طريق الخطأ.','ar',0,0),(4778,'authorize.php','ar',0,0),(4779,'تعذر تشغيل مجدول الأعمال (كرون) لأنه تم استخدام مفتاح غير صالح.','ar',0,0),(4780,'لا يمكن تشغيل مجدول الأعمال (كرون) لأن الموقع في وضع الصيانة.','ar',0,0),(4781,'تحقق من رسائل الخطأ و <a href=\"!url\">تابع التثبيت</a>.','ar',0,0),(4782,'في ملفك %settings_file أعددت @drupal لاستخدام خادم %driver، ولكن تثبيتك الحالي لـPHP لا يدعم هذا النوع من قاعدة البيانات.','ar',0,0),(4783,'عذراً، ولكن يجب أن تحدد لغة لمتابعة التثبيت.','ar',0,0),(4784,'تعذر العثور على أي ملف تثبيت. تحدد لنا ملفات التثبيت الوحدات التي بنبغي تفعيلها والمخطط الذي ينبغي تثبيته في قاعدة البيانات. ملف التثبيت ضروري لمتابعة عملية التثبيت.','ar',0,0),(4785,'عذرا، لا يمكن تحميل الملف الشخصي الذي اخترته.','ar',0,0),(4786,'تمت كل التغييرات المطلوبة على %dir و %file، لذا يُمكنك الآن إزالة صلاحيات الكتابة منهم لتفادي الأخطار الأمنية. إذا لم تكن متأكداً كيف تفعل ذلك، راجع <a href=\"@handbook_url\">كتيب الاستخدام</a>.','ar',0,0),(4787,'هنيئا، لقد قمت بتثبيت @drupal!','ar',0,0),(4788,'من فضلك راجع الرسائل أعلاه قبل التوجه إلى <a href=\"@url\">موقعك الجديد</a>.','ar',0,0),(4789,'<a href=\"@url\">زيارة موقعك الجديد</a>.','ar',0,0),(4790,'ملف الإعدادات','ar',0,0),(4791,'ملف الإعدادات غير موجود.','ar',0,0),(4792,'يحتاج مثبت @drupal لأن تقوم بإنشاء ملف الإعدادات كجزء من عملية التثبيت. قم بنسخ الملف %default_file إلى %file. مزيد من التفاصيل حول تثبيت دروبال متوفرة في <a href=\"@install_txt\">INSTALL.txt</a> .','ar',0,0),(4793,'الملف %file موجود.','ar',0,0),(4794,'ملف الإعدادات غير قابل للكتابة.','ar',0,0),(4795,'يحتاج مثبت @drupal إلى صلاحيات للكتابة على %file أثناء عملية التثبيت. إذا لم تكن متأكد من كيفية القيام بذلك يرجى مراجعة <a href=\"@handbook_url\">الدليل بموقع دروبال</a>','ar',0,0),(4796,'الرسائل الإلكترونية المولدة آلياً كمعلومات التسجيل، سترسل من هذا العنوان. استخدم عنوان في نهايته موقعك الشخصي للمساعدة في منع اعتبار هذه الرسائل كرسائل غير مرغوب بها عند استقبالها.','ar',0,0),(4797,'حساب صيانة الموقع','ar',0,0),(4798,'اختر الدولة الافتراضية للموقع.','ar',0,0),(4799,'استقبال تنبيهات البريد الإلكتروني','ar',0,0),(4800,'سيبلغك النظام عند توفر تحديثات وإصدارات أمنية مهمة للمكونات المثبتة. يتم إرسال معلومات مجهولة المصدر حول موقعك إلى <a href=\"@drupal\">Drupal.org</a>.','ar',0,0),(4801,'لا توجد تحديثات معلقة.','ar',0,0),(4802,'لا توجد تحديثات بالانتظار','ar',0,0),(4803,'يوجد تحديث واحد بالانتظار','ar',4802,1),(4804,'يوجد تحديثان بالانتظار','ar',4803,2),(4805,'يوجد @count[3] تحديثات بالانتظار','ar',4804,3),(4806,'يوجد @count[4] تحديثاً بالانتظار','ar',4805,4),(4807,'يوجد @count[5] تحديث بالانتظار','ar',4806,5),(4808,'حدث خطأ أثناء معالجة الطلب: تلقى الخادم إدخال غير صالح.','ar',0,0),(4809,'بيانات POST في الاستمارة غير صالحة.','ar',0,0),(4810,'تعذرت المتابعة، لا توجد انماط متوفرة لنقل الملفات.','ar',0,0),(4811,'تحذير : أنت لا تستخدم اتصال مشفر، لذلك سيتم إرسال كلمة المرور الخاصة بك بشكل نصي واضح. <a href=\"@https-link\">لمعرفة المزيد</a>.','ar',0,0),(4812,'للاستمرار, زود تفاصيل الاتصال بخادمك.','ar',0,0),(4813,'نمط الاتصال','ar',0,0),(4814,'أدخل إعدادات الاتصال','ar',0,0),(4815,'إعدادات الاتصال @backend','ar',0,0),(4816,'تغيير نوع الاتصال','ar',0,0),(4817,'خطأ، هذا النوع من بروتوكولات الاتصال (%backend) غير موجود.','ar',0,0),(4818,'لا توجد دفعة نشطة.','ar',0,0),(4819,'الموقع قيد الصيانة','ar',0,0),(4820,'لا يمكن أن تعمل الأرشفة إلا على الملفات المحلية: %file غير مدعوم.','ar',0,0),(4821,'تعذر رفع الملف لأن الوجهة %destination غير صحيحة.','ar',0,0),(4822,'تعذر رفع الملف %source لأنه يوجد ملف بنفس هذا الاسم في الدليل %directory.','ar',0,0),(4823,'طول اسم الملف أكثر من 240 حرفاً. أعد تسمية الملف من فضلك ثم حاول من جديد.','ar',0,0),(4824,'%path عبارة عن دليل ولا يمكن حذفه باستخدام file_unmanaged_delete().','ar',0,0),(4825,'الملف %path ليس من نوع معروف لذا لم يتم حذفه.','ar',0,0),(4826,'لا يمكن تطبيق صلاحيات الملف على %uri.','ar',0,0),(4827,'تم @current من @total.','ar',0,0),(4828,'تعذر تشغيل كافة المهام على خادم قاعدة البيانات. لم يتم العثور على المهمة %task.','ar',0,0),(4829,'فشل في تغيير %settings. من فضلك تحقق من صلاحيات الملفات.','ar',0,0),(4830,'فشل في فتح %settings، من فضلك تحقق من صلاحيات الملفات.','ar',0,0),(4831,'الوحدات المطلوبة','ar',0,0),(4832,'لم يتم العثور على وحدات مطلوبة.','ar',0,0),(4833,'الوحدات التالية مطلوبة ولكن لم يتم العثور عليها. اُنقلها إلى المجلد الفرعي للوحدات المناسب، مثل <em>sites/all/modules</em>. الوحدات المفقودة: !modules','ar',0,0),(4834,'تمت إزالة وحدة %module.','ar',0,0),(4835,'ملف الترجمة %filepath يحتوي على خطأ: تعذر تحليل صيغة الجمع.','ar',0,0),(4836,'لا يوجد أي مقطع متوفر.','ar',0,0),(4837,'@count سلسلة HTML غير مسموح بها في %file','ar',0,0),(4838,'تم فقدان ملف ترجمة الجافاسكريبت %file.js.','ar',0,0),(4839,'تعذر إرسال البريد الإلكتروني. الرجاء الاتصال بإدارة الموقع إذا استمرت المشكلة.','ar',0,0),(4840,'صنف %class لا يطبق الواجهة %interface','ar',0,0),(4841,'الموقع قيد الصيانة. <a href=\"@url\">رفع حالة الصيانة.</a>','ar',0,0),(4842,'يعمل في وضع الصيانة.','ar',0,0),(4843,'تم تفعيل الوحدة %module.','ar',0,0),(4844,'وحدة %module معطلة.','ar',0,0),(4845,'تعذر تحديد نوع الدليل المصدر.','ar',0,0),(4846,'تعذر تحديد نوع المشروع.','ar',0,0),(4847,'خطأ فادح أثناء التحديث، تعذر حذف دليل التثبيت.','ar',0,0),(4848,'فشل في رفع الملف، بسبب : !reason','ar',0,0),(4849,'تعذر إنشاء %directory بسبب: %reason','ar',0,0),(4850,'لا يمكن إعداد دروبال بشكل صحيح مع قاعدة البيانات الموجودة. يرجى مراجعة أية أخطاء.','ar',0,0),(4851,'لا توجد تلقيمات متاحة. <a href=\"@link\">أضف تلقيمة</a>.','ar',0,0),(4852,'لا توجد تصنيفات متاحة. <a href=\"@link\">أضف تصنيف</a>.','ar',0,0),(4853,'المدة الزمنية بين تحديث التلقيمات. يتطلب <a href=\"@cron\">مهمة دورية</a> معدة بشكل سليم.','ar',0,0),(4854,'عدد الأخبار في الصندوق','ar',0,0),(4855,'بإمكان دروبال عمل صندوق لأحدث الأخبار في هذه التلقيمة. بإمكانك <a href=\"@block-admin\">إعداد الصناديق</a> للعرض في الشريط الجانبي الخاص بصفحتك. يسمح لك هذا الإعداد بتحديد عدد عناصر الأخبار التي ستظهر في صندوق التلقيمة هذا. إذا اخترت \'0\' سوف يعطل هذا الصندوق.','ar',0,0),(4856,'المسار %url ليس صحيحاً. يرجى إدخال مسار كامل، مثل http://www.example.com/feed.xml.','ar',0,0),(4857,'توجد فعلا تلقيمة باسم %feed. من فضلك أدخل عنواناً مختلفاً.','ar',0,0),(4858,'توجد فعلا تلقيمة للمسار %url. من فضلك أدخل مساراً مختلفاً.','ar',0,0),(4859,'رفع ملف OPML يحتوي على قائمة التلقيمات المراد استيرادها.','ar',0,0),(4860,'مسار OPML البعيد','ar',0,0),(4861,'أدخل مسار ملف OPML. سيتم تحميل ومعالجة هذا الملف عند إرسال الاستمارة.','ar',0,0),(4862,'بإمكان دروبال عمل صندوق لأحدث الأخبار في تلقيمة. بإمكانك <a href=\"@block-admin\">إعداد الصناديق</a> للعرض في الشريط الجانبي الخاص بصفحتك. يسمح لك هذا الإعداد بتحديد عدد عناصر الأخبار التي ستظهر في صندوق التلقيمة. إذا اخترت \'0\' سوف تعطل هذه الصناديق التلقيمية.','ar',0,0),(4863,'يجب عليك رفع ملف أو إدخال مسار <em>حسب اختيارك</em>.','ar',0,0),(4864,'هذا المسار غير صحيح.','ar',0,0),(4865,'لم تتم إضافة أي تلقيمة جديدة.','ar',0,0),(4866,'المسار %url غير صحيح.','ar',0,0),(4867,'توجد فعلا تلقيمة بعنوان %title.','ar',0,0),(4868,'توجد فعلا تلقيمة للمسار %url.','ar',0,0),(4869,'تقوم الجوالب بتحميل البيانات من مصدر خارجي. اختر جالبا مناسبا للمصدر الخارجي المراد التحميل منه.','ar',0,0),(4870,'تقوم المحللات بمطابقة البيانات المحملة على البنية المبدئية. اختر محلل مناسب لنوع التلقيمة المراد تجميع الأخبار منها.','ar',0,0),(4871,'تعمل المعالجات علي بيانات التلقيمات المحللة، على سبيل المثال تخزين عناصر التلقيمة. اختر المعالجات المناسبة لمُهمتك.','ar',0,0),(4872,'الإعدادت الافتراضية مناسبة لأغلب مهام التجميع.','ar',0,0),(4873,'توجد فعلا فئة بعنوان %category. يرجى إدخال عنوان مختلف.','ar',0,0),(4874,'الجالب الافتراضي','ar',0,0),(4875,'يُحمِّل معطيات من عنوان URL باستخدام معالج الطلبات HTTP لدروبال.','ar',0,0),(4876,'المحلل الإفتراضي','ar',0,0),(4877,'يحلل تلقيمات RSS ،Atom و RDF.','ar',0,0),(4878,'المعالج الافتراضي','ar',0,0),(4879,'ينشأ سجلات خفيفة من عناصر التلقيمة.','ar',0,0),(4880,'إعدادات المعالج الافتراضي','ar',0,0),(4881,'عدد العناصر المعروضة في صفحات السرد','ar',0,0),(4882,'يتطلب <a href=\"@cron\">مهمة دورية</a> معدة بشكل سليم.','ar',0,0),(4883,'تحديد الفئات باستخدام','ar',0,0),(4884,'تعتبر مربعات الاختيار أسهل استخداماً بالنسبة لعدد قليل من التصنيفات، في حين أن الاختيار المتعدد يعمل بشكل أفضل بالنسبة لعدد كبير من التصنيفات.','ar',0,0),(4885,'طول ملخص الوصف','ar',0,0),(4886,'العدد الأقصى للحروف المستخدمة في ملخص المحتوى.','ar',0,0),(4887,'وحدة المجمع عبارة عن منظم وقارئ أخبار يجمع ويعرض أحدث المحتويات من التلقيمات المستندة إلى ار.اس.اس، ار.دي.اف و أتوم المتوفرة على شبكة الإنترنت. آلاف المواقع (خصوصا مواقع الأخبار والمدونات) تقوم بنشر آخر عناوين أخبارها في تلقيمات، باستخدام عدد من الأشكال الأساسية المبنية على اكس.ام.ال. لمزيد من المعلومات، يرجى مراجعة <a href=\"@aggregator-module\">وحدة المجمع<> بالكتيب المتوفر على موقع دروبال.','ar',0,0),(4888,'عرض التلقيمات','ar',0,0),(4889,'تحتوي التلقيمات على المحتويات المنشورة، والتي يمكن فرزها في تصنيفات، حسب الموضوع بصفة عامة. بإمكان المستخدمين عرض محتوى التلقيمة <a href=\"@aggregator\">بالصفحة الرئيسية للمجمع</a>، أو <a href=\"@aggregator-sources\">حسب المصدر</a> (بصفة أساسية، عن طريق قارئ تلقيمات RSS). بالإمكان عرض أحدث المحتويات في تلقيمة أو تصنيف معينة في <a href=\"@admin-block\">صفحة إدارة الصناديق</a>.','ar',0,0),(4890,'إضافة، تحرير وحذف التلقيمات','ar',0,0),(4891,'بإمكان الإداريين إضافة، تحرير وحذف التلقيمات، واختيار الطريقة التي تتم بها عملية التحقق من التلقيمات للبحث عن العناصر المحدثة في <a href=\"@feededit\">صفحة إدارة مجمع التلقيمات</a>.','ar',0,0),(4892,'تضمين OPML','ar',0,0),(4893,'لكل التلقيمات يتاح <a href=\"@aggregator-opml\">ملف نظام OPML</a>. OPML عبارة عن ملف مبني على شكل XML يستخدم لتبادل المعلومات المنظمة مثلا كقائمة تلقيمات RSS بالإمكان أيضاً <a href=\"@import-opml\">جلب التلقيمات عن طريق ملف OPML</a>.','ar',0,0),(4894,'إعداد مجدول الأعمال (كرون)','ar',0,0),(4895,'يجب أن يكون <a href=\"@cron\">مجدول الأعمال (كرون)</a> معدا إعدادا صحيحا حتى يتم تحديث التلقيمات تلقائيا.','ar',0,0),(4896,'<acronym title=\"Outline Processor Markup Language\">OPML</acronym> هو شكل من أشكال XML ويستخدم لتبادل العديد من التلقيمات بين المجمعات. يمكن لملف OPML واحد أن يحتوي على مجموعة من التلقيمات. بإمكان دروبال تحليل هذا النوع من الملفات وجلب جميع التلقيمات دفعة واحدة، وذلك لتوفير مجهود إضافتها يدوياً. بإمكانك رفع ملف من جهازك أو إدخال مسار الملف ليقوم دروبال بتحميله.','ar',0,0),(4897,'إدارة تلقيمات الأخبار','ar',0,0),(4898,'عرض تلقيمات الأخبار','ar',0,0),(4899,'إعداد حالة مجمع التلقيمات، بما في ذلك متى يتم تجاهل تلقيمات وطريقة عرض التلقيمات والتصنيفات.','ar',0,0),(4900,'تجاوز العنوان المبدئي للصندوق. استخدم <em>!placeholder</em> كي لا تعرض أي عنوان، أو اتركه فارغاً لاستخدام العنوان المبدئي للصندوق.','ar',0,0),(4901,'حدد أية حلل وأية مناطق سيتم عرض هذا الصندوق فيها.','ar',0,0),(4902,'كل الصفحات باستثناء تلك المدرجة في القائمة','ar',0,0),(4903,'فقط الصفحات المدرجة في القائمة','ar',0,0),(4904,'حدد الصفحات باستخدام المسارات الخاصة بها، أدخل مسار واحد في كل سطر. العلامة \'*\' تحل محل أي سلسلة حرفية. مثلاً %blog لمسار المدونة و %blog-wildcard لأي مدونة شخصية. %front هي الصفحة الرئيسية.','ar',0,0),(4905,'الصفحات التي تعيد <code>TRUE</code> لكود PHP هذا (للخبراء فقط)','ar',0,0),(4906,'الصفحات أو كود PHP','ar',0,0),(4907,'أدخل الكود بين %php إذا اخترت نمط PHP وانتبه إلى أن تنفيذ كود PHP غير صحيح سيؤدي إلى تعطل موقعك.','ar',0,0),(4908,'يمكن تخصيصه من قبل المستخدم','ar',0,0),(4909,'غير قابل للتخصيص','ar',0,0),(4910,'يمكن تخصيصه، مبدئياً ظاهر','ar',0,0),(4911,'يمكن تخصيصه، مبدئياً مخفي','ar',0,0),(4912,'تأكد أن كل صندوق له وصف فريد.','ar',0,0),(4913,'وحدة Block تسمح لك بإنشاء صناديق من المحتوى معروضة في مناطق من صفحة أو عدة صفحات من موقعك. على سبيل المثال، حلة الإدارة Seven، المدمجة مع دروبال، توفر مناطق: \"المحتوى\" و\"المساعدة\" و\"لوحة الجدول الرئيسي\" و\"حافة الشريط الجانبي\"، ويمكن لأي صندوق أن يظهر في أي من هذه المناطق. توفر <a href=\"@block\">صفحة إدارة الصناديق</a> واجهة سحب وإفلات لإسناد صندوق إلى منطقة، وللتحكم في ترتيب الصناديق في منطقة ما. لمزيد من المعلومات يرجى مراجعة دليل <a href=\"@block\">وحدة الصندوق</a>  على الشبكة.','ar',0,0),(4914,'تموضع المحتوى','ar',0,0),(4915,'أثناء العمل مع الصناديق، تذكر أنه <em>ليست كل</em> الثيمات توفر نفس المناطق، أو تعرض المناطق بنفس الطريقة. يتم وضع الصناديق حسب بنية كل ثيمة. بإمكان المستخدمين ذوي صلاحية <em>إدارة الصناديق</em> تعطيل الصناديق. الصناديق المعطلة مدرجة في <a href=\"@blocks\">صفحة إدارة الصناديق</a>، ولكن لا يتم عرضها في أي منطقة.','ar',0,0),(4916,'التحكم بالظهور','ar',0,0),(4917,'يمكن ضبط الصناديق لتكون مرئية على بعض الصفحات فقط لبعض المستخدمين ذوي صلاحيات معينة، أو بعض الصفحات التي تعرض بعضاً من <a href=\"@content-type\">أنواع المحتوى</a>. أيضاً بإمكان الإداريين تمكين المستخدمين من إظهار أو إخفاء صناديق محددة أثناء تحريرهم لصفحة <a href=\"@user\">الملف الشخصي</a> الخاصة بهم. يتم عرض بعض الصناديق الحيوية، كتلك المنشأة عن طريق الوحدات، على صفحات معينة فقط.','ar',0,0),(4918,'إنشاء صناديق مخصصة','ar',0,0),(4919,'بإمكان المستخدمين ذوي صلاحية <em>إدارة الصناديق</em> <a href=\"@block-add\">إضافة صناديق مخصصة</a>، والتي سيتم إدراجها بعد ذلك على <a href=\"@blocks\">صفحة إدارة الصناديق</a>. بعد إنشائها، تتصرف هذه الصناديق كالصناديق المبدئية والصناديق المولدة من طرف الوحدات.','ar',0,0),(4920,'توفر هذه الصفحة واجهة سحب وإفلات لإسناد صندوق ما إلى منطقة ما، وللتحكم في ترتيب الصناديق داخل المناطق. بما أن كل الحلل لا توفر نفس المناطق، أو تعرض المناطق بنفس الطريقة، فسيتم وضع الصناديق حسب بنية الحلة. تذكر أنه لن يتم حفظ تغييراتك إلا بعد النقر على زر <em>حفظ الصناديق</em> في أسفل الصفحة. انقر على رابط <em>ضبط</em> المقابل لكل صندوق لضبط عنوانه وإعدادات عرضه.','ar',0,0),(4921,'معاينة مناطق الصناديق (@theme)','ar',0,0),(4922,'إدارة الصناديق','ar',0,0),(4923,'وصف موجز لصندوقك. يستخدم في <a href=\"@overview\">صفحة إدارة الصناديق</a>.','ar',0,0),(4924,'تخصيص الصناديق','ar',0,0),(4925,'تتألف الصناديق من محتوى أو معلومات تكمل المحتوى الرئيسي للصفحة. قم بتعطيل أو تفعيل الصناديق الاختيارية باستخدام مربعات الاختيار أدناه.','ar',0,0),(4926,'تخزين الصناديق','ar',0,0),(4927,'التخزين المؤقت للصناديق معطل لأنك قمت بتفعيل وحدات تحدد قيود للوصول إلى المحتوى.','ar',0,0),(4928,'التحكم في البناء الشكلي للصناديق من خلال الصفحة التي انشئ من خلالها. الصناديق هي أطر يتم عرض محتوي بها بالعرض في منطقه او نطاق ما من صفحة الويب.','ar',0,0),(4929,'خاضع لبعض الصفحات','ar',0,0),(4930,'لا يمكن وضع الصندوق في هذه المنطقة.','ar',0,0),(4931,'المدونات الفردية','ar',0,0),(4932,'يتم عرض كل تدوينة آلياً مع رابط للصفحة الرئيسية لمدونة المستخدم. بإمكانك إنشاء مدونة شخصية لكل عضو في الموقع مع صلاحية إنشاء تدوينات.','ar',0,0),(4933,'المدونات المتعددة المستخدمين','ar',0,0),(4934,'يتم تجميع تدوينات المستخدمين في مدونة متعددة المستخدمين، تعرض محتوى مدونات كل المستخدمين في قائمة واحدة.','ar',0,0),(4935,'يوجد عنصر قائمة اختياري باسم <em>المدونات</em>، يضاف إلى قائمة الإبحار، والذي يقوم بعرض جميع المدونات المتوفرة في موقعك، و عنصر باسم <em>مدونتي</em> والذي يعرض تدوينات المستخدم الحالي.','ar',0,0),(4936,'توفر وحدة المدونة  أيضا الصندوق المبدئي <em>أحدث التدوينات</em> والذي يمكن تفعيله من <a href=\"@blocks\">صفحة إدارة الصناديق</em>.','ar',0,0),(4937,'إنشاء تدوينة جديدة','ar',0,0),(4938,'تفعل المدونات المتعددة المستخدمين.','ar',0,0),(4939,'لا يوجد كتب.','ar',0,0),(4940,'أنواع المحتوى المسموح بها في فهارس الكتب','ar',0,0),(4941,'بإمكان المستخدمين ذوي صلاحية %outline-perm إضافة كل أنواع المحتوى.','ar',0,0),(4942,'إدارة فهرس (هيكلية) الكتاب','ar',0,0),(4943,'تستخدم وحدة الكتاب لإنشاء محتوى منظم على عدة صفحات، كدليل استخدام الموقع، صفحات المساعدة، وصفحات الويكي. فهي تسمح لك بإنشاء فصول، أقسام وفروع للمحتوى، أو أي هيكل منظم آخر. لمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@book\">وحدة الكتاب</a> بموقع دروبال.','ar',0,0),(4944,'إضافة وإدارة محتوى الكتاب','ar',0,0),(4945,'بإمكانك تعيين صلاحيات منفصلة لإنشاء، تحرير، وحذف محتوى الكتاب، وأيضا <em>إضافة محتوى إلى الكتب</em>، و <em>إنشاء كتب جديدة</em>. بإمكان المستخدمين ذوي صلاحية <em>إدارة هيكل الكتاب</em> إضافة <em>أي</em> نوع محتوى إلى الكتاب وذلك بتحديد فهرس الكتاب المناسب أثناء تحرير محتوى. بإمكانهم أيضاً عرض قائمة بكل الكتب، وتحرير وإعادة ترتيب عناوين الأقسام في <a href=\"@admin-book\">صفحة إدارة الكتاب</a>.','ar',0,0),(4946,'تمتلك صفحات كتاب صندوق إبحار افتراضيا خاصا بالكتاب. يحتوي صندوق الإبحار هذا على روابط تؤدي  إلى الصفحات السابقة والتالية وإلى المستوى الأعلى من الصفحة الحالية من بنية الكتاب. يمكن تفعيل هذا الصندوق من <a href=\'@admin-block\'>صفحة إدارة الصناديق</a>. حتى تظهر صفحات كتاب في صندوق الإبحار يجب إضافتها إلى هيكل كتاب .','ar',0,0),(4947,'بالإمكان التعاون في إنشاء الكتب، من خلال السماح للأعضاء بإضافة صفحات إلى الكتب الموجودة، وإضافة هذه الصفحات إلى جدول أو قائمة محتويات مخصصة.','ar',0,0),(4948,'طباعة الكتب','ar',0,0),(4949,'يمكن للمستخدمين ذوي صلاحية <em>عرض نسخة للطباعة من الكُتب</em> تحديد رابط <em>نسخة للطباعة</em> الموجود أسفل كل صفحة كتاب لتكوين نسخة قابله للطباعة من الصفحة وكل أقسامها الفرعية.','ar',0,0),(4950,'توفر الوحدة Book وسائل لتنظيم مجموعة من صفحات المحتوى المرتبطة والتي يسمّى مجموعها كتابا. عند عرضه، يُظهر المحتوى تلقائيا روابط لصفحات الكتاب المجاورة، موفرا بذلك نظام تصفح بسيط لإنشاء ومراجعة محتوى منظّم.','ar',0,0),(4951,'تمكنك ميزة الهيكلة من إدراج صفحات في <a href=\"@book\">هرم الكتاب</a> وكذا نقلها داخل الهرم أو <a href=\"@book-admin\">إعادة ترتيب الكتاب بأكمله</a>.','ar',0,0),(4952,'إنشاء كتب جديدة','ar',0,0),(4953,'إضافة محتوى و صفحات فرعية للكتب','ar',0,0),(4954,'عرض نسخة للطباعة من الكتب','ar',0,0),(4955,'عرض صفحة الكتاب وكل صفحاتها الفرعية في مستند واحد من أجل تسهيل الطباعة. من الممكن ان يؤدي الى انخفاض الأداء.','ar',0,0),(4956,'لدى <em>الكتب</em> تصفح هرمي مدمج. استعمله للكُتيبات أو الدروس.','ar',0,0),(4957,'تسمح للمستخدمين بإنشاء وتنظيم المحتوى المرتبط ضمن هيكل.','ar',0,0),(4958,'تسمح وحدة الألوان للمستخدمين ذوي صلاحية <em>إدارة إعدادت الموقع</em> بتغيير خطة ألوان الثيمة المتوافقة معها بسهولة وسرعة. لمزيد من المعلومات راجع كتيب <a href=\"@color\">وحدة الألوان</em> بموقع دروبال.','ar',0,0),(4959,'تغيير الألوان','ar',0,0),(4960,'باستخدام الوحدة Color يمكنك أن تغير بسهولة لون الروابط والخلفيات والنصوص وعناصر الحلة الأخرى. لتغيير إعدادت الألوان لحلة متوافقة، اختر رابط <em>الإعدادات</em> للحلة في <a href=\'@configure\'>صفحة إدارة الحلل</a>. إذا لم ترى منتقي الألوان على هذه الصفحة، فهذا يعني أن حلتك غير متوافقة مع الوحدة Color. إذا كنت متأكدا أن الحلة متوافقة مع الوحدة Color، ورغم ذلك لا يظهر منتقي الألوان، فعليك <a href=\'@troubleshoot\'>اتباع خطوات اكتشاف الخلل هذه</a>.','ar',0,0),(4961,'تحفظ الوحدة Color نسخة معدلة لملفات شكل الحلة المعينة في مجلد الملفات. هذا يعني أنك إذا قمت بأي تغييرات يدوية على شكل حلتك، <em>فيجب عليك إعادة تسجيل إعداداتك للألوان، حتى ولو لم تتغير</em>. هذه الخطوة ضرورية لأن أشكلب الوحدة (في مجلد الملفات) تحتاج إلى إعادة الإنشاء لاحتواء تغييراتك.','ar',0,0),(4962,'مكتبة جي.دي في بي.إتش.بي مفعلة، لكن تم تجميعه بدون دعم بي.إن.جي. من فضلك راجع <a href=\"@url\">توثيق بي.إتش.بي للصور</a> من أجل معلومات عن كيفية تصحيح هذا الأمر.','ar',0,0),(4963,'مكتبة GB الخاصة بال PHP مفقودة أو قديمة. راجع <a href=\"@url\">الوثائق الخاصة بالصور في PHP</a> لمعرفة كيفية تصحيح هذا الأمر.','ar',0,0),(4964,'تسمح للإداريين بتعديل مخطط الألوان للثيمات المتوافقة.','ar',0,0),(4965,'من فضلك اختر تعليقاً أو أكثر لتطبيق التحديثات عليهم.','ar',0,0),(4966,'يبدو أنه لا توجد أي تعليقات للحذف أو أن التعليقات التي اخترتها قد حذفها إداري آخر.','ar',0,0),(4967,'تم حذف @count تعليق.','ar',0,0),(4968,'تم حذف التعليق @cid وكل الردود عليه.','ar',0,0),(4969,'تمت الموافقة على التعليق.','ar',0,0),(4970,'تسمح الوحدة Comment للمستخدمين بالتعليق على محتوى الموقع وتعيين إعدادات وصلاحيات التعليق الافتراضية ومراجعة التعليقات. للمزيد من المعلومات، راجع صفحة الدليل على الشبكة الخاصة <a href=\"@comment\">بالوحدة Comment</a>.','ar',0,0),(4971,'الإعدادت الإفتراضية والمخصصة','ar',0,0),(4972,'يمكن لكل <a href=\'@content-type\'>نوع محتوى</a> أن يحصل على إعدادات تعليق افتراضية خاصة به يتم ضبطها على الشكل: <em>مفتوح</em> للسماح بالتعليقات الجديدة، <em>مخفي</em> لإخفاء التعليقات الموجودة ومنع التعليقات الجديدة، أو <em>مغلق</em> لعرض التعليقات الموجودة، ومنع التعليقات الجديدة. سيتم تطبيق هذه الإعدادت الافتراضية على كل المحتويات الجديدة (تغيير إعدادات المحتويات الموجودة مسبقاً سيكون يدوياً). يمكن أيضاً تعديل إعدادت التعليق الأخرى بحسب كل نوع محتوى، ويمكن لكل محتوى أن يعدل إعداداته بشكل مستقل. ويبقى التعليق قابل للتعديل من طرف مؤلفه مادام لم يتم الرد عليه، إذا كان صاحب التعليق مسجل الدخول على الموقع.','ar',0,0),(4973,'إدارة التعليقات وإعدادات التعليق','ar',0,0),(4974,'تعديل تعليقاته','ar',0,0),(4975,'عدد التعليقات الحديثة','ar',0,0),(4976,'التسنن','ar',0,0),(4977,'عرض ردود التعليقات في لائحة مسننة.','ar',0,0),(4978,'إعدادات التعليق الافتراضية على المحتوى الجديد','ar',0,0),(4979,'السماح بعنوان التعليق','ar',0,0),(4980,'عرض استمارة الرد في نفس صفحة التعليقات','ar',0,0),(4981,'يمكن للمستخدمين ذوي صلاحية \"إرسال تعليقات\" المشاركة في التعليقات.','ar',0,0),(4982,'لا يمكن للمستخدمين إرسال تعليقات، لكن يتم عرض التعليقات الموجودة.','ar',0,0),(4983,'التعليقات مخفية من العرض.','ar',0,0),(4984,'لا يمكن للمستخدمين إرسال تعليقات.','ar',0,0),(4985,'تم وضع تعليقك في وضع الانتظار للمعاينة من طرف إدارة الموقع وسيتم نشره بعد الموافقة عليه.','ar',0,0),(4986,'تم إرسال التعليق.','ar',0,0),(4987,'يرجى <a href=\"@login\">تسجيل الدخول</a> أو <a href=\"@register\">إنشاء حساب جديد</a> لإضافة تعليقات','ar',0,0),(4988,'يرجى <a href=\"@login\">تسجيل الدخول</a> لإضافة تعليقات','ar',0,0),(4989,'قائمة مسطحة','ar',0,0),(4990,'قائمة هرمية','ar',0,0),(4991,'حفظ التعليق','ar',0,0),(4992,'سيتم إلغاء نشر التعليق إذا كان يحتوي على أي من العبارات أعلاه. استخدم قائمة من العبارات المفصولة بفواصل. مثلا: مضحك، مبارة، \"شركة\"','ar',0,0),(4993,'تم نشر التعليق %subject.','ar',0,0),(4994,'تم حفظ التعليق %title','ar',0,0),(4995,'التعليقات الغير موافق عليها','ar',0,0),(4996,'مثال: \'webmaster@example.com\' أو \'sales@example.com,support@example.com\'. لتحديد أكثر من مرسل إليه، استخدم الفاصلة للفصل بين عناوين البريد الإلكتروني.','ar',0,0),(4997,'تمت إضافة التصنيف %category.','ar',0,0),(4998,'لا يمكنك إرسال أكثر من %limit من الرسائل في @interval. حاول مرة أخرى لاحقا.','ar',0,0),(4999,'الاتصال بـ @username','ar',0,0),(5000,'قام %sender-name (@sender-from) بإرسال رسالة حول %category.','ar',0,0),(5001,'قام %sender-name (@sender-from) بإرسال بريد إلكتروني إلى %recipient-name.','ar',0,0),(5002,'تسمح وحدة الاتصال للزوار بالاتصال بإدارة الموقع والأعضاء الآخرين. يقوم المستخدمين بتحديد الموضوع، كتابة رسالتهم، ويمكنهم الحصول على نسخة من هذه الرسالة إلى بريدهم الإلكتروني. للمزيد من المعلومات يرجى مراجعة دليل <a href=\"@contact\">وحدة الاتصال</a> على الإنترنت.','ar',0,0),(5003,'استمارات الاتصال بالمستخدم','ar',0,0),(5004,'استمارات الاتصال العامة','ar',0,0),(5005,'عند تفعيل استمارة الاتصال الشاملة للموقع، يتم إنشاء رابط في القائمة الرئيسية <em>للتصفح</em>، ولكن الرابط يكون معطلا افتراضيا. يمكن تفعيل رابط القائمة من <a href=\'@menu\'>صفحة إدارة القوائم</a>.','ar',0,0),(5006,'التخصيص','ar',0,0),(5007,'إذا أردت أن يظهر نص إضافي في استمارة الاتصال الشاملة للموقع أو في استمارة الاتصال الشخصية، استخدم صندوقا. بإمكانك إنشاء وتعديل الصناديق من <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(5008,'أضف فئة على الأقل في هذه الصفحة لتتمكن من تعديل <a href=\"@form\">استمارة الاتصال</a>.','ar',0,0),(5009,'إذا أردت أن يظهر نص إضافي في استمارة الاتصال الشاملة للموقع، استخدم صندوقا. بإمكانك إنشاء وتعديل الصناديق من <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(5010,'إدارة وإعدادات استمارة الاتصال.','ar',0,0),(5011,'استخدام استمارة اتصال الموقع','ar',0,0),(5012,'استخدام استمارة الاتصال الشخصية للأعضاء','ar',0,0),(5013,'قام !sender-name (!sender-url) بإرسال رسالة باستخدام استمارة الاتصال التالية: !form-url.','ar',0,0),(5014,'[!site-name] !subject','ar',0,0),(5015,'لقد أرسل إليك !sender-name ‏(!sender-url) رسالة بواسطة استمارة الاتصال الخاصة بك (!form-url) في !site-name.','ar',0,0),(5016,'إذا كنت لا تريد تلقي رسائل البريد الإلكتروني هذه، يمكنك تغيير الإعدادات الخاصة بك هنا: !recipient-edit-url.','ar',0,0),(5017,'السماح لمستخدمين آخرين بمراسلتك من <a href=\"@url\">استمارة الاتصال الشخصية</a> مما يبقي عنوان بريدك الإلكتروني مخفيا. يرجى الانتباه أن بإمكان بعض المستخدمين المتميزين كمديري الموقع مراسلتك حتى ولو اخترت تعطيل هذه الميزة.','ar',0,0),(5018,'تفعيل استمارة معلومات الاتصال الشخصية بشكل افتراضي للمستخدمين الجدد.','ar',0,0),(5019,'تغيير هذا الإعداد لا يؤثر على الأعضاء المسجلين.','ar',0,0),(5020,'عرض الروابط السياقية','ar',0,0),(5021,'يتم توفير الروابط القياسية من طرف الوحدات لمنحك وصول سريع إلى المهام المرتبطة بمناطق من الصفحات بموقعك. مثلاً إذا كان لديك صندوق لقائمة مخصصة معروض على الشريط الجانبي لموقعك، فإن وحدات <em>القوائم</em> و <em>الصناديق</em> ستقوم بإضافة روابط لضبط الصندوق وتغيير القائمة. تقوم وحدة <em>الروابط القياسية</em> بجمع هذه الروابط بقائمة ليتم عرضها من طرف القالب. كما تقوم أيضاً هذه الروابط بإضافة كود جافاسكربت لإخفاء هذه الروابط مبدئياً ثم عرضها عند تمرير مؤشر الفأرة عليها.','ar',0,0),(5022,'استخدام الروابط السياقية','ar',0,0),(5023,'استخدم الارتباطات السياقية لتنفيذ المهام المرتبطة بعناصر الصفحة.','ar',0,0),(5024,'الروابط السياقية','ar',0,0),(5025,'توفر روابط سياقية لتفيذ إجراءات مرتبطة بعناصر في الصفحة.','ar',0,0),(5026,'تتبع نشاط المستخدم','ar',0,0),(5027,'بتمكين بلوكات مثل <em>المتصلون الآن</em> و <em>المستخدمون الجدد</em>، فإنك تسمح لمستخدمي الموقع بمتابعة المستخدمين الجدد والمتصلين الآن في نفس المكان.','ar',0,0),(5028,'تتبع نشاط المحتوى','ar',0,0),(5029,'بتفعيل صناديق مثل <em> أحدث الرسائل في المدونة </em>,<em>مواضيع جديدة في المنتدى</em> و <em>آخر التعليقات</em>, مستخدموا الموقع سيتمكنون بسرعة من مشاهدة المحتويات المضافة جديداً في الموقع.','ar',0,0),(5030,'عرض لوحة التحكم الإدارية','ar',0,0),(5031,'هذه المنطقة من لوحة التحكم فارغة. انقر على <em>تخصيص لوحة التحكم</em> لإضافة صناديق إليها.','ar',0,0),(5032,'اسحب هنا','ar',0,0),(5033,'توفر صفحة لوحة تحكم في واجهة الإدارة لتنظيم العمليات ومتابعة المعلومات الخاصة بموقعك.','ar',0,0),(5034,'حذف رسائل السجل','ar',0,0),(5035,'هذه العملية تقوم بحذف جميع رسائل السجل من قاعدة البيانات.','ar',0,0),(5036,'تم حذف رسائل السجل من قاعدة البيانات.','ar',0,0),(5037,'تقوم وحدة سجل قاعدة البيانات بتخزين جميع أحداث النظام في قاعدة البيانات. للمزيد من المعلومات، يرجى مراجعة صفحة <a href=\"@dblog\">وحدة سجل قاعدة البيانات</a> على موقع دروبال.','ar',0,0),(5038,'مراقبة موقعك','ar',0,0),(5039,'تصحيح مشاكل الموقع','ar',0,0),(5040,'أخطاء التحقق من صحة الحقل','ar',0,0),(5041,'محاولة إنشاء حقل باستخدام اسم أطول من 32 حرف: %name','ar',0,0),(5042,'محاولة إنشاء الحقل باسم %name والحقل موجود سابقا وهو نشط.','ar',0,0),(5043,'محاولة إنشاء الحقل باسم %name والحقل موجود سابقا ولكنه معطل.','ar',0,0),(5044,'محاولة إنشاء اسم الحقل %name والذي هو محجوز من قبل كينونة %type .','ar',0,0),(5045,'محاولة إنشاء حقل من نوع غير معروف %type.','ar',0,0),(5046,'محاولة إنشاء حقل بنوع تخزين غير معروف %type.','ar',0,0),(5047,'محاولة إنشاء مثيل للحقل @field_name بدون حزمة.','ar',0,0),(5048,'تفعيل أنواع الحقول','ar',0,0),(5049,'توفر وحدة الحقل البنية الأساسية للحقول ولواحقها، أنواع الحقول وواجهات الإدخال توفر من وحدات إضافية. بعض الوحدات ضرورية، ويتم تفعيل الوحدات الاختيارية من <a href=\"@modules\">صفحة إدارة الوحدات</a>. يتضمن دروبال أنواع الحقول التالية: العدد (ضروري)، النص (ضروري)، القائمة (ضروري)، التصنيف (اختياري)، الصورة (اختياري) والملف (اختياري)، وحدة الخيارات (ضروري) توفر واجهات إدخال وحدات الحقول الأخرى. يمكن توفير حقول وواجهات إضافية من طرف وحدات إضافية يمكنك إيجادها في <a href=\"@contrib\">صفحة الوحدات الإضافية لدروبال</a>. وحدات الحقول والواجهات المفعلة حالياً هي:','ar',0,0),(5050,'إدارة تخزين بيانات الحقل','ar',0,0),(5051,'بإمكان مطوري وحدات الحقول استخدام <a href=\"@sql-store\">وحدة تخزين حقل SQL</a> الافتراضي لتخزين بيانات حقولهم، أو استخدام وحدة إضافية، أو وحدة معدلة ومطورة باستخدام <a href=\"@storag-api\">تخزين حقل API</a>.','ar',0,0),(5052,'تقوم وحدة حقل تخزين SQL بتخزين بيانات الحقول بقاعدة البيانات. وهي وحدة تخزين الحقل الافتراضية. يمكن توفر آليات تخزين حقول أخرى على شكل وحدات إضافية. للمزيد من المعلومات حول الحقول، يرجى مراجعة <a href=\"@field-help\">الحقل</a> على موقع دروبال.','ar',0,0),(5053,'حقل تخزين SQL.','ar',0,0),(5054,'يخزن بيانات الحقل في قاعدة بيانات SQL.','ar',0,0),(5055,'توفر وحدة القائمة حقول متنوعة تسمح بتخزين قائمة من العناصر، لاستخدامها مع وحدة <em>الحقل</em>. عادة، يتم إدخال هذه العناصر عن طريق قائمة من خانات الاختيار أو أزرار التحديد. للمزيد من المعلومات حول هذه الحقول، يرجى مراجعة صفحة <a href=\"@field-help\">الحقل</a> على موقع دروبال.','ar',0,0),(5056,'تقوم واجهة \'خانة الاختيار/مربع التحديد\' بعرض خانات اختيار إذا كان الخيار <em>عدد القيم</em> أكبر من 1 لهذا الحقل، وعرض مربعات التحديد في حالة العكس.','ar',0,0),(5057,'وسوم HTML المسموح بها في التسميات: @tags','ar',0,0),(5058,'قيمة هذا الحقل محددة من طرف %function ولا يجب تغييرها.','ar',0,0),(5059,'قائمة القيم المسموح بها: يجب أن يكون كل مفتاح عدد صحيح أو عشري.','ar',0,0),(5060,'قائمة القيم المسموح بها: يجب أن يكون كل مفتاح عبارة نصية تتكون من 255 حرف كحد أقصى.','ar',0,0),(5061,'قائمة القيم المسموحة: يجب أن تكون كل المفاتيح أعداد صحيحة.','ar',0,0),(5062,'تعريف أنواع حقول قائمة. تستخدم مع خيارات لإنشاء قائمة إختيارات.','ar',0,0),(5063,'أدنى قيمة مسموح بها في هذا الحقل. اتركه فارغا لعدم تحديد حد أدنى.','ar',0,0),(5064,'أقصى قيمة مسموح بها في هذا الحقل. اتركه فارغا لعدم تحديد حد أقصى.','ar',0,0),(5065,'يسمح فقط بالأعداد و الفاصلة العشرية (@separator) في الحقل %field.','ar',0,0),(5066,'توفر وحدة الخيارات خانات اختيار، مربعات تحديد، وأشكال أخرى لوحدة الحقل. للمزيد من المعلومات يرجى مراجعة <a href=\"@field-helo\">صفحة المساعدة لوحدة الحقل</a>.','ar',0,0),(5067,'توفر وحدة النص أنواع مختلفة من الحقول النصية لوحدة الحقل. لا ينبغي لحقل نصي أن يحتوي إلا على نصوص عادية، أو كخيار، يمكنه أن يتضمن <a href=\"@filter-help\">نص مرشح</a> من دروبال لمعالجة وسوم HTML بشكل آمن. يمكن للحقول النصية أن تكون في سطر واحد (حقل نصي) أو في عدة سطور (نص متعدد الأسطر)، أو قائمة منسدلة، خانة اختيار أو مربع اختيار لضمان تحكم أفضل في الإدخال. كما يمكنك التحقق من صحة الحقل وذلك بالسماح لقائمة محددة من القيم. للمزيد من المعلومات، يرجى مراجعة صفحة <a href=\'@field-help\'>الحقول</a> على موقع دروبال.','ar',0,0),(5068,'نص مرشح (يقوم المستخدم يتحديد تنسيق النص)','ar',0,0),(5069,'إدخال الملخص','ar',0,0),(5070,'يسمح هذا للمستخدمين بإدخال ملخص المحتوى، ليتم عرضه عوضاً عن النص المشذب، عند استخدام نوع العرض \"الملخص أو المشذب\".','ar',0,0),(5071,'%name : لا ينبغي للنص أن يكون أطول من %max حرف.','ar',0,0),(5072,'%name : لا ينبغي للملخص أن يكون أطول من %max حرف.','ar',0,0),(5073,'اتركه فارغا لاستخراج قيمة مشذبة من النص الكامل كملخص.','ar',0,0),(5074,'إخفاء الموجز','ar',0,0),(5075,'تعديل الملخص','ar',0,0),(5076,'يتطلب الحقل %field (@field_name) الويدجة %widget_type التي توفرها الوحدة %widget_module','ar',0,0),(5077,'لا يتم عرض الحقول غير النشطة ما لم يتم تفعيل الوحدات الأصلية لها. الحقول التالية غير مفعلة : !list','ar',0,0),(5078,'تحرير إعدادات الحقل.','ar',0,0),(5079,'تغيير نوع الودجة','ar',0,0),(5080,'تعديل إعدادات المثيل.','ar',0,0),(5081,'حذف المثيل.','ar',0,0),(5082,'لا يمكن إضافة الحقل %label لأنه مقفل.','ar',0,0),(5083,'حدثت مشكلة أثناء إنشاء مثيل للحقل %label: @message.','ar',0,0),(5084,'لم تتم إضافة أية حقول. بإمكانك إضافة حقول جديدة في صفحة <a href=\"@link\">إدارة الحقول</a>.','ar',0,0),(5085,'يتم تطبيق هذه الإعدادات على الحقل %field في أي مكان يستخدم فيه. تؤثر هذه الإعدادات على كيفية تخزين المعلومات في قاعدة البيانات ولا يمكن تغييرها بعد إنشاء البيانات.','ar',0,0),(5086,'الحقل %field ليس له إعدادات.','ar',0,0),(5087,'تم تحديث إعدادات الحقل %label.','ar',0,0),(5088,'فشل محاولة تحديث الحقل %label : %message.','ar',0,0),(5089,'تغيير widget','ar',0,0),(5090,'نوع عنصر الاستمارة الذي تريد تقديمه للمستخدم أثناء إنشاء هذا الحقل في النوع %type.','ar',0,0),(5091,'تم تغيير الويدجت للحقل %label.','ar',0,0),(5092,'حدثت مشكلة أثناء تغيير الويدجت للحقل %label.','ar',0,0),(5093,'هذا الحقل <strong>مقفل</strong> ولا يمكن حذفه.','ar',0,0),(5094,'تم حذف الحقل %field من نوع المحتوى %type.','ar',0,0),(5095,'حدثت مشكلة أثناء حذف الحقل %field من نوع المحتوى %type.','ar',0,0),(5096,'يتم تطبيق هذه الإعدادات فقط على الحقل %field عند استخدامه في النوع %type.','ar',0,0),(5097,'حقل ضروري','ar',0,0),(5098,'يتم تطبيق هذه الإعدادات على الحقل %field في كل مكان يستخدم فيه. لا يمكن تغيير بعض الإعدادات، لأن هذا الحقل يحتوي مسبقا على بيانات.','ar',0,0),(5099,'يتم تطبيق هذه الإعدادات على الحقل %field في كل مكان يستخدم فيه.','ar',0,0),(5100,'إعدادات الحقل %field','ar',0,0),(5101,'القيمة الافتراضية لهذا الحقل، تستخدم عند إنشاء محتوى جديد.','ar',0,0),(5102,'تم حفظ خيارات ضبط %label.','ar',0,0),(5103,'تعرض هذه القائمة كافة الحقول المستخدمة حاليا لتسهيل الرجوع إليها.','ar',0,0),(5104,'حفظ وإضافة الحقول','ar',0,0),(5105,'واجهة الحقل','ar',0,0),(5106,'تفعيل الحقل <em>عرض</em>','ar',0,0),(5107,'يسمح خيار العرض للمستخدمين باختيار ما إذا كان الملف يتم عرضه أثناء معاينة المحتوى.','ar',0,0),(5108,'الملفات المعروضة بشكل افتراضي','ar',0,0),(5109,'ليس لهذا الإعداد مفعول إلا عند تفعيل خيار العرض.','ar',0,0),(5110,'وجهة الرفع','ar',0,0),(5111,'حدد أين يجب تخزين الملفات النهائية. التخزين الخاص للملف يضع قيودا أكثر من التخزين العام، لكنه يسمح بوصول محدود للملفات لهذا الحقل.','ar',0,0),(5112,'مجلد فرعي اختياري في مجلد الرفع الذي ستخزّن فيه الملفات. لا تدرج خط مائلا لا قبل ولا بعد.','ar',0,0),(5113,'يرجى إدخال قيمة مثل \"512\" (بايت)، \"80 KB\" (كيلوبايت) أو \"50 MB\" (ميغابايت) لتحديد حجم الملف المسموح به. في حالة تركه فارغاً يتم تحديد حجم الملف بالحد الأقصى للرفع من إعدادات PHP (والذي قيمته حالياً <strong>%limit</strong>).','ar',0,0),(5114,'تمكين حقل <em>الوصف</em>','ar',0,0),(5115,'يسمح حقل الوصف للمستخدمين بإضافة وصف للملف المراد رفعه.','ar',0,0),(5116,'يجب أن يحتوي الخيار \"!name\" على قيمة صحيحة. يمكنك تركه فارغاً أو إدخال قيمة من الشكل \"512\" (بايت)، \"80 KB\" (كيلوبايت) أو \"50 MB\"(ميغابايت).','ar',0,0),(5117,'قائمة اللواحق المسموح بها غير صحيحة. يرجى التأكد من عدم إدخال النقطة التي تسبق اللاحقة وفصل اللواحق بمسافة أو فاصلة.','ar',0,0),(5118,'إضافة ملف جديد','ar',0,0),(5119,'تضمين الملف في العرض','ar',0,0),(5120,'يمكن استخدام الوصف كتسمية لرابط الملف.','ar',0,0),(5121,'يجب أن يكون حجم الملفات أقل من !size.','ar',0,0),(5122,'أنواع الملفات المسموح بها: !extensions.','ar',0,0),(5123,'يجب أن تكون الصور بحجم !size بيكسل تماماً.','ar',0,0),(5124,'يجب أن يكون حجم الصور بين !min و !max بيكسل.','ar',0,0),(5125,'يجب أن يكون حجم الصور أكبر من !min بيكسل.','ar',0,0),(5126,'يجب أن يكون حجم الصور أقل من !max بيكسل.','ar',0,0),(5127,'إرفاق ملفات إلى المحتوى','ar',0,0),(5128,'تسمح وحدة الملفات للمستخدمين بإرفاق ملفات مع المحتوى (مثلاً، ملف PDF، ملف إكسل، إلخ)، عند إضافة حقل <em>ملف</em> إلى نوع من المحتوى عن طريق <a href=\"@fieldui-help\"><em>وحدة واجهة الحقل</em></a>. بإمكانك إضافة خيارات التحقق إلى حقل الملف، كتحديد حد أقصى لحجم الملف واللواحق المسموح بها.','ar',0,0),(5129,'إدارة عرض الملفات المرفقة','ar',0,0),(5130,'إدارة أماكن الملفات','ar',0,0),(5131,'حدث خطأ غير قابل للاسترداد. انتهت مدة صلاحية استخدام هذه الاستمارة. يرجى إعادة محاولة تحميل الصفحة والطلب من جديد.','ar',0,0),(5132,'الملف المشار إليه بواسطة الحقل !name غير موجود.','ar',0,0),(5133,'فشل في محاولة رفع الملف الموجود في الحقل !name.','ar',0,0),(5134,'لا يمكن إنشاء أو الوصول إلى دليل الرفع %directory لحقل الملف !name. وبذلك لا يمكن رفع ملف جديد إلى هذا الدليل، ولذلك تم إلغاء عملية الرفع.','ar',0,0),(5135,'خادمك غير قادر على عرض حالة تقدم رفع الملفات. هذا العرض يتطلب خادم أباتشي مع دعم PHP mod_php.','ar',0,0),(5136,'بإمكان كل الأدوار استخدام هذا التنسيق','ar',0,0),(5137,'تم حفظ ترتيب تنسيق النص.','ar',0,0),(5138,'يجب تمكين كل الأدوار لهذا التنسيق ولا يمكن تغييرها.','ar',0,0),(5139,'ترتيب معالجة المرشحات','ar',0,0),(5140,'يجب أن تكون أسماء تنسيقات النصوص فريدة. يوجد مسبقاً نسق باسم %name.','ar',0,0),(5141,'تم إضافة تنسيق النص %format.','ar',0,0),(5142,'تم تحديث تنسيق النص %format.','ar',0,0),(5143,'تطبيق المرشحات على النص','ar',0,0),(5144,'تعريف تنسيقات النص','ar',0,0),(5145,'اختيار تنسيق نص','ar',0,0),(5146,'تحذير : قد تؤثر هذه الصلاحية على الأمن بحسب الطريقة التي يتم بها تكوين تنسيق النص.','ar',0,0),(5147,'استخدام تنسيق النص !text_format','ar',0,0),(5148,'المزيد من المعلومات حول تنسيقات النص','ar',0,0),(5149,'عرض مساعدة لتعليمات HTML في النصائح الخاصة بالمرشحات','ar',0,0),(5150,'إضافة rel=\"nofollow\" إلى كل الروابط','ar',0,0),(5151,'للمزيد من المعلومات، يرجى مراجعة <a href=\"@html-specifications\">مواصفات اش.تي.ام.ال</a> بموقع W3C أو استخدام محرك البحث المفضل لإيجاد مواقع أخرى تقدم توضيحات أكثر حول اش.تي.ام.ال.','ar',0,0),(5152,'يمكن إدخال معظم الأحرف غير المعهودة دون أية مشكلة.','ar',0,0),(5153,'في حالة مواجهة مشاكل، حاول محارف كينونات HTML من الأمثلة الشائعة لذلك استخدام &amp; لعرض &. للحصول على قائمة كاملة، يرجى مراجعة صفحة <a href=\"@html-entities\">كينونات HTML</a>. بعض الأحرف المتاحة تشمل:','ar',0,0),(5154,'لا يسمح بوسوم HTML.','ar',0,0),(5155,'يرشح المحتوى لتحضيره للعرض.','ar',0,0),(5156,'كتبها !author منذ @time','ar',0,0),(5157,'تم حذف المنتدى %term وكل المنتديات الفرعية منه.','ar',0,0),(5158,'عدد الردود الواجب توفرها في موضوع ما ليعتبر \"ساخن\".','ar',0,0),(5159,'لا توجد حاويات أو منتديات متاحة. <a href=\"@container\">إضافة حاوية</a> أو <a href=\"@forum\">إضافة منتدى</a>.','ar',0,0),(5160,'المنتدى : تم حذف %term وكل المنتديات الفرعية منه.','ar',0,0),(5161,'تسمح لك وحدة المنتدى بإنشاء نظام مناقشة حسب الارتباطات بوظائف مشابهة لأدوات المنتدى الأخرى. المنتديات مفيدة لأنها تسمح للأعضاء بمناقشة مواضيع مختلفة مع ضمان الاحتفاظ بأرشيف جيد للمحادثات ما يسمح بتصفحها لاحقاً. في المنتدى، ينشر المستخدمون مشاركاتهم في تسلسل هرمي يسمح بتجميع وتصنيف المناقشات. هذا التسلسل الهرمي يتألف من:','ar',0,0),(5162,'حاويات اختيارية (مثلاً، <em>الدعم الفني</em>)، والتي قد تحتوي على:','ar',0,0),(5163,'المنتديات (مثلاً، <em>تثبيت دروبال</em>)، والتي قد تحتوي على:','ar',0,0),(5164,'مواضيع المنتدى المرسلة من طرف المستخدمين (مثلاً، <em>كيفية إنشاء مواقع متعددة بدروبال</em>)، ما يؤدي إلى بداية النقاش لـ:','ar',0,0),(5165,'التعليقات المرسلة من طرف المستخدمين (مثلاً، <em>لديك هذه الخيارات ...</em>).','ar',0,0),(5166,'إنشاء هيكل المنتدى','ar',0,0),(5167,'قم بزيارة <a href=\"@forums\">صفحة المنتديات</em> لوضع الحاويات والمنتديات الخاصة بمواضيع النقاشات.','ar',0,0),(5168,'بدء مناقشة','ar',0,0),(5169,'يقوم رابط <a href=\"@create-topic\">موضوع منتدى</a> في صفحة <a href=\"@content-add\">إضافة محتوى جديد</a> بإنشاء المشاركة الأولى لمناقشة جديدة أو موضوع.','ar',0,0),(5170,'تفعيل وحدة المنتدى يوفر عنصر قائمة افتراضي اسمه <em>المنتديات</em> في قائمة التصفح يشير إلى <a href=\"@forums\">صفحة المنتديات</a>.','ar',0,0),(5171,'نقل مواضيع المنتدى','ar',0,0),(5172,'بالإمكان نقل موضوع منتدى (وجميع التعليقات عليه) من منتدى إلى آخر بتعيين منتدى مختلف أثناء تعديل الموضوع. عند نقل موضوع من منتدى إلى آخر، فإن خيار <em>ترك نسخة مخفية</em> يقوم بإنشاء رابط في المنتدى الأصلي نحو مكانه الجديد.','ar',0,0),(5173,'قفل وتعطيل التعليقات','ar',0,0),(5174,'اختيار <em>مغلق</em> في <em>إعدادات التعليقات</em> أثناء تعديل موضوع منتدى يمنع التعليقات الجديدة. اختيار <em>مخفي</em> في <em>إعدادات التعليقات</em> أثناء تعديل موضوع منتدى يمنع التعليقات الجديدة ويقوم بإخفاء كل التعليقات الموجودة..','ar',0,0),(5175,'تحتوي المنتديات على مواضيع مناقشات. استخدم الحاويات لتجميع المنتديات المرتبطة.','ar',0,0),(5176,'استخدم الحاويات لتجميع المنتديات المرتبطة.','ar',0,0),(5177,'المنتدى يحوي مواضيع المناقشات المرتبطة.','ar',0,0),(5178,'ضبط عرض مواضيع المنتدى. قم بتنظيم منتدياتك على <a href=\"@forum-structure\">صفحة هيكل المنتديات</a>.','ar',0,0),(5179,'إضافة @node_type جديد','ar',0,0),(5180,'يرجى <a href=\"@login\">تسجيل الدخول</a> لإضافة محتوى جديد في المنتدى.','ar',0,0),(5181,'العنصر %forum عبارة عن حاوية، وليس منتدى. اختر واحد من المنتديات أدناه بدلا منه.','ar',0,0),(5182,'<em>موضوع منتدى</em> يبدأ مناقشة جديدة في المنتدى.','ar',0,0),(5183,'التحقق من إعدادات التسلسل الهرمي للمنتديات.','ar',0,0),(5184,'معجم الإبحار في المنتديات','ar',0,0),(5185,'توفر منتديات مناقشة.','ar',0,0),(5186,'اتبع هذه الخطوات للتكوين ثم البدء باستخدام موقعك:','ar',0,0),(5187,'<strong>ابدأ بإضافة المحتوى</strong>: أخيرا يمكنك <a href=\"@content\">إضافة محتوى جديد</a> لموقعك.','ar',0,0),(5188,'للمزيد من المعلومات، راجع المواضيع المعالجة في الفقرة التالية أو قم بزيارة <a href=\"@handbook\">دليل دروبال على الإنترنت</a>. يمكنك أيضا المشاركة في المناقشات في <a href=\"@forum\">منتديات دروبال</a> أو تصفح <a href=\"@support\">مجموعة واسعة من خيارات الدعم</a> المتاحة.','ar',0,0),(5189,'توفر وحدة المساعدة <a href=\"@help-page\">صفحات دعم</a> ونصائح لإرشادك في تكوين ثم استخدام الوحدات. هي نقطة البدء <a href=\"@handbook\">لدليل دروبال على الإنترنت</a>. هذا الدليل يحتوي على معلومات أكثر إثراء، ومحدثة دوماً بمشاركات المستخدمين. الدليل على الإنترنت هو المرجع النهائي للوثائق. للمزيد من المعلومات، يرجى مراجعة دليل دروبال على الإنترنت لوحدة <a href=\"@help\">المساعدة</a>.','ar',0,0),(5190,'تقديم المساعدة المرجعية','ar',0,0),(5191,'تعرض وحدة المساعدة تعليمات استخدام لكل وحدة مذكورة على <a href=\"@help\">الصفحة الرئيسية للمساعدة</a>.','ar',0,0),(5192,'تقديم المساعدة السياقية','ar',0,0),(5193,'تعرض وحدة المساعدة نصائح وتعليمات على مختلف الصفحات حسب الحاجة.','ar',0,0),(5194,'تعديل النمط %name','ar',0,0),(5195,'نمط هذه الصور متوفر حالياً من طرف وحدة. انقر فوق زر \"تجاوز الإعدادات الافتراضية\" لتغيير هذه الإعدادات.','ar',0,0),(5196,'اسم نمط الصورة','ar',0,0),(5197,'يُستعمل الاسم في العناوين URL للصور المولدة. استعمل الحروف اللاتينية والأرقام والشرطات السفلية (_) والشرطات(-) فقط.','ar',0,0),(5198,'اختيار تأثير جديد','ar',0,0),(5199,'تجاوز الإعدادات الافتراضية','ar',0,0),(5200,'تحديث النمط','ar',0,0),(5201,'اختيار تأثير لإضافته.','ar',0,0),(5202,'تم تطبيق تأثير الصورة بنجاح.','ar',0,0),(5203,'تم تجاوز النمط %style لتكون قادراُ على تغيير إعداداته.','ar',0,0),(5204,'اسم النمط','ar',0,0),(5205,'إنشاء نمط جديد','ar',0,0),(5206,'تم إنشاء النمط %style.','ar',0,0),(5207,'اسم النمط %name مستخدم حالياً.','ar',0,0),(5208,'رجاء استخدم فقط أحرفا لاتينية صغيرة وأرقاما وشرطات سفلية (_) وشرطات (-) في أسماء الأشكال.','ar',0,0),(5209,'فقط حذف بدون تبديل','ar',0,0),(5210,'نمط الاستبدال','ar',0,0),(5211,'يمكنك اختيار نمط قبل حذف %style','ar',0,0),(5212,'إذا كان هذا النمط قيد الاستخدام على الموقع، فيجب عليك اختيار نمط آخر ليحل محله. جميع الصور المولدة بهذا النمط سيتم حذفها نهائياً.','ar',0,0),(5213,'تم حذف النمط %style.','ar',0,0),(5214,'استعادة النمط %style ؟','ar',0,0),(5215,'استعادة هذا النمط سيحذف الإعدادات المعدلة ويستعيد الإعدادت الافتراضية المقدمة من طرف وحدة <em>@module</em>.','ar',0,0),(5216,'تعديل التأثير %label','ar',0,0),(5217,'إضافة التأثير %label','ar',0,0),(5218,'تحديث التأثير','ar',0,0),(5219,'إضافة تأثير','ar',0,0),(5220,'هل أنت متأكد من حذف التأثير @effect من النمط %style ؟','ar',0,0),(5221,'تم حذف تأثير الصورة %name.','ar',0,0),(5222,'يجب أن يكون !name عدد صحيح.','ar',0,0),(5223,'يجب أن يكون !name عدداً صحيحياً موجباً.','ar',0,0),(5224,'يجب أن يكون !name قيمة لون ست عشرية hexadecimal.','ar',0,0),(5225,'لا يمكن للارتفاع والعرض أن يكون كلاهما فارغاً.','ar',0,0),(5226,'الجزء من الصورة الذي سيتم إزالته عند قصها.','ar',0,0),(5227,'لون الخلفية المستخدم في المناطق الفارغة من الصورة. استخدم ألوان الويب الست عشرية (هيكساديسيمال) (على سبيل المثال #FFFFFF للون الأبيض أو #000000 للون الأسود). اتركه فارغاً لاستخدام الشفافية للصور التي تدعم هذه الخاصية.','ar',0,0),(5228,'لا توجد حاليا أية أشكال. <a href=\"!url\">إضافة شكل جديد</a>.','ar',0,0),(5229,'لا توجد حاليا أية تأثيرات في هذا الشكل. أضف تأثيرا جديدا باختيار أحد الخيارات أسفله.','ar',0,0),(5230,'عرض الحجم الحالي','ar',0,0),(5231,'مثال عن الصورة الأصلية','ar',0,0),(5232,'مثال عن الصورة المعدلة','ar',0,0),(5233,'تغيير الحجم لا يحترم أبعاد الصورة. ما قد يؤدي إلى الحصور على صور ممدة أو مضغوطة.','ar',0,0),(5234,'المقياس يحافظ على نسبة الأبعاد الأصلية للصورة. إذا تم تعيين أحد الأبعاد، فسيتم حساب البعد الآخر تلقائياً.','ar',0,0),(5235,'القياس والاقتصاص','ar',0,0),(5236,'يحذق القص أجزاء من الصورة لتحجيمها على الحجم المطلوب.','ar',0,0),(5237,'إزالة الإشباع','ar',0,0),(5238,'إزالة الإشباع تحول صورة إلى تدرج رمادي.','ar',0,0),(5239,'قد يؤدي تطبيق استدارة على الصورة إلى زيادة في أبعاد الصورة لتتناسب مع القطر.','ar',0,0),(5240,'فشل في تغيير حجم الصورة باستخدام مربع الأدوات %toolkit في %path (%mimetype، %dimensions)','ar',0,0),(5241,'فشل تحجيم الصورة باستخدام مربع الأدوات %toolkit على المسار %path (%mimetype, %dimensions)','ar',0,0),(5242,'فشل في قص الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(5243,'فشل في تغيير حجم الصورة وقصها باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(5244,'فشل في إلغاء تشبيع الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(5245,'فشل في تدوير الصورة باستخدام مربع الأدوات %toolkit على %path (%mimetype, %dimensions)','ar',0,0),(5246,'إذا لم يتم رفع أي صورة، ستستخدم هذه الصورة للعرض.','ar',0,0),(5247,'الحجم الأقصى المسموح به للصورة مكتوب بالشكل العرض×الارتفاع (مثلاً: 640×480). اترك الحقل فارغاً لعدم وضع قيود. إذا تم رفع صورة أكبر، سيتم تصغيرها لتتوافق مع الطول والعرض المحددين. تصغير حجم الصورة أثناء رفعها قد يؤدي إلى فقدان <a href=\"http://fr.wikipedia.org/wiki/Exchangeable_image_file_format\">بيانات EXIF</a> في الصورة.','ar',0,0),(5248,'الحد الأدنى لدقة الصورة','ar',0,0),(5249,'الحجم الأدنى المسموح به للصورة مكتوب بالشكل العرض×الارتفاع (مثلاً: 640×480). اترك الحقل فارغا لعدم وضع قيود. إذا تم رفع صورة أصغر، سيتم رفضها.','ar',0,0),(5250,'تفعيل حقل <em>Alt</em>','ar',0,0),(5251,'يتم استخدام الخاصية Alt (النص البديل) في محركات البحث، قارئات الشاشة، وعند الفشل في تحميل الصورة.','ar',0,0),(5252,'تفعيل حقل <em>Title</em>','ar',0,0),(5253,'محتوى الخاصية <em>Title</em> يظهر عند مرور مؤشر الفأرة فوق الصورة.','ar',0,0),(5254,'يجب أن يكون كل من الارتفاع والعرض أعداد صحيحة.','ar',0,0),(5255,'يجب أن تكون قيم كل من الارتفاع والعرض محددة في حقل !name.','ar',0,0),(5256,'معاينة نمط الصورة','ar',0,0),(5257,'لا توجد معاينة','ar',0,0),(5258,'سيتم عرض معاينة الصورة أثناء تعديل المحتوى.','ar',0,0),(5259,'تعديل الصور','ar',0,0),(5260,'استناداً إلى المكان الذي ستستخدم فيه: على سبيل المثال <em>profile-picture</em>','ar',0,0),(5261,'وصف مظهرها : مثلا <em>مربع-85×85</em>','ar',0,0),(5262,'إرفاق الصور إلى المحتوى كحقول','ar',0,0),(5263,'إدارة أنماط الصور','ar',0,0),(5264,'إنشاء وتحرير أشكال لتوليد الصور المعدلة كالصور المصغرة.','ar',0,0),(5265,'لا توجد أشكال معرفة','ar',0,0),(5266,'يجري توليد الصورة، حاول مجددا بعد قليل.','ar',0,0),(5267,'خطأ في توليد الصورة.','ar',0,0),(5268,'تعذر توليد الصورة المشتقة الموجودة في %path.','ar',0,0),(5269,'فشل في إنشاء مجلدات الأنماط: %directory','ar',0,0),(5270,'توليد نمط صورة','ar',0,0),(5271,'إعداد نمط صورة.','ar',0,0),(5272,'حذف نمط صورة','ar',0,0),(5273,'استعادة النمط','ar',0,0),(5274,'استعادة نمط صورة','ar',0,0),(5275,'تغيير تأثير الصورة','ar',0,0),(5276,'حذف تأثير الصورة','ar',0,0),(5277,'إضافة تأثير الصورة','ar',0,0),(5278,'إضافة تأثير جديد للنمط.','ar',0,0),(5279,'توفر أدوات لمعالجة الصور.','ar',0,0),(5280,'استخدم <em>اللغة المخصصة</em> أدناه إذا لم تتوفر اللغة التي تريدها في القائمة.','ar',0,0),(5281,'جزء من الرابط الذي يحدد اللغة','ar',0,0),(5282,'فلترة النصوص القابلة للترجمة','ar',0,0),(5283,'نوع التاريخ','ar',0,0),(5284,'هل أنت متأكد من إعادة تعيين تنسيقات التواريخ في %language والعودة إلى الإعدادات الافتراضية العالمية؟','ar',0,0),(5285,'إعادة التعيين تحذف جميع تنسيقات التواريخ المترجمة لهذه اللغة. لا يمكن التراجع عن هذه العملية.','ar',0,0),(5286,'تسمح وحدة الترجمة بعرض موقعك بلغات أخرى غير الإنجليزية الافتراضية، وليكون الموقع أيضاً متعدد اللغات. تعمل وحدة الترجمة عن طريق الحفاظ على قاعدة بيانات للترجمات، وتحليل النص المراد عرضه. عند توفر ترجمة للنص باللغة المراد عرضها، يتم استخدام الترجمة بدلاً من النص الأصلي. وعند عدم توفر الترجمة، يتم عرض النص الأصلي، ثم يتم حفظ النص الأصلي في حال عدم وجود ترجمة لتتم مراجعته من طرف مترجم. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@locale\">وحدة الترجمة</a> على الإنترنت.','ar',0,0),(5287,'ترجمة نص الواجهة','ar',0,0),(5288,'يمكن توفير ترجمات نصوص واجهة دروبال بواسطة:','ar',0,0),(5289,'الترجمة من موقعك باستخدام <a href=\'@translate\'>واجهة الترجمة</a> المتكاملة مع وحدة المحلية.','ar',0,0),(5290,'ضبط موقع متعدد اللغات','ar',0,0),(5291,'إضافة لغة لاستخدامها في موقعك. إذا لم تكن اللغة المطلوبة متاحة في القائمة المنسدلة <em>اسم اللغة</em>، انقر على اللغة المخصصة وأدخل رمز اللغة والتفاصيل الأخرى يدوياً. عند تعيين اللغة بشكل يدوي، تأكد من إدخال رمز اللغة القياسي، ليكون مفهوم من طرف المتصفحات لكي تستطيع استخدام اللغة المناسبة.','ar',0,0),(5292,'تستورد هذه الصفحة النصوص المترجمة من ملف Gettext (<em>.po</em>) واحد. موفر عادة كجزء من حزمة ترجمة (كل حزمة ترجمة يمكن أن تحتوي على عدة ملفات <em>.po</em>)، قد يحتاج ملف <em>.po</em> أن يستورد بعد ترجمة خارجية في برنامج جيتتكست. قد تكون عملية استيراد ملف <em>.po</em> بطيئة نوعاً ما.','ar',0,0),(5293,'تسمح هذه الصفحة للمترجم بالبحث عن النصوص المترجمة وغير المترجمة، ويتم استخدامها لإنشاء أو تعديل الترجمات. (ملاحظة : لمهام الترجمة على عدة نصوص، من الأفضل <a href=\"@export\">تصدير</a> النصوص لتعديلها باستخدام برنامج ترجمة من نوع Gettext.) يمكن أن تقتصر عملية البحث على نصوص موجودة في مجموعة معينة أو في لغة معينة.','ar',0,0),(5294,'إدارة اللغات','ar',0,0),(5295,'ترجمة نصوص الواجهة','ar',0,0),(5296,'مبدل اللغة (@type)','ar',0,0),(5297,'ترجمة تنسيقات التواريخ','ar',0,0),(5298,'إعادة تعيين تنسيقات التواريخ','ar',0,0),(5299,'إعادة تعيين تنسيقات التواريخ المحلية إلى التنسيقات الافتراضية','ar',0,0),(5300,'فبراير','ar',0,0),(5301,'مارس','ar',0,0),(5302,'أبريل','ar',0,0),(5303,'مايو','ar',0,0),(5304,'يونيو','ar',0,0),(5305,'يوليو','ar',0,0),(5306,'أغسطس','ar',0,0),(5307,'سبتمبر','ar',0,0),(5308,'أكتوبر','ar',0,0),(5309,'نوفمبر','ar',0,0),(5310,'ديسمبر','ar',0,0),(5311,'إضافة رابط','ar',0,0),(5312,'لا توجد روابط قائمة حالياً. <a href=\"@link\">إضافة رابط</a>.','ar',0,0),(5313,'النص المستخدم لهذا الرابط في القائمة.','ar',0,0),(5314,'مسار هذا الرابط من القائمة. قد يكون مسار داخلي لدروبال مثل %add-node أو رابط خارجي مثل %drupal. استخدم %front للربط بالصفحة الرئيسية.','ar',0,0),(5315,'الروابط الغير مفعلة لا ينم عرضها في القوائم.','ar',0,0),(5316,'الإظهار بشكل موسع','ar',0,0),(5317,'إذا اخترت هذا الخيار وكان للعنصر أبناء، فإن قائمته ستظهر دائماً بشكل موسع.','ar',0,0),(5318,'الرابط اﻷب','ar',0,0),(5319,'أقصى عمق للرابط وكل فروعه محدد إلى !maxdepth. لا يمكن استخدام بعض الروابط كرئيسية إذا تم تجاوز الحد الأقصى.','ar',0,0),(5320,'اختياري. في كل قائمة، ترتب الروابط ابتداء بالأخف وانتهاء بالأثقل.','ar',0,0),(5321,'هل تريد بالتأكيد حذف رابط القائمة المخصص %item؟','ar',0,0),(5322,'تم حذف رابط القائمة %title.','ar',0,0),(5323,'هل أنت متأكد من إعادة تعيين الرابط %item والعودة إلى القيم الافتراضية؟','ar',0,0),(5324,'تم إعادة تعيين رابط القائمة إلى إعداداته الافتراضية.','ar',0,0),(5325,'لا يوجد أي رابط رئيسي','ar',0,0),(5326,'مصدر الروابط الرئيسية','ar',0,0),(5327,'تحديد ما ينبغي عرضه كروابط رئيسية (عادة في أعلى الصفحة).','ar',0,0),(5328,'لا يوجد أي رابط ثانوي','ar',0,0),(5329,'مصدر الروابط الثانوية','ar',0,0),(5330,'تم حذف القائمة المخصصة %title وجميع روابطها.','ar',0,0),(5331,'تم حذف رابط القائمة %title.','ar',0,0),(5332,'<strong>تحذير:</strong> يوجد الآن رابط قائمة واحد في %title. سيتم حذفه (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',0,0),(5333,'<strong>تحذير:</strong> يوجد الآن رابط قائمة واحد في %title. سيتم حذفه (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',5332,1),(5334,'<strong>تحذير:</strong> يوجد الآن رابطا قائمة إثنان في %title. سيتم حذفهما (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',5333,2),(5335,'<strong>تحذير:</strong> يوجد الآن @count[3] روابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',5334,3),(5336,'<strong>تحذير:</strong> يوجد الآن @count[4] رابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',5335,4),(5337,'<strong>تحذير:</strong> يوجد الآن @count[5] رابط قائمة في %title. سيتم حذفها (العناصر المعينة من طرف النظام يتم إعادة تعيينها).','ar',5336,5),(5338,'إدارة القوائم','ar',0,0),(5339,'عرض القوائم','ar',0,0),(5340,'بعد قيامك بإنشاء قائمة، يجب عليك تفعيل واختيار موضع الصندوق المرتبط بها عن طريق صفحة <a href=\"@blocks\">إدارة الصناديق</a>.','ar',0,0),(5341,'بإمكانك تفعيل الصندوق المنشأ حديثاً لهذه القائمة على <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(5342,'لكل قائمة صندوق مرتبط بها يتم التحكم فيه في صفحة <a href=\"@blocks\">إدارة الصناديق</a>.','ar',0,0),(5343,'إدارة القوائم وعناصر القائمة','ar',0,0),(5344,'يوفر رابط قائمة','ar',0,0),(5345,'تعرض الروابط ذات الوزن الخفيف قبل الروابط ذات الوزن الثقيل.','ar',0,0),(5346,'القوائم المتوفرة','ar',0,0),(5347,'القوائم المتوفرة لوضع روابط لهذا النوع من المحتوى.','ar',0,0),(5348,'العنصر اﻷب الافتراضي','ar',0,0),(5349,'اختر عنصر القائمة الذي سيصبح العنصر اﻷب الافتراضي للروابط الجديدة في استمارات إنشاء المحتوى.','ar',0,0),(5350,'عناصر قائمة الأب','ar',0,0),(5351,'تحرير رابط القائمة','ar',0,0),(5352,'إعادة تعيين رابط القائمة','ar',0,0),(5353,'حذف رابط القائمة','ar',0,0),(5354,'تحتوي قائمة <em>الإبحار</em> على الروابط المخصصة لزوار الموقع. تتم إضافة روابط إلى هذه القائمة تلقائياً من طرف بعض الوحدات.','ar',0,0),(5355,'تحتوي قائمة <em>المستخدم</em> على الروابط ذات الصلة بحساب المستخدم، كرابط \'تسجيل الخروج\'.','ar',0,0),(5356,'تحتوي قائمة <em>الإدارة</em> على روابط المهام الإدارية.','ar',0,0),(5357,'يتم استخدام القائمة <em>الرئيسية</em> لعرض الأقسام الرئيسية في الموقع، وغالباً ما تظهر في ترويسة الصفحة.','ar',0,0),(5358,'إدارة العرض','ar',0,0),(5359,'لا يوجد أي نوع محتوى متوفر. <a href=\"@link\">إضافة نوع محتوى</a>.','ar',0,0),(5360,'اسم نوع من المحتوى \"الذي يظهر للمستخدمين\". سيتم عرض هذا النص كعنصر قائمة في صفحة <em>إضافة محتوى جديد</em>. من الأفضل أن يحتوي هذا النص على حروف، أرقام وفراغات فقط. يجب أن يكون هذ الاسم فريداً.','ar',0,0),(5361,'وصف هذا النوع من المحتوى. سيتم عرض هذا النص في صفحة <em>إضافة محتوى جديد</em>.','ar',0,0),(5362,'المعاينة قبل الإرسال','ar',0,0),(5363,'سيتم عرض هذا النص في أعلى الصفحة أثناء إنشاء أو تعديل هذا النوع من المحتوى.','ar',0,0),(5364,'المستخدمون الذين لهم صلاحية <em>إدارة المحتوى</em> يمكنهم تجاوز هذه الخيارات.','ar',0,0),(5365,'عرض معلومات المؤلف والتاريخ.','ar',0,0),(5366,'سيتم عرض اسم المستخدم للمؤلف وتاريخ النشر.','ar',0,0),(5367,'الاسم البرمجي غير صحيح. يرجى إدخال اسم مختلف عن %invalid.','ar',0,0),(5368,'%type مستخدم من طرف محتوى واحد على موقعك. لن تتمكن من عرضه أو تعديله بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',0,0),(5369,'%type مستخدم من طرف محتوى واحد على موقعك. لن تتمكن من عرضه أو تعديله بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',5368,1),(5370,'%type مستخدم من طرف محتويان إثنان على موقعك. لن تتمكن من عرضهما أو تعديلهما بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',5369,2),(5371,'%type مستخدم من طرف @count[3] محتويات على موقعك. لن تتمكن من عرضها أو تعديلها بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',5370,3),(5372,'%type مستخدم من طرف @count[4] محتوى على موقعك. لن تتمكن من عرضها أو تعديلها بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',5371,4),(5373,'%type مستخدم من طرف @count[5] محتوى على موقعك. لن تتمكن من عرضها أو تعديلها بشكل صحيح، إذا قمت بحذف هذا النوع من المحتوى.','ar',5372,5),(5374,'نشر المحتوى المحدد','ar',0,0),(5375,'إلغاء نشر المحتوى المحدد','ar',0,0),(5376,'ترقية المحتوى المحدد إلى الصفحة الرئيسية','ar',0,0),(5377,'إلغاء ترقية المحتوى المحدد إلى الصفحة الرئيسية','ar',0,0),(5378,'ثبت المحتوى المحدد','ar',0,0),(5379,'إلغاء تثبيت المحتوى المحدد','ar',0,0),(5380,'حذف المحتوى المحدد','ar',0,0),(5381,'تم حذف @count مشاركة.','ar',0,0),(5382,'هل أنت متأكد من حذف هذا العنصر؟','ar',0,0),(5383,'هل أنت متأكد من حذف هذا العنصر؟','ar',5382,1),(5384,'تعديل @title (@type)','ar',0,0),(5385,'لم تقم بإنشاء أي أنواع محتوى. إذهب إلى  <a href=\"@create-content\">صفحة إنشاء أنواع المحتوى</a> من أجل إنشاء نوع محتوى جديد.','ar',0,0),(5386,'أوضح التغيرات التي أجريتها. هذا التوضيح سيساعد باقي المؤلفين على فهم أسباب التغييرات. ','ar',0,0),(5387,'تحتاج صلاحيات الوصول إلى المحتوى إلى إعادة البناء. <a href=\"@node_access_rebuild\">إعادة بناء الصلاحيات</a>.','ar',0,0),(5388,'تقوم وحدة العقدة بالتحكم في إنشاء، تعديل، حذف، إعداد وعرض المحتوى الرئيسي للموقع. عناصر المحتوى (<strong>العقد</strong>) التي تديرها وحدة العقد يتم عرضها عادة كصفحات بالموقع الخاص بك، وتتضمن عنوان، عدد معين من البيانات (المؤلف، تاريخ الإنشاء، نوع المحتوى، ... إلخ) وبعض الحقول الاختيارية التي يمكن أن تحتوي نصوص أو أنواع أخرى من البيانات (يتم التحكم في الحقول من طرف <a href=\"@field\">وحدة الحقول</a>). للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@node\">وحدة العقد</a> على الإنترنت.','ar',0,0),(5389,'إنشاء محتوى','ar',0,0),(5390,'عندما يتم إنشاء محتوى جديد، تقوم وحدة العقده بتخزين المعلومات الأساسية ذات الصلة بهذا المحتوى وهي تشمل المؤلف، تاريخ الإنشاء، و <a href=\"@content-type\">نوع المحتوى</a>.كما يتم أيضا التحكم في <em>خيارات النشر</em>، فهي تسمح بتحديد ما إذا كان سيتم نشر المحتوى أم لا، ترقيته إلى الصفحة الرئيسية، و/أو تثبيته في أعلى قائمة المحتويات. يمكن ضبط الإعدادات الافتراضية لكل <a href=\"@content-type\">نوع محتوى</a> على موقعك.','ar',0,0),(5391,'إنشاء أنواع محتوى مخصصة','ar',0,0),(5392,'إدارة المحتوى','ar',0,0),(5393,'تسمح لك صفحة <a href=\"@content\">إدارة المحتوى</a> بمتابعة وإدارة المحتوى على موقعك.','ar',0,0),(5394,'إنشاء المراجعات','ar',0,0),(5395,'تتيح أيضاً وحدة العقد إنشاء عدة نسخ من أي محتوى، واستعادة النسخ السابقة باستخدام إعدادات <em>معلومات المراجعة</em>.','ar',0,0),(5396,'صلاحيات المستخدم','ar',0,0),(5397,'تقدم وحدة العقد عدد معين من الصلاحيات المتوفرة لكل نوع من المحتوى، يمكن ضبطها لكل دور في صفحة <a href=\"@permissions\">الصلاحيات</a>.','ar',0,0),(5398,'بإمكان كل نوع محتوى أن يحتوي على حقول، تصرفات، وصلاحيات منفصلة على حدة.','ar',0,0),(5399,'يمكن عرض عناصر المحتوى باستخدام أساليب مختلفة من العرض: الملخص، المحتوى الكامل، الطباعة، RSS، ... إلخ. <em>الموجز</em> هو تنسيق قصير يستخدم عادة في صفحات السرد التي تحتوي على عناصر عديدة من المحتوى. <em>المحتوى الكامل</em> يستخدم عادة عند عرض المحتوى في صفحته الخاصة.','ar',0,0),(5400,'هنا يمكنك تحديد الحقول التي سيتم عرضها أو إخفاؤها لكل وضع عرض لنوع المحتوى %type، وتحديد كيفية عرض الحقول في كل وضع عرض.','ar',0,0),(5401,'تسمح لك المراجعات بتعقب الاختلافات بين مختلف نسخ المحتوى الخاص بك، واستعادة النسخ قديمة.','ar',0,0),(5402,'تم تعديل محتوى هذه الصفحة من طرف مستخدم آخر، أو أنت من قام بالقيام بالتغييرات باستخدام هذا النموذج. لذلك، لا يمكن حفظ تعديلاتك.','ar',0,0),(5403,'إدارة أنواع المحتوى','ar',0,0),(5404,'تحذير : هذه الصلاحية تؤثر على الأمن، لا تمنحها إلا للأدوار الموثوق بها.','ar',0,0),(5405,'مشاهدة المحتوى المنشور','ar',0,0),(5406,'الوصول إلى صفحة النظرة العامة على المحتوى','ar',0,0),(5407,'تجاوز صلاحيات الوصول إلى المحتوى','ar',0,0),(5408,'مشاهدة مراجعات المحتوى','ar',0,0),(5409,'استعادة مراجعات المحتوى','ar',0,0),(5410,'حذف مراجعات المحتوى','ar',0,0),(5411,'مشاهدة محتواه غير المنشور','ar',0,0),(5412,'المحتوى مثبت أعلى القوائم','ar',0,0),(5413,'المحتوى مرقى إلى الصفحة الرئيسية','ar',0,0),(5414,'أحدث المحتويات','ar',0,0),(5415,'عدد عناصر المحتوى الجديدة التي سيتم عرضها','ar',0,0),(5416,'عرض صندوق لنوع معين من المحتوى','ar',0,0),(5417,'مرحبا بك في @site-name','ar',0,0),(5418,'لم يتم حتى الآن إنشاء محتوى للصفحة الرئيسية.','ar',0,0),(5419,'إلغاء نشر المحتوى','ar',0,0),(5420,'تثبيت المحتوى','ar',0,0),(5421,'إلغاء جعل المحتوى مثبت','ar',0,0),(5422,'ترقية المحتوى إلى الصفحة الرئيسية','ar',0,0),(5423,'ارفع الموضوع من الصفحة الرئيسية','ar',0,0),(5424,'غيّر مؤلف الموضوع','ar',0,0),(5425,'حفظ المحتوى','ar',0,0),(5426,'إلغاء نشر محتوى يتضمن الكلمات المفتاحية','ar',0,0),(5427,'سيتم إلغاء نشر المحتوى إذا كان يحتوي على أي من العبارات الواردة أعلاه. استخدم قائمة عبارات مفصولة بفواصل، العبارات حساسة لحالة الأحرف. مثال : مسلي، مباراة،\"شركة\"','ar',0,0),(5428,'صلاحية واحدة مستخدمة','ar',0,0),(5429,'صلاحية واحدة مستخدمة','ar',5428,1),(5430,'صلاحيتان مستخدمتان','ar',5429,2),(5431,'@count[3] صلاحيات مستخدمة','ar',5430,3),(5432,'@count[4] صلاحية مستخدمة','ar',5431,4),(5433,'@count[5] صلاحية مستخدمة','ar',5432,5),(5434,'إيجاد وإدارة المحتوى','ar',0,0),(5435,'تحرير نوع المحتوى','ar',0,0),(5436,'عدم عرض معلومات المشاركة','ar',0,0),(5437,'هذا الموقع متوافق مع هوية <a href=\"@openid-net\">OpenID</a>، وسيلة آمنة لتسجيل الدخول في العديد من المواقع باستخدام اسم مستخدم واحد وكلمة مرور واحدة. هوية OpenID يمكن أن تقلل من ضرورة التحكم في العديد من أسماء المستخدم وكلمات المرور للعديد من المواقع.','ar',0,0),(5438,'إذا كانت لديك هوية OpenID، قم بإدخال عنوان رابط الخادم الخاص بهوية OpenID أدناه (مثلاً: myusername.openidprovider.com). في المرة القادمة التي تقوم بها بتسجيل الدخول، يمكنك استخدام هذا الرابط بدلاً من اسم المستخدم وكلمة المرور. يمكنك اختيار أكثر من خادم OpenID إذا أردت، فقط قم بإضافتهم هنا.','ar',0,0),(5439,'الدخول باستخدام OpenID','ar',0,0),(5440,'لتسجيل الدخول باستخدام هوية OpenID، يجب أن يكون للمستخدم معرف OpenID مسبقاً. عندها يمكنهم إنشاء حسابات على الموقع باسخدام معرف OpenID الخاص بهم، ربط هوية أو عدة هويات OpenID بحسابهم، وتسجيل الدخول باستخدام معرف OpenID. هذا يخفف من عناء التسجيل، ويمنح المستخدمين المزيد من الراحة والأمن. نظراً إلى أن نظام هوية OpenID لا تضمن صحة حساب المستخدم، فإن التحقق من البريد الإلكتروني يبقى ضرورياً. أثناء تسجيل الدخول، يظهر للمستخدمين خيار لإدخال عنوان رابط معرف OpenID والذي يبدو على الشكل: <em>mon-nom.openidprovider.com</em>. يقوم الموقع بالاتصال بسيرفر OpenID، ويطلب التحقق من هوية المستخدم. إذا كان المستخدم مسجل الدخول مسبقاً بخادم OpenID الخاص به، يقوم الخادم بالرد على الموقع، والمصادقة على المستخدم. أما إذا لم يكن مسجل الدخول، فسيقوم خادم OpenID بطلب كلمة مرور المستخدم. في كل الحالات، الموقع لا يسجل كلمة مرور معرف OpenID الخاصة بالمستخدم.','ar',0,0),(5441,'بعد التحقق من صحة بريدك الإلكتروني، يمكنك تسجيل الدخول باستخدام هوية OpenID.','ar',0,0),(5442,'عذراً، هذه ليست هوية OpenID صحيحة. تأكد من إدخال معرف الهوية بشكل صحيح.','ar',0,0),(5443,'أكمل التسجيل بملأ النموذج أدناه. إذا كان لديك حساب فيمكنك <a href=\"@login\">تسجيل الدخول</a> الآن وإضافة معرف OpenID الخاص بك من صفحتك الشخصية.','ar',0,0),(5444,'إنشاء بدائل','ar',0,0),(5445,'<em>member/jane-smith</em> هو بديل المسار الداخلي <em>user/123</em>','ar',0,0),(5446,'<em>about-us/team</em> هو بديل المسار الداخلي <em>node/456</em>','ar',0,0),(5447,'إدارة المسارات','ar',0,0),(5448,'توفر وحدة المسار طريقة لبحث وعرض <a href=\"@aliases\">قائمة بجميع البدائل</a> قيد الاستخدام بموقعك. يمكن إضافة، تعديل وحذف البدائل من هذه القائمة.','ar',0,0),(5449,'البديل يعين مسار مختلف لمسار رابط موجود. مثل البديل\'حول-الموقع\' لمسار الرابط \'node/1\'. يمكن لمسار رابط أن يكون له عدة بدائل.','ar',0,0),(5450,'إدارة بدائل المسارات','ar',0,0),(5451,'إنشاء وتحرير بدائل المسارات','ar',0,0),(5452,'البديل مستخدم مسبقاً.','ar',0,0),(5453,'تمكين PHP في الحقول النصية','ar',0,0),(5454,'استخدام PHP للإعدادات','ar',0,0),(5455,'تم تعطيل وحدة PHP. برجاء الانتباه إلى أن أي محتوى موجود الآن و يحتوي على كود PHP سوف يظهر الكود كنص عادي. قد يسبب هذا خطورة على أمن الموقع و يقوم بعرض بعض المعلومات الحساسة إذا ما تم استخدامها في كود PHP.','ar',0,0),(5456,'يمكن استخدام وحدة الاستبيان لإنشاء استبيانات أو أسئلة بسيطة تعرض خيارات للتصويت. الاستبيان هو طريقة جيدة لتلقي آراء الزوار والمستخدمين. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@poll\">وحدة الاستطلاع</a>.','ar',0,0),(5457,'إنشاء استبيان','ar',0,0),(5458,'بإمكان المستخدمين إنشاء استبيان بالنقر فوق الاستبيان في صفحة <a href=\"@add-content\">إضافة محتوى جديد</a>، ثم كتابة سؤال، والأجوبة المحتملة وتعيين القيمة المبدئية لعدد اﻷصوات. كما يمكن أيضاً تحديد الحالة (مغلق أو مفتوح) والمدة (الفترة التي يبقى فيها الاستطلاع مفتوح للتصويت).','ar',0,0),(5459,'عرض الاستبيانات','ar',0,0),(5460,'بإمكانك زيارة صفحة <a href=\"@poll\">الاستبيانات</a> لعرض جميع الاستبيانات الحالية، ويمكنك أيضاً تفعيل صندوق <em>أحدث  الاستبيانات</em> على صفحة <a href=\"@blocks\">إدارة الصناديق</a>. وللمشاركة في استبيان معين أو عرض نتائجه، انقر على ذلك الاستبيان.','ar',0,0),(5461,'المشاركة في الاستبيانات','ar',0,0),(5462,'إلغاء أو تعديل تصويته على الاستبيانات','ar',0,0),(5463,'تم إلغاء تصويتك.','ar',0,0),(5464,'لتفعيل تصفح هذا الحقل حسب القيمة، أدخل عنواناً لصفحة النتائج. يتم تعويض كلمة <code>%value</code> بالقيمة المناسبة. مثال على عنوان الصفحة \"المستخدمون الذين لونهم المفضل هو %value\". وهذه الميزة لا تستخدم إلا للحقول العامة.','ar',0,0),(5465,'لتفعيل تصفح هذا الحقل حسب القيمة، أدخل عنواناً لصفحة النتائج. مثال على عنوان الصفحة \"الأعضاء الذين لديهم عمل\". وهذه الميزة لا تستخدم إلا للحقول العامة.','ar',0,0),(5466,'تسمح وحدة الملف الشخصي لإداريي الموقع بتعريف حقول مخصصة (كالبلد، الاسم، اللقب والسن) لملفات المستخدمين، والتي سيتم عرضها لاحقاً في <a href=\"@user\">الصفحة الشخصية</a>. مما يسمح لمستخدمي الموقع بتبادل المزيد من المعلومات المتعلقة بهم، ويمكن أن يساعد المواقع الاجتماعية على تنظيم المستخدمين حسب معلومات معينة. للمزيد يرجى مراجعة صفحة الدليل حول <a href=\"@profile\">وحدة الملف الشخصي</a>.','ar',0,0),(5467,'إضافة حقول إلى الملف الافتراضي','ar',0,0),(5468,'لتوفير إمكانية إدخال معلومات إضافية للمستخدمين حول أنفسهم، تسمح وحدة Profile بإضافة حقول إضافية للملف الشخصي المبدئي للمستخدم. أمثلة عن الإضافات الكلاسيكية: <em>العنوان</em>، <em>المؤسسة</em>، <em>السن</em> أو <em>الهوايات</em>.','ar',0,0),(5469,'صفحات معلومات المستخدم','ar',0,0),(5470,'تسمح وحدة الملف الشخصي بتفعيل روابط لعرض المزيد من المعلومات حول مستخدمي الموقع. يمكنك عرض <a href=\"@profile\">صفحة بقائمة المستخدمين</a>، وصفحات معينة بالنقر على الحقول التي توفر رابط من أي ملف مستخدم. على سبيل المثال، قائمة <a href=\"@profile-country\">المستخدمين القاطنين بكندا</a> على موقع دروبال تعرض جميع المستخدمين الذين أدخلوا <em>كندا</em> في حقل <em>البلد</em> على ملفهم الشخصي.','ar',0,0),(5471,'صندوق معلومات المؤلف','ar',0,0),(5472,'هذه الصفحة تسرد الحقول المخصصة الموجودة التي يمكن عرضها على صفحة <em>حسابي</em> لمستخدم ما. لتوفير هيكلية معينة، يمكن وضع الحقول المتشابهة أو المشتركة في فئة ما. لإضافة فئة جديدة (أو تعديل فئة موجودة)، قم بتعديل حقل من ملف المستخدم و غير اسم الفئة.','ar',0,0),(5473,'تم تغيير وحدات البحث المفعلة.','ar',0,0),(5474,'البحث في %type عن %key.','ar',0,0),(5475,'البحث عن المحتوى والمستخدمين','ar',0,0),(5476,'المستخدمون الذين لديهم صلاحية <em>استخدام البحث</em> يمكنهم استخدام صندوق البحث و <a href=\"@search\">صفحة البحث</a>. المستخدمون الذين لديهم صلاحية <em>مشاهدة المحتوى المنشور</em> يمكنهم البحث عن المحتوى الذي يحتوي على كلمات معينة. المستخدمون الذين لديهم صلاحية <em>عرض الصفحات الشخصية للمستخدمين</em> يمكنهم البحث عن المستخدمين عن طريق كلمات معينة، والمستخدمون الذين لديهم صلاحية <em>إدارة المستخدمين</em> يمكنهم البحث عن المستخدمين عن طريق بريدهم الإلكتروني. بالإضافة إلى ذلك، المستخدمون الذين لديهم صلاحية <em>استخدام البحث المتقدم</em> يمكنهم إيجاد المحتويات باستخدام أساليب البحث وفلترة أكثر تعقيداً بتحديد خيار <em>البحث المتقدم</em> على <a href=\"@search\">صفحة البحث</a>.','ar',0,0),(5477,'فهرسة المتحوى بمجدول الأعمال (كرون)','ar',0,0),(5478,'ضبط إعدادات البحث','ar',0,0),(5479,'وحدة البحث تتضمن <em>صندوق بحث</em> افتراضي, والذي يمكن تفعيله وضبطه من <a href=\"@blocks\">صفحة إدارة الصناديق</a>. الصندوق سيظهر فقط للمستخدمين الذي لديهم صلاحية <em>البحث ضمن المحتوى</em>.','ar',0,0),(5480,'توسيع وحدة البحث','ar',0,0),(5481,'<ul>\r\n<li>تحقق من كتابة الكلمات بشكل صحيح.</li>\r\n<li>احذف علامات الاقتباس حول العبارة للبحث عن كل كلمة على انفراد <em>مرأب السيارة</em> غالباً تعطي نتائج أكثر من <em>&quot;مرأب السيارة&quot;</em>.</li>\r\n<li>حاول توسيع نطاق البحث باستخدام <em>OR</em>. <em>مرأب OR سيارة</em> غالباً تعطي نتائج أكثر من <em>مرأب سيارة</em>.</li>\r\n</ul>','ar',0,0),(5482,'إدارة البحث','ar',0,0),(5483,'استخدام البحث','ar',0,0),(5484,'استخدام البحث المتقدم','ar',0,0),(5485,'اختر مجموعة اختصارات لاستخدامها','ar',0,0),(5486,'اختر مجموعة اختصارات لهذا المستخدم','ar',0,0),(5487,'أنت تستخدم الآن مجموعة الاختصارات الجديدة %set_name. يمكنك تغييرها من خلال هذه الصفحة أو <a href=\"@switch-url\">التغيير لمجموعة مختلفة</a>.','ar',0,0),(5488,'%user يستخدم الآن مجموعة الاختصارات الجديدة %set_name. يمكنك تغييرها من هذه الصفحة.','ar',0,0),(5489,'أنت تستخدم الآن مجموعة الاختصارات %set_name.','ar',0,0),(5490,'%user يستخدم الآن مجموعة الاختصارات %set_name.','ar',0,0),(5491,'تغيير المجموعة','ar',0,0),(5492,'تم تحديث مجموعة الاختصارات.','ar',0,0),(5493,'إضافة اختصار جديد','ar',0,0),(5494,'تغيير @shortcut','ar',0,0),(5495,'اسم الاختصار.','ar',0,0),(5496,'مسار الاختصار.','ar',0,0),(5497,'يجب أن يؤدي الرابط إلى مسار صحيح على الموقع.','ar',0,0),(5498,'تم تحديث الاختصار %link.','ar',0,0),(5499,'إضافة اختصار إلى العنوان %title.','ar',0,0),(5500,'هل أنت متأكد من حذف الاختصار %title؟','ar',0,0),(5501,'تم حذف الاختصار %title.','ar',0,0),(5502,'لا يمكن إضافة اختصار إلى %title.','ar',0,0),(5503,'إضافة وحذف الاختصارات','ar',0,0),(5504,'عرض الاختصارات','ar',0,0),(5505,'إدارة الاختصارات','ar',0,0),(5506,'اختصارات @shortcut_set','ar',0,0),(5507,'إضافة إلى الاختصارات','ar',0,0),(5508,'حذف من اختصارات %shortcut_set','ar',0,0),(5509,'حذف من الاختصارات','ar',0,0),(5510,'تحرير الاختصارات','ar',0,0),(5511,'إضافة اختصار','ar',0,0),(5512,'تعديل اختصار','ar',0,0),(5513,'حذف اختصار','ar',0,0),(5514,'يتيح للمستخدمين إدارة قوائم مطوّعة للروابط المقصرة.','ar',0,0),(5515,'قيمة @value هي TRUE.','ar',0,0),(5516,'قيمة @value هي FALSE.','ar',0,0),(5517,'قيمة @value هي NULL.','ar',0,0),(5518,'قيمة @value هي not NULL.','ar',0,0),(5519,'القيمة @first تساوي القيمة @second.','ar',0,0),(5520,'القيمة @first لا تساوي القيمة @second.','ar',0,0),(5521,'القيمة @first مطابقة للقيمة @second.','ar',0,0),(5522,'القيمة @first غير مطابقة للقيمة @second.','ar',0,0),(5523,'لم يتم إكمال الاختبار لوجود خطأ فادح.','ar',0,0),(5524,'تم العثور على ارتباط مع التسمية %label.','ar',0,0),(5525,'لم يتم العثور على ارتباط مع التسمية %label.','ar',0,0),(5526,'تم العثور على ارتباط يتضمن href %href.','ar',0,0),(5527,'لم يتم العثور على أي رابط يتضمن href %href.','ar',0,0),(5528,'تم النقر على ارتباط %label (@url_target) من @url_before','ar',0,0),(5529,'تم تحديد الخيار @option للحقل @id.','ar',0,0),(5530,'لم يتم تحديد الخيار @option للحقل @id.','ar',0,0),(5531,'مفاوضات GSS','ar',0,0),(5532,'NTLM','ar',0,0),(5533,'بأمان','ar',0,0),(5534,'تشغيل الاختبارات','ar',0,0),(5535,'قم بزيارة <a href=\"@admin-simpletest\">صفحة الاختبارات</a> لعرض قائمة الاختبارات المتاحة. لتشغيل مجموعة اختبارات، حدد <em>الكل</em> أو حدد الاختبارات فردياً للقيام باختبارات أكثر تحديداً. انتبه فقد تستغرق العملية عدة دقائق لإنهاء جميع الاختبارات، يرجى مراجعة دليل <a href=\"@simpletest-api\">توثيق API للاختبارات</a> على الإنترنت.','ar',0,0),(5536,'بعد تشغيل الاختبارات، سيتم عرض رسالة بجانب كل مجموعة اختبار للإشارة ما إذا كان الاختبار ناجح، فاشل أو قام بتوليد استثناءات. النجاح يعني أن الاختبار استجاب بالنتائج المتوقعة، في حين أن الفشل يعني العكس. الاستثناء يشير عادة إلى خطأ خارج الاختبار، كتحذير أو ملاحظة من PHP. عند وجود فشل أو استثناء، سوف يتم تقديم النتائج مع التفاصيل والاختبارات التي أدت إلى على فشل أو استثناء سيتم الإشارة إليها باللون الأحمر أو الوردي. يمكنك استخدام هذه النتائج لمراجعة الكود الخاص بك وإعادة الاختبار إلى أن تحصل على نتائج ناجحة.','ar',0,0),(5537,'إدارة الاختبارات','ar',0,0),(5538,'تم إكمال تنفيذ الاختبار في @elpsed','ar',0,0),(5539,'استخدم زر <em>مسح البيئة</em> لحذف الملفات والجداول المؤقتة.','ar',0,0),(5540,'بيئة الاختبار تتطلب أن يكون تقييد <a href=\"@open_basedir-url\">open basedir</a> PHP معطل.تحقق من إعدادات خادم الويب أو اتصل بالمستضيف الخاص بك.','ar',0,0),(5541,'تعذر تثبيت إطار الاختبار لأن مكتبة PHP <a href=\"@curl_url\">cURL</a> غير متوفرة.','ar',0,0),(5542,'لا يمكن تثبيت بيئة الاختبار لأن إضافة PHP <a href=\"@hash_url\">hash</a> معطلة.','ar',0,0),(5543,'تقييد PHP open_basedir','ar',0,0),(5544,'إلغاء حظر عنوان IP','ar',0,0),(5545,'حظر عنوان IP','ar',0,0),(5546,'وحدة الإحصاءات تظهر لك عدد مرادة مشاهدة صفحة ما، من شاهدها، الصفحة السابقة التي زارها المستخدم (عنوان الرابط) وتاريخ عرض هذه الصفحة. هذه الإحصاءات مفيدة لتحديد كيفية زيارة وتنقل المستخدمين على الموقع. للمزيد من المعلومات، يرجى مراجعة <a href=\"@statics\">وحدة الإحصاءات</a> على الإنترنت.','ar',0,0),(5547,'إدارة السجلات','ar',0,0),(5548,'عرض استخدام الموقع','ar',0,0),(5549,'قد تساعدك وحدة الإحصاءات على تحليل التفاصيل الخاصة بالمستخدمين والطريقة التي يستخدمون بها الموقع. توفر الوحدة 4 تقارير :','ar',0,0),(5550,'عرض المحتوى الأكثر شعبية','ar',0,0),(5551,'الوحدة توفر صندوق <em>المحتويات اﻷكثر زيارة</em> والذي يعرض الصفحات الأكثر مشاهدةً. لاستخدام هذا الصندوق، يرجى تفعيل <em>عداد مشاهدة المحتوى</em> على <a href=\"@statics-settings\">صفحة إعدادات الإحصائيات</a> ثم بعد ذلك يمكنك تفعيل وإعداد هذا الصندوق من <a href=\"@blocks\">صفحة إدارة الصناديق</a>.','ar',0,0),(5552,'عداد الصفحات المعروضة','ar',0,0),(5553,'توفر وحدة الإحصائيات عداد لكل صفحة والذي يزيد في كل مرة تتم بها زيارة الصفحة. لاستخدام العداد، يرجى تفعيل <em>عداد مشاهدة المحتوى</em> على <a href=\"@statics-settings\">صفحة إعدادات الإحصائيات</a> وتعيين <a href=\"@permissions\">الصلاحيات</a> المناسبة لتمكين المستخدمين من مشاهدة هذا العداد.','ar',0,0),(5554,'إدارة الإحصاءات','ar',0,0),(5555,'عرض إحصاءات الوصول إلى المحتوى','ar',0,0),(5556,'عرض طلبات المحتوى','ar',0,0),(5557,'التسجيل لـ UNIX، Linux و Mac OS X.','ar',0,0),(5558,'التسجيل لمايكروسوفت ويندوز','ar',0,0),(5559,'في نظام تشغيل مايكروسوفت ويندوز، يتم إرسال الرسائل دوماً إلى سجل الأحداث باستخدام الكود <code>LOG_USER</code>.','ar',0,0),(5560,'خدمة Syslog (سجل النظام)','ar',0,0),(5561,'بحسب إعدادات النظام، Syslog وأدوات التسجيل تستخدم هذا الكود لتعريف أو فلترة رسائل سجل النظام بأكمله.','ar',0,0),(5562,'تعذر تدوير الصورة %file لأن الدالة imagerorate() غير متوفرة في هذه النسخة من PHP.','ar',0,0),(5563,'تعذر إلغاء تشبيع الصورة %file لأن الدالة imagefilter() غير متوفرة في هذه النسخة من PHP.','ar',0,0),(5564,'لقطة شاشة للحلة !theme','ar',0,0),(5565,'إعدادات الحلة !theme','ar',0,0),(5566,'تعطيل الحلة !theme','ar',0,0),(5567,'تحديد !theme كحلة افتراضية','ar',0,0),(5568,'تفعيل الحلة !theme','ar',0,0),(5569,'تفعيل واختيارها كافتراضي','ar',0,0),(5570,'تفعيل !theme كحلة افتراضية','ar',0,0),(5571,'الحلة الافتراضية','ar',0,0),(5572,'اختر \"theme افتراضية\" لاستخدامها بشكل دائم على كل الموقع.','ar',0,0),(5573,'استخدام theme الإدارة عند إنشاء أو تعديل محتوى','ar',0,0),(5574,'تم تفعيل الحلة %theme.','ar',0,0),(5575,'الحلة %theme غير موجودة.','ar',0,0),(5576,'%theme هي الحلة الافتراضية ولا يمكن تعطيلها.','ar',0,0),(5577,'تم تعطيل الحلة %theme.','ar',0,0),(5578,'الرجاء الأخذ بعين الاعتبار أن theme الإدارة هي دوماً theme %admin_theme. بناء على ذلك فإن theme هذه الصفحة لا تتغير. ومع ذلك فإن كل أقسام هذا الموقع غير المتعلقة بالإدارة تستخدم theme الافتراضية %selected_theme','ar',0,0),(5579,'%theme هي الآن theme الافتراضية.','ar',0,0),(5580,'حالة التحقق من المستخدم في التعليقات','ar',0,0),(5581,'تتوفر هذه الإعدادات في theme التي تعتمد على محرك theme %engine.','ar',0,0),(5582,'تعذر رفع الشعار.','ar',0,0),(5583,'تعذر رفع الأيقونة.','ar',0,0),(5584,'مسار الشعار المخصص غير صحيح.','ar',0,0),(5585,'مسار الأيقونة المخصصة غير صحيح.','ar',0,0),(5586,'@module (<span class=\"admin-missing\">غير متوافق مع</span> النسخة @version)','ar',0,0),(5587,'هذه النسخة غير متوافقة مع دروبال !core_version ويجب تبديلها.','ar',0,0),(5588,'هل ترغب بالمتابعة بناء على ماسبق؟','ar',0,0),(5589,'الرجاء إدخال عنوان IP صحيح.','ar',0,0),(5590,'عنوان IP هذا محظور بالفعل.','ar',0,0),(5591,'لا يمكنك حظر عنوان IP الخاص بك.','ar',0,0),(5592,'تم حظر عنوان IP %ip.','ar',0,0),(5593,'هل تود فعلاً حذف %ip؟','ar',0,0),(5594,'تم حذف عنوان IP %ip.','ar',0,0),(5595,'طريقة استعمال هذا تعتمد على حلة موقعك.','ar',0,0),(5596,'عدد المواضيع في الصفحة الرئيسية','ar',0,0),(5597,'العدد الأقصى للمشاركات التي سيتم عرضها على صفحات النظرة العامة كالصفحة الرئيسية.','ar',0,0),(5598,'يتم عرض هذه الصفحة عند رفض عرض المستند المطلب للمستخدم الحالي. اتركه فارغاً لعرض صفحة \"الوصول ممنوع\" العامة.','ar',0,0),(5599,'يتم عرض هذه الصفحة عند عدم وجود أي محتوى يطابق المستند المطلوب. اتركه فارغاً لعرض صفحة \"الصفحة غير موجودة\" العامة.','ar',0,0),(5600,'الأخطاء والتحذيرات','ar',0,0),(5601,'مسح كل ذواكر التخزين المؤقت','ar',0,0),(5602,'<strong class=\"error\">أعدّ <a href=\"!file-system\">مجلد الملفات العامة</a> لتوفير هذه التحسينات.</strong>','ar',0,0),(5603,'تحسين سعة قناة الاتصال','ar',0,0),(5604,'ضغط الصفحات المخزنة تخزين مؤقت.','ar',0,0),(5605,'مسار نظام الملفات العام.','ar',0,0),(5606,'مسار على نظام الملف المحلي حيث سيتم تخزين الملفات العامة. يجب أن يكون هذا الدليل موجوداً وقابل للكتابة من طرف دروبال. يجب أن يقع هذا الدليل تحت دليل تثبيت دروبال وأن يكون قابل للوصول من الإنترنت أيضاً.','ar',0,0),(5607,'مسار نظام الملفات الخاص.','ar',0,0),(5608,'مسار على نظام الملفات المحلي حيث سيتم تخزين الملفات المؤقتة. ينبغي أن يكون هذا الدليل غير قابل للوصول إليه من الإنترنت.','ar',0,0),(5609,'طريقة التحميل الافتراضية','ar',0,0),(5610,'يعين هذا التكوين طريقة التحميل المفضلة. استخدام الملفات العامة أكثر فعالية لكن لا يوفر أي تحكم في الوصول.','ar',0,0),(5611,'وصف لموقعك، يتم إدراجه في كل تلقيمة.','ar',0,0),(5612,'لا يوجد أي نوع تاريخ متوفر. <a href=\"@link\">إضافة نوع تاريخ</a>.','ar',0,0),(5613,'يجب أن يحتوي نوع التاريخ على حروف لاتينية وأرقام وشرطات وشرطات سفلية فقط.','ar',0,0),(5614,'هذا النوع من التاريخ موجود مسبقاً. الرجاء إدخال نوع فريد.','ar',0,0),(5615,'تم إضافة نوع تاريخ بنجاح.','ar',0,0),(5616,'نقل الموقع لوضع الصيانة','ar',0,0),(5617,'رسالة وضع الصيانة','ar',0,0),(5618,'الرسالة المعروضة للزوار عندما يكون الموقع في وضع الصيانة.','ar',0,0),(5619,'استخدام الروابط على الشكل <code>example.com/user</code> بدلاً من <code>example.com/?=user</code>.','ar',0,0),(5620,'تتطلب: !module-list','ar',0,0),(5621,'تتطلبها: !module-list','ar',0,0),(5622,'هل أنت متأكد من حذف نوع التاريخ %type؟','ar',0,0),(5623,'حذف نوع التاريخ %type.','ar',0,0),(5624,'لا توجد أي صيغة تاريخ متاحة. <a href=\"@link\">إضافة صيغة تاريخ</a>.','ar',0,0),(5625,'عرض بشكل','ar',0,0),(5626,'عرض بشكل %date','ar',0,0),(5627,'صيغة تاريخ معينة من طرف المستخدم. راجع <a href=\"@url\">دليل PHP</a> للخيارات المتاحة.','ar',0,0),(5628,'حفظ الصيغة','ar',0,0),(5629,'هذه الصيغة موجودة مسبقاً. الرجاء إدخال صيغة فريدة.','ar',0,0),(5630,'تم تحديث صيغة التاريخ المخصصة.','ar',0,0),(5631,'تمت إضافة صيغة التاريخ المخصصة.','ar',0,0),(5632,'الإجراءات المتاحة:','ar',0,0),(5633,'إنشاء إجراء متقدم','ar',0,0),(5634,'تسمية فريدة لهذا الإجراء المتقدم. سيتم عرض هذه التسمية في واجهة الوحدات التي تدمج الإجراءات، كوحدة Trigger.','ar',0,0),(5635,'حذف %ip','ar',0,0),(5636,'الحلة النشطة','ar',0,0),(5637,'لا توجد أية حلة نشطة','ar',5636,1),(5638,'الحلة المعطلة','ar',0,0),(5639,'وحدة النظام هي أساس الموقع، فهي توفر وظائف أساسية قابلة للتوسع والتي سيتم استخدامها من طرف الوحدات الأخرى والثيمات. بعض الوحدات الأساسية لدروبال هي جزء من وحدة النظام أو هي من يقوم بالتحكم بها، وهذا يشمل نظام التخزين المؤقت، تمكين وتعطيل الوحدات والثيمات، تحضير وعرض صفحات الإدارة، إضافة إلى تطوين الإعدادات الرئيسية للموقع. عدد معين من العمليات الأساسية لنظام الصيانة هي أيضا جزء من وحدة النظام. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@system\">وحدة النظام</a> على الإنترنت.','ar',0,0),(5640,'إدارة الوحدات','ar',0,0),(5641,'إدارة الثيمات','ar',0,0),(5642,'إدارة ذاكرة التخزين المؤقت','ar',0,0),(5643,'تشغيل صيانة النظام','ar',0,0),(5644,'ضبط الإعدادات الأساسية للموقع','ar',0,0),(5645,'ضبط الإجراءات','ar',0,0),(5646,'تحديد وتكوين الثيمة المبدئية لموقعك. <a href=\"@themes\">ثيمات</a> أخرى متاحة.','ar',0,0),(5647,'تحميل <a href=\"@modules\">وحدات إضافية</a> لتوسيع الأداء الوظيفي لدروبال.','ar',0,0),(5648,'راقب بانتظام وثبت <a href=\"@updates\">التحديثات المتاحة</a> للحفاظ على موقع محدث وآمن. شغل دائماً <a href=\"@update-php\">سكريبت التحديث</a> بعد كل تحديث ﻷي وحدة.','ar',0,0),(5649,'راقب بشكل دوري وثبت <a href=\"@updates\">التحديثات المتاحة</a> للحفاظ على موقع محدث وآمن. شغل دائماً <a href=\"@update-php\">سكريبت التحديث</a> بعد كل تحديث ﻷي وحدة.','ar',0,0),(5650,'راقب بانتظام التحديثات المتاحة للحفاظ على موقع محدث وآمن. شغل دائماً <a href=\"@update-php\">سكربت التحديث</a> في كل مرة يتم فيها تحديث وحدة. وفعل وحدة إدارة التحديثات لتحديث وتثبيت الوحدات والثيمات.','ar',0,0),(5651,'إذا كنت تقوم بالتحديث إلى نسخة أحدث من دروبال أو تحديث الوحدات أو الحلل المشارك بها، فقد تحتاج إلى تشغيل <a href=\"@update-php\">سكريبت التحديث</a>.','ar',0,0),(5652,'إدارة الوحدات','ar',0,0),(5653,'إدارة ضبط الموقع','ar',0,0),(5654,'إدارة الحلل','ar',0,0),(5655,'إدارة الإجراءات','ar',0,0),(5656,'استخدام صفحات الإدارة والمساعدة','ar',0,0),(5657,'استخدام الموقع في وضع الصيانة','ar',0,0),(5658,'عرض تقارير الموقع','ar',0,0),(5659,'حظر عناوين IP','ar',0,0),(5660,'الملفات المحلية الخاصة مخدمة من قبل دروبال.','ar',0,0),(5661,'تحديث الوحدات','ar',0,0),(5662,'تحديث الحلل','ar',0,0),(5663,'SSH','ar',0,0),(5664,'لن يتم حفظ كلمة المرور في قاعدة البيانات وستستخدم فقط لبدء لإنشاء اتصال.','ar',0,0),(5665,'سيتم إنشاء الاتصال بين خادم الويب الخاص بك والجهاز المستضيف لملفات الخادم. في أغلب الحالات سيكون الجهاز نفسه و \"localhost\" هو الأصح.','ar',0,0),(5666,'اضبط <a href=\"@user-edit\">إعدادات المنطقة الزمنية</a> الخاصة بك.','ar',0,0),(5667,'حدد منطقتك الزمنية وتوقيتك المحلي. سيتم عرض الأوقات والتواريخ الموجودة على الموقع وفقاً لهذه المنطقة الزمنية.','ar',0,0),(5668,'سيتم كشف وتحديد المنطقة الزمنية الخاصة بك تلقائيا إذا أمكن ذلك. قم بتأكيد ذلك وانقر على حفظ.','ar',0,0),(5669,'مساعدة النظام','ar',0,0),(5670,'الدليل %directory غير موجود وتعذر إنشاؤه.','ar',0,0),(5671,'الدليل %directory موجود لكنه غير قابل للكتابة وتعذر جعله كذلك.','ar',0,0),(5672,'عنوان البريد الإلكتروني الذي يجب إرسال الرسالة إليه أو استخدام [node:author:mail], [comment:author:mail]، إلخ. إذا أردت إرسال بريد إلى مؤلف المشاركة الأصلية.','ar',0,0),(5673,'الرسالة التي سيتم إرسالها. يمكنك استخدام سلاسل استبدال مثل [node:title]، [user:name]، و [comment:body] لتمثيل البيانات المختلفة في كل رسالة مرسلة. ليست جميع سلاسل الاستبدال متاحة في جميع السياقات.','ar',0,0),(5674,'الرسالة التي سيتم عرضها للمتخدم الحالي. يمكنك عناصر نائبة مثل [node:title] و [user:name] و [comment:body] لتمثيل البيانات التي ستتغير مع كل إرسال. لن تكون جميع العناصر النائبة متاحة في جميع السياقات.','ar',0,0),(5675,'يستخدم <a href=\"@poweredby\">دروبال</a>','ar',0,0),(5676,'AHAH callback','ar',0,0),(5677,'تفعيل الحلة','ar',0,0),(5678,'تعطيل الحلة','ar',0,0),(5679,'تحديد الحلة الافتراضية','ar',0,0),(5680,'حذف عنوان IP','ar',0,0),(5681,'حذف نوع التاريخ','ar',0,0),(5682,'السماح للمستخدمين بحذف تنسيق تاريخ تم ضبطه.','ar',0,0),(5683,'تعديل صيغة التاريخ','ar',0,0),(5684,'السماح للمستخدمين بتعديل صيغة تاريخ مضبوطة مسبقاً.','ar',0,0),(5685,'المضيف !host أزيل من قائمة الحظر ﻷن عنوان IP الخاص به غير صحيح.','ar',0,0),(5686,'تم تعطيل نظام ذاكرة التخزين المؤقت العنيف وتعويضه بالتخزين المؤقت العادي. راجع دليل ذاكرة التخزين المؤقت للصفحة في default.settings.php للمزيد من المعلومات حول كيفية تفعيل وظائف مشابهة.','ar',0,0),(5687,'%profile_name (%profile-%version)','ar',0,0),(5688,'تم تعطيل دالة phpinfo() لأسباب أمنية. لعرض معلومات phpinfo() الخاصة بالسيرفر، قم بتعديل إعدادت PHP أو اتصل بمدير الخادم. للمزيد من المعلومات، يرجى مراجعة صفحة <a href=\"@phpinfo\">تفعيل وتعطيل phpinfo()</a> على الدليل.','ar',0,0),(5689,'فشل في محاولة آلية لإنشاء هذا الدليل، ربما بسبب مشاكل في الصلاحيات. لمتابعة التثبيت، الرجاء إنشاء الدليل أو تعديل الصلاحيات يدوياً، أو التأكد من أن برنامج التثبيت يملك الصلاحيات لإنشائه آلياً. للمزيد من المعلومات، راجع INSTALL.txt أو <a href=\"@handbook_url\">الدليل على الإنترنت</a>.','ar',0,0),(5690,'تم حفظ إعداداتك.','ar',0,0),(5691,'لا يوجد معاجم. <a href=\"@link\">اضف معجم</a>.','ar',0,0),(5692,'لا يوجد مصطلحات.<a href=\"@link\">اضف مصطلح</a>.','ar',0,0),(5693,'لا يوجد محتويات مصنفة ضمن هذا المصطلح.','ar',0,0),(5694,'تسمح لك وحدة التصنيفات بتصنيف محتوى موقعك. لتصنيف المحتوى، يمكنك تعييم <em>معاجم</em>، والتي تحتوي على <em>مصطلحات</em> مرتبطة، ثم قم بربط المعاجم بأنواع المحتوى. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@taxonomy\">وحدة التصنيفات</a> على الإنترنت.','ar',0,0),(5695,'إنشاء معاجم','ar',0,0),(5696,'<em>معجم</em>: موسيقا','ar',0,0),(5697,'<em>مصطلح</em>: موسيقا الـJazz','ar',0,0),(5698,'<em>مصطلح فرعي</em>:موسيقا الـSwing','ar',0,0),(5699,'<em>مصطلح فرعي</em>: Fusion','ar',0,0),(5700,'<em>مصطلح</em>: روك','ar',0,0),(5701,'<em>مصطلح فرعي</em>: كاونتري روك','ar',0,0),(5702,'<em>مصطلح فرعي</em>: هارد روك','ar',0,0),(5703,'المصطلحات التي تكون في<em>معجم بتوسيم حر</em> يمكن بناؤها تدريجيا كلما أنشأت أو عدلت محتوى. هذا هو الحال غالبا في تطبيقات  المدونات أو إدارة الصور.','ar',0,0),(5704,'ربط المعاجم إلى أنواع المحتوى.','ar',0,0),(5705,'تصنيف المحتوى','ar',0,0),(5706,'عرض قوائم تلقيمات الـRSS حسب المصطلح','ar',0,0),(5707,'تمديد وحدة التصنيفات','ar',0,0),(5708,'توجد <a href=\"@taxcontrib\">العديد من الوحدات المساهم بها</a> التي توسع تصرف وحدة التصنيفات في كل من العرض وتنظيم المصطلحات.','ar',0,0),(5709,'تستخدم التصنيفات لتصنيف المحتوى. يتم تجميع المصطلحات في معاجم. مثلا، سيحتوي معجم باسم \"فواكه\" على المصطلحات \"تفاح\" و\"موز\".','ar',0,0),(5710,'يمكنك إعادة ترتيب المصطلحات في %capital_name باستخدام أداتي السحب والإفلات الخاصتين بها، وتجميع المصطلحات تحت مصطلح رئيسي بإزلاقها تحت وعلى يسار الأب.','ar',0,0),(5711,'تحتوي %capital_name على مصطلحات مجمعة تحت مصطلحات أب. يمكنك إعادة ترتيب المصطلحات في %capital_name باستخدام أداتي السحب والإفلات الخاصة بها.','ar',0,0),(5712,'تحتوي %capital_name على مصطلحات متعددة الأب. سحب وإفلات المصطلحات المتعددة الأب غير مدعوم، لكن يمكنك إعادة تفعيل دعم السحب والإفلات بتحرير كل مصطلح بحيث يتضمن مصطلح أب واحد فقط.','ar',0,0),(5713,'إدارة المعاجم والمصطلحات','ar',0,0),(5714,'تحرير وسوم في %vocabulary','ar',0,0),(5715,'حذف وسوم من %vocabulary','ar',0,0),(5716,'المعجم الذي يوفر خيارات لهذا الحقل.','ar',0,0),(5717,'تعرض وحدة شريط الأدوات روابط نحو عناصر القائمة الإدارية التي لها أعلى مستوى وروابط من وحدات أخرى في أعلى الشاشة. للمزيد من المعلومات، راجع المقال عن<a href=\"@toolbar\">وحدة شريط الأدوات</a> الموجود في الكتيب على الشبكة.','ar',0,0),(5718,'عرض الروابط الإدارية','ar',0,0),(5719,'استخدم شريط أدوات الإدارة','ar',0,0),(5720,'تبديل ظهور الجارور','ar',0,0),(5721,'يوفر شريط أدوات يعرض عناصر المستوى اﻷعلى من الروابط الإدارية وباقي الوحدات.','ar',0,0),(5722,'تعرض وحدة التعقب آخر المحتويات المضافة والمحدثة على موقعك، وتسمح لك بتتبع المحتوى الجديد المضاف لكل مستخدم. لا تملك هذه الوحدة خيارات للضبط. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@tracker\">وحدة التعقب</a> على الإنترنت.','ar',0,0),(5723,'تضيف وحدة التعقب عنصراً جديداً إلى قائمة الإبحار، تسمى <em>المحتويات الحديثة</em>. يمكنك ضبط عناصر القائمة من <a href=\"@menus\">صفحة إدارة القوائم</a>.','ar',0,0),(5724,'تتبع محتويات الموقع الجديدة والمحدثة','ar',0,0),(5725,'تعرض صفحة <a href=\'@recent\'>المحتوى الحديث</a> المحتوى الجديد والمحتوى المحدث بترتيب زمني معكوس، مدرجة في القائمة نوع المحتوى والعنوان واسم المؤلف وعدد التعليقات ووقت آخر تحديث. يعتبر المحتوى معدلا عند حدوث تغييرات في النص، أو عند إضافة تعليقات جديدة. يحد اللسان <em>محتوياتي الحديثة</em> القائمة في المستخدم المسجل حاليا.','ar',0,0),(5726,'تتبع المحتوى الخاص بمستخدم معين','ar',0,0),(5727,'لتتبع المحتوى الجديد أو المحدث لمستخدم معين، اختر تبويب <em>تتبع</em> من الصفحة الشخصية لهذا المستخدم.','ar',0,0),(5728,'كل المحتويات الحديثة','ar',0,0),(5729,'محتوياتي الحديثة','ar',0,0),(5730,'تتبع المحتوى','ar',0,0),(5731,'تسمح بتتبع المحتوى الذي نشره المستخدمون حديثاً.','ar',0,0),(5732,'تسمح وحدة ترجمة المحتوى بترجمة المحتويات إلى عدة لغات. تعمل مع <a href=\"@locale\">وحدة المحلية</a> (التي تتحكم في اللغات المفعلة وتوفر ترجمات لواجهة الموقع)، وحدة ترجمة المحتوى هي المفتاح الأساسي لإنشاء والحفاظ على محتوى الموقع مترجم. للمزيد من المعلومات، يرجى مراجعة دليل <a href=\"@translation\">وحدة ترجمة المحتوى</a> على الإنترنت.','ar',0,0),(5733,'ضبط أنواع المحتوى للترجمة','ar',0,0),(5734,'إسناد لغة للمحتوى','ar',0,0),(5735,'استخدم القائمة المنسدلة <em>اللغة</em> لتحديد اللغة المناسبة عند إنشاء أو تعديل محتوى.','ar',0,0),(5736,'ترجمة محتوى','ar',0,0),(5737,'صيانة الترجمات','ar',0,0),(5738,'ترجمة المحتوى','ar',0,0),(5739,'توجد مسبقاً ترجمة بهذه اللغة.','ar',0,0),(5740,'الزناد: !description','ar',0,0),(5741,'لا توجد إجراءات متوفرة لهذا المسبب. <a href=\"@link\">إضافة إجراء</a>.','ar',0,0),(5742,'إجراء عملية حفظ (%save_aid) مفقودة أو غير معينة للإجراء %aid.','ar',0,0),(5743,'تمت إضافة الإجراء %label، وهو ضروري لحفظ التغييرات على الخاصية.','ar',0,0),(5744,'تم نقل الإجراء %label لحفظ التغيير على الخاصية.','ar',0,0),(5745,'إعداد المسببات والإجراءات','ar',0,0),(5746,'غند حفظ محتوى جديد أو تحديث محتوى موجود.','ar',0,0),(5747,'بعد حفظ محتوى محدث','ar',0,0),(5748,'غند حفظ تعليق جديد أو تحديث تعليق موجود.','ar',0,0),(5749,'عند إنشاء حساب مستخدم جديد','ar',0,0),(5750,'عند تحديث حساب مستخدم','ar',0,0),(5751,'إعداد وقت تنفيذالإجراءات.','ar',0,0),(5752,'تثبيت التحديث','ar',0,0),(5753,'تحضير تحديث موقعك','ar',0,0),(5754,'تثبيت %project','ar',0,0),(5755,'التحضير للتثبيت','ar',0,0),(5756,'خطأ في التثبيت \\ التحديث','ar',0,0),(5757,'تم تثبيت %project_name بنجاح','ar',0,0),(5758,'تم اكتمال التحديث بنجاح. تم رفع حالة الصيانة.','ar',0,0),(5759,'تم التحديث بنجاح.','ar',0,0),(5760,'فشل في التحديث. للمزيد من المعلومات راجع السجل أدناه.','ar',0,0),(5761,'فشل في التحديث. للمزيد من المعلومات راجع السجل أدناه. لا يزال موقعك في وضع الصيانة.','ar',0,0),(5762,'تم اكتمال التثبيت بنجاح. تم رفع حالة الصيانة.','ar',0,0),(5763,'تم التثبيت بنجاح.','ar',0,0),(5764,'فشل في التثبيت. للمزيد من المعلومات راجع السجل أدناه.','ar',0,0),(5765,'فشل في التثبيت. للمزيد من المعلومات راجع السجل أدناه. لا يزال موقعك في وضع الصيانة.','ar',0,0),(5766,'فشل في جلب بيانات التحديث المتاحة.','ar',0,0),(5767,'لا توجد بيانات تحديث متاحة.','ar',0,0),(5768,'التحقق من بيانات التحديث المتاحة.','ar',0,0),(5769,'محاولة التحقق من بيانات التحديث المتاحة ...','ar',0,0),(5770,'خطأ في التحقق من بيانات التحديث المتاحة.','ar',0,0),(5771,'التحقق من بيانات التحديث المتاحة ...','ar',0,0),(5772,'تم التحقق من بيانات التحديث المتاحة لـ %title.','ar',0,0),(5773,'فشل في التحقق من بيانات التحديث المتاحة لـ %title.','ar',0,0),(5774,'حدث خطأ أثناء محاولة التحقق من بيانات التحديث المتاحة.','ar',0,0),(5775,'حدثت مشكلة عند جلب معلومات التحديث. الرجاء إعادة المحاولة لاحقاً.','ar',0,0),(5776,'(الحلة)','ar',0,0),(5777,'(ملاحظات اﻹصدار)','ar',0,0),(5778,'(تحديث أمني)','ar',0,0),(5779,'(غير مدعوم)','ar',0,0),(5780,'جميع المشاريع بأحدث نسخة.','ar',0,0),(5781,'تحميل هذه التحديثات','ar',0,0),(5782,'تتطلب تحديثات يدوية','ar',0,0),(5783,'تحديثات نواة دروبال غير مدعومة حالياً.','ar',0,0),(5784,'يجب عليك تحديد مشروع على الأقل لتحديثه.','ar',0,0),(5785,'جاري تحميل التحديثات','ar',0,0),(5786,'التحضير لتحميل التحديثات المحددة','ar',0,0),(5787,'فشل تحميل التحديثات:','ar',0,0),(5788,'تم تحميل التحديثات بنجاح.','ar',0,0),(5789,'خطأ قاتل أثناء محاولة التحميل.','ar',0,0),(5790,'أنشأ نسخة احتياطية لقاعدة البيانات قبل المتابعة. <a href=\"@backup_url\">تعلم كيفية القيام بذلك</a>.','ar',0,0),(5791,'تنفيذ عمليات التحديث والموقع في وضع الصيانة (موصى به بشدة)','ar',0,0),(5792,'التثبيت من عنوان الرابط','ar',0,0),(5793,'مثلاً: %url','ar',0,0),(5794,'رفع أرشيف وحدة أو حلة للتثبيت','ar',0,0),(5795,'مثلاً: %filename من جهاز الكمبيوتر الخاص بك.','ar',0,0),(5796,'يجب عليك إما توفير عنوان رابط، أو رفع أرشيف للتثبيت.','ar',0,0),(5797,'عنوان الرابط غير صحيح.','ar',0,0),(5798,'تعذر استرداد مشروع دروبال من %url.','ar',0,0),(5799,'الأرشيف المحدد لا يحتوي على أي ملفات.','ar',0,0),(5800,'تعذر تحديد اسم %project.','ar',0,0),(5801,'%project مثبت بالفعل.','ar',0,0),(5802,'تعذر استرداد %file، ﻷنه ليس أرشيف صحيح.','ar',0,0),(5803,'جاري تحميل %project','ar',0,0),(5804,'فشل في تحميل %project من %url','ar',0,0),(5805,'يحتوي:','ar',0,0),(5806,'المفعلة: %includes','ar',0,0),(5807,'المعطلة: %disabled','ar',0,0),(5808,'%base_theme (!base_label)','ar',0,0),(5809,'يعتمد على: !basethemes','ar',0,0),(5810,'يتطلبه: %subthemes','ar',0,0),(5811,'تسمح أيضا إدارة التحديثات للإداريين بتحديث وتثبيت الوحدات والثيمات من خلال واجهة الإدارة.','ar',0,0),(5812,'التحقق من التحديثات المتاحة','ar',0,0),(5813,'إجراء التحديث من خلال واجهة المستخدم.','ar',0,0),(5814,'تثبيت الوحدات والثيمات الجديدة من خلال واجهة المستخدم.','ar',0,0),(5815,'يمكنك تثبيت التحديثات المفقودة باستخدام مدير التحديثات:','ar',0,0),(5816,'موقعك معد حالياً لإرسال رسائل بريد إلكتروني عند توفر أي تحديث. لكي يتم إعلامك بالتحديثات الأمنية. !url.','ar',0,0),(5817,'موقعك معد حالياً لإرسال رسائل بريد إلكتروني عند توفر تحديثات أمنية فقط. لكي يتم إعلامك بكافة التحديثات المتوفرة، !url.','ar',0,0),(5818,'حدثت مشكلة في التحقق من <a href=\"@update-report\">التحديثات المتاحة</a> لدروبال.','ar',0,0),(5819,'حدثت مشكلة في التحقق من <a href=\"@update-report\">التحديثات المتاحة</a> للوحدات أو الثيمات الخاصة بك.','ar',0,0),(5820,'راجع صفحة <a href=\"@available_updates\">التحديثات المتاحة</a> لمعرفة المزيد من المعلومات ولتثبيت التحديثات المفقودة.','ar',0,0),(5821,'جاهز للتحديث','ar',0,0),(5822,'مسيّر التحديث','ar',0,0),(5823,'يراقب التحديثات المتوفرة، وبإمكانه تثبيت أو تحديث الوحدات والحلل بشكل آمن عن طريق واجهة ويب.','ar',0,0),(5824,'لا يوجد أشخاص.','ar',0,0),(5825,'التسجيل والإلغاء','ar',0,0),(5826,'من بإمكانه التسجيل؟','ar',0,0),(5827,'المديرون فقط','ar',0,0),(5828,'الزوار، لكن بموافقة الإدارة.','ar',0,0),(5829,'طلب التحقق من عنوان البريد الإلكتروني عندما يقوم زائر بإنشاء حساب.','ar',0,0),(5830,'عند إلغاء حساب مستخدم','ar',0,0),(5831,'بإمكان المستخدمين ذوي <a href=\"@permissions-url\">صلاحيات</a> %select-cancel-method أو %administer-users تغيير هذه الطريقة الافتراضية.','ar',0,0),(5832,'اختر طريقة لإلغاء الحساب','ar',0,0),(5833,'إدارة المستخدمين','ar',0,0),(5834,'التخصيص','ar',0,0),(5835,'تفعيل التواقيع.','ar',0,0),(5836,'الدليل %directory غير موجود أو غير قابل للكتابة.','ar',0,0),(5837,'تفعيل صور المستخدمين.','ar',0,0),(5838,'دليل الصور','ar',0,0),(5839,'نمط عرض الصور','ar',0,0),(5840,'أبعاد الصور المرفوعة','ar',0,0),(5841,'حجم ملف الصورة المرفوعة','ar',0,0),(5842,'بريد إلكتروني','ar',0,0),(5843,'ترحيب (مستخدم جديد أنشأه مدير)','ar',0,0),(5844,'تحرير رسائل البريد الإلكتروني الترحيبية المرسلة إلى حسابات المستخدمين الجديدة التي تم إنشاؤها بواسطة إداري.','ar',0,0),(5845,'ترحيب (في انتظار الموافقة)','ar',0,0),(5846,'تحرير رسائل البريد الإلكتروني الترحيبية المرسلة إلى الأعضاء الجدد أثناء تسجيلهم، عندما يتطلب الموافقة الإدارية.','ar',0,0),(5847,'ترحيب (موافقة غير مطلوبة)','ar',0,0),(5848,'تحرير رسائل البريد الإلكتروني الترحيبية المرسلة إلى الأعضاء الجدد أثناء تسجيلهم، عندما لا يتطلب الموافقة الإدارية.','ar',0,0),(5849,'استعادة كلمة المرور','ar',0,0),(5850,'تحرير رسائل البريد الإلكتروني المرسلة إلى الأعضاء الذين يطلبون كلمة مرور جديدة.','ar',0,0),(5851,'تفعيل الحساب','ar',0,0),(5852,'تفعيل وتعديل رسائل البريد الإلكتروني المرسلة إلى المستخدمين عند تفعيل حساباتهم (عندما يقوم مسؤول بتفعيل الحساب الذي يتطلب موافقة إدارية).','ar',0,0),(5853,'تفعيل وتعديل رسائل البريد الإلكتروني المرسلة إلى المستخدمين عند حظر حساباتهم.','ar',0,0),(5854,'تأكيد إلغاء الحساب','ar',0,0),(5855,'تحرير رسائل البريد الإلكتروني المرسلة إلى المستخدمين عندما يطلبون إلغاء حسابهم.','ar',0,0),(5856,'تم إلغاء الحساب','ar',0,0),(5857,'تفعيل وتحرير رسائل البريد الإلكتروني المرسلة للمستخدمين عند إلغاء حسابهم.','ar',0,0),(5858,'إعلام المستخدم عند إلغاء حسابه.','ar',0,0),(5859,'اسم الدور %name موجود سابقا. اختر اسم دور مختلف.','ar',0,0),(5860,'تم تسجيل دخولك باسم %user. <a href=\"!user_edit\">قم بتغيير كلمة المرور.</a>','ar',0,0),(5861,'الرابط  وحيد الاستعمال لتسجيل الدخول الذي نقرت عليه غير صالح.','ar',0,0),(5862,'لقد استخدمت رابطك الوحيد الاستعمال لتسجيل الدخول. لا حاجة إلى استعمال هذا الرابط لتسجيل الدخول. الرجاء تغيير كلمة مرورك.','ar',0,0),(5863,'<p>هذا رابط تسجيل دخول صالح مرة واحدة للمستخدم %user_name وستنتهي صلاحيته في %expiration_date.</p><p>انقر على هذا الزر لتسجيل الدخول إلى الموقع و تغيير كلمة مرورك.</p>','ar',0,0),(5864,'عند إلغاء حسابك','ar',0,0),(5865,'عند إلغاء الحساب','ar',0,0),(5866,'طلب تأكيد البريد الإلكتروني لإلغاء الحساب.','ar',0,0),(5867,'عند تفعيله، على المستخدم أن يؤكد إلغاء الحساب بالبريد الإلكتروني.','ar',0,0),(5868,'عند تفعيله، سيستلم المستخدم تأكيدا بالبريد الإلكتروني بعد إلغاء الحساب.','ar',0,0),(5869,'هل تريد فعلا إلغاء حسابك؟','ar',0,0),(5870,'هل تريد فعلا إلغاء حساب %name؟','ar',0,0),(5871,'اختيار طريقة إلغاء الحساب المذكور أعلاه.','ar',0,0),(5872,'تم إرسال رسالة تأكيد إلغاء طلب الحساب الخاص بك إلى عنوان بريدك الإلكتروني.','ar',0,0),(5873,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. ستظل جميع محتوياتك مرتبطة باسمك.','ar',0,0),(5874,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. سيتم إخفاء جميع محتوياتك عن كافة المستخدمين ماعدا الإداريين.','ar',0,0),(5875,'سيتم حظر حسابك ولن تتمكن من تسجيل الدخول. سيتم ربط جميع محتوياتك بالمستخدم %anonymous-name.','ar',0,0),(5876,'سيتم حذف حسابك وإزالة كافة معلومات الحساب. سيتم أيضا حذف كافة المحتويات الخاصة بك.','ar',0,0),(5877,'لقد حاولت استخدام رابط إلغاء حساب انتهت صلاحيته. الرجاء طلب رابط جديد باستخدام الاستمارة أدناه.','ar',0,0),(5878,'تم إرسال طلب إلغاء حساب إلى %name %email.','ar',0,0),(5879,'إنشاء وإدارة المستخدمين','ar',0,0),(5880,'تسمح وحدة المستخدم للأعضاء ذوي <a href=\"@permissions\">الصلاحيات</a> المناسبة بإنشاء حسابات للمستخدمين من خلال <a href=\"@people\">صفحة إدارة المستخدمين</a>، حيث يمكنهم أيضاً ربط المستخدمين بدور أو أدوار عدة، وحظر أو حذف حسابات الأعضاء. بإمكان المستخدمين بدون حسابات (المستخدمون المجهولون) إنشاء حسابات خاصة بهم (إذا كان ذلك مسموحاً) على صفحة <a href=\"@register\">إنشاء حساب جديد</a>.','ar',0,0),(5881,'أدوار وصلاحيات المستخدمين','ar',0,0),(5882,'بشكل افتراضي، تأتي دروبال مع دورين للمستخدمين:','ar',0,0),(5883,'المستخدمون المجهولون: يستخدم هذا الدور للمستخدمين الذين ليس لهم حسابات، أو الذين لم تتم الموافقة عليهم.','ar',0,0),(5884,'المستخدمون المعرفون: يتم تعيين هذا الدور تلقائياً لكافة المستخدمين المسجلين.','ar',0,0),(5885,'تسمح هذه الاستمارة للإداريين بإضافة، تعديل، وتنظيم الحقول التي تسمح بتخزين بيانات المستخدمين.','ar',0,0),(5886,'تسمح هذه الاستمارة للإداريين بتكوين طريقة عرض الحقول على الصفحات الشخصية للمستخدمين.','ar',0,0),(5887,'إدارة الصلاحيات','ar',0,0),(5888,'عرض الصفحات الشخصية للمستخدمين','ar',0,0),(5889,'تغيير اسم المستخدم الخاص به','ar',0,0),(5890,'إلغاء حسابه الخاص','ar',0,0),(5891,'اختيار طريقة إلغاء حسابك.','ar',0,0),(5892,'يسمح باستعمال المسافات ولايسمح باستعمال علامات التنقيط ما عدا النقط والشرطات والشرطات التحتية والفواصل العليا.','ar',0,0),(5893,'التوقيع أطول من اللازم: يجب أن يتكون من %max حرفا أو أقل.','ar',0,0),(5894,'إلغاء الحساب','ar',0,0),(5895,'إلغاء حساب مستخدم','ar',0,0),(5896,'تم تعطيل %name.','ar',0,0),(5897,'تفاصيل حساب [user:name] على [site:name]','ar',0,0),(5898,'أنشأ مدير حساب لك في [site:name]','ar',0,0),(5899,'تفاصيل حساب [user:name] على [site:name] (في انتظار الموافقة)','ar',0,0),(5900,'[user:name]،\r\n\r\nشكرا لتسجيلك في موقع [site:name]. طلب تسجيلك حالياً في انتظار الموافقة عليه. بمجرد القبول، ستتلقى رسالة أخرى تحتوي على معلومات الدخول، تعيين كلمة المرور، وتفاصيل أخرى.\r\n\r\n\r\n-- إدارة موقع [site:name]','ar',0,0),(5901,'قام [user:name] بطلب إنشاء حساب جديد.\r\n\r\n[user:edit-url]','ar',0,0),(5902,'استبدال معلومات تسجيل دخول [user:name] في [site:name]','ar',0,0),(5903,'تفاصيل حساب [user:name] على [site:name] (تمت الموافقة)','ar',0,0),(5904,'تفاصيل حساب [user:name] على [site:name] (تم المنع)','ar',0,0),(5905,'طلب إلغاء حساب [user:name] على [site:name]','ar',0,0),(5906,'تفاصيل حساب [user:name] على [site:name] (تم الإلغاء)','ar',0,0),(5907,'إلغاء حسابات المستخدمين المحددة','ar',0,0),(5908,'لا يمكن إلغاء حساب المستخدم %name.','ar',0,0),(5909,'عند إلغاء هذه الحسابات','ar',0,0),(5910,'هل أنت متأكد من إلغاء هذه الحسابات؟','ar',0,0),(5911,'إلغاء الحسابات','ar',0,0),(5912,'من أجل زيادة قوة كلمة المرور الخاصة بك:','ar',0,0),(5913,'استخدم 6 أحرف على الأقل','ar',0,0),(5914,'أضف حروف لاتينية صغيرة','ar',0,0),(5915,'أضف حروف لاتينية كبيرة','ar',0,0),(5916,'أضف أرقام','ar',0,0),(5917,'أضف علامة ترقيم','ar',0,0),(5918,'اجعله مختلفاً عن اسم المستخدم','ar',0,0),(5919,'ضعيف','ar',0,0),(5920,'مقبول','ar',0,0),(5921,'مستخدم ممنوع: %name %email.','ar',0,0),(5922,'عذرا، حدثت هناك أكثر من محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',0,0),(5923,'عذرا، حدثت هناك أكثر من محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',5922,1),(5924,'عذرا، حدثت هناك أكثر من محاولتي دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',5923,2),(5925,'عذرا، حدثت هناك أكثر من @count[3] محاولات دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',5924,3),(5926,'عذرا، حدثت هناك أكثر من @count[4] محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',5925,4),(5927,'عذرا، حدثت هناك أكثر من @count[5] محاولة دخول فاشلة لهذا الحساب. لقد تم حظره مؤقتاً. الرجاء المحاولة لاحقاً أو <a href=\"@url\">طلب كلمة مرور جديدة</a>.','ar',5926,5),(5928,'تأكيد إلغاء الحساب','ar',0,0),(5929,'تمت إعادة تشفير كلمات المرور لتعزيز الأمن.','ar',0,0),(5930,'تم ترحيل المناطق الزمنية للمستخدم.','ar',0,0),(5931,'أقلي','ar',0,0),(5932,'الصفحة الأساسية','ar',0,0),(5933,'أدخل قائمة كلمات مفصولة بفواصل لوصف المحتوى الخاص بك.','ar',0,0),(5934,'عرض المحتوى','ar',0,0),(5935,'نمط الصورة','ar',0,0),(5936,'لا توجد تحديثات بالانتظار','ar',0,0),(5937,'يوجد تحديث واحد بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',5936,1),(5938,'يوجد تحديثان بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',5937,2),(5939,'يوجد @count[3] تحديثات بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',5938,3),(5940,'يوجد @count[4] تحديثاً بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',5939,4),(5941,'يوجد @count[5] تحديث بالانتظار (@number_applied للتطبيق، @number_incompatible للتجاهل)','ar',5940,5),(5942,'تسمح وحدة المدونة للمستخدمين بإنشاء مدونات. تتكون المدونات من عدد من التدوينات، يتم عرض التدوينات بترتيب تنازلي حسب تاريخ الإنشاء (اﻷحدث أولاً)، وتتم ترقيتها إلى الصفحة الرئيسية للموقع. لمزيد من المعلومات يرجى مراجعة <a href=\'@blog\'>وحدة المدونة</a> على موقع دروبال.','ar',0,0),(5943,'توجد مسبقا استمارة اتصال مع الفئة %category.','ar',0,0),(5944,'مرحباً !recipient-name،','ar',0,0),(5945,'محاولة إنشاء مثيل للحقل @field_name والذي هو غير موجود أو غير مفعل حالياً.','ar',0,0),(5946,'محاولة إنشاء مثيل للحقل @field_name على الحزمة @bundle والتي لديها بالفعل مثيل لهذا الحقل.','ar',0,0),(5947,'يستعمل تطبيق Field API لإضافة حقول للكيانات مثل العقد والمستخدمين.','ar',0,0),(5948,'إعداد تنسيقات النص','ar',0,0),(5949,'عرض المزيد من المحتوى','ar',0,0),(5950,'طي','ar',0,0),(5951,'بيئة الاختبار تتطلب أن يكون الصنف DOMDocument موجود. راجع ضبط الأمر على <a href=\"@link-phpinfo\">صفحة معلومات PHP</a>.','ar',0,0),(5952,'رسائل الأخطاء المعروضة','ar',0,0),(5953,'ينصح بعدم عرض الأخطاء على موقع في وضع العمل.','ar',0,0),(5954,'تعذر فتح %file_path','ar',0,0),(5955,'يتم إرسال تعليمات إعادة تعيين كلمة المرور إلى %email. يجب عليك تسجيل الخروج لاستخدام رابط إعادة تعيين كلمة المرور الموجود في رسالة البريد الإلكتروني.','ar',0,0),(5956,'أدخل كلمة المرور الحالية لتغيير %mail أو %pass. !request_new.','ar',0,0),(5957,'كلمة المرور الحالية','ar',0,0),(5958,'كلمة المرور الحالية مفقودة أو غير صحيحة، هي ضرورية لتغيير %name.','ar',0,0),(5959,'تم إرسال رسالة ترحيب مع تعليمات إضافية إلى عنوان البريد الإلكتروني للعضو الجديد <a href=\"@url\">%name</a>.','ar',0,0),(5960,'تم إرسال رسالة ترحيب مع تعليمات إضافية إلى عنوان بريدك الإلكتروني.','ar',0,0),(5961,'تم تثبيت وحدة %module.','ar',0,0),(5962,'استخدم هذه الصفحة لإنشاء صندوق مخصص جديد.','ar',0,0),(5963,'عدد التدوينات الحديثة التي يتم عرضها','ar',0,0),(5964,'تحرير التعليق %comment','ar',0,0),(5965,'تخطيط الحقول','ar',0,0),(5966,'اسم الحقل','ar',0,0),(5967,'يملك الحقل <em>عنوانا</em> (الاسم المعروض في واجهة المستخدم) و <em>اسما آليا</em> (الاسم المستخدم داخليا). يمكن تغيير العنوان بعد إنشاء الحقل، إذا لزم الأمر، ولكن لا يمكن تغيير الاسم الآلي بعد إنشاء الحقل.','ar',0,0),(5968,'نوع البيانات التي يخزنها الحقل.','ar',0,0),(5969,'يمكن لكل حقل تخزين نوع واحد من البيانات (نص، عدد، ملف، إلخ). عند تعريف الحقل، تختار <em>نوع حقل</em> محدد، يتوافق مع نوع البيانات المراد تخزينها. لا يمكن تغيير نوع الحقل بعد إنشائه.','ar',0,0),(5970,'طريقة إدخال وعرض البيانات','ar',0,0),(5971,'عدد القيم التي يخزنها الحقل','ar',0,0),(5972,'يمكنك تخزين قيمة واحدة، عدد معين من القيم أو عدد غير محدود من القيم لكل حقل. مثلاً، بإمكان حقل معرف الموظف أن يحتوي على رقم واحد بينما حقل رقم الهاتف يمكن أن يحوي عدة أرقام. يمكن تغيير هذا الخيار بعد إنشاء الحقل، ولكن إذا قمت بتحديد حد أقصى للقيم فقد تفقد المعلومات.','ar',0,0),(5973,'إعادة استخدام الحقول','ar',0,0),(5974,'عندما تقوم بتعريف حقل ما، يمكنك إعادة استخدامه. مثلا، إذا قمت بتعيين حقل صورة مخصص لنوع من المحتوى، وأردت حقلا آخر للصورة بنفس الإعدادات في نوع آخر من المحتوى، فيمكنك إضافة نفس الحقل إلى النوع الثاني من المحتوى، في جزء <em>إضافة حقل موجود</em> من واجهة المستخدم. بإمكانك أيضا إضافة هذا الحقل إلى مفرد مصطلحات، التعليقات، حسابات المستخدم، إلخ.','ar',0,0),(5975,'بعض إعدادات الحقل المعاد استخدامه محددة لكل استخدام للحقل، وأخرى مشتركة بين النسخ التي تستخدم هذا الحقل. مثلاً، تسمية حقل النص تختلف حسب الاستخدام بينما إعدادات عدد القيم متشابهة.','ar',0,0),(5976,'حقول على المحتويات','ar',0,0),(5977,'حقول على الوسوم','ar',0,0),(5978,'يتم تعيين حقول مفردات المصطلحات على مستوى التصنيفات، في علامة التبيوب <em>إدارة الحقول</em> في صفحة تعديل المفردات (والتي يمكنك الوصول إليها في صفحة <a href=\"@taxonomy\">التصنيفات</a>). عندما تقوم بتعيين حقل للمفردات، فإن كل مصطلح من المفردات سيمتلك هذا الحقل. يمكنك على سبيل المثال تعيين حقل صورة للمفردات لتخزين أيقونة لكل مصطلح.','ar',0,0),(5979,'حقول على حسابات المستخدمين','ar',0,0),(5980,'يتم تعيين حقول حسابات المستخدمين للموقع بأكمله في علامة التبويب <a href=\"@fields\">إدارة الحقول</a> في صفحة <a href=\"@accounts\">إعدادات المستخدم</a>. عندما تقوم بتعيين حقل لحساب المستخدم، فسيكون لكل حساب مستخدم هذا الحقل. يمكنك على سبيل المثال إضافة حقل نصي للسماح للمستخدمين بإضافة سيرتهم الذاتية.','ar',0,0),(5981,'حقول على التعليقات','ar',0,0),(5982,'يتم تعيين حقول التعليقات على مستوى أنواع المحتوى، في علامة التبيوب <em>حقول التعليقات</em> في صفحة تعديل أنواع المحتوى (والتي يمكنك الوصول إليها في صفحة <a href=\"@types\">أنواع المحتوى</a>). عندما تقوم بتعيين حقل للتعليقات، فإن كل تعليق من هذا النوع من المحتوى سيمتلك هذا الحقل. يمكنك على سبيل المثال تعيين حقل رابط للتعليقات على المنتديات للسماح للمستخدمين بإضافة موقعهم.','ar',0,0),(5983,'إدارة تنسيقات النص والترشيحات','ar',0,0),(5984,'يتم الاحتفاظ بالنصوص الموجودة والجمع، بينما تضاف النصوص الجديدة فقط.','ar',0,0),(5985,'أضف %type جديد','ar',0,0),(5986,'تم إنشاء المجموعة الجديدة بنسخ العناصر من مجموعة الاختصارات الافتراضية الخاصة بك.','ar',0,0),(5987,'تم إنشاء المجموعة الجديدة بنسخ العناصر من المجموعة %default.','ar',0,0),(5988,'أنت تستخدم حالياً مجموعة الاختصارات %set-name.','ar',0,0),(5989,'تعديل اسم المجموعة','ar',0,0),(5990,'حذف المجموعة','ar',0,0),(5991,'إنشاء مجموعة جديدة','ar',0,0),(5992,'تم إنشاء مجموعة الاختصارات %set_name. يمكنك تغييرها من هذه الصفحة.','ar',0,0),(5993,'تم تحديث اسم المجموعة إلى %set-name.','ar',0,0),(5994,'إذا اخترت مجموعة الاختصارات هذه كافتراضية لبعض أو لكل المستخدمين، فقد يتأثرون عند حذفها.','ar',0,0),(5995,'هل أنت متأكد من حذف مجموعة الاختصارات %title؟','ar',0,0),(5996,'تم حذف مجموعة الاختصارات %title.','ar',0,0),(5997,'عضو واحد يستخدم هذه المجموعة من الاختصارات.','ar',0,0),(5998,'عضو واحد يستخدم هذه المجموعة من الاختصارات.','ar',5997,1),(5999,'عضوان إثنان يستخدمان هذه المجموعة من الاختصارات.','ar',5998,2),(6000,'@count[3] أعضاء يستخدمون هذه المجموعة من الاختصارات.','ar',5999,3),(6001,'@count[4] عضوا يستخدمون هذه المجموعة من الاختصارات.','ar',6000,4),(6002,'@count[5] عضو يستخدمون هذه المجموعة من الاختصارات.','ar',6001,5),(6003,'إدارة الاختصارات','ar',0,0),(6004,'اختيار مجموعات الاختصارات','ar',0,0),(6005,'يمكن للمستخدمين الذين لديهم صلاحية تغيير مجموعة الاختصارات اختيار مجموعة الاختصارات المراد استخدامها في تبويب الاختصارات على صفحتهم الشخصية.','ar',0,0),(6006,'تحديد مجموعة الاختصارات التي تستخدمها في <a href=\"@shortcut-link\">تبويب الاختصارات</a> على صفحتك الشخصية.','ar',0,0),(6007,'تعديل مجموعة الاختصارات الحالية','ar',0,0),(6008,'اختيار مجموعة اختصارات','ar',0,0),(6009,'تعديل اسم المجموعة','ar',0,0),(6010,'حذف مجموعة اختصارات','ar',0,0),(6011,'تعذر حفظ @remote على @path.','ar',0,0),(6012,'يتطلب دروبال تفعيل إضافات PHP المذكورة في القائمة التالية (راجع <a href=\"@system_requirements\">صفحة متطلبات النظام</a> للمزيد من المعلومات):','ar',0,0),(6013,'دعم قاعدة البيانات','ar',0,0),(6014,'يبدو أن خادمك لا يدعم إضافات PDO لقاعدة البيانات. تحقق من مضيفك لمعرفة إذا كان يدعم  PDO(PHP Data Objects) وإذا كان لديه إحدى قواعد البيانات التي <a href=\"@drupal-databases\">يدعمها دروبال</a>.','ar',0,0),(6015,'العمود الأول لتذييل الصفحة','ar',0,0),(6016,'العمود الثاني لتذييل الصفحة','ar',0,0),(6017,'العمود الثالث لتذييل الصفحة','ar',0,0),(6018,'العمود الرابع لتذييل الصفحة','ar',0,0),(6019,'قرقيزية','ar',0,0),(6020,'لن يتم استدعاء الدالة theme() إلى حين تحميل كافة الوحدات.','ar',0,0),(6021,'تم إرسال التعليق: %subject.','ar',0,0),(6022,'قيمة نعم','ar',0,0),(6023,'سيستخدم \"1\" إذا ترك فارغاً.','ar',0,0),(6024,'قيمة لا','ar',0,0),(6025,'سيستخدم \"0\" إذا ترك فارغاً.','ar',0,0),(6026,'تم تعطيل هذا الحقل لأنه ليس لديك الصلاحية الكافية لتعديله.','ar',0,0),(6027,'اختيار منتدى.','ar',0,0),(6028,'عرض، تعديل وحذف كافة المحتويات دون مراعاة قيود الحقوق.','ar',0,0),(6029,'يجب أن تثبت صحة عنوان بريدك الإلكتروني لهذا الحساب قبل تسجيل الدخول باستخدام OpenID.','ar',0,0),(6030,'معرف (ID) اش.تي.ام.ال %id فريد ووحيد.','ar',0,0),(6031,'تنسيق Syslog','ar',0,0),(6032,'يمكن تحسين الموارد الخارجية تلقائيا، مما يمكن من تقليل حجم وعدد الطلبات المقدمة لموقعك.','ar',0,0),(6033,'حدث خطأ HTTP @errorcode أثناء محاولة جلب @remote.','ar',0,0),(6034,'توجد مسبقاً ترجمة لـ %title باللغة %language. سيتم إنشاء %type جديد(ة) بدلاً عن إنشاء ترجمة.','ar',0,0),(6035,'تم تحميل وتحديث وحداتك.','ar',0,0),(6036,'<a href=\"@update\">تشغيل تحديث قاعدة البيانات</a>','ar',0,0),(6037,'@name <em>(مغلق)</em>','ar',0,0),(6038,'هل أنت متأكد من حذف الدور %name؟','ar',0,0),(6039,'فيلبينية','ar',0,0),(6040,'ألمانية سويسرية','ar',0,0),(6041,'اسكوتلندية','ar',0,0),(6042,'لا يمكن رفع الملف المحدد %filename. يسمح فقط بالملفات ذات اللواحق التالية: %extensions.','ar',0,0),(6043,'تخزين صفحات للمستخدمين المجهولين.','ar',0,0),(6044,'الخلفية الرئيسية','ar',0,0),(6045,'خلفية العمود الجانبي','ar',0,0),(6046,'إطار العمود الجانبي','ar',0,0),(6047,'خلفية حاشية الصفحة','ar',0,0),(6048,'الخوخ','ar',0,0),(6049,'قائمة مفصولة بفراغات من وسوم HTML المسموح بها في محتوى عناصر التلقيمات. يتم تلقائياً إزالة العلامات الغير مسموح بها.','ar',0,0),(6050,'بإمكان %field أن يحتوي فقط على الأحرف a-z والشرطات السفلية والشرطات.','ar',0,0),(6051,'لا يمكن لـ %field أن يحتوي على أي ترميز.','ar',0,0),(6052,'لا توجد بدائل مسارات متاحة. <a href=\"@link\">إضافة بديل مسار</a>.','ar',0,0),(6053,'لتمكين البحث باستعمال الكلمات المفتاحية، يحتفظ محرك البحث بفهرس للكلمات الموجودة في المحتوى والحقول، إضافة إلى النص المضاف إلى المحتواك من طرف وحدات أخرى (كالتعليقات من وحدة التعليقات المدمجة في النواة ومصطلحات الفئات من وحدة التصنيفات المدمجة في النواة). لإنشاء وتحديث هذا الفهرس، يجب إعداد <a href=\"@cron\">مهمة صيانة من طرف مجدول الأعمال (cron)</a> إعدادا صحيحا. يمكن للمستخدمين ذوي صلاحية <em>إدارة البحث</em> تكوين إعدادات مجدول الأعمال (cron) على <a href=\"@searchsettings\">صفحة إعدادات البحث</a>.','ar',0,0),(6054,'إعادة فهرسة المحتوى','ar',0,0),(6055,'التغييرات في محتوى موقعك (إنشاء، تعديل أو حذف محتوى أو تعليقات) تضيف تلقائياً هذه العناصر لفهرستها أو إعادة فهرستها عند التشغيل التالي للدورية. عند تعليم عنصر ما لإعادة الفهرسة، المحتوى الأسبق يبقى في الفهرس إلى غاية تشغيل الدورية، بعدها يتم تعويضه بالمحتوى الجديد. خلافاً للعمليات المرتبطة بالمحتوى، فإن العمليات المرتبطة بهيكلية موقعك لا تؤثر على إعادة الفهرسة للمحتوى ذي الصلة. العمليات المرتبطة بالهيكلية والتي تؤثر على المحتوى هي مثلاً حذف أو تعديل الوسوم، تفعيل أو تعطيل الوحدات التي تضيف نص إلى المحتوى (الوسوم، التعليقات، والوحدات التي توفر الحقول) وتعديل الحقول أو إعدادات العرض الخاصة بأنواع المحتوى. إذا أجريت إحدى هذه العمليات وأردت التأكد من تحديث فهرس البحث لكي يعكس التغييرات، يمكنك تحديد كل المحتوى لإعادة الفهرسة بالنقر على زر \"إعادة فهرسة الموقع\" على <a href=\"@searchsettings\">صفحة إعدادات البحث</a>. إذا كان لديك الكثير من المحتويات على موقعك، فقد يتطلب ذلك تشغيل الدورية عدة مرات لإعادة فهرسة الموقع بأكمله.','ar',0,0),(6056,'لن يتم إعادة إنشاء صفحات ذاكرة التخزين المؤقت حتى انقضاء هذه المدة.','ar',0,0),(6057,'نهاية صلاحية الصفحات المخزنة مؤقتا','ar',0,0),(6058,'أقصى مدة يمكن أن تستخدم فيها ذاكرة تخزين مؤقت خارجية نسخة قديمة من صفحة.','ar',0,0),(6059,'تتحكم هذه الخيارات في إعدادات عرض الحلة %name. عند عرض موقعك باستخدام هذه الحلة، سيتم تطبيق هذه الإعدادات.','ar',0,0),(6060,'إدارة التحديثات','ar',0,0),(6061,'الرجاء إدخال عنوان بريد إلكتروني صحيح أو استخدام رمز مميز للبريد الإلكتروني مثل %author.','ar',0,0),(6062,'@required_name (مفقود)','ar',0,0),(6063,'@required_name (يتطلب النسخة @compatibility)','ar',0,0),(6064,'يتطلب @name النسخة @version على الأقل من PHP.','ar',0,0),(6065,'@name يحتاج إلى هذه الوحدة.','ar',0,0),(6066,'@name يحتاج إلى هذه الوحدة وهذه النسخة. حالياً لديك @required_name النسخة @version','ar',0,0),(6067,'تفاصيل الموقع','ar',0,0),(6068,'العنوان والشعار','ar',0,0),(6069,'محطة الإطفاء','ar',0,0),(6070,'الجليد','ar',0,0),(6071,'ليس من الممكن تحديد أكثر من محرك تخزين لهذا الحقل','ar',0,0),(6072,'لم يتم العثور على محرك التخزين للحقل.','ar',0,0),(6073,'يجب تحديد نوع الكيان لهذا الاستعلام.','ar',0,0),(6074,'كينونة %entity ليس لديها جدول أساسي في قاعدة البيانات.','ar',0,0),(6075,'لا يمكن ترتيب @entity_type حسب @key','ar',0,0),(6076,'بادئة جداول قاعدة البيانات %db_prefix التي أدخلتها غير صالحة. يمكن أن تحتوي البادئة على حروف لاتينية وأرقام وشرطات ونقط وشرطات سفلى فقط.','ar',0,0),(6077,'ملف الإعدادات الافتراضية','ar',0,0),(6078,'ملف الإعدادات غير موجود.','ar',0,0),(6079,'مثبت @drupal يتطلب عدم تغيير الملف %default-file في أي حالة من الحالات.','ar',0,0),(6080,'ماورية','ar',0,0),(6081,'محاولة إنشاء مثيل للحقل @field_name بدون نوع كينونة.','ar',0,0),(6082,'محاولة إنشاء مثيل للحقل @field_name باستخدام نوع كينونة ممنوعة @entity_type.','ar',0,0),(6083,'محاولة إنشاء مثيل لحقل غير موجود @field.','ar',0,0),(6084,'محاولة تحديث مثيل للحقل @field على الحزمة @bundle والتي هي غير موجودة.','ar',0,0),(6085,'محاولة تنظيف الحقل @field والذي لايزال يتضمن مثيل.','ar',0,0),(6086,'%name : لا يمكن للقيمة أن تكون أقل من %min.','ar',0,0),(6087,'%name : لا يمكن للقيمة أن تكون أكبر من %max.','ar',0,0),(6088,'لم يتم بعد تعريف أي حقول.','ar',0,0),(6089,'وزن الحقل الجديد','ar',0,0),(6090,'وزن الحقل المضاف','ar',0,0),(6091,'إعدادات العرض المخصصة','ar',0,0),(6092,'استخدام إعدادات العرض المخصصة لأنواع العرض التالية','ar',0,0),(6093,'يستخدم وضع العرض %view_mode إعدادات عرض مخصصة. يمكنك <a href=\"@url\">ضبطها هنا</a>.','ar',0,0),(6094,'واجهة المستخدم لتطبيق Field API.','ar',0,0),(6095,'افصل لواحق الملفات بمسافة أو فاصلة ولا تضع النقطة.','ar',0,0),(6096,'تعديل تأثير موجود في نمط.','ar',0,0),(6097,'حذف تأثير موجود في نمط.','ar',0,0),(6098,'إعدادات وحدة الاستبيانات','ar',0,0),(6099,'أصوات الاستبيان','ar',0,0),(6100,'نتائج الاستطلاع','ar',0,0),(6101,'اسم المجموعة الجديدة ضروري.','ar',0,0),(6102,'مجموعة الاختصارات %name موجودة بالفعل. اختر اسماً مختلفاً.','ar',0,0),(6103,'العثور على النص المنتظر في @field لرسالة البريد الإلكتروني : \"@expected\".','ar',0,0),(6104,'تم إرسال بريد إلكتروني واحد أثناء هذا الاختبار.','ar',0,0),(6105,'تم إرسال بريد إلكتروني واحد أثناء هذا الاختبار.','ar',6104,1),(6106,'تم إرسال رسالتا بريد إلكتروني أثناء هذا الاختبار.','ar',6105,2),(6107,'تم إرسال @count[3] رسائل بريد إلكترونية أثناء هذا الاختبار.','ar',6106,3),(6108,'تم إرسال @count[4] رسالة بريد إلكترونية أثناء هذا الاختبار.','ar',6107,4),(6109,'تم إرسال @count[5] رسالة بريد إلكترونية أثناء هذا الاختبار.','ar',6108,5),(6110,'عناوين IP المحظورة','ar',0,0),(6111,'عناوين IP المذكورة هنا محظورة على موقعك. العناوين المحظورة ممنوعة بشكل كامل من الوصول إلى الموقع ويتم عرض رسالة قصيرة توضح ذلك.','ar',0,0),(6112,'نوع المحتوى %rowtype كانت به المرفقات معطلة لكنه يحتوي على ملفات مرفقة. تم تمكين المرفقات لنقل البيانات الموجودة. يجب عليك حذف الحقل \"ملف مرفق\" في النوع %rowtype إذا كان هذا الحقل غير ضروري.','ar',0,0),(6113,'تم نقل وحدة الرفع لتصبح في وحدة الملف.','ar',0,0),(6114,'القيم المتاحة هي: [site:name]، [site:url]، [user:name]، [user:mail]، [site:login-url]، [site:url-brief]، [user:edit-url]، [user:one-time-login-url]، [user:cancel-url].','ar',0,0),(6115,'لم يتم الإسناد بعد','ar',0,0),(6116,'لم يتم الإنشاء بعد','ar',0,0),(6117,'[user:name]،\r\n\r\nشكرا لتسجيلك في [site:name]. يمكنك الآن تسجيل الدخول بالنقر على هذا الرابط أو بنسخه ولصقه في متصفحك: \r\n\r\n[user:one-time-login-url]\r\n\r\nيمكن استخدام هذا الرابط مرة واحدة لتسجيل الدخول فقط وسيقودك إلى صفحة يمكنك فيها تحديد كلمة مرورك.\r\n\r\nبعد تحديد كلمة مرورك، يمكنك تسجيل الدخول من [site:login-url] في المستقبل باستعمال:\r\n\r\nاسم المستخدم: [user:name]\r\nكلمة المرور: كلمة مرورك\r\n\r\n-- فريق [site:name]','ar',0,0),(6118,'[user:name]،\r\n\r\nأنشأ مدير في موقع [site:name] حسابا لك. يمكنك الآن تسجيل الدخول بالنقر على هذا الرابط أو نسخه ثم لصقه في متصفحك:\r\n\r\n[user:one-time-login-url]\r\n\r\nيمكن استعمال هذا الرابط مرة واحدة فقط لتسجيل الدخول وسيقودك إلى صفحة يمكنك فيها تحديد كلمة مرورك.\r\n\r\nبعد تحديد كلمة مرورك، يمكنك تسجيل الدخول من [site:login-url] في المرات القادمة باستعمال:\r\n\r\nاسم المستخدم: [user:name]\r\nكلمة المرور: كلمة مرورك\r\n\r\n-- إدارة موقع [site:name]','ar',0,0),(6119,'[user:name]،\r\n\r\nتم تقديم طلب إعادة تحديد كلمة مرور لحسابك في [site:name]\r\n\r\nيمكنك الآن تسجيل الدخول بالنقر على هذا الرابط أو نسخه ثم لصقه في متصفحك:\r\n\r\n[user:one-time-login-url]\r\n\r\nيمكن استعمال هذا الرابط مرة واحدة فقط لتسجيل الدخول وسيقودك إلى صفحة يمكنك فيها تحديد كلمة مرورك. تنتهي صلاحيته بعد يوم ولن يحصل شيئ إذا لم يُستعمل.\r\n\r\n-- فريق [site:name]','ar',0,0),(6120,'لا يوجد (الصورة الأصلية)','ar',0,0),(6121,'عرض التعليقات','ar',0,0),(6122,'اسم الحقل الجديد','ar',0,0),(6123,'خطأ أثناء فتح المأخذ @socket','ar',0,0),(6124,'دالة رد النداء (callback) غير موجودة','ar',0,0),(6125,'callback @callback غير موجود : %q.','ar',0,0),(6126,'تعذر نسخ الملف المحدد %file لأن الوجهة غير صحيحة. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(6127,'تعذر نسخ الملف المحدد %file لأن دليل الوجهة غير معد بشكل صحيح.قد يكون هذا بسبب مشكل في الأذونات على الملف أو الدليل. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(6128,'تعذر نسخ الملف %file لأنه يوجد ملف بنفس هذا الاسم في دليل الوجهة.','ar',0,0),(6129,'تعذر نقل الملف المحدد %file لأن الوجهة غير صحيحة. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(6130,'تعذر حذف الملف المحدد %file، لأنه ليس URI صحيح. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(6131,'تعذر حفظ البيانات لأن الوجهة غير صحيحة. المزيد من المعلومات متوفرة في سجل النظام.','ar',0,0),(6132,'تعذر نسخ الملف %file (%realpath) لأن الوجهة %destination غير صحيحة. غالباً ما يكون هذا نتيجة استخدام غير سليم لـ file_copy() أو علامة إطار مفقودة.','ar',0,0),(6133,'تعذر نسخ الملف %file (%realpath) لأنه غير موجود.','ar',0,0),(6134,'تعذر نسخ الملف %file لأنه يوجد ملف بنفس هذا الاسم في دليل الوجهة (%directory)','ar',0,0),(6135,'لم يتم نسخ الملف المحدد %file لأنه سيستبدل نفسه.','ar',0,0),(6136,'تعذر نسخ الملف المحدد %file إلى %destination.','ar',0,0),(6137,'تعذر نقل الملف %file (%realpath)، لأن الوجهة %destination غير صالحة. قد يكون هذا بسبب استخدام غير سليم لـ file_move() أو حاوية تدفق مفقودة.','ar',0,0),(6138,'تعذر حذف الملف %file (%realpath) لأنه ليس بعنوان URI صالح. قد يكون ذلك بسبب استخدام غير سليم لـ file_delete() أو غياب حاوية تدفق.','ar',0,0),(6139,'تعذر حفظ البيانات لأن الوجهة %destination غير صالحة. قد يكون هذا بسبب استخدام غير سليم لـ file_save() أو غياب حاوية تدفق.','ar',0,0),(6140,'إعدادات PHP الخاص بك تدعم نوع واحد فقط من قواعد البيانات، لذا تم اختيارها تلقائياً.','ar',0,0),(6141,'فشل في الاتصال بخادم قاعدة البيانات. قام الخادم بإرجاع الرسالة التالية: %error. <ul><li>هل خادم قاعدة البيانات يعمل؟</li><li>هل قاعدة البيانات موجودة، وهل أنت متأكد من كتابة اسمها بشكل صحيح؟</li><li>هل أنت متأكد من كتابة اسم المستخدم وكلمة المرور بشكل صحيح؟</li><li>هل أنت متأكد من كتابة خادم قاعدة البيانات بشكل صحيح؟</li></ul>','ar',0,0),(6142,'نسخة البي.اش.بي التي تستخدمها لا تدعم PostgreSQL. يجب عليك تحديث نسختك إلى 5.2.11، 5.3.1 أو أكثر.','ar',0,0),(6143,'الخروج من وضع معاينة مناطق الصناديق','ar',0,0),(6144,'تخصيص لوحة التحكم يتطلب صلاحية !permission-name.','ar',0,0),(6145,'لتعديل صفحة لوحة التحكم، قم بنقل صناديق إلى منطقة لوحة التحكممن <a href=\"@dashboard\"> صفحة إدارة لوحة المعلومات</a> أو قم بتمكين دعم جافاسكربت على هذه الصفحة لاستخدام واجهة السحب والإفلات.','ar',0,0),(6146,'قم بسحب وإفلات هذه الصناديق على العمود أدناه. يتم حفظ التغييرات تلقائياً.المزيد من الخيارات في <a href=\"@dashboard-url\">صفحة الإعدادت</a>.','ar',0,0),(6147,'يسمح لك سجل قاعدة البيانات بمشاهدة تسجيل حدث على صفحة <a href=\"@dblog\">آخر رسائل السجل</a>. السجل هو قائمة بالتسلسل الزمني للأحداث المسجلة يحتوي على البيانات المستخدمة، بيانات الأداء، الأخطاء، التحذيرات والمعلومات التنفيذية. يجب على الإداريين التحقق من السجل بصفة منتظمة للتأكد من عمل الموقع بشكل الصحيح.','ar',0,0),(6148,'في حال حدوث مشاكل أو أخطاء بالموقع، فإن صفحة <a href=\"@dblog\">آخر رسائل السجل</a> قد تكون مفيدة لتتبع الأخطاء، حيث أنها تعرض تسلسل الأحداث. يتضمن سجل الأحداث معلومات حول الاستخدام، تحذيرات وأخطاء الموقع.','ar',0,0),(6149,'تراقب وحدة سجل قاعدة البيانات نظامك مسجلة أحداث النظام في سجل ليراجعها المستخدمون المسموح لهم بذلك. هذا السجل عبارة عن قائمة بالأحداث تحتوي على معلومات حول الاستخدام، الأداء، الأخطاء، التحذيرات، بالإضافة إلى بعض المعلومات التنفيذية الأخرى. من الضروري مراجعة آخر رسائل السجل بشكل منتظم للتأكد من عمل الموقع بشكل جيد.','ar',0,0),(6150,'رسائل سجل قاعدة البيانات المحتفظ بها','ar',0,0),(6151,'أقصى عدد من الرسائل التي يتم الاحتفاظ بها في سجل قاعدة البيانات. يتطلب <a href=\"@cron\">مهمة صيانةٍ بمجدول الأعمال (كرون)</a>.','ar',0,0),(6152,'تعريف نص يجب أن يتقدم القيمة، مثل \'م\' أو \'كيلوبت/ثانية\'. اتركه فارغا في حال لا شيء. افصل قيم المفرد والجمع بإشارة عصا (\'4جنيه|جنيهات\').','ar',0,0),(6153,'علامة الآلاف','ar',0,0),(6154,'عرض السابقة واللاحقة.','ar',0,0),(6155,'عرض مع السابقة واللاحقة.','ar',0,0),(6156,'- اختر قيمة -','ar',0,0),(6157,'طول المقطع المشذب','ar',0,0),(6158,'لا يوجد أي حقل معروض.','ar',0,0),(6159,'لا يوجد أي حقل مخفي.','ar',0,0),(6160,'إعدادات التنسيق:','ar',0,0),(6161,'لا يمكن الإشارة إلى الملف المستخدم في الحقل !name.','ar',0,0),(6162,'تنسيق نص مفقود : %format.','ar',0,0),(6163,'ربط الصورة إلى','ar',0,0),(6164,'نمط الصورة: @style','ar',0,0),(6165,'مرتبط بالمحتوى','ar',0,0),(6166,'مرتبط بالملف','ar',0,0),(6167,'يظهر عند المرور فوق رابط القائمة.','ar',0,0),(6168,'تسمح وحدة القوائم بإنشاء روابط في القائمة عن طريق استمارات إنشاء المحتوى. لضبط هذه الإعدادات لنوع معين من المحتوى، يرجى زيارة صفحة <a href=\"@content-types\">أنواع المحتوى</a>، والنقر على رابط <em>تعديل</em> لنوع المحتوى والانتقال إلى جزء <em>إعدادات القائمة</em>.','ar',0,0),(6169,'لغة غير معينة (@lagncode)','ar',0,0),(6170,'تنسيق: تنسيق التاريخ هو YYYY-MM-DD و %timezone يمثل المنطقة الزمنية من UTC. اتركه فارغاً لاستخدام تاريخ إرسال الاستمارة.','ar',0,0),(6171,'عرض الصفحات الإدارية فوق الصفحة الحالية.','ar',0,0),(6172,'تم إنشاء تنسيق نص <a href=\"@php-code\">كود PHP</a>.','ar',0,0),(6173,'اختيار وحدات البحث النشطة من بين الوحدات المتاحة.','ar',0,0),(6174,'وحدة البحث الافتراضية','ar',0,0),(6175,'اختيار وحدة البحث الافتراضية.','ar',0,0),(6176,'وحدة البحث الافتراضية غير مفعلة.','ar',0,0),(6177,'البحث معطل حالياً.','ar',0,0),(6178,'... !excerpt ... !excerpt ...','ar',0,0),(6179,'هوية Syslog','ar',0,0),(6180,'العبارة التي ستتم إضافتها قبل كل رسالة مخزنة على Syslog. إذا كان لديك عدة مواقع تكتب على نفس ملف Syslog، فتعيين هوية فريدة لكل موقع يسهل من قراءة السجلات.','ar',0,0),(6181,'يمكنك تعيين عنوان رابط نسبي لاستخدامه كصفحة رئيسية. اتركه فارغاً لعرض محتوى الموقع بشكله الافتراضي.','ar',0,0),(6182,'صفحات اﻷخطاء','ar',0,0),(6183,'المسار \'@path\' إما غير صحيح أو لا تملك صلاحية الوصول إليه.','ar',0,0),(6184,'آخر تشغيل: منذ %cron-last.','ar',0,0),(6185,'تشغيل الدورية كل','ar',0,0),(6186,'لم يحذف الملف المؤقت \"%path\" أثناء تنظيف الذاكرة لأنه مستخدم من طرف الوحدات التالية: %modules.','ar',0,0),(6187,'وزن المصطلح المُضاف','ar',0,0),(6188,'المجلد الفرعي لمجلد رفع الملفات الذي سيتم حفظ الصور فيه.','ar',0,0),(6189,'ستتم تحجيم الصور الأكبر من هذا إلى هذا الحجم.','ar',0,0),(6190,'رفع صورة لإضافتها لهذا المقال','ar',0,0),(6191,'ملف الإعدادات قابل للكتابة','ar',0,0),(6192,'ملف الإعدادات ينتمي إلى خادم الويب.','ar',0,0),(6193,'فشل مثبت @drupal في إنشاء ملف إعدادت بملكية مناسبة. سجل الدخول إلى خادم الويب الخاص بك واحذف الملف %file الموجود وأنشئ ملفا جديدا بنسخ الملف %default_file إلى %file. المزيد من التفاصيل عن تثبيت دروبال في الملف <a href=\"@install_txt\">INSTALL.txt</a>. إذا واجهت مشاكل مع ملكيات الملفات على خادمك، راجع <a href=\"@handbook_url\">الدليل على الشبكة</a>.','ar',0,0),(6194,'استعلام مزج غير صالح: لا توجد شروط','ar',0,0),(6195,'وزن الصندوق @block','ar',0,0),(6196,'منطقة الصندوق @block','ar',0,0),(6197,'الموافقة على التعليق','ar',0,0),(6198,'يتم نشر تعليقات المستخدمين ذوي صلاحية <em>تجاهل الموافقة على التعليق</em> مباشرة. يتم وضع باقي التعليقات الأخرى في طابور <a href=\'@comment-approval\'>التعليقات غير الموافق عليها بعد</a>، حتى يقوم مستخدم ذو صلاحية <em>إدارة التعليقات</em> بنشرها أو حذفها. بالإمكان التحكم في التعليقات المنشورة في صفحة إدارة <a href=\'@admin-comment\'>التعليقات المنشورة</a>.','ar',0,0),(6199,'إرسال تعليقات','ar',0,0),(6200,'تجاهل الموافقة على التعليق','ar',0,0),(6201,'يمكن استخدام هذه الوظيفة فقط لحذف الحقول التي لا تحتوي على بيانات.','ar',0,0),(6202,'هل أنت متأكد أنك تريد إلغاء تنسيق النص %format ؟','ar',0,0),(6203,'تتم إزالة تنسيقات النص المعطلة تماما من واجهة الإدارة، ولن يتم عرض أي محتوى محفوظ بهذا التنسيق. لا يمكن التراجع هذا الإجراء.','ar',0,0),(6204,'تنسيق النص %format معطل.','ar',0,0),(6205,'تنسيقات النص','ar',0,0),(6206,'موضوع ساخن، تعليقات جديدة','ar',0,0),(6207,'موضوع ساخن','ar',0,0),(6208,'موضوع عادي','ar',0,0),(6209,'موضوع مغلق','ar',0,0),(6210,'وحيث %property هي %value','ar',0,0),(6211,'عندما يكون %property هو %value','ar',0,0),(6212,'وحيث','ar',0,0),(6213,'الرابط الحالي هو @url.','ar',0,0),(6214,'عنوان الصفحة @actual مطابق لـ @expected.','ar',0,0),(6215,'عنوان الصفحة @actual غير مطابق لـ @expected.','ar',0,0),(6216,'استجابة اش.تي.تي.بي غير متوقعة !code، الحالي !curl_code','ar',0,0),(6217,'ضبط صلاحيات @module','ar',0,0),(6218,'يخزن البيانات المؤقتة لـ system_update_7061.','ar',0,0),(6219,'شريط الأدوات الإداري','ar',0,0),(6220,'%property قيمته %value','ar',0,0),(6221,'لا شيء','ar',0,0),(6222,'Lolspeak','ar',0,0),(6223,'%type :!message في %function (السطر %line من %file).','ar',0,0),(6224,'تحديث @title','ar',0,0),(6225,'اسم فريد مقروء من طرف الجهاز. يمكن أن يحتوي فقط على أحرف لاتينية صغيرة وأرقام وشرطات سفلية.','ar',0,0),(6226,'يجب أن يحتوي الاسم المقروء آليا على أحرف فريدة غير مستعملة.','ar',0,0),(6227,'يجب أن يحتوي الاسم المقروء من طرف الجهاز على أحرف لاتينية صغيرة، أرقام وعلامات الوصل فقط.','ar',0,0),(6228,'الاسم المقروء من طرف الجهاز مستخدم مسبقا. يجب أن يكون فريدا.','ar',0,0),(6229,'أسترية','ar',0,0),(6230,'إنجليزية بريطانية','ar',0,0),(6231,'كريول هايتية','ar',0,0),(6232,'برتغالية دولية','ar',0,0),(6233,'وزن السطر @number','ar',0,0),(6234,'أب لـ @title','ar',0,0),(6235,'تسمية الحقل الجديد','ar',0,0),(6236,'أب لحقل جديد','ar',0,0),(6237,'نوع الحقل الجديد','ar',0,0),(6238,'ويدجت لحقل جديد','ar',0,0),(6239,'تسمية الحقل الموجود','ar',0,0),(6240,'أب لحقل موجود','ar',0,0),(6241,'حقل موجود للمشاركة','ar',0,0),(6242,'ودجت لحقل موجود مسبقا','ar',0,0),(6243,'التسمية المعروضة لـ @title','ar',0,0),(6244,'تنسيق @title','ar',0,0),(6245,'أصل @title','ar',0,0),(6246,'رؤية @title','ar',0,0),(6247,'توجد بيانات لهذا الحقل في قاعدة البيانات. لا يمكن تغيير إعدادات هذا الحقل.','ar',0,0),(6248,'الوزن للملف الجديد','ar',0,0),(6249,'اختر ملفا','ar',0,0),(6250,'وزن التأثير الجديد','ar',0,0),(6251,'تفعيل رابط القائمة @title','ar',0,0),(6252,'اسم فريد لإنشاء عنوان رابط القائمة. يجب أن يحتوي فقط على الحروف اللاتينية الصغيرة، الأرقام والشرطات.','ar',0,0),(6253,'اسم برمجي فريد لهذا النوع من المحتوى. يمكن أن يحتوي فقط على أحرف لاتينية صغيرة، أرقام، وشرطات سفلى (_). سيتم استخدام هذا الاسم لإنشاء عنوان رابط للصفحة %node_add، وعندها سيتم تحويل الشرطات السفلى (_) إلى شرطات (-).','ar',0,0),(6254,'تسمية الخيار','ar',0,0),(6255,'تسمية خيار جديدة','ar',0,0),(6256,'عد الأصوات للخيار @label','ar',0,0),(6257,'عد الأصوات للخيار الجديد','ar',0,0),(6258,'وزن الخيار @label','ar',0,0),(6259,'وزن الخيار الجديد','ar',0,0),(6260,'تصنيف @title','ar',0,0),(6261,'الوحدات المفعلة','ar',0,0),(6262,'@original_title (@parent_title)','ar',0,0),(6263,'تثبيت PHP الخاص بك قديم. يتطلب دروبال على الأقل PHP 5.2.5 أو PHP @version مطبق عليه الترقيع اﻷمني htmlspecialchars.','ar',0,0),(6264,'يبدو أن خادمك لا يدعم PDO (PHP Data Objects). إذا كان مضيفك يدعم PDO فاطلب منه تفعيلها. للمزيد من المعلومات، يرجى مراجعة <a href=\"@link\">متطلبات النظام</a>.','ar',0,0),(6265,'يبدو أن خادمك لديه نسخة خاطئة مثبتة من PDO. يتطلب دروبال 7 خاصية PDO الموجودة بنواة PHP. النظام الحالي لديه نسخة قديمة من PECL. لمزيد من المعلومات يرجى مراجعة صفحة <a href=\"@link\">متطلبات النظام</a>.','ar',0,0),(6266,'لائحة لمسببات الإجراءات عند !description','ar',0,0),(6267,'النسخة %version من قاعدة البيانات أقدم من الإصدار الأدنى المطلوب %minimum_version.','ar',0,0),(6268,'!theme (الحلة الإفتراضية)','ar',0,0),(6269,'!theme (ثيمة الإدارة)','ar',0,0),(6270,'توفر وحدة لوحة التحكم <a href=\"@dashboard\">صفحة تحكم</a> في واجهة الإدارة لتنظيم المهام الإدارية، والتنقل وبيانات المتابعة بموقعك. تحتوي لوحة التحكم على صناديق يمكنك إضافتها وإعادة ترتيبها باستخدام واجهة السحب واﻹفلات التي تظهر عند النقر على رابط <em>تعديل لوحة التحكم</em>. في هذه الواجهة، الصناديق الغير مستخدمة لا تظهر بشكل افتراضي، لكن يمكن إضافتها برابط <em>إضافة صندوق آخر</em>. للمزيد من المعلومات، يرجى مراجعة <a href=\"@handbook\">وحدة لوحة التحكم</a> بموقع دروبال.','ar',0,0),(6271,'إعادة ترتيب عرض الصناديق على <a href=\"@dashboard-url\">صفحة لوحة التحكم</a>.لا يتم عرض الصناديق الموضوعة في منطقة لوحة التحكم(غير نشط) أثناء معاينة صفحة لوحة التحكم، ولكن يمكن الوصول إليها في واجهة <em>تخصيص لوحة التحكم</em>.  عند إزالة صندوق من واجهة لوحة التحكم نشطة يمكن الوصول له من خلال <a href=\"@blocks-url\">صفحة إدارة الصتاديق</a>.','ar',0,0),(6272,'إضافة صناديق أخرى','ar',0,0),(6273,'%type_name: إنشاء محتوى جديد','ar',0,0),(6274,'%type_name: تحرير محتواه','ar',0,0),(6275,'%type_name: تحرير المحتويات','ar',0,0),(6276,'%type_name: يحذف محتوياته','ar',0,0),(6277,'%type_name: حذف أي محتوى','ar',0,0),(6278,'الخطوات التالية','ar',0,0),(6279,'تعذر نسخ الملف %file لأن دليل الوجهة %destination غير معد بشكل صحيح.','ar',0,0),(6280,'إعدادات @driver_name','ar',0,0),(6281,'MySQL، MariaDB، أو ما يعادلهما.','ar',0,0),(6282,'SQLite','ar',0,0),(6283,'نوع قاعدة البيانات','ar',0,0),(6284,'المسار المطلق (الكامل) للملفات التي سيتم حفظ بيانات @drupal بها. ينبغي أن تكون هذه الملفات قابلة للكتابة من طرف خادم الويب وأن تكون خارج دليل جذر الخادم.','ar',0,0),(6285,'الدليل الذي حددته غير قابل للكتابة من قبل خادم الويب.','ar',0,0),(6286,'نافذة الإكمال التلقائي','ar',0,0),(6287,'جاري البحث عن الكلمات المطابقة...','ar',0,0),(6288,'تسمح وحدة Field بتعديل بيانات الحقول لتعريفها إلى أنواع <em>الكيانات</em> (تشمل الكيانات عناصر المحتوى والتعليقات وحسابات المستخدمين ومفردات التصنيفات). تتولى وحدة Field تخزين وتحميل وتعديل وترتيب بيانات الحقول. معظم المستخدمين لا يتعاملون مع وحدة Field مباشرة، لكن يستخدمون بدلاً عن ذلك وحدة <a href=\"@field-ui-help\">Field UI</a>. بإمكان مطوري الوحدات استخدام تطبيق Field API لإنشاء أنواع جديدة من الكيانات مما يسمح بربطها بالحقول. للمزيد من المعلومات يرجى مراجعة دليل <a href=\"@field\">وحدة Field</a> على الشبكة.','ar',0,0),(6289,'لا يوجد أي حقل حاضر بعد.','ar',0,0),(6290,'غامق','ar',0,0),(6291,'قراءة المزيد<span class=\"element-invisible\">حول @title</span>','ar',0,0),(6292,'حدد رابط بديل يمكن من خلاله الوصول إلى هذا المحتوى. على سبيل المثال، اكتب\"about\"عند كتابة صفحة لوصف الموقع . استخدم مسار نسبي بدون إضافة الخط المائل في النهاية، وإلا فلن يعمل بديل المسار.','ar',0,0),(6293,'عدد الأصوات المسجلة لاستبيان.','ar',0,0),(6294,'الفترة التي يبقى فيها الاستبيان متاحاً للتصويت.','ar',0,0),(6295,'إزالة وحدة @module','ar',0,0),(6296,'تجميع وضغط ملفات CSS.','ar',0,0),(6297,'تجميع ملفات جافاسكريبت.','ar',0,0),(6298,'لإزالة @module، يجب أولاً إزالة الوحدة التالية: @required_modules','ar',0,0),(6299,'لإزالة @module، يجب أأولاً إزالة الوحدة التالية: @required_modules','ar',6298,1),(6300,'تفعيل الوحدات المضافة حديثاً','ar',0,0),(6301,'تفعيل theme المضافة حديثاً','ar',0,0),(6302,'عملية الإزالة تحذف جميع البيانات المتعلقة بالوحدة. لإزالة وحدة ما، يجب أولاً تعطيلها من صفحة <a href=\"@modules\">الوحدات</a>.','ar',0,0),(6303,'عرض حلة الإدارة','ar',0,0),(6304,'تعرض وحدة شريط الأدوات شريطا يحتوي على الروابط الإدارية الأعلى مستوى على مدى أعلى الشاشة. هناك تحت هذا الشريط، توفر وحدة شريط الأدوات قسما يعمل<em>كجارور</em> والذي تعرض فيه الروابط الموفرة من وحدات أخرى، <a href=\"@shortcuts-help\">كوحدة الاختصارات</a> المدمجة في النواة. يمكن إظهار/إخفاء الجارور باستخدام اختصارات إظهار/إخفاء في نهاية شريط الأدوات.','ar',0,0),(6305,'إخفاء الاختصارات','ar',0,0),(6306,'تمت فهرسة @count محتوى للتتبع.','ar',0,0),(6307,'ملاحظات الإصدار لـ %project_title','ar',0,0),(6308,'تم تحديث إعدادات الأدوار.','ar',0,0),(6309,'تعطيل الحساب والحفاظ على محتواه.','ar',0,0),(6310,'تعطيل الحساب وإلغاء نشر محتواه.','ar',0,0),(6311,'حذف الحساب وجعل محتوياته ملكا للمستخدم %anonymous-name.','ar',0,0),(6312,'حذف الحساب ومحتوياته.','ar',0,0),(6313,'عرضه على استمارة تسجيل الأعضاء.','ar',0,0),(6314,'هذا إجباري للحقول \'الضرورية\'.','ar',0,0),(6315,'@count إجراء يتيم (%orphans) موجود في جدول الإجراءات. !link','ar',0,0),(6316,'تم حذف تعليق واحد','ar',0,0),(6317,'تم حذف تعليقان','ar',4967,2),(6318,'تم حذف @count[3] تعليقات','ar',6317,3),(6319,'تم حذف @count[4] تعليقا','ar',6318,4),(6320,'تم حذف @count[5] تعليق','ar',6319,5),(6321,'استخدام تسمية الحقل بدلا من التسمية \"قيمة نعم\".','ar',0,0),(6322,'تم حذف مشاركة','ar',0,0),(6323,'تم حذف مشاركتان','ar',5381,2),(6324,'تم حذف @count[3] مشاركة','ar',6323,3),(6325,'تم حذف @count[4] مشاركة','ar',6324,4),(6326,'تم حذف @count[5] مشاركة','ar',6325,5),(6327,'متتبع','ar',0,0),(6328,'التحديث التلقائي لنواة دروبال غير معتمد. يرجى العودة إلى <a href=\"@upgrade-guide\">دليل التحديث</a> للحصول على معلومات حول طريقة تحديث نواة دروبال يدويا.','ar',0,0),(6329,'يحتوي %archive_file على إصدار %name غير متوافق مع دروبال !version','ar',0,0),(6330,'لا يحتوي %archive_file على أي إصدار %name غير متوافق مع دروبال !version','ar',6329,1),(6331,'الإعداد %setting معين حاليا على \'%current_value\'، ولكنه يجب أن يكون على \'%needed_value\'. يرجى تغيير ذلك بتشغيل العملية التالية : !query','ar',0,0),(6332,'القيم المحتملة التي يمكن أن يحتويها هذا الحقل. قم بإدخال قيمة في كل سطر، بالشكل مفتاح|تسمية.','ar',0,0),(6333,'المفتاح هو قيمة مسجلة، ويجب أن يكون رقمي. سوف تستخدم التسمية في القيم المعروضة و الاستمارات.','ar',0,0),(6334,'التسمية اختيارية. إذا تضمن السطر رقم واحد، فسيستخدم كمفتاح وتسمية.','ar',0,0),(6335,'قائمة التسميات هي أيضا مقبولة (تسمية في كل سطر)، فقط إذا كانت الحقول لا تتضمن أي قيمة، وسيتم إنشاء مفاتيح رقمية تلقائياً بحسب الترتيب في القائمة.','ar',0,0),(6336,'المفتاح هو قيمة مسجلة. سوف تستخدم التسمية أثناء عرض القيم و تعديل الاستمارات.','ar',0,0),(6337,'التسمية اختيارية: إذا تضمن السطر قيمة نصية بسيطة، سيتم استخدامها كمفتاح وتسمية.','ar',0,0),(6338,'قائمة القيم المسموح بها: إدخال غير صحيح.','ar',0,0),(6339,'قائمة القيم المسموح بها: ستتم إزالة بعض القيم في حين يتم استخدامها حاليا.','ar',0,0),(6340,'إخفاق محاولة الاتصال بالخادم حيث أعطى الرسالة التالية: !message للحصول على تعليمات إضافية حول تثبيت أو تحديث الكود على الخادك الخاص بك، راجع <a href=\"@handbook_url\">الدليل</a>.','ar',0,0),(6341,'غير قادر على تحليل ملف المعلومات : %info_file','ar',0,0),(6342,'ملف المعلومات (%info_file) لم يعرف خاصية \'name\'.','ar',0,0),(6343,'إطار الاختبارات يتطلب أن تكون ذاكرة PHP على الأقل %memory_minimum_limit. القيمة الحالية هي %memory_limit. <a href=\"@url\">للمواصلة اتبع هذه الخطوات</a>.','ar',0,0),(6344,'لا يحتوي %archive_file على أي ملف .info','ar',0,0),(6345,'حقول التعليقات','ar',0,0),(6346,'%name يجب أن يكون قيمة صحيحة لقيمة لون بالستعشري (هيكساديسمال).','ar',0,0),(6347,'كل نوع حقل لديه <em>widgets</em> واحدة أو أكثر مرتبطة به، كل widget تقدم طريقة لإدخال البيانات عند التحرير (مربع نص، قائمة اختيار، رفع ملف، إلخ...). أيضاً كل نوع حقل لديه عدة خيارات للعرض، والتي ستحدد كيف سيظهر هذا الحقل لزوار الموقع. يمكنك أيضاً تغيير ال widget وخيارات العرض بعد إنشاء الحقل.','ar',0,0),(6348,'لايمكن إعادة تسمية الحقل %id (%old_field_name) إلى %new_field_name ﻷنه لايستخدم مُخزّن من نوع field_sql_storage.','ar',0,0),(6349,'تم حفظ التغييرات على النمط.','ar',0,0),(6350,'هذا الصندوق سيظهر فقط في حال <a href=\"@languages\">وجود لغتين مفعلتين على اﻷقل</a> و <a href=\"@configuration\">مفاوض اللغة</a> هو إما <em>URL</em> أو <em>Session</em>.','ar',0,0),(6351,'وحدة القائمة تحوي واجهة لإدارة القوائم. القائمة هي مجموعة من الروابط بشكل هرمي (أب وأولاد) تؤدي لصفحات داخل أو خارج الموقع، تستخدم عادة للتصفح. كل قائمة لها صندوق خاص بها يمكن تفعيله وتغيير مكانه من <a href=\"@blocks\">صفحة إدارة الصناديق</a>. يمكنك استعراض وإدارة القوائم من <a href=\"@menus\">صفحة إدارة القوائم</a>. للمزيد من المعلومات راجع صفحة الدليل الإلكتروني حول <a href=\"@menu\">وحدة القائمة</a>.','ar',0,0),(6352,'(الإسم الآلى: @type)','ar',0,0),(6353,'OpenID يقترح عليك استخدام إما <a href=\"@gmp\">GMP Math</a> (لتحسين اﻷداء) أو مكتبات <a href=\"@bc\">BC Math</a> لتفعيل ربط OpenID.','ar',0,0),(6354,'غير مُحسّن','ar',0,0),(6355,'ينصح OpenID باستخدام مكتبة GMP Math لـ PHP ﻷداء أفضل. راجع <a href=\"@url\">توثيق مكتبة GMP Math</a> لتعليمات التثبيت.','ar',0,0),(6356,'مكتبة OpenID Math','ar',0,0),(6357,'وحدة @module مفقودة، لذلك سيتم تعطيل: @depends.','ar',0,0),(6358,'وحدة @module مفقودة، لذلك سيتم تعطيل: @depends.','ar',6357,1),(6359,'الاسم البرمجي لايمكن أن يكون \"add\" أو \"list\".','ar',0,0),(6360,'تفعيل دعم تعددية اللغات لنوع المحتوى هذا. في حال تفعيله سيضاف حقل اختيار اللغة إلى استمارة التحرير، وسيسمح لك باختيار لغة من <a href=\"!languages\">اللغات المفعلة</a>. بإمكانك أيضاً تفعيل الترجمة لنوع المحتوى هذا، والذي يسمح لك بترجمة المحتوى ﻷي لغة مفعلة. في حال تعطيل خيار تعددية اللغات سيتم نشر المحتوى باللغة الافتراضية. المحتوى الموجود مسبقاً لن يتأثر بتغيير هذا الخيار.','ar',0,0),(6361,'استعلام موسوم بأنه يخص الدخول إلى العقد (node) لكن ليس هناك nid. لإصلاح هذا، أضف مفتاحًا أجنبيا إلى node.nid في المخطط.','ar',0,0),(6362,'جملتك لاستعلام قائمة العقد تستخدم @fallback كجدول أساسي في جملة الاستعلام المعلمة للوصول للعقدة. قد لا يكون هذا آمنا وقد لن يعمل حتى. حدد مفاتبح أجنبية في هيكليتك نحو node.nid ','ar',0,0),(6363,'حقل غير معروف: @field_name','ar',0,0),(6364,'%field: يجب ان يكون هنالك فاصلة عشرية (@separator) واحدة فقط.','ar',0,0),(6365,'الوحدات المفعلة: %modules','ar',0,0),(6366,'تعذر نسخ الملف %file، لأن الوجهة %destination غير صالحة. غالبا ما يكون السبب استعمالا خاطئا لـfile_copy() أو غياب حاوية تدفق.','ar',0,0),(6367,'لا يمكن نسخ الملف %file لأنه غير موجود.','ar',0,0),(6368,'تعذر نقل الملف %file، لأن الوجهة %destination غير صالحة. قد يكون السبب استعمالا خاطئا لـfile_move() أو غياب حاوية التدفق.','ar',0,0),(6369,'تعذر حذف الملف %file، لأنه عنوان URI غير صالح. قد يكون السبب استعمالا خاطئا لـfile_delete() أو غياب حاوية التدفق.','ar',0,0),(6370,'خاصية الحزمة مفقودة للكينونة من نوع @entity_type .','ar',0,0),(6371,'نوع الحقل (الحقول) المستخدم(ة)','ar',0,0),(6372,'الحقول بإنتظار الحذف','ar',0,0),(6373,'(وحدة: !module)','ar',0,0),(6374,'لقد تعذر العثور على الصفحة المطلوبة \"@path\".','ar',0,0),(6375,'أصبحت الاستمارة قديمة. انسخ أي عمل غير محفوظ في الاستمارة أسفله ثم <a href=\"@link\">أعد تحميل هذه الصفحة</a>.','ar',0,0),(6376,'هناك العديد من القرارات التي عليك اتخاذها قبل تعريف حقل للمحتوى أو تعليقات، الخ:','ar',0,0),(6377,'عرض النابض لا يظهر حالة الرفع ولكنه يأخذ مساحة أصغر. شريط التقدم مفيد لمراقبة التقدم في الرفع الكبير.','ar',0,0),(6378,'وحدات البحث النشط','ar',0,0),(6379,'لا توجد اختصارات <a href=\"@link\">أضف اختصارا</a>.','ar',0,0),(6380,'اترك هذه فارغة لحذف اسم المستخدم و كلمة السر الحاليتين.','ar',0,0),(6381,'لتغيير كلمة المرور، ادخل كلمة المرور الجديدة هنا.','ar',0,0),(6382,'يجب أن تشتمل بيانات مصادقة HTTP على اسم مستخدم بالإضافة الى كلمة مرور.','ar',0,0),(6383,'غير متوافق مع هذا الإصدار لنواة دروبال.','ar',0,0),(6384,'يتكلف كرون بإنجاز المهمات الدورية كالتحقق من وجود تحديثات وفهرسة المحتوى من أجل البحث.','ar',0,0),(6385,'تم اجتياز اختبار العنوان URL النظيف بنجاح.','ar',0,0),(6386,'عناوين URL النظيفة مفعلة، لكن اختبار عناوين URL النظيفة فشل. أزل العلامة من المربع أسفله لتعطيل عناوين URL النظيفة.','ar',0,0),(6387,'فشل اختبار المسار النظيف.','ar',0,0),(6388,'لا يمكن تفعيل عناوين URL النظيفة. إذا تم توجيهك إلى هذه الصفحة أو إلى خطأ <em>صفحة غير موجودة (404)</em> بعد اختبار عناوين URL النظيفة، راجع <a href=\"@handbook\">الدليل على الشبكة</a>','ar',0,0),(6389,'ُوجدت هنالك مشكلة في إنشاء الحقل %label: !message','ar',0,0),(6390,'@module (<span class=\"admin-missing\">غير متوافق مع </span> هذا الإصدار من نواة دروبال)','ar',0,0),(6391,'إشعارات التحديث غير مفعلة. <strong>ينصح بشدة</strong> تفعيل وحدة مدير التحديث من <a href=\"@module\">صفحة إدارة الوحدات</a> للبقاء في النسخة الحديثة عند بروز إصدارات جديدة. للمزيد من المعلومات، راجع <a href=\"@update\">صفحة حالة التحديث في الدليل</a>.','ar',0,0),(6392,'بحثك يحتوي على العدد من تعابير AND/OR. فقط أول @count مصطلحات تم ادامجهم في هذا البحث.','ar',0,0),(6393,'لا يمكن تنفيذ الإختبار لأنه لم يتم إعداده بشكل صحيح.','ar',0,0),(6394,'وجد حقل باسم @name','ar',0,0),(6395,'وجد حقل باسم @name و قيمة @value','ar',0,0),(6396,'لا يمكن تغيير مفاتيح قائمة منسدلة (@field_name) تتوفر على معلومات.','ar',0,0),(6397,'اسم فريد مقروء آليا يحتوي على أحرف وأرقام وشرطات سفلية.','ar',0,0),(6398,'تم إعادة الشكل %style إلى قيمته الافتراضية.','ar',0,0),(6399,'إذا لم يتم رفع أية صورة، سيتم إظهار هذه الصورة عند العرض وستحل محل الصورة الافتراضية لهذا الحقل.','ar',0,0),(6400,'مشاهدة تفاصيل جميع التصويتات','ar',0,0),(6401,'لا توجد عناوين IP محظورة.','ar',0,0),(6402,'لم يتم العثور على حقل التصنيف @field_name.','ar',0,0),(6403,'مربط الحلة %hook غير موجود.','ar',0,0),(6404,'لا يوجد أي محتوى في كتاب.','ar',0,0),(6405,'نوع (أنواع) الحقل (الحقول) المستخدم(ة) - أنظر <a href=\"@fields-page\"> قائمة الحقول</a>','ar',0,0),(6406,'المستخدون المسجلون فقط','ar',0,0),(6407,'لا يوجد معرفات OpenID متوفرة لهذا الحساب.','ar',0,0),(6408,'الأغورية','ar',0,0),(6409,'تركيب وحدة أخرى','ar',0,0),(6410,'الحصول على نظرة عامة إلى <a href=\"@url\">كل المحتوى</a>.','ar',0,0),(6411,'الحصول على نظرة عامة إلى كل المحتوى.','ar',0,0),(6412,'ذاكرة التخزين المؤقت غير صالحة أو مفقودة: %bin','ar',0,0);
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `megamenus`
--

DROP TABLE IF EXISTS `megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `megamenus`
--

LOCK TABLES `megamenus` WRITE;
/*!40000 ALTER TABLE `megamenus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `megamenus` VALUES ('main-menu','{\"direction\":\"horizontal\",\"style\":\"\",\"animation\":\"none\",\"auto-arrow\":\"0\",\"always-show-submenu\":\"1\",\"duration\":400,\"delay\":200,\"import_from_tb_menu\":\"1\"}','[{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"653\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"652\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"221\",\"level\":1,\"align-submenu\":0}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"\",\"group\":\"\",\"a-class\":\"\",\"mlid\":\"647\",\"level\":1}},{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"562\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"536\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"501\",\"level\":2,\"align-submenu\":0}},{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"552\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"498\",\"level\":1,\"align-submenu\":0}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"561\",\"level\":1}},{\"config\":{\"align-submenu\":\"left\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"420\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"591\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"\",\"group\":\"\",\"a-class\":\"\",\"mlid\":\"659\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"\",\"group\":\"\",\"a-class\":\"\",\"mlid\":\"637\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"\",\"group\":\"\",\"a-class\":\"\",\"mlid\":\"660\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"438\",\"level\":1}},{\"config\":{\"align-submenu\":\"left\",\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"428\",\"level\":1},\"submenu\":{\"config\":{\"width\":\"px\",\"class\":\"\"},\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"572\",\"level\":2}},{\"submenu\":null,\"config\":{\"align-submenu\":0,\"hidewsub\":\"0\",\"group\":\"0\",\"a-class\":\"\",\"mlid\":\"593\",\"level\":2}}],\"type\":\"ul\",\"config\":{\"hidewcol\":\"0\",\"grid\":\"12\",\"level\":1,\"class\":\"\",\"show-block-title\":\"1\"}}]]}},{\"submenu\":{\"rows_cols\":[[{\"block\":null,\"ul\":[{\"submenu\":{\"rows_cols\":[],\"config\":{\"width\":\"\"}},\"config\":{\"hidesub\":1,\"group\":0,\"mlid\":\"692\",\"level\":2,\"align-submenu\":0}}],\"type\":\"ul\",\"config\":{\"grid\":\"\",\"level\":1,\"class\":\"\"}}]],\"config\":{\"width\":\"\",\"class\":\"\"}},\"config\":{\"group\":0,\"hidesub\":0,\"mlid\":\"691\",\"level\":1,\"align-submenu\":0}}]');
/*!40000 ALTER TABLE `megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_custom`
--

DROP TABLE IF EXISTS `menu_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_custom`
--

LOCK TABLES `menu_custom` WRITE;
/*!40000 ALTER TABLE `menu_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_custom` VALUES ('features','Features','Menu items for any enabled features.'),('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),('management','Management','The <em>Management</em> menu contains links for administrative tasks.'),('menu-pages','Pages',''),('menu-properties-demo-menu','Properties Demo Menu',''),('menu-social-menu','Social Menu','Social Menu'),('menu-useful-links','Useful links',''),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),('user-menu','User menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.');
/*!40000 ALTER TABLE `menu_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_links`
--

DROP TABLE IF EXISTS `menu_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=1250 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_links`
--

LOCK TABLES `menu_links` WRITE;
/*!40000 ALTER TABLE `menu_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_links` VALUES ('navigation',1,0,'search','search','Search','a:0:{}','system',1,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0),('management',2,0,'admin','admin','Administration','a:0:{}','system',0,0,1,0,9,1,0,2,0,0,0,0,0,0,0,0,0),('user-menu',3,0,'user','user','User account','a:1:{s:5:\"alter\";b:1;}','system',0,0,0,0,-10,1,0,3,0,0,0,0,0,0,0,0,0),('navigation',4,0,'comment/%','comment/%','Comment permalink','a:0:{}','system',0,0,1,0,0,1,0,4,0,0,0,0,0,0,0,0,0),('navigation',5,0,'filter/tips','filter/tips','Compose tips','a:0:{}','system',1,0,1,0,0,1,0,5,0,0,0,0,0,0,0,0,0),('navigation',6,1,'search/node','search/node','Content','a:0:{}','system',-1,0,0,0,-10,2,0,1,6,0,0,0,0,0,0,0,0),('navigation',7,1,'search/user','search/user','Users','a:0:{}','system',-1,0,0,0,0,2,0,1,7,0,0,0,0,0,0,0,0),('navigation',8,0,'node/%','node/%','','a:0:{}','system',0,0,0,0,0,1,0,8,0,0,0,0,0,0,0,0,0),('navigation',9,0,'node/add','node/add','Add content','a:0:{}','system',0,0,1,0,0,1,0,9,0,0,0,0,0,0,0,0,0),('management',10,2,'admin/appearance','admin/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Select and configure your themes.\";}}','system',0,0,0,0,-6,2,0,2,10,0,0,0,0,0,0,0,0),('management',11,2,'admin/config','admin/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Administer settings.\";}}','system',0,0,1,0,0,2,0,2,11,0,0,0,0,0,0,0,0),('management',12,2,'admin/content','admin/content','Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer content and comments.\";}}','system',0,0,1,0,-10,2,0,2,12,0,0,0,0,0,0,0,0),('user-menu',13,3,'user/register','user/register','Create new account','a:0:{}','system',-1,0,0,0,0,2,0,3,13,0,0,0,0,0,0,0,0),('management',14,2,'admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View and customize your dashboard.\";}}','system',0,0,0,0,-15,2,0,2,14,0,0,0,0,0,0,0,0),('management',15,2,'admin/index','admin/index','Index','a:0:{}','system',-1,0,0,0,-18,2,0,2,15,0,0,0,0,0,0,0,0),('user-menu',16,3,'user/login','user/login','Log in','a:0:{}','system',-1,0,0,0,0,2,0,3,16,0,0,0,0,0,0,0,0),('user-menu',17,0,'user/logout','user/logout','Log out','a:0:{}','system',0,0,0,0,10,1,0,17,0,0,0,0,0,0,0,0,0),('management',18,2,'admin/modules','admin/modules','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Extend site functionality.\";}}','system',0,0,0,0,-2,2,0,2,18,0,0,0,0,0,0,0,0),('navigation',19,0,'user/%','user/%','My account','a:0:{}','system',0,0,1,0,0,1,0,19,0,0,0,0,0,0,0,0,0),('management',20,2,'admin/people','admin/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage user accounts, roles, and permissions.\";}}','system',0,0,0,0,-4,2,0,2,20,0,0,0,0,0,0,0,0),('management',21,2,'admin/reports','admin/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View reports, updates, and errors.\";}}','system',0,0,1,0,5,2,0,2,21,0,0,0,0,0,0,0,0),('user-menu',22,3,'user/password','user/password','Request new password','a:0:{}','system',-1,0,0,0,0,2,0,3,22,0,0,0,0,0,0,0,0),('management',23,2,'admin/structure','admin/structure','Structure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Administer blocks, content types, menus, etc.\";}}','system',0,0,1,0,-8,2,0,2,23,0,0,0,0,0,0,0,0),('management',24,2,'admin/tasks','admin/tasks','Tasks','a:0:{}','system',-1,0,0,0,-20,2,0,2,24,0,0,0,0,0,0,0,0),('navigation',25,0,'comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system',0,0,0,0,0,1,0,25,0,0,0,0,0,0,0,0,0),('navigation',26,4,'comment/%/approve','comment/%/approve','Approve','a:0:{}','system',0,0,0,0,1,2,0,4,26,0,0,0,0,0,0,0,0),('navigation',27,4,'comment/%/delete','comment/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,4,27,0,0,0,0,0,0,0,0),('navigation',28,4,'comment/%/edit','comment/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,4,28,0,0,0,0,0,0,0,0),('navigation',29,0,'taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system',0,0,0,0,0,1,0,29,0,0,0,0,0,0,0,0,0),('navigation',30,4,'comment/%/view','comment/%/view','View comment','a:0:{}','system',-1,0,0,0,-10,2,0,4,30,0,0,0,0,0,0,0,0),('management',31,20,'admin/people/create','admin/people/create','Add user','a:0:{}','system',-1,0,0,0,0,3,0,2,20,31,0,0,0,0,0,0,0),('management',32,23,'admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";}}','system',0,0,1,0,0,3,0,2,23,32,0,0,0,0,0,0,0),('navigation',33,19,'user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system',0,0,1,0,0,2,0,19,33,0,0,0,0,0,0,0,0),('management',34,12,'admin/content/comment','admin/content/comment','Comments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"List and edit site comments and the comment approval queue.\";}}','system',0,0,0,0,0,3,0,2,12,34,0,0,0,0,0,0,0),('management',35,14,'admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure which blocks can be shown on the dashboard.\";}}','system',-1,0,0,0,0,3,0,2,14,35,0,0,0,0,0,0,0),('management',36,12,'admin/content/node','admin/content/node','Content','a:0:{}','system',-1,0,0,0,-10,3,0,2,12,36,0,0,0,0,0,0,0),('navigation',37,6,'search/node/%','search/node/%','Content','a:0:{}','system',-1,0,0,0,0,3,0,1,6,37,0,0,0,0,0,0,0),('management',38,11,'admin/config/content','admin/config/content','Content authoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Settings related to formatting and authoring content.\";}}','system',0,0,1,0,-15,3,0,2,11,38,0,0,0,0,0,0,0),('management',39,23,'admin/structure/types','admin/structure/types','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Manage content types, including default status, front page promotion, comment settings, etc.\";}}','system',0,0,1,0,0,3,0,2,23,39,0,0,0,0,0,0,0),('management',40,14,'admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Customize your dashboard.\";}}','system',-1,0,0,0,0,3,0,2,14,40,0,0,0,0,0,0,0),('navigation',41,8,'node/%/delete','node/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,2,0,8,41,0,0,0,0,0,0,0,0),('management',42,11,'admin/config/development','admin/config/development','Development','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Development tools.\";}}','system',0,0,1,0,-10,3,0,2,11,42,0,0,0,0,0,0,0),('navigation',43,19,'user/%/edit','user/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,19,43,0,0,0,0,0,0,0,0),('navigation',44,8,'node/%/edit','node/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,8,44,0,0,0,0,0,0,0,0),('management',45,20,'admin/people/people','admin/people/people','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Find and manage people interacting with your site.\";}}','system',-1,0,0,0,-10,3,0,2,20,45,0,0,0,0,0,0,0),('management',46,10,'admin/appearance/list','admin/appearance/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Select and configure your theme\";}}','system',-1,0,0,0,-1,3,0,2,10,46,0,0,0,0,0,0,0),('management',47,18,'admin/modules/list','admin/modules/list','List','a:0:{}','system',-1,0,0,0,0,3,0,2,18,47,0,0,0,0,0,0,0),('management',48,11,'admin/config/media','admin/config/media','Media','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Media tools.\";}}','system',0,0,1,0,-10,3,0,2,11,48,0,0,0,0,0,0,0),('management',49,23,'admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:86:\"Add new menus to your site, edit existing menus, and rename and reorganize menu links.\";}}','system',0,0,1,0,0,3,0,2,23,49,0,0,0,0,0,0,0),('management',50,11,'admin/config/people','admin/config/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Configure user accounts.\";}}','system',0,0,1,0,-20,3,0,2,11,50,0,0,0,0,0,0,0),('management',51,20,'admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,0,3,0,2,20,51,0,0,0,0,0,0,0),('management',52,21,'admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View events that have recently been logged.\";}}','system',0,0,0,0,-1,3,0,2,21,52,0,0,0,0,0,0,0),('management',53,11,'admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Regional settings, localization and translation.\";}}','system',0,0,1,0,-5,3,0,2,11,53,0,0,0,0,0,0,0),('navigation',54,8,'node/%/revisions','node/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,2,2,0,8,54,0,0,0,0,0,0,0,0),('management',55,11,'admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Local site search, metadata and SEO.\";}}','system',0,0,1,0,-10,3,0,2,11,55,0,0,0,0,0,0,0),('management',56,10,'admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure default and theme specific settings.\";}}','system',-1,0,0,0,20,3,0,2,10,56,0,0,0,0,0,0,0),('management',57,21,'admin/reports/status','admin/reports/status','Status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site\'s operation and any detected problems.\";}}','system',0,0,0,0,-60,3,0,2,21,57,0,0,0,0,0,0,0),('management',58,11,'admin/config/system','admin/config/system','System','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"General system related configuration.\";}}','system',0,0,1,0,-20,3,0,2,11,58,0,0,0,0,0,0,0),('management',59,23,'admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,2,23,59,0,0,0,0,0,0,0),('management',60,21,'admin/reports/access-denied','admin/reports/access-denied','Top \'access denied\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View \'access denied\' errors (403s).\";}}','system',0,0,0,0,0,3,0,2,21,60,0,0,0,0,0,0,0),('management',61,21,'admin/reports/page-not-found','admin/reports/page-not-found','Top \'page not found\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View \'page not found\' errors (404s).\";}}','system',0,0,0,0,0,3,0,2,21,61,0,0,0,0,0,0,0),('management',62,21,'admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"View most popular search phrases.\";}}','system',0,0,0,0,0,3,0,2,21,62,0,0,0,0,0,0,0),('management',63,18,'admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system',-1,0,0,0,20,3,0,2,18,63,0,0,0,0,0,0,0),('management',64,11,'admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Tools that enhance the user interface.\";}}','system',0,0,1,0,-15,3,0,2,11,64,0,0,0,0,0,0,0),('navigation',65,7,'search/user/%','search/user/%','Users','a:0:{}','system',-1,0,0,0,0,3,0,1,7,65,0,0,0,0,0,0,0),('navigation',66,8,'node/%/view','node/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,8,66,0,0,0,0,0,0,0,0),('navigation',67,19,'user/%/view','user/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,19,67,0,0,0,0,0,0,0,0),('management',68,11,'admin/config/services','admin/config/services','Web services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Tools related to web services.\";}}','system',0,0,1,0,0,3,0,2,11,68,0,0,0,0,0,0,0),('management',69,11,'admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Content workflow, editorial workflow tools.\";}}','system',0,0,0,0,5,3,0,2,11,69,0,0,0,0,0,0,0),('navigation',70,29,'taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,2,0,29,70,0,0,0,0,0,0,0,0),('navigation',71,29,'taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,29,71,0,0,0,0,0,0,0,0),('management',72,59,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system',0,0,0,0,0,4,0,2,23,59,72,0,0,0,0,0,0),('management',73,50,'admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:109:\"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.\";}}','system',0,0,0,0,-10,4,0,2,11,50,73,0,0,0,0,0,0),('management',74,58,'admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',0,0,1,0,0,4,0,2,11,58,74,0,0,0,0,0,0),('management',75,32,'admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system',-1,0,0,0,0,4,0,2,23,32,75,0,0,0,0,0,0),('management',76,39,'admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system',-1,0,0,0,0,4,0,2,23,39,76,0,0,0,0,0,0),('management',77,49,'admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system',-1,0,0,0,0,4,0,2,23,49,77,0,0,0,0,0,0),('management',78,59,'admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system',-1,0,0,0,0,4,0,2,23,59,78,0,0,0,0,0,0),('management',79,56,'admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,2,10,56,79,0,0,0,0,0,0),('management',80,55,'admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Enable or disable clean URLs for your site.\";}}','system',0,0,0,0,5,4,0,2,11,55,80,0,0,0,0,0,0),('management',81,58,'admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Manage automatic site maintenance tasks.\";}}','system',0,0,0,0,20,4,0,2,11,58,81,0,0,0,0,0,0),('management',82,53,'admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',0,0,0,0,-15,4,0,2,11,53,82,0,0,0,0,0,0),('management',83,21,'admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system',0,0,0,0,0,3,0,2,21,83,0,0,0,0,0,0,0),('management',84,48,'admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Tell Drupal where to store uploaded files and how they are accessed.\";}}','system',0,0,0,0,-10,4,0,2,11,48,84,0,0,0,0,0,0),('management',85,56,'admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,2,10,56,85,0,0,0,0,0,0),('management',86,56,'admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system',-1,0,0,0,-1,4,0,2,10,56,86,0,0,0,0,0,0),('management',87,50,'admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Manage blocked IP addresses.\";}}','system',0,0,1,0,10,4,0,2,11,50,87,0,0,0,0,0,0),('management',88,48,'admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";}}','system',0,0,0,0,20,4,0,2,11,48,88,0,0,0,0,0,0),('management',89,47,'admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system',-1,0,0,0,0,4,0,2,18,47,89,0,0,0,0,0,0),('management',90,39,'admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,39,90,0,0,0,0,0,0),('management',91,59,'admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,59,91,0,0,0,0,0,0),('management',92,49,'admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,49,92,0,0,0,0,0,0),('management',93,42,'admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:154:\"Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.\";}}','system',0,0,0,0,-15,4,0,2,11,42,93,0,0,0,0,0,0),('management',94,42,'admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Take the site offline for maintenance or bring it back online.\";}}','system',0,0,0,0,-10,4,0,2,11,42,94,0,0,0,0,0,0),('management',95,42,'admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.\";}}','system',0,0,0,0,-20,4,0,2,11,42,95,0,0,0,0,0,0),('management',96,51,'admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,-8,4,0,2,20,51,96,0,0,0,0,0,0),('management',97,34,'admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system',-1,0,0,0,-10,4,0,2,12,34,97,0,0,0,0,0,0),('management',98,68,'admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:114:\"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.\";}}','system',0,0,0,0,0,4,0,2,11,68,98,0,0,0,0,0,0),('management',99,56,'admin/appearance/settings/real_estast','admin/appearance/settings/real_estast','Real Estast','a:0:{}','system',-1,0,0,0,0,4,0,2,10,56,99,0,0,0,0,0,0),('management',100,53,'admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Settings for the site\'s default time zone and country.\";}}','system',0,0,0,0,-20,4,0,2,11,53,100,0,0,0,0,0,0),('management',101,51,'admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"List, edit, or add user roles.\";}}','system',-1,0,1,0,-5,4,0,2,20,51,101,0,0,0,0,0,0),('management',102,55,'admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Configure relevance settings for search and other indexing options.\";}}','system',0,0,0,0,-10,4,0,2,11,55,102,0,0,0,0,0,0),('management',103,49,'admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,2,23,49,103,0,0,0,0,0,0),('management',104,56,'admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,2,10,56,104,0,0,0,0,0,0),('management',105,58,'admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:104:\"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.\";}}','system',0,0,0,0,-20,4,0,2,11,58,105,0,0,0,0,0,0),('management',106,56,'admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,2,10,56,106,0,0,0,0,0,0),('management',107,38,'admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:127:\"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.\";}}','system',0,0,1,0,0,4,0,2,11,38,107,0,0,0,0,0,0),('management',108,34,'admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system',-1,0,0,0,0,4,0,2,12,34,108,0,0,0,0,0,0),('management',109,63,'admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system',-1,0,0,0,0,4,0,2,18,63,109,0,0,0,0,0,0),('navigation',110,43,'user/%/edit/account','user/%/edit/account','Account','a:0:{}','system',-1,0,0,0,0,3,0,19,43,110,0,0,0,0,0,0,0),('management',111,107,'admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system',0,0,1,0,0,5,0,2,11,38,107,111,0,0,0,0,0),('management',112,72,'admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system',-1,0,0,0,0,5,0,2,23,59,72,112,0,0,0,0,0),('management',113,107,'admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system',-1,0,0,0,1,5,0,2,11,38,107,113,0,0,0,0,0),('management',114,32,'admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,2,23,32,114,0,0,0,0,0,0),('management',115,102,'admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system',-1,0,0,0,0,5,0,2,11,55,102,115,0,0,0,0,0),('management',116,74,'admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system',-1,0,0,0,0,5,0,2,11,58,74,116,0,0,0,0,0),('management',117,49,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system',0,0,1,0,0,4,0,2,23,49,117,0,0,0,0,0,0),('management',118,72,'admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,2,23,59,72,118,0,0,0,0,0),('management',119,39,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system',0,0,1,0,0,4,0,2,23,39,119,0,0,0,0,0,0),('management',120,82,'admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Configure display format strings for date and time.\";}}','system',-1,0,1,0,-9,5,0,2,11,53,82,120,0,0,0,0,0),('management',121,32,'admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,2,23,32,121,0,0,0,0,0,0),('management',122,72,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,2,23,59,72,122,0,0,0,0,0),('management',123,107,'admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system',-1,0,0,0,0,5,0,2,11,38,107,123,0,0,0,0,0),('management',124,74,'admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',-1,0,0,0,-2,5,0,2,11,58,74,124,0,0,0,0,0),('management',125,32,'admin/structure/block/list/real_estast','admin/structure/block/list/real_estast','Real Estast','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,32,125,0,0,0,0,0,0),('management',126,73,'admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,2,11,50,73,126,0,0,0,0,0),('management',127,32,'admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,2,23,32,127,0,0,0,0,0,0),('management',128,32,'admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,2,23,32,128,0,0,0,0,0,0),('management',129,82,'admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',-1,0,1,0,-10,5,0,2,11,53,82,129,0,0,0,0,0),('navigation',130,54,'node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system',0,0,0,0,0,3,0,8,54,130,0,0,0,0,0,0,0),('navigation',131,54,'node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system',0,0,0,0,0,3,0,8,54,131,0,0,0,0,0,0,0),('navigation',132,54,'node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system',0,0,0,0,0,3,0,8,54,132,0,0,0,0,0,0,0),('management',133,121,'admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,2,23,32,121,133,0,0,0,0,0),('management',135,127,'admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,2,23,32,127,135,0,0,0,0,0),('management',136,128,'admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,2,23,32,128,136,0,0,0,0,0),('management',137,129,'admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Add new date type.\";}}','system',-1,0,0,0,-10,6,0,2,11,53,82,129,137,0,0,0,0),('management',138,120,'admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Allow users to add additional date formats.\";}}','system',-1,0,0,0,-10,6,0,2,11,53,82,120,138,0,0,0,0),('management',139,117,'admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system',-1,0,0,0,0,5,0,2,23,49,117,139,0,0,0,0,0),('management',140,32,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system',0,0,0,0,0,4,0,2,23,32,140,0,0,0,0,0,0),('navigation',141,33,'user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system',0,0,0,0,0,3,0,19,33,141,0,0,0,0,0,0,0),('management',142,119,'admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,2,23,39,119,142,0,0,0,0,0),('management',143,87,'admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system',0,0,0,0,0,5,0,2,11,50,87,143,0,0,0,0,0),('management',144,74,'admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Delete an action.\";}}','system',0,0,0,0,0,5,0,2,11,58,74,144,0,0,0,0,0),('management',145,117,'admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system',0,0,0,0,0,5,0,2,23,49,117,145,0,0,0,0,0),('management',146,49,'admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system',0,0,0,0,0,4,0,2,23,49,146,0,0,0,0,0,0),('management',147,101,'admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system',0,0,0,0,0,5,0,2,20,51,101,147,0,0,0,0,0),('management',148,111,'admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system',0,0,0,0,0,6,0,2,11,38,107,111,148,0,0,0,0),('management',149,119,'admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,2,23,39,119,149,0,0,0,0,0),('management',150,117,'admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system',-1,0,0,0,0,5,0,2,23,49,117,150,0,0,0,0,0),('management',151,49,'admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system',0,0,0,0,0,4,0,2,23,49,151,0,0,0,0,0,0),('management',152,101,'admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system',0,0,0,0,0,5,0,2,20,51,101,152,0,0,0,0,0),('management',153,117,'admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system',-1,0,0,0,-10,5,0,2,23,49,117,153,0,0,0,0,0),('management',154,49,'admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system',0,0,0,0,0,4,0,2,23,49,154,0,0,0,0,0,0),('management',155,119,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system',-1,0,0,0,4,5,0,2,23,39,119,155,0,0,0,0,0),('management',156,119,'admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system',-1,0,1,0,3,5,0,2,23,39,119,156,0,0,0,0,0),('management',157,140,'admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure block','a:0:{}','system',-1,0,0,0,0,5,0,2,23,32,140,157,0,0,0,0,0),('management',158,140,'admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system',-1,0,0,0,0,5,0,2,23,32,140,158,0,0,0,0,0),('management',159,120,'admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Allow users to delete a configured date format.\";}}','system',0,0,0,0,0,6,0,2,11,53,82,120,159,0,0,0,0),('management',160,129,'admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to delete a configured date type.\";}}','system',0,0,0,0,0,6,0,2,11,53,82,129,160,0,0,0,0),('management',161,120,'admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to edit a configured date format.\";}}','system',0,0,0,0,0,6,0,2,11,53,82,120,161,0,0,0,0),('management',162,49,'admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,162,0,0,0,0,0,0),('management',163,49,'admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,163,0,0,0,0,0,0),('management',164,49,'admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,164,0,0,0,0,0,0),('management',165,49,'admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,165,0,0,0,0,0,0),('management',166,2,'admin/help','admin/help','Help','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Reference for usage, configuration, and modules.\";}}','system',0,0,0,0,9,2,0,2,166,0,0,0,0,0,0,0,0),('management',167,21,'admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of fields on all entity types.\";}}','system',0,0,0,0,0,3,0,2,21,167,0,0,0,0,0,0,0),('navigation',168,19,'user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system',-1,0,0,0,0,2,0,19,168,0,0,0,0,0,0,0,0),('management',169,166,'admin/help/block','admin/help/block','block','a:0:{}','system',-1,0,0,0,0,3,0,2,166,169,0,0,0,0,0,0,0),('management',170,166,'admin/help/color','admin/help/color','color','a:0:{}','system',-1,0,0,0,0,3,0,2,166,170,0,0,0,0,0,0,0),('management',171,166,'admin/help/comment','admin/help/comment','comment','a:0:{}','system',-1,0,0,0,0,3,0,2,166,171,0,0,0,0,0,0,0),('management',172,166,'admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system',-1,0,0,0,0,3,0,2,166,172,0,0,0,0,0,0,0),('management',173,166,'admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system',-1,0,0,0,0,3,0,2,166,173,0,0,0,0,0,0,0),('management',174,166,'admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system',-1,0,0,0,0,3,0,2,166,174,0,0,0,0,0,0,0),('management',175,166,'admin/help/field','admin/help/field','field','a:0:{}','system',-1,0,0,0,0,3,0,2,166,175,0,0,0,0,0,0,0),('management',176,166,'admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system',-1,0,0,0,0,3,0,2,166,176,0,0,0,0,0,0,0),('management',177,166,'admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system',-1,0,0,0,0,3,0,2,166,177,0,0,0,0,0,0,0),('management',178,166,'admin/help/file','admin/help/file','file','a:0:{}','system',-1,0,0,0,0,3,0,2,166,178,0,0,0,0,0,0,0),('management',179,166,'admin/help/filter','admin/help/filter','filter','a:0:{}','system',-1,0,0,0,0,3,0,2,166,179,0,0,0,0,0,0,0),('management',180,166,'admin/help/help','admin/help/help','help','a:0:{}','system',-1,0,0,0,0,3,0,2,166,180,0,0,0,0,0,0,0),('management',181,166,'admin/help/image','admin/help/image','image','a:0:{}','system',-1,0,0,0,0,3,0,2,166,181,0,0,0,0,0,0,0),('management',182,166,'admin/help/list','admin/help/list','list','a:0:{}','system',-1,0,0,0,0,3,0,2,166,182,0,0,0,0,0,0,0),('management',183,166,'admin/help/menu','admin/help/menu','menu','a:0:{}','system',-1,0,0,0,0,3,0,2,166,183,0,0,0,0,0,0,0),('management',184,166,'admin/help/node','admin/help/node','node','a:0:{}','system',-1,0,0,0,0,3,0,2,166,184,0,0,0,0,0,0,0),('management',185,166,'admin/help/number','admin/help/number','number','a:0:{}','system',-1,0,0,0,0,3,0,2,166,185,0,0,0,0,0,0,0),('management',186,166,'admin/help/options','admin/help/options','options','a:0:{}','system',-1,0,0,0,0,3,0,2,166,186,0,0,0,0,0,0,0),('management',187,166,'admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system',-1,0,0,0,0,3,0,2,166,187,0,0,0,0,0,0,0),('management',188,166,'admin/help/path','admin/help/path','path','a:0:{}','system',-1,0,0,0,0,3,0,2,166,188,0,0,0,0,0,0,0),('management',190,166,'admin/help/search','admin/help/search','search','a:0:{}','system',-1,0,0,0,0,3,0,2,166,190,0,0,0,0,0,0,0),('management',191,166,'admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system',-1,0,0,0,0,3,0,2,166,191,0,0,0,0,0,0,0),('management',192,166,'admin/help/system','admin/help/system','system','a:0:{}','system',-1,0,0,0,0,3,0,2,166,192,0,0,0,0,0,0,0),('management',193,166,'admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,2,166,193,0,0,0,0,0,0,0),('management',194,166,'admin/help/text','admin/help/text','text','a:0:{}','system',-1,0,0,0,0,3,0,2,166,194,0,0,0,0,0,0,0),('management',195,166,'admin/help/user','admin/help/user','user','a:0:{}','system',-1,0,0,0,0,3,0,2,166,195,0,0,0,0,0,0,0),('management',196,48,'admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";}}','system',0,0,1,0,0,4,0,2,11,48,196,0,0,0,0,0,0),('management',197,64,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Add and modify shortcut sets.\";}}','system',0,0,1,0,0,4,0,2,11,64,197,0,0,0,0,0,0),('management',198,55,'admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site\'s URL paths by aliasing them.\";}}','system',0,0,1,0,-5,4,0,2,11,55,198,0,0,0,0,0,0),('management',199,198,'admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system',-1,0,0,0,0,5,0,2,11,55,198,199,0,0,0,0,0),('management',200,197,'admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system',-1,0,0,0,0,5,0,2,11,64,197,200,0,0,0,0,0),('management',201,196,'admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Add a new image style.\";}}','system',-1,0,0,0,2,5,0,2,11,48,196,201,0,0,0,0,0),('management',202,197,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system',0,0,1,0,0,5,0,2,11,64,197,202,0,0,0,0,0),('management',203,198,'admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,2,11,55,198,203,0,0,0,0,0),('management',204,196,'admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"List the current image styles on the site.\";}}','system',-1,0,0,0,1,5,0,2,11,48,196,204,0,0,0,0,0),('management',205,202,'admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system',-1,0,0,0,0,6,0,2,11,64,197,202,205,0,0,0,0),('management',206,198,'admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system',0,0,0,0,0,5,0,2,11,55,198,206,0,0,0,0,0),('management',207,202,'admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system',0,0,0,0,0,6,0,2,11,64,197,202,207,0,0,0,0),('management',208,198,'admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system',0,0,0,0,0,5,0,2,11,55,198,208,0,0,0,0,0),('management',209,202,'admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system',-1,0,0,0,10,6,0,2,11,64,197,202,209,0,0,0,0),('management',210,197,'admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system',0,0,1,0,0,5,0,2,11,64,197,210,0,0,0,0,0),('management',211,196,'admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure an image style.\";}}','system',0,0,1,0,0,5,0,2,11,48,196,211,0,0,0,0,0),('management',212,202,'admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system',-1,0,0,0,0,6,0,2,11,64,197,202,212,0,0,0,0),('management',213,196,'admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Delete an image style.\";}}','system',0,0,0,0,0,5,0,2,11,48,196,213,0,0,0,0,0),('management',214,196,'admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Revert an image style.\";}}','system',0,0,0,0,0,5,0,2,11,48,196,214,0,0,0,0,0),('management',215,210,'admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system',0,0,0,0,0,6,0,2,11,64,197,210,215,0,0,0,0),('management',216,211,'admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Add a new effect to a style.\";}}','system',0,0,0,0,0,6,0,2,11,48,196,211,216,0,0,0,0),('management',217,211,'admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Edit an existing effect within a style.\";}}','system',0,0,1,0,0,6,0,2,11,48,196,211,217,0,0,0,0),('management',218,217,'admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Delete an existing effect from a style.\";}}','system',0,0,0,0,0,7,0,2,11,48,196,211,217,218,0,0,0),('shortcut-set-1',219,0,'node/add','node/add','Add content','a:0:{}','menu',0,0,0,0,-20,1,0,219,0,0,0,0,0,0,0,0,0),('shortcut-set-1',220,0,'admin/content','admin/content','Find content','a:0:{}','menu',0,0,0,0,-19,1,0,220,0,0,0,0,0,0,0,0,0),('main-menu',221,0,'<front>','','Home','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,1,1,1,-50,1,1,221,0,0,0,0,0,0,0,0,0),('navigation',222,9,'node/add/article','node/add/article','Article','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";}}','system',0,0,0,0,0,2,0,9,222,0,0,0,0,0,0,0,0),('navigation',223,9,'node/add/page','node/add/page','Basic page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";}}','system',0,0,0,0,0,2,0,9,223,0,0,0,0,0,0,0,0),('management',263,18,'admin/modules/install','admin/modules/install','Install new module','a:0:{}','system',-1,0,0,0,25,3,0,2,18,263,0,0,0,0,0,0,0),('management',264,10,'admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system',-1,0,0,0,25,3,0,2,10,264,0,0,0,0,0,0,0),('management',265,18,'admin/modules/update','admin/modules/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,2,18,265,0,0,0,0,0,0,0),('management',266,21,'admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:82:\"Get a status report about available updates for your installed modules and themes.\";}}','system',0,0,0,0,-50,3,0,2,21,266,0,0,0,0,0,0,0),('management',267,10,'admin/appearance/update','admin/appearance/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,2,10,267,0,0,0,0,0,0,0),('management',268,166,'admin/help/update','admin/help/update','update','a:0:{}','system',-1,0,0,0,0,3,0,2,166,268,0,0,0,0,0,0,0),('management',269,266,'admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system',-1,0,0,0,0,4,0,2,21,266,269,0,0,0,0,0,0),('management',270,266,'admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system',-1,0,0,0,50,4,0,2,21,266,270,0,0,0,0,0,0),('management',271,266,'admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system',-1,0,0,0,25,4,0,2,21,266,271,0,0,0,0,0,0),('management',272,266,'admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system',-1,0,0,0,10,4,0,2,21,266,272,0,0,0,0,0,0),('management',311,114,'admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,2,23,32,114,311,0,0,0,0,0),('management',312,166,'admin/help/jquery_update','admin/help/jquery_update','jquery_update','a:0:{}','system',-1,0,0,0,0,3,0,2,166,312,0,0,0,0,0,0,0),('management',313,42,'admin/config/development/jquery_update','admin/config/development/jquery_update','jQuery update','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:83:\"Configure settings related to the jQuery upgrade, the library path and compression.\";}}','system',0,0,0,0,0,4,0,2,11,42,313,0,0,0,0,0,0),('management',314,11,'admin/config/administration','admin/config/administration','Administration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Administration tools.\";}}','system',0,0,1,0,0,3,0,2,11,314,0,0,0,0,0,0,0),('management',315,166,'admin/help/admin_menu','admin/help/admin_menu','admin_menu','a:0:{}','system',-1,0,0,0,0,3,0,2,166,315,0,0,0,0,0,0,0),('management',316,314,'admin/config/administration/admin_menu','admin/config/administration/admin_menu','Administration menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Adjust administration menu settings.\";}}','system',0,0,0,0,0,4,0,2,11,314,316,0,0,0,0,0,0),('management',317,64,'admin/config/user-interface/modulefilter','admin/config/user-interface/modulefilter','Module filter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure how the modules page looks and acts.\";}}','system',0,0,0,0,0,4,0,2,11,64,317,0,0,0,0,0,0),('management',318,23,'admin/structure/tb-megamenu','admin/structure/tb-megamenu','TB Mega Menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"TB Mega Menu\";}}','system',0,0,0,0,0,3,0,2,23,318,0,0,0,0,0,0,0),('management',319,23,'admin/structure/views','admin/structure/views','Views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage customized lists of content.\";}}','system',0,0,1,0,0,3,0,2,23,319,0,0,0,0,0,0,0),('management',320,21,'admin/reports/views-plugins','admin/reports/views-plugins','Views plugins','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of plugins used in all views.\";}}','system',0,0,0,0,0,3,0,2,21,320,0,0,0,0,0,0,0),('management',321,166,'admin/help/flexslider','admin/help/flexslider','flexslider','a:0:{}','system',-1,0,0,0,0,3,0,2,166,321,0,0,0,0,0,0,0),('management',322,166,'admin/help/views_accordion','admin/help/views_accordion','views_accordion','a:0:{}','system',-1,0,0,0,0,3,0,2,166,322,0,0,0,0,0,0,0),('management',323,166,'admin/help/views_slideshow','admin/help/views_slideshow','views_slideshow','a:0:{}','system',-1,0,0,0,0,3,0,2,166,323,0,0,0,0,0,0,0),('management',324,166,'admin/help/views_slideshow_cycle','admin/help/views_slideshow_cycle','views_slideshow_cycle','a:0:{}','system',-1,0,0,0,0,3,0,2,166,324,0,0,0,0,0,0,0),('management',325,166,'admin/help/views_ticker','admin/help/views_ticker','views_ticker','a:0:{}','system',-1,0,0,0,0,3,0,2,166,325,0,0,0,0,0,0,0),('management',326,55,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Meta tags (quick) settings','a:0:{}','system',0,0,0,0,0,4,0,2,11,55,326,0,0,0,0,0,0),('management',327,319,'admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system',-1,0,0,0,0,4,0,2,23,319,327,0,0,0,0,0,0),('management',328,319,'admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system',-1,0,0,0,0,4,0,2,23,319,328,0,0,0,0,0,0),('management',329,48,'admin/config/media/flexslider','admin/config/media/flexslider','FlexSlider','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Administer FlexSlider presets.\";}}','system',0,0,0,0,0,4,0,2,11,48,329,0,0,0,0,0,0),('management',330,68,'admin/config/services/gmap','admin/config/services/gmap','GMap','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Configure GMap settings\";}}','system',0,0,0,0,0,4,0,2,11,68,330,0,0,0,0,0,0),('management',331,319,'admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,2,23,319,331,0,0,0,0,0,0),('management',332,319,'admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,319,332,0,0,0,0,0,0),('management',333,167,'admin/reports/fields/list','admin/reports/fields/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,2,21,167,333,0,0,0,0,0,0),('management',334,318,'admin/structure/tb-megamenu/request','admin/structure/tb-megamenu/request','Request','a:0:{}','system',1,0,0,0,0,4,0,2,23,318,334,0,0,0,0,0,0),('management',335,319,'admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system',-1,0,0,0,0,4,0,2,23,319,335,0,0,0,0,0,0),('management',336,167,'admin/reports/fields/views-fields','admin/reports/fields/views-fields','Used in views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Overview of fields used in all views.\";}}','system',-1,0,0,0,0,4,0,2,21,167,336,0,0,0,0,0,0),('management',337,326,'admin/config/search/metatags_quick/settings','admin/config/search/metatags_quick/settings','General','a:0:{}','system',-1,0,0,0,0,5,0,2,11,55,326,337,0,0,0,0,0),('management',338,329,'admin/config/media/flexslider/add','admin/config/media/flexslider/add','Add','a:0:{}','system',-1,0,0,0,0,5,0,2,11,48,329,338,0,0,0,0,0),('management',339,335,'admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,1,5,0,2,23,319,335,339,0,0,0,0,0),('management',340,329,'admin/config/media/flexslider/advanced','admin/config/media/flexslider/advanced','Advanced settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Configure the advanced flexslider module settings.\";}}','system',-1,0,0,0,2,5,0,2,11,48,329,340,0,0,0,0,0),('management',341,335,'admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system',-1,0,0,0,0,5,0,2,23,319,335,341,0,0,0,0,0),('management',342,318,'admin/structure/tb-megamenu/%/config','admin/structure/tb-megamenu/%/config','Config TB Mega Menu','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,318,342,0,0,0,0,0,0),('management',343,329,'admin/config/media/flexslider/import','admin/config/media/flexslider/import','Import','a:0:{}','system',-1,0,0,0,0,5,0,2,11,48,329,343,0,0,0,0,0),('management',344,329,'admin/config/media/flexslider/list','admin/config/media/flexslider/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,2,11,48,329,344,0,0,0,0,0),('management',345,326,'admin/config/search/metatags_quick/path_based','admin/config/search/metatags_quick/path_based','Path-Based Metatags','a:0:{}','system',-1,0,0,0,50,5,0,2,11,55,326,345,0,0,0,0,0),('management',348,319,'admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system',0,0,0,0,0,4,0,2,23,319,348,0,0,0,0,0,0),('management',349,348,'admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system',-1,0,0,0,0,5,0,2,23,319,348,349,0,0,0,0,0),('management',351,348,'admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system',-1,0,0,0,-10,5,0,2,23,319,348,351,0,0,0,0,0),('management',352,348,'admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system',-1,0,0,0,0,5,0,2,23,319,348,352,0,0,0,0,0),('management',353,348,'admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,5,0,2,23,319,348,353,0,0,0,0,0),('management',354,348,'admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,2,23,319,348,354,0,0,0,0,0),('management',355,348,'admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system',-1,0,0,0,0,5,0,2,23,319,348,355,0,0,0,0,0),('management',357,319,'admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,2,23,319,357,0,0,0,0,0,0),('management',358,319,'admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,2,23,319,358,0,0,0,0,0,0),('management',359,348,'admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system',-1,0,0,0,0,5,0,2,23,319,348,359,0,0,0,0,0),('management',364,344,'admin/config/media/flexslider/list/%/export','admin/config/media/flexslider/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,6,0,2,11,48,329,344,364,0,0,0,0),('management',365,344,'admin/config/media/flexslider/list/%/edit','admin/config/media/flexslider/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,6,0,2,11,48,329,344,365,0,0,0,0),('navigation',366,8,'node/%/webform-results','node/%/webform-results','Results','a:0:{}','system',-1,0,0,0,2,2,0,8,366,0,0,0,0,0,0,0,0),('navigation',367,9,'node/add/webform','node/add/webform','Webform','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:138:\"Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.\";}}','system',0,0,0,0,0,2,0,9,367,0,0,0,0,0,0,0,0),('navigation',368,8,'node/%/webform','node/%/webform','Webform','a:0:{}','system',-1,0,0,0,1,2,0,8,368,0,0,0,0,0,0,0,0),('management',369,12,'admin/content/webform','admin/content/webform','Webforms','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"View and edit all the available webforms on your site.\";}}','system',-1,0,0,0,0,3,0,2,12,369,0,0,0,0,0,0,0),('management',370,166,'admin/help/webform','admin/help/webform','webform','a:0:{}','system',-1,0,0,0,0,3,0,2,166,370,0,0,0,0,0,0,0),('navigation',371,366,'node/%/webform-results/analysis','node/%/webform-results/analysis','Analysis','a:0:{}','system',-1,0,0,0,5,3,0,8,366,371,0,0,0,0,0,0,0),('navigation',372,366,'node/%/webform-results/clear','node/%/webform-results/clear','Clear','a:0:{}','system',-1,0,0,0,8,3,0,8,366,372,0,0,0,0,0,0,0),('navigation',373,366,'node/%/webform-results/download','node/%/webform-results/download','Download','a:0:{}','system',-1,0,0,0,7,3,0,8,366,373,0,0,0,0,0,0,0),('navigation',374,368,'node/%/webform/emails','node/%/webform/emails','E-mails','a:0:{}','system',-1,0,0,0,4,3,0,8,368,374,0,0,0,0,0,0,0),('navigation',375,368,'node/%/webform/components','node/%/webform/components','Form components','a:0:{}','system',-1,0,0,0,0,3,0,8,368,375,0,0,0,0,0,0,0),('navigation',376,368,'node/%/webform/configure','node/%/webform/configure','Form settings','a:0:{}','system',-1,0,0,0,5,3,0,8,368,376,0,0,0,0,0,0,0),('navigation',377,366,'node/%/webform-results/submissions','node/%/webform-results/submissions','Submissions','a:0:{}','system',-1,0,0,0,4,3,0,8,366,377,0,0,0,0,0,0,0),('navigation',378,366,'node/%/webform-results/table','node/%/webform-results/table','Table','a:0:{}','system',-1,0,0,0,6,3,0,8,366,378,0,0,0,0,0,0,0),('management',379,38,'admin/config/content/webform','admin/config/content/webform','Webform settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Global configuration of webform functionality.\";}}','system',0,0,0,0,0,4,0,2,11,38,379,0,0,0,0,0,0),('navigation',380,8,'node/%/submission/%/delete','node/%/submission/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,8,380,0,0,0,0,0,0,0,0),('navigation',381,8,'node/%/submission/%/edit','node/%/submission/%/edit','Edit','a:0:{}','system',-1,0,0,0,1,2,0,8,381,0,0,0,0,0,0,0,0),('navigation',382,375,'node/%/webform/components/%','node/%/webform/components/%','','a:0:{}','system',-1,0,0,0,0,4,0,8,368,375,382,0,0,0,0,0,0),('navigation',383,374,'node/%/webform/emails/%','node/%/webform/emails/%','','a:0:{}','system',-1,0,0,0,0,4,0,8,368,374,383,0,0,0,0,0,0),('navigation',384,8,'node/%/submission/%/view','node/%/submission/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,8,384,0,0,0,0,0,0,0,0),('navigation',385,383,'node/%/webform/emails/%/delete','node/%/webform/emails/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,8,368,374,383,385,0,0,0,0,0),('navigation',386,382,'node/%/webform/components/%/delete','node/%/webform/components/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,8,368,375,382,386,0,0,0,0,0),('navigation',387,382,'node/%/webform/components/%/clone','node/%/webform/components/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,8,368,375,382,387,0,0,0,0,0),('management',388,23,'admin/structure/quicktabs','admin/structure/quicktabs','Quicktabs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Create blocks of tabbed content.\";}}','system',0,0,1,0,0,3,0,2,23,388,0,0,0,0,0,0,0),('management',389,166,'admin/help/quicktabs','admin/help/quicktabs','quicktabs','a:0:{}','system',-1,0,0,0,0,3,0,2,166,389,0,0,0,0,0,0,0),('management',390,388,'admin/structure/quicktabs/add','admin/structure/quicktabs/add','Add Quicktabs Instance','a:0:{}','system',-1,0,0,0,0,4,0,2,23,388,390,0,0,0,0,0,0),('management',391,388,'admin/structure/quicktabs/list','admin/structure/quicktabs/list','List quicktabs','a:0:{}','system',-1,0,0,0,0,4,0,2,23,388,391,0,0,0,0,0,0),('management',392,388,'admin/structure/quicktabs/styles','admin/structure/quicktabs/styles','Styles','a:0:{}','system',-1,0,0,0,0,4,0,2,23,388,392,0,0,0,0,0,0),('management',393,388,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','a:0:{}','system',0,0,0,0,0,4,0,2,23,388,393,0,0,0,0,0,0),('management',394,393,'admin/structure/quicktabs/manage/%/clone','admin/structure/quicktabs/manage/%/clone','Clone quicktab','a:0:{}','system',-1,0,0,0,0,5,0,2,23,388,393,394,0,0,0,0,0),('management',395,393,'admin/structure/quicktabs/manage/%/delete','admin/structure/quicktabs/manage/%/delete','Delete quicktab','a:0:{}','system',-1,0,0,0,0,5,0,2,23,388,393,395,0,0,0,0,0),('management',396,393,'admin/structure/quicktabs/manage/%/edit','admin/structure/quicktabs/manage/%/edit','Edit quicktab','a:0:{}','system',-1,0,0,0,0,5,0,2,23,388,393,396,0,0,0,0,0),('management',397,393,'admin/structure/quicktabs/manage/%/export','admin/structure/quicktabs/manage/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,2,23,388,393,397,0,0,0,0,0),('navigation',398,9,'node/add/properties','node/add/properties','Properties','a:0:{}','system',0,0,0,0,0,2,0,9,398,0,0,0,0,0,0,0,0),('management',401,166,'admin/help/pathauto','admin/help/pathauto','pathauto','a:0:{}','system',-1,0,0,0,0,3,0,2,166,401,0,0,0,0,0,0,0),('management',402,166,'admin/help/token','admin/help/token','token','a:0:{}','system',-1,0,0,0,0,3,0,2,166,402,0,0,0,0,0,0,0),('management',403,198,'admin/config/search/path/update_bulk','admin/config/search/path/update_bulk','Bulk update','a:0:{}','system',-1,0,0,0,30,5,0,2,11,55,198,403,0,0,0,0,0),('management',404,198,'admin/config/search/path/delete_bulk','admin/config/search/path/delete_bulk','Delete aliases','a:0:{}','system',-1,0,0,0,40,5,0,2,11,55,198,404,0,0,0,0,0),('management',405,198,'admin/config/search/path/patterns','admin/config/search/path/patterns','Patterns','a:0:{}','system',-1,0,0,0,10,5,0,2,11,55,198,405,0,0,0,0,0),('management',406,198,'admin/config/search/path/settings','admin/config/search/path/settings','Settings','a:0:{}','system',-1,0,0,0,20,5,0,2,11,55,198,406,0,0,0,0,0),('navigation',411,0,'blog','blog','Blogs','a:0:{}','system',1,0,1,0,0,1,0,411,0,0,0,0,0,0,0,0,0),('navigation',412,411,'blog/%','blog/%','My blog','a:0:{}','system',0,0,0,0,0,2,0,411,412,0,0,0,0,0,0,0,0),('navigation',413,9,'node/add/blog','node/add/blog','Blog entry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Use for multi-user blogs. Every user gets a personal blog.\";}}','system',0,0,0,0,0,2,0,9,413,0,0,0,0,0,0,0,0),('management',414,166,'admin/help/blog','admin/help/blog','blog','a:0:{}','system',-1,0,0,0,0,3,0,2,166,414,0,0,0,0,0,0,0),('main-menu',420,0,'blog','blog','Blog','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,1,1,-46,1,1,420,0,0,0,0,0,0,0,0,0),('navigation',421,0,'contact','contact','Contact','a:0:{}','system',1,0,0,0,0,1,0,421,0,0,0,0,0,0,0,0,0),('navigation',422,19,'user/%/contact','user/%/contact','Contact','a:0:{}','system',-1,0,0,0,2,2,0,19,422,0,0,0,0,0,0,0,0),('management',423,23,'admin/structure/contact','admin/structure/contact','Contact form','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:71:\"Create a system contact form and set up categories for the form to use.\";}}','system',0,0,1,0,0,3,0,2,23,423,0,0,0,0,0,0,0),('management',424,166,'admin/help/contact','admin/help/contact','contact','a:0:{}','system',-1,0,0,0,0,3,0,2,166,424,0,0,0,0,0,0,0),('management',425,423,'admin/structure/contact/add','admin/structure/contact/add','Add category','a:0:{}','system',-1,0,0,0,1,4,0,2,23,423,425,0,0,0,0,0,0),('management',426,423,'admin/structure/contact/delete/%','admin/structure/contact/delete/%','Delete contact','a:0:{}','system',0,0,0,0,0,4,0,2,23,423,426,0,0,0,0,0,0),('management',427,423,'admin/structure/contact/edit/%','admin/structure/contact/edit/%','Edit contact category','a:0:{}','system',0,0,0,0,0,4,0,2,23,423,427,0,0,0,0,0,0),('main-menu',428,0,'contact','contact','Contact','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,1,1,-44,1,1,428,0,0,0,0,0,0,0,0,0),('management',429,23,'admin/structure/features','admin/structure/features','Features','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Manage features.\";}}','system',0,0,0,0,0,3,0,2,23,429,0,0,0,0,0,0,0),('management',430,166,'admin/help/features','admin/help/features','features','a:0:{}','system',-1,0,0,0,0,3,0,2,166,430,0,0,0,0,0,0,0),('management',431,429,'admin/structure/features/create','admin/structure/features/create','Create feature','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Create a new feature.\";}}','system',-1,0,0,0,10,4,0,2,23,429,431,0,0,0,0,0,0),('management',432,429,'admin/structure/features/manage','admin/structure/features/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Enable and disable features.\";}}','system',-1,0,0,0,0,4,0,2,23,429,432,0,0,0,0,0,0),('management',433,429,'admin/structure/features/settings','admin/structure/features/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"Adjust settings for using features module.\";}}','system',-1,0,0,0,11,4,0,2,23,429,433,0,0,0,0,0,0),('management',434,429,'admin/structure/features/%/view','admin/structure/features/%/view','View','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Display components of a feature.\";}}','system',-1,0,0,0,-10,4,0,2,23,429,434,0,0,0,0,0,0),('management',435,429,'admin/structure/features/%/recreate','admin/structure/features/%/recreate','Recreate','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Recreate an existing feature.\";}}','system',-1,0,0,0,11,4,0,2,23,429,435,0,0,0,0,0,0),('management',436,38,'admin/config/content/email','admin/config/content/email','Email Contact Form Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:57:\"Administer flood control settings for email contact forms\";}}','system',0,0,0,0,0,4,0,2,11,38,436,0,0,0,0,0,0),('navigation',437,9,'node/add/faq','node/add/faq','FAQ','a:0:{}','system',0,0,0,0,0,2,0,9,437,0,0,0,0,0,0,0,0),('main-menu',438,0,'faq','faq','FAQ','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:3:\"FAQ\";}}','system',0,0,0,0,-45,1,1,438,0,0,0,0,0,0,0,0,0),('management',476,49,'admin/structure/menu/manage/menu-useful-links','admin/structure/menu/manage/%','Useful links','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,476,0,0,0,0,0,0),('menu-useful-links',477,0,'faq','faq','Help & FAQ','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,477,0,0,0,0,0,0,0,0,0),('menu-useful-links',478,0,'node/58','node/%','Home price','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,0,1,1,478,0,0,0,0,0,0,0,0,0),('menu-useful-links',479,0,'node/59','node/%','Market View','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,0,1,1,479,0,0,0,0,0,0,0,0,0),('menu-useful-links',480,0,'node/57','node/%','Free Credit Report','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,0,1,1,480,0,0,0,0,0,0,0,0,0),('menu-useful-links',481,0,'node/61','node/%','Terms & Conditions','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,0,1,1,481,0,0,0,0,0,0,0,0,0),('menu-useful-links',482,0,'node/60','node/%','Privacy Policy','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,0,1,1,482,0,0,0,0,0,0,0,0,0),('menu-useful-links',483,0,'node/56','node/%','Community Guidelines','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,0,1,1,483,0,0,0,0,0,0,0,0,0),('management',484,49,'admin/structure/menu/manage/menu-social-menu','admin/structure/menu/manage/%','Social Menu','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,484,0,0,0,0,0,0),('menu-social-menu',485,0,'http://facebook.com','','Facebook','a:1:{s:10:\"attributes\";a:3:{s:5:\"title\";s:8:\"Facebook\";s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-facebook\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,-49,1,1,485,0,0,0,0,0,0,0,0,0),('menu-social-menu',486,0,'http://twitter.com','','Twitter','a:1:{s:10:\"attributes\";a:3:{s:5:\"title\";s:7:\"Twitter\";s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:10:\"fa-twitter\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,-46,1,1,486,0,0,0,0,0,0,0,0,0),('menu-social-menu',487,0,'https://plus.google.com/','','Gplus','a:1:{s:10:\"attributes\";a:3:{s:5:\"title\";s:11:\"Google plus\";s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:14:\"fa-google-plus\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,-48,1,1,487,0,0,0,0,0,0,0,0,0),('menu-social-menu',488,0,'http://pinterest.com','','Pinterest','a:1:{s:10:\"attributes\";a:3:{s:5:\"title\";s:9:\"Pinterest\";s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:12:\"fa-pinterest\";}s:6:\"target\";s:6:\"_blank\";}}','menu',0,1,0,0,-47,1,1,488,0,0,0,0,0,0,0,0,0),('management',489,166,'admin/help/fontawesome','admin/help/fontawesome','fontawesome','a:0:{}','system',-1,0,0,0,0,3,0,2,166,489,0,0,0,0,0,0,0),('management',490,49,'admin/structure/menu/manage/menu-pages','admin/structure/menu/manage/%','Pages','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,490,0,0,0,0,0,0),('menu-pages',491,0,'node/44','node/%','404 Page','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-49,1,1,491,0,0,0,0,0,0,0,0,0),('menu-pages',492,0,'blog','blog','Blog','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-50,1,1,492,0,0,0,0,0,0,0,0,0),('menu-pages',493,0,'contact','contact','Contact Us','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-48,1,1,493,0,0,0,0,0,0,0,0,0),('management',494,166,'admin/help/php','admin/help/php','php','a:0:{}','system',-1,0,0,0,0,3,0,2,166,494,0,0,0,0,0,0,0),('navigation',495,9,'node/add/why-us','node/add/why-us','Why us','a:0:{}','system',0,0,0,0,0,2,0,9,495,0,0,0,0,0,0,0,0),('main-menu',498,0,'properties','properties','Properties','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Properties\";}}','system',0,0,1,1,-48,1,1,498,0,0,0,0,0,0,0,0,0),('main-menu',499,498,'properties/sale','properties','Properties for Sale','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:19:\"Properties for Sale\";}}','system',1,0,0,0,-46,2,1,498,499,0,0,0,0,0,0,0,0),('main-menu',500,498,'properties/rent','properties','Properties for Rent','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:19:\"Properties for Rent\";}}','system',1,0,0,0,-45,2,1,498,500,0,0,0,0,0,0,0,0),('main-menu',501,498,'properties/map','properties','Properties on Map','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Properties on Map\";}}','system',0,0,0,0,-48,2,1,498,501,0,0,0,0,0,0,0,0),('shortcut-set-1',503,0,'admin/content/blocks','admin/content','Blocks','a:0:{}','menu',0,0,0,0,-18,1,0,503,0,0,0,0,0,0,0,0,0),('navigation',504,0,'block/add','block/add','Add Block','a:0:{}','system',0,0,1,0,0,1,0,504,0,0,0,0,0,0,0,0,0),('navigation',505,0,'block/%','block/%','Block','a:0:{}','system',0,0,0,0,0,1,0,505,0,0,0,0,0,0,0,0,0),('navigation',506,505,'block/%/delete','block/%/delete','Delete Block','a:0:{}','system',-1,0,0,0,1,2,0,505,506,0,0,0,0,0,0,0,0),('navigation',507,505,'block/%/edit','block/%/edit','Edit Block','a:0:{}','system',-1,0,0,0,0,2,0,505,507,0,0,0,0,0,0,0,0),('navigation',508,505,'block/%/revisions','block/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,0,2,0,505,508,0,0,0,0,0,0,0,0),('navigation',509,505,'block/%/view','block/%/view','View','a:0:{}','system',-1,0,0,0,-20,2,0,505,509,0,0,0,0,0,0,0,0),('management',510,23,'admin/structure/block-types','admin/structure/block-types','Block types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:52:\"Manage block types, including fields, settings, etc.\";}}','system',0,0,1,0,0,3,0,2,23,510,0,0,0,0,0,0,0),('management',511,12,'admin/content/blocks','admin/content/blocks','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Manage blocks used on your site.\";}}','system',0,0,0,0,0,3,0,2,12,511,0,0,0,0,0,0,0),('navigation',512,508,'block/%/revisions/%','block/%/revisions/%','','a:0:{}','system',0,0,0,0,0,3,0,505,508,512,0,0,0,0,0,0,0),('management',513,510,'admin/structure/block-types/add','admin/structure/block-types/add','Add block type','a:0:{}','system',-1,0,0,0,0,4,0,2,23,510,513,0,0,0,0,0,0),('management',514,510,'admin/structure/block-types/list','admin/structure/block-types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,510,514,0,0,0,0,0,0),('navigation',515,512,'block/%/revisions/%/delete','block/%/revisions/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,4,0,505,508,512,515,0,0,0,0,0,0),('navigation',516,512,'block/%/revisions/%/edit','block/%/revisions/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,4,0,505,508,512,516,0,0,0,0,0,0),('management',517,510,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit block type','a:0:{}','system',0,0,1,0,0,4,0,2,23,510,517,0,0,0,0,0,0),('navigation',518,512,'block/%/revisions/%/set-active','block/%/revisions/%/set-active','Set active','a:0:{}','system',-1,0,0,0,0,4,0,505,508,512,518,0,0,0,0,0,0),('navigation',519,512,'block/%/revisions/%/view','block/%/revisions/%/view','View','a:0:{}','system',-1,0,0,0,-10,4,0,505,508,512,519,0,0,0,0,0,0),('management',520,517,'admin/structure/block-types/manage/%/delete','admin/structure/block-types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,2,23,510,517,520,0,0,0,0,0),('management',521,517,'admin/structure/block-types/manage/%/revert','admin/structure/block-types/manage/%/revert','Delete','a:0:{}','system',0,0,0,0,0,5,0,2,23,510,517,521,0,0,0,0,0),('management',522,517,'admin/structure/block-types/manage/%/edit','admin/structure/block-types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,2,23,510,517,522,0,0,0,0,0),('navigation',523,504,'block/add/who-we-are-block','block/add/who-we-are-block','Who We Are Block','a:0:{}','system',0,0,0,0,0,2,0,504,523,0,0,0,0,0,0,0,0),('navigation',533,9,'node/add/testimonials','node/add/testimonials','Testimonials','a:0:{}','system',0,0,0,0,0,2,0,9,533,0,0,0,0,0,0,0,0),('menu-social-menu',534,0,'user/login','user/login','Login','a:1:{s:10:\"attributes\";a:2:{s:5:\"title\";s:5:\"Login\";s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-user\";}}}','menu',0,0,0,0,-50,1,1,534,0,0,0,0,0,0,0,0,0),('main-menu',536,498,'properties/three-columns','properties/three-columns','Three Columns','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Demo Three Columns\";}}','system',0,0,0,0,-49,2,1,498,536,0,0,0,0,0,0,0,0),('management',537,166,'admin/help/jcarousel','admin/help/jcarousel','jcarousel','a:0:{}','system',-1,0,0,0,0,3,0,2,166,537,0,0,0,0,0,0,0),('management',539,23,'admin/structure/context','admin/structure/context','Context','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:84:\"Associate menus, views, blocks, etc. with different contexts to structure your site.\";}}','system',0,0,0,0,0,3,0,2,23,539,0,0,0,0,0,0,0),('management',540,166,'admin/help/context','admin/help/context','context','a:0:{}','system',-1,0,0,0,0,3,0,2,166,540,0,0,0,0,0,0,0),('management',541,166,'admin/help/context_ui','admin/help/context_ui','context_ui','a:0:{}','system',-1,0,0,0,0,3,0,2,166,541,0,0,0,0,0,0,0),('management',542,539,'admin/structure/context/add','admin/structure/context/add','Add','a:0:{}','system',-1,0,0,0,0,4,0,2,23,539,542,0,0,0,0,0,0),('management',543,539,'admin/structure/context/import','admin/structure/context/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,2,23,539,543,0,0,0,0,0,0),('management',544,539,'admin/structure/context/list','admin/structure/context/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,539,544,0,0,0,0,0,0),('management',545,539,'admin/structure/context/settings','admin/structure/context/settings','Settings','a:0:{}','system',-1,0,0,0,3,4,0,2,23,539,545,0,0,0,0,0,0),('management',546,544,'admin/structure/context/list/%/edit','admin/structure/context/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,2,23,539,544,546,0,0,0,0,0),('management',547,544,'admin/structure/context/list/%/export','admin/structure/context/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,2,23,539,544,547,0,0,0,0,0),('management',548,49,'admin/structure/menu/manage/menu-properties-demo-menu','admin/structure/menu/manage/%','Properties Demo Menu','a:0:{}','menu',0,0,0,0,0,4,0,2,23,49,548,0,0,0,0,0,0),('menu-properties-demo-menu',549,0,'properties','properties','Properties','a:1:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:5:\"fa-th\";}}}','menu',0,0,0,0,-50,1,1,549,0,0,0,0,0,0,0,0,0),('menu-properties-demo-menu',550,0,'properties/three-columns','properties/three-columns','Three Columns','a:1:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-th-large\";}}}','menu',0,0,0,0,-49,1,1,550,0,0,0,0,0,0,0,0,0),('menu-properties-demo-menu',551,0,'properties/map','properties/map','Map','a:1:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:13:\"fa-map-marker\";}}}','menu',0,0,0,0,-48,1,1,551,0,0,0,0,0,0,0,0,0),('main-menu',552,498,'properties/list','properties/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:4:\"List\";}}','system',0,0,0,0,-47,2,1,498,552,0,0,0,0,0,0,0,0),('menu-properties-demo-menu',553,0,'properties/list','properties/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:7:\"fa-list\";}}}','menu',0,0,0,0,0,1,1,553,0,0,0,0,0,0,0,0,0),('main-menu',561,0,'agents','agents','Agents','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:6:\"Agents\";}}','system',0,0,0,0,-47,1,1,561,0,0,0,0,0,0,0,0,0),('main-menu',562,498,'properties','properties','Four Columns','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-50,2,1,498,562,0,0,0,0,0,0,0,0),('main-menu',572,428,'node/32','node/%','Get in Touch','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-50,2,1,428,572,0,0,0,0,0,0,0,0),('main-menu',590,420,'blogs','blogs','Blog View Teaser','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:5:\"Blogs\";}}','system',0,0,0,0,-50,2,1,420,590,0,0,0,0,0,0,0,0),('main-menu',591,420,'blog','blog','Blog Default List','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-50,2,1,420,591,0,0,0,0,0,0,0,0),('main-menu',592,420,'blogs-fields-demo','blogs-fields-demo','Blog View Teaser','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Blogs View Teaser\";}}','system',1,0,0,0,-46,2,1,420,592,0,0,0,0,0,0,0,0),('main-menu',593,428,'contact','contact','Get in Touch V2','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-49,2,1,428,593,0,0,0,0,0,0,0,0),('navigation',594,0,'field-collection/field-content/%','field-collection/field-content/%','','a:0:{}','system',0,0,1,0,0,1,0,594,0,0,0,0,0,0,0,0,0),('management',595,23,'admin/structure/field-collections','admin/structure/field-collections','Field collections','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage fields on field collections.\";}}','system',0,0,1,0,0,3,0,2,23,595,0,0,0,0,0,0,0),('management',596,166,'admin/help/field_collection','admin/help/field_collection','field_collection','a:0:{}','system',-1,0,0,0,0,3,0,2,166,596,0,0,0,0,0,0,0),('navigation',597,594,'field-collection/field-content/%/delete','field-collection/field-content/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,2,0,594,597,0,0,0,0,0,0,0,0),('navigation',598,594,'field-collection/field-content/%/edit','field-collection/field-content/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,594,598,0,0,0,0,0,0,0,0),('navigation',599,594,'field-collection/field-content/%/view','field-collection/field-content/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,594,599,0,0,0,0,0,0,0,0),('navigation',603,0,'field-collection/field-content/add/%/%','field-collection/field-content/add/%/%','','a:0:{}','system',0,0,0,0,0,1,0,603,0,0,0,0,0,0,0,0,0),('navigation',604,594,'field-collection/field-content/%/revisions/%','field-collection/field-content/%/revisions/%','','a:0:{}','system',0,0,0,0,0,2,0,594,604,0,0,0,0,0,0,0,0),('navigation',620,0,'tagclouds','tagclouds','Tags','a:0:{}','system',1,0,0,0,0,1,0,620,0,0,0,0,0,0,0,0,0),('navigation',621,620,'tagclouds/chunk/%','tagclouds/chunk/%','Tags','a:0:{}','system',1,0,0,0,0,2,0,620,621,0,0,0,0,0,0,0,0),('management',622,38,'admin/config/content/tagclouds','admin/config/content/tagclouds','TagClouds configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.\";}}','system',0,0,0,0,0,4,0,2,11,38,622,0,0,0,0,0,0),('management',623,21,'admin/reports/hits','admin/reports/hits','Recent hits','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View pages that have recently been visited.\";}}','system',0,0,0,0,0,3,0,2,21,623,0,0,0,0,0,0,0),('management',624,21,'admin/reports/pages','admin/reports/pages','Top pages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"View pages that have been hit frequently.\";}}','system',0,0,0,0,1,3,0,2,21,624,0,0,0,0,0,0,0),('management',625,21,'admin/reports/referrers','admin/reports/referrers','Top referrers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:19:\"View top referrers.\";}}','system',0,0,0,0,0,3,0,2,21,625,0,0,0,0,0,0,0),('management',626,21,'admin/reports/visitors','admin/reports/visitors','Top visitors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View visitors that hit many pages.\";}}','system',0,0,0,0,2,3,0,2,21,626,0,0,0,0,0,0,0),('navigation',627,8,'node/%/track','node/%/track','Track','a:0:{}','system',-1,0,0,0,2,2,0,8,627,0,0,0,0,0,0,0,0),('management',628,166,'admin/help/statistics','admin/help/statistics','statistics','a:0:{}','system',-1,0,0,0,0,3,0,2,166,628,0,0,0,0,0,0,0),('management',629,21,'admin/reports/access/%','admin/reports/access/%','Details','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"View access log.\";}}','system',0,0,0,0,0,3,0,2,21,629,0,0,0,0,0,0,0),('management',630,58,'admin/config/system/statistics','admin/config/system/statistics','Statistics','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Control details about what and how your site logs access statistics.\";}}','system',0,0,0,0,-15,4,0,2,11,58,630,0,0,0,0,0,0),('navigation',631,19,'user/%/track/navigation','user/%/track/navigation','Track page visits','a:0:{}','system',-1,0,0,0,2,2,0,19,631,0,0,0,0,0,0,0,0),('navigation',632,19,'user/%/flickr','user/%/flickr','Flickr','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Display the Flickr photos of this user\";}}','system',-1,0,0,0,0,2,0,19,632,0,0,0,0,0,0,0,0),('management',633,166,'admin/help/flickr','admin/help/flickr','flickr','a:0:{}','system',-1,0,0,0,0,3,0,2,166,633,0,0,0,0,0,0,0),('management',634,166,'admin/help/flickr_block','admin/help/flickr_block','flickr_block','a:0:{}','system',-1,0,0,0,0,3,0,2,166,634,0,0,0,0,0,0,0),('management',635,48,'admin/config/media/flickr','admin/config/media/flickr','Flickr','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Change settings for the flickr module.\";}}','system',0,0,0,0,0,4,0,2,11,48,635,0,0,0,0,0,0),('main-menu',636,420,'blogs-isotope','blogs-isotope','Blog Isotope','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:13:\"Blogs Isotope\";}}','system',0,0,0,0,-47,2,1,420,636,0,0,0,0,0,0,0,0),('main-menu',637,420,'blog-fields-demo','blog-fields-demo','Blog Fields Demo','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-48,2,1,420,637,0,0,0,0,0,0,0,0),('main-menu',638,221,'homepage2','homepage2','Homepage 2','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Homepage 2\";}}','system',0,0,0,0,-50,2,1,221,638,0,0,0,0,0,0,0,0),('navigation',639,9,'node/add/services','node/add/services','Services','a:0:{}','system',0,0,0,0,0,2,0,9,639,0,0,0,0,0,0,0,0),('navigation',640,0,'icons','icons','Icons','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Overview of all available icons.\";}}','system',0,0,1,0,0,1,0,640,0,0,0,0,0,0,0,0,0),('navigation',641,640,'icons/%','icons/%','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:15:\"An icon bundle.\";}}','system',0,0,0,0,0,2,0,640,641,0,0,0,0,0,0,0,0),('management',642,48,'admin/config/media/icon','admin/config/media/icon','Icons','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Overview of all available icons.\";}}','system',0,0,1,0,0,4,0,2,11,48,642,0,0,0,0,0,0),('management',643,642,'admin/config/media/icon/overview','admin/config/media/icon/overview','Bundles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of all available icon bundles.\";}}','system',-1,0,0,0,-10,5,0,2,11,48,642,643,0,0,0,0,0),('management',644,642,'admin/config/media/icon/bundle/%','admin/config/media/icon/bundle/%','','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:15:\"An icon bundle.\";}}','system',0,0,0,0,0,5,0,2,11,48,642,644,0,0,0,0,0),('management',645,644,'admin/config/media/icon/bundle/%/configure','admin/config/media/icon/bundle/%/configure','Configure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Form callback for configuring an icon bundle.\";}}','system',-1,0,0,0,0,6,0,2,11,48,642,644,645,0,0,0,0),('management',646,644,'admin/config/media/icon/bundle/%/icons','admin/config/media/icon/bundle/%/icons','Icons','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Provide an overview of all available icon bundles.\";}}','system',-1,0,0,0,-10,6,0,2,11,48,642,644,646,0,0,0,0),('main-menu',647,0,'node/14','node/%','About us','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-49,1,1,647,0,0,0,0,0,0,0,0,0),('menu-social-menu',651,0,'user/logout','user/logout','Logout','a:1:{s:10:\"attributes\";a:2:{s:5:\"title\";s:6:\"Logout\";s:5:\"class\";a:2:{i:0;s:2:\"fa\";i:1;s:11:\"fa-sign-out\";}}}','menu',0,0,0,0,0,1,1,651,0,0,0,0,0,0,0,0,0),('main-menu',652,221,'homepage3','homepage3','Homepage 3','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Homepage 3\";}}','system',0,0,0,0,-49,2,1,221,652,0,0,0,0,0,0,0,0),('main-menu',653,221,'node/63','node/%','Homepage 2','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,0,0,-50,2,1,221,653,0,0,0,0,0,0,0,0),('management',654,23,'admin/structure/weebpal-tools/load-font','admin/structure/weebpal-tools/load-font','Request','a:0:{}','system',1,0,0,0,0,3,0,2,23,654,0,0,0,0,0,0,0),('management',656,166,'admin/help/menu_breadcrumb','admin/help/menu_breadcrumb','menu_breadcrumb','a:0:{}','system',-1,0,0,0,0,3,0,2,166,656,0,0,0,0,0,0,0),('management',657,64,'admin/config/user-interface/menu-breadcrumb','admin/config/user-interface/menu-breadcrumb','Menu Breadcrumb','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Configure menu breadcrumb.\";}}','system',0,0,0,0,0,4,0,2,11,64,657,0,0,0,0,0,0),('main-menu',659,420,'blog-teaser','blog-teaser','Blog View Teaser','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"Blog View Teaser\";}}','system',0,0,0,0,-49,2,1,420,659,0,0,0,0,0,0,0,0),('main-menu',660,420,'blog-isotope','blog-isotope','Blog Isotope','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Blog Isotope\";}}','system',0,0,0,0,-47,2,1,420,660,0,0,0,0,0,0,0,0),('navigation',661,8,'node/%/simplenews','node/%/simplenews','Newsletter','a:0:{}','system',-1,0,0,0,2,2,0,8,661,0,0,0,0,0,0,0,0),('management',662,20,'admin/people/simplenews','admin/people/simplenews','Newsletter subscriptions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Newsletter subscription management.\";}}','system',-1,0,1,0,0,3,0,2,20,662,0,0,0,0,0,0,0),('management',663,12,'admin/content/simplenews','admin/content/simplenews','Newsletters','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"List newsletters and newsletter sent status.\";}}','system',-1,0,0,0,0,3,0,2,12,663,0,0,0,0,0,0,0),('management',664,166,'admin/help/simplenews','admin/help/simplenews','simplenews','a:0:{}','system',-1,0,0,0,0,3,0,2,166,664,0,0,0,0,0,0,0),('management',665,662,'admin/people/simplenews/export','admin/people/simplenews/export','Export','a:0:{}','system',-1,0,0,0,10,4,0,2,20,662,665,0,0,0,0,0,0),('management',666,662,'admin/people/simplenews/import','admin/people/simplenews/import','Mass subscribe','a:0:{}','system',-1,0,0,0,8,4,0,2,20,662,666,0,0,0,0,0,0),('management',667,662,'admin/people/simplenews/unsubscribe','admin/people/simplenews/unsubscribe','Mass unsubscribe','a:0:{}','system',-1,0,0,0,9,4,0,2,20,662,667,0,0,0,0,0,0),('management',668,68,'admin/config/services/simplenews','admin/config/services/simplenews','Newsletters','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Configure your sites newsletters.\";}}','system',0,0,0,0,0,4,0,2,11,68,668,0,0,0,0,0,0),('navigation',669,43,'user/%/edit/simplenews','user/%/edit/simplenews','','a:0:{}','system',-1,0,0,0,10,3,0,19,43,669,0,0,0,0,0,0,0),('management',670,668,'admin/config/services/simplenews/add','admin/config/services/simplenews/add','Add newsletter category','a:0:{}','system',-1,0,0,0,-9,5,0,2,11,68,668,670,0,0,0,0,0),('management',671,668,'admin/config/services/simplenews/categories','admin/config/services/simplenews/categories','Newsletters','a:0:{}','system',-1,0,1,0,0,5,0,2,11,68,668,671,0,0,0,0,0),('management',672,668,'admin/config/services/simplenews/settings','admin/config/services/simplenews/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Simplenews settings.\";}}','system',-1,0,0,0,20,5,0,2,11,68,668,672,0,0,0,0,0),('management',673,672,'admin/config/services/simplenews/settings/newsletter','admin/config/services/simplenews/settings/newsletter','Newsletter','a:0:{}','system',-1,0,0,0,-15,6,0,2,11,68,668,672,673,0,0,0,0),('management',674,672,'admin/config/services/simplenews/settings/mail','admin/config/services/simplenews/settings/mail','Send mail','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Send mail, cron and debug options.\";}}','system',-1,0,0,0,-5,6,0,2,11,68,668,672,674,0,0,0,0),('management',675,672,'admin/config/services/simplenews/settings/subscription','admin/config/services/simplenews/settings/subscription','Subscription','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Subscription settings, opt-in/out confirmation email text.\";}}','system',-1,0,0,0,-10,6,0,2,11,68,668,672,675,0,0,0,0),('management',676,662,'admin/people/simplenews/users/edit/%','admin/people/simplenews/users/edit/%','Subscriptions','a:0:{}','system',0,0,0,0,0,4,0,2,20,662,676,0,0,0,0,0,0),('management',679,671,'admin/config/services/simplenews/categories/%/delete','admin/config/services/simplenews/categories/%/delete','Newsletters','a:0:{}','system',0,0,0,0,0,6,0,2,11,68,668,671,679,0,0,0,0),('management',680,671,'admin/config/services/simplenews/categories/%/edit','admin/config/services/simplenews/categories/%/edit','Newsletters','a:0:{}','system',0,0,0,0,0,6,0,2,11,68,668,671,680,0,0,0,0),('navigation',682,9,'node/add/simplenews','node/add/simplenews','Simplenews newsletter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:60:\"A newsletter issue to be sent to subscribed email addresses.\";}}','system',0,0,0,0,0,2,0,9,682,0,0,0,0,0,0,0,0),('management',683,23,'admin/structure/megamenus','admin/structure/megamenus','Mega Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:10:\"Mega Menus\";}}','system',0,0,0,0,0,3,0,2,23,683,0,0,0,0,0,0,0),('navigation',684,368,'node/%/webform/conditionals','node/%/webform/conditionals','Conditionals','a:0:{}','system',-1,0,0,0,1,3,0,8,368,684,0,0,0,0,0,0,0),('management',685,683,'admin/structure/megamenus/load_block','admin/structure/megamenus/load_block','Request','a:0:{}','system',1,0,0,0,0,4,0,2,23,683,685,0,0,0,0,0,0),('management',686,683,'admin/structure/megamenus/load_menu','admin/structure/megamenus/load_menu','Request','a:0:{}','system',1,0,0,0,0,4,0,2,23,683,686,0,0,0,0,0,0),('management',687,683,'admin/structure/megamenus/save_config','admin/structure/megamenus/save_config','Request','a:0:{}','system',1,0,0,0,0,4,0,2,23,683,687,0,0,0,0,0,0),('management',688,683,'admin/structure/megamenus/%/config','admin/structure/megamenus/%/config','Config Mega Menus','a:0:{}','system',-1,0,0,0,-10,4,0,2,23,683,688,0,0,0,0,0,0),('navigation',689,371,'node/%/webform-results/analysis/%','node/%/webform-results/analysis/%','Analysis','a:0:{}','system',-1,0,0,0,0,4,0,8,366,371,689,0,0,0,0,0,0),('navigation',690,689,'node/%/webform-results/analysis/%/more','node/%/webform-results/analysis/%/more','In-depth analysis','a:0:{}','system',-1,0,0,0,0,5,0,8,366,371,689,690,0,0,0,0,0),('main-menu',691,0,'http://demo.weebpal.com/#real_estast','','Demo','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',1,1,0,0,0,1,1,691,0,0,0,0,0,0,0,0,0),('main-menu',692,691,'mega-menus','mega-menus','Mega Menus','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',1,0,0,0,-50,2,1,691,692,0,0,0,0,0,0,0,0),('management',766,166,'admin/help/locale','admin/help/locale','locale','a:0:{}','system',-1,0,0,0,0,3,0,2,166,766,0,0,0,0,0,0,0),('management',767,53,'admin/config/regional/language','admin/config/regional/language','Languages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure languages for content and the user interface.\";}}','system',0,0,1,0,-10,4,0,2,11,53,767,0,0,0,0,0,0),('management',768,53,'admin/config/regional/translate','admin/config/regional/translate','Translate interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Translate the built in interface and optionally other text.\";}}','system',0,0,1,0,-5,4,0,2,11,53,768,0,0,0,0,0,0),('management',769,767,'admin/config/regional/language/add','admin/config/regional/language/add','Add language','a:0:{}','system',-1,0,0,0,5,5,0,2,11,53,767,769,0,0,0,0,0),('management',770,767,'admin/config/regional/language/configure','admin/config/regional/language/configure','Detection and selection','a:0:{}','system',-1,0,0,0,10,5,0,2,11,53,767,770,0,0,0,0,0),('management',771,768,'admin/config/regional/translate/export','admin/config/regional/translate/export','Export','a:0:{}','system',-1,0,0,0,30,5,0,2,11,53,768,771,0,0,0,0,0),('management',772,768,'admin/config/regional/translate/import','admin/config/regional/translate/import','Import','a:0:{}','system',-1,0,0,0,20,5,0,2,11,53,768,772,0,0,0,0,0),('management',773,767,'admin/config/regional/language/overview','admin/config/regional/language/overview','List','a:0:{}','system',-1,0,0,0,0,5,0,2,11,53,767,773,0,0,0,0,0),('management',774,82,'admin/config/regional/date-time/locale','admin/config/regional/date-time/locale','Localize','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',-1,0,1,0,-8,5,0,2,11,53,82,774,0,0,0,0,0),('management',775,768,'admin/config/regional/translate/overview','admin/config/regional/translate/overview','Overview','a:0:{}','system',-1,0,0,0,0,5,0,2,11,53,768,775,0,0,0,0,0),('management',776,768,'admin/config/regional/translate/translate','admin/config/regional/translate/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,2,11,53,768,776,0,0,0,0,0),('management',777,767,'admin/config/regional/language/delete/%','admin/config/regional/language/delete/%','Confirm','a:0:{}','system',0,0,0,0,0,5,0,2,11,53,767,777,0,0,0,0,0),('management',778,768,'admin/config/regional/translate/delete/%','admin/config/regional/translate/delete/%','Delete string','a:0:{}','system',0,0,0,0,0,5,0,2,11,53,768,778,0,0,0,0,0),('management',779,767,'admin/config/regional/language/edit/%','admin/config/regional/language/edit/%','Edit language','a:0:{}','system',0,0,0,0,0,5,0,2,11,53,767,779,0,0,0,0,0),('management',780,768,'admin/config/regional/translate/edit/%','admin/config/regional/translate/edit/%','Edit string','a:0:{}','system',0,0,0,0,0,5,0,2,11,53,768,780,0,0,0,0,0),('management',781,770,'admin/config/regional/language/configure/session','admin/config/regional/language/configure/session','Session language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,2,11,53,767,770,781,0,0,0,0),('management',782,770,'admin/config/regional/language/configure/url','admin/config/regional/language/configure/url','URL language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,2,11,53,767,770,782,0,0,0,0),('management',783,774,'admin/config/regional/date-time/locale/%/edit','admin/config/regional/date-time/locale/%/edit','Localize date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',0,0,0,0,0,6,0,2,11,53,82,774,783,0,0,0,0),('management',784,774,'admin/config/regional/date-time/locale/%/reset','admin/config/regional/date-time/locale/%/reset','Reset date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Reset localized date formats to global defaults\";}}','system',0,0,0,0,0,6,0,2,11,53,82,774,784,0,0,0,0),('management',858,166,'admin/help/ip_geoloc','admin/help/ip_geoloc','ip_geoloc','a:0:{}','system',-1,0,0,0,0,3,0,2,166,858,0,0,0,0,0,0,0),('management',859,38,'admin/config/content/geocoder','admin/config/content/geocoder','Geocoder settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Configuration for API keys.\";}}','system',0,0,0,0,0,4,0,2,11,38,859,0,0,0,0,0,0),('management',860,58,'admin/config/system/ip_geoloc','admin/config/system/ip_geoloc','IP Geolocation Views & Maps','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:65:\"Configure map markers and how geolocation information is updated.\";}}','system',0,0,0,0,0,4,0,2,11,58,860,0,0,0,0,0,0),('management',861,58,'admin/config/system/leaflet_more_maps','admin/config/system/leaflet_more_maps','Leaflet More Maps','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Assemble custom maps from available layers.\";}}','system',0,0,0,0,0,4,0,2,11,58,861,0,0,0,0,0,0),('main-menu',1009,0,'http://weebpal.com/drupal-themes','','More Themes','a:2:{s:10:\"attributes\";a:0:{}s:15:\"item_attributes\";a:3:{s:2:\"id\";s:0:\"\";s:5:\"class\";s:0:\"\";s:5:\"style\";s:0:\"\";}}','menu',0,1,0,0,0,1,1,1009,0,0,0,0,0,0,0,0,0),('navigation',1010,383,'node/%/webform/emails/%/clone','node/%/webform/emails/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,8,368,374,383,1010,0,0,0,0,0),('management',1159,23,'admin/structure/migrate_content','admin/structure/migrate_content','Migrate Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Manage Migrate Content.\";}}','system',0,0,0,0,0,3,0,2,23,1159,0,0,0,0,0,0,0),('management',1160,1159,'admin/structure/migrate_content/create','admin/structure/migrate_content/create','Create','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Migrate Content Create.\";}}','system',-1,0,0,0,10,4,0,2,23,1159,1160,0,0,0,0,0,0),('management',1161,1159,'admin/structure/migrate_content/import-from-upload','admin/structure/migrate_content/import-from-upload','Import','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Upload zip file to import.\";}}','system',-1,0,0,0,11,4,0,2,23,1159,1161,0,0,0,0,0,0),('management',1162,1159,'admin/structure/migrate_content/manage','admin/structure/migrate_content/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Enable and disable entity bundle.\";}}','system',-1,0,0,0,0,4,0,2,23,1159,1162,0,0,0,0,0,0),('management',1163,1159,'admin/structure/migrate_content/settings','admin/structure/migrate_content/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Adjust settings for using migrate content module.\";}}','system',-1,0,0,0,11,4,0,2,23,1159,1163,0,0,0,0,0,0),('management',1164,56,'admin/appearance/settings/we_backend','admin/appearance/settings/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,2,10,56,1164,0,0,0,0,0,0),('management',1165,32,'admin/structure/block/list/we_backend','admin/structure/block/list/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,2,23,32,1165,0,0,0,0,0,0),('management',1166,1165,'admin/structure/block/list/we_backend/add','admin/structure/block/list/we_backend/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,2,23,32,1165,1166,0,0,0,0,0),('navigation',1167,5,'filter/tips/%','filter/tips/%','Compose tips','a:0:{}','system',0,0,0,0,0,2,0,5,1167,0,0,0,0,0,0,0,0),('management',1168,48,'admin/config/media/vef','admin/config/media/vef','Video Embed Field','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Video Embed Field configuration\";}}','system',0,0,1,0,0,4,0,2,11,48,1168,0,0,0,0,0,0),('management',1169,1168,'admin/config/media/vef/settings','admin/config/media/vef/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Video Embed Field module settings\";}}','system',0,0,0,0,0,5,0,2,11,48,1168,1169,0,0,0,0,0),('management',1170,1168,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Video Embed Styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Administer Video Embed Field\'s video styles.\";}}','system',0,0,0,0,0,5,0,2,11,48,1168,1170,0,0,0,0,0),('management',1171,1170,'admin/config/media/vef/vef_video_styles/add','admin/config/media/vef/vef_video_styles/add','Add','a:0:{}','system',-1,0,0,0,0,6,0,2,11,48,1168,1170,1171,0,0,0,0),('management',1172,1170,'admin/config/media/vef/vef_video_styles/import','admin/config/media/vef/vef_video_styles/import','Import','a:0:{}','system',-1,0,0,0,0,6,0,2,11,48,1168,1170,1172,0,0,0,0),('management',1173,1170,'admin/config/media/vef/vef_video_styles/list','admin/config/media/vef/vef_video_styles/list','List','a:0:{}','system',-1,0,0,0,-10,6,0,2,11,48,1168,1170,1173,0,0,0,0),('management',1174,1173,'admin/config/media/vef/vef_video_styles/list/%/edit','admin/config/media/vef/vef_video_styles/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,7,0,2,11,48,1168,1170,1173,1174,0,0,0),('management',1175,1173,'admin/config/media/vef/vef_video_styles/list/%/export','admin/config/media/vef/vef_video_styles/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,7,0,2,11,48,1168,1170,1173,1175,0,0,0),('management',1176,595,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','a:0:{}','system',0,0,0,0,1,4,0,2,23,595,1176,0,0,0,0,0,0),('management',1177,1176,'admin/structure/field-collections/%/display','admin/structure/field-collections/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,2,23,595,1176,1177,0,0,0,0,0),('management',1178,326,'admin/config/search/metatags_quick/display','admin/config/search/metatags_quick/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,2,11,55,326,1178,0,0,0,0,0),('management',1179,72,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,2,23,59,72,1179,0,0,0,0,0),('management',1180,73,'admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,2,11,50,73,1180,0,0,0,0,0),('management',1181,72,'admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,2,23,59,72,1181,0,0,0,0,0),('management',1182,1176,'admin/structure/field-collections/%/fields','admin/structure/field-collections/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,2,23,595,1176,1182,0,0,0,0,0),('management',1183,326,'admin/config/search/metatags_quick/fields','admin/config/search/metatags_quick/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,2,11,55,326,1183,0,0,0,0,0),('management',1184,73,'admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,2,11,50,73,1184,0,0,0,0,0),('management',1185,1177,'admin/structure/field-collections/%/display/default','admin/structure/field-collections/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,2,23,595,1176,1177,1185,0,0,0,0),('management',1186,1178,'admin/config/search/metatags_quick/display/default','admin/config/search/metatags_quick/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,2,11,55,326,1178,1186,0,0,0,0),('management',1187,1179,'admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,2,23,59,72,1179,1187,0,0,0,0),('management',1188,1180,'admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,2,11,50,73,1180,1188,0,0,0,0),('management',1189,1177,'admin/structure/field-collections/%/display/full','admin/structure/field-collections/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,2,23,595,1176,1177,1189,0,0,0,0),('management',1190,517,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,2,23,510,517,1190,0,0,0,0,0),('management',1191,119,'admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,2,23,39,119,1191,0,0,0,0,0),('management',1192,517,'admin/structure/block-types/manage/%/fields','admin/structure/block-types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,2,23,510,517,1192,0,0,0,0,0),('management',1193,119,'admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,2,23,39,119,1193,0,0,0,0,0),('management',1194,1179,'admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system',-1,0,0,0,0,6,0,2,23,59,72,1179,1194,0,0,0,0),('management',1195,1177,'admin/structure/field-collections/%/display/token','admin/structure/field-collections/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,2,23,595,1176,1177,1195,0,0,0,0),('management',1196,1178,'admin/config/search/metatags_quick/display/token','admin/config/search/metatags_quick/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,6,0,2,11,55,326,1178,1196,0,0,0,0),('management',1197,1179,'admin/structure/taxonomy/%/display/token','admin/structure/taxonomy/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,2,23,59,72,1179,1197,0,0,0,0),('management',1198,1180,'admin/config/people/accounts/display/token','admin/config/people/accounts/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,2,11,50,73,1180,1198,0,0,0,0),('management',1199,1180,'admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system',-1,0,0,0,0,6,0,2,11,50,73,1180,1199,0,0,0,0),('management',1200,1182,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,2,23,595,1176,1182,1200,0,0,0,0),('management',1201,1183,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,2,11,55,326,1183,1201,0,0,0,0),('management',1202,1181,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,2,23,59,72,1181,1202,0,0,0,0),('management',1203,1184,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,2,11,50,73,1184,1203,0,0,0,0),('management',1204,1190,'admin/structure/block-types/manage/%/display/default','admin/structure/block-types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,2,23,510,517,1190,1204,0,0,0,0),('management',1205,1191,'admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,2,23,39,119,1191,1205,0,0,0,0),('management',1206,1191,'admin/structure/types/manage/%/display/email_html','admin/structure/types/manage/%/display/email_html','Email: HTML','a:0:{}','system',-1,0,0,0,6,6,0,2,23,39,119,1191,1206,0,0,0,0),('management',1207,1191,'admin/structure/types/manage/%/display/email_textalt','admin/structure/types/manage/%/display/email_textalt','Email: HTML text alternative','a:0:{}','system',-1,0,0,0,7,6,0,2,23,39,119,1191,1207,0,0,0,0),('management',1208,1191,'admin/structure/types/manage/%/display/email_plain','admin/structure/types/manage/%/display/email_plain','Email: Plain','a:0:{}','system',-1,0,0,0,5,6,0,2,23,39,119,1191,1208,0,0,0,0),('management',1209,1191,'admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,2,23,39,119,1191,1209,0,0,0,0),('management',1210,1191,'admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system',-1,0,0,0,2,6,0,2,23,39,119,1191,1210,0,0,0,0),('management',1211,1191,'admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system',-1,0,0,0,3,6,0,2,23,39,119,1191,1211,0,0,0,0),('management',1212,1191,'admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result highlighting input','a:0:{}','system',-1,0,0,0,4,6,0,2,23,39,119,1191,1212,0,0,0,0),('management',1213,1191,'admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system',-1,0,0,0,1,6,0,2,23,39,119,1191,1213,0,0,0,0),('management',1214,1190,'admin/structure/block-types/manage/%/display/token','admin/structure/block-types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,0,6,0,2,23,510,517,1190,1214,0,0,0,0),('management',1215,1191,'admin/structure/types/manage/%/display/token','admin/structure/types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,8,6,0,2,23,39,119,1191,1215,0,0,0,0),('management',1216,1192,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,2,23,510,517,1192,1216,0,0,0,0),('management',1217,1200,'admin/structure/field-collections/%/fields/%/delete','admin/structure/field-collections/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,2,23,595,1176,1182,1200,1217,0,0,0),('management',1218,1200,'admin/structure/field-collections/%/fields/%/edit','admin/structure/field-collections/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,2,23,595,1176,1182,1200,1218,0,0,0),('management',1219,1200,'admin/structure/field-collections/%/fields/%/field-settings','admin/structure/field-collections/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,2,23,595,1176,1182,1200,1219,0,0,0),('management',1220,1200,'admin/structure/field-collections/%/fields/%/widget-type','admin/structure/field-collections/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,2,23,595,1176,1182,1200,1220,0,0,0),('management',1221,1201,'admin/config/search/metatags_quick/fields/%/delete','admin/config/search/metatags_quick/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,2,11,55,326,1183,1201,1221,0,0,0),('management',1222,1201,'admin/config/search/metatags_quick/fields/%/edit','admin/config/search/metatags_quick/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,2,11,55,326,1183,1201,1222,0,0,0),('management',1223,1201,'admin/config/search/metatags_quick/fields/%/field-settings','admin/config/search/metatags_quick/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,2,11,55,326,1183,1201,1223,0,0,0),('management',1224,1201,'admin/config/search/metatags_quick/fields/%/widget-type','admin/config/search/metatags_quick/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,2,11,55,326,1183,1201,1224,0,0,0),('management',1225,1193,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,2,23,39,119,1193,1225,0,0,0,0),('management',1226,1202,'admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,2,23,59,72,1181,1202,1226,0,0,0),('management',1227,1202,'admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,2,23,59,72,1181,1202,1227,0,0,0),('management',1228,1202,'admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,2,23,59,72,1181,1202,1228,0,0,0),('management',1229,1202,'admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,2,23,59,72,1181,1202,1229,0,0,0),('management',1230,1203,'admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,2,11,50,73,1184,1203,1230,0,0,0),('management',1231,1203,'admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,2,11,50,73,1184,1203,1231,0,0,0),('management',1232,1203,'admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,2,11,50,73,1184,1203,1232,0,0,0),('management',1233,1203,'admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,2,11,50,73,1184,1203,1233,0,0,0),('management',1234,155,'admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,2,23,39,119,155,1234,0,0,0,0),('management',1235,155,'admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system',-1,0,0,0,0,6,0,2,23,39,119,155,1235,0,0,0,0),('management',1236,155,'admin/structure/types/manage/%/comment/display/token','admin/structure/types/manage/%/comment/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,2,23,39,119,155,1236,0,0,0,0),('management',1237,1216,'admin/structure/block-types/manage/%/fields/%/delete','admin/structure/block-types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,2,23,510,517,1192,1216,1237,0,0,0),('management',1238,1216,'admin/structure/block-types/manage/%/fields/%/edit','admin/structure/block-types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,2,23,510,517,1192,1216,1238,0,0,0),('management',1239,1216,'admin/structure/block-types/manage/%/fields/%/field-settings','admin/structure/block-types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,2,23,510,517,1192,1216,1239,0,0,0),('management',1240,1216,'admin/structure/block-types/manage/%/fields/%/widget-type','admin/structure/block-types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,2,23,510,517,1192,1216,1240,0,0,0),('management',1241,156,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,2,23,39,119,156,1241,0,0,0,0),('management',1242,1225,'admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,2,23,39,119,1193,1225,1242,0,0,0),('management',1243,1225,'admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,2,23,39,119,1193,1225,1243,0,0,0),('management',1244,1225,'admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,2,23,39,119,1193,1225,1244,0,0,0),('management',1245,1225,'admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,2,23,39,119,1193,1225,1245,0,0,0),('management',1246,1241,'admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,2,23,39,119,156,1241,1246,0,0,0),('management',1247,1241,'admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,2,23,39,119,156,1241,1247,0,0,0),('management',1248,1241,'admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,2,23,39,119,156,1241,1248,0,0,0),('management',1249,1241,'admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,2,23,39,119,156,1241,1249,0,0,0);
/*!40000 ALTER TABLE `menu_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_router`
--

DROP TABLE IF EXISTS `menu_router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_router`
--

LOCK TABLES `menu_router` WRITE;
/*!40000 ALTER TABLE `menu_router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',1,1,0,'','admin','Administration','t','','','a:0:{}',6,'','',9,'modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',3,2,0,'','admin/appearance','Appearance','t','','','a:0:{}',6,'Select and configure your themes.','left',-6,'modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_default','a:0:{}','',7,3,0,'','admin/appearance/default','Set default theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_disable','a:0:{}','',7,3,0,'','admin/appearance/disable','Disable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_enable','a:0:{}','',7,3,0,'','admin/appearance/enable','Enable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',7,3,1,'admin/appearance','admin/appearance','List','t','','','a:0:{}',140,'Select and configure your theme','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',7,3,1,'admin/appearance','admin/appearance','Settings','t','','','a:0:{}',132,'Configure default and theme specific settings.','',20,'modules/system/system.admin.inc'),('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"bartik\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"garland\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}',140,'','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings/real_estast','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:45:\"sites/all/themes/real_estast/real_estast.info\";s:4:\"name\";s:11:\"real_estast\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:11:\"Real Estast\";s:11:\"description\";s:33:\"Theme for the Real Estate Listing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/real_estast/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/real_estast/bootstrap/css/bootstrap-theme.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/real_estast/css/animate.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/real_estast/css/base.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/real_estast/css/html.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/real_estast/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/real_estast/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/real_estast/css/menu.css\";s:12:\"css/demo.css\";s:41:\"sites/all/themes/real_estast/css/demo.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/real_estast/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:53:\"sites/all/themes/real_estast/css/theme-responsive.css\";}}s:7:\"scripts\";a:8:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/real_estast/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:48:\"sites/all/themes/real_estast/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/real_estast/js/jquery.smooth-scroll.js\";s:19:\"js/waypoints.min.js\";s:48:\"sites/all/themes/real_estast/js/waypoints.min.js\";s:13:\"js/weebpal.js\";s:42:\"sites/all/themes/real_estast/js/weebpal.js\";s:20:\"js/accordion_menu.js\";s:49:\"sites/all/themes/real_estast/js/accordion_menu.js\";s:17:\"js/real_estast.js\";s:46:\"sites/all/themes/real_estast/js/real_estast.js\";s:19:\"js/views_isotope.js\";s:48:\"sites/all/themes/real_estast/js/views_isotope.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:28:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:14:\"content_action\";s:18:\"Action for Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:3:\"map\";s:3:\"Map\";s:11:\"panel_first\";s:11:\"Panel First\";s:17:\"panel_highlighted\";s:17:\"Panel Highlighted\";s:12:\"panel_second\";s:12:\"Panel Second\";s:13:\"panel_third_1\";s:13:\"Panel Third 1\";s:13:\"panel_third_2\";s:13:\"Panel Third 2\";s:13:\"panel_third_3\";s:13:\"Panel Third 3\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:19:\"panel_third_1_width\";s:1:\"4\";s:19:\"panel_third_2_width\";s:1:\"4\";s:19:\"panel_third_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"4\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:5:{s:4:\"blue\";s:4:\"Blue\";s:5:\"green\";s:5:\"Green\";s:6:\"orange\";s:6:\"Orange\";s:4:\"cyan\";s:4:\"Cyan\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:43:\"sites/all/themes/real_estast/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499930424;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/real_estast/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/real_estast/bootstrap/css/bootstrap-theme.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/real_estast/css/animate.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/real_estast/css/base.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/real_estast/css/html.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/real_estast/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/real_estast/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/real_estast/css/menu.css\";s:12:\"css/demo.css\";s:41:\"sites/all/themes/real_estast/css/demo.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/real_estast/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:53:\"sites/all/themes/real_estast/css/theme-responsive.css\";}}s:7:\"scripts\";a:8:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/real_estast/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:48:\"sites/all/themes/real_estast/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/real_estast/js/jquery.smooth-scroll.js\";s:19:\"js/waypoints.min.js\";s:48:\"sites/all/themes/real_estast/js/waypoints.min.js\";s:13:\"js/weebpal.js\";s:42:\"sites/all/themes/real_estast/js/weebpal.js\";s:20:\"js/accordion_menu.js\";s:49:\"sites/all/themes/real_estast/js/accordion_menu.js\";s:17:\"js/real_estast.js\";s:46:\"sites/all/themes/real_estast/js/real_estast.js\";s:19:\"js/views_isotope.js\";s:48:\"sites/all/themes/real_estast/js/views_isotope.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:11:\"real_estast\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Real Estast','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"seven\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"stark\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/we_backend','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"we_backend\";}','',15,4,1,'admin/appearance/settings','admin/appearance','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_compact_page','a:0:{}','',3,2,0,'','admin/compact','Compact mode','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_config_page','a:0:{}','',3,2,0,'','admin/config','Configuration','t','','','a:0:{}',6,'Administer settings.','',0,'modules/system/system.admin.inc'),('admin/config/administration','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/administration','Administration','t','','','a:0:{}',6,'Administration tools.','',0,'modules/system/system.admin.inc'),('admin/config/administration/admin_menu','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"admin_menu_theme_settings\";}','',15,4,0,'','admin/config/administration/admin_menu','Administration menu','t','','','a:0:{}',6,'Adjust administration menu settings.','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/content','Content authoring','t','','','a:0:{}',6,'Settings related to formatting and authoring content.','left',-15,'modules/system/system.admin.inc'),('admin/config/content/email','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"email_admin_settings\";}','',15,4,0,'','admin/config/content/email','Email Contact Form Settings','t','','','a:0:{}',6,'Administer flood control settings for email contact forms','',0,''),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',15,4,0,'','admin/config/content/formats','Text formats','t','','','a:0:{}',6,'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:\"filter_format_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:\"filter_format_load\";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:\"filter_admin_disable\";i:1;i:4;}','',61,6,0,'','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:0:{}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}',388,'','',1,'modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}',140,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/geocoder','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"geocoder_admin_settings\";}','',15,4,0,'','admin/config/content/geocoder','Geocoder settings','t','','','a:0:{}',6,'Configuration for API keys.','',0,'sites/all/modules/geocoder/geocoder.admin.inc'),('admin/config/content/tagclouds','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:18:\"tagclouds_settings\";}','',15,4,0,'','admin/config/content/tagclouds','TagClouds configuration','t','','','a:0:{}',6,'Configure the tag clouds. Set the order, the number of tags, and the depth of the clouds.','',0,''),('admin/config/content/webform','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:22:\"webform_admin_settings\";}','',15,4,0,'','admin/config/content/webform','Webform settings','t','','','a:0:{}',6,'Global configuration of webform functionality.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/config/development','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/development','Development','t','','','a:0:{}',6,'Development tools.','right',-10,'modules/system/system.admin.inc'),('admin/config/development/jquery_update','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"jquery_update_settings_form\";}','',15,4,0,'','admin/config/development/jquery_update','jQuery update','t','','','a:0:{}',6,'Configure settings related to the jQuery upgrade, the library path and compression.','',0,''),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"system_logging_settings\";}','',15,4,0,'','admin/config/development/logging','Logging and errors','t','','','a:0:{}',6,'Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','',-15,'modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"system_site_maintenance_mode\";}','',15,4,0,'','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}',6,'Take the site offline for maintenance or bring it back online.','',-10,'modules/system/system.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_performance_settings\";}','',15,4,0,'','admin/config/development/performance','Performance','t','','','a:0:{}',6,'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','',-20,'modules/system/system.admin.inc'),('admin/config/media','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/media','Media','t','','','a:0:{}',6,'Media tools.','left',-10,'modules/system/system.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_file_system_settings\";}','',15,4,0,'','admin/config/media/file-system','File system','t','','','a:0:{}',6,'Tell Drupal where to store uploaded files and how they are accessed.','',-10,'modules/system/system.admin.inc'),('admin/config/media/flexslider','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',15,4,0,'','admin/config/media/flexslider','FlexSlider','t','','','a:0:{}',6,'Administer FlexSlider presets.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/add','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/advanced','','','user_access','a:1:{i:0;s:21:\"administer flexslider\";}','drupal_get_form','a:1:{i:0;s:24:\"flexslider_form_settings\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Advanced settings','t','','','a:0:{}',132,'Configure the advanced flexslider module settings.','',2,'sites/all/modules/flexslider/flexslider.admin.inc'),('admin/config/media/flexslider/import','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',62,6,0,'','admin/config/media/flexslider/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/clone','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/delete','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/disable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/edit','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/enable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/export','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/revert','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"revert\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flickr','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:21:\"flickr_admin_settings\";}','',15,4,0,'','admin/config/media/flickr','Flickr','t','','','a:0:{}',6,'Change settings for the flickr module.','',0,'sites/all/modules/flickr/flickr.admin.inc'),('admin/config/media/icon','','','user_access','a:1:{i:0;s:16:\"administer icons\";}','drupal_get_form','a:1:{i:0;s:25:\"icon_bundle_overview_form\";}','',15,4,0,'','admin/config/media/icon','Icons','t','','','a:0:{}',6,'Overview of all available icons.','',0,'sites/all/modules/icon/includes/admin.inc'),('admin/config/media/icon/bundle/%','a:1:{i:5;s:16:\"icon_bundle_load\";}','','user_access','a:1:{i:0;s:16:\"administer icons\";}','icon_bundle_list','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/media/icon/bundle/%','','icon_bundle_get_title','a:1:{i:0;i:5;}','icon_bundle_get_theme','a:1:{i:0;i:5;}',6,'An icon bundle.','',0,'sites/all/modules/icon/includes/admin.inc'),('admin/config/media/icon/bundle/%/configure','a:1:{i:5;s:16:\"icon_bundle_load\";}','','user_access','a:1:{i:0;s:16:\"administer icons\";}','drupal_get_form','a:2:{i:0;s:26:\"icon_bundle_configure_form\";i:1;i:5;}','',125,7,1,'admin/config/media/icon/bundle/%','admin/config/media/icon/bundle/%','Configure','t','','icon_bundle_get_theme','a:1:{i:0;i:5;}',132,'Form callback for configuring an icon bundle.','',0,'sites/all/modules/icon/includes/admin.inc'),('admin/config/media/icon/bundle/%/delete','a:1:{i:5;s:16:\"icon_bundle_load\";}','','user_access','a:1:{i:0;s:16:\"administer icons\";}','drupal_get_form','a:2:{i:0;s:23:\"icon_bundle_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/media/icon/bundle/%/delete','Delete','t','','icon_bundle_get_theme','a:1:{i:0;i:5;}',0,'Confirmation page for deleting an icon bundle from the database.','',0,'sites/all/modules/icon/includes/admin.inc'),('admin/config/media/icon/bundle/%/icons','a:1:{i:5;s:16:\"icon_bundle_load\";}','','user_access','a:1:{i:0;s:16:\"administer icons\";}','icon_bundle_list','a:1:{i:0;i:5;}','',125,7,1,'admin/config/media/icon/bundle/%','admin/config/media/icon/bundle/%','Icons','t','','icon_bundle_get_theme','a:1:{i:0;i:5;}',140,'Provide an overview of all available icon bundles.','',-10,'sites/all/modules/icon/includes/admin.inc'),('admin/config/media/icon/bundle/%/reset','a:1:{i:5;s:16:\"icon_bundle_load\";}','','user_access','a:1:{i:0;s:16:\"administer icons\";}','drupal_get_form','a:2:{i:0;s:22:\"icon_bundle_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/media/icon/bundle/%/reset','Reset','t','','icon_bundle_get_theme','a:1:{i:0;i:5;}',0,'Confirmation page for resetting a module or theme provided bundle that has been overridden in the database.','',0,'sites/all/modules/icon/includes/admin.inc'),('admin/config/media/icon/overview','','','user_access','a:1:{i:0;s:16:\"administer icons\";}','drupal_get_form','a:1:{i:0;s:25:\"icon_bundle_overview_form\";}','',31,5,1,'admin/config/media/icon','admin/config/media/icon','Bundles','t','','','a:0:{}',140,'Overview of all available icon bundles.','',-10,'sites/all/modules/icon/includes/admin.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',15,4,0,'','admin/config/media/image-styles','Image styles','t','','','a:0:{}',6,'Configure styles that can be used for resizing or adjusting images on display.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:1:{i:0;s:20:\"image_style_add_form\";}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}',388,'Add a new image style.','',2,'modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"1\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}',6,'Delete an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:\"image_style_load\";}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:16:\"image_style_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}',6,'Configure an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:28:\"image_effect_definition_load\";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}',6,'Add a new effect to a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}',6,'Edit an existing effect within a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:24:\"image_effect_delete_form\";i:1;i:5;i:2;i:7;}','',501,9,0,'','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}',6,'Delete an existing effect from a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}',140,'List the current image styles on the site.','',1,'modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"2\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_revert_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}',6,'Revert an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"system_image_toolkit_settings\";}','',15,4,0,'','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}',6,'Choose which image toolkit to use if you have installed optional toolkits.','',20,'modules/system/system.admin.inc'),('admin/config/media/vef','','','user_access','a:1:{i:0;s:23:\"administer video styles\";}','system_admin_menu_block_page','a:0:{}','',15,4,0,'','admin/config/media/vef','Video Embed Field','t','','','a:0:{}',6,'Video Embed Field configuration','',0,'modules/system/system.admin.inc'),('admin/config/media/vef/settings','','','user_access','a:1:{i:0;s:23:\"administer video styles\";}','drupal_get_form','a:1:{i:0;s:31:\"video_embed_field_settings_form\";}','',31,5,0,'','admin/config/media/vef/settings','Settings','t','','','a:0:{}',6,'Video Embed Field module settings','',0,'sites/all/modules/video_embed_field/video_embed_field.admin.inc'),('admin/config/media/vef/vef_video_styles','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','',31,5,0,'','admin/config/media/vef/vef_video_styles','Video Embed Styles','t','','','a:0:{}',6,'Administer Video Embed Field\'s video styles.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/add','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:3:\"add\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/import','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"import\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"list\";}','',63,6,1,'admin/config/media/vef/vef_video_styles','admin/config/media/vef/vef_video_styles','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','',126,7,0,'','admin/config/media/vef/vef_video_styles/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/clone','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:5:\"clone\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:5:\"clone\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/delete','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/disable','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:7:\"disable\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:7:\"disable\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/edit','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:4:\"edit\";i:2;i:6;}','',253,8,1,'admin/config/media/vef/vef_video_styles/list/%','admin/config/media/vef/vef_video_styles/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/enable','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"enable\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"enable\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/export','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"export\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"export\";i:2;i:6;}','',253,8,1,'admin/config/media/vef/vef_video_styles/list/%','admin/config/media/vef/vef_video_styles/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/vef/vef_video_styles/list/%/revert','a:1:{i:6;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"video_embed_field_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"revert\";i:2;i:6;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"video_embed_field_export_ui\";i:1;s:6:\"delete\";i:2;i:6;}','',253,8,0,'','admin/config/media/vef/vef_video_styles/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/people','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/people','People','t','','','a:0:{}',6,'Configure user accounts.','left',-20,'modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',15,4,0,'','admin/config/people/accounts','Account settings','t','','','a:0:{}',6,'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','',-10,'modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}',140,'','',-10,'modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','system_ip_blocking','a:0:{}','',15,4,0,'','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}',6,'Manage blocked IP addresses.','',10,'modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:\"blocked_ip_load\";}','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','drupal_get_form','a:2:{i:0;s:25:\"system_ip_blocking_delete\";i:1;i:5;}','',62,6,0,'','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/regional','Regional and language','t','','','a:0:{}',6,'Regional settings, localization and translation.','left',-5,'modules/system/system.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',15,4,0,'','admin/config/regional/date-time','Date and time','t','','','a:0:{}',6,'Configure display formats for date and time.','',-15,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_formats','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}',132,'Configure display format strings for date and time.','',-9,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:30:\"system_date_delete_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}',6,'Allow users to delete a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:34:\"system_configure_date_formats_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}',6,'Allow users to edit a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"system_configure_date_formats_form\";}','',63,6,1,'admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}',388,'Allow users to add additional date formats.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_lookup','a:0:{}','',63,6,0,'','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/locale','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','locale_date_format_language_overview_page','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Localize','t','','','a:0:{}',132,'Configure date formats for each locale','',-8,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"locale_date_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/edit','Localize date formats','t','','','a:0:{}',6,'Configure date formats for each locale','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/reset','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:29:\"locale_date_format_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/reset','Reset date formats','t','','','a:0:{}',6,'Reset localized date formats to global defaults','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}',140,'Configure display formats for date and time.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"system_delete_date_format_type_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}',6,'Allow users to delete a configured date type.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_add_date_format_type_form\";}','',63,6,1,'admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}',388,'Add new date type.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/language','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',15,4,0,'','admin/config/regional/language','Languages','t','','','a:0:{}',6,'Configure languages for content and the user interface.','',-10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/add','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','locale_languages_add_screen','a:0:{}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Add language','t','','','a:0:{}',388,'','',5,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:31:\"locale_languages_configure_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Detection and selection','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/session','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:38:\"locale_language_providers_session_form\";}','',63,6,0,'','admin/config/regional/language/configure/session','Session language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/url','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:34:\"locale_language_providers_url_form\";}','',63,6,0,'','admin/config/regional/language/configure/url','URL language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:28:\"locale_languages_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/delete/%','Confirm','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_languages_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/edit/%','Edit language','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/overview','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','List','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:24:\"system_regional_settings\";}','',15,4,0,'','admin/config/regional/settings','Regional settings','t','','','a:0:{}',6,'Settings for the site\'s default time zone and country.','',-20,'modules/system/system.admin.inc'),('admin/config/regional/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',15,4,0,'','admin/config/regional/translate','Translate interface','t','','','a:0:{}',6,'Translate the built in interface and optionally other text.','',-5,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_delete_page','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/regional/translate/delete/%','Delete string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_translate_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/translate/edit/%','Edit string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/export','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_export_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Export','t','','','a:0:{}',132,'','',30,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/import','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:28:\"locale_translate_import_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Import','t','','','a:0:{}',132,'','',20,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/overview','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Overview','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_seek_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Translate','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/search','Search and metadata','t','','','a:0:{}',6,'Local site search, metadata and SEO.','left',-10,'modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_clean_url_settings\";}','',15,4,0,'','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}',6,'Enable or disable clean URLs for your site.','',5,'modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:\"status\";b:1;}}','',31,5,0,'','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/search/metatags_quick','','','user_access','a:1:{i:0;s:25:\"administer metatags_quick\";}','drupal_get_form','a:1:{i:0;s:29:\"metatags_quick_admin_settings\";}','',15,4,0,'','admin/config/search/metatags_quick','Meta tags (quick) settings','t','','','a:0:{}',6,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/search/metatags_quick/display','admin/config/search/metatags_quick','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/search/metatags_quick/display','admin/config/search/metatags_quick','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:19:\"metatags_path_based\";i:2;s:19:\"metatags_path_based\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/search/metatags_quick/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"edit metatags_quick\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/search/metatags_quick/fields/%','admin/config/search/metatags_quick/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/search/metatags_quick/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"edit metatags_quick\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/search/metatags_quick/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/search/metatags_quick/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:19:\"metatags_path_based\";i:1;s:19:\"metatags_path_based\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"edit metatags_quick\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/search/metatags_quick/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/search/metatags_quick/path_based','','','user_access','a:1:{i:0;s:30:\"edit path_based metatags_quick\";}','drupal_get_form','a:1:{i:0;s:31:\"metatags_quick_admin_path_based\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','Path-Based Metatags','t','','','a:0:{}',132,'','',50,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/path_based/delete','','','user_access','a:1:{i:0;s:30:\"edit path_based metatags_quick\";}','drupal_get_form','a:1:{i:0;s:38:\"metatags_quick_admin_path_based_delete\";}','',63,6,0,'','admin/config/search/metatags_quick/path_based/delete','Path-Based Metatags','t','','','a:0:{}',0,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/path_based/edit','','','user_access','a:1:{i:0;s:30:\"edit path_based metatags_quick\";}','drupal_get_form','a:1:{i:0;s:36:\"metatags_quick_admin_path_based_edit\";}','',63,6,0,'','admin/config/search/metatags_quick/path_based/edit','Path-Based Metatags','t','','','a:0:{}',0,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/metatags_quick/settings','','','user_access','a:1:{i:0;s:25:\"administer metatags_quick\";}','drupal_get_form','a:1:{i:0;s:29:\"metatags_quick_admin_settings\";}','',31,5,1,'admin/config/search/metatags_quick','admin/config/search/metatags_quick','General','t','','','a:0:{}',140,'','',0,'sites/all/modules/metatags_quick/metatags_quick.admin.inc'),('admin/config/search/path','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',15,4,0,'','admin/config/search/path','URL aliases','t','','','a:0:{}',6,'Change your site\'s URL paths by aliasing them.','',-5,'modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}',388,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:2:{i:0;s:25:\"path_admin_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:21:\"pathauto_admin_delete\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Delete aliases','t','','','a:0:{}',132,'','',40,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}',140,'','',-10,'modules/path/path.admin.inc'),('admin/config/search/path/patterns','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_patterns_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Patterns','t','','','a:0:{}',132,'','',10,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/settings','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_settings_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Settings','t','','','a:0:{}',132,'','',20,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/update_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:25:\"pathauto_bulk_update_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Bulk update','t','','','a:0:{}',132,'','',30,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:21:\"search_admin_settings\";}','',15,4,0,'','admin/config/search/settings','Search settings','t','','','a:0:{}',6,'Configure relevance settings for search and other indexing options.','',-10,'modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:22:\"search_reindex_confirm\";}','',31,5,0,'','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}',4,'','',0,'modules/search/search.admin.inc'),('admin/config/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/services','Web services','t','','','a:0:{}',6,'Tools related to web services.','right',0,'modules/system/system.admin.inc'),('admin/config/services/gmap','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:19:\"gmap_admin_settings\";}','',15,4,0,'','admin/config/services/gmap','GMap','t','','','a:0:{}',6,'Configure GMap settings','',0,'sites/all/modules/gmap/gmap_settings_ui.inc'),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_rss_feeds_settings\";}','',15,4,0,'','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}',6,'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','',0,'modules/system/system.admin.inc'),('admin/config/services/simplenews','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:27:\"simplenews_admin_categories\";}','',15,4,0,'','admin/config/services/simplenews','Newsletters','t','','','a:0:{}',6,'Configure your sites newsletters.','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/add','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:30:\"simplenews_admin_category_form\";}','',31,5,1,'admin/config/services/simplenews','admin/config/services/simplenews','Add newsletter category','t','','','a:0:{}',388,'','',-9,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/categories','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:27:\"simplenews_admin_categories\";}','',31,5,1,'admin/config/services/simplenews','admin/config/services/simplenews','Newsletters','t','','','a:0:{}',140,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/categories/%/delete','a:1:{i:5;s:24:\"simplenews_category_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:32:\"simplenews_admin_category_delete\";i:1;i:5;}','',125,7,0,'','admin/config/services/simplenews/categories/%/delete','Newsletters','t','','','a:0:{}',6,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/categories/%/edit','a:1:{i:5;s:24:\"simplenews_category_load\";}','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:2:{i:0;s:30:\"simplenews_admin_category_form\";i:1;i:5;}','',125,7,0,'','admin/config/services/simplenews/categories/%/edit','Newsletters','t','','','a:0:{}',6,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:36:\"simplenews_admin_settings_newsletter\";}','',31,5,1,'admin/config/services/simplenews','admin/config/services/simplenews','Settings','t','','','a:0:{}',132,'Simplenews settings.','',20,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings/mail','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:30:\"simplenews_admin_settings_mail\";}','',63,6,1,'admin/config/services/simplenews/settings','admin/config/services/simplenews','Send mail','t','','','a:0:{}',132,'Send mail, cron and debug options.','',-5,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings/newsletter','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:36:\"simplenews_admin_settings_newsletter\";}','',63,6,1,'admin/config/services/simplenews/settings','admin/config/services/simplenews','Newsletter','t','','','a:0:{}',140,'','',-15,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/services/simplenews/settings/subscription','','','user_access','a:1:{i:0;s:30:\"administer simplenews settings\";}','drupal_get_form','a:1:{i:0;s:38:\"simplenews_admin_settings_subscription\";}','',63,6,1,'admin/config/services/simplenews/settings','admin/config/services/simplenews','Subscription','t','','','a:0:{}',132,'Subscription settings, opt-in/out confirmation email text.','',-10,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/system','System','t','','','a:0:{}',6,'General system related configuration.','right',-20,'modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',15,4,0,'','admin/config/system/actions','Actions','t','','','a:0:{}',6,'Manage the actions defined for your site.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:1:{i:0;s:24:\"system_actions_configure\";}','',31,5,0,'','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:\"actions_load\";}','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:2:{i:0;s:26:\"system_actions_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}',6,'Delete an action.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',31,5,1,'admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}',140,'Manage the actions defined for your site.','',-2,'modules/system/system.admin.inc'),('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_remove_orphans','a:0:{}','',31,5,0,'','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"system_cron_settings\";}','',15,4,0,'','admin/config/system/cron','Cron','t','','','a:0:{}',6,'Manage automatic site maintenance tasks.','',20,'modules/system/system.admin.inc'),('admin/config/system/ip_geoloc','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"ip_geoloc_admin_configure\";}','',15,4,0,'','admin/config/system/ip_geoloc','IP Geolocation Views & Maps','t','','','a:0:{}',6,'Configure map markers and how geolocation information is updated.','',0,'sites/all/modules/ip_geoloc/ip_geoloc.admin.inc'),('admin/config/system/leaflet_more_maps','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:33:\"leaflet_more_maps_admin_configure\";}','',15,4,0,'','admin/config/system/leaflet_more_maps','Leaflet More Maps','t','','','a:0:{}',6,'Assemble custom maps from available layers.','',0,'sites/all/modules/leaflet_more_maps/leaflet_more_maps.admin.inc'),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_site_information_settings\";}','',15,4,0,'','admin/config/system/site-information','Site information','t','','','a:0:{}',6,'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','',-20,'modules/system/system.admin.inc'),('admin/config/system/statistics','','','user_access','a:1:{i:0;s:21:\"administer statistics\";}','drupal_get_form','a:1:{i:0;s:24:\"statistics_settings_form\";}','',15,4,0,'','admin/config/system/statistics','Statistics','t','','','a:0:{}',6,'Control details about what and how your site logs access statistics.','',-15,'modules/statistics/statistics.admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/user-interface','User interface','t','','','a:0:{}',6,'Tools that enhance the user interface.','right',-15,'modules/system/system.admin.inc'),('admin/config/user-interface/menu-breadcrumb','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:35:\"menu_breadcrumb_admin_settings_form\";}','',15,4,0,'','admin/config/user-interface/menu-breadcrumb','Menu Breadcrumb','t','','','a:0:{}',6,'Configure menu breadcrumb.','',0,''),('admin/config/user-interface/modulefilter','','','user_access','a:1:{i:0;s:24:\"administer module filter\";}','drupal_get_form','a:1:{i:0;s:22:\"module_filter_settings\";}','',15,4,0,'','admin/config/user-interface/modulefilter','Module filter','t','','','a:0:{}',6,'Configure how the modules page looks and acts.','',0,'sites/all/modules/module_filter/module_filter.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','shortcut_set_admin','a:0:{}','',15,4,0,'','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}',6,'Add and modify shortcut sets.','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',30,5,0,'','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title_callback','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:\"shortcut_link_add\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}',0,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:\"shortcut_set_delete_form\";i:1;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_edit_form\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}',132,'','',10,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}',140,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','drupal_get_form','a:1:{i:0;s:21:\"shortcut_set_add_form\";}','',31,5,1,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"shortcut_link_edit\";i:1;i:5;}','',62,6,0,'','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:\"shortcut_link_delete\";i:1;i:5;}','',125,7,0,'','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/workflow','Workflow','t','','','a:0:{}',6,'Content workflow, editorial workflow tools.','right',5,'modules/system/system.admin.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',3,2,0,'','admin/content','Content','t','','','a:0:{}',6,'Administer content and comments.','',-10,'modules/node/node.admin.inc'),('admin/content/blocks','','','user_access','a:1:{i:0;s:20:\"access bean overview\";}','bean_list','a:0:{}','',7,3,1,'admin/content','admin/content','Blocks','t','','','a:0:{}',134,'Manage blocks used on your site.','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',7,3,1,'admin/content','admin/content','Comments','t','','','a:0:{}',134,'List and edit site comments and the comment approval queue.','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:1:{i:0;s:8:\"approval\";}','',15,4,1,'admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}',132,'','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',15,4,1,'admin/content/comment','admin/content','Published comments','t','','','a:0:{}',140,'','',-10,'modules/comment/comment.admin.inc'),('admin/content/node','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',7,3,1,'admin/content','admin/content','Content','t','','','a:0:{}',140,'','',-10,'modules/node/node.admin.inc'),('admin/content/simplenews','','','user_access','a:1:{i:0;s:22:\"administer newsletters\";}','drupal_get_form','a:1:{i:0;s:34:\"simplenews_admin_newsletter_issues\";}','',7,3,1,'admin/content','admin/content','Newsletters','t','','','a:0:{}',132,'List newsletters and newsletter sent status.','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/content/simplenews/subscriptions/delete','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:47:\"simplenews_subscription_multiple_delete_confirm\";}','',31,5,0,'','admin/content/simplenews/subscriptions/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/content/webform','','','user_access','a:1:{i:0;s:26:\"access all webform results\";}','webform_admin_content','a:0:{}','',7,3,1,'admin/content','admin/content','Webforms','t','','','a:0:{}',132,'View and edit all the available webforms on your site.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/dashboard','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:0:{}','',3,2,0,'','admin/dashboard','Dashboard','t','','','a:0:{}',6,'View and customize your dashboard.','',-15,''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','',28,5,0,'','admin/dashboard/block-content/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_admin_blocks','a:0:{}','',7,3,0,'','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}',4,'Configure which blocks can be shown on the dashboard.','',0,''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:1:{i:0;b:1;}','',7,3,0,'','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}',4,'Customize your dashboard.','',0,''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_disabled','a:0:{}','',7,3,0,'','admin/dashboard/drawer','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_update','a:0:{}','',7,3,0,'','admin/dashboard/update','','t','','','a:0:{}',0,'','',0,''),('admin/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',3,2,0,'','admin/help','Help','t','','','a:0:{}',6,'Reference for usage, configuration, and modules.','',9,'modules/help/help.admin.inc'),('admin/help/admin_menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/admin_menu','admin_menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/block','block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/blog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/blog','blog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/color','color','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/comment','comment','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contact','contact','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context','context','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contextual','contextual','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/context_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/context_ui','context_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dashboard','dashboard','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dblog','dblog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/features','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/features','features','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field','field','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_collection','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_collection','field_collection','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_ui','field_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/file','file','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/filter','filter','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/flexslider','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/flexslider','flexslider','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/flickr','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/flickr','flickr','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/flickr_block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/flickr_block','flickr_block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/fontawesome','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/fontawesome','fontawesome','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/help','help','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/image','image','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/ip_geoloc','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/ip_geoloc','ip_geoloc','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jcarousel','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jcarousel','jcarousel','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jquery_update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jquery_update','jquery_update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/list','list','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/locale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/locale','locale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu','menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu_breadcrumb','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu_breadcrumb','menu_breadcrumb','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/node','node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/number','number','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/options','options','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/overlay','overlay','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/path','path','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/pathauto','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/pathauto','pathauto','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/php','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/php','php','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quicktabs','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quicktabs','quicktabs','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/search','search','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/shortcut','shortcut','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/simplenews','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/simplenews','simplenews','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/statistics','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/statistics','statistics','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/system','system','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/taxonomy','taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/text','text','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/token','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/token','token','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/update','update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/user','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/user','user','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_accordion','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_accordion','views_accordion','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow','views_slideshow','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow_cycle','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow_cycle','views_slideshow_cycle','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_ticker','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_ticker','views_ticker','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/webform','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/webform','webform','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_index','a:0:{}','',3,2,1,'admin','admin','Index','t','','','a:0:{}',132,'','',-18,'modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',3,2,0,'','admin/modules','Modules','t','','','a:0:{}',6,'Extend site functionality.','',-2,'modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Install new module','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',7,3,1,'admin/modules','admin/modules','List','t','','','a:0:{}',140,'','',0,'modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',15,4,0,'','admin/modules/list/confirm','List','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',7,3,1,'admin/modules','admin/modules','Uninstall','t','','','a:0:{}',132,'','',20,'modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',15,4,0,'','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',3,2,0,'','admin/people','People','t','','','a:0:{}',6,'Manage user accounts, roles, and permissions.','left',-4,'modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:6:\"create\";}','',7,3,1,'admin/people','admin/people','Add user','t','','','a:0:{}',388,'','',0,'modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',7,3,1,'admin/people','admin/people','List','t','','','a:0:{}',140,'Find and manage people interacting with your site.','',-10,'modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',7,3,1,'admin/people','admin/people','Permissions','t','','','a:0:{}',132,'Determine access to features by selecting permissions for roles.','',0,'modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',15,4,1,'admin/people/permissions','admin/people','Permissions','t','','','a:0:{}',140,'Determine access to features by selecting permissions for roles.','',-8,'modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:16:\"user_admin_roles\";}','',15,4,1,'admin/people/permissions','admin/people','Roles','t','','','a:0:{}',132,'List, edit, or add user roles.','',-5,'modules/user/user.admin.inc'),('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:\"user_admin_role_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:\"user_admin_role\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/simplenews','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:29:\"simplenews_admin_subscription\";}','',7,3,1,'admin/people','admin/people','Newsletter subscriptions','t','','','a:0:{}',132,'Newsletter subscription management.','',0,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/export','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:35:\"simplenews_subscription_list_export\";}','',15,4,1,'admin/people/simplenews','admin/people','Export','t','','','a:0:{}',388,'','',10,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/import','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:32:\"simplenews_subscription_list_add\";}','',15,4,1,'admin/people/simplenews','admin/people','Mass subscribe','t','','','a:0:{}',388,'','',8,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/unsubscribe','','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:1:{i:0;s:35:\"simplenews_subscription_list_remove\";}','',15,4,1,'admin/people/simplenews','admin/people','Mass unsubscribe','t','','','a:0:{}',388,'','',9,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('admin/people/simplenews/users/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:35:\"administer simplenews subscriptions\";}','drupal_get_form','a:2:{i:0;s:35:\"simplenews_subscriptions_admin_form\";i:1;i:5;}','',62,6,0,'','admin/people/simplenews/users/edit/%','Subscriptions','t','','','a:0:{}',6,'','',0,'sites/all/modules/simplenews/includes/simplenews.subscription.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/reports','Reports','t','','','a:0:{}',6,'View reports, updates, and errors.','left',5,'modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:13:\"access denied\";}','',7,3,0,'','admin/reports/access-denied','Top \'access denied\' errors','t','','','a:0:{}',6,'View \'access denied\' errors (403s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/access/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_access_log','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/access/%','Details','t','','','a:0:{}',6,'View access log.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_overview','a:0:{}','',7,3,0,'','admin/reports/dblog','Recent log messages','t','','','a:0:{}',6,'View events that have recently been logged.','',-1,'modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_event','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/event/%','Details','t','','','a:0:{}',6,'','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/fields','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',7,3,0,'','admin/reports/fields','Field list','t','','','a:0:{}',6,'Overview of fields on all entity types.','',0,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','List','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/views-fields','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_field_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','Used in views','t','','','a:0:{}',132,'Overview of fields used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/hits','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_recent_hits','a:0:{}','',7,3,0,'','admin/reports/hits','Recent hits','t','','','a:0:{}',6,'View pages that have recently been visited.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:14:\"page not found\";}','',7,3,0,'','admin/reports/page-not-found','Top \'page not found\' errors','t','','','a:0:{}',6,'View \'page not found\' errors (404s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/pages','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_pages','a:0:{}','',7,3,0,'','admin/reports/pages','Top pages','t','','','a:0:{}',6,'View pages that have been hit frequently.','',1,'modules/statistics/statistics.admin.inc'),('admin/reports/referrers','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_referrers','a:0:{}','',7,3,0,'','admin/reports/referrers','Top referrers','t','','','a:0:{}',6,'View top referrers.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:6:\"search\";}','',7,3,0,'','admin/reports/search','Top search phrases','t','','','a:0:{}',6,'View most popular search phrases.','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_status','a:0:{}','',7,3,0,'','admin/reports/status','Status report','t','','','a:0:{}',6,'Get a status report about your site\'s operation and any detected problems.','',-60,'modules/system/system.admin.inc'),('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_php','a:0:{}','',15,4,0,'','admin/reports/status/php','PHP','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:30:\"node_configure_rebuild_confirm\";}','',15,4,0,'','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}',0,'','',0,'modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',15,4,0,'','admin/reports/status/run-cron','Run cron','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',7,3,0,'','admin/reports/updates','Available updates','t','','','a:0:{}',6,'Get a status report about available updates for your installed modules and themes.','',-50,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_manual_status','a:0:{}','',15,4,0,'','admin/reports/updates/check','Manual update check','t','','','a:0:{}',0,'','',0,'modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',15,4,1,'admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:15:\"update_settings\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}',132,'','',50,'modules/update/update.settings.inc'),('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/reports/views-plugins','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_plugin_list','a:0:{}','',7,3,0,'','admin/reports/views-plugins','Views plugins','t','','','a:0:{}',6,'Overview of plugins used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/visitors','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_visitors','a:0:{}','',7,3,0,'','admin/reports/visitors','Top visitors','t','','','a:0:{}',6,'View visitors that hit many pages.','',2,'modules/statistics/statistics.admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/structure','Structure','t','','','a:0:{}',6,'Administer blocks, content types, menus, etc.','right',-8,'modules/system/system.admin.inc'),('admin/structure/block','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','block_admin_display','a:1:{i:0;s:11:\"real_estast\";}','',7,3,0,'','admin/structure/block','Blocks','t','','','a:0:{}',6,'Configure what block content appears in your site\'s sidebars and other regions.','',0,'modules/block/block.admin.inc'),('admin/structure/block-types','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',7,3,0,'','admin/structure/block-types','Block types','t','','','a:0:{}',6,'Manage block types, including fields, settings, etc.','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/add','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:1:{i:0;s:23:\"bean_admin_ui_type_form\";}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','Add block type','t','','','a:0:{}',388,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/list','','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','bean_admin_ui_admin_page','a:0:{}','',15,4,1,'admin/structure/block-types','admin/structure/block-types','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/block-types/manage/%','Edit block type','bean_admin_ui_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/delete','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/display','a:1:{i:4;s:14:\"bean_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/display/default','a:1:{i:4;s:14:\"bean_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/display/token','a:1:{i:4;s:14:\"bean_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"bean\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/block-types/manage/%/display','admin/structure/block-types/manage/%','Tokens','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/edit','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"bean_admin_ui_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block-types/manage/%/fields','a:1:{i:4;s:14:\"bean_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"bean\";i:2;i:4;}','',61,6,1,'admin/structure/block-types/manage/%','admin/structure/block-types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/block-types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:21:\"administer bean types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/block-types/manage/%/fields/%','admin/structure/block-types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/block-types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/block-types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/block-types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"bean_type_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"bean\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/block-types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/block-types/manage/%/revert','a:1:{i:4;s:14:\"bean_type_load\";}','','user_access','a:1:{i:0;s:21:\"administer bean types\";}','drupal_get_form','a:3:{i:0;s:29:\"bean_admin_ui_type_op_confirm\";i:1;s:6:\"revert\";i:2;i:4;}','',61,6,0,'','admin/structure/block-types/manage/%/revert','Delete','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/bean_admin_ui/bean_admin_ui.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"bartik\";}','',31,5,0,'','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:\"bartik\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"garland\";}','',31,5,0,'','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:\"garland\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/real_estast','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:45:\"sites/all/themes/real_estast/real_estast.info\";s:4:\"name\";s:11:\"real_estast\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:11:\"Real Estast\";s:11:\"description\";s:33:\"Theme for the Real Estate Listing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/real_estast/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/real_estast/bootstrap/css/bootstrap-theme.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/real_estast/css/animate.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/real_estast/css/base.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/real_estast/css/html.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/real_estast/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/real_estast/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/real_estast/css/menu.css\";s:12:\"css/demo.css\";s:41:\"sites/all/themes/real_estast/css/demo.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/real_estast/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:53:\"sites/all/themes/real_estast/css/theme-responsive.css\";}}s:7:\"scripts\";a:8:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/real_estast/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:48:\"sites/all/themes/real_estast/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/real_estast/js/jquery.smooth-scroll.js\";s:19:\"js/waypoints.min.js\";s:48:\"sites/all/themes/real_estast/js/waypoints.min.js\";s:13:\"js/weebpal.js\";s:42:\"sites/all/themes/real_estast/js/weebpal.js\";s:20:\"js/accordion_menu.js\";s:49:\"sites/all/themes/real_estast/js/accordion_menu.js\";s:17:\"js/real_estast.js\";s:46:\"sites/all/themes/real_estast/js/real_estast.js\";s:19:\"js/views_isotope.js\";s:48:\"sites/all/themes/real_estast/js/views_isotope.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:28:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:14:\"content_action\";s:18:\"Action for Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:3:\"map\";s:3:\"Map\";s:11:\"panel_first\";s:11:\"Panel First\";s:17:\"panel_highlighted\";s:17:\"Panel Highlighted\";s:12:\"panel_second\";s:12:\"Panel Second\";s:13:\"panel_third_1\";s:13:\"Panel Third 1\";s:13:\"panel_third_2\";s:13:\"Panel Third 2\";s:13:\"panel_third_3\";s:13:\"Panel Third 3\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:19:\"panel_third_1_width\";s:1:\"4\";s:19:\"panel_third_2_width\";s:1:\"4\";s:19:\"panel_third_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"4\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:5:{s:4:\"blue\";s:4:\"Blue\";s:5:\"green\";s:5:\"Green\";s:6:\"orange\";s:6:\"Orange\";s:4:\"cyan\";s:4:\"Cyan\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:43:\"sites/all/themes/real_estast/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499930424;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/real_estast/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/real_estast/bootstrap/css/bootstrap-theme.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/real_estast/css/animate.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/real_estast/css/base.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/real_estast/css/html.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/real_estast/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/real_estast/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/real_estast/css/menu.css\";s:12:\"css/demo.css\";s:41:\"sites/all/themes/real_estast/css/demo.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/real_estast/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:53:\"sites/all/themes/real_estast/css/theme-responsive.css\";}}s:7:\"scripts\";a:8:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/real_estast/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:48:\"sites/all/themes/real_estast/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/real_estast/js/jquery.smooth-scroll.js\";s:19:\"js/waypoints.min.js\";s:48:\"sites/all/themes/real_estast/js/waypoints.min.js\";s:13:\"js/weebpal.js\";s:42:\"sites/all/themes/real_estast/js/weebpal.js\";s:20:\"js/accordion_menu.js\";s:49:\"sites/all/themes/real_estast/js/accordion_menu.js\";s:17:\"js/real_estast.js\";s:46:\"sites/all/themes/real_estast/js/real_estast.js\";s:19:\"js/views_isotope.js\";s:48:\"sites/all/themes/real_estast/js/views_isotope.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:11:\"real_estast\";}','',31,5,0,'','admin/structure/block/demo/real_estast','Real Estast','t','','_block_custom_theme','a:1:{i:0;s:11:\"real_estast\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"seven\";}','',31,5,0,'','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:\"seven\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"stark\";}','',31,5,0,'','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:\"stark\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"we_backend\";}','',31,5,0,'','admin/structure/block/demo/we_backend','WeebPal Backend theme','t','','_block_custom_theme','a:1:{i:0;s:10:\"we_backend\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"bartik\";}','',31,5,1,'admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"garland\";}','',31,5,1,'admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/real_estast','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:45:\"sites/all/themes/real_estast/real_estast.info\";s:4:\"name\";s:11:\"real_estast\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:11:\"Real Estast\";s:11:\"description\";s:33:\"Theme for the Real Estate Listing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/real_estast/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/real_estast/bootstrap/css/bootstrap-theme.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/real_estast/css/animate.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/real_estast/css/base.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/real_estast/css/html.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/real_estast/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/real_estast/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/real_estast/css/menu.css\";s:12:\"css/demo.css\";s:41:\"sites/all/themes/real_estast/css/demo.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/real_estast/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:53:\"sites/all/themes/real_estast/css/theme-responsive.css\";}}s:7:\"scripts\";a:8:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/real_estast/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:48:\"sites/all/themes/real_estast/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/real_estast/js/jquery.smooth-scroll.js\";s:19:\"js/waypoints.min.js\";s:48:\"sites/all/themes/real_estast/js/waypoints.min.js\";s:13:\"js/weebpal.js\";s:42:\"sites/all/themes/real_estast/js/weebpal.js\";s:20:\"js/accordion_menu.js\";s:49:\"sites/all/themes/real_estast/js/accordion_menu.js\";s:17:\"js/real_estast.js\";s:46:\"sites/all/themes/real_estast/js/real_estast.js\";s:19:\"js/views_isotope.js\";s:48:\"sites/all/themes/real_estast/js/views_isotope.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:28:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:14:\"content_action\";s:18:\"Action for Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:3:\"map\";s:3:\"Map\";s:11:\"panel_first\";s:11:\"Panel First\";s:17:\"panel_highlighted\";s:17:\"Panel Highlighted\";s:12:\"panel_second\";s:12:\"Panel Second\";s:13:\"panel_third_1\";s:13:\"Panel Third 1\";s:13:\"panel_third_2\";s:13:\"Panel Third 2\";s:13:\"panel_third_3\";s:13:\"Panel Third 3\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:19:\"panel_third_1_width\";s:1:\"4\";s:19:\"panel_third_2_width\";s:1:\"4\";s:19:\"panel_third_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"4\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:5:{s:4:\"blue\";s:4:\"Blue\";s:5:\"green\";s:5:\"Green\";s:6:\"orange\";s:6:\"Orange\";s:4:\"cyan\";s:4:\"Cyan\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:43:\"sites/all/themes/real_estast/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499930424;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/real_estast/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/real_estast/bootstrap/css/bootstrap-theme.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/real_estast/css/animate.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/real_estast/css/base.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/real_estast/css/html.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/real_estast/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/real_estast/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/real_estast/css/menu.css\";s:12:\"css/demo.css\";s:41:\"sites/all/themes/real_estast/css/demo.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/real_estast/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:53:\"sites/all/themes/real_estast/css/theme-responsive.css\";}}s:7:\"scripts\";a:8:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/real_estast/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:48:\"sites/all/themes/real_estast/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/real_estast/js/jquery.smooth-scroll.js\";s:19:\"js/waypoints.min.js\";s:48:\"sites/all/themes/real_estast/js/waypoints.min.js\";s:13:\"js/weebpal.js\";s:42:\"sites/all/themes/real_estast/js/weebpal.js\";s:20:\"js/accordion_menu.js\";s:49:\"sites/all/themes/real_estast/js/accordion_menu.js\";s:17:\"js/real_estast.js\";s:46:\"sites/all/themes/real_estast/js/real_estast.js\";s:19:\"js/views_isotope.js\";s:48:\"sites/all/themes/real_estast/js/views_isotope.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:11:\"real_estast\";}','',31,5,1,'admin/structure/block','admin/structure/block','Real Estast','t','','','a:0:{}',140,'','',-10,'modules/block/block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"seven\";}','',31,5,1,'admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"stark\";}','',31,5,1,'admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"we_backend\";}','',31,5,1,'admin/structure/block','admin/structure/block','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/we_backend','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',6,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',121,7,2,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',140,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:25:\"block_custom_block_delete\";i:1;i:4;i:2;i:5;}','',121,7,0,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Delete block','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/contact','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','contact_category_list','a:0:{}','',7,3,0,'','admin/structure/contact','Contact form','t','','','a:0:{}',6,'Create a system contact form and set up categories for the form to use.','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/add','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:1:{i:0;s:26:\"contact_category_edit_form\";}','',15,4,1,'admin/structure/contact','admin/structure/contact','Add category','t','','','a:0:{}',388,'','',1,'modules/contact/contact.admin.inc'),('admin/structure/contact/delete/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:28:\"contact_category_delete_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/delete/%','Delete contact','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:26:\"contact_category_edit_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/edit/%','Edit contact category','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/context','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/context','Context','t','','','a:0:{}',6,'Associate menus, views, blocks, etc. with different contexts to structure your site.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/add','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/context','admin/structure/context','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/import','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:6:\"import\";}','',15,4,1,'admin/structure/context','admin/structure/context','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list','','','ctools_export_ui_task_access','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:7:\"context\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/context','admin/structure/context','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/context/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/edit','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,1,'admin/structure/context/list/%','admin/structure/context/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/list/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:7:\"context\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:7:\"context\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:7:\"context\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/context/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/context/settings','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','drupal_get_form','a:1:{i:0;s:19:\"context_ui_settings\";}','',15,4,1,'admin/structure/context','admin/structure/context','Settings','t','','','a:0:{}',132,'','',3,''),('admin/structure/features','','','user_access','a:1:{i:0;s:15:\"manage features\";}','drupal_get_form','a:1:{i:0;s:19:\"features_admin_form\";}','',7,3,0,'','admin/structure/features','Features','t','','','a:0:{}',6,'Manage features.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:2:{i:0;s:25:\"features_admin_components\";i:1;i:3;}','',14,4,0,'','admin/structure/features/%','','features_get_feature_title','a:1:{i:0;i:3;}','','a:0:{}',0,'Display components of a feature.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/lock','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:15:\"manage features\";}','features_admin_lock','a:3:{i:0;i:3;i:1;i:5;i:2;i:6;}','',29,5,0,'','admin/structure/features/%/lock','Lock','t','','','a:0:{}',0,'Lock a feature or components.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/recreate','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:2:{i:0;s:20:\"features_export_form\";i:1;i:3;}','',29,5,1,'admin/structure/features/%','admin/structure/features/%','Recreate','t','','','a:0:{}',132,'Recreate an existing feature.','',11,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/status','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','features_feature_status','a:1:{i:0;i:3;}','',29,5,0,'','admin/structure/features/%/status','Status','t','','','a:0:{}',0,'Javascript status call back.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/%/view','a:1:{i:3;a:1:{s:12:\"feature_load\";a:1:{i:0;b:1;}}}','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:2:{i:0;s:25:\"features_admin_components\";i:1;i:3;}','',29,5,1,'admin/structure/features/%','admin/structure/features/%','View','t','','','a:0:{}',140,'Display components of a feature.','',-10,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/cleanup','','','user_access','a:1:{i:0;s:15:\"manage features\";}','features_cleanup','a:0:{}','',15,4,0,'','admin/structure/features/cleanup','Cleanup','t','','','a:0:{}',0,'Clear cache after enabling/disabling a feature.','',1,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/create','','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:1:{i:0;s:20:\"features_export_form\";}','',15,4,1,'admin/structure/features','admin/structure/features','Create feature','t','','','a:0:{}',132,'Create a new feature.','',10,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/manage','','','user_access','a:1:{i:0;s:15:\"manage features\";}','drupal_get_form','a:1:{i:0;s:19:\"features_admin_form\";}','',15,4,1,'admin/structure/features','admin/structure/features','Manage','t','','','a:0:{}',140,'Enable and disable features.','',0,'sites/all/modules/features/features.admin.inc'),('admin/structure/features/settings','','','user_access','a:1:{i:0;s:19:\"administer features\";}','drupal_get_form','a:1:{i:0;s:22:\"features_settings_form\";}','',15,4,1,'admin/structure/features','admin/structure/features','Settings','t','','','a:0:{}',132,'Adjust settings for using features module.','',11,'sites/all/modules/features/features.admin.inc'),('admin/structure/field-collections','','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','field_collections_overview','a:0:{}','',7,3,0,'','admin/structure/field-collections','Field collections','t','','','a:0:{}',6,'Manage fields on field collections.','',0,'sites/all/modules/field_collection/field_collection.admin.inc'),('admin/structure/field-collections/%','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',14,4,0,'','admin/structure/field-collections/%','Manage fields','field_collection_admin_page_title','a:1:{i:0;i:3;}','','a:0:{}',6,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/default','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/full','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/display/token','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/field-collections/%/display','admin/structure/field-collections/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields','a:1:{i:3;s:32:\"field_collection_field_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:21:\"field_collection_item\";i:2;i:3;}','',29,5,1,'admin/structure/field-collections/%','admin/structure/field-collections/%','Manage fields','t','','','a:0:{}',140,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/field-collections/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/edit','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/field-settings','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/fields/%/widget-type','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:28:\"administer field collections\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/field-collections/%/fields/%','admin/structure/field-collections/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/field-collections/%/groups/%/delete','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/field-collections/%/groups/%/enable','a:2:{i:3;a:1:{s:32:\"field_collection_field_name_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:21:\"field_collection_item\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:28:\"administer field collections\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/field-collections/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/megamenus','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:1:{i:0;s:24:\"megamenus_admin_settings\";}','',7,3,0,'','admin/structure/megamenus','Mega Menus','t','','','a:0:{}',6,'Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',0,'Config Mega Menus','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/config','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:24:\"megamenus_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/megamenus/%','admin/structure/megamenus/%','Config Mega Menus','t','','','a:0:{}',140,'','',-10,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/%/convert','a:1:{i:3;s:24:\"megamenus_menu_name_load\";}','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','drupal_get_form','a:2:{i:0;s:38:\"megamenus_convert_from_tb_menu_confirm\";i:1;i:3;}','',29,5,0,'','admin/structure/megamenus/%/convert','Import from TB MegaMenu','t','','','a:0:{}',0,'Convert config TB MegaMenu to MegaMenu-VX','',0,'sites/all/modules/megamenus/megamenus.admin.inc'),('admin/structure/megamenus/load_block','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_block','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_block','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/load_menu','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_load_menu','a:0:{}','',15,4,0,'','admin/structure/megamenus/load_menu','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/megamenus/save_config','','','user_access','a:1:{i:0;s:20:\"administer megamenus\";}','megamenus_ajax_save_config','a:0:{}','',15,4,0,'','admin/structure/megamenus/save_config','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/megamenus/megamenus.ajax.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',7,3,0,'','admin/structure/menu','Menus','t','','','a:0:{}',6,'Add new menus to your site, edit existing menus, and rename and reorganize menu links.','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:14:\"menu_edit_menu\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_item_delete_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',61,6,0,'','admin/structure/menu/item/%/edit','Edit menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:23:\"menu_reset_item_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',15,4,1,'admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',30,5,0,'','admin/structure/menu/manage/%','Customize menu','menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:3:\"add\";i:2;N;i:3;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_delete_menu_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:3:{i:0;s:14:\"menu_edit_menu\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}',132,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_parent_options_js','a:0:{}','',15,4,0,'','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:14:\"menu_configure\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}',132,'','',5,'modules/menu/menu.admin.inc'),('admin/structure/migrate_content','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',7,3,0,'','admin/structure/migrate_content','Migrate Content','t','','','a:0:{}',6,'Manage Migrate Content.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/create','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"we_content_migration_export_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Create','t','','','a:0:{}',132,'Migrate Content Create.','',10,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/import-from-upload','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:44:\"we_content_migration_import_from_upload_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Import','t','','','a:0:{}',132,'Upload zip file to import.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/manage','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Manage','t','','','a:0:{}',140,'Enable and disable entity bundle.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"we_content_migration_settings_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Settings','t','','','a:0:{}',132,'Adjust settings for using migrate content module.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/quicktabs','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',7,3,0,'','admin/structure/quicktabs','Quicktabs','t','','','a:0:{}',6,'Create blocks of tabbed content.','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/add','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:14:\"quicktabs_form\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Add Quicktabs Instance','t','','','a:0:{}',388,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/list','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','List quicktabs','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',6,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/clone','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_clone','a:1:{i:0;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Clone quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/delete','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:22:\"quicktabs_block_delete\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Delete quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/edit','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,2,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/export','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:21:\"quicktabs_export_form\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/styles','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:1:{i:0;s:26:\"quicktabs_tabstyles_styles\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Styles','t','','','a:0:{}',132,'','',0,''),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',7,3,0,'','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',14,4,0,'','admin/structure/taxonomy/%','','entity_label','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/token','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"taxonomy_form_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}',132,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/groups/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/groups/%/enable','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:24:\"taxonomy_form_vocabulary\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}',140,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/tb-megamenu','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:1:{i:0;s:26:\"tb_megamenu_admin_settings\";}','',7,3,0,'','admin/structure/tb-megamenu','TB Mega Menu','t','','','a:0:{}',6,'TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',0,'Config TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%/config','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/tb-megamenu/%','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',140,'','',-10,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/request','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','tb_megamenu_request','a:0:{}','',15,4,0,'','admin/structure/tb-megamenu/request','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',7,3,0,'','admin/structure/types','Content types','t','','','a:0:{}',6,'Manage content types, including default status, front page promotion, comment settings, etc.','',0,'modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:1:{i:0;s:14:\"node_type_form\";}','',15,4,1,'admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}',388,'','',0,'modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',15,4,1,'admin/structure/types','admin/structure/types','List','t','','','a:0:{}',140,'','',-10,'modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:4:\"full\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/token','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:5:\"token\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"comment\";i:2;i:4;}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',246,8,0,'','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/groups/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/comment/groups/%/enable','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/email_html','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:10:\"email_html\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:10:\"email_html\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Email: HTML','t','','','a:0:{}',132,'','',6,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/email_plain','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:11:\"email_plain\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:11:\"email_plain\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Email: Plain','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/email_textalt','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"email_textalt\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"email_textalt\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Email: HTML text alternative','t','','','a:0:{}',132,'','',7,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:4:\"full\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:3:\"rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:3:\"rss\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:12:\"search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:12:\"search_index\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"search_result\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result highlighting input','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:6:\"teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:6:\"teaser\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/token','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',8,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"node\";i:2;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/views','Views','t','','','a:0:{}',6,'Manage customized lists of content.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_template_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver',60,6,0,'','admin/structure/views/ajax/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver',124,7,0,'','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:20:\"views_ui_import_page\";}','',15,4,1,'admin/structure/views','admin/structure/views','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/views','admin/structure/views','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/views/nojs/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',15,4,1,'admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:32:\"views_ui_admin_settings_advanced\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}',132,'','',1,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}',140,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','',61,6,0,'','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:2:{i:0;s:27:\"views_ui_break_lock_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/edit','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',61,6,3,'admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_get_form','a:3:{i:0;s:18:\"views_ui_edit_form\";i:1;i:4;i:2;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/export','Export','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','',122,7,3,'','admin/structure/views/view/%/preview/%','','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/weebpal-tools/load-font','','','user_access','a:1:{i:0;s:24:\"administer weebpal_tools\";}','weebpal_tools_load_font','a:0:{}','',15,4,0,'','admin/structure/weebpal-tools/load-font','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/weebpal_tools/weebpal_tools.ajax.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,1,'admin','admin','Tasks','t','','','a:0:{}',140,'','',-20,'modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:\"update_manager_update_ready_form\";}','',7,3,0,'','admin/update/ready','Ready to update','t','','','a:0:{}',0,'','',0,'modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_autocomplete_tag','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:\"access content\";}','views_ajax_autocomplete_taxonomy','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','views_ajax_autocomplete_user','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin_menu/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','admin_menu_flush_cache','a:0:{}','',3,2,0,'','admin_menu/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('agents','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:6:\"agents\";i:1;s:4:\"page\";}','',1,1,0,'','agents','Agents','t','','','a:0:{}',6,'Agents','',0,''),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','',1,1,0,'','batch','','t','','_system_batch_theme','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('block/%','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',2,2,0,'','block/%','Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/delete','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"bean_delete_confirm\";i:1;i:1;}','',5,3,0,'block/%','block/%','Delete Block','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/edit','a:1:{i:1;s:15:\"bean_delta_load\";}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',5,3,3,'block/%','block/%','Edit Block','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:19:\"view bean revisions\";}','bean_revisions_page','a:1:{i:0;i:1;}','',5,3,1,'block/%','block/%','Revisions','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',10,4,0,'','block/%/revisions/%','','bean_revision_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/delete','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"delete\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:28:\"bean_delete_revision_confirm\";i:1;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','Delete','t','','','a:0:{}',132,'','',1,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/edit','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','bean_edit','a:1:{i:0;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/set-active','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:6:\"update\";i:1;s:4:\"bean\";i:2;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"bean_set_default_confirm\";i:1;i:1;}','',21,5,3,'block/%/revisions/%','block/%/revisions/%','Set active','t','','','a:0:{}',132,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/revisions/%/view','a:2:{i:1;a:1:{s:15:\"bean_delta_load\";a:1:{i:0;i:3;}}i:3;N;}','','entity_access','a:3:{i:0;s:4:\"view\";i:1;s:4:\"bean\";i:2;i:1;}','bean_view','a:1:{i:0;i:1;}','',21,5,0,'block/%/revisions/%','block/%/revisions/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/bean/includes/bean.pages.inc'),('block/%/view','a:1:{i:1;s:15:\"bean_delta_load\";}','','user_access','a:1:{i:0;s:14:\"view bean page\";}','bean_view_page','a:1:{i:0;i:1;}','',5,3,0,'block/%','block/%','View','t','','','a:0:{}',140,'','',-20,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add','','','bean_add_page_access','a:1:{i:0;s:3:\"add\";}','bean_add_page','a:0:{}','',3,2,0,'','block/add','Add Block','t','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('block/add/who-we-are-block','','','user_access','a:1:{i:0;s:32:\"create any who_we_are_block bean\";}','bean_add','a:1:{i:0;s:16:\"who_we_are_block\";}','',7,3,0,'','block/add/who-we-are-block','Who We Are Block','check_plain','','','a:0:{}',6,'','',0,'sites/all/modules/bean/includes/bean.pages.inc'),('blockreference/autocomplete/%/%/%/%','a:4:{i:2;N;i:3;N;i:4;N;i:5;N;}','','blockreference_autocomplete_access','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','blockreference_autocomplete','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',48,6,0,'','blockreference/autocomplete/%/%/%/%','blockreference autocomplete','t','','','a:0:{}',0,'','',0,''),('blog','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_page_last','a:0:{}','',1,1,0,'','blog','Blogs','t','','','a:0:{}',20,'','',0,'modules/blog/blog.pages.inc'),('blog-fields-demo','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:5:\"blogs\";i:1;s:6:\"page_1\";}','',1,1,0,'','blog-fields-demo','','t','','','a:0:{}',0,'','',0,''),('blog-isotope','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:5:\"blogs\";i:1;s:6:\"page_2\";}','',1,1,0,'','blog-isotope','Blog Isotope','t','','','a:0:{}',6,'Blog Isotope','',0,''),('blog-teaser','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:5:\"blogs\";i:1;s:4:\"page\";}','',1,1,0,'','blog-teaser','Blog View Teaser','t','','','a:0:{}',6,'Blog View Teaser','',0,''),('blog/%','a:1:{i:1;s:22:\"user_uid_optional_load\";}','a:1:{i:1;s:24:\"user_uid_optional_to_arg\";}','blog_page_user_access','a:1:{i:0;i:1;}','blog_page_user','a:1:{i:0;i:1;}','',2,2,0,'','blog/%','My blog','t','','','a:0:{}',6,'','',0,'modules/blog/blog.pages.inc'),('blog/%/feed','a:1:{i:1;s:9:\"user_load\";}','','blog_page_user_access','a:1:{i:0;i:1;}','blog_feed_user','a:1:{i:0;i:1;}','',5,3,0,'','blog/%/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('blog/feed','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_feed_last','a:0:{}','',3,2,0,'','blog/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',2,2,0,'','comment/%','Comment permalink','t','','','a:0:{}',6,'','',0,''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_approve','a:1:{i:0;i:1;}','',5,3,0,'','comment/%/approve','Approve','t','','','a:0:{}',6,'','',1,'modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Delete','t','','','a:0:{}',132,'','',2,'modules/comment/comment.admin.inc'),('comment/%/edit','a:1:{i:1;s:12:\"comment_load\";}','','comment_access','a:2:{i:0;s:4:\"edit\";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Edit','t','','','a:0:{}',132,'','',0,''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','View comment','t','','','a:0:{}',140,'','',-10,''),('comment/reply/%','a:1:{i:2;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','',6,3,0,'','comment/reply/%','Add new comment','t','','','a:0:{}',6,'','',0,'modules/comment/comment.pages.inc'),('contact','','','user_access','a:1:{i:0;s:29:\"access site-wide contact form\";}','drupal_get_form','a:1:{i:0;s:17:\"contact_site_form\";}','',1,1,0,'','contact','Contact','t','','','a:0:{}',20,'','',0,'modules/contact/contact.pages.inc'),('context-ui/activate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_activate','a:0:{}','',3,2,0,'','context-ui/activate','Activate Context UI','t','','','a:0:{}',0,'','',0,''),('context-ui/deactivate','','','user_access','a:1:{i:0;s:19:\"administer contexts\";}','context_ui_deactivate','a:0:{}','',3,2,0,'','context-ui/deactivate','Deactivate Context UI','t','','','a:0:{}',0,'','',0,''),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','',6,3,0,'','ctools/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_add','a:0:{}','',31,5,0,'','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_edit','a:0:{}','',31,5,0,'','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_delete','a:0:{}','',31,5,0,'','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_add','a:0:{}','',15,4,0,'','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_edit','a:0:{}','',15,4,0,'','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_delete','a:0:{}','',15,4,0,'','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('email/%/%/%','a:3:{i:1;N;i:2;N;i:3;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','email_mail_page','a:3:{i:0;i:1;i:1;i:2;i:2;i:3;}','',8,4,0,'','email/%/%/%','Email Contact Form','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/single/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/single/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('entityreference/autocomplete/tags/%/%/%','a:3:{i:3;N;i:4;N;i:5;N;}','','entityreference_autocomplete_access_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','entityreference_autocomplete_callback','a:4:{i:0;i:2;i:1;i:3;i:2;i:4;i:3;i:5;}','',56,6,0,'','entityreference/autocomplete/tags/%/%/%','Entity Reference Autocomplete','t','','','a:0:{}',0,'','',0,''),('faq','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:3:\"faq\";i:1;s:4:\"page\";}','',1,1,0,'','faq','FAQ','t','','','a:0:{}',6,'FAQ','',0,''),('features/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:19:\"administer features\";}','features_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','features/ajaxcallback/%','','features_get_feature_components','','','a:0:{}',0,'Return components of a feature.','',0,'sites/all/modules/features/features.admin.inc'),('features/autocomplete/packages','','','user_access','a:1:{i:0;s:15:\"manage features\";}','features_autocomplete_packages','a:0:{}','',7,3,0,'','features/autocomplete/packages','','t','','','a:0:{}',0,'','',0,'sites/all/modules/features/features.admin.inc'),('field-collection/field-content/%','a:1:{i:2;s:26:\"field_collection_item_load\";}','','field_collection_item_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',6,3,0,'','field-collection/field-content/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/delete','a:1:{i:2;s:26:\"field_collection_item_load\";}','','field_collection_item_access','a:2:{i:0;s:6:\"delete\";i:1;i:2;}','drupal_get_form','a:2:{i:0;s:36:\"field_collection_item_delete_confirm\";i:1;i:2;}','',13,4,2,'field-collection/field-content/%','field-collection/field-content/%','Delete','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/edit','a:1:{i:2;s:26:\"field_collection_item_load\";}','','field_collection_item_access','a:2:{i:0;s:6:\"update\";i:1;i:2;}','drupal_get_form','a:2:{i:0;s:26:\"field_collection_item_form\";i:1;i:2;}','',13,4,3,'field-collection/field-content/%','field-collection/field-content/%','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/revisions/%','a:2:{i:2;s:26:\"field_collection_item_load\";i:4;s:35:\"field_collection_item_revision_load\";}','','field_collection_item_access','a:2:{i:0;s:4:\"view\";i:1;i:4;}','field_collection_item_page_view','a:1:{i:0;i:4;}','',26,5,0,'','field-collection/field-content/%/revisions/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/%/view','a:1:{i:2;s:26:\"field_collection_item_load\";}','','field_collection_item_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','field_collection_item_page_view','a:1:{i:0;i:2;}','',13,4,1,'field-collection/field-content/%','field-collection/field-content/%','View','t','','','a:0:{}',140,'','',-10,'sites/all/modules/field_collection/field_collection.pages.inc'),('field-collection/field-content/add/%/%','a:2:{i:3;N;i:4;N;}','','1','a:0:{}','field_collection_item_add','a:3:{i:0;s:13:\"field_content\";i:1;i:3;i:2;i:4;}','',28,5,0,'','field-collection/field-content/add/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/field_collection/field_collection.pages.inc'),('field_collection/ajax','','','1','a:0:{}','field_collection_remove_js','a:0:{}','ajax_deliver',3,2,0,'','field_collection/ajax','Remove item callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('file/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_upload','a:0:{}','ajax_deliver',3,2,0,'','file/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('file/progress','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_progress','a:0:{}','',3,2,0,'','file/progress','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','',3,2,0,'','filter/tips','Compose tips','t','','','a:0:{}',20,'','',0,'modules/filter/filter.pages.inc'),('filter/tips/%','a:1:{i:2;s:18:\"filter_format_load\";}','','filter_access','a:1:{i:0;i:2;}','filter_tips_long','a:1:{i:0;i:2;}','',6,3,0,'','filter/tips/%','Compose tips','t','','','a:0:{}',6,'','',0,'modules/filter/filter.pages.inc'),('flickr','','','1','a:0:{}','flickr_photos','a:0:{}','',1,1,0,'','flickr','Flickr photos','t','','','a:0:{}',0,'Flickr photos of default user id.','',0,''),('flickr/%','a:1:{i:1;s:9:\"user_load\";}','','flickr_photos_access','a:1:{i:0;i:1;}','flickr_photos','a:1:{i:0;i:1;}','',2,2,0,'','flickr/%','','flickr_photos_page_title','a:1:{i:0;i:1;}','','a:0:{}',0,'Flickr photos of specified user.','',0,''),('flickr/auth','','','1','a:0:{}','flickr_auth_callback','a:0:{}','',3,2,0,'','flickr/auth','','t','','','a:0:{}',0,'','',0,''),('frontpage','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"page\";}','',1,1,0,'','frontpage','','t','','','a:0:{}',0,'','',0,''),('frontpage2','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:6:\"page_2\";}','',1,1,0,'','frontpage2','','t','','','a:0:{}',0,'','',0,''),('geocoder/service/%','a:1:{i:2;N;}','','geocoder_service_check_perms','a:1:{i:0;N;}','geocoder_service_callback','a:1:{i:0;i:2;}','',6,3,0,'','geocoder/service/%','AJAX / AJAJ geocoding service','t','','','a:0:{}',0,'Provides basic callback for geocoding using JavaScript','',0,''),('happy-clients','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:13:\"happy_clients\";i:1;s:4:\"page\";}','',1,1,0,'','happy-clients','','t','','','a:0:{}',0,'','',0,''),('homepage3','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:6:\"page_1\";}','',1,1,0,'','homepage3','Homepage 3','t','','','a:0:{}',6,'Homepage 3','',0,''),('icons','','','user_access','a:1:{i:0;s:10:\"view icons\";}','drupal_get_form','a:1:{i:0;s:25:\"icon_bundle_overview_form\";}','',1,1,0,'','icons','Icons','t','','','a:0:{}',6,'Overview of all available icons.','',0,'sites/all/modules/icon/includes/admin.inc'),('icons/%','a:1:{i:1;s:16:\"icon_bundle_load\";}','','user_access','a:1:{i:0;s:10:\"view icons\";}','icon_bundle_list','a:1:{i:0;i:1;}','',2,2,0,'','icons/%','','icon_bundle_get_title','a:1:{i:0;i:1;}','icon_bundle_get_theme','a:1:{i:0;i:1;}',6,'An icon bundle.','',0,'sites/all/modules/icon/includes/admin.inc'),('ip_geoloc/region_autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ip_geoloc_region_autocomplete','a:0:{}','',3,2,0,'','ip_geoloc/region_autocomplete','\"Set my location\" block region autocomplete','t','','','a:0:{}',0,'','',0,''),('jcarousel/ajax/views','','','1','a:0:{}','jcarousel_views_ajax','a:0:{}','',7,3,0,'','jcarousel/ajax/views','','t','','','a:0:{}',0,'','',0,'sites/all/modules/jcarousel/includes/jcarousel.views.inc'),('js/admin_menu/cache','','','user_access','a:1:{i:0;s:26:\"access administration menu\";}','admin_menu_js_cache','a:0:{}','admin_menu_deliver',7,3,0,'','js/admin_menu/cache','','t','','','a:0:{}',0,'','',0,''),('js/ip_geoloc/current_location','','','user_access','a:1:{i:0;s:14:\"access content\";}','ip_geoloc_current_location_ajax_recipient','a:0:{}','',7,3,0,'','js/ip_geoloc/current_location','Current location recipient','t','','','a:0:{}',0,'','',0,''),('mega-menus','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:10:\"mega_menus\";i:1;s:4:\"page\";}','',1,1,0,'','mega-menus','','t','','','a:0:{}',0,'','',0,''),('migrate_content/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','we_content_migration_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','migrate_content/ajaxcallback/%','','Check require bundles','','','a:0:{}',0,'Check require bundles.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('newsletter/confirm','','','user_access','a:1:{i:0;s:24:\"subscribe to newsletters\";}','simplenews_confirm_subscription','a:0:{}','',3,2,0,'','newsletter/confirm','Confirm newsletter subscriptions','t','','','a:0:{}',0,'','',0,'sites/all/modules/simplenews/includes/simplenews.subscription.inc'),('newsletter/subscriptions','','','user_access','a:1:{i:0;s:24:\"subscribe to newsletters\";}','drupal_get_form','a:1:{i:0;s:34:\"simplenews_subscriptions_page_form\";}','',3,2,0,'','newsletter/subscriptions','Your newsletter subscriptions','t','','','a:0:{}',0,'','',0,'sites/all/modules/simplenews/includes/simplenews.subscription.inc'),('node','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_page_default','a:0:{}','',1,1,0,'','node','','t','','','a:0:{}',0,'','',0,''),('node/%','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',2,2,0,'','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('node/%/delete','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"delete\";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"node_delete_confirm\";i:1;i:1;}','',5,3,2,'node/%','node/%','Delete','t','','','a:0:{}',132,'','',1,'modules/node/node.pages.inc'),('node/%/done','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_confirmation_page_access','a:1:{i:0;i:1;}','_webform_confirmation','a:1:{i:0;i:1;}','',5,3,0,'','node/%/done','Webform confirmation','t','','','a:0:{}',0,'','',0,''),('node/%/edit','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Edit','t','','','a:0:{}',132,'','',0,'modules/node/node.pages.inc'),('node/%/revisions','a:1:{i:1;s:9:\"node_load\";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Revisions','t','','','a:0:{}',132,'','',2,'modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"delete\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_delete_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"update\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_revert_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','',21,5,0,'','node/%/revisions/%/view','Revisions','t','','','a:0:{}',6,'','',0,''),('node/%/simplenews','a:1:{i:1;s:9:\"node_load\";}','','simplenews_node_tab_access','a:1:{i:0;i:1;}','simplenews_node_tab_page','a:1:{i:0;i:1;}','',5,3,132,'node/%','node/%','Newsletter','t','','','a:0:{}',132,'','',2,'sites/all/modules/simplenews/includes/simplenews.admin.inc'),('node/%/submission/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',10,4,0,'','node/%/submission/%','Webform submission','webform_submission_title','a:2:{i:0;i:1;i:1;i:3;}','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:6:\"delete\";}','drupal_get_form','a:3:{i:0;s:30:\"webform_submission_delete_form\";i:1;i:1;i:2;i:3;}','',21,5,1,'node/%/submission/%','node/%/submission/%','Delete','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/edit','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"edit\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"form\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','Edit','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/resend','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_submission_resend\";i:1;i:1;i:2;i:3;}','',21,5,0,'','node/%/submission/%/resend','Resend e-mails','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/view','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','View','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;N;i:2;s:4:\"list\";}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:1;i:2;s:2:\"50\";}','',5,3,0,'','node/%/submissions','Submissions','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/track','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_node_tracker','a:0:{}','',5,3,1,'node/%','node/%','Track','t','','','a:0:{}',132,'','',2,'modules/statistics/statistics.pages.inc'),('node/%/view','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','View','t','','','a:0:{}',140,'','',-10,''),('node/%/webform','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Webform','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform-results','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',5,3,3,'node/%','node/%','Results','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform-results','node/%','Analysis','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',22,5,1,'node/%/webform-results/analysis','node/%','Analysis','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%/more','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',45,6,1,'node/%/webform-results/analysis/%','node/%','In-depth analysis','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/clear','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_clear_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:26:\"webform_results_clear_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Clear','t','','','a:0:{}',132,'','',8,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:29:\"webform_results_download_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Download','t','','','a:0:{}',132,'','',7,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download-file','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_download_callback','a:1:{i:0;i:1;}','',11,4,0,'','node/%/webform-results/download-file','Download','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Submissions','t','','','a:0:{}',140,'','',4,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/table','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_table','a:2:{i:0;i:1;i:1;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Table','t','','','a:0:{}',132,'','',6,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform/components','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform','node/%','Form components','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:0;}','',22,5,1,'node/%/webform/components','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:29:\"webform_component_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/conditionals','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:25:\"webform_conditionals_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Conditionals','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.conditionals.inc'),('node/%/webform/configure','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:22:\"webform_configure_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Form settings','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.pages.inc'),('node/%/webform/emails','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"webform_emails_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','E-mails','t','','','a:0:{}',132,'','',4,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;}','',22,5,1,'node/%/webform/emails','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_email_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/add','','','_node_add_access','a:0:{}','node_add_page','a:0:{}','',3,2,0,'','node/add','Add content','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"article\";}','node_add','a:1:{i:0;s:7:\"article\";}','',7,3,0,'','node/add/article','Article','check_plain','','','a:0:{}',6,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',0,'modules/node/node.pages.inc'),('node/add/blog','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"blog\";}','node_add','a:1:{i:0;s:4:\"blog\";}','',7,3,0,'','node/add/blog','Blog entry','check_plain','','','a:0:{}',6,'Use for multi-user blogs. Every user gets a personal blog.','',0,'modules/node/node.pages.inc'),('node/add/faq','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:3:\"faq\";}','node_add','a:1:{i:0;s:3:\"faq\";}','',7,3,0,'','node/add/faq','FAQ','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/page','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"page\";}','node_add','a:1:{i:0;s:4:\"page\";}','',7,3,0,'','node/add/page','Basic page','check_plain','','','a:0:{}',6,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',0,'modules/node/node.pages.inc'),('node/add/properties','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:10:\"properties\";}','node_add','a:1:{i:0;s:10:\"properties\";}','',7,3,0,'','node/add/properties','Properties','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/services','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:8:\"services\";}','node_add','a:1:{i:0;s:8:\"services\";}','',7,3,0,'','node/add/services','Services','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/simplenews','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:10:\"simplenews\";}','node_add','a:1:{i:0;s:10:\"simplenews\";}','',7,3,0,'','node/add/simplenews','Simplenews newsletter','check_plain','','','a:0:{}',6,'A newsletter issue to be sent to subscribed email addresses.','',0,'modules/node/node.pages.inc'),('node/add/testimonials','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:12:\"testimonials\";}','node_add','a:1:{i:0;s:12:\"testimonials\";}','',7,3,0,'','node/add/testimonials','Testimonials','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/webform','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"webform\";}','node_add','a:1:{i:0;s:7:\"webform\";}','',7,3,0,'','node/add/webform','Webform','check_plain','','','a:0:{}',6,'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',0,'modules/node/node.pages.inc'),('node/add/why-us','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:6:\"why_us\";}','node_add','a:1:{i:0;s:6:\"why_us\";}','',7,3,0,'','node/add/why-us','Why us','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','',2,2,0,'','overlay-ajax/%','','t','','','a:0:{}',0,'','',0,''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_user_dismiss_message','a:0:{}','',3,2,0,'','overlay/dismiss-message','','t','','','a:0:{}',0,'','',0,''),('properties','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:10:\"properties\";i:1;s:4:\"page\";}','',1,1,0,'','properties','Properties','t','','','a:0:{}',6,'Properties','',0,''),('properties/list','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:10:\"properties\";i:1;s:6:\"page_3\";}','',3,2,0,'','properties/list','List','t','','','a:0:{}',6,'List','',0,''),('properties/map','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:10:\"properties\";i:1;s:6:\"page_2\";}','',3,2,0,'','properties/map','Map','t','','','a:0:{}',6,'Properties on Map','',0,''),('properties/three-columns','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:10:\"properties\";i:1;s:6:\"page_1\";}','',3,2,0,'','properties/three-columns','Three Columns','t','','','a:0:{}',6,'Demo Three Columns','',0,''),('quicktabs/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','quicktabs_ajax','a:0:{}','',3,2,0,'','quicktabs/ajax','','t','','','a:0:{}',0,'','',0,''),('rss.xml','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"feed\";}','',1,1,0,'','rss.xml','','t','','','a:0:{}',0,'','',0,''),('search','','','search_is_active','a:0:{}','search_view','a:0:{}','',1,1,0,'','search','Search','t','','','a:0:{}',20,'','',0,'modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;s:0:\"\";}','',3,2,1,'search','search','Content','t','','','a:0:{}',132,'','',-10,'modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Content','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;s:0:\"\";}','',3,2,1,'search','search','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('sites/default/files/styles/%','a:1:{i:4;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:4;}','',30,5,0,'','sites/default/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver',3,2,0,'','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:\"private\";}','',3,2,0,'','system/files','File download','t','','','a:0:{}',0,'','',0,''),('system/files/styles/%','a:1:{i:3;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','',14,4,0,'','system/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:\"temporary\";}','',3,2,0,'','system/temporary','Temporary files','t','','','a:0:{}',0,'','',0,''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','',3,2,0,'','system/timezone','Time zone','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('tagclouds','','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;N;}','',1,1,0,'','tagclouds','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/chunk/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_chunk','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/chunk/%','Tags','t','','','a:0:{}',20,'','',0,''),('tagclouds/list/%','a:1:{i:2;s:19:\"tagclouds_vocs_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','tagclouds_page_list','a:1:{i:0;i:2;}','',6,3,0,'','tagclouds/list/%','Tags','t','','','a:0:{}',0,'','',0,''),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_autocomplete','a:0:{}','',3,2,0,'','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"page\";i:2;s:6:\"%index\";}}}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"page\";i:2;i:2;}','',6,3,0,'','taxonomy/term/%','','t','','','a:0:{}',0,'','',0,''),('taxonomy/term/%/%/feed','a:2:{i:2;a:1:{s:14:\"views_arg_load\";a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"feed\";i:2;s:6:\"%index\";}}i:3;N;}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:4:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"feed\";i:2;i:2;i:3;i:3;}','',25,5,0,'','taxonomy/term/%/%/feed','','t','','','a:0:{}',0,'','',0,''),('taxonomy/term/%/edit','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;i:2;i:2;N;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}',132,'','',10,'modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_feed','a:1:{i:0;i:2;}','',13,4,0,'','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:3:{i:0;s:13:\"taxonomy_term\";i:1;s:4:\"page\";i:2;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}',140,'','',0,''),('token/autocomplete/%','a:1:{i:2;s:15:\"token_type_load\";}','','1','a:0:{}','token_autocomplete_token','a:1:{i:0;i:2;}','',6,3,0,'','token/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','token_flush_cache_callback','a:0:{}','',3,2,0,'','token/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/tree','','','1','a:0:{}','token_page_output_tree','a:0:{}','',3,2,0,'','token/tree','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('user','','','1','a:0:{}','user_page','a:0:{}','',1,1,0,'','user','User account','user_menu_title','','','a:0:{}',6,'','',-10,'modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',2,2,0,'','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('user/%/cancel','a:1:{i:1;s:9:\"user_load\";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"user_cancel_confirm_form\";i:1;i:1;}','',5,3,0,'','user/%/cancel','Cancel account','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:\"user_load\";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','',44,6,0,'','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/contact','a:1:{i:1;s:9:\"user_load\";}','','_contact_personal_tab_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:21:\"contact_personal_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Contact','t','','','a:0:{}',132,'','',2,'modules/contact/contact.pages.inc'),('user/%/edit','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Edit','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',11,4,1,'user/%/edit','user/%','Account','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/%/edit/simplenews','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','simplenews_subscription_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:17:\"user_profile_form\";i:1;i:1;i:2;i:3;}','',11,4,1,'user/%/edit','user/%','','check_plain','a:1:{i:0;s:11:\"Newsletters\";}','','a:0:{}',132,'','',10,'modules/user/user.pages.inc'),('user/%/flickr','a:1:{i:1;s:9:\"user_load\";}','','flickr_photos_access','a:1:{i:0;i:1;}','flickr_user_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','Flickr','t','','','a:0:{}',132,'Display the Flickr photos of this user','',0,''),('user/%/shortcuts','a:1:{i:1;s:9:\"user_load\";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"shortcut_set_switch\";i:1;i:1;}','',5,3,1,'user/%','user/%','Shortcuts','t','','','a:0:{}',132,'','',0,'modules/shortcut/shortcut.admin.inc'),('user/%/track/navigation','a:1:{i:1;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_user_tracker','a:0:{}','',11,4,1,'user/%','user/%','Track page visits','t','','','a:0:{}',132,'','',2,'modules/statistics/statistics.pages.inc'),('user/%/view','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','View','t','','','a:0:{}',140,'','',-10,''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','user_autocomplete','a:0:{}','',3,2,0,'','user/autocomplete','User autocomplete','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','',3,2,1,'user','user','Log in','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','',3,2,0,'','user/logout','Log out','t','','','a:0:{}',6,'','',10,'modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:\"user_pass\";}','',3,2,1,'user','user','Request new password','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:\"user_register_form\";}','',3,2,1,'user','user','Create new account','t','','','a:0:{}',132,'','',0,''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:\"user_pass_reset\";i:1;i:2;i:2;i:3;i:3;i:4;}','',24,5,0,'','user/reset/%/%/%','Reset password','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('vef/load/%','a:1:{i:2;N;}','','1','a:0:{}','_video_embed_field_show_video','a:1:{i:0;i:2;}','',6,3,0,'','vef/load/%','Video Embed Field - Load Video','t','','','a:0:{}',0,'','',0,''),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver',3,2,0,'','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}',0,'Ajax callback for view loading.','',0,'sites/all/modules/views/includes/ajax.inc'),('we-are-offer','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:12:\"we_are_offer\";i:1;s:4:\"page\";}','',1,1,0,'','we-are-offer','','t','','','a:0:{}',0,'','',0,''),('webform/ajax/options/%','a:1:{i:3;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:3;}}}','a:1:{i:3;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:3;}','webform_select_options_ajax','a:0:{}','',14,4,0,'','webform/ajax/options/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/components/select.inc'),('webform/autocomplete','','','user_access','a:1:{i:0;s:16:\"administer views\";}','webform_views_autocomplete','a:0:{}','',3,2,0,'','webform/autocomplete','Webforms','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/views/webform.views.inc'),('win-8','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:5:\"win_8\";i:1;s:4:\"page\";}','',1,1,0,'','win-8','','t','','','a:0:{}',0,'','',0,'');
/*!40000 ALTER TABLE `menu_router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `metatags_quick_path_based`
--

DROP TABLE IF EXISTS `metatags_quick_path_based`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `metatags_quick_path_based` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Entity id',
  `path` varchar(255) NOT NULL COMMENT 'The path of the page to apply meta tags to',
  `lang` varchar(8) NOT NULL COMMENT 'Language code',
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang_path` (`lang`,`path`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Path based meta tags';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `metatags_quick_path_based`
--

LOCK TABLES `metatags_quick_path_based` WRITE;
/*!40000 ALTER TABLE `metatags_quick_path_based` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `metatags_quick_path_based` VALUES (1,'properties/three-columns','en'),(2,'search/user','en'),(3,'user/5/contact','en');
/*!40000 ALTER TABLE `metatags_quick_path_based` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'properties','und','638 N Hart St, Orange, CA 92867',1,1,1406255379,1423734056,1,1,0,0,0),(3,3,'faq','und','Curabitur facilisis tristique erat ut pulvinar?',1,1,1406259218,1406259932,1,0,0,0,0),(4,4,'faq','und','Proin sodales, tortor non aliquet suscipit?',1,1,1406259294,1406259932,1,0,0,0,0),(5,5,'faq','und','Donec eros magna, egestas at quam lacinia, ultrices adipiscing turpis?',1,1,1406259303,1406259932,1,0,0,0,0),(6,6,'faq','und','Duis lacus enim, dictum vitae fermentum sed, consequat nec nibh?',1,1,1406259336,1406259932,1,0,0,0,0),(7,7,'faq','und','Donec vel laoreet velit, in tincidunt nunc?',1,1,1406259358,1406259932,1,0,0,0,0),(8,8,'faq','und','Mauris rutrum ante id rutrum hendrerit?',1,1,1406259372,1406259932,1,0,0,0,0),(9,9,'faq','und','Aliquam nec dolor non eros dictum fringilla. Nullam ac mollis arcu?',1,1,1406259530,1406259932,1,0,0,0,0),(10,10,'faq','und','Nullam odio diam, adipiscing et quam non, vestibulum dignissim nisi?',1,1,1406259542,1406259932,1,0,0,0,0),(11,11,'blog','und','Vestibulum egestas velit porta ipsum',3,1,1406263211,1409800463,2,1,0,0,0),(12,12,'blog','und','Nulla pharetra aliquam sagittis',5,1,1406263229,1408092838,2,1,0,0,0),(13,13,'blog','und','Pellentesque ut sapien lobortis, varius sem vitae',4,1,1406263274,1409800289,2,1,0,0,0),(14,14,'page','und','About us',1,1,1406263656,1408510515,1,0,0,0,0),(15,15,'why_us','und','Designed for your business',1,1,1406528942,1406528942,1,1,0,0,0),(16,16,'why_us','und','Fully responsive',1,1,1406528960,1406528960,1,1,0,0,0),(17,17,'why_us','und','Amples customizations',1,1,1406528973,1406528973,1,1,0,0,0),(18,18,'why_us','und','Bootstrap compatible',1,1,1406528990,1406528990,1,1,0,0,0),(19,19,'why_us','und','Unique design',1,1,1406529004,1406529004,1,1,0,0,0),(20,20,'properties','und','Oakmont Way, Cibolo, TX 78108',1,1,1406626342,1423733285,1,1,0,0,0),(21,21,'properties','und','186 N Quail Ln',1,1,1406626479,1423733488,1,1,0,0,0),(22,22,'testimonials','und','Aliquam ac tempus quam, a facilisis mi',5,1,1406628015,1406628015,1,0,0,0,0),(23,23,'testimonials','und','Nulla eu erat at diam commodo egestas',3,1,1406628054,1409725746,1,0,0,0,0),(24,24,'testimonials','und','Maecenas id semper est, non sagittis felis',4,1,1406628074,1406628140,1,0,0,0,0),(25,25,'properties','und','Alpine Rd, Stockton, CA 95215',1,1,1406631351,1423733232,1,1,0,0,0),(26,26,'properties','und','692 N Adele St SPC 120',1,1,1406876130,1423733455,1,1,0,0,0),(27,27,'properties','und','204 Dui a fermentum',1,1,1406876283,1423733351,1,1,0,0,0),(28,28,'properties','und','1524A Nunc non ornare dui',1,1,1406876423,1423733320,1,1,0,0,0),(29,29,'properties','und','3900 Vel ipsum suscipit',1,1,1406876533,1423733382,1,1,0,0,0),(30,30,'properties','und','632 N Oxford Ct',1,1,1406876627,1423733423,1,1,0,0,0),(31,31,'properties','und','785 Suspendisse potenti',1,1,1406876786,1423733669,1,1,0,0,0),(32,32,'webform','und','Get in Touch',1,1,1407396771,1407463905,1,1,0,0,0),(33,33,'blog','und','Curabitur placerat ultrices enim non condimentum?',5,1,1407471534,1409820372,2,1,0,0,0),(34,34,'properties','und','6226 E Cliffway Dr',1,1,1408011745,1423733519,1,1,0,0,0),(35,35,'properties','und','1076 Nelson Walk',1,1,1408012352,1409219845,1,1,0,0,0),(36,36,'properties','und','6150 E Allison Cir',1,1,1408069701,1423733588,1,1,0,0,0),(37,37,'properties','und','204 temporibus vis',1,1,1408069899,1409219983,1,1,0,0,0),(38,38,'properties','und','2315 Pellentesque tempus',1,1,1408070151,1409220077,1,1,0,0,0),(39,39,'properties','und','5802 E Bottlebrush Dr',1,1,1408071178,1423733710,1,1,0,0,0),(40,40,'blog','und','Vestibulum blandit tempus nulla',2,1,1408095174,1409820353,2,1,0,0,0),(41,41,'services','und','Brokerage Services',1,1,1408427708,1408530816,2,1,0,0,0),(42,42,'services','und','Real Estate Management',1,1,1408428010,1408520060,2,1,0,0,0),(43,43,'services','und','Construction & Development',1,1,1408428041,1408520035,2,1,0,0,0),(44,44,'page','und','404',1,1,1408938896,1408938911,1,0,0,0,0),(45,45,'properties','und','4125 E Marmon Ave',1,1,1409222210,1423733748,1,1,0,0,0),(46,46,'properties','und','18932 E Center Ave, Orange, CA 92869',1,1,1409222404,1423733847,1,1,0,0,0),(47,47,'properties','und','11685 Blackthorn Ln, Orange, CA 92869',1,1,1409222925,1423733949,1,1,0,0,0),(48,48,'properties','und','5699 Donec tristique orci non',1,1,1409223078,1409223663,1,1,0,0,0),(49,49,'properties','und','4429 E Justice Cir, Orange, CA 92869',1,1,1409223814,1423733931,1,1,0,0,0),(50,50,'properties','und','11752 S Esplanade St, Orange, CA 92869',1,1,1409286614,1423733991,1,1,0,0,0),(51,51,'properties','und','2547 Maecenas semper est',1,1,1409286878,1423732805,1,1,0,0,0),(52,52,'properties','und','4896 Nullam rutrum arcu at ',1,1,1409287051,1423732777,1,1,0,0,0),(53,53,'properties','und','12601 Baja Panorama, Santa Ana, CA 92705',1,1,1409287233,1423734025,1,1,0,0,0),(54,54,'properties','und','32 Pellentesque non aliquet turpis',1,1,1409287595,1409287595,1,1,0,0,0),(55,55,'properties','und','72 Duis feugiat vitae libero',1,1,1409287741,1409287741,1,1,0,0,0),(56,56,'page','und','Community Guidelines',1,1,1409731819,1409731819,1,0,0,0,0),(57,57,'page','und','Free Credit Report',1,1,1409731958,1409731958,1,0,0,0,0),(58,58,'page','und','Home price',1,1,1409732078,1409732078,1,0,0,0,0),(59,59,'page','und','Market View',1,1,1409732186,1409732186,1,0,0,0,0),(60,60,'page','und','Privacy Policy',1,1,1409732272,1409732272,1,0,0,0,0),(61,61,'page','und','Terms & Conditions',1,1,1409732328,1409732328,1,0,0,0,0),(62,62,'page','und','Home page',1,1,1409812428,1409812428,1,0,0,0,0),(63,63,'page','und','Home page 2',1,1,1410232048,1410249459,1,0,0,0,0);
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (0,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_comment_statistics`
--

DROP TABLE IF EXISTS `node_comment_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_comment_statistics`
--

LOCK TABLES `node_comment_statistics` WRITE;
/*!40000 ALTER TABLE `node_comment_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_comment_statistics` VALUES (1,0,1406255379,NULL,1,0),(3,0,1406259218,NULL,1,0),(4,0,1406259294,NULL,1,0),(5,0,1406259303,NULL,1,0),(6,0,1406259336,NULL,1,0),(7,0,1406259358,NULL,1,0),(8,0,1406259372,NULL,1,0),(9,0,1406259530,NULL,1,0),(10,0,1406259542,NULL,1,0),(11,0,1406263211,NULL,3,0),(12,0,1406263229,NULL,5,0),(13,0,1406263274,NULL,4,0),(14,0,1406263656,NULL,1,0),(15,0,1406528942,NULL,1,0),(16,0,1406528960,NULL,1,0),(17,0,1406528973,NULL,1,0),(18,0,1406528990,NULL,1,0),(19,0,1406529004,NULL,1,0),(20,0,1406626342,NULL,1,0),(21,0,1406626479,NULL,1,0),(22,0,1406628015,NULL,5,0),(23,0,1406628054,NULL,1,0),(24,0,1406628074,NULL,1,0),(25,0,1406631351,NULL,1,0),(26,0,1406876130,NULL,1,0),(27,0,1406876283,NULL,1,0),(28,0,1406876423,NULL,1,0),(29,0,1406876533,NULL,1,0),(30,0,1406876627,NULL,1,0),(31,0,1406876786,NULL,1,0),(32,0,1407396771,NULL,1,0),(33,5,1407471678,'',1,5),(34,0,1408011745,NULL,1,0),(35,0,1408012352,NULL,1,0),(36,0,1408069701,NULL,1,0),(37,0,1408069899,NULL,1,0),(38,0,1408070151,NULL,1,0),(39,0,1408071178,NULL,1,0),(40,0,1408095174,NULL,1,0),(41,0,1408427708,NULL,1,0),(42,0,1408428010,NULL,1,0),(43,0,1408428041,NULL,1,0),(44,0,1408938896,NULL,1,0),(45,0,1409222210,NULL,1,0),(46,0,1409222404,NULL,1,0),(47,0,1409222925,NULL,1,0),(48,0,1409223078,NULL,1,0),(49,0,1409223814,NULL,1,0),(50,0,1409286614,NULL,1,0),(51,0,1409286878,NULL,1,0),(52,0,1409287051,NULL,1,0),(53,0,1409287233,NULL,1,0),(54,0,1409287595,NULL,1,0),(55,0,1409287741,NULL,1,0),(56,0,1409731819,NULL,1,0),(57,0,1409731958,NULL,1,0),(58,0,1409732078,NULL,1,0),(59,0,1409732186,NULL,1,0),(60,0,1409732272,NULL,1,0),(61,0,1409732328,NULL,1,0),(62,0,1409812428,NULL,1,0),(63,0,1410232048,NULL,1,0);
/*!40000 ALTER TABLE `node_comment_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_counter`
--

DROP TABLE IF EXISTS `node_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_counter` (
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid for these statistics.',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed.',
  `daycount` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed today.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The most recent time the node has been viewed.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Access statistics for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_counter`
--

LOCK TABLES `node_counter` WRITE;
/*!40000 ALTER TABLE `node_counter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_counter` VALUES (1,3,0,1423794117),(12,4,0,1423728940),(13,5,0,1423728666),(14,35,1,1500349535),(25,2,0,1423732702),(32,4,1,1500349596),(40,3,0,1423728452),(51,1,0,1423733155),(62,105,17,1500349526),(63,26,0,1444033455);
/*!40000 ALTER TABLE `node_counter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,1,'638 N Hart St, Orange, CA 92867','',1423734056,1,1,1,0),(3,3,1,'Curabitur facilisis tristique erat ut pulvinar?','',1406259932,1,1,0,0),(4,4,1,'Proin sodales, tortor non aliquet suscipit?','',1406259932,1,1,0,0),(5,5,1,'Donec eros magna, egestas at quam lacinia, ultrices adipiscing turpis?','',1406259932,1,1,0,0),(6,6,1,'Duis lacus enim, dictum vitae fermentum sed, consequat nec nibh?','',1406259932,1,1,0,0),(7,7,1,'Donec vel laoreet velit, in tincidunt nunc?','',1406259932,1,1,0,0),(8,8,1,'Mauris rutrum ante id rutrum hendrerit?','',1406259932,1,1,0,0),(9,9,1,'Aliquam nec dolor non eros dictum fringilla. Nullam ac mollis arcu?','',1406259932,1,1,0,0),(10,10,1,'Nullam odio diam, adipiscing et quam non, vestibulum dignissim nisi?','',1406259932,1,1,0,0),(11,11,1,'Vestibulum egestas velit porta ipsum','',1409800463,1,2,1,0),(12,12,1,'Nulla pharetra aliquam sagittis','',1408092838,1,2,1,0),(13,13,1,'Pellentesque ut sapien lobortis, varius sem vitae','',1409800289,1,2,1,0),(14,14,1,'About us','',1408510515,1,1,0,0),(15,15,1,'Designed for your business','',1406528942,1,1,1,0),(16,16,1,'Fully responsive','',1406528960,1,1,1,0),(17,17,1,'Amples customizations','',1406528973,1,1,1,0),(18,18,1,'Bootstrap compatible','',1406528990,1,1,1,0),(19,19,1,'Unique design','',1406529004,1,1,1,0),(20,20,1,'Oakmont Way, Cibolo, TX 78108','',1423733285,1,1,1,0),(21,21,1,'186 N Quail Ln','',1423733488,1,1,1,0),(22,22,1,'Aliquam ac tempus quam, a facilisis mi','',1406628015,1,1,0,0),(23,23,1,'Nulla eu erat at diam commodo egestas','',1409725746,1,1,0,0),(24,24,1,'Maecenas id semper est, non sagittis felis','',1406628140,1,1,0,0),(25,25,1,'Alpine Rd, Stockton, CA 95215','',1423733232,1,1,1,0),(26,26,1,'692 N Adele St SPC 120','',1423733455,1,1,1,0),(27,27,1,'204 Dui a fermentum','',1423733351,1,1,1,0),(28,28,1,'1524A Nunc non ornare dui','',1423733320,1,1,1,0),(29,29,1,'3900 Vel ipsum suscipit','',1423733382,1,1,1,0),(30,30,1,'632 N Oxford Ct','',1423733423,1,1,1,0),(31,31,1,'785 Suspendisse potenti','',1423733669,1,1,1,0),(32,32,1,'Get in Touch','',1407463905,1,1,1,0),(33,33,1,'Curabitur placerat ultrices enim non condimentum?','',1409820372,1,2,1,0),(34,34,1,'6226 E Cliffway Dr','',1423733519,1,1,1,0),(35,35,1,'1076 Nelson Walk','',1409219845,1,1,1,0),(36,36,1,'6150 E Allison Cir','',1423733588,1,1,1,0),(37,37,1,'204 temporibus vis','',1409219983,1,1,1,0),(38,38,1,'2315 Pellentesque tempus','',1409220077,1,1,1,0),(39,39,1,'5802 E Bottlebrush Dr','',1423733710,1,1,1,0),(40,40,1,'Vestibulum blandit tempus nulla','',1409820353,1,2,1,0),(41,41,1,'Brokerage Services','',1408530816,1,2,1,0),(42,42,1,'Real Estate Management','',1408520060,1,2,1,0),(43,43,1,'Construction & Development','',1408520035,1,2,1,0),(44,44,1,'404','',1408938911,1,1,0,0),(45,45,1,'4125 E Marmon Ave','',1423733748,1,1,1,0),(46,46,1,'18932 E Center Ave, Orange, CA 92869','',1423733847,1,1,1,0),(47,47,1,'11685 Blackthorn Ln, Orange, CA 92869','',1423733949,1,1,1,0),(48,48,1,'5699 Donec tristique orci non','',1409223663,1,1,1,0),(49,49,1,'4429 E Justice Cir, Orange, CA 92869','',1423733931,1,1,1,0),(50,50,1,'11752 S Esplanade St, Orange, CA 92869','',1423733991,1,1,1,0),(51,51,1,'2547 Maecenas semper est','',1423732805,1,1,1,0),(52,52,1,'4896 Nullam rutrum arcu at ','',1423732777,1,1,1,0),(53,53,1,'12601 Baja Panorama, Santa Ana, CA 92705','',1423734025,1,1,1,0),(54,54,1,'32 Pellentesque non aliquet turpis','',1409287595,1,1,1,0),(55,55,1,'72 Duis feugiat vitae libero','',1409287741,1,1,1,0),(56,56,1,'Community Guidelines','',1409731819,1,1,0,0),(57,57,1,'Free Credit Report','',1409731958,1,1,0,0),(58,58,1,'Home price','',1409732078,1,1,0,0),(59,59,1,'Market View','',1409732186,1,1,0,0),(60,60,1,'Privacy Policy','',1409732272,1,1,0,0),(61,61,1,'Terms & Conditions','',1409732328,1,1,0,0),(62,62,1,'Home page','',1409812428,1,1,0,0),(63,63,1,'Home page 2','',1410249459,1,1,0,0);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_type` VALUES ('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',1,'Title',1,1,0,0,'article'),('blog','Blog entry','blog','blog','Use for multi-user blogs. Every user gets a personal blog.','',1,'Title',0,0,1,0,'blog'),('faq','FAQ','node_content','node','','',1,'Title',1,1,0,0,'faq'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',1,'Title',1,1,0,0,'page'),('properties','Properties','node_content','node','','',1,'Title',1,1,0,0,'properties'),('services','Services','node_content','node','','',1,'Title',1,1,0,0,'services'),('simplenews','Simplenews newsletter','node_content','node','A newsletter issue to be sent to subscribed email addresses.','',1,'Title',1,1,0,0,'simplenews'),('testimonials','Testimonials','node_content','node','','',1,'Title',1,1,0,0,'testimonials'),('webform','Webform','node_content','node','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',1,'Title',1,1,0,0,'webform'),('why_us','Why us','node_content','node','','',1,'Title',1,1,0,0,'why_us');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=757 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `queue` VALUES (751,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500349442),(752,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1425515886\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500349442),(753,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500349442),(754,'update_fetch_tasks','a:8:{s:4:\"name\";s:12:\"views_ticker\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Views Ticker\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:12:\"views_ticker\";s:9:\"datestamp\";s:10:\"1311290520\";s:16:\"_info_file_ctime\";i:1499930424;}s:9:\"datestamp\";s:10:\"1311290520\";s:8:\"includes\";a:1:{s:12:\"views_ticker\";s:12:\"Views Ticker\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500349442),(755,'update_fetch_tasks','a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499930544;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500349442),(756,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500348966;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1500349442);
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quicktabs`
--

DROP TABLE IF EXISTS `quicktabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quicktabs` (
  `machine_name` varchar(255) NOT NULL COMMENT 'The primary identifier for a qt block.',
  `ajax` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this is an ajax views block.',
  `hide_empty_tabs` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this tabset hides empty tabs.',
  `default_tab` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Default tab.',
  `title` varchar(255) NOT NULL COMMENT 'The title of this quicktabs block.',
  `tabs` mediumtext NOT NULL COMMENT 'A serialized array of the contents of this qt block.',
  `renderer` varchar(255) NOT NULL COMMENT 'The rendering mechanism.',
  `style` varchar(255) NOT NULL COMMENT 'The tab style.',
  `options` mediumtext COMMENT 'A serialized array of the options for this qt instance.',
  PRIMARY KEY (`machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The quicktabs table.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quicktabs`
--

LOCK TABLES `quicktabs` WRITE;
/*!40000 ALTER TABLE `quicktabs` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quicktabs` VALUES ('blog_sidebar_tab',0,0,0,'Blog Sidebar Tab','a:2:{i:0;a:5:{s:3:\"bid\";s:25:\"views_delta_blogs-block_1\";s:10:\"hide_title\";i:0;s:5:\"title\";s:7:\"Popular\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:5:\"block\";}i:1;a:5:{s:3:\"bid\";s:20:\"comment_delta_recent\";s:10:\"hide_title\";i:0;s:5:\"title\";s:8:\"Comments\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:5:\"block\";}}','quicktabs','default','a:0:{}'),('home_page_2',0,0,0,'Lasted Properties','a:4:{i:0;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:6:\"page_2\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:3:\"All\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:4:\"view\";}i:1;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:6:\"page_2\";s:4:\"args\";s:2:\"32\";s:5:\"title\";s:9:\"Apartment\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:4:\"view\";}i:2;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:6:\"page_2\";s:4:\"args\";s:2:\"30\";s:5:\"title\";s:11:\"Residential\";s:6:\"weight\";s:3:\"-98\";s:4:\"type\";s:4:\"view\";}i:3;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:6:\"page_2\";s:4:\"args\";s:2:\"31\";s:5:\"title\";s:5:\"Villa\";s:6:\"weight\";s:3:\"-97\";s:4:\"type\";s:4:\"view\";}}','quicktabs','default','a:0:{}'),('property_filter',0,0,0,'Properties','a:4:{i:0;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:4:\"page\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:3:\"All\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:4:\"view\";}i:1;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:4:\"page\";s:4:\"args\";s:2:\"32\";s:5:\"title\";s:9:\"Apartment\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:4:\"view\";}i:2;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:4:\"page\";s:4:\"args\";s:2:\"30\";s:5:\"title\";s:11:\"Residential\";s:6:\"weight\";s:3:\"-98\";s:4:\"type\";s:4:\"view\";}i:3;a:6:{s:3:\"vid\";s:9:\"frontpage\";s:7:\"display\";s:4:\"page\";s:4:\"args\";s:2:\"31\";s:5:\"title\";s:5:\"Villa\";s:6:\"weight\";s:3:\"-97\";s:4:\"type\";s:4:\"view\";}}','quicktabs','default','a:0:{}'),('search_properties',0,0,0,'Search Properties','a:2:{i:0;a:5:{s:3:\"bid\";s:32:\"views_delta_-exp-properties-page\";s:10:\"hide_title\";i:1;s:5:\"title\";s:8:\"For Sale\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:5:\"block\";}i:1;a:5:{s:3:\"bid\";s:34:\"views_delta_-exp-properties-page_1\";s:10:\"hide_title\";i:1;s:5:\"title\";s:8:\"For Rent\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:5:\"block\";}}','quicktabs','default','a:0:{}');
/*!40000 ALTER TABLE `quicktabs` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry`
--

DROP TABLE IF EXISTS `registry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry`
--

LOCK TABLES `registry` WRITE;
/*!40000 ALTER TABLE `registry` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system',0),('addressfield_views_handler_field_country','class','sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc','addressfield',0),('addressfield_views_handler_filter_country','class','sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc','addressfield',0),('AdminMenuCustomizedTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuDynamicLinksTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuLinkTypesTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuPermissionsTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuWebTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMetaTagTestCase','class','modules/system/system.test','system',0),('ArchiverInterface','interface','includes/archiver.inc','',0),('ArchiverTar','class','modules/system/system.archiver.inc','system',0),('ArchiverZip','class','modules/system/system.archiver.inc','system',0),('Archive_Tar','class','modules/system/system.tar.inc','system',0),('BatchMemoryQueue','class','includes/batch.queue.inc','',0),('BatchQueue','class','includes/batch.queue.inc','',0),('Bean','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanAccess','class','sites/all/modules/bean/bean.test','bean',0),('BeanCustom','class','sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','bean_admin_ui',0),('BeanDefault','class','sites/all/modules/bean/plugins/BeanDefault.class.php','bean',0),('BeanEntityAPIController','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanException','class','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanInlineEntityFormController','class','sites/all/modules/bean/includes/bean.inline_entity_form.inc','bean',0),('BeanIntegrationTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanMetadataController','class','sites/all/modules/bean/includes/bean.info.inc','bean',0),('BeanPlugin','class','sites/all/modules/bean/plugins/BeanPlugin.class.php','bean',0),('BeanSetup','class','sites/all/modules/bean/bean.test','bean',0),('BeanTestPlugins','class','sites/all/modules/bean/bean.test','bean',0),('BeanTests','class','sites/all/modules/bean/bean.test','bean',0),('BeanTypePluginInterface','interface','sites/all/modules/bean/includes/bean.core.inc','bean',0),('BeanUnitTests','class','sites/all/modules/bean/bean.test','bean',0),('BEF_TestCheckboxes','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestDatepicker','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestHidden','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestLinks','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestMisc','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestOptions','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestRadios','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestRewrite','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSecondaryFilters','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSliders','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestSort','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('BEF_TestTaxonomyFilters','class','sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','better_exposed_filters',0),('better_exposed_filters_exposed_form_plugin','class','sites/all/modules/better_exposed_filters/better_exposed_filters_exposed_form_plugin.inc','better_exposed_filters',0),('BlockAdminThemeTestCase','class','modules/block/block.test','block',-5),('BlockCacheTestCase','class','modules/block/block.test','block',-5),('BlockClassContextTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassFeaturesTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassPermissionTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassUpdateDisplayTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockHashTestCase','class','modules/block/block.test','block',-5),('BlockHiddenRegionTestCase','class','modules/block/block.test','block',-5),('BlockHTMLIdTestCase','class','modules/block/block.test','block',-5),('BlockInvalidRegionTestCase','class','modules/block/block.test','block',-5),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block',-5),('BlockTestCase','class','modules/block/block.test','block',-5),('BlockViewModuleDeltaAlterWebTest','class','modules/block/block.test','block',-5),('BlogTestCase','class','modules/blog/blog.test','blog',0),('ColorTestCase','class','modules/color/color.test','color',0),('CommentActionsTestCase','class','modules/comment/comment.test','comment',0),('CommentAnonymous','class','modules/comment/comment.test','comment',0),('CommentApprovalTest','class','modules/comment/comment.test','comment',0),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment',0),('CommentContentRebuild','class','modules/comment/comment.test','comment',0),('CommentController','class','modules/comment/comment.module','comment',0),('CommentFieldsTest','class','modules/comment/comment.test','comment',0),('CommentHelperCase','class','modules/comment/comment.test','comment',0),('CommentInterfaceTest','class','modules/comment/comment.test','comment',0),('CommentNodeAccessTest','class','modules/comment/comment.test','comment',0),('CommentNodeChangesTestCase','class','modules/comment/comment.test','comment',0),('CommentPagerTest','class','modules/comment/comment.test','comment',0),('CommentPreviewTest','class','modules/comment/comment.test','comment',0),('CommentRSSUnitTest','class','modules/comment/comment.test','comment',0),('CommentThreadingTestCase','class','modules/comment/comment.test','comment',0),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment',0),('ConfirmFormTest','class','modules/system/system.test','system',0),('ContactPersonalTestCase','class','modules/contact/contact.test','contact',0),('ContactSitewideTestCase','class','modules/contact/contact.test','contact',0),('ContextConditionBookroot','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionBookTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionContextTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionLanguageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionMenuTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTaxonomyTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionNodeTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionPathTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionSitewideTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserPageTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextConditionUserTest','class','sites/all/modules/context/tests/context.conditions.test','context',0),('ContextReactionBlockAjaxAccessTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockAjaxTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBlockTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionBreadcrumbTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionMenuTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionRegionTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextReactionThemeHtmlTest','class','sites/all/modules/context/tests/context.reactions.test','context',0),('ContextualDynamicContextTestCase','class','modules/contextual/contextual.test','contextual',0),('ContextUiTestCase','class','sites/all/modules/context/context_ui/tests/context_ui.test','context_ui',0),('ContextUnitTest','class','sites/all/modules/context/tests/context.test','context',0),('context_condition','class','sites/all/modules/context/plugins/context_condition.inc','context',0),('context_condition_context','class','sites/all/modules/context/plugins/context_condition_context.inc','context',0),('context_condition_context_all','class','sites/all/modules/context/plugins/context_condition_context_all.inc','context',0),('context_condition_default','class','sites/all/modules/context/plugins/context_condition_default.inc','context',0),('context_condition_language','class','sites/all/modules/context/plugins/context_condition_language.inc','context',0),('context_condition_menu','class','sites/all/modules/context/plugins/context_condition_menu.inc','context',0),('context_condition_node','class','sites/all/modules/context/plugins/context_condition_node.inc','context',0),('context_condition_node_taxonomy','class','sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','context',0),('context_condition_path','class','sites/all/modules/context/plugins/context_condition_path.inc','context',0),('context_condition_query_string','class','sites/all/modules/context/plugins/context_condition_query_string.inc','context',0),('context_condition_sitewide','class','sites/all/modules/context/plugins/context_condition_sitewide.inc','context',0),('context_condition_taxonomy_term','class','sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','context',0),('context_condition_user','class','sites/all/modules/context/plugins/context_condition_user.inc','context',0),('context_condition_user_page','class','sites/all/modules/context/plugins/context_condition_user_page.inc','context',0),('context_condition_views','class','sites/all/modules/context/plugins/context_condition_views.inc','context',0),('context_export_ui','class','sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','context_ui',0),('context_reaction','class','sites/all/modules/context/plugins/context_reaction.inc','context',0),('context_reaction_block','class','sites/all/modules/context/plugins/context_reaction_block.inc','context',0),('context_reaction_breadcrumb','class','sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','context',0),('context_reaction_debug','class','sites/all/modules/context/plugins/context_reaction_debug.inc','context',0),('context_reaction_menu','class','sites/all/modules/context/plugins/context_reaction_menu.inc','context',0),('context_reaction_region','class','sites/all/modules/context/plugins/context_reaction_region.inc','context',0),('context_reaction_template_suggestions','class','sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','context',0),('context_reaction_theme','class','sites/all/modules/context/plugins/context_reaction_theme.inc','context',0),('context_reaction_theme_html','class','sites/all/modules/context/plugins/context_reaction_theme_html.inc','context',0),('CronQueueTestCase','class','modules/system/system.test','system',0),('CronRunTestCase','class','modules/system/system.test','system',0),('CtoolsContextKeywordsSubstitutionTestCase','class','sites/all/modules/ctools/tests/context.test','ctools',0),('CToolsCssCache','class','sites/all/modules/ctools/includes/css-cache.inc','ctools',0),('CtoolsCssTestCase','class','sites/all/modules/ctools/tests/css.test','ctools',0),('CtoolsMathExpressionStackTestCase','class','sites/all/modules/ctools/tests/math_expression_stack.test','ctools',0),('CtoolsMathExpressionTestCase','class','sites/all/modules/ctools/tests/math_expression.test','ctools',0),('CtoolsObjectCache','class','sites/all/modules/ctools/tests/object_cache.test','ctools',0),('CtoolsPluginsGetInfoTestCase','class','sites/all/modules/ctools/tests/ctools.plugins.test','ctools',0),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools',0),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools',0),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard',0),('Database','class','includes/database/database.inc','',0),('DatabaseCondition','class','includes/database/query.inc','',0),('DatabaseConnection','class','includes/database/database.inc','',0),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','',0),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','',0),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','',0),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','',0),('DatabaseLog','class','includes/database/log.inc','',0),('DatabaseSchema','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','',0),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','',0),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','',0),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','',0),('DatabaseStatementBase','class','includes/database/database.inc','',0),('DatabaseStatementEmpty','class','includes/database/database.inc','',0),('DatabaseStatementInterface','interface','includes/database/database.inc','',0),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','',0),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseTaskException','class','includes/install.inc','',0),('DatabaseTasks','class','includes/install.inc','',0),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','',0),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','',0),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','',0),('DatabaseTransaction','class','includes/database/database.inc','',0),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','',0),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','',0),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','',0),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','',0),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','',0),('DateFormatTestCase','class','modules/system/system.test','system',0),('DateTimeFunctionalTest','class','modules/system/system.test','system',0),('DBLogTestCase','class','modules/dblog/dblog.test','dblog',0),('DefaultMailSystem','class','modules/system/system.mail.inc','system',0),('DeleteQuery','class','includes/database/query.inc','',0),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('DrupalCacheArray','class','includes/bootstrap.inc','',0),('DrupalCacheInterface','interface','includes/cache.inc','',0),('DrupalDatabaseCache','class','includes/cache.inc','',0),('DrupalDefaultEntityController','class','includes/entity.inc','',0),('DrupalEntityControllerInterface','interface','includes/entity.inc','',0),('DrupalFakeCache','class','includes/cache-install.inc','',0),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalQueue','class','modules/system/system.queue.inc','system',0),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalSetMessageTest','class','modules/system/system.test','system',0),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalUpdateException','class','includes/update.inc','',0),('DrupalUpdaterInterface','interface','includes/updater.inc','',0),('EnableDisableTestCase','class','modules/system/system.test','system',0),('Entity','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityAPICommentNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIController','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerExportable','class','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIControllerRevisionableInterface','interface','sites/all/modules/entity/includes/entity.controller.inc','entity',0),('EntityAPIi18nItegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPIRulesIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityAPITestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityBundleableUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityContentUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDB','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDBExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityDefaultExtraFieldsController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultFeaturesController','class','sites/all/modules/entity/entity.features.inc','entity',0),('EntityDefaultI18nStringController','class','sites/all/modules/entity/entity.i18n.inc','entity',0),('EntityDefaultMetadataController','class','sites/all/modules/entity/entity.info.inc','entity',0),('EntityDefaultRulesController','class','sites/all/modules/entity/entity.rules.inc','entity',0),('EntityDefaultUIController','class','sites/all/modules/entity/includes/entity.ui.inc','entity',0),('EntityDefaultViewsController','class','sites/all/modules/entity/views/entity.views.inc','entity',0),('EntityDrupalWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityExtendable','class','sites/all/modules/entity/includes/entity.inc','entity',0),('EntityExtraFieldsControllerInterface','interface','sites/all/modules/entity/entity.info.inc','entity',0),('EntityFieldHandlerHelper','class','sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','entity',0),('EntityFieldQuery','class','includes/entity.inc','',0),('EntityFieldQueryException','class','includes/entity.inc','',0),('EntityListWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMalformedException','class','includes/entity.inc','',0),('EntityMetadataArrayObject','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataIntegrationTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeCreateAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataNodeRevisionAccessTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityMetadataWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperException','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityMetadataWrapperIterator','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field',0),('EntityReferenceAdminTestCase','class','sites/all/modules/entityreference/tests/entityreference.admin.test','entityreference',0),('EntityReferenceBehavior_TaxonomyIndex','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','entityreference',0),('EntityReferenceBehavior_ViewsFilterSelect','class','sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','entityreference',0),('EntityReferenceHandlersTestCase','class','sites/all/modules/entityreference/tests/entityreference.handlers.test','entityreference',0),('EntityReferenceTaxonomyTestCase','class','sites/all/modules/entityreference/tests/entityreference.taxonomy.test','entityreference',0),('EntityReference_BehaviorHandler','interface','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Abstract','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('EntityReference_BehaviorHandler_Broken','class','sites/all/modules/entityreference/plugins/behavior/abstract.inc','entityreference',0),('entityreference_plugin_display','class','sites/all/modules/entityreference/views/entityreference_plugin_display.inc','entityreference',0),('entityreference_plugin_row_fields','class','sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','entityreference',0),('entityreference_plugin_style','class','sites/all/modules/entityreference/views/entityreference_plugin_style.inc','entityreference',0),('EntityReference_SelectionHandler','interface','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Broken','class','sites/all/modules/entityreference/plugins/selection/abstract.inc','entityreference',0),('EntityReference_SelectionHandler_Generic','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_comment','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_file','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_node','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_taxonomy_term','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Generic_user','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','entityreference',0),('EntityReference_SelectionHandler_Views','class','sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','entityreference',0),('EntityStructureWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityTokenTestCase','class','sites/all/modules/entity/entity.test','entity',0),('EntityTranslationBeanHandler','class','sites/all/modules/bean/includes/translation.handler.bean.inc','bean',0),('EntityValueWrapper','class','sites/all/modules/entity/includes/entity.wrapper.inc','entity',0),('EntityWebTestCase','class','sites/all/modules/entity/entity.test','entity',0),('entity_views_handler_area_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','entity',0),('entity_views_handler_field_boolean','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','entity',0),('entity_views_handler_field_date','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','entity',0),('entity_views_handler_field_duration','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','entity',0),('entity_views_handler_field_entity','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','entity',0),('entity_views_handler_field_field','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','entity',0),('entity_views_handler_field_numeric','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','entity',0),('entity_views_handler_field_options','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','entity',0),('entity_views_handler_field_text','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','entity',0),('entity_views_handler_field_uri','class','sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','entity',0),('entity_views_handler_relationship','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','entity',0),('entity_views_handler_relationship_by_bundle','class','sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','entity',0),('entity_views_plugin_row_entity_view','class','sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','entity',0),('FeaturesCtoolsIntegrationTest','class','sites/all/modules/features/tests/features.test','features',20),('FeaturesDetectionTestCase','class','sites/all/modules/features/tests/features.test','features',20),('FeaturesEnableTestCase','class','sites/all/modules/features/tests/features.test','features',20),('FeaturesUserTestCase','class','sites/all/modules/features/tests/features.test','features',20),('FeedsMapperFieldTestCase','class','sites/all/modules/entityreference/tests/entityreference.feeds.test','entityreference',0),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachTestCase','class','modules/field/tests/field.test','field',0),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field',0),('FieldCollectionBasicTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionContentTranslationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCollectionItemMetadataController','class','sites/all/modules/field_collection/field_collection.info.inc','field_collection',0),('FieldCollectionRulesIntegrationTestCase','class','sites/all/modules/field_collection/field_collection.test','field_collection',0),('FieldCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field',0),('FieldException','class','modules/field/field.module','field',0),('FieldFormTestCase','class','modules/field/tests/field.test','field',0),('FieldInfo','class','modules/field/field.info.class.inc','field',0),('FieldInfoTestCase','class','modules/field/tests/field.test','field',0),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldsOverlapException','class','includes/database/database.inc','',0),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage',0),('FieldTestCase','class','modules/field/tests/field.test','field',0),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field',0),('FieldUIAlterTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUpdateForbiddenException','class','modules/field/field.module','field',0),('FieldValidationException','class','modules/field/field.attach.inc','field',0),('field_collection_handler_relationship','class','sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','field_collection',0),('FileFieldAnonymousSubmission','class','modules/file/tests/file.test','file',0),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file',0),('FileFieldPathTestCase','class','modules/file/tests/file.test','file',0),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file',0),('FileFieldTestCase','class','modules/file/tests/file.test','file',0),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file',0),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file',0),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file',0),('FilePrivateTestCase','class','modules/file/tests/file.test','file',0),('FileTaxonomyTermTestCase','class','modules/file/tests/file.test','file',0),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file',0),('FileTransfer','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','',0),('FileTransferException','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferFTP','class','includes/filetransfer/ftp.inc','',0),('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','',0),('FileTransferLocal','class','includes/filetransfer/local.inc','',0),('FileTransferSSH','class','includes/filetransfer/ssh.inc','',0),('FilterAdminTestCase','class','modules/filter/filter.test','filter',0),('FilterCRUDTestCase','class','modules/filter/filter.test','filter',0),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterDOMSerializeTestCase','class','modules/filter/filter.test','filter',0),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter',0),('FilterHooksTestCase','class','modules/filter/filter.test','filter',0),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterSecurityTestCase','class','modules/filter/filter.test','filter',0),('FilterSettingsTestCase','class','modules/filter/filter.test','filter',0),('FilterUnitTestCase','class','modules/filter/filter.test','filter',0),('FlexsliderTestCase','class','sites/all/modules/flexslider/flexslider.test','flexslider',0),('flexslider_views_plugin_style_flexslider','class','sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc','flexslider_views',0),('FloodFunctionalTest','class','modules/system/system.test','system',0),('FrontPageTestCase','class','modules/system/system.test','system',0),('GeofieldBaseTestCase','class','sites/all/modules/geofield/tests/geofield.test','geofield',0),('GeoFieldElementTestCase','class','sites/all/modules/geofield/tests/geofield.test','geofield',0),('GeofieldFormatterTestCase','class','sites/all/modules/geofield/tests/geofield.test','geofield',0),('geofieldProximityBase','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityBase.inc','geofield',0),('geofieldProximityContextualFilter','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityContextualFilter.inc','geofield',0),('geofieldProximityCurrentUser','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityCurrentUser.inc','geofield',0),('geofieldProximityEntityURL','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityEntityURL.inc','geofield',0),('geofieldProximityExposedFilter','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityExposedFilter.inc','geofield',0),('geofieldProximityGeocoder','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityGeocoder.inc','geofield',0),('geofieldProximityGeocoderWithHTML5','class','sites/all/modules/ip_geoloc/views/proximity_plugins/geofieldProximityGeocoderWithHTML5.inc','ip_geoloc',0),('geofieldProximityManual','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityManual.inc','geofield',0),('geofieldProximityOtherGeofield','class','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityOtherGeofield.inc','geofield',0),('geofieldProximityPluginInterface','interface','sites/all/modules/geofield/views/proximity_plugins/geofieldProximityBase.inc','geofield',0),('GeofieldWidgetTestCase','class','sites/all/modules/geofield/tests/geofield.test','geofield',0),('geofield_handler_argument_proximity','class','sites/all/modules/geofield/views/handlers/geofield_handler_argument_proximity.inc','geofield',0),('geofield_handler_field','class','sites/all/modules/geofield/views/handlers/geofield_handler_field.inc','geofield',0),('geofield_handler_filter','class','sites/all/modules/geofield/views/handlers/geofield_handler_filter.inc','geofield',0),('geofield_handler_sort','class','sites/all/modules/geofield/views/handlers/geofield_handler_sort.inc','geofield',0),('geofield_map_plugin_style_map','class','sites/all/modules/geofield/modules/geofield_map/includes/geofield_map_plugin_style_map.inc','geofield_map',0),('GmapDefaults','class','sites/all/modules/gmap/lib/Drupal/gmap/GmapDefaults.php','gmap',0),('GmapDefaultsTestCase','class','sites/all/modules/gmap/tests/oopmigration.test','gmap',0),('GMapMacroTest','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('GmapMacroToolbox','class','sites/all/modules/gmap/lib/Drupal/gmap/GmapMacroToolbox.php','gmap',0),('GmapMacroToolboxTestCase','class','sites/all/modules/gmap/tests/oopmigration.test','gmap',0),('GmapPolylineToolbox','class','sites/all/modules/gmap/lib/Drupal/gmap/GmapPolylineToolbox.php','gmap',0),('GmapPolylineToolboxTestCase','class','sites/all/modules/gmap/tests/oopmigration.test','gmap',0),('GMapSimpleAPITest','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('gmap_plugin_style_gmap','class','sites/all/modules/gmap/gmap_plugin_style_gmap.inc','gmap',0),('gmap_plugin_style_gmapextended','class','sites/all/modules/gmap/gmap_plugin_style_gmapextended.inc','gmap',0),('GroupDisplayTestCase','class','sites/all/modules/field_group/tests/field_group.display.test','field_group',1),('GroupUITestCase','class','sites/all/modules/field_group/tests/field_group.ui.test','field_group',0),('HelpTestCase','class','modules/help/help.test','help',0),('HookRequirementsTestCase','class','modules/system/system.test','system',0),('ImageAdminStylesUnitTest','class','modules/image/image.test','image',0),('ImageAdminUiTestCase','class','modules/image/image.test','image',0),('ImageDimensionsScaleTestCase','class','modules/image/image.test','image',0),('ImageDimensionsTestCase','class','modules/image/image.test','image',0),('ImageEffectsUnitTest','class','modules/image/image.test','image',0),('ImageFieldDefaultImagesTestCase','class','modules/image/image.test','image',0),('ImageFieldDisplayTestCase','class','modules/image/image.test','image',0),('ImageFieldTestCase','class','modules/image/image.test','image',0),('ImageFieldValidateTestCase','class','modules/image/image.test','image',0),('ImageStyleFlushTest','class','modules/image/image.test','image',0),('ImageStylesPathAndUrlTestCase','class','modules/image/image.test','image',0),('ImageThemeFunctionWebTestCase','class','modules/image/image.test','image',0),('InfoFileParserTestCase','class','modules/system/system.test','system',0),('InsertQuery','class','includes/database/query.inc','',0),('InsertQuery_mysql','class','includes/database/mysql/query.inc','',0),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('InvalidMergeQueryException','class','includes/database/database.inc','',0),('InvalidQuickSetException','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('IPAddressBlockingTestCase','class','modules/system/system.test','system',0),('ip_geoloc_plugin_argument_default_ip_geoloc','class','sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_argument_default_ip_geoloc.inc','ip_geoloc',0),('ip_geoloc_plugin_style_leaflet','class','sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_style_leaflet.inc','ip_geoloc',0),('ip_geoloc_plugin_style_map','class','sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_style_map.inc','ip_geoloc',0),('ip_geoloc_plugin_style_openlayers','class','sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_style_openlayers.inc','ip_geoloc',0),('jcarousel_style_plugin','class','sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','jcarousel',0),('LGFATestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('LibrariesTestCase','class','sites/all/modules/libraries/tests/libraries.test','libraries',0),('LibrariesUnitTestCase','class','sites/all/modules/libraries/tests/libraries.test','libraries',0),('LinkAttributeCrudTest','class','sites/all/modules/link/tests/link.attribute.test','link',0),('LinkBaseTestClass','class','sites/all/modules/link/tests/link.test','link',0),('LinkContentCrudTest','class','sites/all/modules/link/tests/link.crud.test','link',0),('LinkTokenTest','class','sites/all/modules/link/tests/link.token.test','link',0),('LinkUITest','class','sites/all/modules/link/tests/link.crud_browser.test','link',0),('LinkValidateSpecificURL','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTest','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestCase','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestNews','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateUrlLight','class','sites/all/modules/link/tests/link.validate.test','link',0),('link_views_handler_argument_target','class','sites/all/modules/link/views/link_views_handler_argument_target.inc','link',0),('link_views_handler_filter_protocol','class','sites/all/modules/link/views/link_views_handler_filter_protocol.inc','link',0),('ListDynamicValuesTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListDynamicValuesValidationTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list',0),('LocaleBrowserDetectionTest','class','modules/locale/locale.test','locale',0),('LocaleCommentLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleConfigurationTest','class','modules/locale/locale.test','locale',0),('LocaleContentFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleCSSAlterTest','class','modules/locale/locale.test','locale',0),('LocaleDateFormatsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleExportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleImportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleInstallTest','class','modules/locale/locale.test','locale',0),('LocaleJavascriptTranslationTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageNegotiationInfoFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageSwitchingFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLibraryInfoAlterTest','class','modules/locale/locale.test','locale',0),('LocaleMultilingualFieldsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePathFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePluralFormatTest','class','modules/locale/locale.test','locale',0),('LocaleStringIsSafeTest','class','modules/locale/locale.test','locale',0),('LocaleTranslationFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUILanguageNegotiationTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFrenchFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUrlRewritingTest','class','modules/locale/locale.test','locale',0),('LocaleUserCreationTest','class','modules/locale/locale.test','locale',0),('LocaleUserLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('MailSystemInterface','interface','includes/mail.inc','',0),('MemoryQueue','class','modules/system/system.queue.inc','system',0),('MenuAttributesNodeTestCase','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',10),('MenuAttributesTestCase','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',10),('MenuAttributesTestHelper','class','sites/all/modules/menu_attributes/menu_attributes.test','menu_attributes',10),('MenuNodeTestCase','class','modules/menu/menu.test','menu',0),('MenuTestCase','class','modules/menu/menu.test','menu',0),('MergeQuery','class','includes/database/query.inc','',0),('MigrateAddressFieldHandler','class','sites/all/modules/addressfield/addressfield.migrate.inc','addressfield',0),('MigrateBlockReferenceFieldHandler','class','sites/all/modules/blockreference/MigrateBlockReferenceFieldHandler.inc','blockreference',0),('MigrateDestinationFieldCollection','class','sites/all/modules/field_collection/field_collection.migrate.inc','field_collection',0),('MigrateEmailFieldHandler','class','sites/all/modules/email/email.migrate.inc','email',0),('MigrateEntityReferenceFieldHandler','class','sites/all/modules/entityreference/entityreference.migrate.inc','entityreference',0),('MigrateLinkFieldHandler','class','sites/all/modules/link/link.migrate.inc','link',0),('MigrateMetatagsquickFieldHandler','class','sites/all/modules/metatags_quick/metatags_quick.migrate.inc','metatags_quick',0),('MigrateVideoEmbedFieldFieldHandler','class','sites/all/modules/video_embed_field/video_embed_field.migrate.inc','video_embed_field',0),('ModuleDependencyTestCase','class','modules/system/system.test','system',0),('ModuleRequiredTestCase','class','modules/system/system.test','system',0),('ModuleTestCase','class','modules/system/system.test','system',0),('ModuleUpdater','class','modules/system/system.updater.inc','system',0),('ModuleVersionTestCase','class','modules/system/system.test','system',0),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node',0),('NewDefaultThemeBlocks','class','modules/block/block.test','block',-5),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node',0),('NodeAccessFieldTestCase','class','modules/node/node.test','node',0),('NodeAccessPagerTestCase','class','modules/node/node.test','node',0),('NodeAccessRebuildTestCase','class','modules/node/node.test','node',0),('NodeAccessRecordsTestCase','class','modules/node/node.test','node',0),('NodeAccessTestCase','class','modules/node/node.test','node',0),('NodeAdminTestCase','class','modules/node/node.test','node',0),('NodeBlockFunctionalTest','class','modules/node/node.test','node',0),('NodeBlockTestCase','class','modules/node/node.test','node',0),('NodeBuildContent','class','modules/node/node.test','node',0),('NodeController','class','modules/node/node.module','node',0),('NodeCreationTestCase','class','modules/node/node.test','node',0),('NodeEntityFieldQueryAlter','class','modules/node/node.test','node',0),('NodeEntityViewModeAlterTest','class','modules/node/node.test','node',0),('NodeFeedTestCase','class','modules/node/node.test','node',0),('NodeLoadHooksTestCase','class','modules/node/node.test','node',0),('NodeLoadMultipleTestCase','class','modules/node/node.test','node',0),('NodeMultiByteUtf8Test','class','modules/node/node.test','node',0),('NodePageCacheTest','class','modules/node/node.test','node',0),('NodePostSettingsTestCase','class','modules/node/node.test','node',0),('NodeQueryAlter','class','modules/node/node.test','node',0),('NodeRevisionPermissionsTestCase','class','modules/node/node.test','node',0),('NodeRevisionsTestCase','class','modules/node/node.test','node',0),('NodeRSSContentTestCase','class','modules/node/node.test','node',0),('NodeSaveTestCase','class','modules/node/node.test','node',0),('NodeTitleTestCase','class','modules/node/node.test','node',0),('NodeTitleXSSTestCase','class','modules/node/node.test','node',0),('NodeTokenReplaceTestCase','class','modules/node/node.test','node',0),('NodeTypePersistenceTestCase','class','modules/node/node.test','node',0),('NodeTypeTestCase','class','modules/node/node.test','node',0),('NodeWebTestCase','class','modules/node/node.test','node',0),('NoFieldsException','class','includes/database/database.inc','',0),('NoHelpTestCase','class','modules/help/help.test','help',0),('NonDefaultBlockAdmin','class','modules/block/block.test','block',-5),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number',0),('OptionsSelectDynamicValuesTestCase','class','modules/field/modules/options/options.test','options',0),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options',0),('PageEditTestCase','class','modules/node/node.test','node',0),('PageNotFoundTestCase','class','modules/system/system.test','system',0),('PagePreviewTestCase','class','modules/node/node.test','node',0),('PagerDefault','class','includes/pager.inc','',0),('PageTitleFiltering','class','modules/system/system.test','system',0),('PageViewTestCase','class','modules/node/node.test','node',0),('PathautoBulkUpdateTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoFunctionalTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoFunctionalTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoLocaleTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoTokenTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathautoUnitTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',0),('PathLanguageTestCase','class','modules/path/path.test','path',0),('PathLanguageUITestCase','class','modules/path/path.test','path',0),('PathMonolingualTestCase','class','modules/path/path.test','path',0),('PathTaxonomyTermTestCase','class','modules/path/path.test','path',0),('PathTestCase','class','modules/path/path.test','path',0),('PHPAccessTestCase','class','modules/php/php.test','php',0),('PHPFilterTestCase','class','modules/php/php.test','php',0),('PHPTestCase','class','modules/php/php.test','php',0),('Query','class','includes/database/query.inc','',0),('QueryAlterableInterface','interface','includes/database/query.inc','',0),('QueryConditionInterface','interface','includes/database/query.inc','',0),('QueryExtendableInterface','interface','includes/database/select.inc','',0),('QueryPlaceholderInterface','interface','includes/database/query.inc','',0),('QueueTestCase','class','modules/system/system.test','system',0),('QuickAccordion','class','sites/all/modules/quicktabs/plugins/QuickAccordion.inc','quicktabs',0),('QuickBlockContent','class','sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','quicktabs',0),('QuickCallbackContent','class','sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','quicktabs',0),('QuickContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickContentRenderable','interface','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickNodeContent','class','sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','quicktabs',0),('QuickPreRenderedContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickQtabsContent','class','sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','quicktabs',0),('QuickQuicktabs','class','sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','quicktabs',0),('QuickRenderer','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickSet','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuicktabsAdminTestCase','class','sites/all/modules/quicktabs/tests/quicktabs.test','quicktabs',0),('quicktabs_style_plugin','class','sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','quicktabs',0),('QuickUiTabs','class','sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','quicktabs',0),('QuickViewContent','class','sites/all/modules/quicktabs/plugins/QuickViewContent.inc','quicktabs',0),('references_handler_argument','class','sites/all/modules/references/views/references_handler_argument.inc','references',0),('references_handler_relationship','class','sites/all/modules/references/views/references_handler_relationship.inc','references',0),('references_plugin_display','class','sites/all/modules/references/views/references_plugin_display.inc','references',0),('references_plugin_row_fields','class','sites/all/modules/references/views/references_plugin_row_fields.inc','references',0),('references_plugin_style','class','sites/all/modules/references/views/references_plugin_style.inc','references',0),('RetrieveFileTestCase','class','modules/system/system.test','system',0),('SchemaCache','class','includes/bootstrap.inc','',0),('SearchAdvancedSearchForm','class','modules/search/search.test','search',0),('SearchBlockTestCase','class','modules/search/search.test','search',0),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search',0),('SearchCommentTestCase','class','modules/search/search.test','search',0),('SearchConfigSettingsForm','class','modules/search/search.test','search',0),('SearchEmbedForm','class','modules/search/search.test','search',0),('SearchExactTestCase','class','modules/search/search.test','search',0),('SearchExcerptTestCase','class','modules/search/search.test','search',0),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search',0),('SearchKeywordsConditions','class','modules/search/search.test','search',0),('SearchLanguageTestCase','class','modules/search/search.test','search',0),('SearchMatchTestCase','class','modules/search/search.test','search',0),('SearchNodeAccessTest','class','modules/search/search.test','search',0),('SearchNodeTagTest','class','modules/search/search.test','search',0),('SearchNumberMatchingTestCase','class','modules/search/search.test','search',0),('SearchNumbersTestCase','class','modules/search/search.test','search',0),('SearchPageOverride','class','modules/search/search.test','search',0),('SearchPageText','class','modules/search/search.test','search',0),('SearchQuery','class','modules/search/search.extender.inc','search',0),('SearchRankingTestCase','class','modules/search/search.test','search',0),('SearchSetLocaleTest','class','modules/search/search.test','search',0),('SearchSimplifyTestCase','class','modules/search/search.test','search',0),('SearchTokenizerTestCase','class','modules/search/search.test','search',0),('SelectQuery','class','includes/database/select.inc','',0),('SelectQueryExtender','class','includes/database/select.inc','',0),('SelectQueryInterface','interface','includes/database/select.inc','',0),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','',0),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','',0),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShutdownFunctionsTest','class','modules/system/system.test','system',0),('SimpleNewsAdministrationTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsI18nTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsSendTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsSourceCacheBuild','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceCacheInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceCacheNone','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceCacheStatic','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceNode','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceNodeInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceTest','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSourceTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsSpool','class','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSpoolInterface','interface','sites/all/modules/simplenews/includes/simplenews.source.inc','simplenews',0),('SimplenewsSubscribeTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimplenewsUnitTest','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsUpgradePath61TestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsUpgradePath62TestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('SimpleNewsUpgradePathTestCase','class','sites/all/modules/simplenews/tests/simplenews.test','simplenews',0),('simplenews_handler_field_category_hyperlinks','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_hyperlinks.inc','simplenews',0),('simplenews_handler_field_category_new_account','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_new_account.inc','simplenews',0),('simplenews_handler_field_category_opt_inout','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_opt_inout.inc','simplenews',0),('simplenews_handler_field_newsletter_priority','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_priority.inc','simplenews',0),('simplenews_handler_field_newsletter_send','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_send.inc','simplenews',0),('simplenews_handler_field_newsletter_status','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_status.inc','simplenews',0),('simplenews_handler_filter_category_hyperlinks','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_hyperlinks.inc','simplenews',0),('simplenews_handler_filter_category_new_account','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_new_account.inc','simplenews',0),('simplenews_handler_filter_category_opt_inout','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_opt_inout.inc','simplenews',0),('simplenews_handler_filter_newsletter_priority','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_priority.inc','simplenews',0),('simplenews_handler_filter_newsletter_status','class','sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_status.inc','simplenews',0),('SiteMaintenanceTestCase','class','modules/system/system.test','system',0),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','',0),('StatisticsAdminTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsBlockVisitorsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsLoggingTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsReportsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsTokenReplaceTestCase','class','modules/statistics/statistics.test','statistics',0),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('SummaryLengthTestCase','class','modules/node/node.test','node',0),('SystemAdminTestCase','class','modules/system/system.test','system',0),('SystemAuthorizeCase','class','modules/system/system.test','system',0),('SystemBlockTestCase','class','modules/system/system.test','system',0),('SystemIndexPhpTest','class','modules/system/system.test','system',0),('SystemInfoAlterTestCase','class','modules/system/system.test','system',0),('SystemMainContentFallback','class','modules/system/system.test','system',0),('SystemQueue','class','modules/system/system.queue.inc','system',0),('SystemThemeFunctionalTest','class','modules/system/system.test','system',0),('SystemValidTokenTest','class','modules/system/system.test','system',0),('TableSort','class','includes/tablesort.inc','',0),('TaxonomyEFQTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLoadMultipleTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyQueryAlterTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyRSSTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyTermFieldMultipleVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFunctionTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermIndexTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('testGmapFormsTestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('testGmapMacroFormsTestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('testGmapTaxonomyFormsTestCase','class','sites/all/modules/gmap/tests/gmap.test','gmap',0),('TestingMailSystem','class','modules/system/system.mail.inc','system',0),('TextFieldTestCase','class','modules/field/modules/text/text.test','text',0),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text',0),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text',0),('ThemeRegistry','class','includes/theme.inc','',0),('ThemeUpdater','class','modules/system/system.updater.inc','system',0),('TokenArrayTestCase','class','sites/all/modules/token/token.test','token',0),('TokenBlockTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCommentTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCurrentPageTestCase','class','sites/all/modules/token/token.test','token',0),('TokenDateTestCase','class','sites/all/modules/token/token.test','token',0),('TokenEntityTestCase','class','sites/all/modules/token/token.test','token',0),('TokenFileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenMenuTestCase','class','sites/all/modules/token/token.test','token',0),('TokenNodeTestCase','class','sites/all/modules/token/token.test','token',0),('TokenProfileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenRandomTestCase','class','sites/all/modules/token/token.test','token',0),('TokenReplaceTestCase','class','modules/system/system.test','system',0),('TokenScanTest','class','modules/system/system.test','system',0),('TokenTaxonomyTestCase','class','sites/all/modules/token/token.test','token',0),('TokenTestHelper','class','sites/all/modules/token/token.test','token',0),('TokenUnitTestCase','class','sites/all/modules/token/token.test','token',0),('TokenURLTestCase','class','sites/all/modules/token/token.test','token',0),('TokenUserTestCase','class','sites/all/modules/token/token.test','token',0),('TruncateQuery','class','includes/database/query.inc','',0),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','',0),('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('UpdateCoreTestCase','class','modules/update/update.test','update',0),('UpdateCoreUnitTestCase','class','modules/update/update.test','update',0),('UpdateQuery','class','includes/database/query.inc','',0),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('Updater','class','includes/updater.inc','',0),('UpdaterException','class','includes/updater.inc','',0),('UpdaterFileTransferException','class','includes/updater.inc','',0),('UpdateScriptFunctionalTest','class','modules/system/system.test','system',0),('UpdateTestContribCase','class','modules/update/update.test','update',0),('UpdateTestHelper','class','modules/update/update.test','update',0),('UpdateTestUploadCase','class','modules/update/update.test','update',0),('UserAccountLinksUnitTests','class','modules/user/user.test','user',0),('UserAdminTestCase','class','modules/user/user.test','user',0),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user',0),('UserAutocompleteTestCase','class','modules/user/user.test','user',0),('UserBlocksUnitTests','class','modules/user/user.test','user',0),('UserCancelTestCase','class','modules/user/user.test','user',0),('UserController','class','modules/user/user.module','user',0),('UserCreateTestCase','class','modules/user/user.test','user',0),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user',0),('UserEditRebuildTestCase','class','modules/user/user.test','user',0),('UserEditTestCase','class','modules/user/user.test','user',0),('UserLoginTestCase','class','modules/user/user.test','user',0),('UserPasswordResetTestCase','class','modules/user/user.test','user',0),('UserPermissionsTestCase','class','modules/user/user.test','user',0),('UserPictureTestCase','class','modules/user/user.test','user',0),('UserRegistrationTestCase','class','modules/user/user.test','user',0),('UserRoleAdminTestCase','class','modules/user/user.test','user',0),('UserRolesAssignmentTestCase','class','modules/user/user.test','user',0),('UserSaveTestCase','class','modules/user/user.test','user',0),('UserSignatureTestCase','class','modules/user/user.test','user',0),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user',0),('UserTokenReplaceTestCase','class','modules/user/user.test','user',0),('UserUserSearchTestCase','class','modules/user/user.test','user',0),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user',0),('UserValidationTestCase','class','modules/user/user.test','user',0),('view','class','sites/all/modules/views/includes/view.inc','views',10),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views',0),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views',0),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views',0),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views',0),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views',0),('ViewsBootstrapAccordionPluginStyle','class','sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginRows','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginStyle','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapGridPluginStyle','class','sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapMediaPluginStyle','class','sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTablePluginStyle','class','sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTabPluginStyle','class','sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginRows','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginStyle','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','views_bootstrap',0),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views',0),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views',10),('viewsFieldApiDataTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsFieldApiTestHelper','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views',0),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views',0),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views',0),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views',0),('ViewsHandlerArgumentStringTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_string.test','views',0),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views',0),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views',0),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views',0),('viewsHandlerFieldFieldTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views',0),('ViewsHandlerFieldTest','class','sites/all/modules/views/tests/handlers/views_handler_field.test','views',0),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views',0),('viewsHandlerFieldUserNameTest','class','sites/all/modules/views/tests/user/views_handler_field_user_name.test','views',0),('ViewsHandlerFileExtensionTest','class','sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','views',0),('ViewsHandlerFilterCombineTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','views',0),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views',0),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views',0),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views',10),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views',0),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views',0),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views',0),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views',0),('ViewsHandlerRelationshipNodeTermDataTest','class','sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','views',0),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views',0),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views',0),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views',0),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views',0),('ViewsHandlerTest','class','sites/all/modules/views/tests/handlers/views_handlers.test','views',0),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views',0),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views',0),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views',10),('ViewsNodeRevisionRelationsTestCase','class','sites/all/modules/views/tests/node/views_node_revision_relations.test','views',0),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views',0),('ViewsPluginDisplayTestCase','class','sites/all/modules/views/tests/plugins/views_plugin_display.test','views',0),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views',0),('ViewsPluginStyleMappingTest','class','sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','views',0),('ViewsPluginStyleTestBase','class','sites/all/modules/views/tests/styles/views_plugin_style_base.test','views',0),('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views',10),('ViewsPluginStyleUnformattedTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','views',0),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views',10),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views',0),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui',0),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui',0),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui',0),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui',0),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui',0),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui',0),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views',0),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views',0),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views',0),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views',0),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views',0),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('views_accordion_style_plugin','class','sites/all/modules/views_accordion/views_accordion_style_plugin.inc','views_accordion',0),('views_db_object','class','sites/all/modules/views/includes/view.inc','views',10),('views_display','class','sites/all/modules/views/includes/view.inc','views',10),('views_embed_field_views_handler_field_thumbnail_path','class','sites/all/modules/video_embed_field/views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc','video_embed_field',0),('views_fieldsets_fieldset_field_handler','class','sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','views_fieldsets',0),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_messages','class','sites/all/modules/views/handlers/views_handler_area_messages.inc','views',0),('views_handler_area_result','class','sites/all/modules/views/handlers/views_handler_area_result.inc','views',10),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views',0),('views_handler_area_text_custom','class','sites/all/modules/views/handlers/views_handler_area_text_custom.inc','views',0),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views',10),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views',0),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views',0),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views',0),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views',0),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views',0),('views_handler_argument_field_list','class','sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','views',0),('views_handler_argument_field_list_string','class','sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','views',0),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views',0),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views',0),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views',0),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views',0),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views',0),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views',0),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views',0),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views',0),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views',0),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views',0),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views',0),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views',0),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views',0),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views',0),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views',10),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views',0),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views',0),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views',10),('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views',0),('views_handler_argument_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','views',10),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views',0),('views_handler_argument_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','views',0),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views',0),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views',0),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views',0),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views',0),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views',0),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views',0),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views',0),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views',0),('views_handler_field_bean_delete_link','class','sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','bean',0),('views_handler_field_bean_edit_link','class','sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','bean',0),('views_handler_field_bean_operations','class','sites/all/modules/bean/views/views_handler_field_bean_operations.inc','bean',0),('views_handler_field_bean_type','class','sites/all/modules/bean/views/views_handler_field_bean_type.inc','bean',0),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views',0),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views',0),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views',0),('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views',0),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views',0),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views',0),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views',0),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views',0),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views',0),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views',0),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views',0),('views_handler_field_contextual_links','class','sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','views',10),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views',10),('views_handler_field_ctools_dropdown','class','sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','views',10),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views',0),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views',0),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views',0),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views',10),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views',0),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views',0),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views',0),('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views',0),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views',0),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views',0),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views',0),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views',0),('views_handler_field_links','class','sites/all/modules/views/handlers/views_handler_field_links.inc','views',10),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views',0),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views',0),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views',10),('views_handler_field_machine_name','class','sites/all/modules/views/handlers/views_handler_field_machine_name.inc','views',0),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views',0),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views',10),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views',0),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views',0),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views',0),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views',0),('views_handler_field_node_counter_timestamp','class','sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','views',10),('views_handler_field_node_language','class','sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','views',0),('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views',0),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views',0),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views',0),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views',0),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views',0),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views',0),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views',0),('views_handler_field_node_revision_link','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','views',0),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views',0),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views',0),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views',0),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views',0),('views_handler_field_node_version_count','class','sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','views',10),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views',10),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views',0),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views',0),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views',0),('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views',0),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views',0),('views_handler_field_statistics_numeric','class','sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','views',10),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views',10),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views',0),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views',10),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views',0),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views',0),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views',0),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views',0),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views',0),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views',0),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views',0),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views',0),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views',10),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views',0),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views',0),('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views',0),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views',0),('views_handler_filter_bean_type','class','sites/all/modules/bean/views/views_handler_filter_bean_type.inc','bean',0),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views',0),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views',0),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_combine','class','sites/all/modules/views/handlers/views_handler_filter_combine.inc','views',10),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views',0),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views',10),('views_handler_filter_entity_bundle','class','sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','views',0),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views',0),('views_handler_filter_fields_compare','class','sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','views',0),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views',0),('views_handler_filter_field_list_boolean','class','sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','views',10),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views',0),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views',0),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views',0),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views',0),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views',0),('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views',0),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views',0),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views',0),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views',0),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views',0),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views',0),('views_handler_filter_node_language','class','sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','views',0),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views',0),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views',0),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views',0),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views',0),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views',10),('views_handler_filter_node_version_count','class','sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','views',10),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views',0),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views',0),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views',0),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views',0),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views',10),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views',0),('views_handler_filter_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','views',10),('views_handler_filter_tracker_boolean_operator','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','views',0),('views_handler_filter_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','views',0),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views',0),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views',0),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views',0),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views',0),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views',0),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views',0),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views',0),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views',0),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views',10),('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views',0),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views',0),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views',0),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views',0),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views',0),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views',0),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views',0),('views_handler_sort_node_language','class','sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','views',10),('views_handler_sort_node_version_count','class','sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','views',10),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views',0),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views',0),('views_isotope_plugin_style_isotope','class','sites/all/modules/views_isotope/views_isotope_plugin_style_isotope.inc','views_isotope',0),('views_join','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_metro_plugin_style_metro','class','sites/all/modules/views_metro/views_metro_plugin_style_metro.inc','views_metro',0),('views_object','class','sites/all/modules/views/includes/base.inc','views',10),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views',10),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views',0),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views',0),('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views',0),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views',0),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views',0),('views_plugin_argument_default_book_root','class','sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','views',0),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views',0),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views',0),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views',0),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views',0),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views',0),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views',0),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views',0),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views',10),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views',0),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views',0),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views',0),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views',10),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views',0),('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views',10),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views',0),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views',10),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views',10),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views',10),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views',10),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views',0),('views_plugin_display_embed','class','sites/all/modules/views/plugins/views_plugin_display_embed.inc','views',0),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views',0),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views',0),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views',10),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views',0),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views',0),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views',0),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views',0),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views',0),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views',0),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views',0),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views',0),('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views',0),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views',0),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views',0),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views',0),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views',10),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views',10),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views',0),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views',0),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views',10),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views',0),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views',0),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views',10),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views',10),('views_plugin_row_rss_fields','class','sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','views',0),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views',0),('views_plugin_row_user_view','class','sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','views',10),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views',10),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views',0),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views',0),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views',10),('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views',0),('views_plugin_style_mapping','class','sites/all/modules/views/plugins/views_plugin_style_mapping.inc','views',10),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views',10),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views',0),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views',0),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views',0),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views',0),('views_slideshow_plugin_style_slideshow','class','sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','views_slideshow',0),('views_test_area_access','class','sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','views',0),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views',0),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views',0),('views_test_plugin_style_test_mapping','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','views',0),('views_ticker_style_plugin','class','sites/all/modules/views_ticker/includes/views_ticker_style_plugin.inc','views_ticker',0),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui',0),('WebformComponentsTestCase','class','sites/all/modules/webform/tests/WebformComponentsTestCase.test','webform',-1),('WebformConditionals','class','sites/all/modules/webform/includes/webform.webformconditionals.inc','webform',-1),('WebformConditionalsTestCase','class','sites/all/modules/webform/tests/WebformConditionalsTestCase.test','webform',-1),('WebformGeneralTestCase','class','sites/all/modules/webform/tests/WebformGeneralTestCase.test','webform',-1),('WebformPermissionsTestCase','class','sites/all/modules/webform/tests/WebformPermissionsTestCase.test','webform',-1),('WebformSubmissionTestCase','class','sites/all/modules/webform/tests/WebformSubmissionTestCase.test','webform',-1),('WebformTestCase','class','sites/all/modules/webform/tests/WebformTestCase.test','webform',-1),('webform_exporter','class','sites/all/modules/webform/includes/exporters/webform_exporter.inc','webform',-1),('webform_exporter_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','webform',-1),('webform_exporter_excel_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','webform',-1),('webform_exporter_excel_xlsx','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','webform',-1),('webform_handler_area_result_pager','class','sites/all/modules/webform/views/webform_handler_area_result_pager.inc','webform',-1),('webform_handler_field_form_body','class','sites/all/modules/webform/views/webform_handler_field_form_body.inc','webform',-1),('webform_handler_field_is_draft','class','sites/all/modules/webform/views/webform_handler_field_is_draft.inc','webform',-1),('webform_handler_field_node_link_edit','class','sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','webform',-1),('webform_handler_field_node_link_results','class','sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','webform',-1),('webform_handler_field_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_field_submission_count','class','sites/all/modules/webform/views/webform_handler_field_submission_count.inc','webform',-1),('webform_handler_field_submission_data','class','sites/all/modules/webform/views/webform_handler_field_submission_data.inc','webform',-1),('webform_handler_field_submission_link','class','sites/all/modules/webform/views/webform_handler_field_submission_link.inc','webform',-1),('webform_handler_field_webform_status','class','sites/all/modules/webform/views/webform_handler_field_webform_status.inc','webform',-1),('webform_handler_filter_is_draft','class','sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','webform',0),('webform_handler_filter_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_filter_submission_data','class','sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','webform',-1),('webform_handler_filter_webform_status','class','sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','webform',0),('webform_handler_relationship_submission_data','class','sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','webform',-1),('webform_handler_sort_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_views_plugin_row_submission_view','class','sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','webform',-1);
/*!40000 ALTER TABLE `registry` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry_file`
--

DROP TABLE IF EXISTS `registry_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry_file`
--

LOCK TABLES `registry_file` WRITE;
/*!40000 ALTER TABLE `registry_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry_file` VALUES ('includes/actions.inc','f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),('includes/ajax.inc','3d1c0d2efcdab327224122df1156a665f9bbf60873907dde2f189b018d4e9be3'),('includes/archiver.inc','bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),('includes/authorize.inc','6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),('includes/batch.inc','1fe00f9a25481cd43e19fbd6bd37b7ff9dca79f8405ec3e55ffb011be12ec2c3'),('includes/batch.queue.inc','554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),('includes/bootstrap.inc','fdd02ea25268751b8024237b82792c9c05e596f744bb1c2cda4d36da839c902c'),('includes/cache-install.inc','e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),('includes/cache.inc','033c9bf2555dba29382b077f78cc00c82fd7f42a959ba31b710adddf6fdf24fe'),('includes/common.inc','04e8ed1c7f366c1012909481c118ec0203e3c998782564bfdbc5620c82def903'),('includes/database/database.inc','2ef46543fb9cf61ed9fa9aed4e44dd31630c22604ea6b8e48b57ebd7ad11a111'),('includes/database/log.inc','9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),('includes/database/mysql/database.inc','32a577354dba6030043500873f8a2a7359c80c179a213284b026c1a9b0452b70'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),('includes/database/mysql/schema.inc','2ef729f8d6466d5cd87ba233152d88590bce629d8366040b2509b4e24258d780'),('includes/database/pgsql/database.inc','651bec324e2204aa35a28fdbd876aa8e4f7a9e909e75cc8db811e9c156b0df88'),('includes/database/pgsql/install.inc','39587f26a9e054afaab2064d996af910f1b201ef1c6b82938ef130e4ff8c6aab'),('includes/database/pgsql/query.inc','0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),('includes/database/pgsql/schema.inc','1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),('includes/database/pgsql/select.inc','1e509bc97c58223750e8ea735145b316827e36f43c07b946003e41f5bca23659'),('includes/database/prefetch.inc','b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),('includes/database/query.inc','982d44a294eea1c9619687c14df2987257e3776fcabeba05f01432e934cf61c6'),('includes/database/schema.inc','6ea8e4063eb72d8f6b1a9f8b8908489d9f89b4a158ef37002d21209fb500358c'),('includes/database/select.inc','02a2d4345287df62b163ca2524e99b7370c9ec167bc937245328683d4e3e3d56'),('includes/database/sqlite/database.inc','62f6669c4610557c4b34ada9f0a0f61d6cb7b377e0a9032d2efca7b5f39b0965'),('includes/database/sqlite/install.inc','6620f354aa175a116ba3a0562c980d86cc3b8b481042fc3cc5ed6a4d1a7a6d74'),('includes/database/sqlite/query.inc','0eb02ad036ef61c490fb3f189a4cdc8fc1ae0d442737806346fd63aea8f30db3'),('includes/database/sqlite/schema.inc','3a7d22ec1f0ee09bfa267309b90e30edbe39e453b3025b30cbe3ae7412a4df2d'),('includes/database/sqlite/select.inc','8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),('includes/date.inc','1de2c25e3b67a9919fc6c8061594442b6fb2cdd3a48ddf1591ee3aa98484b737'),('includes/entity.inc','f06b508f93e72ba70f979d8391be57662c018a03a32fac0a6d3baa752740133d'),('includes/errors.inc','d731bbe3a60508e164cfa90b8edc06400c7f15844f9f9bc3935dd87e44c460db'),('includes/file.inc','f112194214d483ce867165922ad7996c64174bd932369f89f8335af026bbb493'),('includes/file.mimetypes.inc','33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),('includes/filetransfer/filetransfer.inc','fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),('includes/filetransfer/ftp.inc','51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),('includes/form.inc','a0e219d53d641f08d6f1d609e53f06f3f8b1c591d20113d0992557c815b44a72'),('includes/graph.inc','8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),('includes/image.inc','bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),('includes/install.core.inc','189653e4bb7d4828bd6e1b61015fabcc7182e23d9dd8858170f98114d99400c8'),('includes/install.inc','fbb23627b06abb070b4531da786c1e06bf1dbd6f923bb2b404f4808c2340b0f9'),('includes/iso.inc','0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),('includes/json-encode.inc','02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),('includes/language.inc','4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),('includes/locale.inc','ca50acc0780cbffeca17f99a0997f91b8b9402f0eec1898c3122e1d73664d01d'),('includes/lock.inc','a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),('includes/mail.inc','41d0e657119a05f8d7e85ebf32e74b12a1c3107d717a348158414b113e208b9c'),('includes/menu.inc','8e7a8a1a4666a8ca66d1b19cc97be4cf82c3bb0e835e652ee366bec9b74a8c23'),('includes/module.inc','8dab73e50e6bcd680a26f55597d2d103ba68a29089f888e2a2c206fc38eaa669'),('includes/pager.inc','6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),('includes/password.inc','fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),('includes/path.inc','2dca08d14a46e5ac6a665b7a5dde78045d8de2b35aaa78c6fb811e1125ce4953'),('includes/registry.inc','f47b20859f0fc80bf4bb2849a1282d6c54006957b69da0e5f4691de585ca4cdf'),('includes/session.inc','5851ff6941aba2744dd0c247f077fc02fbbe24e9786e04ea0a3c372d68ca6d16'),('includes/stream_wrappers.inc','b8a5a53f3d3ef26ea868037547f76af8049ce0c55b464810c627310a84f24924'),('includes/tablesort.inc','2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),('includes/theme.inc','5d8b96db9760367eb86821085a17a144a58cb355e6f547e321321ee34535da7b'),('includes/theme.maintenance.inc','39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),('includes/token.inc','5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),('includes/update.inc','25c30f1e61ef9c91a7bdeb37791c2215d9dc2ae07dba124722d783ca31bb01e7'),('includes/updater.inc','d2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),('includes/utility.inc','3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),('includes/xmlrpc.inc','ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),('includes/xmlrpcs.inc','925c4d5bf429ad9650f059a8862a100bd394dce887933f5b3e7e32309a51fd8e'),('modules/block/block.test','40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),('modules/blog/blog.test','f7534b972951c05d34bd832d3e06176b372fff6f4999c428f789fdd7703ed2e2'),('modules/color/color.test','610ba154f42b6af5871fb09cdb0bc7badc29b03845c08d86e0e524840dd27568'),('modules/comment/comment.module','db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),('modules/comment/comment.test','332d14e197b4ebe85b1b70a15602981d99d332e2293576c0e44cf18a808c7aac'),('modules/contact/contact.test','655e8d5fe7536a972c2233e438a142166b15a118cc644e94b756c2814c375634'),('modules/contextual/contextual.test','023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),('modules/dashboard/dashboard.test','125df00fc6deb985dc554aa7807a48e60a68dbbddbad9ec2c4718da724f0e683'),('modules/dblog/dblog.test','79ba7991c3f40f9241e9a03ffa43faf945c82658ca9b52ec62bd13bd80f41269'),('modules/field/field.attach.inc','2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),('modules/field/field.info.class.inc','cf18178e119d43897d3abd882ba3acc0cf59d1ad747663437c57b1ec4d0a4322'),('modules/field/field.module','48b5b83f214a8d19e446f46c5d7a1cd35faa656ccb7b540f9f02462a440cacdd'),('modules/field/modules/field_sql_storage/field_sql_storage.test','315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),('modules/field/modules/list/tests/list.test','c1a214d7efd3247dd947d742a8514ec9649da62593608dfdccee6913d48e5709'),('modules/field/modules/number/number.test','fc8f193904f1c5f87dcf51a279975214b34aa1349fe9c38b09c4e6740b059b49'),('modules/field/modules/options/options.test','1b30956b6f46840ccb41b99bda08f328172f008f1fb4164c65fe9e4047fffa5f'),('modules/field/modules/text/text.test','5c28b9da26417d2ed8a169850989c0b59f2b188a0161eb58e2b87c67994d602d'),('modules/field/tests/field.test','5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),('modules/field_ui/field_ui.test','f535e5627c969e9083a63aaf72d4ac645e30709d7b87af15c6c3b870481f283a'),('modules/file/tests/file.test','f2328df0915f0d7235cb147515ed64cb1c510a744646fb680da98c8d9f2523c5'),('modules/filter/filter.test','b8aa5e6b832422c6ad5fe963898ec9526c814614f27ecccb67107ce194997d6a'),('modules/help/help.test','bc934de8c71bd9874a05ccb5e8f927f4c227b3b2397d739e8504c8fd6ae5a83c'),('modules/image/image.test','6e7a0cbcb58f6210127b0ac7c1d118d488abd0925fe8db10a3405af87f1d9fe1'),('modules/locale/locale.test','08793bfbabe6147248a3cbbecaec2c3179baf15bd3289b43f3b0dad3bc8280ae'),('modules/menu/menu.test','71efd7117a882fdcdd50971b4a68f7f2895b532e09acf094d747f27a15742c5b'),('modules/node/node.module','70f969229d03819dba439546ae7aef30283b93e410af1b45f5a25b90d3cb8edd'),('modules/node/node.test','35bf40fde62f3a1de95bab9f037b84f20c2f93a1c579d7d19e4a87afe75dc330'),('modules/path/path.test','2004183b2c7c86028bf78c519c6a7afc4397a8267874462b0c2b49b0f8c20322'),('modules/php/php.test','d234f9c1ab18a05834a3cb6dc532fb4c259aa25612551f953ba6e3bb714657b8'),('modules/search/search.extender.inc','013a6a841cc48a6dc991153fb692b8d1546e56b78d9c95e97e0d7e92296d3481'),('modules/search/search.test','e43c21510d510885dfad6484afa931382083b75b7e67286bda56a6aafe265f28'),('modules/shortcut/shortcut.test','0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),('modules/statistics/statistics.test','7abe4cce7ef548637d709e22cf340f9973b6d77615a470949d20a6426f5b08f2'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','d31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),('modules/system/system.queue.inc','a77a5913d84368092805ac551ca63737c1d829455504fcccb95baa2932f28009'),('modules/system/system.tar.inc','d0d2f191d79b3227852e7436908386bdd7a25f78c73f3c8bf9ef5903892ae993'),('modules/system/system.test','7a94d94c13eb60684678e62f25cec44d46714a1ca4987f62d86d358e8978902a'),('modules/system/system.updater.inc','9433fa8d39500b8c59ab05f41c0aac83b2586a43be4aa949821380e36c4d3c48'),('modules/taxonomy/taxonomy.module','19992c2e810a7b7a1c228d178b0b6c5f358082d515b8a6e77b0415a430e23997'),('modules/taxonomy/taxonomy.test','ce91ff8a2879d65fdb3477d3f437cad8ef50b8963dadb75ae203854987b2c23a'),('modules/update/update.test','994b66b737f16eb98ee18c9e9ecd62e86de2792159e70b36982e95b48f2746a3'),('modules/user/user.module','b773a1b0f7448546393e6f7b2436d0d91b7965889afdf4a863bba4c0bc0dba69'),('modules/user/user.test','0b55048c0de2dee5ab1c25a38c01b3bd13f476b43e4172bb0c06cb6188d2edc9'),('sites/all/modules/addressfield/addressfield.migrate.inc','e380fa7331f04e098224ea0fad8bcd2572bd6680c86f60206f926bb25ce2bc5d'),('sites/all/modules/addressfield/views/addressfield_views_handler_field_country.inc','e87fd32bd4ba5229040ab7020206774fec2717236d4a39c729362b5c7a55f03c'),('sites/all/modules/addressfield/views/addressfield_views_handler_filter_country.inc','51956e153daca9f27e4c8bbecfa2398a4ef50391d2f5bcac258586a6d1dd1fb2'),('sites/all/modules/admin_menu/tests/admin_menu.test','185f8244f7a086cda1bd9435ec529e8632598e9b09d1e0d7363b75cf87c04afb'),('sites/all/modules/bean/bean.test','a9e4a3181284e8fde14ea84d3d43457db1b88fc3224f593cc80fc261e6991bad'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','00dcdb1b8dad36d2f01be0133f6cfc05058f44c80b14b7cc9ebead32276631db'),('sites/all/modules/bean/bean_admin_ui/plugins/BeanCustom.class.php','88d197383ee6b796bedd193d9c0bf60cf0434eb038936cabb53b93586b856b11'),('sites/all/modules/bean/includes/bean.core.inc','0fd4a9094e32a7138e0900c05969042c1dcad2920347ac0f18f9dc003a714f83'),('sites/all/modules/bean/includes/bean.info.inc','a201903c5c7ccd2a534dcbdf59bf18a7d9a70c7eeb261f21e5e377c78e0da7d6'),('sites/all/modules/bean/includes/bean.inline_entity_form.inc','ac30e293a60f6253f9572d2aa58cb8738b4d592c47b80159c16e6a2caee4cb86'),('sites/all/modules/bean/includes/translation.handler.bean.inc','9447e56e581d88a0499eb299ded116a8165e8d409e76388a31c69ba3b36d1f08'),('sites/all/modules/bean/plugins/BeanDefault.class.php','8d1806968fd6cf5458de179115b5707aede67480a10d6e510bbf0b7a9fa9976b'),('sites/all/modules/bean/plugins/BeanPlugin.class.php','6ce3a322d204a39874a9110e4abb4d830394cfd08e9a2880d71c2dc387506484'),('sites/all/modules/bean/views/views_handler_field_bean_delete_link.inc','88dc2137059157c3be780594c6e517927176609bb4e7409837b2ba7ae382fb4a'),('sites/all/modules/bean/views/views_handler_field_bean_edit_link.inc','868ef7a7053cf5cbdcbf365798dd646b0e9909b99b479d9f1bb677d99333e1f1'),('sites/all/modules/bean/views/views_handler_field_bean_operations.inc','d8101316aff08a185611f4128ea46a00fa8cd94867ec18c3775ecf57f1b1feec'),('sites/all/modules/bean/views/views_handler_field_bean_type.inc','a99634103fa22d9a1b13da43c72fbbe35f5963432fa7096d847843d262c38bfe'),('sites/all/modules/bean/views/views_handler_filter_bean_type.inc','4da64b68eff8dced69f2032d57e68970c385b0a5bace3bcff617c0464ecf52e6'),('sites/all/modules/better_exposed_filters/better_exposed_filters_exposed_form_plugin.inc','64b7e6ba646b8e34d12ab61f6635d3b56acffe4f8220cff22eec0b790a37d5a5'),('sites/all/modules/better_exposed_filters/tests/better_exposed_filters.test','6ca4aeb4b38d2efe8df587435dd073b8e1a218faa48f155d27ec2c44b5f88c35'),('sites/all/modules/blockreference/MigrateBlockReferenceFieldHandler.inc','d2d925ab05482e5f568f4721d44fbd1d049aa361a904016b9ae47ddad10af518'),('sites/all/modules/block_class/block_class.test','ad3e6238a7a0c025d2cac75cfa089c90ce721a94241925db4484ceb6a04ec8a4'),('sites/all/modules/context/context_ui/export_ui/context_export_ui.class.php','ee6ee0bb2d30fade0e982d1db437a802e654ac438b15362fa7d33770d9f11f60'),('sites/all/modules/context/context_ui/tests/context_ui.test','7350a5984e3d4799621809f5d9134cf117411c9049b49f78b4d35293591f3dd5'),('sites/all/modules/context/plugins/context_condition.inc','2701acb0f8667cf922052a9265bb84c936a3b716afaf3a8eff2ad04e332b5a2f'),('sites/all/modules/context/plugins/context_condition_context.inc','cc3630470442db0c92d2def23cc03eeb9de30fb1c00dd2e00660646e292a705c'),('sites/all/modules/context/plugins/context_condition_context_all.inc','80b00ab0cd49aa4cfe4493a2cd08dde594d73ba3f3563d34c15ae2b46fc5983e'),('sites/all/modules/context/plugins/context_condition_default.inc','5764948ea3f0c7b55e14b0cd3690ab279f2237eb45043fac102a82b5d392c4a2'),('sites/all/modules/context/plugins/context_condition_language.inc','edbd457b68a4dd1e213792dce89d89ae17127d21ec3aa7e64eb6e636f11b2034'),('sites/all/modules/context/plugins/context_condition_menu.inc','6f3c05bc11b8e9e4257add5045ff00f7aa554624e47424affe00170f7bd8a8c8'),('sites/all/modules/context/plugins/context_condition_node.inc','8d54a13f2ed57cd1a36d1dbcba62e32f256ed6e71554643599fca50a3dddbbd0'),('sites/all/modules/context/plugins/context_condition_node_taxonomy.inc','f7f766547b3e1767ff69adfd25f756cc519a1e845e134f945c1e40865e5bf243'),('sites/all/modules/context/plugins/context_condition_path.inc','c9ad2e426c75c8ba6bc4c94181aadadf3f474272cd0dc0bc67bd7c6cd810fea7'),('sites/all/modules/context/plugins/context_condition_query_string.inc','3902793c371098e42e0d3336fb8a0c26a0f18685ac03c6ac9a04f755a8ebd0cc'),('sites/all/modules/context/plugins/context_condition_sitewide.inc','cb5061fe6757287744f3db7296380120089c4e56af3298395aeaa3da16aedc3b'),('sites/all/modules/context/plugins/context_condition_taxonomy_term.inc','94eb955d5705e75936cc440417893e341905fa7fb3df3b6d3e7d838fa33e313c'),('sites/all/modules/context/plugins/context_condition_user.inc','a6fd04ce6574d5391427a038da1f158f47b062cde7655811fa5a41271e75d20c'),('sites/all/modules/context/plugins/context_condition_user_page.inc','c5c48146a183e6d2cdfa07222e7f614bd9ba3ff4b745131c9910aeb79bbf4bcd'),('sites/all/modules/context/plugins/context_condition_views.inc','5cd3e84b22977af2d1a72ecc9dffb9b1beb1ac42f2ad2741de5a015a45734473'),('sites/all/modules/context/plugins/context_reaction.inc','497ce814344a5789eebd05e77f9a84625d20f8bf38cf77bf794ac85fdd1c1c0a'),('sites/all/modules/context/plugins/context_reaction_block.inc','e387623a2916d3ecd34eb455a8b62d621edd2f84ba6a2a925bdd835338120fbb'),('sites/all/modules/context/plugins/context_reaction_breadcrumb.inc','2231768e9595ef916c50c41bbe32d2b5a7812bfc50d359da85c8fa31cc883bec'),('sites/all/modules/context/plugins/context_reaction_debug.inc','c57b92ccf0b1278dce108089989eb32fb532e786f9bc01d2cb694819b468f322'),('sites/all/modules/context/plugins/context_reaction_menu.inc','eb9d92f4a0549728a3110ca13ed70de4cb67d02ad321b9c13fbde4bf58c53911'),('sites/all/modules/context/plugins/context_reaction_region.inc','fc61c32bcdd8da4db6441424a4b5af8c7ccfd388386b0a0f3e497fe694006241'),('sites/all/modules/context/plugins/context_reaction_template_suggestions.inc','a56462376d34c9304297425695c29aecad3d8fd9e98f82b111153c1335803f8d'),('sites/all/modules/context/plugins/context_reaction_theme.inc','eae05dc2e34947aacc18bdfb4925df9a7946d64d9b23e7cde92ee23610cadffd'),('sites/all/modules/context/plugins/context_reaction_theme_html.inc','b0b4f355aebce29dbaa3e2bf26c35443d134f73649f1e197170e73d5ab93e0a2'),('sites/all/modules/context/tests/context.conditions.test','28e69f66bb56433c584474beb75e83a87b74bc5927baf646a8cea7c26b8b47b9'),('sites/all/modules/context/tests/context.reactions.test','4d1d8d1497fc32e685446e52e387e537a6ec183ed598d224e356ad1461676efa'),('sites/all/modules/context/tests/context.test','05e97800946a534d2a4f3f017f6ac3ee682c7ef8a430cef5bb769574701d9419'),('sites/all/modules/ctools/includes/context.inc','867c8a65b99131be8226700d51a5fb3d51896bf95279beedac55f51a27fd714b'),('sites/all/modules/ctools/includes/css-cache.inc','db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),('sites/all/modules/ctools/includes/math-expr.inc','3c60674360d5caa754895f32d87cde6a122f61800d4b762e7e09d49501fd47b8'),('sites/all/modules/ctools/includes/stylizer.inc','3f91f5ed42fb6ee1b65ddef7ac22577b07a5d75ca1eb2df60041243ced5c7079'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','2fd87a7d80689e4d44673b31c07b762144eb8ac57324fd0b9cd9ede5f4ea34b5'),('sites/all/modules/ctools/tests/context.test','05145aae34016fd1d8c776ad4cca92b2f514570a8cd26b30dfb563a07540afd2'),('sites/all/modules/ctools/tests/css.test','dbf094da0eb52da28afb07b894e15425169d29d9d06011a3ad2cdd5980a0df01'),('sites/all/modules/ctools/tests/css_cache.test','9d72d577414a35941d245b5531a4505d2c4a7b702ac301814631b5ed6b15187a'),('sites/all/modules/ctools/tests/ctools.plugins.test','e1c9d250430253676d417e50faef04c4e577614ff0ec2c3c0ce76095873e9b00'),('sites/all/modules/ctools/tests/math_expression.test','92ac6cb63ac8be8384d5ee4d3a7abe32d52fa78c82c99c7291151609ea2b6d06'),('sites/all/modules/ctools/tests/math_expression_stack.test','2816fd55f6c1a4742b6e962613c20f72bd31e034af12b64e33df35b272a6c176'),('sites/all/modules/ctools/tests/object_cache.test','c680cc821c2b51d48032213eb61b17896513fff2fa0df29d16e12ba54a7ce443'),('sites/all/modules/email/email.migrate.inc','bf3859ca39a3e5570e4ac862858f066668caab33841d65bdfa229c8445e12d5a'),('sites/all/modules/entity/entity.features.inc','47261e1f4f39ac3707a16fdea8a8147c09df1281bcb4b9e46b0c8120603137e8'),('sites/all/modules/entity/entity.i18n.inc','41e0e62af7e2774f62b162d597bb3244551c280296b692b29d039a2c243d7059'),('sites/all/modules/entity/entity.info.inc','8799080b9393c9560e64feae1276fb7d26fef4d92bb0edacc863ee3e7b67bf04'),('sites/all/modules/entity/entity.rules.inc','774199059d1b3ebe6d3fe7a49dbb1550df489055a3d066b5de54edda8dd7ba84'),('sites/all/modules/entity/entity.test','df253128e41f152b45ef30b5674009c51cf4112450e5dad8e815f39ced280db5'),('sites/all/modules/entity/includes/entity.controller.inc','342db185e6170b63c59a9b360a196eb322edb9a5b8c7819f66b0eae48ed13ebd'),('sites/all/modules/entity/includes/entity.inc','57411fa3d7b5cd2afe8b84f20c1741f48c32673a9da07bd2c35d4a11c50c640e'),('sites/all/modules/entity/includes/entity.ui.inc','65739b31af0e6b422919c17805799dc99143fd89cacfb56b9186e26ece2d0df2'),('sites/all/modules/entity/includes/entity.wrapper.inc','0db08cbb6b730035e3e9a483e6e5c06a744a73f19e4ca83936446b44f0c3d158'),('sites/all/modules/entity/views/entity.views.inc','de657f42389ed6832df787e4b618d8d7117b60d145d34ce5dcf3a5b65db29df9'),('sites/all/modules/entity/views/handlers/entity_views_field_handler_helper.inc','4ec395881109a71327ab8d7c5b5702bef30288ca66557e44e8539cc15a2135bb'),('sites/all/modules/entity/views/handlers/entity_views_handler_area_entity.inc','7b7bb88e53861739b7279f705f0492fc83ce95f5b20d89339480f546422ebf25'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_boolean.inc','b28b8eee8761ba7a6af35d97ab7aaee28406e6c227271f9769818560626c5791'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_date.inc','b0f5be5b399de94934b24e84c8cf6053a043f6b00c60dcffa752daeafdd38778'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_duration.inc','ed7bb64cb63b94a20c8cde98cfb053b5ea252804396cf61ac562faf1d850266b'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_entity.inc','4f255918a22fefebe9c7734f200751457a7ca4d3648e32a98511bb51968d7521'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_field.inc','893121efbce2a7181e31147bade260c9cc657cbd33b0d254cb28b2650e57566d'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_numeric.inc','f14e2b063930e8820af381b4f5e83c7278440e7804ab88cfde865b6c94e7c0f6'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_options.inc','27ef31b8ee7b9999930380d6a5fdb477772329c4ddbd5c70cc34bcdc7543ce56'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_text.inc','5fb0a85d35d29944c699ceaf6efed5eda2df757009e44caba8ff2be397568b60'),('sites/all/modules/entity/views/handlers/entity_views_handler_field_uri.inc','79ecaa3eb17dfdd0ca077351b75a2c0adf411ebc04720e7cc0e2397674225f24'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship.inc','b69bc538d1e1e0f91f8485ca54c3b6e2be025caa47619734c467377cf89041b9'),('sites/all/modules/entity/views/handlers/entity_views_handler_relationship_by_bundle.inc','65300c793c4591d60ad908dc02cf3148fe4e899fa6ad218e875fd92d411374dc'),('sites/all/modules/entity/views/plugins/entity_views_plugin_row_entity_view.inc','ba557790215f2658146424d933e0d17787a0b15180c5815f23428448ccf056a0'),('sites/all/modules/entityreference/entityreference.migrate.inc','617c6c49e6e0fa4d106cfb49b61a6994b5520934ac3b64a8400a9d969eab7c59'),('sites/all/modules/entityreference/plugins/behavior/abstract.inc','a7959ddece2ce3490f92d916162e07aed313e28ca299ca0375bad633b42d93e3'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_TaxonomyIndex.class.php','92fa0cf46ecdf6200659646e6666c562ea506c40efa41a8edd4758dc0c551b92'),('sites/all/modules/entityreference/plugins/behavior/EntityReferenceBehavior_ViewsFilterSelect.class.php','f6805f62bbd376d98676706602aeb1c4d16e645acb429d31032bc3fb37d850d3'),('sites/all/modules/entityreference/plugins/selection/abstract.inc','7ecf94f5dc3456e4a5c87117d19deb98c368617fb07d610505b1dfa351f14a0b'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Generic.class.php','e9a8a3c693ed24218d00c10c445cdb21daed10a26e6b55e5c9d6a8c616cfd871'),('sites/all/modules/entityreference/plugins/selection/EntityReference_SelectionHandler_Views.class.php','b1878655779d07b8210ab81c3dd9aae931250f328b044114045a4780a84a0ed7'),('sites/all/modules/entityreference/plugins/selection/views.inc','7bbe8900b6b71c2d41e370deaccca869884d0fe9ca81772d7d5bca5f58ec1cd8'),('sites/all/modules/entityreference/tests/entityreference.admin.test','bcd6516be3099ae87a4c3d41add08edd17eafb4244db8442c5dc15f19ebde7ae'),('sites/all/modules/entityreference/tests/entityreference.feeds.test','320c7480b1758e4d80e91c0a6ea3d43b6b35d1adfe00b6155b61ef786510bb7c'),('sites/all/modules/entityreference/tests/entityreference.handlers.test','2fa170925ac5303c519378f1763e918cc2f111205220d90998b547a08db90d8c'),('sites/all/modules/entityreference/tests/entityreference.taxonomy.test','8e4f7d9ae621df0f587b6fcbf139adea2a35c69305ef018ced88447a41164c5f'),('sites/all/modules/entityreference/views/entityreference_plugin_display.inc','9216a065ea4fdb2daacb1280e5c9549e3400b8553b5293534cf65a0d703ab189'),('sites/all/modules/entityreference/views/entityreference_plugin_row_fields.inc','7f5a58c099c2df6fd1c3ae285197a4648841d44fa107bcb2064bc1edf435ea8b'),('sites/all/modules/entityreference/views/entityreference_plugin_style.inc','ad9a7ea5a37c2d9658c2b1d19ade3011c27ed5d9959423ebf7a390372507e6b0'),('sites/all/modules/features/tests/features.test','5fc1c5733eb4c76c32f1a79736c064f1f89001f7987eb7bf183c8d438c8f8baf'),('sites/all/modules/field_collection/field_collection.info.inc','e11b810756dabe6eb24b70a3a84390480a2de7c5d65ea5a1f0d6045802f8405e'),('sites/all/modules/field_collection/field_collection.migrate.inc','2a24762712659caf3d93429d973763e6f0ae4c36d42841893a501f070629aafb'),('sites/all/modules/field_collection/field_collection.test','9d30f2ab55492a10e7d381e5af1985160b798fcc57c14b5516e6d4c7cd997dc8'),('sites/all/modules/field_collection/views/field_collection_handler_relationship.inc','6e8c13805c1ff233410bb408d524786df4ca64fc10ee4bd874a16277243efba1'),('sites/all/modules/field_group/tests/field_group.display.test','68b48634e0311fb4a804d39d8c03acc3de868719df0f4cca495c81e9de4e2035'),('sites/all/modules/field_group/tests/field_group.ui.test','17486a055b85febf5cc55cdb638bf104ef3acab75b76735763650217dd5ab9d4'),('sites/all/modules/field_slideshow/field_slideshow.module','659d5f7908ca6530df427b4074b1020c2b7b189b0e23d5844ef69242f5afeb3a'),('sites/all/modules/flexslider/flexslider.test','377205ce1adf7f8235881d5e3a9e465fc9157e1d1dd2cc83da924da82b93086a'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','bfb2794b3c8711c84db6f31c60e87314c26b5489903cedb92b9d632812f05496'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.views.inc','6bba7b25386477b60098a754e67f26e93cf9256ef9b85d1f1801adb130b82c73'),('sites/all/modules/flexslider/flexslider_views/flexslider_views_plugin_style_flexslider.inc','a4986b2603f1a0752766d4d327e7be9053cc8809bebd0221578778df4f9f5796'),('sites/all/modules/flexslider/theme/flexslider.theme.inc','d8045c74c4d3e7daa9b0864e14a571d6aa36883f5ba80e065078b80cfb807a95'),('sites/all/modules/fontawesome/fontawesome.install','ad8595025376880649a4a30940b551c2cb764f829fbbf14bf242e7cfbcb7da7c'),('sites/all/modules/fontawesome/fontawesome.module','03328dee58a2e9697144d9979b3908af6ee3b718497440987b5d0cab3c096adc'),('sites/all/modules/galleryformatter/galleryformatter.install','8f92aa20022b89c8cb99715fbc1417e1ee6a91158e7207b601b2cc0d1fa1fba9'),('sites/all/modules/galleryformatter/galleryformatter.module','85cc3ae9ae87efea2f8515864e46cee838fa59ff5f38f6328724e4c4f923cd8f'),('sites/all/modules/galleryformatter/theme/galleryformatter.tpl.php','fa9f9d2314bfdad253cde2cb7203d6322fe9bd834b00197f27cc0b22dbb33ebf'),('sites/all/modules/geofield/geofield.elements.inc','12f1d4ce3a1e77e4485ed5f057bbbf4bda1974f23041fb969413e43f0f36571c'),('sites/all/modules/geofield/geofield.feeds.inc','96cbbaa5715824c1243cb5a802239a72774a5827d6b25da548f000893cdd3180'),('sites/all/modules/geofield/geofield.formatters.inc','de7f292079587046e3e5591fe551f76878dbc006f498a1043fc6cb747b6c90b2'),('sites/all/modules/geofield/geofield.install','3377af4b8935462c8b59441072ccc8ef4899a08787d21c988562cd1aec09349e'),('sites/all/modules/geofield/geofield.module','7955f43b59af849a1173db96e935c6553f15ec3838fae109ec3dd241f433d6ea'),('sites/all/modules/geofield/geofield.openlayers.inc','007a5b97fe16d5af2b6473bd87fd4e4a66743d3c87f7373148d474b74966b0e4'),('sites/all/modules/geofield/geofield.widgets.inc','da2f07077fb692aa0dda87e19887ba6126a1106165f3fabec9de3020bf8006b4'),('sites/all/modules/geofield/modules/geofield_map/includes/geofield_map.views.inc','f46fa85382f006ccec3db8a9a2536ec1732fbe2c90a4c648e84f72290184b0ff'),('sites/all/modules/geofield/modules/geofield_map/includes/geofield_map_plugin_style_map.inc','3084f14d933b88cb11f8225caaeca3052ec7042cd23c4cbc8c64c08897b65718'),('sites/all/modules/geofield/tests/geofield.test','074f4d7f322f0dabffa8f522209c18e241c7191b9ce24cfedd1a63c41e28c11d'),('sites/all/modules/geofield/views/geofield.views.inc','3a604800a2ba736da2be47c9831fcfd9388eca66254c80a147a8627b00041f8e'),('sites/all/modules/geofield/views/handlers/geofield_handler_argument_proximity.inc','b0be3bc348a1ec8f7b87d4c48f99180e47a6deb18549cea7be2f6cc170dad95f'),('sites/all/modules/geofield/views/handlers/geofield_handler_field.inc','06ff54603ed730183b8dfeb12956196c658d3f79d86ee0139c7784eef179845b'),('sites/all/modules/geofield/views/handlers/geofield_handler_filter.inc','961468a6e11d679fec27b40dac66c48cb171d4ad068372aece159abb9b3eba23'),('sites/all/modules/geofield/views/handlers/geofield_handler_sort.inc','cc8492843d1e11a9336951bb6ca8e236e1fbd7df0b2203a57cbff47043245619'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityBase.inc','a0917a5c8095b7d87e9965390f5959f33b0aa787b82826980689674cd7930381'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityContextualFilter.inc','089a18c5513afddeb4b9b5b67edd8ebc881e3b85c1834707e94a9a94684fe96c'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityCurrentUser.inc','ab8c0ca5adfd29dec90c3d67677dcec1e53092c4a7919c00c2682123e57e092d'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityEntityURL.inc','2f68c7c16834986376b170eb2ef7a543c2eebe1a935f5c6466b422bb4a51502d'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityExposedFilter.inc','3dd678a263886b524877d1db0b1252186c58bfc1f072e6762ea0bd4ec408e4cf'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityGeocoder.inc','c1d8cc9377b344f3830bcb50de1d264b4316cede88a83c9df71875619bef0fae'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityManual.inc','0790a25abf3b63bf0b3f03b52f4c7affef3243b1f903b9170b99e6cf3c45ccbb'),('sites/all/modules/geofield/views/proximity_plugins/geofieldProximityOtherGeofield.inc','475bd06c57225422a3e4de3879822132d27b1513624e3ef901029e51f3abcdf1'),('sites/all/modules/gmap/gmap_plugin_style_gmap.inc','33af5c74b2e0d69a2347619390826847c2131998a8758b9cc64f08289a776a81'),('sites/all/modules/gmap/gmap_plugin_style_gmapextended.inc','a919707fecf354dc32b741dadd27ae5c965c453a7e3f8f20871ff9fc24ac654e'),('sites/all/modules/gmap/lib/Drupal/gmap/GmapDefaults.php','3c611c89770bc677626059687435e53c1bdf911e77176b16a2459700b7800e70'),('sites/all/modules/gmap/lib/Drupal/gmap/GmapMacroToolbox.php','0d8182b72eabfe580dbcd4d2b2c6a0afae876d1317495e0adb492b090566e559'),('sites/all/modules/gmap/lib/Drupal/gmap/GmapPolylineToolbox.php','6899bde81e5ce5f4b05fcc7f5830b56a7f7b7e5d34f801d400bab162161b0f55'),('sites/all/modules/gmap/tests/gmap.test','54d908e957c601eadeba0b7c5c5f7b82930ff8f3968e30277f7e16379342b460'),('sites/all/modules/gmap/tests/inc/gmap_defaults.inc','e206add9e32e24b3ae3974e795c43ef0079d77db59139c8d797ddf8ef5de9a2d'),('sites/all/modules/gmap/tests/inc/gmap_polyutil.inc','bc0b7e7ce858f3fee0381675f69aa14e015650db67ccd7b0d7f5701cec10ad81'),('sites/all/modules/gmap/tests/oopmigration.test','0d3ecf0d9674db3ea94653fcc9b0caf8f25dfcbb81e8ac2f218554353c47c68c'),('sites/all/modules/icon/icon.install','3abd29f18d20c4fc3ea68d5e8548444012bbaed23fea2275558028e1ba0a69f9'),('sites/all/modules/icon/icon.module','e7c13f5eb8519b693a36236bfe1a78b7ff650714c536ced3f3d73ad40e13e92f'),('sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_argument_default_ip_geoloc.inc','f400046ad834ff0aebf7314e17217de84503e5ff4823b46f9bab9d5cfd9ee8de'),('sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_style_leaflet.inc','1d79f693a2ab2a3773a4a705dd870c85a5fb1c53cdc38e9c5c2d95cef0b84779'),('sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_style_map.inc','94246f5a63c13583c16191b656164cf3f4a922c0fffabc4d5142478e4102ac4a'),('sites/all/modules/ip_geoloc/views/ip_geoloc_plugin_style_openlayers.inc','8b4bb2459241663a8ef15b193cabb6ffc6011459d8f9e4c0d6f43f5c5826f1ad'),('sites/all/modules/ip_geoloc/views/proximity_plugins/geofieldProximityGeocoderWithHTML5.inc','1cc3a07c98a4b8924e3b40776d7e1182e36b3150de118fd3841474aff5f46981'),('sites/all/modules/jcarousel/includes/jcarousel.views.inc','690f67684bd4f7dfa0e2e9573fa2db6cb0ea932ad7eebbbcac3868fd721bfe05'),('sites/all/modules/jcarousel/includes/jcarousel_style_plugin.inc','07c54b3d8b4d0dfc8c02e102d36f30089e673010a3e4dd88cbb24814ab66f18d'),('sites/all/modules/jcarousel/jcarousel.module','2fc24478d406def8c9b14be739f446a344bda59a9bfaad6f8990a713ce59c1af'),('sites/all/modules/jquery_update/jquery_update.install','d377a4e1df5c9606b4d603fbf14296f6d4df921bb3e188341a0c602651498388'),('sites/all/modules/jquery_update/jquery_update.module','5550809cea16a9f09ebcd6e70fc36a19a2aa3fd6180039d2e2382b86d659a8c3'),('sites/all/modules/leaflet/leaflet.formatters.inc','d4aae6dce5d71e02f677baab215353671dc776ebebc22a2dde6458ee503b5aa8'),('sites/all/modules/libraries/tests/libraries.test','b566140ed33211b04cda3d8773b5bc25f8986065463864a0703fa89979daa817'),('sites/all/modules/link/link.migrate.inc','0a17ff0daa79813174fff92e9db787e75e710fe757b6924eec193c66fe13f3df'),('sites/all/modules/link/link.module','3fdf23f9f409b80df5eee57207a5045c566422cef14128306835f7b1b03a5e66'),('sites/all/modules/link/tests/link.attribute.test','8c21045dbcf346edf8dc70c157d02074dd87372d4f60e7f5a4ae11683cd79399'),('sites/all/modules/link/tests/link.crud.test','de19e2c5e8c6cb02f25d7051bdd1db77852379ac59ce8185c25b4bf927478f22'),('sites/all/modules/link/tests/link.crud_browser.test','07794771164033e14a635625ad08fdbcdc4dafa154db2ec0bd9a95ca30202eb5'),('sites/all/modules/link/tests/link.test','fe5d8cd577fbfc07929e7216e115530a28777ace9b7135fbc853a3a78d550456'),('sites/all/modules/link/tests/link.token.test','930af3b64ccabd58a14c8f596ee4b908596b4bee64174bfa34d55fbab7173da4'),('sites/all/modules/link/tests/link.validate.test','4fb3d9124767f43332f2e40bcca3aba98575dd1f6a286adfc8831607823986c5'),('sites/all/modules/link/views/link_views_handler_argument_target.inc','d77c23c6b085382c63e7dbce3d95afc9756517edcdc4cd455892d8333520d4c9'),('sites/all/modules/link/views/link_views_handler_filter_protocol.inc','e10a0d2de73bfa9a56fadbac023c6ac16022ced40c0444ab6ffed1b5d7ea7358'),('sites/all/modules/megamenus/megamenus.admin.inc','918e59841c3f6b2c3a5778b52dbc5ea044f9a5d47f1a31a10ffa4c63cc6fccb5'),('sites/all/modules/megamenus/megamenus.ajax.inc','7559193d973b06aca7dbf0f7b6d2d3b3b33bad63cbed89fdd4fedb57ddd42dc8'),('sites/all/modules/megamenus/megamenus.inc','5472507498653abcd53743f5094e42549a4360fae6c9784defdc05735c719b3b'),('sites/all/modules/megamenus/megamenus.module','f0af80a43e70c397876b80681cc90c251db2fe96bda9db44cda6eeca1524e473'),('sites/all/modules/megamenus/megamenus.themes.inc','1de50bfa5dad27a191ddf4477e971fde435a71ca98d0e25022206d9621de9fcd'),('sites/all/modules/menu_attributes/menu_attributes.test','76009e0888c9b051e6f914fdabdfd4a29a8ea6d9e8575c2fe275666366f6d74b'),('sites/all/modules/menu_breadcrumb/menu_breadcrumb.install','2bbdb94dec4dc305afffa48559ef5cf24533d30d4a483ac83e758689cf2f42a7'),('sites/all/modules/metatags_quick/metatags_quick.migrate.inc','befca7e4c581ebe83f98918daa0301220732719b52031bb6c92856589e7f1a24'),('sites/all/modules/module_filter/css/module_filter.css','2813d8a7a9cca73ac2e7a5e3979d6e913f78cc36dbfe5e21c412eeb9a8fe97fc'),('sites/all/modules/module_filter/css/module_filter_tab.css','4e505f0aa9e9ba6306f0c1fe900ec5efcdd6de983748e4eee9491ebb03d85c63'),('sites/all/modules/module_filter/js/module_filter.js','4bb9003d81e4ad063abb22e6820fd35072bb1bcb6a340c7d8034bbc6c5e81b95'),('sites/all/modules/module_filter/js/module_filter_tab.js','bb0ce3b3bddc0255175b2e3d0700206b1c10b645c7382d22ff7b897fedc9e750'),('sites/all/modules/module_filter/module_filter.admin.inc','15784b28ac9e77ba6e299b1a60b5d3176dc6fa3ecaba50dc60a1e0c56f925192'),('sites/all/modules/module_filter/module_filter.install','46a1159d2f88bb2db41a8c4c1378c6385d02d0aa689cc2940ecd4924d508c9f5'),('sites/all/modules/module_filter/module_filter.module','31d1273dbf8896a75abaf22a851b20f3653defacac9432ef5d430dc520998560'),('sites/all/modules/module_filter/module_filter.theme.inc','2f052942faf0585ee84dc90cf88152450a7a0cc09b958dd59526970d363ffe3a'),('sites/all/modules/pathauto/pathauto.test','9204240a755119e02eae68c77e7b9ab816747423ccaaf51742231fbaef1f604f'),('sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','4d71357780815656b4bff9d6b6b96e07816a9181e695e878f6e83b474902172e'),('sites/all/modules/quicktabs/plugins/QuickAccordion.inc','772c06425494bb7a51aa1de65e89013989364728eab54ee9fdf8e3744750aca7'),('sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','aa53a853b6d5797780e1beadba3c05672df0a9d083e38aec385ca5de89c5b1ab'),('sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','416757802a0eb6a4f1564969a7d8bebb6f065ce0b734869d276984f3c495941d'),('sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','38d65ad29e0341deb46d8608ae96515159358b2b8efe9bd546f136bb7be2da4a'),('sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','1410b450a8b184edfee7dccaefe2e96daf792bee9f4139a200587c4aedf8d46d'),('sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','1899867e6cf9312992267e7a317a148a6c15e14f6b871bf8bf162ff392269257'),('sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','dec59e70103449784824e96fac41ed00eb8d22b17c3e44508ff8fc101e0281ff'),('sites/all/modules/quicktabs/plugins/QuickViewContent.inc','1f7d7615198538a12e823d129dc88ed5ad6e5c9744ecd22b2f657d5b5f4f3042'),('sites/all/modules/quicktabs/quicktabs.classes.inc','faa28c5c30053d2de019cab4dd887df9bc9469cdf18cf801d5afd8a6433b9e06'),('sites/all/modules/quicktabs/quicktabs.module','99e5180f596b704b5b479ba746a85aacd7c531a75f86140a1b8a952468c0304d'),('sites/all/modules/quicktabs/tests/quicktabs.test','d23f9d8cd89eff02a2a9711858951df1d0c60b13d38ba0fba97b1b56b8104a86'),('sites/all/modules/references/views/references_handler_argument.inc','231031508b499e882e2b80e66c000c38577ed9a64975ea43d0b7441bff1a98d3'),('sites/all/modules/references/views/references_handler_relationship.inc','e67c5293c59c179005999d67465946793b99f92b5c9421bc5346eaf9dfea14db'),('sites/all/modules/references/views/references_plugin_display.inc','c0abab2ec372f0c5382ec2fc48593d635806be65e0e806874f095315b8a87896'),('sites/all/modules/references/views/references_plugin_row_fields.inc','2bff7a5f9a7357f8618b514a437807156d940ba76fceb34720d2a1de10a6b679'),('sites/all/modules/references/views/references_plugin_style.inc','b0dad018a03974bde55d6b20d50a33187a856d59b42cb57287cf3b5644428f4d'),('sites/all/modules/simplenews/includes/simplenews.source.inc','3affac6085f0577baeb11e398f20fd2757ff1eaaf78a64b4dea532bc270c85ea'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_hyperlinks.inc','e2de96b32926704be822451228646de12086858dc79b785a13eccef2cd4c227e'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_new_account.inc','303a46a2615d5b403d2b5195dcf7368590dccfb8aefeb0cb4def7f5744c12b02'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_category_opt_inout.inc','bd630326309a757ec4c84c551a94af75a45b260695ac1e78470e5deae5aedff7'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_priority.inc','5c2e3aca9eec1066a9d8753f0fecbf5240dccc78c43feabc71ae38d41c8b7444'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_send.inc','5a197d8f083151c3fdf295a826bab995309bc2a7e81add3427177978ee1a9124'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_field_newsletter_status.inc','50ee35017d09d35a6a95ade6ef6962b44065ae50a50937cd988792a6d238fbea'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_hyperlinks.inc','ca03538f8aaa4d4aeb144f1ca7981d96bae6e7877911761d89da3e1890167e75'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_new_account.inc','3ec702aba8edee78bd88082edb409e650cc529c6bbf261acdc2696985676f4f8'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_category_opt_inout.inc','4022d7c90e8f136fc4123360bf63d9780d0c4c007ed2dfb5f6bb92d62a23221b'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_priority.inc','c2fad9628acb69a2aae20a54446bbee81e57c5ea98bc7a164769111e72fce5f4'),('sites/all/modules/simplenews/includes/views/handlers/simplenews_handler_filter_newsletter_status.inc','1060bed3a6b5af84214adab7e2158ee36951d2f2d109ee5829ce836380cdc3a0'),('sites/all/modules/simplenews/tests/simplenews.test','6c3df929bde1bafd77ce0af559d741c6d1534cdca2606813334568d7ddce7087'),('sites/all/modules/tb_megamenu/tb_megamenu.admin.inc','55a2b6160b5169e353f01848e6996e0713067c74ab51091c91e82e8e97ed49f9'),('sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc','441342ebbfd39108f0ce368827abc12a032d76139eb5dcabd86790c2bee7f8a7'),('sites/all/modules/tb_megamenu/tb_megamenu.functions.inc','bd2b8df04910c72d896f0b2cca19bc509d23efa9093f24656fb81a0ab6caf581'),('sites/all/modules/tb_megamenu/tb_megamenu.module','7424a7ce7e9b6aed26b53c7a541ad49f76d98cadddb2cd2c156c99e658271e8b'),('sites/all/modules/tb_megamenu/tb_megamenu.themes.inc','ce745b084409582f5df0389f86d34cf7dd273ff2f001259058991e275d95389b'),('sites/all/modules/token/token.test','79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),('sites/all/modules/video_embed_field/video_embed_field.migrate.inc','f20af0c10bfad5d51decd0a282ef3d0d643f4963797a352f4367ff0b2e47baff'),('sites/all/modules/video_embed_field/views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc','d46f3e07dc50b76b8fd8b3719432746bf6454fe2aa827090d0753148650254e7'),('sites/all/modules/views/handlers/views_handler_area.inc','95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),('sites/all/modules/views/handlers/views_handler_area_messages.inc','de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),('sites/all/modules/views/handlers/views_handler_area_result.inc','f406d7e4409545ffea2e56c9a10f87f20adef2276c6d6bbc8003885cccc8ca3b'),('sites/all/modules/views/handlers/views_handler_area_text.inc','531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),('sites/all/modules/views/handlers/views_handler_area_text_custom.inc','35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),('sites/all/modules/views/handlers/views_handler_area_view.inc','e604b5716d9ea202ab0b8e51d2bd0a4a8eeab461db0a74bf37745d6cbba25c41'),('sites/all/modules/views/handlers/views_handler_argument.inc','1f0498d1878e331f59b9f0cc87b67df330437c736e565a05fe1a14ab65ec3f26'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),('sites/all/modules/views/handlers/views_handler_field.inc','3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','2f54701c9f71a4a525e724a6787b5e0089a3c38e426d1925bf8344d017d571bf'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),('sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','a78c424ef884ae9878c0b140d532bdf3b116fdc0e8a7cd519848c675d5b1a5a6'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),('sites/all/modules/views/handlers/views_handler_field_date.inc','79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),('sites/all/modules/views/handlers/views_handler_field_links.inc','331a7c8e68a9a94a41a0d7e3e2b6a5c8436792cf244b409ffd732f9cbbab3642'),('sites/all/modules/views/handlers/views_handler_field_machine_name.inc','df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),('sites/all/modules/views/handlers/views_handler_field_math.inc','08c9fb88b20ca346ee3dc29773b2341ea294ba85b659dbd8c1cc92a9ddf900e8'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','1e36f9d55b4cfeb268068e5c9bd6f326999c04191485d3db4610e94e6f57fad9'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),('sites/all/modules/views/handlers/views_handler_field_url.inc','7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),('sites/all/modules/views/handlers/views_handler_filter.inc','4c8937c5b6399c42bb6659169f5c8563ca415fd7effab1ddeeebf2bb6b9a8011'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),('sites/all/modules/views/handlers/views_handler_filter_combine.inc','802f033bba6a9965896b02e3c3e0ea4493e4be282f2c5444ebbeec7e8a478072'),('sites/all/modules/views/handlers/views_handler_filter_date.inc','fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),('sites/all/modules/views/handlers/views_handler_relationship.inc','4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),('sites/all/modules/views/handlers/views_handler_sort.inc','06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','d7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),('sites/all/modules/views/includes/base.inc','5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),('sites/all/modules/views/includes/handlers.inc','5cab753c012d357ce2a10b645eca4254b3647fdfe2452510eee37c8a12639a14'),('sites/all/modules/views/includes/plugins.inc','11c03b1c69be7e9969ec0665b07ddfe170c9505f8d4e862cb27f1232a2a4240e'),('sites/all/modules/views/includes/view.inc','99e60c217d6dc781ec48ae8fc841e636eee31d977936e1980a34eca28734ad2e'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','94ff7382dba773fc637c777e20b810ae7d4aa4936fb0bc067e6a3824ba929d2d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','d33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','3883d3f37030d6d8e397e79ccb99ec3cb715ba7a789510f4b79b7515e314e7ae'),('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','d7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),('sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','b7b70efcf7de1f4dee4722ac8aa16031f17d62e60b1b5772f9985cadf91e4415'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','80ee0e32fd48de1fa9d91645f27f7f26e8700acd3b1120a6d414bb1a794f6d0e'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),('sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','1298f7f7ee4b6e6e2957b266fbb7c63e102b9d7e9ccca8d5a86592736bce9493'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','2cfe9ba95e5ea8c240a57cfa1bed58385cbfed0c7f35e3d8c4da6d873b5a61fa'),('sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','de61f3547604e5905486cdae5f5e94d1a45bdac4d3c43157193dd6fe0dd6473c'),('sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','ce2a392319ebed3dbb2b660f3d6f4c6690b1cd46cf6b1c01802f12158114c4c4'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','6b7dfe1a3b16eae682b2664a48bb6af16f040b4ca2c8e71f8b771a0577a66bae'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','9de18defd5d9320b6333dc496627657be1dd8ccb145dfc136a80f1bcee6e1f55'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','aa2ae23905b84b77ee6042f8f26542eedd7422bdd7518255a289db7da0f6400b'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),('sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','a1de51345d268dc0f080104ff9ae4c9ca1f7a2dd45560a59630b2bb03bdc54c9'),('sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','b46b6b14e14631941ac2dc9baf0b1290c148f42801f05cb419f84a2091d03e40'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','d27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','e50f47ac64a93c2a43b6bd940119dee46b9f25f79f5d25a93fd0df7d707c93ab'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','ca667646f99645c00e6dfb7eb52e2f54faf848be41c99af5caf2201dcd56926b'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','d85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','fcafbbf79b79829eff211aa69580aa746b6d21a29416758bd43e25b5433f9a02'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','d7bb6f685b85de9f9cc87500b3e5a07493832f032d826e20700bbd1baa020a61'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','6ecc68ee0efaaedd1ae8b290e587955a7d6c3ea361f671921167df55d353922e'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','76d59ca83bdcb40493055829a9132646ed89478d7eb6e468db2d879e66e3794c'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','0bfd4c7882054565fb4ff52cf5697fe8cffca69d24717ebc37e6eacc14fe2312'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','8a9d828e5e4387d831172a5c658fac8ef584d843be6c95e9b4e357af6c8f97de'),('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','3be11e273d7a0e8d1e1406b94ba651a6f545f9d48d94758495449b68487f4426'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','6a6c1bfac677eb9ffd25870cd72939c903f2c92d6d18e3abc6c634ac153e5c2b'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','8cd921da4fc00f0441808c6d521fa9fdfc753976244518a001a6354975eb6fe8'),('sites/all/modules/views/plugins/views_plugin_access.inc','cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','2ada4fdc59b366f33209c0cfc515b06e765b487091760cfa22e94ca1c028c9cb'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),('sites/all/modules/views/plugins/views_plugin_cache.inc','870ceb5dd920212f4297849046e696b50dbe35a9ad4ac28b7021a7dd03aa64d9'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','fb55f3236b30f00f3ca5228c40115444a0e2f164a4f54e6fe07dee514e183569'),('sites/all/modules/views/plugins/views_plugin_display.inc','dd190a0984bfd20a876e6437898ec691b4f46bc7a8d2e9ef17e054d03294536f'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','7ad6a90efa396f68276e93e19a6273c88782d514c1f1cea6ed0b046287e16a10'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),('sites/all/modules/views/plugins/views_plugin_display_embed.inc','5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','ece0ae5d5d730ef646178b09bc41a59e091c96a6ac3b3db5bdb9e61d194787bb'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),('sites/all/modules/views/plugins/views_plugin_localization.inc','d7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','d7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),('sites/all/modules/views/plugins/views_plugin_query.inc','475a7ff0d4c7c7e27d7971ebd909a87bdb8322c47d6023b68f50f6fe6a1ec059'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','d5f89543721a3cd24f6a18114c630f741d11029d933f1b01d59f349219b747d6'),('sites/all/modules/views/plugins/views_plugin_row.inc','3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),('sites/all/modules/views/plugins/views_plugin_style.inc','1ac358d216da612e1731d6b1c730d2ee57ccb8cdd31ad768ae97af542325244f'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','53a438d8a5398877eacdbff97f3b0c418ebc2fa16e69efd5e4a31b0b986e03a3'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),('sites/all/modules/views/plugins/views_plugin_style_mapping.inc','a6b430a148dda1b07ecee314b897c1da41ce375566adf50ee23ae1da822fddf3'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','ac72d530faffee78a1695a0b3893528ceb8451f18be0521c580485904a5ba57b'),('sites/all/modules/views/plugins/views_plugin_style_summary.inc','872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','d8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),('sites/all/modules/views/tests/field/views_fieldapi.test','53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),('sites/all/modules/views/tests/handlers/views_handlers.test','f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),('sites/all/modules/views/tests/handlers/views_handler_argument_string.test','3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),('sites/all/modules/views/tests/handlers/views_handler_field.test','af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','d334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),('sites/all/modules/views/tests/node/views_node_revision_relations.test','9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),('sites/all/modules/views/tests/plugins/views_plugin_display.test','4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),('sites/all/modules/views/tests/styles/views_plugin_style.test','92d9a02f87f07d091999b961045b1dd654165059d8d1931b5c2ea1d88d0b439f'),('sites/all/modules/views/tests/styles/views_plugin_style_base.test','54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),('sites/all/modules/views/tests/user/views_handler_field_user_name.test','69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),('sites/all/modules/views/tests/user/views_user.test','fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),('sites/all/modules/views/tests/user/views_user_argument_default.test','6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),('sites/all/modules/views/tests/views_access.test','f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),('sites/all/modules/views/tests/views_analyze.test','5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),('sites/all/modules/views/tests/views_argument_default.test','5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),('sites/all/modules/views/tests/views_argument_validator.test','31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),('sites/all/modules/views/tests/views_basic.test','655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),('sites/all/modules/views/tests/views_cache.test','4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),('sites/all/modules/views/tests/views_exposed_form.test','6962c7ed8a38030ec1cfa94485de07ceb1f9393216985bd8bfecac768f6c0950'),('sites/all/modules/views/tests/views_glossary.test','118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),('sites/all/modules/views/tests/views_groupby.test','f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),('sites/all/modules/views/tests/views_handlers.test','a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),('sites/all/modules/views/tests/views_module.test','5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),('sites/all/modules/views/tests/views_pager.test','6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),('sites/all/modules/views/tests/views_query.test','f8cb1649e43c8a2b036fec742e86b8eb9c2c4c095a4c4e7a7c3ca13c6ce8e6e6'),('sites/all/modules/views/tests/views_test.views_default.inc','4c65cc385b3e3c2e17fe054eb7a1ec70f4dd4b0394bdb108de2ddc0a7b435635'),('sites/all/modules/views/tests/views_translatable.test','6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),('sites/all/modules/views/tests/views_ui.test','f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),('sites/all/modules/views/tests/views_upgrade.test','c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),('sites/all/modules/views/tests/views_view.test','a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),('sites/all/modules/views/views_ui.module','418d555f71e72cb771a01ad7bfe7410c4d8191738271fa4e7cbb063940afb2a0'),('sites/all/modules/views_accordion/views_accordion_style_plugin.inc','32863455a2360a8d9557de59edca4ee607615bae663a8aa37cccacc3f4cf43a5'),('sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','cd1d10d86d6478f2e09627e584bed61c2b56fbe04ab145f21fff1db57517141f'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','29dc7c5efbed6cce2a1febdca54bf32b68bc86ea44b1aaca20d317afb0c56071'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','1f0914b41bbe43d4aed077ac921aab48c0ed1ebd47842bcb54e830435d6f9933'),('sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','91729a36053b19b9b0dc19e15283145aa52e2ef256dca6fbc137f4373d5a5d21'),('sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','2fb49eab8d79cee51c0f21bd94b4c933b8ca2b0adbd3e5895811f22bfb90a99e'),('sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','9c760e3b195d4a41b3bb60c51a19ad776283ca93b71e6b06e450295b9574308c'),('sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','2e2e63ca485eb5bee8a7e84105a67862d2c6837f51c139d5c8022b25bb779ca5'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','e7865515d7fdfa8ebcda036fe002cd8081ce7042962b6952869227a57a74e8cb'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','5fcf10588197e194f205589755001d3c7ff96e8139ea8f1adc084fd3e8a7cb7c'),('sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','2870256bc954a75a21a134dbb32d02cdc77ab8aadf43539ee3e9ab48ba2c9696'),('sites/all/modules/views_isotope/views-isotope.tpl.php','b9ecd2a9f380b83ca0aede7bcd1096bc2525e744da5a15f4bf1e93ec7aedd670'),('sites/all/modules/views_isotope/views_isotope.module','fc9739b7f9ba87b29c1bbd9f1a78c9f2461b1164284994a1e1a67b34e67feca9'),('sites/all/modules/views_isotope/views_isotope.theme.inc','8f90273bafcaee597f4f2528bdd771d8e4f58b3af7bbe880f95a2d981bb6dece'),('sites/all/modules/views_isotope/views_isotope.views.inc','2e03b37eab80aff2175fe0c940fe7011fe4b162e01fdb63b36071ccbfb1d5e9a'),('sites/all/modules/views_isotope/views_isotope_plugin_style_isotope.inc','eec55678a9d03cfc3f4e6d15df7c9a112d5f8aff676537bf6e47dbf3c878ed72'),('sites/all/modules/views_metro/views_metro.module','9bcfb7c9314bbdd428f542b3ed962fe3b7a5bfa798479bc296444f183b5a1c39'),('sites/all/modules/views_metro/views_metro_plugin_style_metro.inc','564e23daf633de1c1212b69da7d8ce820ddc7bb01270c25d629631be44bd2f95'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc','6a074c958bf41f9067a640ca8a40480bee29e64ab9f352fee5f3bb95d7480cdb'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','4a5cf6b3a8747cd8a8d874c796ffab08c7d3b1921cfd6779ed87526ec446914e'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.views_slideshow.inc','fc525602109c8db6173814b73c8f04921331f3373f1fa8666111e252eb3cf9b6'),('sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc','3cbed9cfdc7994fccb3f9882246e6faf282518b84a7248c8d93a55f97585e8f4'),('sites/all/modules/views_slideshow/views_slideshow.module','106f6cd97700ae75adabe1a2ba1ae1e1f4bda1d60e1e56406392cb7358605667'),('sites/all/modules/views_slideshow/views_slideshow.views.inc','95958d4aba955044f00330dd59f35b6759e7057ced744429bfb45732e4ce094c'),('sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','3df328b32c9d209cca54e3d8136e5c0f37b1619d0bcb600ca5568a85bd7da20b'),('sites/all/modules/views_ticker/includes/views_ticker.views.inc','ed242fe7b83440bd174cad4b70577329693009d5922696d3ac8b24dd3fa00bcb'),('sites/all/modules/views_ticker/includes/views_ticker_style_plugin.inc','85109c544bccffe940407e0961ea3cf163271e458c5e0e4501b177e2a7ba3ff4'),('sites/all/modules/views_ticker/views_ticker.module','a12bf3610692f8580b93d5bf4f81be9fbfaa725d760c05ecd8afcc11e41700ee'),('sites/all/modules/webform/includes/exporters/webform_exporter.inc','d0ecbf7c7b218e10442b6bf1ef32ac4a67862b0cb1c37f10936dbf69b55c75a1'),('sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','deb820b134e34386daa833b78aaaacdd4bc78fcb1832a452145c0851909e1bb4'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','fe301ec8cba10b2e5ecdfed30c386fef1dbb1a33db21a19fa686533775b72223'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','b3407ce58fb72c05d723ab699440f687db6344d4a8756eca7333deaa9c6f2df3'),('sites/all/modules/webform/includes/webform.webformconditionals.inc','a9097667c37e229b06f6000d3a3e76f6bb850dd28a4d2ce64d6b8815920e5f2b'),('sites/all/modules/webform/tests/WebformComponentsTestCase.test','c049c524ca26457fc0ab02580feeb65ee530a8c6ee929117bfb1588230ea0b2a'),('sites/all/modules/webform/tests/WebformConditionalsTestCase.test','70d4b6d2d29cca00179ed5e12f902c6e5c4d8aabf2f08d0bb6624a117233d2de'),('sites/all/modules/webform/tests/WebformGeneralTestCase.test','4517422697e246f32906bdf73ee4e8351eb1331c7e4f7d662e17df03b51f53d7'),('sites/all/modules/webform/tests/WebformPermissionsTestCase.test','23f0c6b6489d78e13956e0b4d6e0728bf7e461b5b585d1f21907ff24ebdcb3ee'),('sites/all/modules/webform/tests/WebformSubmissionTestCase.test','896ac04995ad9f634d7457ec35424b4be64438f9375dece837ccaa35d7b48310'),('sites/all/modules/webform/tests/WebformTestCase.test','7722ef29dd244fea0468140de978427bc7e73a41303bbeff2c5eb305a68a616c'),('sites/all/modules/webform/views/webform.views.inc','0afd6ebbcb717b1f21f39347bad1ccdc23424d74a7e53e5e2119f888597ba3ea'),('sites/all/modules/webform/views/webform_handler_area_result_pager.inc','23b6f7013773cfed06c540748f7e2f0dc40602289bc97d73fe603ca9c87f0deb'),('sites/all/modules/webform/views/webform_handler_field_form_body.inc','60d708d683c67b553ecee37c7d74b00ee4b06253799e31befef9cb3ff703abb2'),('sites/all/modules/webform/views/webform_handler_field_is_draft.inc','1f1411981bc3e96ae4dccfb4c52a059b2e6488818ad4649fe8074f7de2d324f6'),('sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','15c6c4755b2ec87f71699399851a831176d515071ef356de4a64b75b76989e89'),('sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','5320f9c4ffa4842d2efc31c6d563c083e0432c682f1eff706ade34fb8e54d630'),('sites/all/modules/webform/views/webform_handler_field_submission_count.inc','1ed985c65786a215a39ecb119ad26c7e78108ecb8f969ed902cc4618c5378232'),('sites/all/modules/webform/views/webform_handler_field_submission_data.inc','eac20f1d2b77d98e1c64e357ac676bb2941f65f6f3521f314e5923f7e372bf45'),('sites/all/modules/webform/views/webform_handler_field_submission_link.inc','faaf698125ac99f18bdb8c4a7b9961e5ad06bdd157c7bbeaf8a8ad7d5be6aa60'),('sites/all/modules/webform/views/webform_handler_field_webform_status.inc','c67f6a8dc4db5c165cb6109dc28c8b8ebe79d130ac208281274caac0df258ce4'),('sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','dfb94fba66085fd0c07b8012f6846228fabc46809b00028bb896d6a304cdfec8'),('sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','74d41b7fc50055de6279fd1d4757752841018374116ca844466b72a6085f9792'),('sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','4a6e3f21703f750b31e868e64fd1fc4b760c01b9a3ca98b250f34c29614fbc69'),('sites/all/modules/webform/views/webform_handler_numeric_data.inc','c5a8fbfa2c74e1db9a4691714cb5c1c6693f2d4350c8a2ea27b4840414b1aa79'),('sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','10ba625ac9813ee2b7cb3b66b557ea8d60d32ae5bf4300b8bd6ee41be0303fbd'),('sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','728907aaf814b5dc10a6d2c2c60880b160031536e81cff7071ffe04c570a7f60');
/*!40000 ALTER TABLE `registry_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role` VALUES (3,'administrator',4),(4,'agent',2),(1,'anonymous user',0),(2,'authenticated user',1),(5,'staff',3);
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role_permission`
--

DROP TABLE IF EXISTS `role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permission`
--

LOCK TABLES `role_permission` WRITE;
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role_permission` VALUES (1,'access comments','comment'),(1,'access content','node'),(1,'access site-wide contact form','contact'),(1,'access user profiles','user'),(1,'search content','search'),(1,'subscribe to newsletters','simplenews'),(1,'use text format filtered_html','filter'),(1,'view any who_we_are_block bean','bean'),(2,'access comments','comment'),(2,'access content','node'),(2,'access site-wide contact form','contact'),(2,'access user contact forms','contact'),(2,'access user profiles','user'),(2,'edit webform components','webform'),(2,'post comments','comment'),(2,'search content','search'),(2,'skip comment approval','comment'),(2,'subscribe to newsletters','simplenews'),(2,'use advanced search','search'),(2,'use text format filtered_html','filter'),(2,'view any who_we_are_block bean','bean'),(3,'access administration menu','admin_menu'),(3,'access administration pages','system'),(3,'access all views','views'),(3,'access all webform results','webform'),(3,'access bean overview','bean'),(3,'access comments','comment'),(3,'access content','node'),(3,'access content overview','node'),(3,'access contextual links','contextual'),(3,'access dashboard','dashboard'),(3,'access overlay','overlay'),(3,'access own webform results','webform'),(3,'access own webform submissions','webform'),(3,'access site in maintenance mode','system'),(3,'access site reports','system'),(3,'access site-wide contact form','contact'),(3,'access statistics','statistics'),(3,'access user contact forms','contact'),(3,'access user profiles','user'),(3,'administer actions','system'),(3,'administer bean settings','bean'),(3,'administer bean types','bean'),(3,'administer beans','bean'),(3,'administer block classes','block_class'),(3,'administer blocks','block'),(3,'administer comments','comment'),(3,'administer contact forms','contact'),(3,'administer content types','node'),(3,'administer contexts','context_ui'),(3,'administer features','features'),(3,'administer field collections','field_collection'),(3,'administer fieldgroups','field_group'),(3,'administer fields','field'),(3,'administer filters','filter'),(3,'administer flexslider','flexslider'),(3,'administer icons','icon'),(3,'administer image styles','image'),(3,'administer languages','locale'),(3,'administer megamenus','megamenus'),(3,'administer menu','menu'),(3,'administer menu attributes','menu_attributes'),(3,'administer metatags_quick','metatags_quick'),(3,'administer module filter','module_filter'),(3,'administer modules','system'),(3,'administer newsletters','simplenews'),(3,'administer nodes','node'),(3,'administer pathauto','pathauto'),(3,'administer permissions','user'),(3,'administer quicktabs','quicktabs'),(3,'administer redirects 404','redirect_404'),(3,'administer search','search'),(3,'administer shortcuts','shortcut'),(3,'administer simplenews settings','simplenews'),(3,'administer simplenews subscriptions','simplenews'),(3,'administer site configuration','system'),(3,'administer software updates','system'),(3,'administer statistics','statistics'),(3,'administer taxonomy','taxonomy'),(3,'administer tb_megamenu','tb_megamenu'),(3,'administer themes','system'),(3,'administer url aliases','path'),(3,'administer users','user'),(3,'administer video styles','video_embed_field'),(3,'administer views','views'),(3,'block IP addresses','system'),(3,'bypass node access','node'),(3,'cancel account','user'),(3,'change own username','user'),(3,'context ajax block access','context_ui'),(3,'create article content','node'),(3,'create page content','node'),(3,'create url aliases','path'),(3,'customize shortcut links','shortcut'),(3,'delete all webform submissions','webform'),(3,'delete any article content','node'),(3,'delete any page content','node'),(3,'delete own article content','node'),(3,'delete own page content','node'),(3,'delete own webform submissions','webform'),(3,'delete revisions','node'),(3,'delete terms in 1','taxonomy'),(3,'display drupal links','admin_menu'),(3,'edit all webform submissions','webform'),(3,'edit any article content','node'),(3,'edit any page content','node'),(3,'edit bean view mode','bean'),(3,'edit metatags_quick','metatags_quick'),(3,'edit own article content','node'),(3,'edit own comments','comment'),(3,'edit own page content','node'),(3,'edit own webform submissions','webform'),(3,'edit path_based metatags_quick','metatags_quick'),(3,'edit terms in 1','taxonomy'),(3,'flush caches','admin_menu'),(3,'generate features','features'),(3,'geocoder_service_all_handlers','geocoder'),(3,'geocoder_service_handler_exif','geocoder'),(3,'geocoder_service_handler_google','geocoder'),(3,'geocoder_service_handler_gpx','geocoder'),(3,'geocoder_service_handler_json','geocoder'),(3,'geocoder_service_handler_kml','geocoder'),(3,'geocoder_service_handler_latlon','geocoder'),(3,'geocoder_service_handler_mapquest_nominatim','geocoder'),(3,'geocoder_service_handler_wkt','geocoder'),(3,'geocoder_service_handler_yahoo','geocoder'),(3,'geocoder_service_handler_yandex','geocoder'),(3,'manage features','features'),(3,'notify of path changes','pathauto'),(3,'post comments','comment'),(3,'revert revisions','node'),(3,'search content','search'),(3,'select account cancellation method','user'),(3,'send newsletter','simplenews'),(3,'skip comment approval','comment'),(3,'subscribe to newsletters','simplenews'),(3,'switch shortcut sets','shortcut'),(3,'translate interface','locale'),(3,'use advanced search','search'),(3,'use PHP for settings','php'),(3,'use text format filtered_html','filter'),(3,'use text format full_html','filter'),(3,'view bean page','bean'),(3,'view bean revisions','bean'),(3,'view icons','icon'),(3,'view own unpublished content','node'),(3,'view post access counter','statistics'),(3,'view revisions','node'),(3,'view the administration theme','system'),(4,'access site-wide contact form','contact'),(5,'access site-wide contact form','contact');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'node',' 638 n hart st orange ca 92867  12345 apartment rent sed iaculis ipsum eu porttitor auctor vestibulum tempor pulvinar est vitae sollicitudin ligula maecenas a mi sit amet magna ullamcorper fermentum vivamus porta pellentesque lorem quis viverra enim consectetur non cras eget commodo magna pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas suspendisse id neque tincidunt volutpat dolor vitae laoreet nunc integer aliquet lacus ac luctus vehicula eros purus commodo turpis vitae ultrices dui justo eget quam donec vel rutrum dolor eu egestas neque donec eget cursus dui quisque vel turpis sed tortor varius vehicula maecenas dignissim odio sit amet bibendum volutpat nam vitae tincidunt ante nunc tempor orci eget dolor egestas ac congue nisi pulvinar aliquam erat volutpat nam luctus diam eros praesent mi neque laoreet at convallis eu feugiat ac erat pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas sed tempor lacus eget nisi sollicitudin hendrerit morbi sed nulla facilisis ultrices justo nec commodo massa nam imperdiet ultrices nulla in scelerisque nunc vehicula consectetur congue fusce convallis dui dictum pharetra sem sed 100m2 638 n hart st orange ca 92867 united states 3 2 sales 1 15 150m2  bryan ave albuquerque 87114  ',0),(3,'node',' curabitur facilisis tristique erat ut pulvinar  class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos morbi imperdiet erat eu mauris malesuada id iaculis urna tristique suspendisse nec velit sed enim gravida pulvinar quisque dignissim volutpat erat sed faucibus tortor dignissim a in tincidunt dui at egestas bibendum sapien justo pretium leo sit amet dapibus dolor nisl in purus aenean justo libero mollis vitae erat non iaculis dapibus augue morbi quis tempus lacus lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque ut ipsum sit amet purus dignissim vulputate non at erat phasellus sit amet lorem ac felis rutrum aliquam non et nulla nulla volutpat a dolor in feugiat duis tincidunt adipiscing nibh sagittis eleifend maecenas urna odio vestibulum vel mi eu dapibus placerat odio aliquam erat volutpat cras eget viverra dui praesent auctor enim nec aliquam venenatis tellus felis tincidunt libero non scelerisque est mi tristique neque curabitur tempus commodo massa ac imperdiet maecenas molestie viverra tortor nec varius lectus fringilla ut sed lobortis tincidunt ipsum in mattis lorem dapibus at sed fermentum tempus nunc ut cursus purus luctus volutpat  ',0),(4,'node',' proin sodales tortor non aliquet suscipit  vestibulum sollicitudin gravida risus nec sollicitudin donec mi ipsum pulvinar ut eros tincidunt suscipit interdum diam pellentesque luctus dapibus justo vitae porta eros varius sed integer scelerisque leo egestas fermentum congue est sem elementum odio a blandit lacus elit ultrices est nullam rhoncus eros massa ac egestas purus tristique condimentum phasellus sapien ante commodo at orci non blandit blandit libero pellentesque congue venenatis nibh duis volutpat est interdum sollicitudin volutpat mi elit dapibus dolor non pulvinar dolor velit sit amet odio class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos sed ac posuere nulla phasellus egestas mauris quis lacus fermentum faucibus nulla hendrerit augue nisl vel condimentum sem mollis at proin malesuada aliquam pretium suspendisse malesuada purus quis volutpat auctor curabitur urna nisl sagittis at viverra ac tincidunt ut erat sed pulvinar dapibus facilisis donec eget lacus sed ante convallis ornare non vel sem quisque id risus at risus vulputate fermentum ac sit amet arcu morbi placerat neque ac dui fringilla vehicula quisque rutrum dolor aliquet porta metus  ',0),(5,'node',' donec eros magna egestas at quam lacinia ultrices adipiscing turpis  nulla facilisi donec laoreet consequat viverra vestibulum vehicula placerat imperdiet mauris arcu lacus pellentesque id erat vitae condimentum facilisis ipsum pellentesque non faucibus tortor nunc molestie velit at diam auctor tincidunt nulla id lorem nisl sed tellus orci scelerisque a rutrum sit amet convallis eu lectus sed id turpis in orci ullamcorper dapibus sed non porta felis integer euismod nunc non nunc porta pellentesque nulla sit amet laoreet dolor sed a velit feugiat dignissim erat nec porta justo mauris massa erat commodo a elementum ut semper dictum odio ut ac ligula elit in hac habitasse platea dictumst mauris fermentum augue leo eget lobortis ipsum rhoncus ac nunc ac ultricies massa aenean vel aliquam turpis eu faucibus dolor aliquam dictum at sapien nec iaculis donec massa magna ultrices quis varius suscipit cursus vulputate elit donec ac enim id nisl venenatis aliquet quis in velit quisque rhoncus massa turpis non accumsan sem feugiat eu etiam eleifend tempor congue aenean consectetur feugiat urna vel tincidunt nunc dictum a nam leo quam feugiat in ante non convallis dictum elit maecenas malesuada enim non suscipit cras amet  ',0),(6,'node',' duis lacus enim dictum vitae fermentum sed consequat nec nibh  pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas mauris accumsan suscipit feugiat cras sodales mauris pretium vehicula consequat duis vel tristique mi sed tempus lorem sed eu elit in turpis venenatis placerat vivamus libero felis vulputate in vehicula ut tincidunt sit amet lorem aenean vehicula placerat viverra duis est ipsum vestibulum sed venenatis in rutrum nec diam duis iaculis velit sollicitudin mi lacinia placerat curabitur non sapien lacus nam semper porta vehicula praesent eu massa eros etiam dignissim leo sed sem malesuada tincidunt aliquam sed adipiscing elit etiam consectetur porttitor orci vivamus a porta turpis in pharetra eros cras pellentesque leo et tempus sollicitudin neque mi molestie elit varius mollis lectus mauris in nulla vivamus volutpat mi vitae justo accumsan eget gravida lorem ornare nunc condimentum pellentesque nisi sit amet molestie nunc fermentum ac duis scelerisque ultricies lorem ac facilisis metus dignissim imperdiet maecenas cursus orci sed lorem lacinia tincidunt nullam quis elit urna nullam pellentesque suscipit massa non tempor donec sit amet feugiat augue duis metus  ',0),(7,'node',' donec vel laoreet velit in tincidunt nunc  sed luctus justo a ornare suscipit vestibulum pharetra elit et velit aliquet quis posuere augue ultrices curabitur iaculis dui augue nec commodo massa commodo ut class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos lorem ipsum dolor sit amet consectetur adipiscing elit nulla at massa mauris praesent posuere tristique elit id dapibus curabitur ultrices tellus fermentum lectus cursus ullamcorper integer ligula mi consequat vel dignissim id laoreet eget est praesent fermentum malesuada urna quis suscipit donec vel ipsum vitae mi congue vestibulum non auctor mauris nulla tortor nulla tincidunt eget fermentum sodales eleifend in erat sed sed mauris nec purus fringilla dictum nec ut eros interdum et malesuada fames ac ante ipsum primis in faucibus mauris sapien ante aliquam non lacus ut aliquet malesuada ligula pellentesque turpis nisl elementum sed tellus et accumsan accumsan augue aliquam mattis varius ipsum nec egestas proin fringilla nisi non urna feugiat rhoncus cras congue ligula nisi vestibulum viverra lorem vulputate et sed sit amet enim in libero pulvinar pharetra pellentesque eu mi sed dolor tempor massa nunc  ',0),(8,'node',' mauris rutrum ante id rutrum hendrerit  in fringilla sollicitudin eleifend suspendisse quis nisi lorem etiam at eros vel orci consequat bibendum at quis diam aliquam ac tempor massa et aliquet lectus cras dignissim risus in fringilla dapibus donec tristique bibendum mollis proin adipiscing non metus sit amet pretium donec nec augue arcu etiam eu feugiat nisi fusce in sollicitudin metus quis tincidunt ipsum donec posuere nunc consequat aliquam ultrices donec interdum enim sit amet bibendum ultrices nulla sed dui eleifend convallis nisi sed posuere tellus nulla sit amet sapien tincidunt egestas quam eu tincidunt augue mauris lacus augue consectetur sit amet dolor eu ullamcorper faucibus leo pellentesque imperdiet magna nec scelerisque luctus velit sem malesuada turpis in varius ante nunc ac ligula nam vitae blandit nunc aenean tempus ultricies mollis pellentesque pharetra suscipit aliquam pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas vestibulum velit lectus vehicula nec tincidunt tempor venenatis in diam mauris ut augue enim pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas aenean in ante turpis duis  ',0),(9,'node',' aliquam nec dolor non eros dictum fringilla nullam ac mollis arcu  curabitur ante leo pulvinar non dapibus id auctor in nunc morbi posuere dapibus egestas ut hendrerit dictum odio ac suscipit nisl viverra vitae praesent vestibulum fringilla odio vitae pellentesque morbi at suscipit ligula vitae mattis diam fusce ut est magna etiam ullamcorper commodo eros ac cursus nullam sit amet aliquet eros in rhoncus scelerisque sem nunc non lacinia erat quis tempor lorem nullam bibendum bibendum nisi curabitur ut consectetur neque in diam odio blandit ac dictum sit amet ullamcorper sit amet nisl nam in ligula ante pellentesque condimentum erat eu lacinia porttitor suspendisse volutpat purus vel orci auctor pretium fusce accumsan nunc nec ornare vulputate augue augue porta ipsum at semper quam nunc eu dolor aliquam blandit mauris rutrum tortor commodo quis dictum leo tincidunt fusce suscipit porta faucibus fusce ac magna quis nunc interdum laoreet sit amet vitae velit cras at bibendum nunc proin sed est sem suspendisse malesuada magna ac eros porttitor blandit morbi commodo libero at arcu suscipit ut mollis eros faucibus etiam dapibus sapien eu condimentum sagittis urna nisi eleifend neque eget pharetra neque dui sit amet  ',0),(10,'node',' nullam odio diam adipiscing et quam non vestibulum dignissim nisi  nam sed aliquet tortor sed id malesuada ante quisque et sagittis nulla in ut congue lacus in malesuada nulla proin luctus erat sed pulvinar bibendum nisi erat dignissim ante in imperdiet purus dolor sit amet lectus nullam luctus euismod purus nec consequat tellus luctus pharetra morbi ut purus tempor pellentesque felis eu mollis nisl morbi tincidunt ante ipsum bibendum pulvinar eros luctus sed donec non tincidunt quam donec nisl eros sollicitudin a condimentum eget iaculis non metus curabitur rhoncus elit eu rhoncus molestie praesent vitae felis et justo malesuada auctor aliquam hendrerit ut sem nec euismod curabitur vel interdum dui nulla tempor interdum suscipit nulla tortor orci iaculis vel enim id bibendum rutrum orci nunc sagittis dolor et nibh laoreet consequat integer pharetra id magna sed laoreet pellentesque nec venenatis odio praesent aliquet tellus ut nibh semper at posuere mauris iaculis donec mauris arcu egestas ac neque eu viverra molestie quam morbi eget augue sem proin nec pharetra quam ut consectetur velit a tincidunt suscipit sed eget iaculis mi ut fermentum odio urna eu sagittis augue rhoncus vehicula in ut nullam sodales  ',0),(11,'node',' vestibulum egestas velit porta ipsum andrew s blog excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo fusce ornare augue id enim rhoncus vulputate vivamus nec ligula nulla curabitur vitae dapibus urna vitae sagittis ante donec bibendum leo eu lorem convallis sit amet cursus lectus malesuada nullam interdum gravida commodo curabitur eu mollis erat donec ante neque vehicula eget neque nullam etiam laoreet arcu et est vehicula id iaculis elit laoreet phasellus tincidunt scelerisque porta nulla quis sapien est duis posuere tellus at nisi aliquam a imperdiet sem laoreet vivamus ac eros nunc donec non metus ut enim pharetra feugiat et tempus elit morbi eget adipiscing risus posuere etiam semper felis sed porta laoreet phasellus mollis pretium ante id dignissim tortor ornare in etiam facilisis egestas felis in malesuada lorem ipsum dolor sit amet consectetur adipiscing elit aenean a enim nisl suspendisse id imperdiet lectus maecenas ut neque mattis egestas nunc nullam condo multi family others ',0),(12,'node',' nulla pharetra aliquam sagittis maria s blog view the full image view the full image view the full image excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo maecenas placerat orci eu facilisis cursus nulla lacus bibendum magna id lobortis augue ipsum ut erat interdum et malesuada fames ac ante ipsum primis in faucibus donec gravida odio et rhoncus fringilla phasellus eleifend metus a massa tristique ultricies suspendisse potenti fusce cras amet proin iaculis quis lacus at gravida in molestie ligula sapien sit amet congue tortor tempus vitae donec eu tincidunt lorem vitae porttitor risus praesent ut vulputate velit nam tempor cursus sapien non porta nullam a quam sit amet ipsum feugiat vehicula nulla porta felis ac mi accumsan amet morbi semper lectus non tortor pulvinar egestas maecenas vulputate dolor ac ipsum mattis tincidunt placerat diam ullamcorper duis in convallis lorem nullam ut laoreet enim pellentesque sed egestas nibh mauris vel varius augue at ultricies nunc mauris tortor sapien volutpat vitae semper sed apartment condo multi family ',0),(13,'node',' pellentesque ut sapien lobortis varius sem vitae mark s blog excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo quisque a tincidunt eros sed at porta nisi nec elementum dui vivamus aliquet risus nec lorem tempus vehicula quisque quis quam quis metus facilisis porta in tincidunt tristique metus vel sodales maecenas semper vulputate dapibus aliquam eu arcu nec massa ornare lobortis nulla ac turpis duis sed convallis ante eget sem porttitor pellentesque phasellus venenatis purus cursus placerat porta aenean sit amet hendrerit nisi aliquam vestibulum lacinia nibh id malesuada nam ut dapibus arcu nec mattis nisl donec eu mi est suspendisse eget tortor est sed ac ipsum enim donec lacinia sed nulla congue tortor id vestibulum molestie nulla at erat vitae purus lobortis sodales ut vel tellus donec venenatis pellentesque odio sed auctor mauris fermentum vitae cras odio dui ultricies vitae convallis ac auctor a massa integer molestie posuere risus sed sollicitudin curabitur posuere condo others single family nam malesuada urna donec faucibus massa vehicula accumsan nulla color ',0),(14,'node',' about us mauris elementum tempus nisi vitae ullamcorper sem ultricies vitae nullam consectetur lacinia nisi quis laoreet magna pulvinar in class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos in hac habitasse platea dictumst cum sociis natoque penatibus et magnis dis parturient montes nam tincidunt neque in libero aliquet interdum id malesuada odio morbi consequat sed nisl vitae laoreet nulla vitae tincidunt leo morbi feugiat placerat facilisis donec in magna molestie vehicula diam at prev next ',0),(15,'node',' designed for your business sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium totam rem aperiam  ',0),(16,'node',' fully responsive sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium totam rem aperiam  ',0),(17,'node',' amples customizations sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium totam rem aperiam  ',0),(18,'node',' bootstrap compatible sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium totam rem aperiam  ',0),(19,'node',' unique design sed perspiciatis unde omnisiste natus error voluptatem remopa accusantium doloremque laudantium totam rem aperiam  ',0),(20,'node',' oakmont way cibolo tx 78108  370000 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam sold villa 300m2 4900 e chapman ave unit 22 orange ca 92869 united states 3 3 rent 2 2011 2 200m2  oakmont way cibolo 78108  ',0),(21,'node',' 186 n quail ln  250000 nulla dignissim libero vitae ornare vehicula nunc non ornare dui ut non risus in nisl facilisis eleifend nam egestas nibh sit amet hendrerit blandit metus sem consectetur felis eu posuere lorem metus nec dui donec euismod blandit felis ut rhoncus lectus porttitor vel integer laoreet accumsan dui eu elementum phasellus consectetur consectetur mi et volutpat turpis porta ac maecenas nec nunc vel enim porta scelerisque in venenatis libero vivamus mollis nulla at mattis ultricies cras pharetra quam et egestas elementum ligula dui scelerisque dolor quis eleifend elit nisi nec ipsum integer sem odio viverra at dignissim a egestas vel nibh proin fringilla eu nunc a fermentum nullam odio ipsum condimentum vitae ligula et semper hendrerit massa duis sit amet enim eu lectus posuere convallis eget nec felis nunc varius posuere felis in luctus enim commodo et donec volutpat scelerisque nisi a euismod etiam non lobortis augue quis sollicitudin sapien aliquam tortor ligula facilisis vitae vestibulum interdum tempor in nulla duis accumsan neque eget pretium lobortis vivamus semper quis sapien ut iaculis vivamus varius malesuada risus at commodo lorem cras amet sold residential 250m2 186 n quail ln orange ca 92869 united states 3 3 sales 2 2008 15 150m2  spring gate drunit 4106 mclean 22102  ',0),(22,'node',' aliquam ac tempus quam a facilisis mi praesent scelerisque odio vitae ornare scelerisque libero massa volutpat neque id facilisis ligula lectus in eros curabitur nec venenatis odio  ',0),(23,'node',' nulla eu erat at diam commodo egestas nunc pellentesque nisi non fermentum congue etiam et sollicitudin leo ultricies porttitor tellus nulla sit amet nisl vel neque ornare condimentum sed non felis  ',0),(24,'node',' maecenas id semper est non sagittis felis aliquam eget diam hendrerit aliquet ligula vel pharetra lectus quisque rhoncus sem eu rhoncus hendrerit lectus massa aliquet ligula a molestie ipsum lacus id urna  ',0),(25,'node',' alpine rd stockton ca 95215  203000 suspendisse potenti nunc sagittis vel ipsum suscipit consectetur nunc quis lorem vitae magna cursus rutrum eu id tellus lorem ipsum dolor sit amet consectetur adipiscing elit integer ultrices metus mauris at dapibus augue aliquet sed fusce blandit vel purus eleifend tincidunt in convallis tortor nec urna lobortis id tincidunt metus porta integer eros felis lacinia fermentum cursus vitae pretium sed arcu nam nunc mauris posuere sit amet libero nec tincidunt vehicula metus pellentesque at consequat lorem sed ipsum tellus sodales at nibh in molestie commodo leo donec in auctor nisl sed velit nisi pretium vel lacinia sit amet sagittis ut diam pellentesque interdum at diam a faucibus vestibulum tempor enim sit amet quam posuere euismod vestibulum mollis mi metus vitae cursus justo molestie vitae ut et nulla vitae neque vestibulum ultricies donec pharetra felis vitae nisi imperdiet ornare phasellus sagittis quam lorem non feugiat libero dictum vitae cras sollicitudin tortor eros non vulputate nisl mollis id interdum et malesuada fames ac ante ipsum primis in faucibus integer rhoncus sem ac elementum faucibus etiam aliquam dolor urna id rutrum arcu sed selling residential 200m2 5744 e creekside ave unit 55 orange ca 92869 united states 3 3 sales 2 2009 15 150m2  alpine stockton 95215 alpine stockton 95215  ',0),(26,'node',' 692 n adele st spc 120  802500 morbi vulputate neque nec pharetra ullamcorper ligula tortor interdum est id vehicula lorem mauris non velit duis nibh felis molestie eu metus ut ultrices adipiscing lorem suspendisse fringilla vestibulum magna imperdiet imperdiet duis elementum pharetra justo maecenas in orci enim quisque varius mollis orci ac tempus cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nullam et fringilla augue nullam bibendum sit amet augue imperdiet dapibus aenean tempor neque ut fringilla accumsan nisl nunc laoreet risus sed vulputate arcu justo at dui sed tristique enim eget mattis vestibulum nam euismod magna vel neque pretium fringilla etiam odio nibh dictum eu enim sed auctor laoreet tortor morbi eu nisi lectus vestibulum rhoncus tortor vitae quam varius consequat vivamus quis dui ac nulla molestie blandit eu in nunc in justo erat lacinia in vulputate non tristique eu mi aliquam tristique dapibus tempor vivamus malesuada tempor urna in convallis massa lacinia sed phasellus gravida auctor vestibulum suspendisse potenti in tincidunt felis bibendum nunc tempus sagittis praesent elit dolor ultricies interdum porta sit amet iaculis in neque rent apartment 200m2 692 n adele st spc 120 orange ca 92867 united states 2 2 rent 1 2012 2 200m2  1 gissing street blackburn south 1 gissing street blackburn south  ',0),(27,'node',' 204 dui a fermentum  150000 nam nec tellus a odio tincidunt auctor a ornare odio sed non mauris vitae erat consequat auctor eu in elit class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos mauris in erat justo nullam ac urna eu felis dapibus condimentum sit amet a augue sed non neque elit mauris in erat justo nullam ac urna eu felis dapibus condimentum sit amet a augue sed non neque elit donec sed odio dui nulla vitae elit libero a pharetra augue donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet duis mollis est non commodo luctus nisi erat porttitor ligula eget lacinia odio sem nec elit sed non neque elit donec sed odio dui nulla vitae elit libero a pharetra augue donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet donec sed odio dui nulla vitae elit libero a pharetra augue donec sed odio dui nulla vitae elit libero a pharetra augue nullam id dolor id nibh ultricies vehicula ut id elit integer posuere erat a ante venenatis dapibus posuere velit aliquet rent residential 200m2 4431 e silverleaf ave orange ca 92869 united states 4 3 sales 1 2014 2 150m2  204 dui fermentum 204 dui fermentum  ',0),(28,'node',' 1524a nunc non ornare dui  34000 apartment pending cras ac ante eget metus varius suscipit suspendisse non quam quis lectus dapibus luctus a at orci nunc malesuada odio a tincidunt luctus justo mauris porta leo eu dapibus sem massa pellentesque nunc duis interdum eu est et imperdiet fusce fringilla faucibus mauris nullam tempus tincidunt felis id suscipit est rutrum non in varius quam et lacinia venenatis turpis dolor hendrerit neque sed tristique elit ligula eu urna aliquam ullamcorper tellus commodo gravida libero a lacinia turpis curabitur dictum risus non velit sollicitudin posuere aliquam blandit vel erat sit amet rhoncus duis diam diam euismod non libero pellentesque posuere vehicula nunc praesent viverra sapien eu ante vestibulum aliquam blandit nibh molestie donec at rutrum nunc 150m2 160 s kathleen ln orange ca 92869 united states 2 1 rent 2009 1 120m2  1524a nunc non ornare dui 1524a nunc non ornare dui  ',0),(29,'node',' 3900 vel ipsum suscipit  190000 pellentesque vitae lectus in felis auctor malesuada nulla commodo orci in consequat molestie sed ac porta magna a facilisis velit nam ac vulputate libero nec ultricies nunc integer condimentum mollis placerat donec consequat nisl eu auctor facilisis lectus nunc mollis libero quis suscipit ligula quam ac massa quisque ac est in augue pulvinar tincidunt quis a nunc proin condimentum molestie pharetra ut vel est a felis porttitor porta nec quis dui nulla facilisi mauris varius arcu vel condimentum convallis justo ante fringilla ligula at rhoncus justo dui eget mi nam non aliquam ipsum aenean tempor neque ut fringilla accumsan nisl nunc laoreet risus sed vulputate arcu justo at dui sed tristique enim eget mattis vestibulum nam euismod magna vel neque pretium fringilla etiam odio nibh dictum eu enim sed auctor laoreet tortor morbi eu nisi lectus vestibulum rhoncus tortor vitae quam varius consequat vivamus quis dui ac nulla molestie blandit eu in nunc in justo erat lacinia in vulputate non tristique eu mi aliquam tristique dapibus tempor vivamus malesuada tempor urna in convallis massa lacinia sed phasellus gravida auctor vestibulum suspendisse potenti in tincidunt felis bibendum nunc tempus sagittis praesent elit dolor ultricies interdum porta sit amet iaculis in neque selling apartment 300m2 550 n turnberry dr orange ca 92869 united states 3 2 rent 1 2014 2 250m2  3900 vel ipsum suscipit 3900 vel ipsum suscipit  ',0),(30,'node',' 632 n oxford ct  130000 aenean tempor neque ut fringilla accumsan nisl nunc laoreet risus sed vulputate arcu justo at dui sed tristique enim eget mattis vestibulum nam euismod magna vel neque pretium fringilla etiam odio nibh dictum eu enim sed auctor laoreet tortor morbi eu nisi lectus vestibulum rhoncus tortor vitae quam varius consequat vivamus quis dui ac nulla molestie blandit eu in nunc in justo erat lacinia in vulputate non tristique eu mi aliquam tristique dapibus tempor vivamus malesuada tempor urna in convallis massa lacinia sed phasellus gravida auctor vestibulum suspendisse potenti in tincidunt felis bibendum nunc tempus sagittis praesent elit dolor ultricies interdum porta sit amet iaculis in neque selling apartment 200m2 632 n oxford ct orange ca 92869 united states 2 2 sales 1 2013 1 150m2  911 ante urna laoreet 911 ante urna laoreet  ',0),(31,'node',' 785 suspendisse potenti  200000 morbi vulputate neque nec pharetra ullamcorper ligula tortor interdum est id vehicula lorem mauris non velit duis nibh felis molestie eu metus ut ultrices adipiscing lorem suspendisse fringilla vestibulum magna imperdiet imperdiet duis elementum pharetra justo maecenas in orci enim quisque varius mollis orci ac tempus cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus nullam et fringilla augue nullam bibendum sit amet augue imperdiet dapibus aenean tempor neque ut fringilla accumsan nisl nunc laoreet risus sed vulputate arcu justo at dui sed tristique enim eget mattis vestibulum nam euismod magna vel neque pretium fringilla etiam odio nibh dictum eu enim sed auctor laoreet tortor morbi eu nisi lectus vestibulum rhoncus tortor vitae quam varius consequat vivamus quis dui ac nulla molestie blandit eu in nunc in justo erat lacinia in vulputate non tristique eu mi aliquam tristique dapibus tempor vivamus malesuada tempor urna in convallis massa lacinia sed phasellus gravida auctor vestibulum suspendisse potenti in tincidunt felis bibendum nunc tempus sagittis praesent elit dolor ultricies interdum porta sit amet iaculis in neque selling apartment 300m2 12334 circula panorama santa ana ca 92705 united states 4 2 sales 1 2014 250m2  785 suspendisse potenti 785 suspendisse potenti  ',0),(32,'node',' get in touch contact form donec at velit sit amet lacus placerat pretium fusce eget est in diam mattis vestibulum sed id lorem nullam aliquet elit et neque faucibus pharetra your name your email subject website your message  get in touch duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto alexander street vancouver bc v6a 1e1 canada 123456789 123456789 mail domainnamecom ',0),(33,'node',' curabitur placerat ultrices enim non condimentum  maria s blog excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla quis blandit nisi ut pulvinar quam pellentesque aliquet nunc rhoncus pretium sodales fusce sollicitudin sem diam eget tempor enim rhoncus nec sed a luctus leo fusce sollicitudin ac ligula rhoncus malesuada aliquam placerat urna vehicula nunc auctor consectetur proin mattis neque metus morbi vehicula augue ut tincidunt facilisis dolor nunc commodo massa et varius purus justo ac velit morbi sodales urna at facilisis commodo integer laoreet ligula nec dignissim dignissim orci ante rhoncus arcu eu tristique lacus ligula dapibus sem nunc blandit libero at condimentum posuere nullam varius vehicula augue at ullamcorper ut condimentum turpis sit amet diam scelerisque eu gravida mi tempus morbi sit amet feugiat libero pellentesque cursus justo ac ullamcorper rutrum elit erat aliquet tellus eu dictum nisi mi quis dui nunc tristique quam sit amet facilisis cras amet apartment condo multi family others single family villa ut ut felis rutrum est facilisis suscipit ac vestibulum eros permalink submitted by admin on fri 8082014 1219 nulla eget leo in mi vulputate gravida aliquam non augue placerat pulvinar est nec pellentesque ligula morbi placerat turpis nec neque aliquam eget mattis magna vulputate donec lorem dolor facilisis a sodales sed facilisis quis neque ut sed sem pretium euismod urna sit amet nullam sodales log in or register to post comments phasellus consectetur vel quam vel imperdiet permalink submitted by admin on fri 8082014 1219 nulla facilisi phasellus nisi justo dictum eu sollicitudin pellentesque rhoncus sed eros praesent at congue enim duis pellentesque arcu ut gravida malesuada quisque a eros risus vivamus ornare laoreet felis vel tempus arcu tempor vitae nullam porttitor est dignissim iaculis risus volutpat log in or register to post comments integer sit amet consectetur eros permalink submitted by admin on fri 8082014 1221 in ac libero at ipsum faucibus tincidunt integer porttitor neque iaculis hendrerit eleifend in ac congue libero nam varius vitae neque eget feugiat ut scelerisque fermentum tortor vivamus ut urna neque nulla mauris ipsum pharetra quis rutrum convallis blandit id mauris sed tincidunt nullam log in or register to post comments proin et euismod libero in fringilla facilisis leo permalink submitted by admin on fri 8082014 1220 in at elementum nisl mauris eget tempor leo integer diam mi condimentum et libero sed convallis posuere nisl in porta odio id placerat auctor sem enim venenatis felis sed vehicula est elit eu metus phasellus nisi leo condimentum ut ipsum non luctus convallis nisi praesent urna cras amet log in or register to post comments nunc posuere mauris nec tempus suscipit leo sapien porta permalink submitted by admin on fri 8082014 1221 interdum et malesuada fames ac ante ipsum primis in faucibus praesent vulputate dui purus vel pulvinar orci mollis et ut suscipit felis eu mattis semper integer nec magna eu orci mollis rhoncus at et metus donec eget sapien orci praesent id tortor sapien sed venenatis ipsum id sapien posuere log in or register to post comments  ',0),(34,'node',' 6226 e cliffway dr  30000 sed iaculis ipsum eu porttitor auctor vestibulum tempor pulvinar est vitae sollicitudin ligula maecenas a mi sit amet magna ullamcorper fermentum vivamus porta pellentesque lorem quis viverra enim consectetur non cras eget commodo magna pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas suspendisse id neque tincidunt volutpat dolor vitae laoreet nunc integer aliquet lacus ac luctus vehicula eros purus commodo turpis vitae ultrices dui justo eget quam donec vel rutrum dolor eu egestas neque donec eget cursus dui quisque vel turpis sed tortor varius vehicula maecenas dignissim odio sit amet bibendum volutpat nam vitae tincidunt ante nunc tempor orci eget dolor egestas ac congue nisi pulvinar aliquam erat volutpat nam luctus diam eros praesent mi neque laoreet at convallis eu feugiat ac erat pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas sed tempor lacus eget nisi sollicitudin hendrerit morbi sed nulla facilisis ultrices justo nec commodo massa nam imperdiet ultrices nulla in scelerisque nunc vehicula consectetur congue fusce convallis dui dictum pharetra sem sed rent apartment 120m2 6226 e cliffway dr orange ca 92869 united states 4 6 rent 2 2006 2 200m2  4101 gulf shore 4101 gulf shore  ',0),(35,'node',' 1076 nelson walk  45000 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam villa sold 180m2 5651 w pine shade place 84118 salt lake turkey 5 3 sales 1 2010 15 240m2  1076 nelson walk 1076 nelson walk  ',0),(36,'node',' 6150 e allison cir  56000 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam rent residential 140m2 6150 e allison cir orange ca 92869 united states 2 4 sales 2 2011 15 180m2  3675 gordon 3675 gordon  ',0),(37,'node',' 204 temporibus vis  25000 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam villa selling 320m2 5651 w pine shade place salt lake ut 84118 thailand 2 4 sales 2 2012 3 380m2  204 temporibus vis 204 temporibus vis  ',0),(38,'node',' 2315 pellentesque tempus  2000 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam apartment rent 120m2 5651 w pine shade place 84118 salt lake tokelau 34012187 3 4 rent 1 2009 15 160m2  2315 pellentesque tempus 2315 pellentesque tempus  ',0),(39,'node',' 5802 e bottlebrush dr  25000 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam pending residential 90m2 5802 e bottlebrush dr orange ca 92869 us virgin islands 2 3 sales 1 2011 2 120m2  564 proin rutrum nisi 564 proin rutrum nisi  ',0),(40,'node',' vestibulum blandit tempus nulla john s blog excepteur sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nulla facilisi cras convallis vel lectus sed convallis duis nec accumsan diam vestibulum blandit tempus nulla suspendisse consectetur cursus elit et scelerisque ligula hendrerit id maecenas ultrices porta nunc quis consectetur risus morbi non metus eget nibh vulputate tincidunt nullam dui quam suscipit a ligula a posuere sagittis magna pellentesque vitae dolor et nunc lobortis vestibulum suspendisse potenti pellentesque cursus purus vitae libero hendrerit congue aenean erat elit aliquet at mi quis sollicitudin sollicitudin libero sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h1 heading 1 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed ut perspiciatis unde omnis iste natus error qui dolorem ipsum quia dolor sit amet consectetur adipisci velit h2 heading 2 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo h3 heading 3 sint occaecat cupidatat non proident sunt in culpa qui officia deserunt mollit anim id est laborum sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium totam rem aperiam eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo sed convallis ante eget sem porttitor pellentesque phasellus venenatis purus cursus placerat porta aenean sit amet hendrerit nisi aliquam vestibulum lacinia nibh id malesuada nam ut dapibus arcu nec mattis nisl donec eu mi est suspendisse eget tortor est sed ac ipsum enim donec lacinia sed sed convallis ante eget sem porttitor pellentesque phasellus venenatis purus cursus placerat porta aenean sit amet hendrerit nisi aliquam vestibulum lacinia nibh id malesuada nam ut dapibus arcu nec mattis nisl donec eu mi est suspendisse eget tortor est sed ac ipsum enim donec lacinia sed sed convallis ante eget sem porttitor pellentesque phasellus venenatis purus cursus placerat porta aenean sit amet hendrerit nisi aliquam vestibulum lacinia nibh id malesuada nam ut dapibus arcu nec mattis nisl donec eu mi est suspendisse eget tortor est sed ac ipsum enim donec lacinia sed apartment multi family others single family villa ',0),(41,'node',' brokerage services praesent consectetur magna tempus blandit ultrices nulla nec libero tincidunt ultrices lectus a euismod urna duis elit ipsum consequat id consequat id consequat ac quam proin quis sagittis augue morbi id dolor vitae mi pellentesque suscipit eget nec sapien aenean mollis adipiscing sapien ac congue nisl blandit ac nunc a lacus est aliquam orci nibh semper quis imperdiet nec bibendum et sapien quisque viverra nulla ut purus tempor vel bibendum mi tincidunt donec rutrum velit a venenatis tempus maecenas pretium sodales pretium etiam cursus enim eget molestie interdum mi magna fringilla sapien sed vehicula risus augue vel leo praesent non ligula ipsum donec sed lacinia dui ac molestie est maecenas consequat ut libero quis bibendum pellentesque at tincidunt neque at consequat lacus aliquam risus elit rhoncus eu elit non laoreet volutpat metus maecenas at turpis in ipsum posuere euismod curabitur pellentesque imperdiet augue eu faucibus est sodales in donec non quam porttitor commodo felis facilisis elementum dolor phasellus scelerisque velit ac enim pellentesque commodo nulla posuere turpis sit amet eros feugiat id imperdiet magna commodo cras amet  ',0),(42,'node',' real estate management fusce ac dictum lacus tincidunt pulvinar ligula etiam adipiscing metus sit amet ullamcorper adipiscing mauris erat consequat lectus id feugiat justo nisl et tellus maecenas a ipsum nulla vivamus dapibus risus quis sollicitudin iaculis morbi et nisl nunc mauris odio enim vehicula ac dictum in pretium ut lorem suspendisse id aliquet leo nec fermentum ante sed ac elit sed tellus molestie euismod vitae eget lorem nullam ultrices purus sed sapien dictum ac aliquam nibh hendrerit vivamus ultrices pretium nulla eget aliquet felis ornare a sed ornare neque a orci egestas quis fringilla orci tincidunt pellentesque posuere nunc sit amet lacinia semper nulla neque auctor augue vel pretium turpis ante sed nisl integer sit amet urna suscipit interdum mi ut ullamcorper tellus duis nulla lectus euismod eu tristique ac tempor a est in id tempus nisl sed sed luctus sapien duis ornare augue eget sodales semper proin ac mollis lectus sed dapibus nibh eu augue porta id mollis arcu ornare fusce quis tellus enim nam interdum varius velit vitae sollicitudin diam lobortis nec in euismod magna sit amet bibendum mattis lorem nisl ultrices magna at dictum nunc metus  ',0),(43,'node',' construction development praesent at enim blandit fringilla felis eu posuere dolor sed eu auctor metus et iaculis velit nunc posuere dolor eu dolor condimentum in tempus mauris aliquet integer laoreet tempus nunc sed accumsan placerat tortor vel dapibus sed at mi non nibh sagittis vehicula nullam ut massa eu nulla tincidunt lacinia porta quis leo aenean consectetur nec mi et sollicitudin morbi tincidunt posuere diam nec placerat pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas etiam id faucibus nunc non luctus sem integer non lorem sollicitudin euismod quam et luctus erat curabitur pulvinar gravida lacus sed aliquam nullam varius imperdiet tempus suspendisse non massa at neque mattis blandit vel in magna in vel fermentum mi suspendisse id pulvinar metus eget varius dui vivamus vitae diam sit amet velit vulputate tincidunt phasellus id commodo ligula vestibulum dapibus purus eu felis volutpat rhoncus nullam pulvinar ante ut dapibus ornare quisque ut ipsum et tortor posuere mattis vitae quis velit nullam id euismod felis class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos curabitur nunc cras amet  ',0),(44,'node',' 404 404 sorry but we couldn t find the page you are looking for please check to make sure you ve typed the url correctly you may also want to search for what you are looking for return to home ',0),(45,'node',' 4125 e marmon ave  233600 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam sold apartment 200m2 4125 e marmon ave orange ca 92869 united states 2 2 rent 1 2014 2 150m2  18b uonga road bentleigh vic 3204 18b uonga road bentleigh vic 3204  ',0),(46,'node',' 18932 e center ave orange ca 92869  233600 ut convallis turpis urna in et sagittis purus suspendisse ut odio semper sollicitudin purus ac ultrices dolor praesent eu mattis mi duis id leo tincidunt bibendum purus non varius enim aenean turpis diam fringilla id purus ut dapibus porta ipsum integer eu turpis lacus ut quis neque eu nisi facilisis facilisis nulla sit amet pellentesque neque morbi nisl nunc dignissim id fermentum non porta in nisi maecenas non euismod sem sed auctor mollis sapien vel cursus nunc lobortis velit in aliquet mollis sed aliquet vestibulum diam in euismod lorem rutrum id proin sodales cursus est in aliquet purus maecenas id nunc a risus porta tristique nam tempus in tellus vel suscipit suspendisse eget sodales ligula mauris ullamcorper sapien quis commodo molestie vivamus a ultricies leo mauris tincidunt neque mauris at lobortis turpis viverra vel vivamus aliquam elit a ornare sollicitudin justo nulla elementum purus malesuada gravida elit neque vel lorem pellentesque at interdum neque pellentesque tempus non sem a faucibus nunc non neque augue quisque molestie metus sit amet magna viverra semper pellentesque euismod tempor ligula mollis mattis nisi dictum nullam rent residential 250m2 18932 e center ave orange ca 92869 united states 1 1 rent 1 2012 1 200m2  11 annetta avenue ashburton 11 annetta avenue ashburton  ',0),(47,'node',' 11685 blackthorn ln orange ca 92869  643330 rent residential maecenas in enim eget turpis sollicitudin volutpat praesent iaculis enim eu sapien fringilla et iaculis sem efficitur fusce justo elit placerat at lectus at interdum suscipit metus in tincidunt diam sed turpis pulvinar convallis aenean vulputate vitae lorem in finibus donec aliquam dolor ut arcu faucibus efficitur phasellus sed orci non purus convallis feugiat ac ut lectus morbi nec arcu consequat lobortis nibh porta commodo lectus curabitur elementum porttitor blandit 300m2 11685 blackthorn ln orange ca 92869 united states 4 2 sales 2014 250m2  1566 cum sociis natoque penatibus 1566 cum sociis natoque penatibus 1566 cum sociis natoque penatibus  ',0),(48,'node',' 5699 donec tristique orci non  233600 interdum et malesuada fames ac ante ipsum primis in faucibus donec tristique orci non metus commodo rutrum maximus odio ullamcorper praesent eu luctus erat lorem ipsum dolor sit amet consectetur adipiscing elit donec dapibus imperdiet metus ut bibendum sed blandit vitae ex et convallis integer at elit sagittis ligula mollis facilisis morbi ornare ipsum quis viverra blandit leo elit varius ex convallis sollicitudin sapien quam non sem residential renting 300m2 5651 w pine shade place salt lake ut 84118 united states 2 2 rent 2 2014 2 200m2  5699 donec tristique orci non 5699 donec tristique orci non 5699 donec tristique orci non 5699 donec tristique orci non  ',0),(49,'node',' 4429 e justice cir orange ca 92869  230000 donec varius erat quis ex aliquam vel semper dolor fringilla nam cursus nisl vitae velit ultrices sed vulputate est pretium phasellus a feugiat lacus donec at congue purus nam sodales nisl neque ut efficitur tortor luctus non aliquam bibendum purus non eleifend laoreet ex sem ornare lectus at vestibulum ante nisi quis urna quisque imperdiet non nibh sit amet faucibus etiam feugiat ultricies tempus nullam a massa blandit semper velit luctus aliquam lectus sed vitae ipsum luctus interdum tortor nec blandit risus nullam tristique congue diam quis tincidunt massa praesent commodo eros diam eu dapibus felis cursus a fusce nec volutpat risus nulla justo nisl lobortis a sapien sit amet commodo dapibus metus phasellus et molestie metus pellentesque nec hendrerit eros auctor dignissim nulla praesent molestie sapien augue ut tempus neque molestie a suspendisse odio massa placerat ac gravida ac ornare ac massa praesent pellentesque lobortis augue auctor volutpat phasellus nec ex eu leo tincidunt accumsan suspendisse non neque eu tortor lacinia congue praesent aliquam diam at lorem euismod posuere donec non nunc sagittis luctus ipsum eu cursus ante renting residential 300m2 4429 e justice cir orange ca 92869 united states 4 3 rent 1 2012 2 250m2  4788 praesent suscipit magna 4788 praesent suscipit magna 4788 praesent suscipit magna 4788 praesent suscipit magna  ',0),(50,'node',' 11752 s esplanade st orange ca 92869  30800 duis porttitor tortor quis ex mattis semper proin leo massa porttitor eu cursus ut facilisis interdum urna maecenas rutrum dolor eget rhoncus volutpat quisque rhoncus consectetur leo laoreet dictum velit semper non praesent volutpat tincidunt velit curabitur sodales urna quis dapibus pretium integer nec porta nisl et commodo magna aenean volutpat lacus justo varius efficitur purus hendrerit luctus aenean sem nisl vehicula in gravida a hendrerit eget ex pellentesque quam tortor cursus ac mi et ultricies efficitur neque class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos cras a efficitur ipsum at tincidunt elit ut a quam nulla cras nec imperdiet mi vel mollis sem sed et ligula pulvinar euismod orci luctus facilisis est in risus purus tincidunt ac sem a dapibus varius arcu mauris sagittis dolor augue quis posuere ipsum pellentesque et nunc risus justo venenatis id est nec mattis faucibus felis nulla imperdiet quam ut mauris consequat sit amet tincidunt nunc accumsan donec porta sapien nec iaculis blandit velit ipsum mattis quam a malesuada eros erat eu sem vestibulum sed dolor fermentum faucibus sem non luctus metus nunc rhoncus sollicitudin sem eu molestie metus vestibulum a phasellus pellentesque viverra sapien pellentesque aliquam mi rhoncus in quisque eu tristique ante vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae selling villa 300m2 11752 s esplanade st orange ca 92869 united states 3 2 rent 1 2014 1 150m2  3434 duis porttitor tortor quis 3434 duis porttitor tortor quis 3434 duis porttitor tortor quis 3434 duis porttitor tortor quis  ',0),(51,'node',' 2547 maecenas semper est  643330 maecenas semper est vel massa scelerisque a molestie massa aliquet morbi sem tellus interdum sit amet luctus id ultricies eu leo vivamus justo ante accumsan nec velit nec consequat imperdiet arcu duis ipsum lectus interdum eu nisi sit amet consequat imperdiet nisi quisque sit amet semper diam ultricies suscipit lacus etiam non finibus nisl proin pretium tortor varius tempor hendrerit ut viverra ut enim sed viverra integer sit amet mauris mollis pulvinar arcu non rutrum nisl vivamus volutpat nunc tortor et aliquet ex condimentum nec duis mi risus rutrum id accumsan in porttitor id sapien aenean at quam dui morbi euismod enim finibus varius placerat leo sem pellentesque erat vitae facilisis justo mi in mi vestibulum id quam mauris pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas curabitur volutpat placerat orci ac congue ut risus neque rhoncus et consequat eget porttitor eget tortor nullam tincidunt nibh augue ut ultrices arcu tincidunt quis praesent nec felis a elit porttitor vestibulum sed ut diam selling villa 300m2 3831 e sycamore ave orange ca 92869 united states 2 2 sales 1 2014 15 150m2  2547 maecenas semper est vel 2547 maecenas semper est vel 2547 maecenas semper est 2547 maecenas semper est  ',0),(52,'node',' 4896 nullam rutrum arcu at  230000 nullam rutrum arcu at mollis efficitur quisque luctus mi eget ultrices tempor curabitur ut elementum ipsum ultricies tincidunt augue sed dignissim bibendum facilisis vivamus tortor ipsum iaculis id placerat quis fringilla eu arcu integer eget ipsum sed urna auctor pellentesque nec vel augue sed non libero eget sem lacinia blandit ut quis tortor interdum et malesuada fames ac ante ipsum primis in faucibus in hac habitasse platea dictumst nulla purus libero tristique cursus velit ut imperdiet feugiat ligula nullam lacinia lorem in fringilla finibus velit eros consectetur purus eu sodales diam risus ut nibh curabitur congue sem quam sed sodales diam aliquet a lorem ipsum dolor sit amet consectetur adipiscing elit proin sit amet lectus sit amet urna pharetra ullamcorper maecenas vel orci nec ex efficitur tincidunt donec vitae lobortis neque vitae commodo tortor donec vitae suscipit libero holding villa 200m2 4900 e chapman ave unit 48 orange ca 92869 united states 2 2 sales 1 2012 1 150m2  4896 nullam rutrum arcu mollis efficitur 4896 nullam rutrum arcu mollis efficitur 4896 nullam rutrum arcu mollis efficitur 4896 nullam rutrum arcu mollis efficitur  ',0),(53,'node',' 12601 baja panorama santa ana ca 92705  233600 vestibulum ac ultricies nisi ut fringilla arcu eget tempus iaculis diam velit ornare ex a condimentum purus ante vel massa praesent elementum ligula non eros lacinia id tempor nisl sollicitudin suspendisse leo mauris condimentum at urna vel dictum bibendum ante aliquam erat volutpat duis a finibus sem morbi lacinia tristique sem ut efficitur est condimentum et integer tortor sem tincidunt quis bibendum nec elementum sed turpis praesent eu sodales quam in placerat nulla ut massa congue dignissim donec id leo sed mi rutrum suscipit ut eu ipsum donec egestas diam eget massa rhoncus molestie vivamus tincidunt nulla magna curabitur non erat lacus vivamus non ipsum sed mi scelerisque vehicula ut vitae nunc etiam in metus accumsan eleifend magna eu dignissim ante mauris gravida neque ipsum id lobortis enim bibendum vitae morbi iaculis nisi in velit consectetur aliquet sed lacinia faucibus nisi ac semper curabitur a massa quis felis hendrerit tempor cras id egestas sapien sed in nisl est vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae etiam ac eros consectetur accumsan ex et scelerisque orci nullam vehicula ex nunc ut congue orci blandit vulputate phasellus molestie accumsan augue rent villa 300m2 12601 baja panorama santa ana ca 92705 united states 3 2 sales 1 2014 2 200m2  6936 vestibulum ultricies nisi 6936 vestibulum ultricies nisi 6936 vestibulum ultricies nisi 6936 vestibulum ultricies nisi  ',0),(54,'node',' 32 pellentesque non aliquet turpis  233600 pellentesque non aliquet turpis morbi eu mi at arcu malesuada porta mauris tincidunt neque id mauris viverra facilisis integer sed elementum leo et imperdiet justo fusce non auctor lacus quis aliquam ligula duis dictum sit amet ipsum a pretium vivamus elementum lorem tellus et elementum lectus volutpat ac curabitur cursus tellus non suscipit fringilla ut sit amet nisi nec nulla iaculis congue morbi gravida purus ac dui volutpat fringilla vestibulum blandit malesuada faucibus sed tempor ex sed est pharetra ut commodo odio dictum aliquam interdum ipsum suscipit venenatis pretium arcu justo tempor elit ac molestie est lacus quis nisi sed ut posuere risus ut mattis nulla sed hendrerit nulla ut quam dictum non ullamcorper leo accumsan nunc tristique malesuada ipsum eu elementum aliquam et eros ullamcorper ullamcorper nunc a hendrerit libero nam rhoncus dictum felis maecenas nec erat at nunc lacinia varius proin non eros non nisl commodo vulputate fusce id congue quam donec ullamcorper quam semper molestie ante sed vulputate dui cras sit amet ligula eget enim malesuada finibus at et enim donec congue sem eget luctus tempus enim quam finibus quam sed lobortis tellus sem eget lectus sed tempor rutrum ex interdum et malesuada fames ac ante ipsum primis in faucibus sed ac risus lacinia auctor mauris a maximus purus maecenas a lectus porta luctus est quis ultrices eros ut posuere risus augue ut condimentum sapien consectetur id nulla quis varius eros nunc congue mi sed interdum dictum augue risus porta erat eu maximus erat tortor sit amet quam ut dolor libero facilisis a tortor et laoreet suscipit velit villa pending 300m2 5651 w pine shade place salt lake ut 84118 united states 2 2 rent 1 2014 15 150m2  32 pellentesque non aliquet turpis 32 pellentesque non aliquet turpis 32 pellentesque non aliquet turpis 32 pellentesque non aliquet turpis  ',0),(55,'node',' 72 duis feugiat vitae libero  30800 duis feugiat vitae libero eget lobortis sed porta mollis auctor ut eu convallis velit ac imperdiet lacus integer ut dapibus lectus ut laoreet neque sed orci pellentesque ut luctus nulla egestas suspendisse et turpis nec leo interdum ultricies in quis lectus donec molestie ac justo eget interdum nulla facilisi donec viverra sollicitudin dapibus morbi nec euismod orci fusce tincidunt massa quis consectetur feugiat phasellus id fermentum quam vitae vehicula nibh sed luctus maximus lorem a lacinia vivamus eu nunc nec lorem egestas congue integer lobortis massa magna at vestibulum risus consectetur ut morbi cursus tellus sed lectus consequat porta sed congue egestas sagittis sed pulvinar augue ullamcorper tempor facilisis nisi orci facilisis dui sed dictum sem justo quis lacus nullam vitae velit vestibulum sollicitudin quam mattis ultricies felis phasellus mollis tortor nec orci varius at efficitur turpis iaculis cras sed ultricies est proin elementum vitae nibh hendrerit lacinia nulla arcu ipsum blandit ac accumsan vitae maximus at nulla nunc augue libero congue vitae varius id rutrum eu massa proin fringilla semper nulla at semper maecenas quam velit vehicula et ipsum sed sodales eleifend ante sed gravida nulla nec velit porttitor vitae rutrum dui blandit donec sapien sem commodo vitae placerat vel efficitur feugiat erat phasellus vel egestas purus quisque dignissim sed ex non tincidunt in semper nisl quis nulla sollicitudin efficitur luctus lacus gravida vivamus finibus felis vitae euismod convallis nullam a augue faucibus sollicitudin nulla eget tristique sem etiam auctor ornare cursus maecenas erat augue consectetur nec porta ac blandit eget neque villa holding 400m2 5651 w pine shade place salt lake ut 84118 united states 3 2 rent 1 2014 1 300m2  72 duis feugiat vitae libero 72 duis feugiat vitae libero 72 duis feugiat vitae libero 72 duis feugiat vitae libero  ',0),(56,'node',' community guidelines lorem ipsum dolor sit amet consectetur adipiscing elit curabitur suscipit gravida nibh vel pharetra massa ultrices ac proin mollis finibus dignissim integer vel commodo ex et egestas lacus class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos morbi posuere mauris et volutpat accumsan aliquam tortor mi rutrum nec velit non semper laoreet diam etiam placerat congue diam ullamcorper commodo phasellus dui eros posuere pharetra erat sit amet porttitor lobortis risus nulla facilisis mollis dapibus nulla et est a quam sodales posuere cras non condimentum dui donec a mollis metus donec sit amet nisi risus nulla et purus ut orci convallis rutrum ut non velit morbi eget blandit nibh suspendisse potenti in convallis vel ex ut tempor mauris ullamcorper lacinia volutpat phasellus sit amet placerat lorem id sodales mauris morbi mollis velit ac sapien commodo viverra pellentesque hendrerit vestibulum ligula sed vehicula metus vulputate ac nulla ullamcorper erat nec nibh dignissim et auctor arcu imperdiet maecenas id nulla elementum tortor fermentum sagittis cras maximus diam sed venenatis iaculis donec ut scelerisque risus tristique euismod ante nam convallis urna non vulputate maximus felis turpis hendrerit odio non volutpat neque ex eu arcu in nisl leo sagittis vitae nunc quis vulputate vulputate nulla duis massa augue gravida vitae facilisis vitae viverra sit amet neque nullam placerat blandit diam varius lobortis justo accumsan sit amet nam dapibus orci nunc aliquam sed fringilla metus sed feugiat ligula nunc vel sem et metus pharetra mattis sit amet bibendum ex cras tellus odio placerat vitae tortor ornare imperdiet gravida enim  ',0),(57,'node',' free credit report duis sagittis mi et vestibulum pharetra phasellus a vulputate tellus lorem ipsum dolor sit amet consectetur adipiscing elit donec augue sapien aliquet at urna cursus porta gravida urna aenean vitae nunc ultricies fringilla est vel mattis ex praesent at orci tempus placerat magna non tristique ipsum quisque urna dui egestas vel nulla sit amet consequat sollicitudin lorem fusce semper est sed augue suscipit at ultricies metus sodales fusce lorem sem interdum eu luctus et volutpat quis augue etiam pharetra dapibus ligula eu rhoncus maecenas eros lacus facilisis at porttitor id aliquet sit amet purus sed viverra velit auctor consectetur fringilla nunc dolor ullamcorper nisl nec cursus lorem mi a erat sed efficitur lacus ut bibendum volutpat nisi augue molestie risus id aliquam libero ex et nisl nullam sodales non est vel tristique in pellentesque sem vitae euismod tempus ut porta tortor rutrum urna molestie luctus aliquam tempor libero et velit eleifend porttitor maecenas varius lacinia viverra morbi bibendum felis at consequat ultrices quisque sed pharetra quam id interdum risus phasellus porttitor magna id leo bibendum aliquam in enim augue efficitur ut facilisis id bibendum facilisis dui proin lobortis turpis in vestibulum lacinia nunc consectetur a diam viverra tincidunt cras convallis nulla dui vel feugiat justo congue a donec ac erat sed nisl semper condimentum vitae vitae ipsum duis velit quam mattis vel velit ac vehicula tristique libero donec quis scelerisque velit vitae congue ex nunc rhoncus felis nec lacinia porttitor mi elit dictum ante vel efficitur libero erat nec neque donec quam sem congue vel metus eget condimentum rhoncus sem pellentesque faucibus placerat elit placerat maximus nam ultrices fermentum consequat pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas aliquam ut quam odio  ',0),(58,'node',' home price maecenas convallis mi ac lacus pulvinar efficitur praesent vehicula felis vitae consectetur vehicula morbi ut erat sed tortor feugiat luctus vestibulum congue fringilla sapien quis scelerisque phasellus dui ex efficitur ac posuere tempus lacinia in urna nullam dignissim tortor elit a luctus velit aliquam quis fusce facilisis eros vel eros sollicitudin congue ut tincidunt rutrum ligula ut iaculis phasellus mi ex ullamcorper eu posuere et consequat nec lorem suspendisse euismod nibh id erat ornare id maximus tellus commodo nam pulvinar mattis dolor eget posuere sed imperdiet vel lacus id rhoncus nunc mollis justo in felis placerat in feugiat nibh facilisis phasellus luctus facilisis tortor nec vestibulum sed rhoncus et ante eget malesuada donec non metus non lacus feugiat varius et aliquet orci donec mauris sapien volutpat quis est vitae egestas porta sapien nam elementum cursus dui eget rutrum orci ultrices eget sed congue metus eget aliquam lacinia turpis nulla tempor sapien in ullamcorper est ipsum sed odio suspendisse varius eros nec elementum feugiat quisque commodo ornare orci vitae tristique vivamus et ante in sapien porttitor tincidunt ut in nisl non tellus auctor feugiat et eget nisi ut et efficitur nulla eget pellentesque justo proin mi augue sollicitudin non vestibulum vulputate cursus id nunc vestibulum facilisis lacinia pellentesque donec ut mauris orci in hac habitasse platea dictumst pellentesque vitae fermentum velit proin magna sem fringilla vel vehicula non pharetra sit amet purus vivamus rutrum dictum dolor porta facilisis felis rhoncus a mauris tristique leo dolor a tristique enim consectetur a nunc semper viverra velit at aliquam nullam volutpat sodales eros et ultricies ex sollicitudin non vestibulum eu luctus risus mauris fringilla massa mi quis lobortis mi maximus eu morbi a cursus sem etiam metus eros semper et arcu sit amet pharetra dignissim nulla cras sit amet purus et tortor accumsan blandit ut ut ligula suspendisse id posuere quam vel semper ex nam ac sodales massa  ',0),(59,'node',' market view curabitur tristique elit cursus porttitor bibendum nunc sapien maximus mauris id euismod sem enim vitae justo pellentesque ornare venenatis ipsum ut convallis erat congue in curabitur sed accumsan massa sed ut maximus sem a tincidunt odio vivamus vehicula varius nulla scelerisque sollicitudin donec auctor scelerisque porta fusce ac tellus dolor phasellus id ex ligula donec eu mattis risus integer malesuada augue nibh eu ullamcorper odio sodales commodo aliquam nec malesuada lectus a aliquam dolor fusce gravida sem ut ex maximus quis interdum ipsum consectetur nulla facilisi quisque ullamcorper viverra elit sed nec molestie ipsum volutpat sollicitudin libero nullam sollicitudin tempus porttitor mauris tempus lorem eu luctus mattis nunc gravida sapien non sollicitudin feugiat nulla odio imperdiet velit vitae suscipit arcu est vitae risus cras dignissim dui et elit accumsan et semper purus tempor cras sollicitudin dictum mollis pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas maecenas porttitor auctor porttitor fusce venenatis nisl in urna volutpat eu consectetur lacus malesuada pellentesque lacinia elit eget rhoncus pretium quam ex convallis metus ac fermentum odio sem sit amet mauris fusce bibendum eget erat at eleifend fusce vitae risus vitae leo mollis pharetra non vitae mauris in hac habitasse platea dictumst pellentesque a sapien sapien ut velit ante ultrices vel neque vel rutrum hendrerit enim morbi vel sapien pulvinar bibendum nisi nec posuere ligula sed lectus augue porttitor at tristique sed rhoncus in purus quisque luctus massa a volutpat finibus morbi vitae lectus et ex ultricies sagittis integer quis finibus metus morbi convallis dolor molestie dapibus dolor ut fermentum metus cras accumsan sem ac luctus dictum proin cursus massa sit amet ultrices vestibulum  ',0),(60,'node',' privacy policy nullam at nibh venenatis porttitor lorem sit amet congue lorem nam feugiat lectus sit amet tincidunt sollicitudin curabitur condimentum finibus neque quis maximus maecenas posuere facilisis lectus id laoreet tellus euismod sit amet maecenas sed lorem quis est rhoncus mollis mauris ac mattis metus pellentesque vehicula nisl id velit luctus scelerisque phasellus elementum vestibulum tristique nunc aliquet dolor vitae sapien malesuada ullamcorper nulla facilisi sed et lacinia justo aenean non ligula laoreet lacus mollis egestas fusce ullamcorper tellus ut velit vehicula auctor nunc aliquet finibus nisi nec fringilla etiam hendrerit sapien a nisi gravida ornare sed nec magna phasellus congue sodales suscipit in eros elit laoreet id facilisis rutrum consequat ac ligula curabitur aliquam iaculis ante id vestibulum felis sodales et suspendisse metus nulla sollicitudin vitae odio sed mattis blandit dolor mauris rutrum luctus ipsum et commodo maecenas elit nisl ullamcorper in porttitor vel viverra in nisi cras maximus ullamcorper egestas nullam tristique erat in aliquam tincidunt ut ac sem nibh in non lectus euismod ullamcorper nulla at vulputate sapien ut tristique elit augue eget rhoncus risus tincidunt vitae pellentesque nec ipsum quis sem tristique luctus duis varius congue neque eget convallis quam varius nec nam pellentesque nisl justo a vulputate urna ullamcorper at nullam ultricies cursus eleifend integer vestibulum facilisis diam id volutpat libero nulla mollis erat ut dolor faucibus sit amet fermentum neque cursus  ',0),(61,'node',' terms conditions suspendisse at imperdiet lectus proin auctor nisl lectus at viverra metus sagittis id aenean semper turpis sit amet mauris suscipit pellentesque ut risus lectus finibus in arcu consectetur pellentesque cursus nunc fusce sodales aliquam ex eget tempus mauris elementum dignissim mi id mattis curabitur convallis sem a nunc porttitor at ullamcorper mi faucibus vestibulum molestie a felis ut semper ut ut ante odio vestibulum laoreet molestie dolor laoreet suscipit mauris ultrices sed mi sit amet condimentum pellentesque turpis turpis consectetur quis venenatis nec consectetur at quam donec vulputate nunc lectus aenean non mollis leo mauris placerat id mi ac luctus in sed mi in risus hendrerit scelerisque nec et eros suspendisse suscipit ipsum eget blandit dictum nulla auctor convallis lectus et tincidunt elit scelerisque quis phasellus ultricies ligula quam pulvinar posuere eros molestie quis nunc tincidunt tortor et nisl aliquet et pellentesque sem accumsan proin vel massa vel neque gravida tempor vivamus efficitur turpis augue eu congue turpis gravida non phasellus tempus nulla ante at ultricies arcu accumsan et maecenas lobortis metus id neque dignissim nec sodales quam rhoncus in eleifend libero orci eu gravida lectus mattis ut morbi pellentesque diam ante et laoreet erat sollicitudin pulvinar etiam egestas nibh vitae pulvinar rhoncus ligula metus dapibus metus iaculis porta augue lacus sed lacus nunc pulvinar turpis massa vitae tincidunt magna mattis in ut laoreet ex quis sem sodales facilisis ut tincidunt ex sed metus laoreet viverra suspendisse et aliquam enim nullam quis erat quis diam suscipit consectetur a vel tortor duis iaculis lobortis enim eget mollis purus malesuada quis proin dignissim feugiat ullamcorper curabitur vel mauris bibendum eros auctor vulputate sed at neque aenean metus lorem eleifend vitae sollicitudin eget consectetur quis felis aenean elit eros tempor et pharetra id cursus a ex  ',0),(62,'node',' home page properties all apartment residential villa  30800 holding 72 duis feugiat vitae libero 5651 w pine shade place salt lake ut 84118 united states in rent area 400m2 3 2  233600 pending 32 pellentesque non aliquet turpis 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 2 2  233600 rent 6936 vestibulum ac ultricies nisi 5651 w pine shade place salt lake ut 84118 united states in sales area 300m2 3 2  230000 holding 4896 nullam rutrum arcu at mollis efficitur 5651 w pine shade place salt lake ut 84118 united states in sales area 200m2 2 2  643330 selling 2547 maecenas semper est vel 5651 w pine shade place salt lake ut 84118 united states in sales area 300m2 2 2  30800 selling 3434 duis porttitor tortor quis 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 3 2  230000 renting 4788 praesent suscipit magna 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 4 3  233600 renting 5699 donec tristique orci non 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 2 2  643330 rent 1566 cum sociis natoque penatibus 5651 w pine shade place salt lake ut 84118 united states in sales area 300m2 4 2  233600 selling 18b uonga road bentleigh vic 3204 5651 w pine shade place salt lake ut 84118 united states in rent area 200m2 2 2  2000 rent 2315 pellentesque tempus 5651 w pine shade place 84118 salt lake tokelau in rent area 120m2 3 4  30000 rent 4101 gulf shore 5651 w pine shade place salt lake ut 84118 united states in rent area 120m2 4 6  200000 selling 785 suspendisse potenti 5651 w pine shade place salt lake ut 84118 united states in sales area 300m2 4 2  130000 selling 911 ante urna laoreet 5651 w pine shade place salt lake ut 84118 united states in sales area 200m2 2 2  190000 selling 3900 vel ipsum suscipit 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 3 2  34000 pending 1524a nunc non ornare dui 5651 w pine shade place salt lake ut 84118 united states in rent area 150m2 2 1  802500 rent 1 gissing street blackburn south 5651 w pine shade place salt lake ut 84118 united states in rent area 200m2 2 2  12345 bryan ave nw albuquerque nm 87114 5651 w pine shade place salt lake ut 84118 united states in sales area 100m2 3 2  230000 renting 4788 praesent suscipit magna 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 4 3  233600 renting 5699 donec tristique orci non 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 2 2  643330 rent 1566 cum sociis natoque penatibus 5651 w pine shade place salt lake ut 84118 united states in sales area 300m2 4 2  233600 rent 11 annetta avenue ashburton 5651 w pine shade place salt lake ut 84118 united states in rent area 250m2 1 1  25000 pending 564 proin rutrum nisi 5651 w pine shade place salt lake ut 84118 us virgin islands in sales area 90m2 2 3  56000 rent 3675 gordon dr 341 w pine shade place salt lake ut 84118 united states in sales area 140m2 2 4  150000 rent 204 dui a fermentum 5651 w pine shade place salt lake ut 84118 united states in sales area 200m2 4 3  203000 alpine rd stockton ca 95215 5651 w pine shade place salt lake ut 84118 united states in sales area 200m2 3 3  250000 rent spring gate drunit 4106 mclean va 22102 5651 w pine shade place salt lake ut 84118 united states in sales area 250m2 3 3  30800 holding 72 duis feugiat vitae libero 5651 w pine shade place salt lake ut 84118 united states in rent area 400m2 3 2  233600 pending 32 pellentesque non aliquet turpis 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 2 2  233600 rent 6936 vestibulum ac ultricies nisi 5651 w pine shade place salt lake ut 84118 united states in sales area 300m2 3 2  230000 holding 4896 nullam rutrum arcu at mollis efficitur 5651 w pine shade place salt lake ut 84118 united states in sales area 200m2 2 2  643330 selling 2547 maecenas semper est vel 5651 w pine shade place salt lake ut 84118 united states in sales area 300m2 2 2  30800 selling 3434 duis porttitor tortor quis 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 3 2  25000 selling 204 temporibus vis 5651 w pine shade place salt lake ut 84118 thailand in sales area 320m2 2 4  45000 sold 1076 nelson walk 5651 w pine shade place 84118 salt lake turkey in sales area 180m2 5 3  370000 sold oakmont way cibolo tx 78108 5651 w pine shade place salt lake ut 84118 united states in rent area 300m2 3 3  ',0),(63,'node',' home page 2 lasted properties all apartment residential villa  30800 holding 72 duis feugiat vitae libero 5651 w pine shade place in rent area 400m2 3 2  233600 pending 32 pellentesque non aliquet turpis 5651 w pine shade place in rent area 300m2 2 2  233600 rent 6936 vestibulum ac ultricies nisi 5651 w pine shade place in sales area 300m2 3 2  230000 holding 4896 nullam rutrum arcu at mollis efficitur 5651 w pine shade place in sales area 200m2 2 2  643330 selling 2547 maecenas semper est 5651 w pine shade place in sales area 300m2 2 2  30800 selling 3434 duis porttitor tortor quis 5651 w pine shade place in rent area 300m2 3 2  230000 renting 4788 praesent suscipit magna 5651 w pine shade place in rent area 300m2 4 3  233600 renting 5699 donec tristique orci non 5651 w pine shade place in rent area 300m2 2 2  233600 selling 18b uonga road bentleigh vic 3204 5651 w pine shade place in rent area 200m2 2 2  2000 rent 2315 pellentesque tempus 5651 w pine shade place in rent area 120m2 3 4  30000 rent 4101 gulf shore 5651 w pine shade place in rent area 120m2 4 6  200000 selling 785 suspendisse potenti 5651 w pine shade place in sales area 300m2 4 2  130000 selling 911 ante urna laoreet 5651 w pine shade place in sales area 200m2 2 2  190000 selling 3900 vel ipsum suscipit 5651 w pine shade place in rent area 300m2 3 2  34000 pending 1524a nunc non ornare dui 5651 w pine shade place in rent area 150m2 2 1  802500 rent 1 gissing street blackburn south 5651 w pine shade place in rent area 200m2 2 2  230000 renting 4788 praesent suscipit magna 5651 w pine shade place in rent area 300m2 4 3  233600 renting 5699 donec tristique orci non 5651 w pine shade place in rent area 300m2 2 2  643330 rent 1566 cum sociis natoque penatibus 5651 w pine shade place in sales area 300m2 4 2  233600 rent 11 annetta avenue ashburton 5651 w pine shade place in rent area 250m2 1 1  25000 pending 564 proin rutrum nisi 5651 w pine shade place in sales area 90m2 2 3  56000 rent 3675 gordon dr 341 w pine shade place in sales area 140m2 2 4  150000 rent 204 dui a fermentum 5651 w pine shade place in sales area 200m2 4 3  203000 alpine rd stockton ca 95215 5651 w pine shade place in sales area 200m2 3 3  30800 holding 72 duis feugiat vitae libero 5651 w pine shade place in rent area 400m2 3 2  233600 pending 32 pellentesque non aliquet turpis 5651 w pine shade place in rent area 300m2 2 2  233600 rent 6936 vestibulum ac ultricies nisi 5651 w pine shade place in sales area 300m2 3 2  230000 holding 4896 nullam rutrum arcu at mollis efficitur 5651 w pine shade place in sales area 200m2 2 2  643330 selling 2547 maecenas semper est 5651 w pine shade place in sales area 300m2 2 2  30800 selling 3434 duis porttitor tortor quis 5651 w pine shade place in rent area 300m2 3 2  25000 selling 204 temporibus vis 5651 w pine shade place in sales area 320m2 2 4  45000 sold 1076 nelson walk 5651 w pine shade place in sales area 180m2 5 3  ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('1',1,'node',1),('1',11,'node',26),('1',12,'node',26),('1',13,'node',26),('1',26,'node',21.5143),('1',27,'node',1),('1',28,'node',2),('1',29,'node',0.972861),('1',30,'node',2),('1',31,'node',0.938382),('1',33,'node',26),('1',35,'node',0.976851),('1',38,'node',0.98493),('1',39,'node',0.997306),('1',40,'node',26),('1',45,'node',0.997306),('1',46,'node',3.99731),('1',49,'node',0.997306),('1',50,'node',1.82648),('1',51,'node',0.989021),('1',52,'node',2),('1',53,'node',0.961087),('1',54,'node',0.927431),('1',55,'node',1.80574),('1',62,'node',4.9153),('1',63,'node',5.09919),('100m2',1,'node',1),('100m2',62,'node',0.931053),('1076',35,'node',47.1439),('1076',62,'node',1.79008),('1076',63,'node',1.92794),('11',46,'node',21.67),('11',62,'node',2.04035),('11',63,'node',2.13159),('11685',47,'node',27),('11752',50,'node',26.9347),('120',26,'node',26.9689),('120m2',28,'node',1),('120m2',34,'node',1),('120m2',38,'node',1),('120m2',39,'node',0.989021),('120m2',62,'node',2),('120m2',63,'node',2),('1219',33,'node',1.53884),('1220',33,'node',0.72066),('1221',33,'node',1.4486),('12334',31,'node',0.980874),('12345',1,'node',1),('12345',62,'node',0.949597),('123456789',32,'node',2),('12601',53,'node',26.9809),('130000',30,'node',1),('130000',62,'node',1),('130000',63,'node',1),('140m2',36,'node',1),('140m2',62,'node',0.876337),('140m2',63,'node',0.920273),('15',1,'node',0.997306),('15',21,'node',1),('15',25,'node',0.957226),('15',35,'node',0.968904),('15',36,'node',0.989021),('15',38,'node',0.976851),('15',51,'node',0.980874),('15',54,'node',0.920273),('150000',27,'node',1),('150000',62,'node',0.873132),('150000',63,'node',0.916736),('150m2',1,'node',0.993146),('150m2',21,'node',1),('150m2',25,'node',0.953396),('150m2',27,'node',1),('150m2',28,'node',1),('150m2',30,'node',1),('150m2',45,'node',0.989021),('150m2',50,'node',0.909743),('150m2',51,'node',0.976851),('150m2',52,'node',1),('150m2',54,'node',0.916736),('150m2',62,'node',0.976851),('150m2',63,'node',1),('1524a',28,'node',48),('1524a',62,'node',2.18492),('1524a',63,'node',2.2),('1566',47,'node',33),('1566',62,'node',4.24035),('1566',63,'node',2.17585),('160',28,'node',1),('160m2',38,'node',0.972861),('180m2',35,'node',1),('180m2',36,'node',0.98493),('180m2',62,'node',0.802752),('180m2',63,'node',0.866793),('186',21,'node',27),('18932',46,'node',27),('18b',45,'node',21.4062),('18b',62,'node',2.2),('18b',63,'node',2.2),('190000',29,'node',1),('190000',62,'node',1),('190000',63,'node',1),('1e1',32,'node',1),('2',1,'node',1),('2',11,'node',18.3346),('2',12,'node',17.9707),('2',13,'node',18.1873),('2',20,'node',1.93784),('2',21,'node',1),('2',25,'node',0.96498),('2',26,'node',2.84508),('2',27,'node',1),('2',28,'node',1),('2',29,'node',1.94585),('2',30,'node',2),('2',31,'node',0.945829),('2',33,'node',18.1873),('2',34,'node',1.99731),('2',36,'node',1.99315),('2',37,'node',1.96587),('2',39,'node',1.98902),('2',40,'node',18.4092),('2',45,'node',2.98902),('2',47,'node',1),('2',48,'node',4),('2',49,'node',0.989021),('2',50,'node',0.923838),('2',51,'node',1.99045),('2',52,'node',2),('2',53,'node',1.9223),('2',54,'node',1.86576),('2',55,'node',0.913226),('2',62,'node',34.6366),('2',63,'node',59.6938),('2000',38,'node',1),('2000',62,'node',1),('2000',63,'node',1),('200000',31,'node',1),('200000',62,'node',1),('200000',63,'node',1),('2006',34,'node',1),('2008',21,'node',1),('2009',25,'node',0.961087),('2009',28,'node',1),('2009',38,'node',0.980874),('200m2',20,'node',0.96498),('200m2',25,'node',1),('200m2',26,'node',1.91495),('200m2',27,'node',1),('200m2',30,'node',1),('200m2',34,'node',0.997306),('200m2',45,'node',1),('200m2',46,'node',0.997306),('200m2',48,'node',1),('200m2',52,'node',1),('200m2',53,'node',0.953396),('200m2',62,'node',6.49523),('200m2',63,'node',6.68076),('2010',35,'node',0.972861),('2011',20,'node',0.968904),('2011',36,'node',0.993146),('2011',39,'node',0.993146),('2012',26,'node',0.945829),('2012',37,'node',0.976851),('2012',46,'node',1),('2012',49,'node',0.993146),('2012',52,'node',1),('2013',30,'node',1),('2014',27,'node',1),('2014',29,'node',0.968904),('2014',31,'node',0.934703),('2014',45,'node',0.993146),('2014',47,'node',1),('2014',48,'node',1),('2014',50,'node',0.913226),('2014',51,'node',0.98493),('2014',53,'node',0.957226),('2014',54,'node',0.923838),('2014',55,'node',0.902857),('203000',25,'node',1),('203000',62,'node',0.863659),('203000',63,'node',0.906287),('204',27,'node',48),('204',37,'node',47.2295),('204',62,'node',3.74128),('204',63,'node',3.97309),('22',20,'node',1),('22102',21,'node',10.7454),('22102',62,'node',1.83376),('230000',49,'node',1),('230000',52,'node',1),('230000',62,'node',3.75806),('230000',63,'node',3.88174),('2315',38,'node',47.3159),('2315',62,'node',2.2),('2315',63,'node',2.2),('233600',45,'node',1),('233600',46,'node',1),('233600',48,'node',1),('233600',53,'node',1),('233600',54,'node',1),('233600',62,'node',7.51613),('233600',63,'node',7.74337),('240m2',35,'node',0.96498),('25000',37,'node',1),('25000',39,'node',1),('25000',62,'node',1.74038),('25000',63,'node',1.84232),('250000',21,'node',1),('250000',62,'node',0.851346),('250m2',21,'node',1),('250m2',29,'node',0.96498),('250m2',31,'node',0.931053),('250m2',46,'node',1),('250m2',47,'node',1),('250m2',49,'node',0.98493),('250m2',62,'node',1.74386),('250m2',63,'node',0.953396),('2547',51,'node',59.0773),('2547',62,'node',4.02739),('2547',63,'node',4.16399),('3',1,'node',1),('3',11,'node',15.3774),('3',12,'node',15.0734),('3',13,'node',15.2543),('3',20,'node',1.95772),('3',21,'node',2),('3',25,'node',1.94177),('3',27,'node',1),('3',29,'node',0.98493),('3',33,'node',15.2543),('3',35,'node',0.98493),('3',37,'node',0.972861),('3',38,'node',0.993146),('3',39,'node',1),('3',40,'node',15.4397),('3',49,'node',1),('3',50,'node',0.927431),('3',53,'node',0.972861),('3',55,'node',0.916736),('3',62,'node',17.8272),('3',63,'node',14.1542),('30000',34,'node',1),('30000',62,'node',1),('30000',63,'node',1),('300m2',20,'node',1),('300m2',29,'node',1),('300m2',31,'node',0.98493),('300m2',47,'node',1),('300m2',48,'node',1),('300m2',49,'node',1),('300m2',50,'node',0.938382),('300m2',51,'node',1),('300m2',53,'node',0.98493),('300m2',54,'node',0.972861),('300m2',55,'node',0.899454),('300m2',62,'node',15.8865),('300m2',63,'node',14.5178),('30800',50,'node',1),('30800',55,'node',1),('30800',62,'node',3.66127),('30800',63,'node',3.78545),('32',54,'node',57.0497),('32',62,'node',4.02739),('32',63,'node',4.16399),('3204',45,'node',21.1867),('3204',62,'node',2.2),('3204',63,'node',2.2),('320m2',37,'node',1),('320m2',62,'node',0.822065),('320m2',63,'node',0.886095),('34000',28,'node',1),('34000',62,'node',0.997306),('34000',63,'node',1),('34012187',38,'node',0.997306),('341',62,'node',0.879565),('341',63,'node',0.923838),('3434',50,'node',30.7349),('3434',62,'node',4.02739),('3434',63,'node',4.16399),('3675',36,'node',21.4911),('3675',62,'node',1.94941),('3675',63,'node',2.04832),('370000',20,'node',1),('370000',62,'node',0.797402),('380m2',37,'node',0.968904),('3831',51,'node',1),('3900',29,'node',47.1439),('3900',62,'node',2.2),('3900',63,'node',2.2),('4',27,'node',1),('4',31,'node',0.949597),('4',34,'node',1),('4',36,'node',1),('4',37,'node',0.98493),('4',38,'node',0.989021),('4',47,'node',1),('4',49,'node',1),('4',62,'node',9.4109),('4',63,'node',8.66377),('400m2',55,'node',0.953396),('400m2',62,'node',1.83063),('400m2',63,'node',1.89272),('404',44,'node',27),('4101',34,'node',21.7142),('4101',62,'node',2.2),('4101',63,'node',2.2),('4106',21,'node',10.8342),('4106',62,'node',1.84664),('4125',45,'node',27),('4429',49,'node',27),('4431',27,'node',1),('45000',35,'node',1),('45000',62,'node',0.819249),('45000',63,'node',0.882818),('4788',49,'node',42.7634),('4788',62,'node',4.24035),('4788',63,'node',4.37585),('48',52,'node',1),('4896',52,'node',60),('4896',62,'node',4.02739),('4896',63,'node',4.16399),('4900',20,'node',1),('4900',52,'node',1),('5',35,'node',0.989021),('5',62,'node',0.800068),('5',63,'node',0.863659),('55',25,'node',0.993146),('550',29,'node',1),('56000',36,'node',1),('56000',62,'node',0.889397),('56000',63,'node',0.934703),('564',39,'node',21.6238),('564',62,'node',1.99383),('564',63,'node',2.08082),('5651',35,'node',1),('5651',37,'node',1),('5651',38,'node',1),('5651',48,'node',1),('5651',54,'node',0.968904),('5651',55,'node',0.949597),('5651',62,'node',32.3939),('5651',63,'node',29.736),('5699',48,'node',60),('5699',62,'node',4.24035),('5699',63,'node',4.37585),('5744',25,'node',1),('5802',39,'node',27),('6',34,'node',1),('6',62,'node',1),('6',63,'node',1),('6150',36,'node',27),('6226',34,'node',27),('632',30,'node',27),('638',1,'node',27),('643330',47,'node',1),('643330',51,'node',1),('643330',62,'node',3.75806),('643330',63,'node',2.88174),('692',26,'node',26.9689),('6936',53,'node',41.6579),('6936',62,'node',4.02739),('6936',63,'node',4.16399),('72',55,'node',56.4666),('72',62,'node',4.02739),('72',63,'node',4.16399),('78108',20,'node',36.572),('78108',62,'node',1.73121),('785',31,'node',46.4035),('785',62,'node',2.2),('785',63,'node',2.2),('802500',26,'node',1),('802500',62,'node',0.968904),('802500',63,'node',1),('8082014',33,'node',3.71066),('84118',35,'node',1),('84118',37,'node',0.997306),('84118',38,'node',1),('84118',48,'node',1),('84118',54,'node',0.945829),('84118',55,'node',0.927431),('84118',62,'node',33.2702),('87114',1,'node',10.7454),('87114',62,'node',2.05635),('90m2',39,'node',1),('90m2',62,'node',0.892724),('90m2',63,'node',0.938382),('911',30,'node',22),('911',62,'node',2.2),('911',63,'node',2.2),('92705',31,'node',0.961087),('92705',53,'node',26.9809),('92867',1,'node',27),('92867',26,'node',0.96498),('92869',20,'node',0.993146),('92869',21,'node',1),('92869',25,'node',0.98493),('92869',27,'node',1),('92869',28,'node',1),('92869',29,'node',0.997306),('92869',30,'node',1),('92869',34,'node',1),('92869',36,'node',1),('92869',39,'node',1),('92869',45,'node',1),('92869',46,'node',27),('92869',47,'node',27),('92869',49,'node',27),('92869',50,'node',26.9347),('92869',51,'node',1),('92869',52,'node',1),('95215',25,'node',46.8911),('95215',62,'node',1.87966),('95215',63,'node',1.97137),('about',14,'node',26),('accumsan',5,'node',1),('accumsan',6,'node',2),('accumsan',7,'node',2),('accumsan',9,'node',1),('accumsan',11,'node',1),('accumsan',12,'node',1.82206),('accumsan',13,'node',9.88993),('accumsan',21,'node',2),('accumsan',26,'node',1),('accumsan',29,'node',1),('accumsan',30,'node',1),('accumsan',31,'node',1),('accumsan',33,'node',1),('accumsan',40,'node',1),('accumsan',43,'node',1),('accumsan',49,'node',1),('accumsan',50,'node',1),('accumsan',51,'node',2),('accumsan',53,'node',2.99731),('accumsan',54,'node',1),('accumsan',55,'node',1),('accumsan',56,'node',1.92743),('accumsan',58,'node',0.927431),('accumsan',59,'node',2.91674),('accumsan',61,'node',2),('accusantium',11,'node',4.91831),('accusantium',12,'node',4.88047),('accusantium',13,'node',4.90299),('accusantium',15,'node',1),('accusantium',16,'node',1),('accusantium',17,'node',1),('accusantium',18,'node',1),('accusantium',19,'node',1),('accusantium',32,'node',1),('accusantium',33,'node',4.90299),('accusantium',40,'node',4.92607),('adele',26,'node',26.9689),('adipisci',11,'node',0.968904),('adipisci',12,'node',0.953396),('adipisci',13,'node',0.96498),('adipisci',33,'node',0.96498),('adipisci',40,'node',0.976851),('adipiscing',3,'node',2),('adipiscing',5,'node',26),('adipiscing',6,'node',1),('adipiscing',7,'node',1),('adipiscing',8,'node',1),('adipiscing',10,'node',26),('adipiscing',11,'node',1.66441),('adipiscing',25,'node',1),('adipiscing',26,'node',1),('adipiscing',31,'node',1),('adipiscing',41,'node',1),('adipiscing',42,'node',2),('adipiscing',48,'node',1),('adipiscing',52,'node',1),('adipiscing',56,'node',1),('adipiscing',57,'node',1),('admin',33,'node',40.8741),('aenean',3,'node',1),('aenean',5,'node',2),('aenean',6,'node',1),('aenean',8,'node',2),('aenean',11,'node',1.82206),('aenean',12,'node',1),('aenean',13,'node',1.87313),('aenean',20,'node',1),('aenean',26,'node',1),('aenean',29,'node',1),('aenean',30,'node',1),('aenean',31,'node',1),('aenean',33,'node',1),('aenean',35,'node',1),('aenean',36,'node',1),('aenean',37,'node',1),('aenean',38,'node',1),('aenean',39,'node',1),('aenean',40,'node',3.73729),('aenean',41,'node',1),('aenean',43,'node',1),('aenean',45,'node',1),('aenean',46,'node',1),('aenean',47,'node',1),('aenean',50,'node',2),('aenean',51,'node',1),('aenean',57,'node',1),('aenean',60,'node',1),('aenean',61,'node',3.91062),('albuquerque',1,'node',10.7896),('albuquerque',62,'node',2.06444),('alexander',32,'node',1),('aliquam',1,'node',1),('aliquam',3,'node',3),('aliquam',4,'node',1),('aliquam',5,'node',2),('aliquam',6,'node',1),('aliquam',7,'node',2),('aliquam',8,'node',3),('aliquam',9,'node',27),('aliquam',10,'node',1),('aliquam',11,'node',0.860547),('aliquam',12,'node',26),('aliquam',13,'node',1.77942),('aliquam',20,'node',1),('aliquam',21,'node',1),('aliquam',22,'node',26),('aliquam',24,'node',1),('aliquam',25,'node',1),('aliquam',26,'node',1),('aliquam',28,'node',3),('aliquam',29,'node',2),('aliquam',30,'node',1),('aliquam',31,'node',1),('aliquam',33,'node',2.4682),('aliquam',34,'node',1),('aliquam',35,'node',1),('aliquam',36,'node',1),('aliquam',37,'node',1),('aliquam',38,'node',1),('aliquam',39,'node',1),('aliquam',40,'node',2.73361),('aliquam',41,'node',2),('aliquam',42,'node',1),('aliquam',43,'node',1),('aliquam',45,'node',1),('aliquam',46,'node',1),('aliquam',47,'node',1),('aliquam',49,'node',4),('aliquam',50,'node',0.972861),('aliquam',53,'node',1),('aliquam',54,'node',3),('aliquam',56,'node',1.92743),('aliquam',57,'node',3.92027),('aliquam',58,'node',2.95723),('aliquam',59,'node',2),('aliquam',60,'node',2),('aliquam',61,'node',1.98493),('aliquet',1,'node',1),('aliquet',4,'node',26.989),('aliquet',5,'node',1),('aliquet',7,'node',2),('aliquet',8,'node',1),('aliquet',9,'node',1),('aliquet',10,'node',2),('aliquet',11,'node',1),('aliquet',12,'node',1),('aliquet',13,'node',1.93105),('aliquet',14,'node',1),('aliquet',20,'node',3),('aliquet',24,'node',2),('aliquet',25,'node',1),('aliquet',27,'node',3),('aliquet',32,'node',1),('aliquet',33,'node',2.76699),('aliquet',34,'node',1),('aliquet',35,'node',3),('aliquet',36,'node',3),('aliquet',37,'node',3),('aliquet',38,'node',3),('aliquet',39,'node',3),('aliquet',40,'node',1),('aliquet',42,'node',2),('aliquet',43,'node',1),('aliquet',45,'node',3),('aliquet',46,'node',3),('aliquet',51,'node',2),('aliquet',52,'node',1),('aliquet',53,'node',1),('aliquet',54,'node',58.0497),('aliquet',57,'node',2),('aliquet',58,'node',1),('aliquet',60,'node',2),('aliquet',61,'node',1),('aliquet',62,'node',4.02739),('aliquet',63,'node',4.16399),('all',62,'node',11),('all',63,'node',11),('allison',36,'node',27),('alpine',25,'node',46.8911),('alpine',62,'node',1.8932),('alpine',63,'node',1.98629),('also',44,'node',1),('amet',1,'node',2),('amet',3,'node',4),('amet',4,'node',2),('amet',5,'node',2.99315),('amet',6,'node',3),('amet',7,'node',2),('amet',8,'node',4),('amet',9,'node',5),('amet',10,'node',1),('amet',11,'node',2.70467),('amet',12,'node',4.31879),('amet',13,'node',1.84204),('amet',20,'node',2),('amet',21,'node',3),('amet',23,'node',1),('amet',25,'node',4),('amet',26,'node',1.98493),('amet',27,'node',2),('amet',28,'node',1),('amet',29,'node',1),('amet',30,'node',1),('amet',31,'node',1.99731),('amet',32,'node',1),('amet',33,'node',25.0112),('amet',34,'node',2),('amet',35,'node',2),('amet',36,'node',2),('amet',37,'node',2),('amet',38,'node',2),('amet',39,'node',2),('amet',40,'node',3.71816),('amet',41,'node',2),('amet',42,'node',4),('amet',43,'node',1.99731),('amet',45,'node',2),('amet',46,'node',2),('amet',48,'node',1),('amet',49,'node',2),('amet',50,'node',1),('amet',51,'node',4),('amet',52,'node',3),('amet',54,'node',3.99315),('amet',56,'node',6.77904),('amet',57,'node',3),('amet',58,'node',2.84341),('amet',59,'node',1.91053),('amet',60,'node',3.98087),('amet',61,'node',2),('amples',17,'node',26),('ana',31,'node',0.96498),('ana',53,'node',26.9809),('andrew',11,'node',11),('anim',11,'node',3.91831),('anim',12,'node',3.88047),('anim',13,'node',3.90299),('anim',32,'node',1),('anim',33,'node',3.90299),('anim',40,'node',3.92607),('annetta',46,'node',21.6246),('annetta',62,'node',2.03244),('annetta',63,'node',2.12296),('ante',1,'node',1),('ante',4,'node',2),('ante',5,'node',1),('ante',7,'node',2),('ante',8,'node',28),('ante',9,'node',2),('ante',10,'node',3),('ante',11,'node',2.65079),('ante',12,'node',0.906287),('ante',13,'node',0.889397),('ante',25,'node',1),('ante',27,'node',3),('ante',28,'node',2),('ante',29,'node',1),('ante',30,'node',22),('ante',33,'node',1.55815),('ante',34,'node',1),('ante',40,'node',2.75999),('ante',42,'node',2),('ante',43,'node',1),('ante',48,'node',1),('ante',49,'node',2),('ante',50,'node',1.92607),('ante',51,'node',1),('ante',52,'node',1),('ante',53,'node',4),('ante',54,'node',2),('ante',55,'node',1),('ante',56,'node',0.993146),('ante',57,'node',0.96498),('ante',58,'node',2),('ante',59,'node',0.96498),('ante',60,'node',1),('ante',61,'node',3),('ante',62,'node',2.2),('ante',63,'node',2.2),('apartment',1,'node',1),('apartment',12,'node',8.77142),('apartment',26,'node',0.976851),('apartment',28,'node',1),('apartment',29,'node',1),('apartment',30,'node',1),('apartment',31,'node',0.989021),('apartment',33,'node',9.01173),('apartment',34,'node',1),('apartment',38,'node',1),('apartment',40,'node',9.89399),('apartment',45,'node',1),('apartment',62,'node',11),('apartment',63,'node',11),('aperiam',11,'node',4.91831),('aperiam',12,'node',4.88047),('aperiam',13,'node',4.90299),('aperiam',15,'node',1),('aperiam',16,'node',1),('aperiam',17,'node',1),('aperiam',18,'node',1),('aperiam',19,'node',1),('aperiam',32,'node',1),('aperiam',33,'node',4.90299),('aperiam',40,'node',4.92607),('aptent',3,'node',1),('aptent',4,'node',1),('aptent',7,'node',1),('aptent',14,'node',1),('aptent',27,'node',1),('aptent',43,'node',1),('aptent',50,'node',1),('aptent',56,'node',1),('architecto',11,'node',4.91831),('architecto',12,'node',4.88047),('architecto',13,'node',4.90299),('architecto',32,'node',1),('architecto',33,'node',4.90299),('architecto',40,'node',4.92607),('arcu',4,'node',1),('arcu',5,'node',1),('arcu',8,'node',1),('arcu',9,'node',27),('arcu',10,'node',1),('arcu',11,'node',0.879565),('arcu',13,'node',1.76652),('arcu',25,'node',2),('arcu',26,'node',1),('arcu',29,'node',2),('arcu',30,'node',1),('arcu',31,'node',1),('arcu',33,'node',2.35365),('arcu',40,'node',2.71564),('arcu',42,'node',1),('arcu',47,'node',2),('arcu',50,'node',1),('arcu',51,'node',3),('arcu',52,'node',52),('arcu',53,'node',1),('arcu',54,'node',2),('arcu',55,'node',1),('arcu',56,'node',1.96498),('arcu',58,'node',0.934703),('arcu',59,'node',1),('arcu',61,'node',2),('arcu',62,'node',4.02739),('arcu',63,'node',4.16399),('are',44,'node',2),('area',62,'node',33.258),('area',63,'node',30.6563),('ashburton',46,'node',21.535),('ashburton',62,'node',2.01682),('ashburton',63,'node',2.1059),('aspernatur',11,'node',0.993146),('aspernatur',12,'node',0.980874),('aspernatur',13,'node',0.993146),('aspernatur',33,'node',0.993146),('aspernatur',40,'node',1),('auctor',1,'node',1),('auctor',3,'node',1),('auctor',4,'node',1),('auctor',5,'node',1),('auctor',7,'node',1),('auctor',9,'node',2),('auctor',10,'node',1),('auctor',13,'node',1.67298),('auctor',20,'node',1),('auctor',25,'node',1),('auctor',26,'node',2),('auctor',27,'node',2),('auctor',29,'node',4),('auctor',30,'node',2),('auctor',31,'node',2),('auctor',33,'node',1.61156),('auctor',34,'node',1),('auctor',35,'node',1),('auctor',36,'node',1),('auctor',37,'node',1),('auctor',38,'node',1),('auctor',39,'node',1),('auctor',42,'node',1),('auctor',43,'node',1),('auctor',45,'node',1),('auctor',46,'node',1),('auctor',49,'node',2),('auctor',52,'node',1),('auctor',54,'node',2),('auctor',55,'node',1.96498),('auctor',56,'node',1),('auctor',57,'node',1),('auctor',58,'node',1),('auctor',59,'node',2),('auctor',60,'node',1),('auctor',61,'node',2.95723),('augue',3,'node',1),('augue',4,'node',1),('augue',5,'node',1),('augue',6,'node',1),('augue',7,'node',3),('augue',8,'node',4),('augue',9,'node',2),('augue',10,'node',2),('augue',11,'node',0.949597),('augue',12,'node',1.72034),('augue',20,'node',1),('augue',21,'node',1),('augue',25,'node',1),('augue',26,'node',2),('augue',27,'node',8),('augue',29,'node',1),('augue',31,'node',2),('augue',33,'node',2.50471),('augue',35,'node',1),('augue',36,'node',1),('augue',37,'node',1),('augue',38,'node',1),('augue',39,'node',1),('augue',41,'node',3),('augue',42,'node',3),('augue',45,'node',1),('augue',46,'node',1),('augue',49,'node',2),('augue',50,'node',1),('augue',51,'node',1),('augue',52,'node',2),('augue',53,'node',0.997306),('augue',54,'node',1.99731),('augue',55,'node',3.93794),('augue',56,'node',0.942091),('augue',57,'node',5),('augue',58,'node',1),('augue',59,'node',1.93105),('augue',60,'node',1),('augue',61,'node',1.99731),('aut',11,'node',1.96989),('aut',12,'node',1.94575),('aut',13,'node',1.96989),('aut',33,'node',1.96989),('aut',40,'node',1.99315),('aute',32,'node',1),('ave',1,'node',10.8342),('ave',20,'node',1),('ave',25,'node',1),('ave',27,'node',1),('ave',45,'node',27),('ave',46,'node',27),('ave',51,'node',1),('ave',52,'node',1),('ave',62,'node',2.0726),('avenue',46,'node',21.5796),('avenue',62,'node',2.0246),('avenue',63,'node',2.11439),('baja',53,'node',26.9809),('beatae',11,'node',4.91831),('beatae',12,'node',4.88047),('beatae',13,'node',4.90299),('beatae',33,'node',4.90299),('beatae',40,'node',4.92607),('bentleigh',45,'node',21.2734),('bentleigh',62,'node',2.2),('bentleigh',63,'node',2.2),('bibendum',1,'node',1),('bibendum',3,'node',1),('bibendum',8,'node',3),('bibendum',9,'node',3),('bibendum',10,'node',3),('bibendum',11,'node',0.920273),('bibendum',12,'node',0.923838),('bibendum',20,'node',1),('bibendum',26,'node',2),('bibendum',29,'node',1),('bibendum',30,'node',1),('bibendum',31,'node',2),('bibendum',34,'node',1),('bibendum',35,'node',1),('bibendum',36,'node',1),('bibendum',37,'node',1),('bibendum',38,'node',1),('bibendum',39,'node',1),('bibendum',41,'node',3),('bibendum',42,'node',1),('bibendum',45,'node',1),('bibendum',46,'node',1),('bibendum',48,'node',1),('bibendum',49,'node',1),('bibendum',52,'node',1),('bibendum',53,'node',3),('bibendum',56,'node',0.913226),('bibendum',57,'node',4),('bibendum',59,'node',2.93153),('bibendum',61,'node',0.961087),('blackburn',26,'node',20.4835),('blackburn',62,'node',2.1059),('blackburn',63,'node',2.19407),('blackthorn',47,'node',27),('blandit',4,'node',3),('blandit',8,'node',1),('blandit',9,'node',3),('blandit',11,'node',1),('blandit',12,'node',1),('blandit',13,'node',1),('blandit',21,'node',2),('blandit',25,'node',1),('blandit',26,'node',1),('blandit',28,'node',2),('blandit',29,'node',1),('blandit',30,'node',1),('blandit',31,'node',1),('blandit',33,'node',3.51181),('blandit',40,'node',27),('blandit',41,'node',2),('blandit',43,'node',2),('blandit',47,'node',1),('blandit',48,'node',2),('blandit',49,'node',2),('blandit',50,'node',1),('blandit',52,'node',1),('blandit',53,'node',1),('blandit',54,'node',1),('blandit',55,'node',2.96109),('blandit',56,'node',1.9347),('blandit',58,'node',0.923838),('blandit',60,'node',1),('blandit',61,'node',1),('blog',11,'node',11),('blog',12,'node',11),('blog',13,'node',11),('blog',33,'node',11),('blog',40,'node',11),('bootstrap',18,'node',26),('bottlebrush',39,'node',27),('brokerage',41,'node',26),('bryan',1,'node',10.8792),('bryan',62,'node',2.08082),('business',15,'node',26),('but',44,'node',1),('canada',32,'node',1),('center',46,'node',27),('chapman',20,'node',1),('chapman',52,'node',1),('check',44,'node',1),('cibolo',20,'node',36.572),('cibolo',62,'node',1.73692),('cillum',32,'node',1),('cir',36,'node',27),('cir',49,'node',27),('circula',31,'node',0.976851),('class',3,'node',1),('class',4,'node',1),('class',7,'node',1),('class',14,'node',1),('class',27,'node',1),('class',43,'node',1),('class',50,'node',1),('class',56,'node',1),('cliffway',34,'node',27),('color',13,'node',8.88993),('comments',33,'node',3.63545),('commodo',1,'node',3),('commodo',3,'node',1),('commodo',4,'node',1),('commodo',5,'node',1),('commodo',7,'node',2),('commodo',9,'node',3),('commodo',11,'node',0.899454),('commodo',20,'node',1),('commodo',21,'node',2),('commodo',23,'node',26),('commodo',25,'node',1),('commodo',27,'node',1),('commodo',28,'node',1),('commodo',29,'node',1),('commodo',33,'node',1.74636),('commodo',34,'node',3),('commodo',35,'node',1),('commodo',36,'node',1),('commodo',37,'node',1),('commodo',38,'node',1),('commodo',39,'node',1),('commodo',41,'node',3),('commodo',43,'node',1),('commodo',45,'node',1),('commodo',46,'node',1),('commodo',47,'node',1),('commodo',48,'node',1),('commodo',49,'node',2),('commodo',50,'node',1),('commodo',52,'node',1),('commodo',54,'node',2),('commodo',55,'node',1),('commodo',56,'node',3),('commodo',58,'node',2),('commodo',59,'node',1),('commodo',60,'node',1),('community',56,'node',26),('compatible',18,'node',26),('condimentum',4,'node',2),('condimentum',5,'node',1),('condimentum',6,'node',1),('condimentum',9,'node',2),('condimentum',10,'node',1),('condimentum',21,'node',1),('condimentum',23,'node',1),('condimentum',27,'node',2),('condimentum',29,'node',3),('condimentum',33,'node',29.1001),('condimentum',43,'node',1),('condimentum',51,'node',1),('condimentum',53,'node',3),('condimentum',54,'node',1),('condimentum',56,'node',1),('condimentum',57,'node',1.93427),('condimentum',60,'node',1),('condimentum',61,'node',1),('conditions',61,'node',26),('condo',11,'node',8.98097),('condo',12,'node',8.74229),('condo',13,'node',9.07391),('condo',33,'node',8.98097),('congue',1,'node',2),('congue',4,'node',2),('congue',5,'node',1),('congue',7,'node',2),('congue',10,'node',1),('congue',11,'node',1),('congue',12,'node',1.84832),('congue',13,'node',1.85135),('congue',23,'node',1),('congue',33,'node',2.48857),('congue',34,'node',2),('congue',40,'node',1),('congue',41,'node',1),('congue',49,'node',3),('congue',51,'node',1),('congue',52,'node',1),('congue',53,'node',2),('congue',54,'node',3.99731),('congue',55,'node',3),('congue',56,'node',1),('congue',57,'node',2.91106),('congue',58,'node',3),('congue',59,'node',1),('congue',60,'node',3),('congue',61,'node',1),('consectetur',1,'node',2),('consectetur',3,'node',1),('consectetur',5,'node',1),('consectetur',6,'node',1),('consectetur',7,'node',1),('consectetur',8,'node',1),('consectetur',9,'node',1),('consectetur',10,'node',1),('consectetur',11,'node',3.79097),('consectetur',12,'node',2.9534),('consectetur',13,'node',2.96498),('consectetur',14,'node',1),('consectetur',21,'node',3),('consectetur',25,'node',2),('consectetur',33,'node',42.865),('consectetur',34,'node',2),('consectetur',40,'node',2.97685),('consectetur',41,'node',1),('consectetur',43,'node',1),('consectetur',48,'node',1),('consectetur',50,'node',1),('consectetur',52,'node',2),('consectetur',53,'node',2),('consectetur',54,'node',1),('consectetur',55,'node',2.96109),('consectetur',56,'node',1),('consectetur',57,'node',3),('consectetur',58,'node',1.96498),('consectetur',59,'node',2),('consectetur',61,'node',4.93025),('consequat',5,'node',1),('consequat',6,'node',27),('consequat',7,'node',1),('consequat',8,'node',2),('consequat',10,'node',2),('consequat',14,'node',1),('consequat',25,'node',1),('consequat',26,'node',1),('consequat',27,'node',1),('consequat',29,'node',3),('consequat',30,'node',1),('consequat',31,'node',1),('consequat',41,'node',5),('consequat',42,'node',1),('consequat',47,'node',1),('consequat',50,'node',1),('consequat',51,'node',3),('consequat',55,'node',1),('consequat',57,'node',2.93838),('consequat',58,'node',1),('consequat',60,'node',1),('construction',43,'node',26),('contact',32,'node',19),('conubia',3,'node',1),('conubia',4,'node',1),('conubia',7,'node',1),('conubia',14,'node',1),('conubia',27,'node',1),('conubia',43,'node',1),('conubia',50,'node',1),('conubia',56,'node',1),('convallis',1,'node',2),('convallis',4,'node',1),('convallis',5,'node',2),('convallis',8,'node',1),('convallis',11,'node',2.90974),('convallis',12,'node',2.80818),('convallis',13,'node',3.72003),('convallis',20,'node',1),('convallis',21,'node',1),('convallis',25,'node',1),('convallis',26,'node',1),('convallis',29,'node',2),('convallis',30,'node',1),('convallis',31,'node',1),('convallis',33,'node',4.14706),('convallis',34,'node',2),('convallis',35,'node',1),('convallis',36,'node',1),('convallis',37,'node',1),('convallis',38,'node',1),('convallis',39,'node',1),('convallis',40,'node',4.75999),('convallis',45,'node',1),('convallis',46,'node',1),('convallis',47,'node',2),('convallis',48,'node',2),('convallis',55,'node',1.97685),('convallis',56,'node',2.98493),('convallis',57,'node',0.997306),('convallis',58,'node',1),('convallis',59,'node',2.92027),('convallis',60,'node',1),('convallis',61,'node',2),('correctly',44,'node',1),('couldn',44,'node',1),('cras',1,'node',1),('cras',3,'node',1),('cras',5,'node',0.997306),('cras',6,'node',2),('cras',7,'node',1),('cras',8,'node',1),('cras',9,'node',1),('cras',11,'node',1),('cras',12,'node',1.86055),('cras',13,'node',1.83353),('cras',21,'node',2),('cras',25,'node',1),('cras',28,'node',1),('cras',33,'node',2.52925),('cras',34,'node',1),('cras',40,'node',1),('cras',41,'node',1),('cras',43,'node',1),('cras',50,'node',2),('cras',53,'node',1),('cras',54,'node',1),('cras',55,'node',1),('cras',56,'node',2.90974),('cras',57,'node',1),('cras',58,'node',0.931053),('cras',59,'node',2.91674),('cras',60,'node',1),('credit',57,'node',26),('creekside',25,'node',1),('cubilia',50,'node',0.953396),('cubilia',53,'node',1),('culpa',11,'node',3.91831),('culpa',12,'node',3.88047),('culpa',13,'node',3.90299),('culpa',32,'node',1),('culpa',33,'node',3.90299),('culpa',40,'node',3.92607),('cum',14,'node',1),('cum',26,'node',1),('cum',31,'node',1),('cum',47,'node',33),('cum',62,'node',4.24035),('cum',63,'node',2.16685),('cupidatat',11,'node',3.91831),('cupidatat',12,'node',3.88047),('cupidatat',13,'node',3.90299),('cupidatat',32,'node',1),('cupidatat',33,'node',3.90299),('cupidatat',40,'node',3.92607),('curabitur',3,'node',27),('curabitur',4,'node',1),('curabitur',6,'node',1),('curabitur',7,'node',2),('curabitur',9,'node',2),('curabitur',10,'node',2),('curabitur',11,'node',1.83446),('curabitur',13,'node',0.827757),('curabitur',22,'node',1),('curabitur',28,'node',1),('curabitur',33,'node',26),('curabitur',41,'node',1),('curabitur',43,'node',2),('curabitur',47,'node',1),('curabitur',50,'node',1),('curabitur',51,'node',1),('curabitur',52,'node',2),('curabitur',53,'node',2),('curabitur',54,'node',1),('curabitur',56,'node',1),('curabitur',59,'node',2),('curabitur',60,'node',2),('curabitur',61,'node',1.96109),('curae',50,'node',0.949597),('curae',53,'node',1),('cursus',1,'node',1),('cursus',3,'node',1),('cursus',5,'node',1),('cursus',6,'node',1),('cursus',7,'node',1),('cursus',9,'node',1),('cursus',11,'node',2.90974),('cursus',12,'node',3.75806),('cursus',13,'node',2.87634),('cursus',20,'node',2),('cursus',25,'node',3),('cursus',33,'node',2.82776),('cursus',34,'node',1),('cursus',35,'node',2),('cursus',36,'node',2),('cursus',37,'node',2),('cursus',38,'node',2),('cursus',39,'node',2),('cursus',40,'node',4.741),('cursus',41,'node',1),('cursus',45,'node',2),('cursus',46,'node',2),('cursus',49,'node',3),('cursus',50,'node',2),('cursus',52,'node',1),('cursus',54,'node',1),('cursus',55,'node',1.96109),('cursus',57,'node',2),('cursus',58,'node',2.93838),('cursus',59,'node',1.91323),('cursus',60,'node',1.97685),('cursus',61,'node',1.9496),('customizations',17,'node',26),('dapibus',3,'node',4),('dapibus',4,'node',3),('dapibus',5,'node',1),('dapibus',7,'node',1),('dapibus',8,'node',1),('dapibus',9,'node',3),('dapibus',11,'node',0.934703),('dapibus',13,'node',1.7734),('dapibus',20,'node',1),('dapibus',25,'node',1),('dapibus',26,'node',2),('dapibus',27,'node',5),('dapibus',28,'node',2),('dapibus',29,'node',1),('dapibus',30,'node',1),('dapibus',31,'node',2),('dapibus',33,'node',0.842342),('dapibus',35,'node',1),('dapibus',36,'node',1),('dapibus',37,'node',1),('dapibus',38,'node',1),('dapibus',39,'node',1),('dapibus',40,'node',2.71918),('dapibus',42,'node',2),('dapibus',43,'node',3),('dapibus',45,'node',1),('dapibus',46,'node',1),('dapibus',48,'node',1),('dapibus',49,'node',2),('dapibus',50,'node',2),('dapibus',55,'node',2),('dapibus',56,'node',1.92743),('dapibus',57,'node',1),('dapibus',59,'node',0.920273),('dapibus',61,'node',1),('deserunt',11,'node',3.91831),('deserunt',12,'node',3.88047),('deserunt',13,'node',3.90299),('deserunt',32,'node',1),('deserunt',33,'node',3.90299),('deserunt',40,'node',3.92607),('design',19,'node',26),('designed',15,'node',26),('development',43,'node',26),('diam',1,'node',1),('diam',4,'node',1),('diam',5,'node',1),('diam',6,'node',1),('diam',8,'node',2),('diam',9,'node',2),('diam',10,'node',26),('diam',11,'node',1),('diam',12,'node',1.81092),('diam',13,'node',1),('diam',14,'node',1),('diam',20,'node',2),('diam',23,'node',26),('diam',24,'node',1),('diam',25,'node',2),('diam',28,'node',2),('diam',32,'node',1),('diam',33,'node',3.47159),('diam',34,'node',1),('diam',35,'node',2),('diam',36,'node',2),('diam',37,'node',2),('diam',38,'node',2),('diam',39,'node',2),('diam',40,'node',1),('diam',42,'node',1),('diam',43,'node',2),('diam',45,'node',2),('diam',46,'node',2),('diam',47,'node',1),('diam',49,'node',3),('diam',51,'node',2),('diam',52,'node',2),('diam',53,'node',2),('diam',56,'node',3.9347),('diam',57,'node',1),('diam',60,'node',0.997306),('diam',61,'node',1.97685),('dicta',11,'node',4.91831),('dicta',12,'node',4.88047),('dicta',13,'node',4.90299),('dicta',33,'node',4.90299),('dicta',40,'node',4.92607),('dictum',1,'node',1),('dictum',5,'node',4),('dictum',6,'node',26),('dictum',7,'node',1),('dictum',9,'node',29),('dictum',20,'node',1),('dictum',25,'node',1),('dictum',26,'node',1),('dictum',28,'node',1),('dictum',29,'node',1),('dictum',30,'node',1),('dictum',31,'node',1),('dictum',33,'node',1.57913),('dictum',34,'node',1),('dictum',35,'node',1),('dictum',36,'node',1),('dictum',37,'node',1),('dictum',38,'node',1),('dictum',39,'node',1),('dictum',42,'node',4),('dictum',45,'node',1),('dictum',46,'node',1),('dictum',50,'node',1),('dictum',53,'node',1),('dictum',54,'node',4.99731),('dictum',55,'node',1),('dictum',57,'node',0.968904),('dictum',58,'node',0.976851),('dictum',59,'node',1.91674),('dictum',61,'node',1),('dictumst',5,'node',1),('dictumst',14,'node',1),('dictumst',52,'node',1),('dictumst',58,'node',1),('dictumst',59,'node',0.968904),('dignissim',1,'node',1),('dignissim',3,'node',3),('dignissim',5,'node',1),('dignissim',6,'node',2),('dignissim',7,'node',1),('dignissim',8,'node',1),('dignissim',10,'node',27),('dignissim',11,'node',0.830633),('dignissim',20,'node',1),('dignissim',21,'node',2),('dignissim',33,'node',2.4633),('dignissim',34,'node',1),('dignissim',35,'node',1),('dignissim',36,'node',1),('dignissim',37,'node',1),('dignissim',38,'node',1),('dignissim',39,'node',1),('dignissim',45,'node',1),('dignissim',46,'node',1),('dignissim',49,'node',1),('dignissim',52,'node',1),('dignissim',53,'node',2),('dignissim',55,'node',0.993146),('dignissim',56,'node',2),('dignissim',58,'node',1.93105),('dignissim',59,'node',1),('dignissim',61,'node',2.96498),('dis',14,'node',1),('dis',26,'node',1),('dis',31,'node',1),('dolor',1,'node',3),('dolor',3,'node',3),('dolor',4,'node',2.98902),('dolor',5,'node',2),('dolor',7,'node',2),('dolor',8,'node',1),('dolor',9,'node',27),('dolor',10,'node',2),('dolor',11,'node',2.79493),('dolor',12,'node',2.7709),('dolor',13,'node',1.9689),('dolor',20,'node',1),('dolor',21,'node',1),('dolor',25,'node',2),('dolor',26,'node',0.997306),('dolor',27,'node',3),('dolor',28,'node',1),('dolor',29,'node',1),('dolor',30,'node',1),('dolor',31,'node',1),('dolor',32,'node',1),('dolor',33,'node',3.62266),('dolor',34,'node',3),('dolor',35,'node',1),('dolor',36,'node',1),('dolor',37,'node',1),('dolor',38,'node',1),('dolor',39,'node',1),('dolor',40,'node',1.98087),('dolor',41,'node',2),('dolor',43,'node',3),('dolor',45,'node',1),('dolor',46,'node',1),('dolor',47,'node',1),('dolor',48,'node',1),('dolor',49,'node',1),('dolor',50,'node',2.99731),('dolor',52,'node',1),('dolor',54,'node',0.993146),('dolor',56,'node',1),('dolor',57,'node',2),('dolor',58,'node',2.94177),('dolor',59,'node',3.83701),('dolor',60,'node',2.98493),('dolor',61,'node',1),('dolore',32,'node',1),('dolorem',11,'node',0.976851),('dolorem',12,'node',0.96498),('dolorem',13,'node',0.976851),('dolorem',33,'node',0.976851),('dolorem',40,'node',0.989021),('doloremque',11,'node',4.91831),('doloremque',12,'node',4.88047),('doloremque',13,'node',4.90299),('doloremque',15,'node',1),('doloremque',16,'node',1),('doloremque',17,'node',1),('doloremque',18,'node',1),('doloremque',19,'node',1),('doloremque',32,'node',1),('doloremque',33,'node',4.90299),('doloremque',40,'node',4.92607),('domainnamecom',32,'node',11),('donec',1,'node',2),('donec',4,'node',2),('donec',5,'node',29),('donec',6,'node',1),('donec',7,'node',27),('donec',8,'node',4),('donec',10,'node',3),('donec',11,'node',2.66489),('donec',12,'node',1.7414),('donec',13,'node',11.4742),('donec',14,'node',1),('donec',21,'node',2),('donec',25,'node',2),('donec',27,'node',6),('donec',28,'node',1),('donec',29,'node',1),('donec',32,'node',1),('donec',33,'node',1.47685),('donec',34,'node',2),('donec',40,'node',5.40355),('donec',41,'node',3),('donec',47,'node',1),('donec',48,'node',62),('donec',49,'node',3),('donec',50,'node',1),('donec',52,'node',2),('donec',53,'node',2),('donec',54,'node',2),('donec',55,'node',3),('donec',56,'node',3),('donec',57,'node',3.91096),('donec',58,'node',3),('donec',59,'node',2),('donec',61,'node',1),('donec',62,'node',4.24035),('donec',63,'node',4.37585),('drunit',21,'node',10.8792),('drunit',62,'node',1.85315),('dui',1,'node',3),('dui',3,'node',2),('dui',4,'node',1),('dui',7,'node',1),('dui',8,'node',1),('dui',9,'node',1),('dui',10,'node',1),('dui',11,'node',1),('dui',12,'node',1),('dui',13,'node',2.76823),('dui',21,'node',4),('dui',26,'node',2),('dui',27,'node',54),('dui',28,'node',48),('dui',29,'node',4),('dui',30,'node',2),('dui',31,'node',2),('dui',33,'node',2.52095),('dui',34,'node',3),('dui',40,'node',1),('dui',41,'node',1),('dui',43,'node',1),('dui',51,'node',1),('dui',54,'node',2),('dui',55,'node',2),('dui',56,'node',2),('dui',57,'node',2.99315),('dui',58,'node',2),('dui',59,'node',1),('dui',62,'node',4.06487),('dui',63,'node',4.20143),('duis',3,'node',1),('duis',4,'node',1),('duis',6,'node',31),('duis',8,'node',1),('duis',11,'node',1.86679),('duis',12,'node',1.80818),('duis',13,'node',1.8894),('duis',20,'node',1),('duis',21,'node',2),('duis',26,'node',2),('duis',27,'node',1),('duis',28,'node',2),('duis',31,'node',2),('duis',32,'node',1),('duis',33,'node',1.75468),('duis',35,'node',1),('duis',36,'node',1),('duis',37,'node',1),('duis',38,'node',1),('duis',39,'node',1),('duis',40,'node',1),('duis',41,'node',1),('duis',42,'node',2),('duis',45,'node',1),('duis',46,'node',1),('duis',50,'node',31.6971),('duis',51,'node',2),('duis',53,'node',1),('duis',54,'node',1),('duis',55,'node',57.4666),('duis',56,'node',0.945829),('duis',57,'node',1.97685),('duis',60,'node',1),('duis',61,'node',0.976851),('duis',62,'node',8.05479),('duis',63,'node',8.32798),('eaque',11,'node',4.91831),('eaque',12,'node',4.88047),('eaque',13,'node',4.90299),('eaque',32,'node',1),('eaque',33,'node',4.90299),('eaque',40,'node',4.92607),('efficitur',47,'node',2),('efficitur',49,'node',1),('efficitur',50,'node',3),('efficitur',52,'node',26),('efficitur',53,'node',1),('efficitur',55,'node',2.98087),('efficitur',57,'node',2.96109),('efficitur',58,'node',3),('efficitur',61,'node',1),('efficitur',62,'node',4.02739),('efficitur',63,'node',4.16399),('egestas',1,'node',4),('egestas',3,'node',1),('egestas',4,'node',3),('egestas',5,'node',26),('egestas',6,'node',1),('egestas',7,'node',1),('egestas',8,'node',3),('egestas',9,'node',1),('egestas',10,'node',1),('egestas',11,'node',27.6385),('egestas',12,'node',1.62191),('egestas',21,'node',3),('egestas',23,'node',26),('egestas',34,'node',4),('egestas',42,'node',1),('egestas',43,'node',1),('egestas',51,'node',1),('egestas',53,'node',2),('egestas',55,'node',4),('egestas',56,'node',1),('egestas',57,'node',1.92027),('egestas',58,'node',1),('egestas',59,'node',1),('egestas',60,'node',2),('egestas',61,'node',1),('eget',1,'node',5),('eget',3,'node',1),('eget',4,'node',1),('eget',5,'node',1),('eget',6,'node',1),('eget',7,'node',2),('eget',9,'node',1),('eget',10,'node',3),('eget',11,'node',2.72844),('eget',12,'node',1),('eget',13,'node',2.74049),('eget',20,'node',1),('eget',21,'node',2),('eget',24,'node',1),('eget',26,'node',1),('eget',27,'node',1),('eget',28,'node',1),('eget',29,'node',2),('eget',30,'node',1),('eget',31,'node',1),('eget',32,'node',1),('eget',33,'node',5.6258),('eget',34,'node',5),('eget',35,'node',1),('eget',36,'node',1),('eget',37,'node',1),('eget',38,'node',1),('eget',39,'node',1),('eget',40,'node',6.4579),('eget',41,'node',2),('eget',42,'node',3),('eget',43,'node',1),('eget',45,'node',1),('eget',46,'node',1),('eget',47,'node',1),('eget',50,'node',2),('eget',51,'node',2),('eget',52,'node',3),('eget',53,'node',2),('eget',54,'node',3),('eget',55,'node',3.93395),('eget',56,'node',1),('eget',57,'node',0.957226),('eget',58,'node',7),('eget',59,'node',1.99315),('eget',60,'node',2),('eget',61,'node',3.92626),('eleifend',3,'node',1),('eleifend',5,'node',1),('eleifend',7,'node',1),('eleifend',8,'node',2),('eleifend',9,'node',1),('eleifend',12,'node',0.876337),('eleifend',21,'node',2),('eleifend',25,'node',1),('eleifend',33,'node',0.736141),('eleifend',49,'node',1),('eleifend',53,'node',1),('eleifend',55,'node',1),('eleifend',57,'node',1),('eleifend',59,'node',0.993146),('eleifend',60,'node',1),('eleifend',61,'node',1.9534),('elementum',4,'node',1),('elementum',5,'node',1),('elementum',7,'node',1),('elementum',13,'node',0.938382),('elementum',14,'node',1),('elementum',20,'node',1),('elementum',21,'node',2),('elementum',25,'node',1),('elementum',26,'node',1),('elementum',31,'node',1),('elementum',33,'node',0.718502),('elementum',35,'node',1),('elementum',36,'node',1),('elementum',37,'node',1),('elementum',38,'node',1),('elementum',39,'node',1),('elementum',41,'node',1),('elementum',45,'node',1),('elementum',46,'node',1),('elementum',47,'node',1),('elementum',52,'node',1),('elementum',53,'node',2),('elementum',54,'node',4),('elementum',55,'node',1),('elementum',56,'node',1),('elementum',58,'node',2),('elementum',60,'node',1),('elementum',61,'node',1),('elit',3,'node',1),('elit',4,'node',2),('elit',5,'node',3),('elit',6,'node',4),('elit',7,'node',3),('elit',10,'node',1),('elit',11,'node',4.53754),('elit',12,'node',2),('elit',13,'node',2),('elit',20,'node',2),('elit',21,'node',1),('elit',25,'node',1),('elit',26,'node',1),('elit',27,'node',14),('elit',28,'node',1),('elit',29,'node',1),('elit',30,'node',1),('elit',31,'node',1),('elit',32,'node',1),('elit',33,'node',3.5349),('elit',35,'node',2),('elit',36,'node',2),('elit',37,'node',2),('elit',38,'node',2),('elit',39,'node',2),('elit',40,'node',2),('elit',41,'node',3),('elit',42,'node',1),('elit',45,'node',2),('elit',46,'node',2),('elit',47,'node',1),('elit',48,'node',3),('elit',50,'node',1),('elit',51,'node',1),('elit',52,'node',1),('elit',54,'node',1),('elit',56,'node',1),('elit',57,'node',2.9185),('elit',58,'node',1),('elit',59,'node',4),('elit',60,'node',3),('elit',61,'node',1.9534),('email',32,'node',1),('enim',1,'node',1),('enim',3,'node',2),('enim',5,'node',1.99731),('enim',6,'node',26),('enim',7,'node',1),('enim',8,'node',2),('enim',10,'node',1),('enim',11,'node',3.61622),('enim',12,'node',1.80276),('enim',13,'node',1.85135),('enim',20,'node',1),('enim',21,'node',3),('enim',25,'node',1),('enim',26,'node',3),('enim',29,'node',2),('enim',30,'node',2),('enim',31,'node',3),('enim',33,'node',29.3871),('enim',34,'node',1),('enim',35,'node',1),('enim',36,'node',1),('enim',37,'node',1),('enim',38,'node',1),('enim',39,'node',1),('enim',40,'node',3.69836),('enim',41,'node',2),('enim',42,'node',2),('enim',43,'node',1),('enim',45,'node',1),('enim',46,'node',1),('enim',47,'node',2),('enim',51,'node',2),('enim',53,'node',1),('enim',54,'node',3),('enim',56,'node',0.902857),('enim',57,'node',1),('enim',58,'node',0.968904),('enim',59,'node',1.94209),('enim',61,'node',1.95779),('erat',1,'node',2),('erat',3,'node',31),('erat',4,'node',1),('erat',5,'node',3),('erat',7,'node',1),('erat',9,'node',2),('erat',10,'node',2),('erat',11,'node',1.89272),('erat',12,'node',1.91674),('erat',13,'node',1.84832),('erat',23,'node',26),('erat',26,'node',1),('erat',27,'node',7),('erat',28,'node',1),('erat',29,'node',1),('erat',30,'node',1),('erat',31,'node',1),('erat',33,'node',1.8249),('erat',34,'node',2),('erat',40,'node',1),('erat',42,'node',1),('erat',43,'node',1),('erat',48,'node',1),('erat',49,'node',1),('erat',50,'node',1),('erat',51,'node',1),('erat',53,'node',2),('erat',54,'node',2.99461),('erat',55,'node',1.96109),('erat',56,'node',2),('erat',57,'node',2.94196),('erat',58,'node',2),('erat',59,'node',1.99315),('erat',60,'node',1.98493),('erat',61,'node',1.97685),('eros',1,'node',2),('eros',4,'node',3),('eros',5,'node',26),('eros',6,'node',2),('eros',7,'node',1),('eros',8,'node',1),('eros',9,'node',30),('eros',10,'node',2),('eros',11,'node',0.851346),('eros',13,'node',0.945829),('eros',22,'node',1),('eros',25,'node',2),('eros',33,'node',41.4997),('eros',34,'node',2),('eros',41,'node',1),('eros',49,'node',2),('eros',50,'node',1),('eros',52,'node',1),('eros',53,'node',2),('eros',54,'node',3.99731),('eros',56,'node',1),('eros',57,'node',1),('eros',58,'node',4.8881),('eros',60,'node',1),('eros',61,'node',3.91062),('error',11,'node',5.89516),('error',12,'node',5.84545),('error',13,'node',5.87984),('error',15,'node',1),('error',16,'node',1),('error',17,'node',1),('error',18,'node',1),('error',19,'node',1),('error',32,'node',1),('error',33,'node',5.87984),('error',40,'node',5.91509),('esplanade',50,'node',26.9347),('esse',32,'node',1),('est',1,'node',1),('est',3,'node',1),('est',4,'node',3),('est',6,'node',1),('est',7,'node',1),('est',9,'node',2),('est',11,'node',5.66144),('est',12,'node',3.88047),('est',13,'node',5.60873),('est',20,'node',1),('est',24,'node',26),('est',26,'node',1),('est',27,'node',1),('est',28,'node',2),('est',29,'node',2),('est',31,'node',1),('est',32,'node',2),('est',33,'node',26.87),('est',34,'node',1),('est',35,'node',1),('est',36,'node',1),('est',37,'node',1),('est',38,'node',1),('est',39,'node',1),('est',40,'node',9.32619),('est',41,'node',3),('est',42,'node',1),('est',45,'node',1),('est',46,'node',1),('est',49,'node',1),('est',50,'node',2),('est',51,'node',60.0773),('est',53,'node',2),('est',54,'node',3),('est',55,'node',1),('est',56,'node',1),('est',57,'node',3),('est',58,'node',2),('est',59,'node',1),('est',60,'node',1),('est',62,'node',4.02739),('est',63,'node',4.16399),('estate',42,'node',26),('etiam',5,'node',1),('etiam',6,'node',2),('etiam',8,'node',2),('etiam',9,'node',2),('etiam',11,'node',2.55038),('etiam',21,'node',1),('etiam',23,'node',1),('etiam',25,'node',1),('etiam',26,'node',1),('etiam',29,'node',1),('etiam',30,'node',1),('etiam',31,'node',1),('etiam',41,'node',1),('etiam',42,'node',1),('etiam',43,'node',1),('etiam',49,'node',1),('etiam',51,'node',1),('etiam',53,'node',2),('etiam',55,'node',0.968904),('etiam',56,'node',1),('etiam',57,'node',1),('etiam',58,'node',0.938382),('etiam',60,'node',1),('etiam',61,'node',1),('euismod',5,'node',1),('euismod',10,'node',2),('euismod',20,'node',3),('euismod',21,'node',2),('euismod',25,'node',1),('euismod',26,'node',1),('euismod',28,'node',1),('euismod',29,'node',1),('euismod',30,'node',1),('euismod',31,'node',1),('euismod',33,'node',19.5678),('euismod',35,'node',3),('euismod',36,'node',3),('euismod',37,'node',3),('euismod',38,'node',3),('euismod',39,'node',3),('euismod',41,'node',2),('euismod',42,'node',3),('euismod',43,'node',2),('euismod',45,'node',3),('euismod',46,'node',3),('euismod',49,'node',1),('euismod',50,'node',1),('euismod',51,'node',1),('euismod',55,'node',1.97685),('euismod',56,'node',0.997306),('euismod',57,'node',1),('euismod',58,'node',1),('euismod',59,'node',1),('euismod',60,'node',2),('excepteur',11,'node',1),('excepteur',12,'node',1),('excepteur',13,'node',1),('excepteur',32,'node',1),('excepteur',33,'node',1),('excepteur',40,'node',1),('explicabo',11,'node',4.91831),('explicabo',12,'node',4.88047),('explicabo',13,'node',4.90299),('explicabo',33,'node',4.90299),('explicabo',40,'node',4.92607),('facilisi',5,'node',1),('facilisi',11,'node',1),('facilisi',12,'node',1),('facilisi',13,'node',1),('facilisi',29,'node',1),('facilisi',33,'node',1.75707),('facilisi',40,'node',1),('facilisi',55,'node',1),('facilisi',59,'node',1),('facilisi',60,'node',1),('facilisis',1,'node',1),('facilisis',3,'node',26),('facilisis',4,'node',1),('facilisis',5,'node',1),('facilisis',6,'node',1),('facilisis',11,'node',0.824901),('facilisis',12,'node',0.931053),('facilisis',13,'node',0.923838),('facilisis',14,'node',1),('facilisis',20,'node',2),('facilisis',21,'node',2),('facilisis',22,'node',27),('facilisis',29,'node',2),('facilisis',33,'node',43.5868),('facilisis',34,'node',1),('facilisis',35,'node',2),('facilisis',36,'node',2),('facilisis',37,'node',2),('facilisis',38,'node',2),('facilisis',39,'node',2),('facilisis',41,'node',1),('facilisis',45,'node',2),('facilisis',46,'node',2),('facilisis',48,'node',1),('facilisis',50,'node',2),('facilisis',51,'node',1),('facilisis',52,'node',1),('facilisis',54,'node',1.98902),('facilisis',55,'node',2),('facilisis',56,'node',1.93838),('facilisis',57,'node',3),('facilisis',58,'node',4.97286),('facilisis',60,'node',2.99731),('facilisis',61,'node',0.989021),('fames',1,'node',2),('fames',6,'node',1),('fames',7,'node',1),('fames',8,'node',2),('fames',12,'node',0.909743),('fames',25,'node',1),('fames',33,'node',0.705825),('fames',34,'node',2),('fames',43,'node',1),('fames',48,'node',1),('fames',51,'node',1),('fames',52,'node',1),('fames',54,'node',1),('fames',57,'node',0.923838),('fames',59,'node',1),('family',11,'node',8.92007),('family',12,'node',8.68461),('family',13,'node',8.98097),('family',33,'node',17.7503),('family',40,'node',19.531),('faucibus',3,'node',1),('faucibus',4,'node',1),('faucibus',5,'node',2),('faucibus',7,'node',1),('faucibus',8,'node',1),('faucibus',9,'node',2),('faucibus',12,'node',0.899454),('faucibus',13,'node',8.92007),('faucibus',20,'node',1),('faucibus',25,'node',3),('faucibus',28,'node',1),('faucibus',32,'node',1),('faucibus',33,'node',1.44011),('faucibus',35,'node',1),('faucibus',36,'node',1),('faucibus',37,'node',1),('faucibus',38,'node',1),('faucibus',39,'node',1),('faucibus',41,'node',1),('faucibus',43,'node',1),('faucibus',45,'node',1),('faucibus',46,'node',1),('faucibus',47,'node',1),('faucibus',48,'node',1),('faucibus',49,'node',1),('faucibus',50,'node',2.95037),('faucibus',52,'node',1),('faucibus',53,'node',2),('faucibus',54,'node',2),('faucibus',55,'node',0.976851),('faucibus',57,'node',0.953396),('faucibus',60,'node',0.98493),('faucibus',61,'node',1),('felis',3,'node',2),('felis',5,'node',1),('felis',6,'node',1),('felis',10,'node',2),('felis',11,'node',1.65851),('felis',12,'node',0.824901),('felis',21,'node',4),('felis',23,'node',1),('felis',24,'node',26),('felis',25,'node',2),('felis',26,'node',2),('felis',27,'node',2),('felis',28,'node',1),('felis',29,'node',3),('felis',30,'node',1),('felis',31,'node',2),('felis',33,'node',22.959),('felis',41,'node',1),('felis',42,'node',1),('felis',43,'node',3),('felis',49,'node',1),('felis',50,'node',1),('felis',51,'node',1),('felis',53,'node',1),('felis',54,'node',1),('felis',55,'node',1.97685),('felis',56,'node',0.980874),('felis',57,'node',1.9689),('felis',58,'node',2.97286),('felis',60,'node',1),('felis',61,'node',1.9534),('fermentum',1,'node',1),('fermentum',3,'node',1),('fermentum',4,'node',3),('fermentum',5,'node',1),('fermentum',6,'node',27),('fermentum',7,'node',3),('fermentum',10,'node',1),('fermentum',13,'node',0.836446),('fermentum',20,'node',1),('fermentum',21,'node',1),('fermentum',23,'node',1),('fermentum',25,'node',1),('fermentum',27,'node',48),('fermentum',33,'node',0.731649),('fermentum',34,'node',1),('fermentum',35,'node',1),('fermentum',36,'node',1),('fermentum',37,'node',1),('fermentum',38,'node',1),('fermentum',39,'node',1),('fermentum',42,'node',1),('fermentum',43,'node',1),('fermentum',45,'node',1),('fermentum',46,'node',1),('fermentum',50,'node',0.997306),('fermentum',55,'node',1),('fermentum',56,'node',1),('fermentum',57,'node',0.942091),('fermentum',58,'node',1),('fermentum',59,'node',1.91674),('fermentum',60,'node',0.980874),('fermentum',62,'node',1.90694),('fermentum',63,'node',2.00143),('feugiat',1,'node',1),('feugiat',3,'node',1),('feugiat',5,'node',4),('feugiat',6,'node',2),('feugiat',7,'node',1),('feugiat',8,'node',1),('feugiat',11,'node',0.845322),('feugiat',12,'node',0.830633),('feugiat',14,'node',1),('feugiat',25,'node',1),('feugiat',33,'node',1.56228),('feugiat',34,'node',1),('feugiat',41,'node',1),('feugiat',42,'node',1),('feugiat',47,'node',1),('feugiat',49,'node',2),('feugiat',52,'node',1),('feugiat',55,'node',59.4666),('feugiat',56,'node',0.923838),('feugiat',57,'node',0.993146),('feugiat',58,'node',5),('feugiat',59,'node',1),('feugiat',60,'node',1),('feugiat',61,'node',0.96498),('feugiat',62,'node',4.02739),('feugiat',63,'node',4.16399),('find',44,'node',1),('finibus',47,'node',1),('finibus',51,'node',2),('finibus',52,'node',1),('finibus',53,'node',1),('finibus',54,'node',2),('finibus',55,'node',0.980874),('finibus',56,'node',1),('finibus',59,'node',1.85133),('finibus',60,'node',2),('finibus',61,'node',1),('for',15,'node',26),('for',44,'node',3),('form',32,'node',19),('free',57,'node',26),('fri',33,'node',3.71323),('fringilla',3,'node',1),('fringilla',4,'node',1),('fringilla',7,'node',2),('fringilla',8,'node',2),('fringilla',9,'node',27),('fringilla',12,'node',0.882818),('fringilla',20,'node',1),('fringilla',21,'node',1),('fringilla',26,'node',4),('fringilla',28,'node',1),('fringilla',29,'node',3),('fringilla',30,'node',2),('fringilla',31,'node',4),('fringilla',33,'node',18.7936),('fringilla',35,'node',1),('fringilla',36,'node',1),('fringilla',37,'node',1),('fringilla',38,'node',1),('fringilla',39,'node',1),('fringilla',41,'node',1),('fringilla',42,'node',1),('fringilla',43,'node',1),('fringilla',45,'node',1),('fringilla',46,'node',1),('fringilla',47,'node',1),('fringilla',49,'node',1),('fringilla',52,'node',2),('fringilla',53,'node',1),('fringilla',54,'node',2),('fringilla',55,'node',1),('fringilla',56,'node',0.927431),('fringilla',57,'node',2),('fringilla',58,'node',2.93897),('fringilla',60,'node',1),('fugiat',32,'node',1),('fugit',11,'node',0.980874),('fugit',12,'node',0.968904),('fugit',13,'node',0.980874),('fugit',33,'node',0.980874),('fugit',40,'node',0.993146),('full',12,'node',33),('fully',16,'node',26),('fusce',1,'node',1),('fusce',8,'node',1),('fusce',9,'node',4),('fusce',11,'node',0.957226),('fusce',12,'node',0.863659),('fusce',25,'node',1),('fusce',28,'node',1),('fusce',32,'node',1),('fusce',33,'node',1.84428),('fusce',34,'node',1),('fusce',42,'node',2),('fusce',47,'node',1),('fusce',49,'node',1),('fusce',54,'node',2),('fusce',55,'node',1),('fusce',57,'node',2),('fusce',58,'node',1),('fusce',59,'node',4.98217),('fusce',60,'node',1),('fusce',61,'node',1),('gate',21,'node',10.9246),('gate',62,'node',1.85971),('get',32,'node',39),('gissing',26,'node',20.5647),('gissing',62,'node',2.12296),('gissing',63,'node',2.2),('gordon',36,'node',21.4468),('gordon',62,'node',1.9422),('gordon',63,'node',2.04035),('gravida',3,'node',1),('gravida',4,'node',1),('gravida',6,'node',1),('gravida',11,'node',0.902857),('gravida',12,'node',1.74711),('gravida',20,'node',1),('gravida',26,'node',1),('gravida',28,'node',1),('gravida',29,'node',1),('gravida',30,'node',1),('gravida',31,'node',1),('gravida',33,'node',2.36744),('gravida',35,'node',1),('gravida',36,'node',1),('gravida',37,'node',1),('gravida',38,'node',1),('gravida',39,'node',1),('gravida',43,'node',1),('gravida',45,'node',1),('gravida',46,'node',1),('gravida',49,'node',1),('gravida',50,'node',1),('gravida',53,'node',1),('gravida',54,'node',1),('gravida',55,'node',1.98087),('gravida',56,'node',2.84124),('gravida',57,'node',1),('gravida',59,'node',2),('gravida',60,'node',1),('gravida',61,'node',3),('guidelines',56,'node',26),('gulf',34,'node',21.6688),('gulf',62,'node',2.2),('gulf',63,'node',2.2),('habitant',1,'node',2),('habitant',6,'node',1),('habitant',8,'node',2),('habitant',34,'node',2),('habitant',43,'node',1),('habitant',51,'node',1),('habitant',57,'node',0.938382),('habitant',59,'node',1),('habitasse',5,'node',1),('habitasse',14,'node',1),('habitasse',52,'node',1),('habitasse',58,'node',1),('habitasse',59,'node',0.976851),('hac',5,'node',1),('hac',14,'node',1),('hac',52,'node',1),('hac',58,'node',1),('hac',59,'node',0.980874),('hart',1,'node',27),('heading',11,'node',59.712),('heading',12,'node',59.0442),('heading',13,'node',59.4416),('heading',33,'node',59.4416),('heading',40,'node',59.8489),('hendrerit',1,'node',1),('hendrerit',4,'node',1),('hendrerit',8,'node',26),('hendrerit',9,'node',1),('hendrerit',10,'node',1),('hendrerit',11,'node',2),('hendrerit',12,'node',2),('hendrerit',13,'node',2.87313),('hendrerit',21,'node',2),('hendrerit',24,'node',2),('hendrerit',28,'node',1),('hendrerit',33,'node',2.73614),('hendrerit',34,'node',1),('hendrerit',40,'node',4.73729),('hendrerit',42,'node',1),('hendrerit',49,'node',1),('hendrerit',50,'node',2),('hendrerit',51,'node',1),('hendrerit',53,'node',1),('hendrerit',54,'node',2),('hendrerit',55,'node',1),('hendrerit',56,'node',1.97286),('hendrerit',59,'node',0.945829),('hendrerit',60,'node',1),('hendrerit',61,'node',1),('himenaeos',3,'node',1),('himenaeos',4,'node',1),('himenaeos',7,'node',1),('himenaeos',14,'node',1),('himenaeos',27,'node',1),('himenaeos',43,'node',1),('himenaeos',50,'node',1),('himenaeos',56,'node',1),('holding',52,'node',1),('holding',55,'node',0.957226),('holding',62,'node',40.2739),('holding',63,'node',3.78545),('home',44,'node',11),('home',58,'node',26),('home',62,'node',26),('home',63,'node',26),('iaculis',1,'node',1),('iaculis',3,'node',2),('iaculis',5,'node',1),('iaculis',6,'node',1),('iaculis',7,'node',1),('iaculis',10,'node',4),('iaculis',11,'node',0.876337),('iaculis',12,'node',0.857458),('iaculis',21,'node',1),('iaculis',26,'node',0.98493),('iaculis',29,'node',1),('iaculis',30,'node',1),('iaculis',31,'node',0.997306),('iaculis',33,'node',1.48144),('iaculis',34,'node',1),('iaculis',42,'node',1),('iaculis',43,'node',1),('iaculis',47,'node',2),('iaculis',50,'node',1),('iaculis',52,'node',1),('iaculis',53,'node',2),('iaculis',54,'node',1),('iaculis',55,'node',1),('iaculis',56,'node',1),('iaculis',58,'node',1),('iaculis',60,'node',1),('iaculis',61,'node',1.97286),('illo',11,'node',4.91831),('illo',12,'node',4.88047),('illo',13,'node',4.90299),('illo',32,'node',1),('illo',33,'node',4.90299),('illo',40,'node',4.92607),('image',12,'node',33),('imperdiet',1,'node',1),('imperdiet',3,'node',2),('imperdiet',5,'node',1),('imperdiet',6,'node',1),('imperdiet',8,'node',1),('imperdiet',10,'node',1),('imperdiet',11,'node',1.67671),('imperdiet',25,'node',1),('imperdiet',26,'node',3),('imperdiet',28,'node',1),('imperdiet',31,'node',3),('imperdiet',33,'node',19.7461),('imperdiet',34,'node',1),('imperdiet',41,'node',3),('imperdiet',43,'node',1),('imperdiet',48,'node',1),('imperdiet',49,'node',1),('imperdiet',50,'node',2),('imperdiet',51,'node',2),('imperdiet',52,'node',1),('imperdiet',54,'node',1),('imperdiet',55,'node',1),('imperdiet',56,'node',1.90286),('imperdiet',58,'node',1),('imperdiet',59,'node',1),('imperdiet',61,'node',1),('inceptos',3,'node',1),('inceptos',4,'node',1),('inceptos',7,'node',1),('inceptos',14,'node',1),('inceptos',27,'node',1),('inceptos',43,'node',1),('inceptos',50,'node',1),('inceptos',56,'node',1),('integer',1,'node',1),('integer',4,'node',1),('integer',5,'node',1),('integer',7,'node',1),('integer',10,'node',1),('integer',13,'node',0.830633),('integer',20,'node',1),('integer',21,'node',2),('integer',25,'node',3),('integer',27,'node',3),('integer',29,'node',1),('integer',33,'node',22.2727),('integer',34,'node',1),('integer',35,'node',1),('integer',36,'node',1),('integer',37,'node',1),('integer',38,'node',1),('integer',39,'node',1),('integer',42,'node',1),('integer',43,'node',2),('integer',45,'node',1),('integer',46,'node',1),('integer',48,'node',1),('integer',50,'node',1),('integer',51,'node',1),('integer',52,'node',1),('integer',53,'node',1),('integer',54,'node',1),('integer',55,'node',2),('integer',56,'node',1),('integer',59,'node',1.92027),('integer',60,'node',1),('interdum',4,'node',2),('interdum',7,'node',1),('interdum',8,'node',1),('interdum',9,'node',1),('interdum',10,'node',2),('interdum',11,'node',0.906287),('interdum',12,'node',0.916736),('interdum',14,'node',1),('interdum',20,'node',1),('interdum',21,'node',1),('interdum',25,'node',2),('interdum',26,'node',1.98902),('interdum',28,'node',1),('interdum',29,'node',1),('interdum',30,'node',1),('interdum',31,'node',2),('interdum',33,'node',0.707906),('interdum',35,'node',1),('interdum',36,'node',1),('interdum',37,'node',1),('interdum',38,'node',1),('interdum',39,'node',1),('interdum',41,'node',1),('interdum',42,'node',2),('interdum',45,'node',1),('interdum',46,'node',1),('interdum',47,'node',1),('interdum',48,'node',1),('interdum',49,'node',1),('interdum',50,'node',1),('interdum',51,'node',2),('interdum',52,'node',1),('interdum',54,'node',2.99731),('interdum',55,'node',2),('interdum',57,'node',2),('interdum',59,'node',1),('inventore',11,'node',4.91831),('inventore',12,'node',4.88047),('inventore',13,'node',4.90299),('inventore',32,'node',1),('inventore',33,'node',4.90299),('inventore',40,'node',4.92607),('ipsa',11,'node',4.91831),('ipsa',12,'node',4.88047),('ipsa',13,'node',4.90299),('ipsa',32,'node',1),('ipsa',33,'node',4.90299),('ipsa',40,'node',4.92607),('ipsam',11,'node',1),('ipsam',12,'node',0.993146),('ipsam',13,'node',1),('ipsam',33,'node',1),('ipsam',40,'node',1),('ipsum',1,'node',1),('ipsum',3,'node',3),('ipsum',4,'node',1),('ipsum',5,'node',2),('ipsum',6,'node',1),('ipsum',7,'node',4),('ipsum',8,'node',1),('ipsum',9,'node',1),('ipsum',10,'node',1),('ipsum',11,'node',27.7949),('ipsum',12,'node',4.42499),('ipsum',13,'node',1.82421),('ipsum',20,'node',1),('ipsum',21,'node',2),('ipsum',24,'node',1),('ipsum',25,'node',4),('ipsum',29,'node',48.1439),('ipsum',33,'node',4.54766),('ipsum',34,'node',1),('ipsum',35,'node',1),('ipsum',36,'node',1),('ipsum',37,'node',1),('ipsum',38,'node',1),('ipsum',39,'node',1),('ipsum',40,'node',3.68329),('ipsum',41,'node',3),('ipsum',42,'node',1),('ipsum',43,'node',1),('ipsum',45,'node',1),('ipsum',46,'node',1),('ipsum',48,'node',3),('ipsum',49,'node',2),('ipsum',50,'node',3.96109),('ipsum',51,'node',1),('ipsum',52,'node',5),('ipsum',53,'node',4),('ipsum',54,'node',4),('ipsum',55,'node',2),('ipsum',56,'node',1),('ipsum',57,'node',2.97685),('ipsum',58,'node',1),('ipsum',59,'node',3),('ipsum',60,'node',2),('ipsum',61,'node',1),('ipsum',62,'node',2.2),('ipsum',63,'node',2.2),('irure',32,'node',1),('islands',39,'node',1),('islands',62,'node',0.896076),('iste',11,'node',5.89516),('iste',12,'node',5.84545),('iste',13,'node',5.87984),('iste',32,'node',1),('iste',33,'node',5.87984),('iste',40,'node',5.91509),('john',40,'node',11),('justice',49,'node',27),('justo',1,'node',2),('justo',3,'node',2),('justo',4,'node',1),('justo',5,'node',1),('justo',6,'node',1),('justo',7,'node',1),('justo',10,'node',1),('justo',20,'node',1),('justo',25,'node',1),('justo',26,'node',3),('justo',27,'node',2),('justo',28,'node',1),('justo',29,'node',4),('justo',30,'node',2),('justo',31,'node',3),('justo',33,'node',2.45477),('justo',34,'node',2),('justo',35,'node',1),('justo',36,'node',1),('justo',37,'node',1),('justo',38,'node',1),('justo',39,'node',1),('justo',42,'node',1),('justo',45,'node',1),('justo',46,'node',1),('justo',47,'node',1),('justo',49,'node',1),('justo',50,'node',2),('justo',51,'node',2),('justo',54,'node',2),('justo',55,'node',2),('justo',56,'node',0.931053),('justo',57,'node',0.989021),('justo',58,'node',2),('justo',59,'node',1),('justo',60,'node',2),('kathleen',28,'node',1),('laborum',11,'node',3.91831),('laborum',12,'node',3.88047),('laborum',13,'node',3.90299),('laborum',32,'node',1),('laborum',33,'node',3.90299),('laborum',40,'node',3.92607),('lacinia',5,'node',26),('lacinia',6,'node',2),('lacinia',9,'node',2),('lacinia',13,'node',1.72448),('lacinia',14,'node',1),('lacinia',25,'node',2),('lacinia',26,'node',2),('lacinia',27,'node',1),('lacinia',28,'node',2),('lacinia',29,'node',2),('lacinia',30,'node',2),('lacinia',31,'node',2),('lacinia',40,'node',5.42832),('lacinia',41,'node',1),('lacinia',42,'node',1),('lacinia',43,'node',1),('lacinia',49,'node',1),('lacinia',52,'node',2),('lacinia',53,'node',3),('lacinia',54,'node',2),('lacinia',55,'node',2),('lacinia',56,'node',1),('lacinia',57,'node',2.9689),('lacinia',58,'node',3),('lacinia',59,'node',1),('lacinia',60,'node',1),('lacus',1,'node',2),('lacus',3,'node',1),('lacus',4,'node',3),('lacus',5,'node',1),('lacus',6,'node',27),('lacus',7,'node',1),('lacus',8,'node',1),('lacus',10,'node',1),('lacus',12,'node',1.78182),('lacus',20,'node',1),('lacus',24,'node',1),('lacus',32,'node',1),('lacus',33,'node',0.845322),('lacus',34,'node',2),('lacus',35,'node',1),('lacus',36,'node',1),('lacus',37,'node',1),('lacus',38,'node',1),('lacus',39,'node',1),('lacus',41,'node',2),('lacus',42,'node',1),('lacus',43,'node',1),('lacus',45,'node',1),('lacus',46,'node',1),('lacus',49,'node',1),('lacus',50,'node',1),('lacus',51,'node',1),('lacus',53,'node',1),('lacus',54,'node',2),('lacus',55,'node',2.98087),('lacus',56,'node',1),('lacus',57,'node',2),('lacus',58,'node',3),('lacus',59,'node',1),('lacus',60,'node',1),('lacus',61,'node',1.99045),('lake',35,'node',0.997306),('lake',37,'node',1),('lake',38,'node',1),('lake',48,'node',1),('lake',54,'node',0.949597),('lake',55,'node',0.931053),('lake',62,'node',33.2702),('laoreet',1,'node',2),('laoreet',5,'node',2),('laoreet',7,'node',27),('laoreet',9,'node',1),('laoreet',10,'node',2),('laoreet',11,'node',3.44083),('laoreet',12,'node',0.808176),('laoreet',14,'node',2),('laoreet',21,'node',1),('laoreet',26,'node',2),('laoreet',29,'node',2),('laoreet',30,'node',24),('laoreet',31,'node',2),('laoreet',33,'node',1.61128),('laoreet',34,'node',2),('laoreet',41,'node',1),('laoreet',43,'node',1),('laoreet',49,'node',1),('laoreet',50,'node',1),('laoreet',54,'node',0.989021),('laoreet',55,'node',1),('laoreet',56,'node',1),('laoreet',60,'node',3),('laoreet',61,'node',4.97395),('laoreet',62,'node',2.2),('laoreet',63,'node',2.2),('lasted',63,'node',19),('laudantium',11,'node',4.91831),('laudantium',12,'node',4.88047),('laudantium',13,'node',4.90299),('laudantium',15,'node',1),('laudantium',16,'node',1),('laudantium',17,'node',1),('laudantium',18,'node',1),('laudantium',19,'node',1),('laudantium',32,'node',1),('laudantium',33,'node',4.90299),('laudantium',40,'node',4.92607),('lectus',3,'node',1),('lectus',5,'node',1),('lectus',6,'node',1),('lectus',7,'node',1),('lectus',8,'node',2),('lectus',10,'node',1),('lectus',11,'node',2.72899),('lectus',12,'node',1.81925),('lectus',13,'node',1),('lectus',21,'node',2),('lectus',22,'node',1),('lectus',24,'node',2),('lectus',26,'node',1),('lectus',28,'node',1),('lectus',29,'node',3),('lectus',30,'node',1),('lectus',31,'node',1),('lectus',33,'node',1),('lectus',40,'node',1),('lectus',41,'node',1),('lectus',42,'node',3),('lectus',47,'node',3),('lectus',49,'node',2),('lectus',51,'node',1),('lectus',52,'node',1),('lectus',54,'node',3),('lectus',55,'node',3),('lectus',59,'node',2.85848),('lectus',60,'node',3),('lectus',61,'node',6),('leo',3,'node',1),('leo',4,'node',1),('leo',5,'node',2),('leo',6,'node',2),('leo',8,'node',1),('leo',9,'node',2),('leo',11,'node',0.916736),('leo',14,'node',1),('leo',20,'node',2),('leo',23,'node',1),('leo',25,'node',1),('leo',28,'node',1),('leo',33,'node',40.3173),('leo',35,'node',2),('leo',36,'node',2),('leo',37,'node',2),('leo',38,'node',2),('leo',39,'node',2),('leo',41,'node',1),('leo',42,'node',1),('leo',43,'node',1),('leo',45,'node',2),('leo',46,'node',2),('leo',48,'node',1),('leo',49,'node',1),('leo',50,'node',2),('leo',51,'node',2),('leo',53,'node',2),('leo',54,'node',2),('leo',55,'node',1),('leo',56,'node',0.961087),('leo',57,'node',1),('leo',58,'node',0.972861),('leo',59,'node',0.989021),('leo',61,'node',1),('libero',3,'node',2),('libero',4,'node',1),('libero',6,'node',1),('libero',7,'node',1),('libero',9,'node',1),('libero',11,'node',2),('libero',12,'node',2),('libero',13,'node',2),('libero',14,'node',1),('libero',21,'node',2),('libero',22,'node',1),('libero',25,'node',2),('libero',27,'node',6),('libero',28,'node',2),('libero',29,'node',2),('libero',33,'node',24.6473),('libero',40,'node',2),('libero',41,'node',2),('libero',52,'node',3),('libero',54,'node',1.98902),('libero',55,'node',49.5058),('libero',57,'node',3.93395),('libero',59,'node',1),('libero',60,'node',0.989021),('libero',61,'node',1),('libero',62,'node',4.02739),('libero',63,'node',4.16399),('ligula',1,'node',1),('ligula',5,'node',1),('ligula',7,'node',3),('ligula',8,'node',1),('ligula',9,'node',2),('ligula',11,'node',2.93838),('ligula',12,'node',2.85135),('ligula',13,'node',2),('ligula',20,'node',2),('ligula',21,'node',3),('ligula',22,'node',1),('ligula',24,'node',2),('ligula',26,'node',1),('ligula',27,'node',1),('ligula',28,'node',1),('ligula',29,'node',2),('ligula',31,'node',1),('ligula',33,'node',5.39535),('ligula',34,'node',1),('ligula',35,'node',2),('ligula',36,'node',2),('ligula',37,'node',2),('ligula',38,'node',2),('ligula',39,'node',2),('ligula',40,'node',2),('ligula',41,'node',1),('ligula',42,'node',1),('ligula',43,'node',1),('ligula',45,'node',2),('ligula',46,'node',2),('ligula',48,'node',1),('ligula',50,'node',1),('ligula',52,'node',1),('ligula',53,'node',1),('ligula',54,'node',2),('ligula',56,'node',1.92027),('ligula',57,'node',1),('ligula',58,'node',1.92027),('ligula',59,'node',1.93105),('ligula',60,'node',2),('ligula',61,'node',2),('litora',3,'node',1),('litora',4,'node',1),('litora',7,'node',1),('litora',14,'node',1),('litora',27,'node',1),('litora',43,'node',1),('litora',50,'node',1),('litora',56,'node',1),('lobortis',3,'node',1),('lobortis',5,'node',1),('lobortis',11,'node',1),('lobortis',12,'node',1.92027),('lobortis',13,'node',28.741),('lobortis',20,'node',2),('lobortis',21,'node',2),('lobortis',25,'node',1),('lobortis',33,'node',1),('lobortis',35,'node',2),('lobortis',36,'node',2),('lobortis',37,'node',2),('lobortis',38,'node',2),('lobortis',39,'node',2),('lobortis',40,'node',1),('lobortis',42,'node',1),('lobortis',45,'node',2),('lobortis',46,'node',2),('lobortis',47,'node',1),('lobortis',49,'node',2),('lobortis',52,'node',1),('lobortis',53,'node',1),('lobortis',54,'node',1),('lobortis',55,'node',2),('lobortis',56,'node',1.93105),('lobortis',57,'node',1),('lobortis',58,'node',0.942091),('lobortis',61,'node',1.97286),('log',33,'node',8.01425),('looking',44,'node',2),('lorem',1,'node',1),('lorem',3,'node',3),('lorem',5,'node',1),('lorem',6,'node',5),('lorem',7,'node',2),('lorem',8,'node',1),('lorem',9,'node',1),('lorem',11,'node',1.73529),('lorem',12,'node',1.6535),('lorem',13,'node',0.931053),('lorem',20,'node',2),('lorem',21,'node',2),('lorem',25,'node',4),('lorem',26,'node',2),('lorem',31,'node',2),('lorem',32,'node',1),('lorem',33,'node',0.776703),('lorem',34,'node',1),('lorem',35,'node',2),('lorem',36,'node',2),('lorem',37,'node',2),('lorem',38,'node',2),('lorem',39,'node',2),('lorem',42,'node',3),('lorem',43,'node',1),('lorem',45,'node',2),('lorem',46,'node',2),('lorem',47,'node',1),('lorem',48,'node',1),('lorem',49,'node',1),('lorem',52,'node',2),('lorem',54,'node',1),('lorem',55,'node',2),('lorem',56,'node',2),('lorem',57,'node',4),('lorem',58,'node',1),('lorem',59,'node',1),('lorem',60,'node',3),('lorem',61,'node',0.957226),('luctus',1,'node',2),('luctus',3,'node',1),('luctus',4,'node',1),('luctus',7,'node',1),('luctus',8,'node',1),('luctus',10,'node',4),('luctus',21,'node',1),('luctus',27,'node',1),('luctus',28,'node',2),('luctus',33,'node',1.63027),('luctus',34,'node',2),('luctus',42,'node',1),('luctus',43,'node',2),('luctus',48,'node',1),('luctus',49,'node',4),('luctus',50,'node',3.95037),('luctus',51,'node',1),('luctus',52,'node',1),('luctus',53,'node',1),('luctus',54,'node',2),('luctus',55,'node',2.98087),('luctus',57,'node',2),('luctus',58,'node',3.9496),('luctus',59,'node',2.84779),('luctus',60,'node',3),('luctus',61,'node',1),('maecenas',1,'node',2),('maecenas',3,'node',2),('maecenas',5,'node',1),('maecenas',6,'node',1),('maecenas',11,'node',1.81925),('maecenas',12,'node',2.75206),('maecenas',13,'node',1.91323),('maecenas',20,'node',2),('maecenas',21,'node',1),('maecenas',24,'node',26),('maecenas',26,'node',1),('maecenas',31,'node',1),('maecenas',33,'node',1),('maecenas',34,'node',2),('maecenas',35,'node',2),('maecenas',36,'node',2),('maecenas',37,'node',2),('maecenas',38,'node',2),('maecenas',39,'node',2),('maecenas',40,'node',1),('maecenas',41,'node',3),('maecenas',42,'node',1),('maecenas',45,'node',2),('maecenas',46,'node',2),('maecenas',47,'node',1),('maecenas',50,'node',1),('maecenas',51,'node',60.0773),('maecenas',52,'node',1),('maecenas',54,'node',2),('maecenas',55,'node',1.96109),('maecenas',56,'node',1),('maecenas',57,'node',2),('maecenas',58,'node',1),('maecenas',59,'node',1),('maecenas',60,'node',3),('maecenas',61,'node',1),('maecenas',62,'node',4.02739),('maecenas',63,'node',4.16399),('magna',1,'node',2),('magna',5,'node',27),('magna',8,'node',1),('magna',9,'node',3),('magna',10,'node',1),('magna',11,'node',1),('magna',12,'node',1.92027),('magna',13,'node',1),('magna',14,'node',2),('magna',20,'node',1),('magna',25,'node',1),('magna',26,'node',2),('magna',29,'node',2),('magna',30,'node',1),('magna',31,'node',2),('magna',33,'node',2.47685),('magna',34,'node',2),('magna',35,'node',1),('magna',36,'node',1),('magna',37,'node',1),('magna',38,'node',1),('magna',39,'node',1),('magna',40,'node',1),('magna',41,'node',3),('magna',42,'node',2),('magna',43,'node',1),('magna',45,'node',1),('magna',46,'node',1),('magna',49,'node',32.9863),('magna',50,'node',1),('magna',53,'node',2),('magna',55,'node',1),('magna',57,'node',2),('magna',58,'node',1),('magna',60,'node',1),('magna',61,'node',0.993146),('magna',62,'node',4.24035),('magna',63,'node',4.37585),('magnis',14,'node',1),('magnis',26,'node',1),('magnis',31,'node',1),('mail',32,'node',11),('make',44,'node',1),('malesuada',1,'node',2),('malesuada',3,'node',1),('malesuada',4,'node',2),('malesuada',5,'node',1),('malesuada',6,'node',2),('malesuada',7,'node',3),('malesuada',8,'node',3),('malesuada',9,'node',1),('malesuada',10,'node',3),('malesuada',11,'node',1.73181),('malesuada',12,'node',0.913226),('malesuada',13,'node',9.82036),('malesuada',14,'node',1),('malesuada',20,'node',1),('malesuada',21,'node',1),('malesuada',25,'node',1),('malesuada',26,'node',1),('malesuada',28,'node',1),('malesuada',29,'node',2),('malesuada',30,'node',1),('malesuada',31,'node',1),('malesuada',33,'node',2.37373),('malesuada',34,'node',2),('malesuada',35,'node',1),('malesuada',36,'node',1),('malesuada',37,'node',1),('malesuada',38,'node',1),('malesuada',39,'node',1),('malesuada',40,'node',2.72634),('malesuada',43,'node',1),('malesuada',45,'node',1),('malesuada',46,'node',1),('malesuada',48,'node',1),('malesuada',50,'node',1),('malesuada',51,'node',1),('malesuada',52,'node',1),('malesuada',54,'node',5),('malesuada',57,'node',0.927431),('malesuada',58,'node',1),('malesuada',59,'node',4),('malesuada',60,'node',1),('malesuada',61,'node',0.968904),('management',42,'node',26),('maria',12,'node',11),('maria',33,'node',11),('mark',13,'node',11),('market',59,'node',26),('marmon',45,'node',27),('massa',1,'node',1),('massa',3,'node',1),('massa',4,'node',1),('massa',5,'node',4),('massa',6,'node',2),('massa',7,'node',3),('massa',8,'node',1),('massa',12,'node',0.873132),('massa',13,'node',10.62),('massa',21,'node',1),('massa',22,'node',1),('massa',24,'node',1),('massa',26,'node',1),('massa',28,'node',1),('massa',29,'node',2),('massa',30,'node',1),('massa',31,'node',1),('massa',33,'node',0.876337),('massa',34,'node',1),('massa',43,'node',2),('massa',49,'node',4),('massa',50,'node',1),('massa',51,'node',2),('massa',53,'node',4),('massa',55,'node',3),('massa',56,'node',1.94209),('massa',58,'node',1.86256),('massa',59,'node',2.84428),('massa',61,'node',1.99315),('mattis',3,'node',1),('mattis',7,'node',1),('mattis',9,'node',1),('mattis',11,'node',0.819249),('mattis',12,'node',0.813674),('mattis',13,'node',0.863659),('mattis',20,'node',2),('mattis',21,'node',1),('mattis',26,'node',1),('mattis',29,'node',1),('mattis',30,'node',1),('mattis',31,'node',1),('mattis',32,'node',1),('mattis',33,'node',2.37161),('mattis',35,'node',2),('mattis',36,'node',2),('mattis',37,'node',2),('mattis',38,'node',2),('mattis',39,'node',2),('mattis',40,'node',2.71213),('mattis',42,'node',1),('mattis',43,'node',2),('mattis',45,'node',2),('mattis',46,'node',2),('mattis',50,'node',3),('mattis',54,'node',1),('mattis',55,'node',1),('mattis',56,'node',0.916736),('mattis',57,'node',1.97685),('mattis',58,'node',1),('mattis',59,'node',2),('mattis',60,'node',2),('mattis',61,'node',2.98902),('mauris',3,'node',1),('mauris',4,'node',1),('mauris',5,'node',3),('mauris',6,'node',3),('mauris',7,'node',4),('mauris',8,'node',28),('mauris',9,'node',1),('mauris',10,'node',2),('mauris',12,'node',1.60552),('mauris',13,'node',0.839384),('mauris',14,'node',1),('mauris',20,'node',3),('mauris',25,'node',2),('mauris',26,'node',1),('mauris',27,'node',3),('mauris',28,'node',2),('mauris',29,'node',1),('mauris',31,'node',1),('mauris',33,'node',20.6243),('mauris',35,'node',3),('mauris',36,'node',3),('mauris',37,'node',3),('mauris',38,'node',3),('mauris',39,'node',3),('mauris',42,'node',2),('mauris',43,'node',1),('mauris',45,'node',3),('mauris',46,'node',3),('mauris',50,'node',2),('mauris',51,'node',2),('mauris',53,'node',2),('mauris',54,'node',3),('mauris',56,'node',3),('mauris',58,'node',3.91869),('mauris',59,'node',3.97402),('mauris',60,'node',2),('mauris',61,'node',4.96109),('maximus',48,'node',1),('maximus',54,'node',1.99731),('maximus',55,'node',2),('maximus',56,'node',1.98087),('maximus',57,'node',0.949597),('maximus',58,'node',1.93838),('maximus',59,'node',3),('maximus',60,'node',2),('may',44,'node',1),('mclean',21,'node',10.7896),('mclean',62,'node',1.84018),('message',32,'node',1),('metus',4,'node',0.989021),('metus',6,'node',2),('metus',8,'node',2),('metus',10,'node',1),('metus',11,'node',1.84832),('metus',12,'node',1.87313),('metus',13,'node',2.84057),('metus',20,'node',1),('metus',21,'node',2),('metus',25,'node',4),('metus',26,'node',1),('metus',28,'node',1),('metus',31,'node',1),('metus',33,'node',3.29372),('metus',35,'node',1),('metus',36,'node',1),('metus',37,'node',1),('metus',38,'node',1),('metus',39,'node',1),('metus',40,'node',1),('metus',41,'node',1),('metus',42,'node',2),('metus',43,'node',2),('metus',45,'node',1),('metus',46,'node',1),('metus',47,'node',1),('metus',48,'node',2),('metus',49,'node',2),('metus',50,'node',1.97402),('metus',53,'node',1),('metus',56,'node',3.84057),('metus',57,'node',1.95723),('metus',58,'node',2.9347),('metus',59,'node',2.83701),('metus',60,'node',2),('metus',61,'node',5.94216),('molestie',3,'node',1),('molestie',5,'node',1),('molestie',6,'node',2),('molestie',10,'node',2),('molestie',12,'node',0.854391),('molestie',13,'node',1.6791),('molestie',14,'node',1),('molestie',20,'node',2),('molestie',24,'node',1),('molestie',25,'node',2),('molestie',26,'node',2),('molestie',28,'node',1),('molestie',29,'node',3),('molestie',30,'node',1),('molestie',31,'node',2),('molestie',35,'node',2),('molestie',36,'node',2),('molestie',37,'node',2),('molestie',38,'node',2),('molestie',39,'node',2),('molestie',41,'node',2),('molestie',42,'node',1),('molestie',45,'node',2),('molestie',46,'node',2),('molestie',49,'node',3),('molestie',50,'node',0.98493),('molestie',51,'node',1),('molestie',53,'node',1.99731),('molestie',54,'node',2),('molestie',55,'node',1),('molestie',57,'node',2),('molestie',59,'node',1.92027),('molestie',61,'node',3),('mollis',3,'node',1),('mollis',4,'node',1),('mollis',6,'node',1),('mollis',8,'node',2),('mollis',9,'node',27),('mollis',10,'node',1),('mollis',11,'node',1.72961),('mollis',20,'node',3),('mollis',21,'node',1),('mollis',25,'node',2),('mollis',26,'node',1),('mollis',27,'node',1),('mollis',29,'node',2),('mollis',31,'node',1),('mollis',33,'node',1.39932),('mollis',35,'node',3),('mollis',36,'node',3),('mollis',37,'node',3),('mollis',38,'node',3),('mollis',39,'node',3),('mollis',41,'node',1),('mollis',42,'node',2),('mollis',45,'node',3),('mollis',46,'node',3),('mollis',48,'node',1),('mollis',50,'node',1),('mollis',51,'node',1),('mollis',52,'node',25),('mollis',55,'node',2),('mollis',56,'node',4),('mollis',58,'node',1),('mollis',59,'node',1.98493),('mollis',60,'node',2.98493),('mollis',61,'node',1.97286),('mollis',62,'node',4.02739),('mollis',63,'node',4.16399),('mollit',11,'node',3.91831),('mollit',12,'node',3.88047),('mollit',13,'node',3.90299),('mollit',32,'node',1),('mollit',33,'node',3.90299),('mollit',40,'node',3.92607),('montes',14,'node',1),('montes',26,'node',1),('montes',31,'node',1),('morbi',1,'node',3),('morbi',3,'node',2),('morbi',4,'node',1),('morbi',6,'node',1),('morbi',8,'node',2),('morbi',9,'node',3),('morbi',10,'node',3),('morbi',11,'node',1.84234),('morbi',12,'node',1.82206),('morbi',13,'node',1),('morbi',14,'node',2),('morbi',20,'node',1),('morbi',26,'node',2),('morbi',29,'node',1),('morbi',30,'node',1),('morbi',31,'node',2),('morbi',33,'node',4.36275),('morbi',34,'node',3),('morbi',35,'node',1),('morbi',36,'node',1),('morbi',37,'node',1),('morbi',38,'node',1),('morbi',39,'node',1),('morbi',40,'node',1),('morbi',41,'node',1),('morbi',42,'node',1),('morbi',43,'node',2),('morbi',45,'node',1),('morbi',46,'node',1),('morbi',47,'node',1),('morbi',48,'node',1),('morbi',51,'node',3),('morbi',53,'node',2),('morbi',54,'node',2),('morbi',55,'node',2),('morbi',56,'node',3),('morbi',57,'node',1.9347),('morbi',58,'node',1.93838),('morbi',59,'node',3.78979),('morbi',61,'node',1),('multi',11,'node',8.95041),('multi',12,'node',8.71335),('multi',33,'node',8.95041),('multi',40,'node',9.85684),('mus',26,'node',1),('mus',31,'node',1),('nam',1,'node',3),('nam',5,'node',1),('nam',6,'node',1),('nam',8,'node',1),('nam',9,'node',1),('nam',10,'node',1),('nam',12,'node',0.836446),('nam',13,'node',9.81721),('nam',14,'node',1),('nam',20,'node',1),('nam',21,'node',1),('nam',25,'node',1),('nam',26,'node',1),('nam',27,'node',1),('nam',29,'node',3),('nam',30,'node',1),('nam',31,'node',1),('nam',33,'node',0.733888),('nam',34,'node',3),('nam',35,'node',1),('nam',36,'node',1),('nam',37,'node',1),('nam',38,'node',1),('nam',39,'node',1),('nam',40,'node',2.72275),('nam',42,'node',1),('nam',45,'node',1),('nam',46,'node',1),('nam',49,'node',2),('nam',54,'node',1),('nam',56,'node',1.91645),('nam',57,'node',0.945829),('nam',58,'node',2.91674),('nam',60,'node',2),('name',32,'node',1),('nascetur',26,'node',1),('nascetur',31,'node',1),('natoque',14,'node',1),('natoque',26,'node',1),('natoque',31,'node',1),('natoque',47,'node',33),('natoque',62,'node',4.24035),('natoque',63,'node',2.14907),('natus',11,'node',5.89516),('natus',12,'node',5.84545),('natus',13,'node',5.87984),('natus',15,'node',1),('natus',16,'node',1),('natus',17,'node',1),('natus',18,'node',1),('natus',19,'node',1),('natus',32,'node',1),('natus',33,'node',5.87984),('natus',40,'node',5.91509),('nec',1,'node',1),('nec',3,'node',3),('nec',4,'node',1),('nec',5,'node',2),('nec',6,'node',27),('nec',7,'node',4),('nec',8,'node',3),('nec',9,'node',27),('nec',10,'node',4),('nec',11,'node',1.93838),('nec',12,'node',1),('nec',13,'node',4.63255),('nec',21,'node',4),('nec',22,'node',1),('nec',25,'node',2),('nec',26,'node',1),('nec',27,'node',2),('nec',29,'node',2),('nec',31,'node',1),('nec',33,'node',23.4969),('nec',34,'node',1),('nec',40,'node',3.71213),('nec',41,'node',3),('nec',42,'node',2),('nec',43,'node',2),('nec',47,'node',1),('nec',49,'node',4),('nec',50,'node',4),('nec',51,'node',4),('nec',52,'node',2),('nec',53,'node',1),('nec',54,'node',2),('nec',55,'node',5.96109),('nec',56,'node',2),('nec',57,'node',2.92999),('nec',58,'node',3),('nec',59,'node',2.9347),('nec',60,'node',4),('nec',61,'node',3),('nelson',35,'node',47.1439),('nelson',62,'node',1.78401),('nelson',63,'node',1.92089),('nemo',11,'node',1),('nemo',12,'node',1),('nemo',13,'node',1),('nemo',33,'node',1),('nemo',40,'node',1),('neque',1,'node',3),('neque',3,'node',1),('neque',4,'node',1),('neque',6,'node',1),('neque',9,'node',3),('neque',10,'node',1),('neque',11,'node',2.59807),('neque',14,'node',1),('neque',20,'node',6),('neque',21,'node',1),('neque',22,'node',1),('neque',23,'node',1),('neque',25,'node',1),('neque',26,'node',3.98087),('neque',27,'node',3),('neque',28,'node',1),('neque',29,'node',3),('neque',30,'node',3),('neque',31,'node',3.99315),('neque',32,'node',1),('neque',33,'node',4.63782),('neque',34,'node',3),('neque',35,'node',6),('neque',36,'node',6),('neque',37,'node',6),('neque',38,'node',6),('neque',39,'node',6),('neque',41,'node',1),('neque',42,'node',2),('neque',43,'node',1),('neque',45,'node',6),('neque',46,'node',6),('neque',49,'node',3),('neque',50,'node',1),('neque',51,'node',1),('neque',52,'node',1),('neque',53,'node',1),('neque',54,'node',1),('neque',55,'node',1.96109),('neque',56,'node',1.90729),('neque',57,'node',0.961087),('neque',59,'node',0.953396),('neque',60,'node',2.97685),('neque',61,'node',2.95723),('netus',1,'node',2),('netus',6,'node',1),('netus',8,'node',2),('netus',34,'node',2),('netus',43,'node',1),('netus',51,'node',1),('netus',57,'node',0.931053),('netus',59,'node',1),('next',14,'node',11),('nibh',3,'node',1),('nibh',4,'node',1),('nibh',6,'node',26),('nibh',10,'node',2),('nibh',11,'node',1),('nibh',12,'node',1.80545),('nibh',13,'node',1.86995),('nibh',21,'node',2),('nibh',25,'node',1),('nibh',26,'node',2),('nibh',27,'node',3),('nibh',28,'node',1),('nibh',29,'node',1),('nibh',30,'node',1),('nibh',31,'node',2),('nibh',33,'node',1),('nibh',40,'node',3.72634),('nibh',41,'node',1),('nibh',42,'node',2),('nibh',43,'node',1),('nibh',47,'node',1),('nibh',49,'node',1),('nibh',51,'node',1),('nibh',52,'node',1),('nibh',55,'node',2),('nibh',56,'node',3),('nibh',58,'node',2),('nibh',59,'node',1),('nibh',60,'node',2),('nibh',61,'node',1),('nisi',1,'node',2),('nisi',6,'node',1),('nisi',7,'node',2),('nisi',8,'node',3),('nisi',9,'node',2),('nisi',10,'node',27),('nisi',11,'node',0.863659),('nisi',13,'node',1.81522),('nisi',14,'node',2),('nisi',20,'node',3),('nisi',21,'node',2),('nisi',23,'node',1),('nisi',25,'node',2),('nisi',26,'node',1),('nisi',27,'node',1),('nisi',29,'node',1),('nisi',30,'node',1),('nisi',31,'node',1),('nisi',33,'node',3.94591),('nisi',34,'node',2),('nisi',35,'node',3),('nisi',36,'node',3),('nisi',37,'node',3),('nisi',38,'node',3),('nisi',39,'node',24.5792),('nisi',40,'node',2.73729),('nisi',45,'node',3),('nisi',46,'node',3),('nisi',49,'node',1),('nisi',51,'node',2),('nisi',53,'node',35.1582),('nisi',54,'node',2),('nisi',55,'node',1),('nisi',56,'node',1),('nisi',57,'node',1),('nisi',58,'node',1),('nisi',59,'node',0.938382),('nisi',60,'node',3),('nisi',62,'node',6.00619),('nisi',63,'node',6.22843),('nisl',3,'node',1),('nisl',4,'node',2),('nisl',5,'node',2),('nisl',7,'node',1),('nisl',9,'node',2),('nisl',10,'node',2),('nisl',11,'node',0.822065),('nisl',13,'node',0.860547),('nisl',14,'node',1),('nisl',20,'node',1),('nisl',21,'node',1),('nisl',23,'node',1),('nisl',25,'node',2),('nisl',26,'node',1),('nisl',29,'node',2),('nisl',30,'node',1),('nisl',31,'node',1),('nisl',33,'node',1.43058),('nisl',35,'node',1),('nisl',36,'node',1),('nisl',37,'node',1),('nisl',38,'node',1),('nisl',39,'node',1),('nisl',40,'node',2.70865),('nisl',41,'node',1),('nisl',42,'node',5),('nisl',45,'node',1),('nisl',46,'node',1),('nisl',49,'node',3),('nisl',50,'node',2),('nisl',51,'node',2),('nisl',53,'node',2),('nisl',54,'node',1),('nisl',55,'node',0.98493),('nisl',56,'node',0.96498),('nisl',57,'node',2.98087),('nisl',58,'node',1),('nisl',59,'node',1),('nisl',60,'node',3),('nisl',61,'node',2),('non',1,'node',1),('non',3,'node',4),('non',4,'node',29),('non',5,'node',5.99731),('non',6,'node',2),('non',7,'node',3),('non',8,'node',1),('non',9,'node',28),('non',10,'node',28),('non',11,'node',5.76664),('non',12,'node',6.53035),('non',13,'node',4.90299),('non',20,'node',5),('non',21,'node',3),('non',23,'node',2),('non',24,'node',26),('non',25,'node',2),('non',26,'node',2),('non',27,'node',5),('non',28,'node',52),('non',29,'node',2),('non',30,'node',1),('non',31,'node',2),('non',32,'node',1),('non',33,'node',32.3922),('non',34,'node',1),('non',35,'node',5),('non',36,'node',5),('non',37,'node',5),('non',38,'node',5),('non',39,'node',5),('non',40,'node',4.92607),('non',41,'node',3),('non',43,'node',4),('non',45,'node',5),('non',46,'node',5),('non',47,'node',1),('non',48,'node',52),('non',49,'node',5),('non',50,'node',1.99315),('non',51,'node',2),('non',52,'node',1),('non',53,'node',3),('non',54,'node',63.0497),('non',55,'node',0.989021),('non',56,'node',4.94978),('non',57,'node',2),('non',58,'node',5.94274),('non',59,'node',1.98087),('non',60,'node',2),('non',61,'node',2),('non',62,'node',10.4346),('non',63,'node',10.7398),('nostra',3,'node',1),('nostra',4,'node',1),('nostra',7,'node',1),('nostra',14,'node',1),('nostra',27,'node',1),('nostra',43,'node',1),('nostra',50,'node',1),('nostra',56,'node',1),('nulla',1,'node',2),('nulla',3,'node',2),('nulla',4,'node',2),('nulla',5,'node',3),('nulla',6,'node',1),('nulla',7,'node',3),('nulla',8,'node',2),('nulla',10,'node',4),('nulla',11,'node',3.80833),('nulla',12,'node',29.7523),('nulla',13,'node',13.4823),('nulla',14,'node',1),('nulla',20,'node',2),('nulla',21,'node',3),('nulla',23,'node',27),('nulla',25,'node',1),('nulla',26,'node',1),('nulla',27,'node',6),('nulla',29,'node',3),('nulla',30,'node',1),('nulla',31,'node',1),('nulla',32,'node',1),('nulla',33,'node',5.21311),('nulla',34,'node',2),('nulla',35,'node',2),('nulla',36,'node',2),('nulla',37,'node',2),('nulla',38,'node',2),('nulla',39,'node',2),('nulla',40,'node',28),('nulla',41,'node',3),('nulla',42,'node',4),('nulla',43,'node',1),('nulla',45,'node',2),('nulla',46,'node',2),('nulla',49,'node',2),('nulla',50,'node',2),('nulla',52,'node',1),('nulla',53,'node',2),('nulla',54,'node',3.99731),('nulla',55,'node',7.95373),('nulla',56,'node',5.94583),('nulla',57,'node',1.99315),('nulla',58,'node',2.93105),('nulla',59,'node',3),('nulla',60,'node',3.98493),('nulla',61,'node',2),('nullam',4,'node',1),('nullam',6,'node',2),('nullam',9,'node',28),('nullam',10,'node',28),('nullam',11,'node',3.60883),('nullam',12,'node',2.63881),('nullam',13,'node',1),('nullam',14,'node',1),('nullam',20,'node',1),('nullam',21,'node',1),('nullam',26,'node',2),('nullam',27,'node',5),('nullam',28,'node',1),('nullam',31,'node',2),('nullam',32,'node',1),('nullam',33,'node',4.08153),('nullam',35,'node',1),('nullam',36,'node',1),('nullam',37,'node',1),('nullam',38,'node',1),('nullam',39,'node',1),('nullam',40,'node',1),('nullam',42,'node',1),('nullam',43,'node',4),('nullam',45,'node',1),('nullam',46,'node',1),('nullam',49,'node',2),('nullam',51,'node',1),('nullam',52,'node',62),('nullam',53,'node',1),('nullam',55,'node',1.97685),('nullam',56,'node',0.938382),('nullam',57,'node',1),('nullam',58,'node',1.95723),('nullam',59,'node',1),('nullam',60,'node',3),('nullam',61,'node',0.980874),('nullam',62,'node',4.02739),('nullam',63,'node',4.16399),('nunc',1,'node',3),('nunc',3,'node',1),('nunc',5,'node',5),('nunc',6,'node',2),('nunc',7,'node',27),('nunc',8,'node',3),('nunc',9,'node',6),('nunc',10,'node',1),('nunc',11,'node',3.66477),('nunc',12,'node',2.80007),('nunc',13,'node',2),('nunc',20,'node',4),('nunc',21,'node',4),('nunc',23,'node',1),('nunc',25,'node',3),('nunc',26,'node',3),('nunc',28,'node',52),('nunc',29,'node',6),('nunc',30,'node',3),('nunc',31,'node',3),('nunc',33,'node',24.8397),('nunc',34,'node',3),('nunc',35,'node',4),('nunc',36,'node',4),('nunc',37,'node',4),('nunc',38,'node',4),('nunc',39,'node',4),('nunc',40,'node',2),('nunc',41,'node',1),('nunc',42,'node',3),('nunc',43,'node',4),('nunc',45,'node',4),('nunc',46,'node',4),('nunc',49,'node',1),('nunc',50,'node',2.98902),('nunc',51,'node',1),('nunc',53,'node',2),('nunc',54,'node',3.99731),('nunc',55,'node',2),('nunc',56,'node',2.8011),('nunc',57,'node',3.9689),('nunc',58,'node',2.96498),('nunc',59,'node',2),('nunc',60,'node',2),('nunc',61,'node',4.99315),('nunc',62,'node',2.17585),('nunc',63,'node',2.2),('oakmont',20,'node',36.572),('oakmont',62,'node',1.74846),('occaecat',11,'node',3.91831),('occaecat',12,'node',3.88047),('occaecat',13,'node',3.90299),('occaecat',32,'node',1),('occaecat',33,'node',3.90299),('occaecat',40,'node',3.92607),('odio',1,'node',1),('odio',3,'node',2),('odio',4,'node',2),('odio',5,'node',1),('odio',9,'node',3),('odio',10,'node',28),('odio',12,'node',0.889397),('odio',13,'node',1.67885),('odio',14,'node',1),('odio',20,'node',1),('odio',21,'node',2),('odio',22,'node',2),('odio',26,'node',1),('odio',27,'node',9),('odio',28,'node',1),('odio',29,'node',1),('odio',30,'node',1),('odio',31,'node',1),('odio',33,'node',0.714225),('odio',34,'node',1),('odio',35,'node',1),('odio',36,'node',1),('odio',37,'node',1),('odio',38,'node',1),('odio',39,'node',1),('odio',42,'node',1),('odio',45,'node',1),('odio',46,'node',1),('odio',48,'node',1),('odio',49,'node',1),('odio',54,'node',1),('odio',56,'node',1.87915),('odio',57,'node',0.920273),('odio',58,'node',1),('odio',59,'node',4),('odio',60,'node',1),('odio',61,'node',1),('odit',11,'node',0.98493),('odit',12,'node',0.972861),('odit',13,'node',0.98493),('odit',33,'node',0.98493),('odit',40,'node',0.997306),('officia',11,'node',3.91831),('officia',12,'node',3.88047),('officia',13,'node',3.90299),('officia',32,'node',1),('officia',33,'node',3.90299),('officia',40,'node',3.92607),('omnis',11,'node',5.89516),('omnis',12,'node',5.84545),('omnis',13,'node',5.87984),('omnis',32,'node',1),('omnis',33,'node',5.87984),('omnis',40,'node',5.91509),('omnisiste',15,'node',1),('omnisiste',16,'node',1),('omnisiste',17,'node',1),('omnisiste',18,'node',1),('omnisiste',19,'node',1),('orange',1,'node',27),('orange',20,'node',0.997306),('orange',21,'node',1),('orange',25,'node',0.989021),('orange',26,'node',0.968904),('orange',27,'node',1),('orange',28,'node',1),('orange',29,'node',1),('orange',30,'node',1),('orange',34,'node',1),('orange',36,'node',1),('orange',39,'node',1),('orange',45,'node',1),('orange',46,'node',27),('orange',47,'node',27),('orange',49,'node',27),('orange',50,'node',26.9347),('orange',51,'node',1),('orange',52,'node',1),('orci',1,'node',1),('orci',4,'node',1),('orci',5,'node',2),('orci',6,'node',2),('orci',8,'node',1),('orci',9,'node',1),('orci',10,'node',2),('orci',12,'node',0.934703),('orci',26,'node',2),('orci',28,'node',1),('orci',29,'node',1),('orci',31,'node',2),('orci',33,'node',2.9544),('orci',34,'node',1),('orci',41,'node',1),('orci',42,'node',2),('orci',47,'node',1),('orci',48,'node',61),('orci',50,'node',1.95723),('orci',51,'node',1),('orci',52,'node',1),('orci',53,'node',3),('orci',55,'node',4),('orci',56,'node',1.92743),('orci',57,'node',1),('orci',58,'node',4),('orci',61,'node',1),('orci',62,'node',4.24035),('orci',63,'node',4.37585),('ornare',4,'node',1),('ornare',6,'node',1),('ornare',7,'node',1),('ornare',9,'node',1),('ornare',11,'node',1.7783),('ornare',13,'node',0.896076),('ornare',20,'node',1),('ornare',21,'node',2),('ornare',22,'node',1),('ornare',23,'node',1),('ornare',25,'node',1),('ornare',27,'node',1),('ornare',28,'node',48),('ornare',33,'node',0.749958),('ornare',35,'node',1),('ornare',36,'node',1),('ornare',37,'node',1),('ornare',38,'node',1),('ornare',39,'node',1),('ornare',42,'node',4),('ornare',43,'node',1),('ornare',45,'node',1),('ornare',46,'node',1),('ornare',48,'node',1),('ornare',49,'node',2),('ornare',53,'node',1),('ornare',55,'node',0.96498),('ornare',56,'node',0.906287),('ornare',58,'node',2),('ornare',59,'node',1),('ornare',60,'node',1),('ornare',62,'node',2.16685),('ornare',63,'node',2.2),('others',11,'node',8.88993),('others',13,'node',9.04272),('others',33,'node',8.88993),('others',40,'node',9.78337),('oxford',30,'node',27),('page',44,'node',1),('page',62,'node',26),('page',63,'node',26),('panorama',31,'node',0.972861),('panorama',53,'node',26.9809),('pariatur',32,'node',1),('parturient',14,'node',1),('parturient',26,'node',1),('parturient',31,'node',1),('pellentesque',1,'node',3),('pellentesque',3,'node',1),('pellentesque',4,'node',2),('pellentesque',5,'node',3),('pellentesque',6,'node',4),('pellentesque',7,'node',2),('pellentesque',8,'node',4),('pellentesque',9,'node',2),('pellentesque',10,'node',2),('pellentesque',11,'node',2),('pellentesque',12,'node',2.80545),('pellentesque',13,'node',29.7281),('pellentesque',20,'node',4),('pellentesque',23,'node',1),('pellentesque',25,'node',2),('pellentesque',28,'node',2),('pellentesque',29,'node',1),('pellentesque',33,'node',6.06082),('pellentesque',34,'node',3),('pellentesque',35,'node',4),('pellentesque',36,'node',4),('pellentesque',37,'node',4),('pellentesque',38,'node',51.3159),('pellentesque',39,'node',4),('pellentesque',40,'node',4.7485),('pellentesque',41,'node',4),('pellentesque',42,'node',1),('pellentesque',43,'node',1),('pellentesque',45,'node',4),('pellentesque',46,'node',4),('pellentesque',49,'node',2),('pellentesque',50,'node',3.94971),('pellentesque',51,'node',2),('pellentesque',52,'node',1),('pellentesque',54,'node',58.0497),('pellentesque',55,'node',1),('pellentesque',56,'node',1),('pellentesque',57,'node',2.89178),('pellentesque',58,'node',3),('pellentesque',59,'node',3.96498),('pellentesque',60,'node',3),('pellentesque',61,'node',5),('pellentesque',62,'node',6.22739),('pellentesque',63,'node',6.36399),('penatibus',14,'node',1),('penatibus',26,'node',1),('penatibus',31,'node',1),('penatibus',47,'node',23),('penatibus',62,'node',4.24035),('penatibus',63,'node',2.14029),('pending',28,'node',1),('pending',39,'node',1),('pending',54,'node',0.976851),('pending',62,'node',41.0307),('pending',63,'node',3.83855),('per',3,'node',2),('per',4,'node',2),('per',7,'node',2),('per',14,'node',2),('per',27,'node',2),('per',43,'node',2),('per',50,'node',2),('per',56,'node',2),('permalink',33,'node',40.9318),('perspiciatis',11,'node',5.89516),('perspiciatis',12,'node',5.84545),('perspiciatis',13,'node',5.87984),('perspiciatis',15,'node',1),('perspiciatis',16,'node',1),('perspiciatis',17,'node',1),('perspiciatis',18,'node',1),('perspiciatis',19,'node',1),('perspiciatis',32,'node',1),('perspiciatis',33,'node',5.87984),('perspiciatis',40,'node',5.91509),('pharetra',1,'node',1),('pharetra',6,'node',1),('pharetra',7,'node',2),('pharetra',8,'node',1),('pharetra',9,'node',1),('pharetra',10,'node',3),('pharetra',11,'node',0.848323),('pharetra',12,'node',26),('pharetra',21,'node',1),('pharetra',24,'node',1),('pharetra',25,'node',1),('pharetra',26,'node',2),('pharetra',27,'node',6),('pharetra',29,'node',1),('pharetra',31,'node',2),('pharetra',32,'node',1),('pharetra',33,'node',0.725015),('pharetra',34,'node',1),('pharetra',52,'node',1),('pharetra',54,'node',1),('pharetra',56,'node',2.91674),('pharetra',57,'node',3),('pharetra',58,'node',1.9242),('pharetra',59,'node',0.98493),('pharetra',61,'node',0.953396),('phasellus',3,'node',1),('phasellus',4,'node',2),('phasellus',11,'node',1.70666),('phasellus',12,'node',0.879565),('phasellus',13,'node',0.882818),('phasellus',21,'node',1),('phasellus',25,'node',1),('phasellus',26,'node',1),('phasellus',29,'node',1),('phasellus',30,'node',1),('phasellus',31,'node',1),('phasellus',33,'node',21.2759),('phasellus',40,'node',2.7485),('phasellus',41,'node',1),('phasellus',43,'node',1),('phasellus',47,'node',1),('phasellus',49,'node',3),('phasellus',50,'node',0.980874),('phasellus',53,'node',1),('phasellus',55,'node',3),('phasellus',56,'node',2),('phasellus',57,'node',2),('phasellus',58,'node',3),('phasellus',59,'node',1),('phasellus',60,'node',2),('phasellus',61,'node',2),('pine',35,'node',1),('pine',37,'node',1),('pine',38,'node',1),('pine',48,'node',1),('pine',54,'node',0.96498),('pine',55,'node',0.945829),('pine',62,'node',33.2702),('pine',63,'node',30.6563),('place',35,'node',1),('place',37,'node',1),('place',38,'node',1),('place',48,'node',1),('place',54,'node',0.957226),('place',55,'node',0.938382),('place',62,'node',33.2702),('place',63,'node',30.6563),('placerat',3,'node',1),('placerat',4,'node',1),('placerat',5,'node',1),('placerat',6,'node',3),('placerat',12,'node',1.7493),('placerat',13,'node',0.876337),('placerat',14,'node',1),('placerat',29,'node',1),('placerat',32,'node',1),('placerat',33,'node',29.1769),('placerat',40,'node',2.741),('placerat',43,'node',2),('placerat',47,'node',1),('placerat',49,'node',1),('placerat',51,'node',2),('placerat',52,'node',1),('placerat',53,'node',1),('placerat',55,'node',1),('placerat',56,'node',3.84099),('placerat',57,'node',2.89919),('placerat',58,'node',1),('placerat',61,'node',1),('platea',5,'node',1),('platea',14,'node',1),('platea',52,'node',1),('platea',58,'node',1),('platea',59,'node',0.972861),('please',44,'node',1),('policy',60,'node',26),('porta',1,'node',1),('porta',4,'node',1.98902),('porta',5,'node',3),('porta',6,'node',2),('porta',9,'node',2),('porta',11,'node',28.7035),('porta',12,'node',2.65553),('porta',13,'node',3.7355),('porta',20,'node',3),('porta',21,'node',2),('porta',25,'node',1),('porta',26,'node',0.989021),('porta',28,'node',1),('porta',29,'node',3),('porta',30,'node',1),('porta',31,'node',1),('porta',33,'node',20.1198),('porta',34,'node',1),('porta',35,'node',3),('porta',36,'node',3),('porta',37,'node',3),('porta',38,'node',3),('porta',39,'node',3),('porta',40,'node',3.73729),('porta',42,'node',1),('porta',43,'node',1),('porta',45,'node',3),('porta',46,'node',3),('porta',47,'node',1),('porta',50,'node',2),('porta',54,'node',2.99731),('porta',55,'node',2.96109),('porta',57,'node',2),('porta',58,'node',1.97286),('porta',59,'node',1),('porta',61,'node',1),('porttitor',1,'node',1),('porttitor',6,'node',1),('porttitor',9,'node',2),('porttitor',12,'node',0.842342),('porttitor',13,'node',0.886095),('porttitor',21,'node',1),('porttitor',23,'node',1),('porttitor',27,'node',1),('porttitor',29,'node',1),('porttitor',33,'node',1.48376),('porttitor',34,'node',1),('porttitor',40,'node',2.7523),('porttitor',41,'node',1),('porttitor',47,'node',1),('porttitor',50,'node',32.6971),('porttitor',51,'node',3),('porttitor',55,'node',1),('porttitor',56,'node',1),('porttitor',57,'node',3.9689),('porttitor',58,'node',1),('porttitor',59,'node',4.93105),('porttitor',60,'node',2),('porttitor',61,'node',1),('porttitor',62,'node',4.02739),('porttitor',63,'node',4.16399),('post',33,'node',3.6379),('posuere',4,'node',1),('posuere',7,'node',2),('posuere',8,'node',2),('posuere',9,'node',1),('posuere',10,'node',1),('posuere',11,'node',2.70618),('posuere',12,'node',1),('posuere',13,'node',2.65266),('posuere',21,'node',3),('posuere',25,'node',2),('posuere',27,'node',6),('posuere',28,'node',2),('posuere',33,'node',21.7112),('posuere',40,'node',1),('posuere',41,'node',2),('posuere',42,'node',1),('posuere',43,'node',4),('posuere',49,'node',1),('posuere',50,'node',1.9534),('posuere',53,'node',1),('posuere',54,'node',2),('posuere',56,'node',3),('posuere',58,'node',3.92027),('posuere',59,'node',0.934703),('posuere',60,'node',1),('posuere',61,'node',1),('potenti',11,'node',1),('potenti',12,'node',1.86366),('potenti',13,'node',1),('potenti',25,'node',1),('potenti',26,'node',1),('potenti',29,'node',1),('potenti',30,'node',1),('potenti',31,'node',47.4035),('potenti',33,'node',1),('potenti',40,'node',1),('potenti',56,'node',1),('potenti',62,'node',2.2),('potenti',63,'node',2.2),('praesent',1,'node',1),('praesent',3,'node',1),('praesent',6,'node',1),('praesent',7,'node',2),('praesent',9,'node',1),('praesent',10,'node',2),('praesent',12,'node',0.839384),('praesent',20,'node',1),('praesent',22,'node',1),('praesent',26,'node',1),('praesent',28,'node',1),('praesent',29,'node',1),('praesent',30,'node',1),('praesent',31,'node',1),('praesent',33,'node',2.86639),('praesent',34,'node',1),('praesent',35,'node',1),('praesent',36,'node',1),('praesent',37,'node',1),('praesent',38,'node',1),('praesent',39,'node',1),('praesent',41,'node',2),('praesent',43,'node',1),('praesent',45,'node',1),('praesent',46,'node',1),('praesent',47,'node',1),('praesent',48,'node',1),('praesent',49,'node',46.7192),('praesent',50,'node',1),('praesent',51,'node',1),('praesent',53,'node',2),('praesent',57,'node',1),('praesent',58,'node',1),('praesent',62,'node',4.24035),('praesent',63,'node',4.37585),('pretium',3,'node',1),('pretium',4,'node',1),('pretium',6,'node',1),('pretium',8,'node',1),('pretium',9,'node',1),('pretium',11,'node',0.833529),('pretium',21,'node',1),('pretium',25,'node',2),('pretium',26,'node',1),('pretium',29,'node',1),('pretium',30,'node',1),('pretium',31,'node',1),('pretium',32,'node',1),('pretium',33,'node',1.71257),('pretium',41,'node',2),('pretium',42,'node',3),('pretium',49,'node',1),('pretium',50,'node',1),('pretium',51,'node',1),('pretium',54,'node',2),('pretium',59,'node',1),('prev',14,'node',11),('price',58,'node',26),('primis',7,'node',1),('primis',12,'node',0.902857),('primis',25,'node',1),('primis',33,'node',0.703756),('primis',48,'node',1),('primis',50,'node',0.961087),('primis',52,'node',1),('primis',53,'node',1),('primis',54,'node',1),('privacy',60,'node',26),('proident',11,'node',3.91831),('proident',12,'node',3.88047),('proident',13,'node',3.90299),('proident',32,'node',1),('proident',33,'node',3.90299),('proident',40,'node',3.92607),('proin',4,'node',27),('proin',7,'node',1),('proin',8,'node',1),('proin',9,'node',1),('proin',10,'node',2),('proin',12,'node',0.860547),('proin',20,'node',1),('proin',21,'node',1),('proin',29,'node',1),('proin',33,'node',19.6897),('proin',35,'node',1),('proin',36,'node',1),('proin',37,'node',1),('proin',38,'node',1),('proin',39,'node',22.5792),('proin',41,'node',1),('proin',42,'node',1),('proin',45,'node',1),('proin',46,'node',1),('proin',50,'node',1),('proin',51,'node',1),('proin',52,'node',1),('proin',54,'node',1),('proin',55,'node',2),('proin',56,'node',1),('proin',57,'node',1),('proin',58,'node',2),('proin',59,'node',0.916736),('proin',61,'node',2.96498),('proin',62,'node',1.98629),('proin',63,'node',2.0726),('properties',62,'node',19),('properties',63,'node',19),('pulvinar',1,'node',2),('pulvinar',3,'node',27),('pulvinar',4,'node',3),('pulvinar',7,'node',1),('pulvinar',9,'node',1),('pulvinar',10,'node',2),('pulvinar',12,'node',0.819249),('pulvinar',14,'node',1),('pulvinar',29,'node',1),('pulvinar',33,'node',2.42676),('pulvinar',34,'node',2),('pulvinar',42,'node',1),('pulvinar',43,'node',3),('pulvinar',47,'node',1),('pulvinar',50,'node',1),('pulvinar',51,'node',1),('pulvinar',55,'node',1),('pulvinar',58,'node',2),('pulvinar',59,'node',0.942091),('pulvinar',61,'node',3.99315),('purus',1,'node',1),('purus',3,'node',3),('purus',4,'node',2),('purus',7,'node',1),('purus',9,'node',1),('purus',10,'node',3),('purus',11,'node',1),('purus',12,'node',1),('purus',13,'node',2.72466),('purus',20,'node',6),('purus',25,'node',1),('purus',33,'node',2.57165),('purus',34,'node',1),('purus',35,'node',6),('purus',36,'node',6),('purus',37,'node',6),('purus',38,'node',6),('purus',39,'node',6),('purus',40,'node',3.741),('purus',41,'node',1),('purus',42,'node',1),('purus',43,'node',1),('purus',45,'node',6),('purus',46,'node',6),('purus',47,'node',1),('purus',49,'node',2),('purus',50,'node',2),('purus',52,'node',2),('purus',53,'node',1),('purus',54,'node',2),('purus',55,'node',1),('purus',56,'node',1),('purus',57,'node',1),('purus',58,'node',1.9083),('purus',59,'node',1.93105),('purus',61,'node',0.972861),('quae',11,'node',4.91831),('quae',12,'node',4.88047),('quae',13,'node',4.90299),('quae',32,'node',1),('quae',33,'node',4.90299),('quae',40,'node',4.92607),('quail',21,'node',27),('quam',1,'node',1),('quam',5,'node',27),('quam',8,'node',1),('quam',9,'node',1),('quam',10,'node',29),('quam',11,'node',1),('quam',12,'node',1.83063),('quam',13,'node',1.92384),('quam',21,'node',1),('quam',22,'node',26),('quam',25,'node',2),('quam',26,'node',1),('quam',28,'node',2),('quam',29,'node',2),('quam',30,'node',1),('quam',31,'node',1),('quam',33,'node',22.5074),('quam',34,'node',1),('quam',40,'node',1),('quam',41,'node',2),('quam',43,'node',1),('quam',48,'node',1),('quam',50,'node',4),('quam',51,'node',2),('quam',52,'node',1),('quam',53,'node',1),('quam',54,'node',5.99315),('quam',55,'node',3),('quam',56,'node',1),('quam',57,'node',3.85435),('quam',58,'node',0.920273),('quam',59,'node',1),('quam',60,'node',1),('quam',61,'node',3),('quasi',11,'node',4.91831),('quasi',12,'node',4.88047),('quasi',13,'node',4.90299),('quasi',32,'node',1),('quasi',33,'node',4.90299),('quasi',40,'node',4.92607),('qui',11,'node',4.89516),('qui',12,'node',4.84545),('qui',13,'node',4.87984),('qui',32,'node',1),('qui',33,'node',4.87984),('qui',40,'node',4.91509),('quia',11,'node',1.97286),('quia',12,'node',1.94625),('quia',13,'node',1.9689),('quia',33,'node',1.9689),('quia',40,'node',1.98087),('quis',1,'node',1),('quis',3,'node',1),('quis',4,'node',2),('quis',5,'node',2),('quis',6,'node',1),('quis',7,'node',2),('quis',8,'node',3),('quis',9,'node',3),('quis',11,'node',2.86995),('quis',12,'node',2.85439),('quis',13,'node',3.84768),('quis',14,'node',1),('quis',20,'node',2),('quis',21,'node',3),('quis',25,'node',1),('quis',26,'node',1),('quis',28,'node',1),('quis',29,'node',4),('quis',30,'node',1),('quis',31,'node',1),('quis',33,'node',5.26587),('quis',34,'node',1),('quis',35,'node',2),('quis',36,'node',2),('quis',37,'node',2),('quis',38,'node',2),('quis',39,'node',2),('quis',40,'node',2),('quis',41,'node',3),('quis',42,'node',3),('quis',43,'node',2),('quis',45,'node',2),('quis',46,'node',2),('quis',48,'node',1),('quis',49,'node',3),('quis',50,'node',24.6686),('quis',51,'node',1),('quis',52,'node',2),('quis',53,'node',2),('quis',54,'node',3.99731),('quis',55,'node',3.98087),('quis',56,'node',0.949597),('quis',57,'node',1.97286),('quis',58,'node',3.94209),('quis',59,'node',1.92027),('quis',60,'node',3),('quis',61,'node',7.8611),('quis',62,'node',4.02739),('quis',63,'node',4.16399),('quisque',1,'node',1),('quisque',3,'node',1),('quisque',4,'node',1.99315),('quisque',5,'node',1),('quisque',10,'node',1),('quisque',13,'node',1.87344),('quisque',20,'node',1),('quisque',24,'node',1),('quisque',26,'node',1),('quisque',29,'node',1),('quisque',31,'node',1),('quisque',33,'node',0.754681),('quisque',34,'node',1),('quisque',35,'node',1),('quisque',36,'node',1),('quisque',37,'node',1),('quisque',38,'node',1),('quisque',39,'node',1),('quisque',41,'node',1),('quisque',43,'node',1),('quisque',45,'node',1),('quisque',46,'node',1),('quisque',49,'node',1),('quisque',50,'node',1.9689),('quisque',51,'node',1),('quisque',52,'node',1),('quisque',55,'node',0.997306),('quisque',57,'node',2),('quisque',58,'node',1),('quisque',59,'node',1.93105),('real',42,'node',26),('register',33,'node',8.0088),('rem',11,'node',4.91831),('rem',12,'node',4.88047),('rem',13,'node',4.90299),('rem',15,'node',1),('rem',16,'node',1),('rem',17,'node',1),('rem',18,'node',1),('rem',19,'node',1),('rem',32,'node',1),('rem',33,'node',4.90299),('rem',40,'node',4.92607),('remopa',15,'node',1),('remopa',16,'node',1),('remopa',17,'node',1),('remopa',18,'node',1),('remopa',19,'node',1),('rent',1,'node',1),('rent',20,'node',0.976851),('rent',26,'node',1.93047),('rent',27,'node',1),('rent',28,'node',1),('rent',29,'node',0.976851),('rent',34,'node',2),('rent',36,'node',1),('rent',38,'node',1.98493),('rent',45,'node',1),('rent',46,'node',2),('rent',47,'node',1),('rent',48,'node',1),('rent',49,'node',1),('rent',50,'node',0.920273),('rent',53,'node',0.993146),('rent',54,'node',0.931053),('rent',55,'node',0.909743),('rent',62,'node',299.452),('rent',63,'node',191.28),('renting',48,'node',1),('renting',49,'node',1),('renting',62,'node',42.4035),('renting',63,'node',3.97804),('report',57,'node',26),('reprehenderit',32,'node',1),('residential',21,'node',1),('residential',25,'node',1),('residential',27,'node',1),('residential',36,'node',1),('residential',39,'node',1),('residential',46,'node',1),('residential',47,'node',1),('residential',48,'node',1),('residential',49,'node',1),('residential',62,'node',11),('residential',63,'node',11),('responsive',16,'node',26),('return',44,'node',11),('rhoncus',4,'node',1),('rhoncus',5,'node',2),('rhoncus',7,'node',1),('rhoncus',9,'node',1),('rhoncus',10,'node',3),('rhoncus',11,'node',0.945829),('rhoncus',12,'node',0.886095),('rhoncus',21,'node',1),('rhoncus',24,'node',2),('rhoncus',25,'node',1),('rhoncus',26,'node',1),('rhoncus',28,'node',1),('rhoncus',29,'node',2),('rhoncus',30,'node',1),('rhoncus',31,'node',1),('rhoncus',33,'node',5.08162),('rhoncus',41,'node',1),('rhoncus',43,'node',1),('rhoncus',50,'node',3.95793),('rhoncus',51,'node',1),('rhoncus',53,'node',1),('rhoncus',54,'node',1),('rhoncus',57,'node',2.9223),('rhoncus',58,'node',2.97286),('rhoncus',59,'node',1.93105),('rhoncus',60,'node',2),('rhoncus',61,'node',2),('ridiculus',26,'node',1),('ridiculus',31,'node',1),('risus',4,'node',3),('risus',8,'node',1),('risus',11,'node',1.83938),('risus',12,'node',1.83938),('risus',13,'node',2.75881),('risus',20,'node',1),('risus',21,'node',2),('risus',26,'node',1),('risus',28,'node',1),('risus',29,'node',1),('risus',30,'node',1),('risus',31,'node',1),('risus',33,'node',2.4953),('risus',35,'node',1),('risus',36,'node',1),('risus',37,'node',1),('risus',38,'node',1),('risus',39,'node',1),('risus',40,'node',1),('risus',41,'node',2),('risus',42,'node',1),('risus',45,'node',1),('risus',46,'node',1),('risus',49,'node',2),('risus',50,'node',2),('risus',51,'node',2),('risus',52,'node',1),('risus',54,'node',3.99731),('risus',55,'node',1),('risus',56,'node',3),('risus',57,'node',2),('risus',58,'node',0.949597),('risus',59,'node',2.98902),('risus',60,'node',1),('risus',61,'node',2),('road',45,'node',21.3173),('road',62,'node',2.2),('road',63,'node',2.2),('rutrum',1,'node',1),('rutrum',3,'node',1),('rutrum',4,'node',0.993146),('rutrum',5,'node',1),('rutrum',6,'node',1),('rutrum',8,'node',52),('rutrum',9,'node',1),('rutrum',10,'node',1),('rutrum',20,'node',1),('rutrum',25,'node',2),('rutrum',28,'node',2),('rutrum',33,'node',22.283),('rutrum',34,'node',1),('rutrum',35,'node',1),('rutrum',36,'node',1),('rutrum',37,'node',1),('rutrum',38,'node',1),('rutrum',39,'node',22.5792),('rutrum',41,'node',1),('rutrum',45,'node',1),('rutrum',46,'node',1),('rutrum',48,'node',1),('rutrum',50,'node',1),('rutrum',51,'node',2),('rutrum',52,'node',51),('rutrum',53,'node',1),('rutrum',54,'node',1),('rutrum',55,'node',2),('rutrum',56,'node',2),('rutrum',57,'node',1),('rutrum',58,'node',2.97685),('rutrum',59,'node',0.949597),('rutrum',60,'node',2),('rutrum',62,'node',6.00619),('rutrum',63,'node',6.22843),('sagittis',3,'node',1),('sagittis',4,'node',1),('sagittis',9,'node',1),('sagittis',10,'node',3),('sagittis',11,'node',1.92743),('sagittis',12,'node',27),('sagittis',13,'node',1),('sagittis',20,'node',1),('sagittis',24,'node',26),('sagittis',25,'node',3),('sagittis',26,'node',1),('sagittis',29,'node',1),('sagittis',30,'node',1),('sagittis',31,'node',1),('sagittis',33,'node',1),('sagittis',35,'node',1),('sagittis',36,'node',1),('sagittis',37,'node',1),('sagittis',38,'node',1),('sagittis',39,'node',1),('sagittis',40,'node',1),('sagittis',41,'node',1),('sagittis',43,'node',1),('sagittis',45,'node',1),('sagittis',46,'node',1),('sagittis',48,'node',1),('sagittis',49,'node',1),('sagittis',50,'node',1),('sagittis',55,'node',1),('sagittis',56,'node',1.95723),('sagittis',57,'node',1),('sagittis',59,'node',0.923838),('sagittis',61,'node',1),('sales',1,'node',1),('sales',21,'node',1),('sales',25,'node',0.968904),('sales',27,'node',1),('sales',30,'node',1),('sales',31,'node',0.942091),('sales',35,'node',0.980874),('sales',36,'node',0.997306),('sales',37,'node',0.980874),('sales',39,'node',1),('sales',47,'node',1),('sales',51,'node',0.993146),('sales',52,'node',1),('sales',53,'node',0.96498),('sales',62,'node',179.189),('sales',63,'node',154.634),('salt',35,'node',1),('salt',37,'node',1),('salt',38,'node',1),('salt',48,'node',1),('salt',54,'node',0.953396),('salt',55,'node',0.934703),('salt',62,'node',33.2702),('santa',31,'node',0.968904),('santa',53,'node',26.9809),('sapien',3,'node',1),('sapien',4,'node',1),('sapien',5,'node',1),('sapien',6,'node',1),('sapien',7,'node',1),('sapien',8,'node',1),('sapien',9,'node',1),('sapien',11,'node',0.869951),('sapien',12,'node',2.48205),('sapien',13,'node',26),('sapien',20,'node',2),('sapien',21,'node',2),('sapien',28,'node',1),('sapien',33,'node',20.5529),('sapien',35,'node',2),('sapien',36,'node',2),('sapien',37,'node',2),('sapien',38,'node',2),('sapien',39,'node',2),('sapien',41,'node',4),('sapien',42,'node',2),('sapien',45,'node',2),('sapien',46,'node',2),('sapien',47,'node',1),('sapien',48,'node',1),('sapien',49,'node',2),('sapien',50,'node',1.97286),('sapien',51,'node',1),('sapien',53,'node',1),('sapien',54,'node',1),('sapien',55,'node',1),('sapien',56,'node',1),('sapien',57,'node',1),('sapien',58,'node',5),('sapien',59,'node',4.87205),('sapien',60,'node',3),('scelerisque',1,'node',1),('scelerisque',3,'node',1),('scelerisque',4,'node',1),('scelerisque',5,'node',1),('scelerisque',6,'node',1),('scelerisque',8,'node',1),('scelerisque',9,'node',1),('scelerisque',11,'node',1.86995),('scelerisque',12,'node',1),('scelerisque',13,'node',1),('scelerisque',21,'node',3),('scelerisque',22,'node',2),('scelerisque',33,'node',2.56518),('scelerisque',34,'node',1),('scelerisque',40,'node',1),('scelerisque',41,'node',1),('scelerisque',51,'node',1),('scelerisque',53,'node',2),('scelerisque',56,'node',1),('scelerisque',57,'node',0.972861),('scelerisque',58,'node',1),('scelerisque',59,'node',2),('scelerisque',60,'node',1),('scelerisque',61,'node',2),('search',44,'node',1),('sed',1,'node',5),('sed',3,'node',4),('sed',4,'node',4),('sed',5,'node',4),('sed',6,'node',32),('sed',7,'node',6),('sed',8,'node',2),('sed',9,'node',1),('sed',10,'node',6),('sed',11,'node',7.72869),('sed',12,'node',8.44831),('sed',13,'node',12.0841),('sed',14,'node',1),('sed',15,'node',1),('sed',16,'node',1),('sed',17,'node',1),('sed',18,'node',1),('sed',19,'node',1),('sed',20,'node',2),('sed',23,'node',1),('sed',25,'node',5),('sed',26,'node',4),('sed',27,'node',10),('sed',28,'node',1),('sed',29,'node',5),('sed',30,'node',4),('sed',31,'node',4),('sed',32,'node',2),('sed',33,'node',12.9502),('sed',34,'node',5),('sed',35,'node',2),('sed',36,'node',2),('sed',37,'node',2),('sed',38,'node',2),('sed',39,'node',2),('sed',40,'node',15.0718),('sed',41,'node',2),('sed',42,'node',8),('sed',43,'node',4),('sed',45,'node',2),('sed',46,'node',2),('sed',47,'node',2),('sed',48,'node',1),('sed',49,'node',2),('sed',50,'node',1.99731),('sed',51,'node',2),('sed',52,'node',4),('sed',53,'node',5),('sed',54,'node',9.99731),('sed',55,'node',10.989),('sed',56,'node',3.85127),('sed',57,'node',4.98087),('sed',58,'node',5),('sed',59,'node',4.86211),('sed',60,'node',4),('sed',61,'node',4.9353),('selling',25,'node',1),('selling',29,'node',1),('selling',30,'node',1),('selling',31,'node',0.993146),('selling',37,'node',1),('selling',50,'node',0.945829),('selling',51,'node',1),('selling',62,'node',93.4109),('selling',63,'node',8.67817),('sem',1,'node',1),('sem',4,'node',3),('sem',5,'node',1),('sem',6,'node',1),('sem',8,'node',1),('sem',9,'node',2),('sem',10,'node',2),('sem',11,'node',0.854391),('sem',13,'node',26.8861),('sem',14,'node',1),('sem',20,'node',2),('sem',21,'node',2),('sem',24,'node',1),('sem',25,'node',1),('sem',27,'node',1),('sem',28,'node',1),('sem',33,'node',3.25311),('sem',34,'node',1),('sem',35,'node',2),('sem',36,'node',2),('sem',37,'node',2),('sem',38,'node',2),('sem',39,'node',2),('sem',40,'node',2.75613),('sem',43,'node',1),('sem',45,'node',2),('sem',46,'node',2),('sem',47,'node',1),('sem',48,'node',1),('sem',49,'node',1),('sem',50,'node',5.97808),('sem',51,'node',2),('sem',52,'node',2),('sem',53,'node',3),('sem',54,'node',2),('sem',55,'node',2.9689),('sem',56,'node',0.920273),('sem',57,'node',3.91062),('sem',58,'node',1.93569),('sem',59,'node',4.91674),('sem',60,'node',2),('sem',61,'node',2.98902),('semper',5,'node',1),('semper',6,'node',1),('semper',9,'node',1),('semper',10,'node',1),('semper',11,'node',0.839384),('semper',12,'node',1.61947),('semper',13,'node',0.913226),('semper',20,'node',2),('semper',21,'node',2),('semper',24,'node',26),('semper',33,'node',0.699655),('semper',35,'node',2),('semper',36,'node',2),('semper',37,'node',2),('semper',38,'node',2),('semper',39,'node',2),('semper',41,'node',1),('semper',42,'node',2),('semper',45,'node',2),('semper',46,'node',2),('semper',49,'node',2),('semper',50,'node',2),('semper',51,'node',61.0773),('semper',53,'node',1),('semper',54,'node',1),('semper',55,'node',2.98493),('semper',56,'node',1),('semper',57,'node',1.98087),('semper',58,'node',2.81642),('semper',59,'node',1),('semper',61,'node',2),('semper',62,'node',4.02739),('semper',63,'node',4.16399),('senectus',1,'node',2),('senectus',6,'node',1),('senectus',8,'node',2),('senectus',34,'node',2),('senectus',43,'node',1),('senectus',51,'node',1),('senectus',57,'node',0.934703),('senectus',59,'node',1),('services',41,'node',26),('shade',35,'node',1),('shade',37,'node',1),('shade',38,'node',1),('shade',48,'node',1),('shade',54,'node',0.961087),('shade',55,'node',0.942091),('shade',62,'node',33.2702),('shade',63,'node',30.6563),('shore',34,'node',21.6238),('shore',62,'node',2.2),('shore',63,'node',2.2),('silverleaf',27,'node',1),('single',13,'node',9.01173),('single',33,'node',8.86),('single',40,'node',9.74705),('sint',11,'node',3.91831),('sint',12,'node',3.88047),('sint',13,'node',3.90299),('sint',32,'node',1),('sint',33,'node',3.90299),('sint',40,'node',3.92607),('sit',1,'node',2),('sit',3,'node',4),('sit',4,'node',2),('sit',5,'node',2),('sit',6,'node',3),('sit',7,'node',2),('sit',8,'node',4),('sit',9,'node',5),('sit',10,'node',1),('sit',11,'node',8.61613),('sit',12,'node',8.49753),('sit',13,'node',7.73818),('sit',20,'node',2),('sit',21,'node',2),('sit',23,'node',1),('sit',25,'node',4),('sit',26,'node',1.98493),('sit',27,'node',2),('sit',28,'node',1),('sit',29,'node',1),('sit',30,'node',1),('sit',31,'node',1.99731),('sit',32,'node',2),('sit',33,'node',29.3781),('sit',34,'node',2),('sit',35,'node',2),('sit',36,'node',2),('sit',37,'node',2),('sit',38,'node',2),('sit',39,'node',2),('sit',40,'node',9.64423),('sit',41,'node',1),('sit',42,'node',4),('sit',43,'node',1),('sit',45,'node',2),('sit',46,'node',2),('sit',48,'node',1),('sit',49,'node',2),('sit',50,'node',1),('sit',51,'node',4),('sit',52,'node',3),('sit',54,'node',3.99315),('sit',56,'node',6.77904),('sit',57,'node',3),('sit',58,'node',2.8475),('sit',59,'node',1.91323),('sit',60,'node',3.98087),('sit',61,'node',2),('sociis',14,'node',1),('sociis',26,'node',1),('sociis',31,'node',1),('sociis',47,'node',33),('sociis',62,'node',4.24035),('sociis',63,'node',2.15792),('sociosqu',3,'node',1),('sociosqu',4,'node',1),('sociosqu',7,'node',1),('sociosqu',14,'node',1),('sociosqu',27,'node',1),('sociosqu',43,'node',1),('sociosqu',50,'node',1),('sociosqu',56,'node',1),('sodales',4,'node',26),('sodales',6,'node',1),('sodales',7,'node',1),('sodales',10,'node',1),('sodales',13,'node',1.76506),('sodales',20,'node',2),('sodales',25,'node',1),('sodales',33,'node',3.34739),('sodales',35,'node',2),('sodales',36,'node',2),('sodales',37,'node',2),('sodales',38,'node',2),('sodales',39,'node',2),('sodales',41,'node',2),('sodales',42,'node',1),('sodales',45,'node',2),('sodales',46,'node',2),('sodales',49,'node',1),('sodales',50,'node',1),('sodales',52,'node',2),('sodales',53,'node',1),('sodales',55,'node',1),('sodales',56,'node',2),('sodales',57,'node',2),('sodales',58,'node',1.87396),('sodales',59,'node',1),('sodales',60,'node',2),('sodales',61,'node',2.98902),('sold',20,'node',1),('sold',21,'node',1),('sold',35,'node',1),('sold',45,'node',1),('sold',62,'node',17.7233),('sold',63,'node',0.879565),('sollicitudin',1,'node',2),('sollicitudin',4,'node',3),('sollicitudin',6,'node',2),('sollicitudin',8,'node',2),('sollicitudin',10,'node',1),('sollicitudin',11,'node',2),('sollicitudin',12,'node',2),('sollicitudin',13,'node',2.82776),('sollicitudin',20,'node',2),('sollicitudin',21,'node',1),('sollicitudin',23,'node',1),('sollicitudin',25,'node',1),('sollicitudin',28,'node',1),('sollicitudin',33,'node',4.59772),('sollicitudin',34,'node',2),('sollicitudin',35,'node',2),('sollicitudin',36,'node',2),('sollicitudin',37,'node',2),('sollicitudin',38,'node',2),('sollicitudin',39,'node',2),('sollicitudin',40,'node',2),('sollicitudin',42,'node',2),('sollicitudin',43,'node',2),('sollicitudin',45,'node',2),('sollicitudin',46,'node',2),('sollicitudin',47,'node',1),('sollicitudin',48,'node',1),('sollicitudin',50,'node',0.989021),('sollicitudin',53,'node',1),('sollicitudin',55,'node',3.95373),('sollicitudin',57,'node',1),('sollicitudin',58,'node',2.9496),('sollicitudin',59,'node',5),('sollicitudin',60,'node',2),('sollicitudin',61,'node',1.9534),('sorry',44,'node',1),('south',26,'node',20.4433),('south',62,'node',2.09747),('south',63,'node',2.18492),('spc',26,'node',26.9689),('spring',21,'node',10.9704),('spring',62,'node',1.86631),('states',1,'node',1),('states',20,'node',0.98493),('states',21,'node',1),('states',25,'node',0.976851),('states',26,'node',0.957226),('states',27,'node',1),('states',28,'node',1),('states',29,'node',0.989021),('states',30,'node',1),('states',31,'node',0.953396),('states',34,'node',1),('states',36,'node',1),('states',45,'node',1),('states',46,'node',1),('states',47,'node',1),('states',48,'node',1),('states',49,'node',1),('states',50,'node',0.931053),('states',51,'node',1),('states',52,'node',1),('states',53,'node',0.976851),('states',54,'node',0.938382),('states',55,'node',0.920273),('states',62,'node',29.7404),('stockton',25,'node',46.8911),('stockton',62,'node',1.88641),('stockton',63,'node',1.9788),('street',26,'node',20.5239),('street',32,'node',1),('street',62,'node',2.11439),('street',63,'node',2.2),('subject',32,'node',1),('submitted',33,'node',3.71844),('sunt',11,'node',8.83663),('sunt',12,'node',8.76095),('sunt',13,'node',8.80599),('sunt',32,'node',1),('sunt',33,'node',8.80599),('sunt',40,'node',8.85213),('sure',44,'node',1),('suscipit',4,'node',27),('suscipit',5,'node',1.99731),('suscipit',6,'node',2),('suscipit',7,'node',2),('suscipit',8,'node',1),('suscipit',9,'node',4),('suscipit',10,'node',2),('suscipit',11,'node',1),('suscipit',12,'node',1),('suscipit',13,'node',1),('suscipit',20,'node',1),('suscipit',25,'node',1),('suscipit',28,'node',2),('suscipit',29,'node',48.1439),('suscipit',33,'node',40.8921),('suscipit',35,'node',1),('suscipit',36,'node',1),('suscipit',37,'node',1),('suscipit',38,'node',1),('suscipit',39,'node',1),('suscipit',40,'node',1),('suscipit',41,'node',1),('suscipit',42,'node',1),('suscipit',45,'node',1),('suscipit',46,'node',1),('suscipit',47,'node',1),('suscipit',49,'node',33.0302),('suscipit',51,'node',1),('suscipit',52,'node',1),('suscipit',53,'node',1),('suscipit',54,'node',2.98493),('suscipit',56,'node',1),('suscipit',57,'node',1),('suscipit',59,'node',1),('suscipit',60,'node',1),('suscipit',61,'node',3.97685),('suscipit',62,'node',6.43442),('suscipit',63,'node',6.57585),('suspendisse',1,'node',1),('suspendisse',3,'node',1),('suspendisse',4,'node',1),('suspendisse',8,'node',1),('suspendisse',9,'node',2),('suspendisse',11,'node',2.81925),('suspendisse',12,'node',2.86366),('suspendisse',13,'node',2.85439),('suspendisse',20,'node',2),('suspendisse',25,'node',1),('suspendisse',26,'node',2),('suspendisse',28,'node',1),('suspendisse',29,'node',1),('suspendisse',30,'node',1),('suspendisse',31,'node',48.4035),('suspendisse',33,'node',2),('suspendisse',34,'node',1),('suspendisse',35,'node',2),('suspendisse',36,'node',2),('suspendisse',37,'node',2),('suspendisse',38,'node',2),('suspendisse',39,'node',2),('suspendisse',40,'node',4.70176),('suspendisse',42,'node',1),('suspendisse',43,'node',2),('suspendisse',45,'node',2),('suspendisse',46,'node',2),('suspendisse',49,'node',2),('suspendisse',53,'node',1),('suspendisse',55,'node',1),('suspendisse',56,'node',1),('suspendisse',58,'node',2.92027),('suspendisse',60,'node',1),('suspendisse',61,'node',2.98493),('suspendisse',62,'node',2.2),('suspendisse',63,'node',2.2),('sycamore',51,'node',1),('taciti',3,'node',1),('taciti',4,'node',1),('taciti',7,'node',1),('taciti',14,'node',1),('taciti',27,'node',1),('taciti',43,'node',1),('taciti',50,'node',1),('taciti',56,'node',1),('tellus',3,'node',1),('tellus',5,'node',1),('tellus',7,'node',2),('tellus',8,'node',1),('tellus',10,'node',2),('tellus',11,'node',0.866793),('tellus',13,'node',0.848323),('tellus',20,'node',1),('tellus',23,'node',1),('tellus',25,'node',2),('tellus',27,'node',1),('tellus',28,'node',1),('tellus',33,'node',0.824901),('tellus',35,'node',1),('tellus',36,'node',1),('tellus',37,'node',1),('tellus',38,'node',1),('tellus',39,'node',1),('tellus',42,'node',4),('tellus',45,'node',1),('tellus',46,'node',1),('tellus',51,'node',1),('tellus',54,'node',3),('tellus',55,'node',1),('tellus',56,'node',0.909743),('tellus',57,'node',1),('tellus',58,'node',2),('tellus',59,'node',1),('tellus',60,'node',2),('tempor',1,'node',3),('tempor',5,'node',1),('tempor',6,'node',1),('tempor',7,'node',1),('tempor',8,'node',2),('tempor',9,'node',1),('tempor',10,'node',2),('tempor',12,'node',0.833529),('tempor',20,'node',1),('tempor',21,'node',1),('tempor',25,'node',1),('tempor',26,'node',3),('tempor',29,'node',3),('tempor',30,'node',3),('tempor',31,'node',3),('tempor',33,'node',2.38568),('tempor',34,'node',3),('tempor',35,'node',1),('tempor',36,'node',1),('tempor',37,'node',1),('tempor',38,'node',1),('tempor',39,'node',1),('tempor',41,'node',1),('tempor',42,'node',1),('tempor',45,'node',1),('tempor',46,'node',1),('tempor',51,'node',1),('tempor',52,'node',1),('tempor',53,'node',2),('tempor',54,'node',3),('tempor',55,'node',1),('tempor',56,'node',1),('tempor',57,'node',1),('tempor',58,'node',1),('tempor',59,'node',1),('tempor',61,'node',1.9534),('temporibus',37,'node',47.2295),('temporibus',62,'node',1.82739),('temporibus',63,'node',1.96399),('tempus',3,'node',3),('tempus',6,'node',2),('tempus',8,'node',1),('tempus',11,'node',1.84234),('tempus',12,'node',1.84532),('tempus',13,'node',1.92743),('tempus',14,'node',1),('tempus',20,'node',2),('tempus',22,'node',26),('tempus',26,'node',2),('tempus',28,'node',1),('tempus',29,'node',1),('tempus',30,'node',1),('tempus',31,'node',2),('tempus',33,'node',21.0383),('tempus',35,'node',2),('tempus',36,'node',2),('tempus',37,'node',2),('tempus',38,'node',49.3159),('tempus',39,'node',2),('tempus',40,'node',27),('tempus',41,'node',2),('tempus',42,'node',1),('tempus',43,'node',3),('tempus',45,'node',2),('tempus',46,'node',2),('tempus',49,'node',2),('tempus',53,'node',1),('tempus',54,'node',1),('tempus',57,'node',2),('tempus',58,'node',1),('tempus',59,'node',2),('tempus',61,'node',2),('tempus',62,'node',2.2),('tempus',63,'node',2.2),('terms',61,'node',26),('thailand',37,'node',0.993146),('thailand',62,'node',0.824901),('the',12,'node',33),('the',44,'node',2),('tincidunt',1,'node',2),('tincidunt',3,'node',4),('tincidunt',4,'node',2),('tincidunt',5,'node',2),('tincidunt',6,'node',3),('tincidunt',7,'node',27),('tincidunt',8,'node',4),('tincidunt',9,'node',1),('tincidunt',10,'node',3),('tincidunt',11,'node',1.86995),('tincidunt',12,'node',2.65624),('tincidunt',13,'node',2.8661),('tincidunt',14,'node',2),('tincidunt',20,'node',2),('tincidunt',25,'node',3),('tincidunt',26,'node',1),('tincidunt',27,'node',1),('tincidunt',28,'node',2),('tincidunt',29,'node',2),('tincidunt',30,'node',1),('tincidunt',31,'node',1),('tincidunt',33,'node',3.34179),('tincidunt',34,'node',2),('tincidunt',35,'node',2),('tincidunt',36,'node',2),('tincidunt',37,'node',2),('tincidunt',38,'node',2),('tincidunt',39,'node',2),('tincidunt',40,'node',1),('tincidunt',41,'node',3),('tincidunt',42,'node',2),('tincidunt',43,'node',3),('tincidunt',45,'node',2),('tincidunt',46,'node',2),('tincidunt',47,'node',1),('tincidunt',49,'node',2),('tincidunt',50,'node',4),('tincidunt',51,'node',2),('tincidunt',52,'node',2),('tincidunt',53,'node',2),('tincidunt',54,'node',1),('tincidunt',55,'node',1.98493),('tincidunt',57,'node',1),('tincidunt',58,'node',2),('tincidunt',59,'node',1),('tincidunt',60,'node',3),('tincidunt',61,'node',3.97808),('tokelau',38,'node',1),('tokelau',62,'node',1),('torquent',3,'node',1),('torquent',4,'node',1),('torquent',7,'node',1),('torquent',14,'node',1),('torquent',27,'node',1),('torquent',43,'node',1),('torquent',50,'node',1),('torquent',56,'node',1),('tortor',1,'node',1),('tortor',3,'node',2),('tortor',4,'node',26),('tortor',5,'node',1),('tortor',7,'node',1),('tortor',9,'node',1),('tortor',10,'node',2),('tortor',11,'node',0.827757),('tortor',12,'node',2.46764),('tortor',13,'node',1.70574),('tortor',21,'node',1),('tortor',25,'node',2),('tortor',26,'node',3),('tortor',29,'node',2),('tortor',30,'node',2),('tortor',31,'node',3),('tortor',33,'node',1.42705),('tortor',34,'node',1),('tortor',40,'node',2.70176),('tortor',43,'node',2),('tortor',49,'node',3),('tortor',50,'node',32.6971),('tortor',51,'node',3),('tortor',52,'node',3),('tortor',53,'node',1),('tortor',54,'node',1.98633),('tortor',55,'node',1),('tortor',56,'node',2.90629),('tortor',57,'node',1),('tortor',58,'node',3.92743),('tortor',61,'node',1.97685),('tortor',62,'node',4.02739),('tortor',63,'node',4.16399),('totam',11,'node',4.91831),('totam',12,'node',4.88047),('totam',13,'node',4.90299),('totam',15,'node',1),('totam',16,'node',1),('totam',17,'node',1),('totam',18,'node',1),('totam',19,'node',1),('totam',32,'node',1),('totam',33,'node',4.90299),('totam',40,'node',4.92607),('touch',32,'node',39),('tristique',1,'node',2),('tristique',3,'node',28),('tristique',4,'node',1),('tristique',6,'node',2),('tristique',7,'node',1),('tristique',8,'node',3),('tristique',12,'node',0.869951),('tristique',13,'node',0.920273),('tristique',20,'node',1),('tristique',26,'node',3),('tristique',28,'node',1),('tristique',29,'node',3),('tristique',30,'node',3),('tristique',31,'node',3),('tristique',33,'node',1.66757),('tristique',34,'node',2),('tristique',35,'node',1),('tristique',36,'node',1),('tristique',37,'node',1),('tristique',38,'node',1),('tristique',39,'node',1),('tristique',42,'node',1),('tristique',43,'node',1),('tristique',45,'node',1),('tristique',46,'node',1),('tristique',48,'node',61),('tristique',49,'node',1),('tristique',50,'node',0.968904),('tristique',51,'node',1),('tristique',52,'node',1),('tristique',53,'node',1),('tristique',54,'node',1),('tristique',55,'node',0.972861),('tristique',56,'node',1),('tristique',57,'node',3.90756),('tristique',58,'node',2.94177),('tristique',59,'node',2.93105),('tristique',60,'node',4),('tristique',62,'node',4.24035),('tristique',63,'node',4.37585),('turkey',35,'node',0.993146),('turkey',62,'node',0.805455),('turnberry',29,'node',1),('turpis',1,'node',4),('turpis',5,'node',29),('turpis',6,'node',3),('turpis',7,'node',1),('turpis',8,'node',4),('turpis',13,'node',0.892724),('turpis',20,'node',4),('turpis',21,'node',1),('turpis',28,'node',2),('turpis',33,'node',1.61568),('turpis',34,'node',4),('turpis',35,'node',4),('turpis',36,'node',4),('turpis',37,'node',4),('turpis',38,'node',4),('turpis',39,'node',4),('turpis',41,'node',2),('turpis',42,'node',1),('turpis',43,'node',1),('turpis',45,'node',4),('turpis',46,'node',4),('turpis',47,'node',2),('turpis',51,'node',1),('turpis',53,'node',1),('turpis',54,'node',48.9174),('turpis',55,'node',2),('turpis',56,'node',0.976851),('turpis',57,'node',1.92027),('turpis',58,'node',1),('turpis',59,'node',1),('turpis',61,'node',5.99315),('turpis',62,'node',4.02739),('turpis',63,'node',4.16399),('typed',44,'node',1),('ullamcorper',1,'node',1),('ullamcorper',5,'node',1),('ullamcorper',7,'node',1),('ullamcorper',8,'node',1),('ullamcorper',9,'node',2),('ullamcorper',12,'node',0.810915),('ullamcorper',14,'node',1),('ullamcorper',20,'node',1),('ullamcorper',26,'node',1),('ullamcorper',28,'node',1),('ullamcorper',31,'node',1),('ullamcorper',33,'node',1.66714),('ullamcorper',34,'node',1),('ullamcorper',35,'node',1),('ullamcorper',36,'node',1),('ullamcorper',37,'node',1),('ullamcorper',38,'node',1),('ullamcorper',39,'node',1),('ullamcorper',42,'node',2),('ullamcorper',45,'node',1),('ullamcorper',46,'node',1),('ullamcorper',48,'node',1),('ullamcorper',52,'node',1),('ullamcorper',54,'node',4),('ullamcorper',55,'node',1),('ullamcorper',56,'node',3),('ullamcorper',57,'node',1),('ullamcorper',58,'node',2),('ullamcorper',59,'node',2),('ullamcorper',60,'node',6),('ullamcorper',61,'node',1.96109),('ultrices',1,'node',3),('ultrices',4,'node',1),('ultrices',5,'node',27),('ultrices',7,'node',2),('ultrices',8,'node',2),('ultrices',11,'node',1),('ultrices',12,'node',1),('ultrices',13,'node',1),('ultrices',20,'node',1),('ultrices',25,'node',1),('ultrices',26,'node',1),('ultrices',31,'node',1),('ultrices',33,'node',27),('ultrices',34,'node',3),('ultrices',35,'node',1),('ultrices',36,'node',1),('ultrices',37,'node',1),('ultrices',38,'node',1),('ultrices',39,'node',1),('ultrices',40,'node',1),('ultrices',41,'node',2),('ultrices',42,'node',3),('ultrices',45,'node',1),('ultrices',46,'node',1),('ultrices',49,'node',1),('ultrices',50,'node',0.957226),('ultrices',51,'node',1),('ultrices',52,'node',1),('ultrices',53,'node',1),('ultrices',54,'node',1),('ultrices',56,'node',1),('ultrices',57,'node',1.94209),('ultrices',58,'node',1),('ultrices',59,'node',1.87431),('ultrices',61,'node',1),('ultricies',5,'node',1),('ultricies',6,'node',1),('ultricies',8,'node',1),('ultricies',12,'node',1.66686),('ultricies',13,'node',0.833529),('ultricies',14,'node',1),('ultricies',20,'node',1),('ultricies',21,'node',1),('ultricies',23,'node',1),('ultricies',25,'node',1),('ultricies',26,'node',0.993146),('ultricies',27,'node',3),('ultricies',29,'node',2),('ultricies',30,'node',1),('ultricies',31,'node',1),('ultricies',35,'node',1),('ultricies',36,'node',1),('ultricies',37,'node',1),('ultricies',38,'node',1),('ultricies',39,'node',1),('ultricies',45,'node',1),('ultricies',46,'node',1),('ultricies',49,'node',1),('ultricies',50,'node',1),('ultricies',51,'node',2),('ultricies',52,'node',1),('ultricies',53,'node',33.1582),('ultricies',55,'node',3),('ultricies',57,'node',2),('ultricies',58,'node',0.953396),('ultricies',59,'node',0.927431),('ultricies',60,'node',1),('ultricies',61,'node',2),('ultricies',62,'node',4.02739),('ultricies',63,'node',4.16399),('unde',11,'node',5.89516),('unde',12,'node',5.84545),('unde',13,'node',5.87984),('unde',15,'node',1),('unde',16,'node',1),('unde',17,'node',1),('unde',18,'node',1),('unde',19,'node',1),('unde',32,'node',1),('unde',33,'node',5.87984),('unde',40,'node',5.91509),('unique',19,'node',26),('unit',20,'node',1),('unit',25,'node',0.997306),('unit',52,'node',1),('united',1,'node',1),('united',20,'node',0.989021),('united',21,'node',1),('united',25,'node',0.980874),('united',26,'node',0.961087),('united',27,'node',1),('united',28,'node',1),('united',29,'node',0.993146),('united',30,'node',1),('united',31,'node',0.957226),('united',34,'node',1),('united',36,'node',1),('united',45,'node',1),('united',46,'node',1),('united',47,'node',1),('united',48,'node',1),('united',49,'node',1),('united',50,'node',0.934703),('united',51,'node',1),('united',52,'node',1),('united',53,'node',0.980874),('united',54,'node',0.942091),('united',55,'node',0.923838),('united',62,'node',29.7404),('uonga',45,'node',21.3616),('uonga',62,'node',2.2),('uonga',63,'node',2.2),('url',44,'node',1),('urna',3,'node',2),('urna',4,'node',1),('urna',5,'node',1),('urna',6,'node',1),('urna',7,'node',2),('urna',9,'node',1),('urna',10,'node',1),('urna',11,'node',0.931053),('urna',13,'node',8.95041),('urna',20,'node',1),('urna',24,'node',1),('urna',25,'node',2),('urna',26,'node',1),('urna',27,'node',2),('urna',28,'node',1),('urna',29,'node',1),('urna',30,'node',23),('urna',31,'node',1),('urna',33,'node',3.98199),('urna',35,'node',1),('urna',36,'node',1),('urna',37,'node',1),('urna',38,'node',1),('urna',39,'node',1),('urna',41,'node',1),('urna',42,'node',1),('urna',45,'node',1),('urna',46,'node',1),('urna',49,'node',1),('urna',50,'node',2),('urna',52,'node',2),('urna',53,'node',1),('urna',56,'node',0.98493),('urna',57,'node',4),('urna',58,'node',1),('urna',59,'node',1),('urna',60,'node',1),('urna',62,'node',2.2),('urna',63,'node',2.2),('v6a',32,'node',1),('vancouver',32,'node',1),('varius',1,'node',1),('varius',3,'node',1),('varius',4,'node',1),('varius',5,'node',1),('varius',6,'node',1),('varius',7,'node',1),('varius',8,'node',1),('varius',12,'node',0.802752),('varius',13,'node',26),('varius',20,'node',1),('varius',21,'node',2),('varius',26,'node',2),('varius',28,'node',2),('varius',29,'node',2),('varius',30,'node',1),('varius',31,'node',2),('varius',33,'node',2.44417),('varius',34,'node',1),('varius',35,'node',1),('varius',36,'node',1),('varius',37,'node',1),('varius',38,'node',1),('varius',39,'node',1),('varius',42,'node',1),('varius',43,'node',2),('varius',45,'node',1),('varius',46,'node',1),('varius',48,'node',1),('varius',49,'node',1),('varius',50,'node',2),('varius',51,'node',2),('varius',54,'node',1.99731),('varius',55,'node',2),('varius',56,'node',0.934703),('varius',57,'node',1),('varius',58,'node',2),('varius',59,'node',1),('varius',60,'node',2),('vehicula',1,'node',3),('vehicula',4,'node',0.997306),('vehicula',5,'node',1),('vehicula',6,'node',4),('vehicula',8,'node',1),('vehicula',10,'node',1),('vehicula',11,'node',1.76573),('vehicula',12,'node',0.827757),('vehicula',13,'node',9.81736),('vehicula',14,'node',1),('vehicula',21,'node',1),('vehicula',25,'node',1),('vehicula',26,'node',1),('vehicula',27,'node',3),('vehicula',28,'node',1),('vehicula',31,'node',1),('vehicula',33,'node',3.33834),('vehicula',34,'node',3),('vehicula',41,'node',1),('vehicula',42,'node',1),('vehicula',43,'node',1),('vehicula',50,'node',1),('vehicula',53,'node',2),('vehicula',55,'node',2),('vehicula',56,'node',1),('vehicula',57,'node',0.976851),('vehicula',58,'node',2.99315),('vehicula',59,'node',1),('vehicula',60,'node',2),('vel',1,'node',2),('vel',3,'node',1),('vel',4,'node',2),('vel',5,'node',2),('vel',6,'node',1),('vel',7,'node',28),('vel',8,'node',1),('vel',9,'node',1),('vel',10,'node',2),('vel',11,'node',1),('vel',12,'node',1.80275),('vel',13,'node',2.76506),('vel',20,'node',4),('vel',21,'node',3),('vel',23,'node',1),('vel',24,'node',1),('vel',25,'node',3),('vel',26,'node',1),('vel',28,'node',1),('vel',29,'node',50.1439),('vel',30,'node',1),('vel',31,'node',1),('vel',33,'node',41.9415),('vel',34,'node',2),('vel',35,'node',4),('vel',36,'node',4),('vel',37,'node',4),('vel',38,'node',4),('vel',39,'node',4),('vel',40,'node',1),('vel',41,'node',2),('vel',42,'node',1),('vel',43,'node',3),('vel',45,'node',4),('vel',46,'node',4),('vel',49,'node',1),('vel',50,'node',1),('vel',51,'node',22.4029),('vel',52,'node',2),('vel',53,'node',2),('vel',55,'node',2),('vel',56,'node',3.92027),('vel',57,'node',6.88831),('vel',58,'node',3.90988),('vel',59,'node',2.84891),('vel',60,'node',1),('vel',61,'node',3.93794),('vel',62,'node',6.22739),('vel',63,'node',2.2),('velit',3,'node',1),('velit',4,'node',1),('velit',5,'node',3),('velit',6,'node',1),('velit',7,'node',27),('velit',8,'node',2),('velit',9,'node',1),('velit',10,'node',1),('velit',11,'node',26.965),('velit',12,'node',1.78604),('velit',13,'node',0.961087),('velit',20,'node',1),('velit',25,'node',1),('velit',26,'node',1),('velit',27,'node',3),('velit',28,'node',1),('velit',29,'node',1),('velit',31,'node',1),('velit',32,'node',2),('velit',33,'node',1.82788),('velit',35,'node',1),('velit',36,'node',1),('velit',37,'node',1),('velit',38,'node',1),('velit',39,'node',1),('velit',40,'node',0.972861),('velit',41,'node',2),('velit',42,'node',1),('velit',43,'node',3),('velit',45,'node',1),('velit',46,'node',1),('velit',49,'node',2),('velit',50,'node',3),('velit',51,'node',1),('velit',52,'node',2),('velit',53,'node',2),('velit',54,'node',0.98493),('velit',55,'node',4),('velit',56,'node',3),('velit',57,'node',4.92261),('velit',58,'node',2.95723),('velit',59,'node',1.96498),('velit',60,'node',2),('venenatis',3,'node',1),('venenatis',4,'node',1),('venenatis',5,'node',1),('venenatis',6,'node',2),('venenatis',8,'node',1),('venenatis',10,'node',1),('venenatis',13,'node',1.72489),('venenatis',21,'node',1),('venenatis',22,'node',1),('venenatis',27,'node',3),('venenatis',28,'node',1),('venenatis',33,'node',1.40973),('venenatis',40,'node',2.74474),('venenatis',41,'node',1),('venenatis',50,'node',1),('venenatis',54,'node',1),('venenatis',56,'node',1),('venenatis',59,'node',2),('venenatis',60,'node',1),('venenatis',61,'node',1),('veritatis',11,'node',4.91831),('veritatis',12,'node',4.88047),('veritatis',13,'node',4.90299),('veritatis',32,'node',1),('veritatis',33,'node',4.90299),('veritatis',40,'node',4.92607),('vestibulum',1,'node',1),('vestibulum',3,'node',1),('vestibulum',4,'node',1),('vestibulum',5,'node',1),('vestibulum',6,'node',1),('vestibulum',7,'node',3),('vestibulum',8,'node',1),('vestibulum',9,'node',1),('vestibulum',10,'node',26),('vestibulum',11,'node',28),('vestibulum',12,'node',2),('vestibulum',13,'node',3.72448),('vestibulum',20,'node',1),('vestibulum',21,'node',1),('vestibulum',25,'node',3),('vestibulum',26,'node',4),('vestibulum',28,'node',1),('vestibulum',29,'node',3),('vestibulum',30,'node',3),('vestibulum',31,'node',4),('vestibulum',32,'node',1),('vestibulum',33,'node',22.7324),('vestibulum',34,'node',1),('vestibulum',35,'node',1),('vestibulum',36,'node',1),('vestibulum',37,'node',1),('vestibulum',38,'node',1),('vestibulum',39,'node',1),('vestibulum',40,'node',30.73),('vestibulum',43,'node',1),('vestibulum',45,'node',1),('vestibulum',46,'node',1),('vestibulum',49,'node',1),('vestibulum',50,'node',2.94196),('vestibulum',51,'node',2),('vestibulum',53,'node',43.6165),('vestibulum',54,'node',1),('vestibulum',55,'node',2),('vestibulum',56,'node',1),('vestibulum',57,'node',2),('vestibulum',58,'node',4.9496),('vestibulum',59,'node',0.913226),('vestibulum',60,'node',2.99731),('vestibulum',61,'node',2),('vestibulum',62,'node',4.02739),('vestibulum',63,'node',4.16399),('vic',45,'node',21.2299),('vic',62,'node',2.2),('vic',63,'node',2.2),('view',12,'node',33),('view',59,'node',26),('villa',20,'node',1),('villa',33,'node',8.83027),('villa',35,'node',1),('villa',37,'node',1),('villa',40,'node',9.711),('villa',50,'node',0.942091),('villa',51,'node',1),('villa',52,'node',1),('villa',53,'node',0.989021),('villa',54,'node',0.980874),('villa',55,'node',0.961087),('villa',62,'node',11),('villa',63,'node',11),('virgin',39,'node',1),('virgin',62,'node',0.899454),('vis',37,'node',47.2295),('vis',62,'node',1.82107),('vis',63,'node',1.95667),('vitae',1,'node',4),('vitae',3,'node',1),('vitae',4,'node',1),('vitae',5,'node',1),('vitae',6,'node',27),('vitae',7,'node',1),('vitae',8,'node',1),('vitae',9,'node',4),('vitae',10,'node',1),('vitae',11,'node',8.78045),('vitae',12,'node',9.36554),('vitae',13,'node',35.4155),('vitae',14,'node',4),('vitae',21,'node',3),('vitae',22,'node',1),('vitae',25,'node',7),('vitae',26,'node',1),('vitae',27,'node',7),('vitae',29,'node',2),('vitae',30,'node',1),('vitae',31,'node',1),('vitae',33,'node',8.38226),('vitae',34,'node',4),('vitae',40,'node',6.92607),('vitae',41,'node',1),('vitae',42,'node',2),('vitae',43,'node',2),('vitae',47,'node',1),('vitae',48,'node',1),('vitae',49,'node',2),('vitae',51,'node',1),('vitae',52,'node',3),('vitae',53,'node',2),('vitae',55,'node',65.4434),('vitae',56,'node',3.74028),('vitae',57,'node',4.92261),('vitae',58,'node',4),('vitae',59,'node',6.88635),('vitae',60,'node',3),('vitae',61,'node',2.94654),('vitae',62,'node',4.02739),('vitae',63,'node',4.16399),('vivamus',1,'node',1),('vivamus',6,'node',3),('vivamus',11,'node',1.79344),('vivamus',13,'node',0.934703),('vivamus',20,'node',2),('vivamus',21,'node',3),('vivamus',26,'node',2),('vivamus',29,'node',2),('vivamus',30,'node',2),('vivamus',31,'node',2),('vivamus',33,'node',1.47952),('vivamus',34,'node',1),('vivamus',35,'node',2),('vivamus',36,'node',2),('vivamus',37,'node',2),('vivamus',38,'node',2),('vivamus',39,'node',2),('vivamus',42,'node',2),('vivamus',43,'node',1),('vivamus',45,'node',2),('vivamus',46,'node',2),('vivamus',51,'node',2),('vivamus',52,'node',1),('vivamus',53,'node',2),('vivamus',54,'node',1),('vivamus',55,'node',1.98087),('vivamus',58,'node',1.97685),('vivamus',59,'node',1),('vivamus',61,'node',1),('viverra',1,'node',1),('viverra',3,'node',2),('viverra',4,'node',1),('viverra',5,'node',1),('viverra',6,'node',1),('viverra',7,'node',1),('viverra',9,'node',1),('viverra',10,'node',1),('viverra',20,'node',2),('viverra',21,'node',1),('viverra',28,'node',1),('viverra',34,'node',1),('viverra',35,'node',2),('viverra',36,'node',2),('viverra',37,'node',2),('viverra',38,'node',2),('viverra',39,'node',2),('viverra',41,'node',1),('viverra',45,'node',2),('viverra',46,'node',2),('viverra',48,'node',1),('viverra',50,'node',0.976851),('viverra',51,'node',2),('viverra',54,'node',1),('viverra',55,'node',1),('viverra',56,'node',1.93838),('viverra',57,'node',3),('viverra',58,'node',0.961087),('viverra',59,'node',1),('viverra',60,'node',1),('viverra',61,'node',1.98493),('voluptas',11,'node',0.997306),('voluptas',12,'node',0.98493),('voluptas',13,'node',0.997306),('voluptas',33,'node',0.997306),('voluptas',40,'node',1),('voluptate',32,'node',1),('voluptatem',11,'node',5.91831),('voluptatem',12,'node',5.86949),('voluptatem',13,'node',5.90299),('voluptatem',15,'node',1),('voluptatem',16,'node',1),('voluptatem',17,'node',1),('voluptatem',18,'node',1),('voluptatem',19,'node',1),('voluptatem',32,'node',1),('voluptatem',33,'node',5.90299),('voluptatem',40,'node',5.92607),('volutpat',1,'node',3),('volutpat',3,'node',4),('volutpat',4,'node',3),('volutpat',6,'node',1),('volutpat',9,'node',1),('volutpat',12,'node',0.800068),('volutpat',21,'node',2),('volutpat',22,'node',1),('volutpat',33,'node',0.742984),('volutpat',34,'node',3),('volutpat',41,'node',1),('volutpat',43,'node',1),('volutpat',47,'node',1),('volutpat',49,'node',2),('volutpat',50,'node',3),('volutpat',51,'node',2),('volutpat',53,'node',1),('volutpat',54,'node',2),('volutpat',56,'node',2.9689),('volutpat',57,'node',2),('volutpat',58,'node',1.95723),('volutpat',59,'node',2.93105),('volutpat',60,'node',0.993146),('vulputate',3,'node',1),('vulputate',4,'node',1),('vulputate',5,'node',1),('vulputate',6,'node',1),('vulputate',7,'node',1),('vulputate',9,'node',1),('vulputate',11,'node',1.94209),('vulputate',12,'node',2.65012),('vulputate',13,'node',1.90974),('vulputate',25,'node',1),('vulputate',26,'node',3),('vulputate',29,'node',3),('vulputate',30,'node',2),('vulputate',31,'node',3),('vulputate',33,'node',3.26016),('vulputate',40,'node',1),('vulputate',43,'node',1),('vulputate',47,'node',1),('vulputate',49,'node',1),('vulputate',53,'node',1),('vulputate',54,'node',2),('vulputate',56,'node',3.87253),('vulputate',57,'node',1),('vulputate',58,'node',1),('vulputate',60,'node',2),('vulputate',61,'node',1.95723),('walk',35,'node',47.1439),('walk',62,'node',1.77799),('walk',63,'node',1.91389),('want',44,'node',1),('way',20,'node',36.572),('way',62,'node',1.74267),('website',32,'node',1),('what',44,'node',1),('you',44,'node',4),('your',15,'node',26),('your',32,'node',3);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_node_links`
--

DROP TABLE IF EXISTS `search_node_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_node_links`
--

LOCK TABLES `search_node_links` WRITE;
/*!40000 ALTER TABLE `search_node_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_node_links` VALUES (62,'node',1,'bryan ave albuquerque 87114'),(62,'node',20,'oakmont way cibolo 78108'),(62,'node',21,'spring gate drunit 4106 mclean 22102'),(62,'node',25,'alpine stockton 95215'),(62,'node',26,'1 gissing street blackburn south'),(62,'node',27,'204 dui fermentum'),(62,'node',28,'1524a nunc non ornare dui'),(62,'node',29,'3900 vel ipsum suscipit'),(62,'node',30,'911 ante urna laoreet'),(62,'node',31,'785 suspendisse potenti'),(62,'node',34,'4101 gulf shore'),(62,'node',35,'1076 nelson walk'),(62,'node',36,'3675 gordon'),(62,'node',37,'204 temporibus vis'),(62,'node',38,'2315 pellentesque tempus'),(62,'node',39,'564 proin rutrum nisi'),(62,'node',45,'18b uonga road bentleigh vic 3204'),(62,'node',46,'11 annetta avenue ashburton'),(62,'node',47,'1566 cum sociis natoque penatibus 1566 cum sociis natoque penatibus'),(62,'node',48,'5699 donec tristique orci non 5699 donec tristique orci non'),(62,'node',49,'4788 praesent suscipit magna 4788 praesent suscipit magna'),(62,'node',50,'3434 duis porttitor tortor quis 3434 duis porttitor tortor quis'),(62,'node',51,'2547 maecenas semper est vel 2547 maecenas semper est vel'),(62,'node',52,'4896 nullam rutrum arcu mollis efficitur 4896 nullam rutrum arcu mollis efficitur'),(62,'node',53,'6936 vestibulum ultricies nisi 6936 vestibulum ultricies nisi'),(62,'node',54,'32 pellentesque non aliquet turpis 32 pellentesque non aliquet turpis'),(62,'node',55,'72 duis feugiat vitae libero 72 duis feugiat vitae libero'),(63,'node',25,'alpine stockton 95215'),(63,'node',26,'1 gissing street blackburn south'),(63,'node',27,'204 dui fermentum'),(63,'node',28,'1524a nunc non ornare dui'),(63,'node',29,'3900 vel ipsum suscipit'),(63,'node',30,'911 ante urna laoreet'),(63,'node',31,'785 suspendisse potenti'),(63,'node',34,'4101 gulf shore'),(63,'node',35,'1076 nelson walk'),(63,'node',36,'3675 gordon'),(63,'node',37,'204 temporibus vis'),(63,'node',38,'2315 pellentesque tempus'),(63,'node',39,'564 proin rutrum nisi'),(63,'node',45,'18b uonga road bentleigh vic 3204'),(63,'node',46,'11 annetta avenue ashburton'),(63,'node',47,'1566 cum sociis natoque penatibus'),(63,'node',48,'5699 donec tristique orci non 5699 donec tristique orci non'),(63,'node',49,'4788 praesent suscipit magna 4788 praesent suscipit magna'),(63,'node',50,'3434 duis porttitor tortor quis 3434 duis porttitor tortor quis'),(63,'node',51,'2547 maecenas semper est 2547 maecenas semper est'),(63,'node',52,'4896 nullam rutrum arcu mollis efficitur 4896 nullam rutrum arcu mollis efficitur'),(63,'node',53,'6936 vestibulum ultricies nisi 6936 vestibulum ultricies nisi'),(63,'node',54,'32 pellentesque non aliquet turpis 32 pellentesque non aliquet turpis'),(63,'node',55,'72 duis feugiat vitae libero 72 duis feugiat vitae libero');
/*!40000 ALTER TABLE `search_node_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('1',0.00231747),('100m2',0.181229),('1076',0.00845584),('11',0.0164888),('11685',0.0157943),('11752',0.0158319),('120',0.0158122),('120m2',0.0512188),('1219',0.217442),('1220',0.30103),('1221',0.22797),('12334',0.30103),('12345',0.179818),('123456789',0.176091),('12601',0.0158053),('130000',0.124939),('140m2',0.132764),('15',0.0524485),('150000',0.13304),('150m2',0.0328776),('1524a',0.00821231),('1566',0.0108807),('160',0.30103),('160m2',0.30103),('180m2',0.105046),('186',0.0157943),('18932',0.0157943),('18b',0.0165112),('190000',0.124939),('1e1',0.30103),('2',0.00191237),('2000',0.124939),('200000',0.124939),('2006',0.30103),('2008',0.30103),('2009',0.127075),('200m2',0.0170307),('2010',0.30103),('2011',0.126582),('2012',0.0804189),('2013',0.30103),('2014',0.039227),('203000',0.133864),('204',0.00419839),('22',0.30103),('22102',0.0332214),('230000',0.0428654),('2315',0.00831754),('233600',0.0209243),('240m2',0.30103),('25000',0.0715598),('250000',0.187562),('250m2',0.0478876),('2547',0.0064086),('3',0.00345963),('30000',0.124939),('300m2',0.010419),('30800',0.0436989),('32',0.00660626),('3204',0.0166501),('320m2',0.136484),('34000',0.125036),('34012187',0.0584961),('341',0.132487),('3434',0.011016),('3675',0.0167129),('370000',0.19211),('380m2',0.30103),('3831',0.30103),('3900',0.00834503),('4',0.0163915),('400m2',0.0841557),('404',0.0157943),('4101',0.0163201),('4106',0.0329647),('4125',0.0157943),('4429',0.0157943),('4431',0.30103),('45000',0.136748),('4788',0.00837145),('48',0.30103),('4896',0.00632251),('4900',0.176091),('5',0.138924),('55',0.30103),('550',0.30103),('56000',0.131649),('564',0.0165791),('5651',0.00491088),('5699',0.00628365),('5744',0.30103),('5802',0.0157943),('6',0.124939),('6150',0.0157943),('6226',0.0157943),('632',0.0157943),('638',0.0157943),('643330',0.0475643),('692',0.0158122),('6936',0.00862591),('72',0.00666539),('78108',0.0111929),('785',0.00846547),('802500',0.126074),('8082014',0.103631),('84118',0.00719373),('87114',0.0326649),('90m2',0.131368),('911',0.0161466),('92705',0.0152711),('92867',0.0152587),('92869',0.00357711),('95215',0.0084756),('about',0.0163904),('accumsan',0.00965548),('accusantium',0.0139968),('adele',0.0158122),('adipisci',0.0817351),('adipiscing',0.00627927),('admin',0.0104973),('aenean',0.0109007),('albuquerque',0.0325368),('alexander',0.30103),('aliquam',0.00289329),('aliquet',0.00279419),('all',0.0193052),('allison',0.0157943),('alpine',0.0084709),('also',0.30103),('amet',0.00302488),('amples',0.0163904),('ana',0.015269),('andrew',0.0377886),('anim',0.0206543),('annetta',0.0165277),('ante',0.00400223),('apartment',0.0073433),('aperiam',0.0139968),('aptent',0.0511525),('architecto',0.0166859),('arcu',0.00352209),('are',0.176091),('area',0.00674235),('ashburton',0.016605),('aspernatur',0.07976),('auctor',0.00839945),('augue',0.00583129),('aut',0.0419993),('aute',0.30103),('ave',0.00599807),('avenue',0.0165664),('baja',0.0158053),('beatae',0.0173527),('bentleigh',0.016595),('bibendum',0.00921127),('blackburn',0.0171793),('blackthorn',0.0157943),('blandit',0.00613148),('blog',0.00782534),('bootstrap',0.0163904),('bottlebrush',0.0157943),('brokerage',0.0163904),('bryan',0.0322803),('business',0.0163904),('but',0.30103),('canada',0.30103),('center',0.0157943),('chapman',0.176091),('check',0.30103),('cibolo',0.0111912),('cillum',0.30103),('cir',0.00796893),('circula',0.30103),('class',0.0511525),('cliffway',0.0157943),('color',0.0462949),('comments',0.105534),('commodo',0.00562961),('community',0.0163904),('compatible',0.0163904),('condimentum',0.00796391),('conditions',0.0163904),('condo',0.011972),('congue',0.00932066),('consectetur',0.0044358),('consequat',0.00730681),('construction',0.0163904),('contact',0.0222764),('conubia',0.0511525),('convallis',0.00739565),('correctly',0.30103),('couldn',0.30103),('cras',0.0115886),('credit',0.0163904),('creekside',0.30103),('cubilia',0.179531),('culpa',0.0206543),('cum',0.0101222),('cupidatat',0.0206543),('curabitur',0.00516265),('curae',0.179818),('cursus',0.00674886),('customizations',0.0163904),('dapibus',0.00740916),('deserunt',0.0206543),('design',0.0163904),('designed',0.0163904),('development',0.0163904),('diam',0.00381997),('dicta',0.0173527),('dictum',0.0045745),('dictumst',0.079634),('dignissim',0.00681976),('dis',0.124939),('dolor',0.00408256),('dolore',0.30103),('dolorem',0.0808886),('doloremque',0.0139968),('domainnamecom',0.0377886),('donec',0.00209009),('drunit',0.0328362),('dui',0.00269668),('duis',0.00243623),('eaque',0.0166859),('efficitur',0.00841139),('egestas',0.00359873),('eget',0.00443781),('eleifend',0.022792),('elementum',0.0127156),('elit',0.00469795),('email',0.30103),('enim',0.0036611),('erat',0.00371717),('eros',0.00313361),('error',0.0120929),('esplanade',0.0158319),('esse',0.30103),('est',0.0022373),('estate',0.0163904),('etiam',0.0144983),('euismod',0.00594591),('excepteur',0.0669468),('explicabo',0.0173527),('facilisi',0.0386051),('facilisis',0.00290202),('fames',0.0240809),('family',0.0067473),('faucibus',0.00875179),('felis',0.00448677),('fermentum',0.00384969),('feugiat',0.00433093),('find',0.30103),('finibus',0.0303143),('for',0.0147233),('form',0.0222764),('free',0.0163904),('fri',0.103567),('fringilla',0.00461809),('fugiat',0.30103),('fugit',0.0805858),('full',0.00044842),('fully',0.0163904),('fusce',0.0139444),('gate',0.0327077),('get',0.0109954),('gissing',0.0171087),('gordon',0.0167512),('gravida',0.0113282),('guidelines',0.0163904),('gulf',0.0163479),('habitant',0.0379924),('habitasse',0.0795178),('hac',0.0794591),('hart',0.0157943),('heading',0.00145742),('hendrerit',0.0067058),('himenaeos',0.0511525),('holding',0.0093367),('home',0.0048525),('iaculis',0.0125273),('illo',0.0166859),('image',0.00044842),('imperdiet',0.00777968),('inceptos',0.0511525),('integer',0.00705915),('interdum',0.00923726),('inventore',0.0166859),('ipsa',0.0166859),('ipsam',0.0792806),('ipsum',0.00259658),('irure',0.30103),('islands',0.183954),('iste',0.0140491),('john',0.0377886),('justice',0.0157943),('justo',0.00777284),('kathleen',0.30103),('laborum',0.0206543),('lacinia',0.00589909),('lacus',0.00578309),('lake',0.00718795),('laoreet',0.00458492),('lasted',0.0222764),('laudantium',0.0139968),('lectus',0.00776841),('leo',0.00484401),('libero',0.00342623),('ligula',0.00599395),('litora',0.0511525),('lobortis',0.00620367),('log',0.0510667),('looking',0.176091),('lorem',0.00606958),('luctus',0.00853948),('maecenas',0.00289118),('magna',0.00366518),('magnis',0.124939),('mail',0.0377886),('make',0.30103),('malesuada',0.00595245),('management',0.0163904),('maria',0.0193052),('mark',0.0377886),('market',0.0163904),('marmon',0.0157943),('massa',0.00717721),('mattis',0.00835803),('mauris',0.00330457),('maximus',0.028273),('may',0.30103),('mclean',0.033093),('message',0.30103),('metus',0.00649857),('molestie',0.00749629),('mollis',0.00356674),('mollit',0.0206543),('montes',0.124939),('morbi',0.0061006),('multi',0.0117476),('mus',0.176091),('nam',0.00784098),('name',0.30103),('nascetur',0.176091),('natoque',0.0101264),('natus',0.0120929),('nec',0.00255309),('nelson',0.008458),('nemo',0.0791812),('neque',0.00373021),('netus',0.0380168),('next',0.0377886),('nibh',0.00604021),('nisi',0.00260412),('nisl',0.00697647),('non',0.000917986),('nostra',0.0511525),('nulla',0.00207239),('nullam',0.00237484),('nunc',0.00182558),('oakmont',0.0111879),('occaecat',0.0206543),('odio',0.00525902),('odit',0.0802828),('officia',0.0206543),('omnis',0.0140491),('omnisiste',0.0791812),('orange',0.00290713),('orci',0.00381331),('ornare',0.00487087),('others',0.0117049),('oxford',0.0157943),('page',0.00811789),('panorama',0.0152648),('pariatur',0.30103),('parturient',0.124939),('pellentesque',0.00165379),('penatibus',0.0132092),('pending',0.00898335),('per',0.0263289),('permalink',0.0104827),('perspiciatis',0.0120929),('pharetra',0.00669677),('phasellus',0.00724151),('pine',0.00476149),('place',0.00476434),('placerat',0.00702942),('platea',0.0795761),('please',0.30103),('policy',0.0163904),('porta',0.00357856),('porttitor',0.00569553),('post',0.105471),('posuere',0.00600043),('potenti',0.00687547),('praesent',0.00464286),('pretium',0.0160594),('prev',0.0377886),('price',0.0163904),('primis',0.0479433),('privacy',0.0163904),('proident',0.0206543),('proin',0.00415317),('properties',0.011281),('pulvinar',0.00740109),('purus',0.00465239),('quae',0.0166859),('quail',0.0157943),('quam',0.00277453),('quasi',0.0166859),('qui',0.0167603),('quia',0.0420432),('quis',0.00310607),('quisque',0.0124027),('real',0.0163904),('register',0.0510995),('rem',0.0139968),('remopa',0.0791812),('rent',0.000846817),('renting',0.00888494),('report',0.0163904),('reprehenderit',0.30103),('residential',0.0137883),('responsive',0.0163904),('return',0.0377886),('rhoncus',0.00940115),('ridiculus',0.176091),('risus',0.00770472),('road',0.0165672),('rutrum',0.00219878),('sagittis',0.00480906),('sales',0.00124743),('salt',0.00718281),('santa',0.0152669),('sapien',0.0040494),('scelerisque',0.0131982),('search',0.30103),('sed',0.00164259),('selling',0.00396517),('sem',0.00402616),('semper',0.00304507),('senectus',0.0380046),('services',0.0163904),('shade',0.00476271),('shore',0.0163757),('silverleaf',0.30103),('single',0.0154466),('sint',0.0206543),('sit',0.0026026),('sociis',0.0101243),('sociosqu',0.0511525),('sodales',0.00599239),('sold',0.0188012),('sollicitudin',0.0061367),('sorry',0.30103),('south',0.0172186),('spc',0.0158122),('spring',0.0325792),('states',0.00821488),('stockton',0.00847326),('street',0.016491),('subject',0.30103),('submitted',0.103438),('sunt',0.00953239),('sure',0.30103),('suscipit',0.00209263),('suspendisse',0.00386221),('sycamore',0.30103),('taciti',0.0511525),('tellus',0.0111507),('tempor',0.00780107),('temporibus',0.00842974),('tempus',0.00242801),('terms',0.0163904),('thailand',0.190343),('the',0.000447496),('tincidunt',0.00344142),('tokelau',0.176091),('torquent',0.0511525),('tortor',0.00352184),('totam',0.0139968),('touch',0.0109954),('tristique',0.00276101),('turkey',0.192006),('turnberry',0.30103),('turpis',0.00269737),('typed',0.30103),('ullamcorper',0.00925264),('ultrices',0.00441928),('ultricies',0.00528192),('unde',0.0120929),('unique',0.0163904),('unit',0.125036),('united',0.00820946),('uonga',0.0165393),('url',0.30103),('urna',0.00518577),('v6a',0.30103),('vancouver',0.30103),('varius',0.00566388),('vehicula',0.00786552),('vel',0.00172006),('velit',0.00350684),('venenatis',0.0158639),('veritatis',0.0166859),('vestibulum',0.00190233),('vic',0.0166226),('view',0.000436696),('villa',0.00870109),('virgin',0.183687),('vis',0.00843197),('vitae',0.00169978),('vivamus',0.00840617),('viverra',0.00957452),('voluptas',0.0795178),('voluptate',0.30103),('voluptatem',0.0120579),('volutpat',0.00989473),('vulputate',0.00963172),('walk',0.00846014),('want',0.30103),('way',0.0111896),('website',0.30103),('what',0.30103),('you',0.09691),('your',0.0147233);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (17);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'MDGtd-rSbZF5ExF-Y4wSQYQ0yddK9rZ0NQ8lm6sC5vs','','192.168.1.49',1500349555,0,'ip_geoloc|a:2:{s:22:\"position_pending_since\";N;s:8:\"location\";a:2:{s:13:\"fixed_address\";i:0;s:7:\"regions\";N;}}'),(1,'pcW4E8-U4vXGtj5mSNcIdPGlzSBSEMrgMbdgYTwIlxM','','192.168.1.49',1499930738,0,'ip_geoloc|a:2:{s:22:\"position_pending_since\";N;s:8:\"location\";a:2:{s:13:\"fixed_address\";i:0;s:7:\"regions\";N;}}');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set`
--

DROP TABLE IF EXISTS `shortcut_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set`
--

LOCK TABLES `shortcut_set` WRITE;
/*!40000 ALTER TABLE `shortcut_set` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
/*!40000 ALTER TABLE `shortcut_set` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_category`
--

DROP TABLE IF EXISTS `simplenews_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_category` (
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'taxonomy_term_data.tid used as newsletter category.',
  `format` varchar(8) NOT NULL DEFAULT '' COMMENT 'Format of the newsletter email (plain, html).',
  `priority` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Email priority according to RFC 2156 and RFC 5231 (0 = none; 1 = highest; 2 = high; 3 = normal; 4 = low; 5 = lowest).',
  `receipt` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating request for email receipt confirmation according to RFC 2822.',
  `from_name` varchar(128) NOT NULL DEFAULT '' COMMENT 'Sender name for newsletter emails.',
  `email_subject` varchar(255) NOT NULL DEFAULT '' COMMENT 'Subject of newsletter email. May contain tokens.',
  `from_address` varchar(64) NOT NULL DEFAULT '' COMMENT 'Sender address for newsletter emails',
  `hyperlinks` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag indicating type of hyperlink conversion (1 = hyperlinks are in-line; 0 = hyperlinks are placed at email bottom).',
  `new_account` varchar(12) NOT NULL DEFAULT '' COMMENT 'How to treat subscription at account creation (none = None; on = Default on; off = Default off; silent = Invisible subscription).',
  `opt_inout` varchar(12) NOT NULL DEFAULT '' COMMENT 'How to treat subscription confirmation (hidden = Newsletter is hidden from the user; single = Single opt-in; double = Double opt-in).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'For this category a subscription block is available.',
  PRIMARY KEY (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simplenews newsletter categories.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_category`
--

LOCK TABLES `simplenews_category` WRITE;
/*!40000 ALTER TABLE `simplenews_category` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `simplenews_category` VALUES (144,'plain',0,0,'Real Estast','[[simplenews-category:name]] [node:title]','contact@weebpal.com',1,'none','double',1);
/*!40000 ALTER TABLE `simplenews_category` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_mail_spool`
--

DROP TABLE IF EXISTS `simplenews_mail_spool`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_mail_spool` (
  `msid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a mail spool record.',
  `mail` varchar(255) NOT NULL DEFAULT '' COMMENT 'The formatted email address of mail message recipient.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid of this newsletter.',
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'The simplenews_category.tid this newsletter belongs to.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The sent status of the email (0 = hold, 1 = pending, 2 = done).',
  `error` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether an error occured while sending the email.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time status was set or changed.',
  `data` longtext COMMENT 'A serialized array of name value pairs that are related to the email address.',
  `snid` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key for subscriber table (simplenews_subscriptions.snid)',
  PRIMARY KEY (`msid`),
  KEY `tid` (`tid`),
  KEY `status` (`status`),
  KEY `snid_tid` (`snid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Spool for temporary storage of newsletter emails.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_mail_spool`
--

LOCK TABLES `simplenews_mail_spool` WRITE;
/*!40000 ALTER TABLE `simplenews_mail_spool` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_mail_spool` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_newsletter`
--

DROP TABLE IF EXISTS `simplenews_newsletter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_newsletter` (
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'node that is used as newsletter.',
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'The newsletter category simplenews_category.tid this newsletter belongs to.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'sent status of the newsletter issue (0 = not sent; 1 = pending; 2 = sent, 3 = send on publish).',
  `sent_subscriber_count` int(11) NOT NULL DEFAULT '0' COMMENT 'The count of subscribers to the newsletter when it was sent.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simplenews newsletter data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_newsletter`
--

LOCK TABLES `simplenews_newsletter` WRITE;
/*!40000 ALTER TABLE `simplenews_newsletter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_newsletter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscriber`
--

DROP TABLE IF EXISTS `simplenews_subscriber`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscriber` (
  `snid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary key: Unique subscriber ID.',
  `activated` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating the status of the subscription.',
  `mail` varchar(64) NOT NULL DEFAULT '' COMMENT 'The subscriber’s email address.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that has the same email address.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Subscriber preferred language.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp of when the user is (un)subscribed.',
  `changes` text COMMENT 'Contains the requested subscription changes',
  `created` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp of when the subscription record was added.',
  PRIMARY KEY (`snid`),
  KEY `mail` (`mail`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Subscribers to simplenews_category. Many-to-many relation...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscriber`
--

LOCK TABLES `simplenews_subscriber` WRITE;
/*!40000 ALTER TABLE `simplenews_subscriber` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_subscriber` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `simplenews_subscription`
--

DROP TABLE IF EXISTS `simplenews_subscription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `simplenews_subscription` (
  `snid` int(11) NOT NULL DEFAULT '0' COMMENT 'The simplenews_subscriber.snid who is subscribed.',
  `tid` int(11) NOT NULL DEFAULT '0' COMMENT 'The category (simplenews_category.tid) the subscriber is subscribed to.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'A flag indicating whether the user is subscribed (1) or unsubscribed (0).',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp of when the user is (un)subscribed.',
  `source` varchar(24) NOT NULL DEFAULT '' COMMENT 'The source via which the user is (un)subscription.',
  PRIMARY KEY (`snid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Newsletter subscription data. Which subscriber is...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `simplenews_subscription`
--

LOCK TABLES `simplenews_subscription` WRITE;
/*!40000 ALTER TABLE `simplenews_subscription` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `simplenews_subscription` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Aggregator module tests\";s:11:\"description\";s:46:\"Support module for aggregator related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/block/block.module','block','module','',1,0,7009,-5,'a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/block/tests/block_test.module','block_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Block test\";s:11:\"description\";s:21:\"Provides test blocks.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/blog/blog.module','blog','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/book/book.module','book','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:4:\"Book\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"book.test\";}s:9:\"configure\";s:27:\"admin/content/book/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"book.css\";s:21:\"modules/book/book.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/color/color.module','color','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/comment/comment.module','comment','module','',1,0,7009,0,'a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contact/contact.module','contact','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contextual/contextual.module','contextual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dblog/dblog.module','dblog','module','',1,1,7003,0,'a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/field.module','field','module','',1,0,7004,0,'a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/list.module','list','module','',1,0,7002,0,'a:12:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/tests/list_test.module','list_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"List test\";s:11:\"description\";s:41:\"Support module for the List module tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/field/modules/number/number.module','number','module','',1,0,0,0,'a:14:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/field/modules/options/options.module','options','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/text/text.module','text','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/field/tests/field_test.module','field_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Field API Test\";s:11:\"description\";s:39:\"Support module for the Field API tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:5:\"files\";a:1:{i:0;s:21:\"field_test.entity.inc\";}s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/file.module','file','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/tests/file_module_test.module','file_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:53:\"Provides hooks for testing File module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/filter/filter.module','filter','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/forum/forum.module','forum','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/help/help.module','help','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/image/image.module','image','module','',1,0,7005,0,'a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/image/tests/image_module_test.module','image_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:69:\"Provides hook implementations for testing Image module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"image_module_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/locale.module','locale','module','',1,0,7005,0,'a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Locale Test\";s:11:\"description\";s:42:\"Support module for the locale layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/menu/menu.module','menu','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/node.module','node','module','',1,0,7016,0,'a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_access_test.module','node_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Node module access tests\";s:11:\"description\";s:43:\"Support module for node permission testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test.module','node_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Node module tests\";s:11:\"description\";s:40:\"Support module for node related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"Node module exception tests\";s:11:\"description\";s:50:\"Support module for node related exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/openid/openid.module','openid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"OpenID dummy provider\";s:11:\"description\";s:33:\"OpenID provider used for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"openid\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/overlay/overlay.module','overlay','module','',1,1,0,0,'a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/path/path.module','path','module','',1,0,0,0,'a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/php/php.module','php','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/poll/poll.module','poll','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/profile/profile.module','profile','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Profile\";s:11:\"description\";s:36:\"Supports configurable user profiles.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"profile.test\";}s:9:\"configure\";s:27:\"admin/config/people/profile\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/rdf.module','rdf','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:3:\"RDF\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"rdf.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"RDF module tests\";s:11:\"description\";s:38:\"Support module for RDF module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"blog\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/search.module','search','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Search embedded form\";s:11:\"description\";s:59:\"Support module for search module testing of embedded forms.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Test search type\";s:11:\"description\";s:41:\"Support module for search module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_node_tags.module','search_node_tags','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Test search node tags\";s:11:\"description\";s:44:\"Support module for Node search tags testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/shortcut/shortcut.module','shortcut','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Testing\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:50:{i:0;s:15:\"simpletest.test\";i:1;s:24:\"drupal_web_test_case.php\";i:2;s:18:\"tests/actions.test\";i:3;s:15:\"tests/ajax.test\";i:4;s:16:\"tests/batch.test\";i:5;s:15:\"tests/boot.test\";i:6;s:20:\"tests/bootstrap.test\";i:7;s:16:\"tests/cache.test\";i:8;s:17:\"tests/common.test\";i:9;s:24:\"tests/database_test.test\";i:10;s:22:\"tests/entity_crud.test\";i:11;s:32:\"tests/entity_crud_hook_test.test\";i:12;s:23:\"tests/entity_query.test\";i:13;s:16:\"tests/error.test\";i:14;s:15:\"tests/file.test\";i:15;s:23:\"tests/filetransfer.test\";i:16;s:15:\"tests/form.test\";i:17;s:16:\"tests/graph.test\";i:18;s:16:\"tests/image.test\";i:19;s:15:\"tests/lock.test\";i:20;s:15:\"tests/mail.test\";i:21;s:15:\"tests/menu.test\";i:22;s:17:\"tests/module.test\";i:23;s:16:\"tests/pager.test\";i:24;s:19:\"tests/password.test\";i:25;s:15:\"tests/path.test\";i:26;s:19:\"tests/registry.test\";i:27;s:17:\"tests/schema.test\";i:28;s:18:\"tests/session.test\";i:29;s:20:\"tests/tablesort.test\";i:30;s:16:\"tests/theme.test\";i:31;s:18:\"tests/unicode.test\";i:32;s:17:\"tests/update.test\";i:33;s:17:\"tests/xmlrpc.test\";i:34;s:26:\"tests/upgrade/upgrade.test\";i:35;s:34:\"tests/upgrade/upgrade.comment.test\";i:36;s:33:\"tests/upgrade/upgrade.filter.test\";i:37;s:32:\"tests/upgrade/upgrade.forum.test\";i:38;s:33:\"tests/upgrade/upgrade.locale.test\";i:39;s:31:\"tests/upgrade/upgrade.menu.test\";i:40;s:31:\"tests/upgrade/upgrade.node.test\";i:41;s:35:\"tests/upgrade/upgrade.taxonomy.test\";i:42;s:34:\"tests/upgrade/upgrade.trigger.test\";i:43;s:39:\"tests/upgrade/upgrade.translatable.test\";i:44;s:33:\"tests/upgrade/upgrade.upload.test\";i:45;s:31:\"tests/upgrade/upgrade.user.test\";i:46;s:36:\"tests/upgrade/update.aggregator.test\";i:47;s:33:\"tests/upgrade/update.trigger.test\";i:48;s:31:\"tests/upgrade/update.field.test\";i:49;s:30:\"tests/upgrade/update.user.test\";}s:9:\"configure\";s:41:\"admin/config/development/testing/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Actions loop test\";s:11:\"description\";s:39:\"Support module for action loop testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"AJAX form test mock module\";s:11:\"description\";s:25:\"Test for AJAX form calls.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"AJAX Test\";s:11:\"description\";s:40:\"Support module for AJAX framework tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Batch API test\";s:11:\"description\";s:35:\"Support module for Batch API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_1.module','boot_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:39:\"A support module for hook_boot testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_2.module','boot_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:44:\"A support module for hook_boot hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:11:\"Common Test\";s:11:\"description\";s:32:\"Support module for Common tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:15:\"common_test.css\";s:40:\"modules/simpletest/tests/common_test.css\";}s:5:\"print\";a:1:{s:21:\"common_test.print.css\";s:46:\"modules/simpletest/tests/common_test.print.css\";}}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Common Test Cron Helper\";s:11:\"description\";s:56:\"Helper module for CronRunTestCase::testCronExceptions().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Database Test\";s:11:\"description\";s:40:\"Support module for Database layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module','drupal_autoload_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Drupal code registry test\";s:11:\"description\";s:45:\"Support module for testing the code registry.\";s:5:\"files\";a:2:{i:0;s:34:\"drupal_autoload_test_interface.inc\";i:1;s:30:\"drupal_autoload_test_class.inc\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Drupal system listing compatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"Drupal system listing incompatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Entity cache test\";s:11:\"description\";s:40:\"Support module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:28:\"entity_cache_test_dependency\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity cache test dependency\";s:11:\"description\";s:51:\"Support dependency module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Entity CRUD Hooks Test\";s:11:\"description\";s:35:\"Support module for CRUD hook tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_query_access_test.module','entity_query_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Entity query access test\";s:11:\"description\";s:49:\"Support module for checking entity query results.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Error test\";s:11:\"description\";s:47:\"Support module for error and exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:39:\"Support module for file handling tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"file_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/filter_test.module','filter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Filter test module\";s:11:\"description\";s:33:\"Tests filter hooks and functions.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"FormAPI Test\";s:11:\"description\";s:34:\"Support module for Form API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:39:\"Support module for image toolkit tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook menu tests\";s:11:\"description\";s:37:\"Support module for menu hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Module test\";s:11:\"description\";s:41:\"Support module for module system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/path_test.module','path_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook path tests\";s:11:\"description\";s:37:\"Support module for path hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_0_test/psr_0_test.module','psr_0_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-0 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_4_test/psr_4_test.module','psr_4_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-4 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 1 Test\";s:11:\"description\";s:80:\"Tests that a module is not installed when it fails hook_requirements(\'install\').\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 2 Test\";s:11:\"description\";s:98:\"Tests that a module is not installed when the one it depends on fails hook_requirements(\'install).\";s:12:\"dependencies\";a:2:{i:0;s:18:\"requirements1_test\";i:1;s:7:\"comment\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Session test\";s:11:\"description\";s:40:\"Support module for session data testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"System dependency test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:19:\"_missing_dependency\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:50:\"System incompatible core version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:37:\"system_incompatible_core_version_test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"System incompatible core version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:52:\"System incompatible module version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:46:\"system_incompatible_module_version_test (>2.0)\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"System incompatible module version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_project_namespace_test.module','system_project_namespace_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"System project namespace test\";s:11:\"description\";s:58:\"Support module for testing project namespace dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:filter\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_test.module','system_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"System test\";s:11:\"description\";s:34:\"Support module for system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"system_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Taxonomy test module\";s:11:\"description\";s:45:\"\"Tests functions and hooks not used in core\".\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Theme test\";s:11:\"description\";s:40:\"Support module for theme system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Update script test\";s:11:\"description\";s:41:\"Support module for update script testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_2.module','update_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Url_alter tests\";s:11:\"description\";s:45:\"A support modules for url_alter hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"XML-RPC Test\";s:11:\"description\";s:75:\"Support module for XML-RPC tests according to the validator1 specification.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/statistics/statistics.module','statistics','module','',1,1,7000,0,'a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/syslog/syslog.module','syslog','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/system.module','system','module','',1,1,7081,0,'a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/tests/cron_queue_test.module','cron_queue_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Cron Queue test\";s:11:\"description\";s:41:\"Support module for the cron queue runner.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/system/tests/system_cron_test.module','system_cron_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"System Cron Test\";s:11:\"description\";s:45:\"Support module for testing the system_cron().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','',1,0,7011,0,'a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('modules/toolbar/toolbar.module','toolbar','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/tracker/tracker.module','tracker','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Content Translation Test\";s:11:\"description\";s:49:\"Support module for the content translation tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/translation/translation.module','translation','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Trigger Test\";s:11:\"description\";s:33:\"Support module for Trigger tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/trigger/trigger.module','trigger','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/update/tests/aaa_update_test.module','aaa_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"AAA Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"BBB Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"CCC Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/update_test.module','update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/update.module','update','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/user/tests/user_form_test.module','user_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"User module form tests\";s:11:\"description\";s:37:\"Support module for user form testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/user/user.module','user','module','',1,0,7019,0,'a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('profiles/standard/standard.profile','standard','module','',1,0,0,1000,'a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}'),('sites/all/modules/addressfield/addressfield.module','addressfield','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:13:\"Address Field\";s:11:\"description\";s:64:\"Manage a flexible address field, implementing the xNAL standard.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:3:{i:0;s:24:\"addressfield.migrate.inc\";i:1;s:50:\"views/addressfield_views_handler_field_country.inc\";i:2;s:51:\"views/addressfield_views_handler_filter_country.inc\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/addressfield/example/addressfield_example.module','addressfield_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Address Field Example\";s:11:\"description\";s:67:\"Example module for how to implement an addressfield format handler.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:12:\"addressfield\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_devel/admin_devel.module','admin_devel','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:32:\"Administration Development tools\";s:11:\"description\";s:76:\"Administration and debugging functionality for developers and site builders.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"scripts\";a:1:{s:14:\"admin_devel.js\";s:55:\"sites/all/modules/admin_menu/admin_devel/admin_devel.js\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu.module','admin_menu','module','',1,0,7304,100,'a:13:{s:4:\"name\";s:19:\"Administration menu\";s:11:\"description\";s:123:\"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:38:\"admin/config/administration/admin_menu\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.10)\";}s:5:\"files\";a:1:{i:0;s:21:\"tests/admin_menu.test\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module','admin_menu_toolbar','module','',1,0,6300,101,'a:12:{s:4:\"name\";s:33:\"Administration menu Toolbar style\";s:11:\"description\";s:17:\"A better Toolbar.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"admin_menu\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean.module','bean','module','',1,0,7013,0,'a:12:{s:4:\"name\";s:4:\"Bean\";s:11:\"description\";s:28:\"Create Bean (Block Entities)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:12:{i:0;s:22:\"includes/bean.core.inc\";i:1;s:22:\"includes/bean.info.inc\";i:2;s:28:\"plugins/BeanPlugin.class.php\";i:3;s:29:\"plugins/BeanDefault.class.php\";i:4;s:37:\"includes/translation.handler.bean.inc\";i:5;s:36:\"includes/bean.inline_entity_form.inc\";i:6;s:40:\"views/views_handler_filter_bean_type.inc\";i:7;s:39:\"views/views_handler_field_bean_type.inc\";i:8;s:44:\"views/views_handler_field_bean_edit_link.inc\";i:9;s:46:\"views/views_handler_field_bean_delete_link.inc\";i:10;s:45:\"views/views_handler_field_bean_operations.inc\";i:11;s:9:\"bean.test\";}s:12:\"dependencies\";a:2:{i:0;s:18:\"entity (>=7.x-1.0)\";i:1;s:6:\"ctools\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','bean_admin_ui','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:13:\"Bean Admin UI\";s:11:\"description\";s:47:\"Add the ability to create Block Types in the UI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"bean_admin_ui.module\";i:1;s:28:\"plugins/BeanCustom.class.php\";}s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:9:\"configure\";s:27:\"admin/structure/block-types\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_all/bean_all.module','bean_all','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Bean All\";s:11:\"description\";s:32:\"Integrate all blocks with beans.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"plugins/all.inc\";}s:12:\"dependencies\";a:3:{i:0;s:4:\"bean\";i:1;s:5:\"block\";i:2;s:4:\"menu\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1412260740\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_entitycache/bean_entitycache.module','bean_entitycache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Bean - Entitycache\";s:11:\"description\";s:54:\"Integrates the Bean module with the Entitycache module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:5:\"files\";a:1:{i:0;s:34:\"includes/bean_entitycache.core.inc\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:11:\"entitycache\";}s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_usage/bean_usage.module','bean_usage','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Bean Usage\";s:11:\"description\";s:32:\"View Bean (Block Entities) Usage\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:14:\"blockreference\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_uuid/bean_uuid.module','bean_uuid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Bean UUID\";s:11:\"description\";s:60:\"Allow deploying bean blocks through Deploy and UUID modules.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:4:\"uuid\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/tests/bean_test.module','bean_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Bean Test\";s:11:\"description\";s:29:\"Creates test plugins for bean\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:5:\"files\";a:1:{i:0;s:16:\"bean_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/better_exposed_filters.module','better_exposed_filters','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:11:\"description\";s:70:\"Allow the use of checkboxes or radio buttons for exposed Views filters\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:46:\"better_exposed_filters_exposed_form_plugin.inc\";i:1;s:33:\"tests/better_exposed_filters.test\";}s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:5:\"mtime\";i:1485926287;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/tests/bef_test_content/bef_test_content.module','bef_test_content','module','',0,0,-1,0,'a:15:{s:4:\"name\";s:16:\"BEF Test Content\";s:11:\"description\";s:53:\"Content and Views for testing Better Exposed Filters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"BEF Tests\";s:12:\"dependencies\";a:9:{i:0;s:22:\"better_exposed_filters\";i:1;s:4:\"date\";i:2;s:8:\"features\";i:3;s:4:\"list\";i:4;s:6:\"number\";i:5;s:8:\"taxonomy\";i:6;s:4:\"text\";i:7;s:5:\"views\";i:8;s:13:\"views_content\";}s:8:\"features\";a:7:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}s:10:\"field_base\";a:7:{i:0;s:19:\"field_bef_test_body\";i:1;s:19:\"field_bef_test_date\";i:2;s:22:\"field_bef_test_integer\";i:3;s:22:\"field_bef_test_letters\";i:4;s:23:\"field_bef_test_location\";i:5;s:22:\"field_bef_test_numbers\";i:6;s:20:\"field_bef_test_price\";}s:14:\"field_instance\";a:7:{i:0;s:33:\"node-bef_test-field_bef_test_body\";i:1;s:33:\"node-bef_test-field_bef_test_date\";i:2;s:36:\"node-bef_test-field_bef_test_integer\";i:3;s:36:\"node-bef_test-field_bef_test_letters\";i:4;s:37:\"node-bef_test-field_bef_test_location\";i:5;s:36:\"node-bef_test-field_bef_test_numbers\";i:6;s:34:\"node-bef_test-field_bef_test_price\";}s:4:\"node\";a:1:{i:0;s:8:\"bef_test\";}s:8:\"taxonomy\";a:1:{i:0;s:26:\"taxonomy-bef_test-location\";}s:10:\"views_view\";a:1:{i:0;s:13:\"bef_test_view\";}}s:16:\"features_exclude\";a:2:{s:12:\"dependencies\";a:2:{s:6:\"ctools\";s:6:\"ctools\";s:7:\"options\";s:7:\"options\";}s:5:\"field\";a:7:{s:18:\"node-bef_test-body\";s:18:\"node-bef_test-body\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_numbers\";s:27:\"node-bef_test-field_numbers\";s:28:\"node-bef_test-field_location\";s:28:\"node-bef_test-field_location\";s:27:\"node-bef_test-field_integer\";s:27:\"node-bef_test-field_integer\";s:25:\"node-bef_test-field_price\";s:25:\"node-bef_test-field_price\";s:24:\"node-bef_test-field_date\";s:24:\"node-bef_test-field_date\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:7:\"7.x-3.4\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1485926287\";s:5:\"mtime\";i:1485926287;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/blockreference/blockreference.module','blockreference','module','',1,0,7200,0,'a:14:{s:4:\"name\";s:15:\"Block reference\";s:11:\"description\";s:57:\"Defines a field type for referencing a block from a node.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:4:{i:0;s:5:\"field\";i:1;s:7:\"options\";i:2;s:5:\"block\";i:3;s:6:\"entity\";}s:5:\"files\";a:1:{i:0;s:37:\"MigrateBlockReferenceFieldHandler.inc\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:14:\"blockreference\";s:9:\"datestamp\";s:10:\"1426258985\";s:5:\"mtime\";i:1499930424;s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/block_class/block_class.module','block_class','module','',1,0,7103,0,'a:13:{s:4:\"name\";s:11:\"Block Class\";s:11:\"description\";s:39:\"Allows assigning CSS classes to blocks.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:5:\"files\";a:1:{i:0;s:16:\"block_class.test\";}s:17:\"test_dependencies\";a:3:{i:0;s:7:\"context\";i:1;s:14:\"features (2.x)\";i:2;s:14:\"features_extra\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/tests/block_class_fe_block_test.module','block_class_fe_block_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:44:\"Block Class FE Block Integration Test Helper\";s:11:\"description\";s:99:\"Helper module for testing the integration of Block Class with Features through the FE Block module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:12:\"dependencies\";a:1:{i:0;s:8:\"fe_block\";}s:8:\"features\";a:2:{s:17:\"fe_block_settings\";a:1:{i:0;s:11:\"user-online\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/colorbox/colorbox.module','colorbox','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Colorbox\";s:11:\"description\";s:63:\"A light-weight, customizable lightbox plugin for jQuery 1.4.3+.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"libraries (2.x)\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/config/media/colorbox\";s:5:\"files\";a:1:{i:0;s:41:\"views/colorbox_handler_field_colorbox.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1410514129\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context.module','context','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:7:\"Context\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:11:\"description\";s:66:\"Provide modules with a cache that lasts for a single page request.\";s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:18:\"tests/context.test\";i:1;s:29:\"tests/context.conditions.test\";i:2;s:28:\"tests/context.reactions.test\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_layouts/context_layouts.module','context_layouts','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Context layouts\";s:11:\"description\";s:80:\"Allow theme layer to provide multiple region layouts and integrate with context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"plugins/context_layouts_reaction_block.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_ui/context_ui.module','context_ui','module','',1,0,6004,0,'a:13:{s:4:\"name\";s:10:\"Context UI\";s:11:\"description\";s:68:\"Provides a simple UI for settings up a site structure using Context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/structure/context\";s:5:\"files\";a:2:{i:0;s:14:\"context.module\";i:1;s:21:\"tests/context_ui.test\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/countries.module','countries','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:9:\"Countries\";s:11:\"description\";s:113:\"A module that provides a FAPI / Field country element and a simple wrapper module to store / update country data.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:50:\"views/views_handler_argument_countries_country.inc\";i:1;s:49:\"views/views_handler_field_countries_continent.inc\";i:2;s:56:\"views/views_handler_filter_countries_continents_list.inc\";i:3;s:45:\"views/views_handler_filter_countries_list.inc\";i:4;s:21:\"countries.migrate.inc\";i:5;s:20:\"tests/countries.test\";}s:9:\"configure\";s:31:\"admin/config/regional/countries\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:10:\"recommends\";a:1:{i:0;s:12:\"countryicons\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_configuration/countries_configuration.module','countries_configuration','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:23:\"Countries configuration\";s:11:\"description\";s:71:\"A configuration utility module to assist storing country specific data.\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.3\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_example/countries_example.module','countries_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Countries Example\";s:11:\"description\";s:24:\"Countries example module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:15:\"Example modules\";s:12:\"dependencies\";a:1:{i:0;s:9:\"countries\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_i18n/countries_i18n.module','countries_i18n','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Countries translation\";s:11:\"description\";s:25:\"Translation of countries.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:12:\"dependencies\";a:2:{i:0;s:9:\"countries\";i:1;s:11:\"i18n_string\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Bulk Export\";s:11:\"description\";s:67:\"Performs bulk exporting of data objects known about by Chaos tools.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:5:\"files\";a:11:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:18:\"tests/context.test\";i:5;s:14:\"tests/css.test\";i:6;s:20:\"tests/css_cache.test\";i:7;s:25:\"tests/ctools.plugins.test\";i:8;s:26:\"tests/math_expression.test\";i:9;s:32:\"tests/math_expression_stack.test\";i:10;s:23:\"tests/object_cache.test\";}s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Custom rulesets\";s:11:\"description\";s:81:\"Create custom, exportable, reusable access rulesets for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:11:\"description\";s:41:\"Shows how to use the power of Chaos AJAX.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Custom content panes\";s:11:\"description\";s:79:\"Create custom, exportable, reusable content panes for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:35:\"Chaos Tools (CTools) Plugin Example\";s:11:\"description\";s:75:\"Shows how an external module can provide ctools plugins (for Panels, etc.).\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:4:{i:0;s:6:\"ctools\";i:1;s:6:\"panels\";i:2;s:12:\"page_manager\";i:3;s:13:\"advanced_help\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Page manager\";s:11:\"description\";s:54:\"Provides a UI and API to manage pages within the site.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Stylizer\";s:11:\"description\";s:53:\"Create custom styles for applications such as Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"color\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/term_depth/term_depth.module','term_depth','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Term Depth access\";s:11:\"description\";s:48:\"Controls access to context based upon term depth\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module','ctools_export_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"CTools export test\";s:11:\"description\";s:25:\"CTools export test module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:6:\"hidden\";b:1;s:5:\"files\";a:1:{i:0;s:18:\"ctools_export.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Chaos tools plugins test\";s:11:\"description\";s:42:\"Provides hooks for testing ctools plugins.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:6:{i:0;s:19:\"ctools.plugins.test\";i:1;s:17:\"object_cache.test\";i:2;s:8:\"css.test\";i:3;s:12:\"context.test\";i:4;s:20:\"math_expression.test\";i:5;s:26:\"math_expression_stack.test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Views content panes\";s:11:\"description\";s:104:\"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.12\";s:5:\"files\";a:3:{i:0;s:61:\"plugins/views/views_content_plugin_display_ctools_context.inc\";i:1;s:57:\"plugins/views/views_content_plugin_display_panel_pane.inc\";i:2;s:59:\"plugins/views/views_content_plugin_style_ctools_context.inc\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs.module','custom_breadcrumbs','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Custom breadcrumbs\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:11:\"description\";s:72:\"Allows administrators to define custom breadcrumb trails for node types.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:4:{i:0;s:28:\"custom_breadcrumbs.admin.inc\";i:1;s:26:\"custom_breadcrumbs.install\";i:2;s:25:\"custom_breadcrumbs.module\";i:3;s:29:\"custom_breadcrumbs_common.inc\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbsapi/custom_breadcrumbsapi.module','custom_breadcrumbsapi','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Custom breadcrumbs API\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:1:{i:0;s:18:\"custom_breadcrumbs\";}s:11:\"description\";s:107:\"Provides a simple API to set breadcrumbs on module pages not served by other custom breadcrumbs submodules.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:29:\"custom_breadcrumbsapi.install\";i:1;s:28:\"custom_breadcrumbsapi.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_identifiers/custom_breadcrumbs_identifiers.module','custom_breadcrumbs_identifiers','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:30:\"Custom breadcrumbs identifiers\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:11:\"description\";s:52:\"Provides special identifiers for custom breadcrumbs.\";s:12:\"dependencies\";a:1:{i:0;s:18:\"custom_breadcrumbs\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:1:{i:0;s:37:\"custom_breadcrumbs_identifiers.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_panels/custom_breadcrumbs_panels.module','custom_breadcrumbs_panels','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"Custom breadcrumbs for panels\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:4:{i:0;s:18:\"custom_breadcrumbs\";i:1;s:6:\"panels\";i:2;s:6:\"ctools\";i:3;s:12:\"page_manager\";}s:11:\"description\";s:45:\"Provides custom breadcrumbs for panels pages.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:2:{i:0;s:33:\"custom_breadcrumbs_panels.install\";i:1;s:32:\"custom_breadcrumbs_panels.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_paths/custom_breadcrumbs_paths.module','custom_breadcrumbs_paths','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Custom breadcrumbs for paths\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:1:{i:0;s:18:\"custom_breadcrumbs\";}s:11:\"description\";s:47:\"Provides custom breadcrumbs for specific paths.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:2:{i:0;s:32:\"custom_breadcrumbs_paths.install\";i:1;s:31:\"custom_breadcrumbs_paths.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_taxonomy/custom_breadcrumbs_taxonomy.module','custom_breadcrumbs_taxonomy','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:31:\"Custom breadcrumbs for taxonomy\";s:11:\"description\";s:89:\"Enables taxonomy based breadcrumbs and allows for node assosciations with taxonomy terms.\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:2:{i:0;s:18:\"custom_breadcrumbs\";i:1;s:8:\"taxonomy\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:4:{i:0;s:37:\"custom_breadcrumbs_taxonomy.admin.inc\";i:1;s:31:\"custom_breadcrumbs_taxonomy.inc\";i:2;s:35:\"custom_breadcrumbs_taxonomy.install\";i:3;s:34:\"custom_breadcrumbs_taxonomy.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_views/custom_breadcrumbs_views.module','custom_breadcrumbs_views','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Custom breadcrumbs for views\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:2:{i:0;s:18:\"custom_breadcrumbs\";i:1;s:5:\"views\";}s:11:\"description\";s:44:\"Provides custom breadcrumbs for views pages.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:2:{i:0;s:32:\"custom_breadcrumbs_views.install\";i:1;s:31:\"custom_breadcrumbs_views.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_search/custom_search.module','custom_search','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Custom Search\";s:11:\"description\";s:119:\"Customize the default search, change labels, default texts, ordering, and display content types and taxonomy selectors.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:12:\"dependencies\";a:1:{i:0;s:6:\"search\";}s:9:\"configure\";s:33:\"admin/config/search/custom_search\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:13:\"custom_search\";s:9:\"datestamp\";s:10:\"1424262482\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_search/modules/custom_search_blocks/custom_search_blocks.module','custom_search_blocks','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Custom Search Blocks\";s:11:\"description\";s:34:\"Provides additional search blocks.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:13:\"custom_search\";}s:9:\"configure\";s:40:\"admin/config/search/custom_search/blocks\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:13:\"custom_search\";s:9:\"datestamp\";s:10:\"1424262482\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_search/modules/custom_search_i18n/custom_search_i18n.module','custom_search_i18n','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:34:\"Custom Search Internationalization\";s:11:\"description\";s:47:\"Provides Internationalization to Custom Search.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:12:\"dependencies\";a:2:{i:0;s:13:\"custom_search\";i:1;s:11:\"i18n_string\";}s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:13:\"custom_search\";s:9:\"datestamp\";s:10:\"1424262482\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_search/modules/custom_search_taxonomy/custom_search_taxonomy.module','custom_search_taxonomy','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Custom Search Taxonomy\";s:11:\"description\";s:41:\"Adds taxonomy selectors to Custom Search.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:12:\"dependencies\";a:2:{i:0;s:13:\"custom_search\";i:1;s:8:\"taxonomy\";}s:9:\"configure\";s:42:\"admin/config/search/custom_search/taxonomy\";s:7:\"version\";s:8:\"7.x-1.18\";s:7:\"project\";s:13:\"custom_search\";s:9:\"datestamp\";s:10:\"1424262482\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date.module','date','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:4:\"Date\";s:11:\"description\";s:33:\"Makes date/time fields available.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:7:{i:0;s:16:\"date.migrate.inc\";i:1;s:19:\"tests/date_api.test\";i:2;s:15:\"tests/date.test\";i:3;s:21:\"tests/date_field.test\";i:4;s:23:\"tests/date_migrate.test\";i:5;s:26:\"tests/date_validation.test\";i:6;s:24:\"tests/date_timezone.test\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_all_day/date_all_day.module','date_all_day','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Date All Day\";s:11:\"description\";s:142:\"Adds \'All Day\' functionality to date fields, including an \'All Day\' theme and \'All Day\' checkboxes for the Date select and Date popup widgets.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_api/date_api.module','date_api','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Date API\";s:11:\"description\";s:45:\"A Date API that can be used by other modules.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"date.css\";s:40:\"sites/all/modules/date/date_api/date.css\";}}s:5:\"files\";a:2:{i:0;s:15:\"date_api.module\";i:1;s:16:\"date_api_sql.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_context/date_context.module','date_context','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Date Context\";s:11:\"description\";s:99:\"Adds an option to the Context module to set a context condition based on the value of a date field.\";s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"date\";i:1;s:7:\"context\";}s:5:\"files\";a:2:{i:0;s:19:\"date_context.module\";i:1;s:39:\"plugins/date_context_date_condition.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate.module','date_migrate','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Date Migration\";s:11:\"description\";s:73:\"Obsolete data migration module. Disable if no other modules depend on it.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"Date/Time\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.module','date_migrate_example','module','',0,0,-1,0,'a:13:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:5:{i:0;s:4:\"date\";i:1;s:11:\"date_repeat\";i:2;s:17:\"date_repeat_field\";i:3;s:8:\"features\";i:4;s:7:\"migrate\";}s:11:\"description\";s:42:\"Examples of migrating with the Date module\";s:8:\"features\";a:2:{s:5:\"field\";a:8:{i:0;s:30:\"node-date_migrate_example-body\";i:1;s:36:\"node-date_migrate_example-field_date\";i:2;s:42:\"node-date_migrate_example-field_date_range\";i:3;s:43:\"node-date_migrate_example-field_date_repeat\";i:4;s:41:\"node-date_migrate_example-field_datestamp\";i:5;s:47:\"node-date_migrate_example-field_datestamp_range\";i:6;s:40:\"node-date_migrate_example-field_datetime\";i:7;s:46:\"node-date_migrate_example-field_datetime_range\";}s:4:\"node\";a:1:{i:0;s:20:\"date_migrate_example\";}}s:5:\"files\";a:1:{i:0;s:32:\"date_migrate_example.migrate.inc\";}s:4:\"name\";s:22:\"Date Migration Example\";s:7:\"package\";s:8:\"Features\";s:7:\"project\";s:4:\"date\";s:7:\"version\";s:7:\"7.x-2.8\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_popup/date_popup.module','date_popup','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Date Popup\";s:11:\"description\";s:84:\"Enables jquery popup calendars and time entry widgets for selecting dates and times.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/date/date_popup\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:25:\"themes/datepicker.1.7.css\";s:59:\"sites/all/modules/date/date_popup/themes/datepicker.1.7.css\";}}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat/date_repeat.module','date_repeat','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Date Repeat API\";s:11:\"description\";s:73:\"A Date Repeat API to calculate repeating dates and times from iCal rules.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"date_api\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:2:{i:0;s:22:\"tests/date_repeat.test\";i:1;s:27:\"tests/date_repeat_form.test\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_repeat_field/date_repeat_field.module','date_repeat_field','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Date Repeat Field\";s:11:\"description\";s:97:\"Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.\";s:12:\"dependencies\";a:3:{i:0;s:8:\"date_api\";i:1;s:4:\"date\";i:2;s:11:\"date_repeat\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:21:\"date_repeat_field.css\";s:62:\"sites/all/modules/date/date_repeat_field/date_repeat_field.css\";}}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_tools/date_tools.module','date_tools','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Date Tools\";s:11:\"description\";s:52:\"Tools to import and auto-create dates and calendars.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"date\";}s:7:\"package\";s:9:\"Date/Time\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/config/date/tools\";s:5:\"files\";a:1:{i:0;s:21:\"tests/date_tools.test\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/date/date_views/date_views.module','date_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Date Views\";s:11:\"description\";s:57:\"Views integration for date fields and date functionality.\";s:7:\"package\";s:9:\"Date/Time\";s:12:\"dependencies\";a:2:{i:0;s:8:\"date_api\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:5:\"files\";a:6:{i:0;s:40:\"includes/date_views_argument_handler.inc\";i:1;s:47:\"includes/date_views_argument_handler_simple.inc\";i:2;s:38:\"includes/date_views_filter_handler.inc\";i:3;s:45:\"includes/date_views_filter_handler_simple.inc\";i:4;s:29:\"includes/date_views.views.inc\";i:5;s:36:\"includes/date_views_plugin_pager.inc\";}s:7:\"version\";s:7:\"7.x-2.8\";s:7:\"project\";s:4:\"date\";s:9:\"datestamp\";s:10:\"1406653438\";s:5:\"mtime\";i:1499930424;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel.module','devel','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:5:\"Devel\";s:11:\"description\";s:52:\"Various blocks, pages, and functions for developers.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:5:\"files\";a:2:{i:0;s:10:\"devel.test\";i:1;s:14:\"devel.mail.inc\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_generate/devel_generate.module','devel_generate','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:14:\"Devel generate\";s:11:\"description\";s:48:\"Generate dummy users, nodes, and taxonomy terms.\";s:7:\"package\";s:11:\"Development\";s:4:\"core\";s:3:\"7.x\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:9:\"configure\";s:33:\"admin/config/development/generate\";s:5:\"files\";a:1:{i:0;s:19:\"devel_generate.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/devel/devel_node_access.module','devel_node_access','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:17:\"Devel node access\";s:11:\"description\";s:68:\"Developer blocks and page illustrating relevant node_access records.\";s:7:\"package\";s:11:\"Development\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:30:\"admin/config/development/devel\";s:4:\"tags\";a:1:{i:0;s:9:\"developer\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:5:\"devel\";s:9:\"datestamp\";s:10:\"1398963366\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/email/email.module','email','module','',1,0,0,0,'a:14:{s:4:\"name\";s:5:\"Email\";s:11:\"description\";s:28:\"Defines an email field type.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:1:{i:0;s:17:\"email.migrate.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:5:\"email\";s:9:\"datestamp\";s:10:\"1397134155\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/entity/entity.module','entity','module','',1,0,7003,0,'a:12:{s:4:\"name\";s:10:\"Entity API\";s:11:\"description\";s:69:\"Enables modules to work with any entity type and to provide entities.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:24:{i:0;s:19:\"entity.features.inc\";i:1;s:15:\"entity.i18n.inc\";i:2;s:15:\"entity.info.inc\";i:3;s:16:\"entity.rules.inc\";i:4;s:11:\"entity.test\";i:5;s:19:\"includes/entity.inc\";i:6;s:30:\"includes/entity.controller.inc\";i:7;s:22:\"includes/entity.ui.inc\";i:8;s:27:\"includes/entity.wrapper.inc\";i:9;s:22:\"views/entity.views.inc\";i:10;s:52:\"views/handlers/entity_views_field_handler_helper.inc\";i:11;s:51:\"views/handlers/entity_views_handler_area_entity.inc\";i:12;s:53:\"views/handlers/entity_views_handler_field_boolean.inc\";i:13;s:50:\"views/handlers/entity_views_handler_field_date.inc\";i:14;s:54:\"views/handlers/entity_views_handler_field_duration.inc\";i:15;s:52:\"views/handlers/entity_views_handler_field_entity.inc\";i:16;s:51:\"views/handlers/entity_views_handler_field_field.inc\";i:17;s:53:\"views/handlers/entity_views_handler_field_numeric.inc\";i:18;s:53:\"views/handlers/entity_views_handler_field_options.inc\";i:19;s:50:\"views/handlers/entity_views_handler_field_text.inc\";i:20;s:49:\"views/handlers/entity_views_handler_field_uri.inc\";i:21;s:62:\"views/handlers/entity_views_handler_relationship_by_bundle.inc\";i:22;s:52:\"views/handlers/entity_views_handler_relationship.inc\";i:23;s:53:\"views/plugins/entity_views_plugin_row_entity_view.inc\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity_token.module','entity_token','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Entity tokens\";s:11:\"description\";s:99:\"Provides token replacements for all properties that have no tokens and are known to the entity API.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"entity_token.tokens.inc\";i:1;s:19:\"entity_token.module\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_feature.module','entity_feature','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Entity feature module\";s:11:\"description\";s:31:\"Provides some entities in code.\";s:7:\"version\";s:7:\"7.x-1.6\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:21:\"entity_feature.module\";}s:12:\"dependencies\";a:1:{i:0;s:11:\"entity_test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test.module','entity_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Entity CRUD test module\";s:11:\"description\";s:46:\"Provides entity types based upon the CRUD API.\";s:7:\"version\";s:7:\"7.x-1.6\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"entity_test.module\";i:1;s:19:\"entity_test.install\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test_i18n.module','entity_test_i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity-test type translation\";s:11:\"description\";s:37:\"Allows translating entity-test types.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"entity_test\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/entityreference.module','entityreference','module','',1,0,7002,0,'a:12:{s:4:\"name\";s:16:\"Entity Reference\";s:11:\"description\";s:51:\"Provides a field that can reference other entities.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:5:\"files\";a:11:{i:0;s:27:\"entityreference.migrate.inc\";i:1;s:30:\"plugins/selection/abstract.inc\";i:2;s:27:\"plugins/selection/views.inc\";i:3;s:29:\"plugins/behavior/abstract.inc\";i:4;s:40:\"views/entityreference_plugin_display.inc\";i:5;s:38:\"views/entityreference_plugin_style.inc\";i:6;s:43:\"views/entityreference_plugin_row_fields.inc\";i:7;s:35:\"tests/entityreference.handlers.test\";i:8;s:35:\"tests/entityreference.taxonomy.test\";i:9;s:32:\"tests/entityreference.admin.test\";i:10;s:32:\"tests/entityreference.feeds.test\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/examples/entityreference_behavior_example/entityreference_behavior_example.module','entityreference_behavior_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Entity Reference Behavior Example\";s:11:\"description\";s:71:\"Provides some example code for implementing Entity Reference behaviors.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/tests/modules/entityreference_feeds_test/entityreference_feeds_test.module','entityreference_feeds_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:41:\"Entityreference - Feeds integration tests\";s:11:\"description\";s:65:\"Support module for the Entityreference - Feeds integration tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"feeds\";i:1;s:8:\"feeds_ui\";i:2;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/faq/faq.module','faq','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Frequently Asked Questions\";s:11:\"description\";s:50:\"Manages configuration of questions for a FAQ page.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:18:{i:0;s:13:\"faq.admin.inc\";i:1;s:11:\"faq.install\";i:2;s:10:\"faq.module\";i:3;s:8:\"faq.test\";i:4;s:41:\"includes/faq-category-hide-answer.tpl.php\";i:5;s:38:\"includes/faq-category-new-page.tpl.php\";i:6;s:46:\"includes/faq-category-questions-inline.tpl.php\";i:7;s:51:\"includes/faq-category-questions-top-answers.tpl.php\";i:8;s:43:\"includes/faq-category-questions-top.tpl.php\";i:9;s:32:\"includes/faq-hide-answer.tpl.php\";i:10;s:29:\"includes/faq-new-page.tpl.php\";i:11;s:37:\"includes/faq-questions-inline.tpl.php\";i:12;s:34:\"includes/faq-questions-top.tpl.php\";i:13;s:28:\"includes/faq.hide_answer.inc\";i:14;s:25:\"includes/faq.new_page.inc\";i:15;s:33:\"includes/faq.questions_inline.inc\";i:16;s:30:\"includes/faq.questions_top.inc\";i:17;s:19:\"views/faq.views.inc\";}s:9:\"configure\";s:24:\"admin/config/content/faq\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:3:\"faq\";s:9:\"datestamp\";s:10:\"1415528891\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/features/features.module','features','module','',1,0,7200,20,'a:14:{s:4:\"name\";s:8:\"Features\";s:11:\"description\";s:39:\"Provides feature management for Drupal.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:5:\"files\";a:1:{i:0;s:19:\"tests/features.test\";}s:17:\"test_dependencies\";a:4:{i:0;s:5:\"image\";i:1;s:9:\"strongarm\";i:2;s:8:\"taxonomy\";i:3;s:5:\"views\";}s:9:\"configure\";s:33:\"admin/structure/features/settings\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:5:\"mtime\";i:1461011641;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/features/tests/features_test/features_test.module','features_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:14:\"Features Tests\";s:11:\"description\";s:33:\"Test module for Features testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:3:\"php\";s:5:\"5.2.0\";s:12:\"dependencies\";a:5:{i:0;s:8:\"features\";i:1;s:5:\"image\";i:2;s:9:\"strongarm\";i:3;s:8:\"taxonomy\";i:4;s:5:\"views\";}s:8:\"features\";a:10:{s:6:\"ctools\";a:2:{i:0;s:21:\"strongarm:strongarm:1\";i:1;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}s:10:\"field_base\";a:1:{i:0;s:19:\"field_features_test\";}s:14:\"field_instance\";a:1:{i:0;s:38:\"node-features_test-field_features_test\";}s:6:\"filter\";a:1:{i:0;s:13:\"features_test\";}s:5:\"image\";a:1:{i:0;s:13:\"features_test\";}s:4:\"node\";a:1:{i:0;s:13:\"features_test\";}s:8:\"taxonomy\";a:1:{i:0;s:22:\"taxonomy_features_test\";}s:15:\"user_permission\";a:1:{i:0;s:28:\"create features_test content\";}s:10:\"views_view\";a:1:{i:0;s:13:\"features_test\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:8:\"features\";s:9:\"datestamp\";s:10:\"1461011641\";s:5:\"mtime\";i:1461011641;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_collection/field_collection.module','field_collection','module','',1,0,7006,0,'a:15:{s:4:\"name\";s:16:\"Field collection\";s:11:\"description\";s:81:\"Provides a field collection field, to which any number of fields can be attached.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:5:\"files\";a:4:{i:0;s:21:\"field_collection.test\";i:1;s:25:\"field_collection.info.inc\";i:2;s:47:\"views/field_collection_handler_relationship.inc\";i:3;s:28:\"field_collection.migrate.inc\";}s:9:\"configure\";s:33:\"admin/structure/field-collections\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/field_group/field_group.module','field_group','module','',1,0,7008,1,'a:12:{s:4:\"name\";s:11:\"Field Group\";s:11:\"description\";s:67:\"Provides the ability to group your fields on both form and display.\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:25:\"tests/field_group.ui.test\";i:1;s:30:\"tests/field_group.display.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/tests/field_group_test.module','field_group_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Field Group Test\";s:11:\"description\";s:27:\"Test module for Field Group\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_slideshow/field_slideshow.module','field_slideshow','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:15:\"Field Slideshow\";s:11:\"description\";s:65:\"Provides a Slideshow format for displaying Image or Media fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:9:\"libraries\";}s:5:\"files\";a:1:{i:0;s:22:\"field_slideshow.module\";}s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider.module','flexslider','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:10:\"FlexSlider\";s:11:\"description\";s:46:\"Integrate the FlexSlider 2 library with Drupal\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:3:{i:0;s:17:\"libraries (>=2.x)\";i:1;s:6:\"ctools\";i:2;s:5:\"image\";}s:5:\"files\";a:2:{i:0;s:26:\"theme/flexslider.theme.inc\";i:1;s:15:\"flexslider.test\";}s:9:\"configure\";s:29:\"admin/config/media/flexslider\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_example/flexslider_example.module','flexslider_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"FlexSlider Example\";s:11:\"description\";s:35:\"Sample implementation of FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:7:\"context\";i:1;s:8:\"features\";i:2;s:10:\"flexslider\";i:3;s:17:\"flexslider_fields\";i:4;s:16:\"flexslider_views\";i:5;s:5:\"image\";i:6;s:4:\"menu\";i:7;s:9:\"strongarm\";i:8;s:5:\"views\";}s:8:\"features\";a:9:{s:7:\"context\";a:1:{i:0;s:28:\"flexslider_example_thumbnail\";}s:6:\"ctools\";a:4:{i:0;s:17:\"context:context:3\";i:1;s:38:\"flexslider:flexslider_default_preset:1\";i:2;s:21:\"strongarm:strongarm:1\";i:3;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:2:{i:0;s:54:\"node-flexslider_example-field_flexslider_example_image\";i:1;s:56:\"node-flexslider_example-field_flexslider_example_slidesh\";}s:20:\"flexslider_optionset\";a:6:{i:0;s:43:\"flexslider_carousel_with_min_and_max_ranges\";i:1;s:33:\"flexslider_default_basic_carousel\";i:2;s:46:\"flexslider_default_slider_thumbnail_controlnav\";i:3;s:44:\"flexslider_default_slider_w_thumbnail_slider\";i:4;s:37:\"flexslider_default_thumbnail_captions\";i:5;s:35:\"flexslider_default_thumbnail_slider\";}s:11:\"menu_custom\";a:1:{i:0;s:23:\"menu-flexslider-example\";}s:4:\"node\";a:1:{i:0;s:18:\"flexslider_example\";}s:8:\"variable\";a:1:{i:0;s:46:\"field_bundle_settings_node__flexslider_example\";}s:10:\"views_view\";a:1:{i:0;s:24:\"flexslider_views_example\";}}s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499930424;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_fields/flexslider_fields.module','flexslider_fields','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"FlexSlider Fields\";s:11:\"description\";s:44:\"Adds a display mode in Fields for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:1:{i:0;s:10:\"flexslider\";}s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','flexslider_views','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"FlexSlider Views Style\";s:11:\"description\";s:40:\"Adds a Views style plugin for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:10:\"flexslider\";}s:5:\"files\";a:3:{i:0;s:23:\"flexslider_views.module\";i:1;s:26:\"flexslider_views.views.inc\";i:2;s:44:\"flexslider_views_plugin_style_flexslider.inc\";}s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1378663043\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/block/flickr_block.module','flickr_block','module','',1,0,7101,0,'a:13:{s:4:\"name\";s:12:\"Flickr Block\";s:11:\"description\";s:90:\"Display Flickr images in blocks to show recent or random images from a user, set or group.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:21:\"admin/structure/block\";s:12:\"dependencies\";a:2:{i:0;s:6:\"flickr\";i:1;s:5:\"block\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/field/flickrfield.module','flickrfield','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Flickr Field\";s:11:\"description\";s:47:\"Add Flickr images or sets to content as fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:21:\"admin/structure/types\";s:12:\"dependencies\";a:2:{i:0;s:6:\"flickr\";i:1;s:5:\"field\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/filter/flickr_filter.module','flickr_filter','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Flickr Filter\";s:11:\"description\";s:60:\"A text filter to insert Flickr photos and sets into content.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:28:\"admin/config/content/formats\";s:12:\"dependencies\";a:1:{i:0;s:6:\"flickr\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/flickr.module','flickr','module','',1,0,7101,0,'a:13:{s:4:\"name\";s:6:\"Flickr\";s:11:\"description\";s:30:\"Flickr and Drupal integration.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:9:\"configure\";s:25:\"admin/config/media/flickr\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/sets/flickr_sets.module','flickr_sets','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Flickr Sets\";s:11:\"description\";s:46:\"Adds photoset capability to the Flickr module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:12:\"dependencies\";a:1:{i:0;s:6:\"flickr\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flickr/tags/flickr_tags.module','flickr_tags','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Flickr Tags\";s:11:\"description\";s:38:\"Adds tags capability to Flickr module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Flickr\";s:12:\"dependencies\";a:1:{i:0;s:6:\"flickr\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"flickr\";s:9:\"datestamp\";s:10:\"1403814832\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fontawesome/fontawesome.module','fontawesome','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Font Awesome\";s:11:\"description\";s:52:\"Iconic font designed for use with Twitter Bootstrap.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:21:\"libraries (>=7.x-2.0)\";}s:5:\"files\";a:2:{i:0;s:19:\"fontawesome.install\";i:1;s:18:\"fontawesome.module\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420873983\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/galleryformatter/galleryformatter.module','galleryformatter','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Gallery Formatter\";s:11:\"description\";s:54:\"Provides a jquery gallery CCK formatter for imagefield\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"file\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"User interface\";s:5:\"files\";a:5:{i:0;s:24:\"galleryformatter.install\";i:1;s:23:\"galleryformatter.module\";i:2;s:35:\"includes/galleryformatter.theme.inc\";i:3;s:40:\"includes/galleryformatter_imagecache.inc\";i:4;s:30:\"theme/galleryformatter.tpl.php\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1355821655\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/geocoder/geocoder.module','geocoder','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Geocoder\";s:11:\"description\";s:74:\"An API and widget to geocode various known data into other GIS data types.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"geophp\";i:1;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"geocoder\";s:9:\"datestamp\";s:10:\"1346083034\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/geofield/geofield.module','geofield','module','',1,0,7202,0,'a:14:{s:4:\"name\";s:8:\"Geofield\";s:11:\"description\";s:66:\"Stores geographic and location data (points, lines, and polygons).\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:14:\"geophp (>=1.7)\";i:1;s:6:\"ctools\";}s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:21:{i:0;s:15:\"geofield.module\";i:1;s:16:\"geofield.install\";i:2;s:21:\"geofield.elements.inc\";i:3;s:20:\"geofield.widgets.inc\";i:4;s:23:\"geofield.formatters.inc\";i:5;s:23:\"geofield.openlayers.inc\";i:6;s:18:\"geofield.feeds.inc\";i:7;s:19:\"tests/geofield.test\";i:8;s:24:\"views/geofield.views.inc\";i:9;s:40:\"views/handlers/geofield_handler_sort.inc\";i:10;s:41:\"views/handlers/geofield_handler_field.inc\";i:11;s:42:\"views/handlers/geofield_handler_filter.inc\";i:12;s:54:\"views/handlers/geofield_handler_argument_proximity.inc\";i:13;s:49:\"views/proximity_plugins/geofieldProximityBase.inc\";i:14;s:51:\"views/proximity_plugins/geofieldProximityManual.inc\";i:15;s:53:\"views/proximity_plugins/geofieldProximityGeocoder.inc\";i:16;s:54:\"views/proximity_plugins/geofieldProximityEntityURL.inc\";i:17;s:58:\"views/proximity_plugins/geofieldProximityOtherGeofield.inc\";i:18;s:56:\"views/proximity_plugins/geofieldProximityCurrentUser.inc\";i:19;s:58:\"views/proximity_plugins/geofieldProximityExposedFilter.inc\";i:20;s:61:\"views/proximity_plugins/geofieldProximityContextualFilter.inc\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"geofield\";s:9:\"datestamp\";s:10:\"1411337638\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/geofield/modules/geofield_map/geofield_map.module','geofield_map','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Geofield Map\";s:11:\"description\";s:49:\"Provides a basic mapping interface for Geofields.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:8:\"geofield\";}s:5:\"files\";a:2:{i:0;s:31:\"includes/geofield_map.views.inc\";i:1;s:42:\"includes/geofield_map_plugin_style_map.inc\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"geofield\";s:9:\"datestamp\";s:10:\"1411337638\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/geofield/tests/geofield_openlayers_test.module','geofield_openlayers_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Geofield/Openlayers Integration tests\";s:11:\"description\";s:45:\"Integration tests for Geofield and Openlayers\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:2:{i:0;s:8:\"geofield\";i:1;s:10:\"openlayers\";}s:5:\"files\";a:1:{i:0;s:24:\"geofield_openlayers.test\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"geofield\";s:9:\"datestamp\";s:10:\"1411337638\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/geofield/tests/geofield_test.module','geofield_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Geofield test\";s:11:\"description\";s:38:\"Support module for the Geofield tests.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:2:{i:0;s:8:\"geocoder\";i:1;s:8:\"geofield\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:8:\"geofield\";s:9:\"datestamp\";s:10:\"1411337638\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/geofield_gmap/geofield_gmap.module','geofield_gmap','module','',0,0,-1,0,'a:15:{s:4:\"name\";s:13:\"Geofield Gmap\";s:11:\"description\";s:45:\"Google Map widget and formatter for geofield.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"geofield\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:23:\"geofield_gmap.admin.inc\";i:1;s:21:\"geofield_gmap.install\";i:2;s:20:\"geofield_gmap.module\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:17:\"geofield_gmap.css\";s:49:\"sites/all/modules/geofield_gmap/geofield_gmap.css\";}}s:7:\"scripts\";a:1:{s:16:\"geofield_gmap.js\";s:48:\"sites/all/modules/geofield_gmap/geofield_gmap.js\";}s:9:\"configure\";s:34:\"admin/config/content/geofield_gmap\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:7:\"project\";s:13:\"geofield_gmap\";s:9:\"datestamp\";s:10:\"1412210330\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/geophp/geophp.module','geophp','module','',1,0,0,0,'a:12:{s:4:\"name\";s:6:\"geoPHP\";s:11:\"description\";s:61:\"Wraps the geoPHP library: advanced geometry operations in PHP\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"geophp\";s:9:\"datestamp\";s:10:\"1352084822\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap.module','gmap','module','',1,0,5003,0,'a:13:{s:4:\"name\";s:4:\"GMap\";s:11:\"description\";s:48:\"Views plugins to show Google Maps from entities.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:9:\"configure\";s:26:\"admin/config/services/gmap\";s:5:\"files\";a:9:{i:0;s:26:\"gmap_plugin_style_gmap.inc\";i:1;s:34:\"gmap_plugin_style_gmapextended.inc\";i:2;s:15:\"tests/gmap.test\";i:3;s:23:\"tests/oopmigration.test\";i:4;s:32:\"lib/Drupal/gmap/GmapDefaults.php\";i:5;s:39:\"lib/Drupal/gmap/GmapPolylineToolbox.php\";i:6;s:36:\"lib/Drupal/gmap/GmapMacroToolbox.php\";i:7;s:27:\"tests/inc/gmap_polyutil.inc\";i:8;s:27:\"tests/inc/gmap_defaults.inc\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_location.module','gmap_location','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"GMap Location\";s:11:\"description\";s:50:\"Display location.module information on Google Maps\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:35:\"admin/config/services/gmap_location\";s:5:\"files\";a:1:{i:0;s:20:\"gmap_location.module\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"gmap\";i:1;s:8:\"location\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_macro_builder.module','gmap_macro_builder','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"GMap Macro Builder\";s:11:\"description\";s:28:\"UI for building GMap macros.\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"gmap\";}s:5:\"files\";a:1:{i:0;s:25:\"gmap_macro_builder.module\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_style_bubbles/gmap_style_bubbles.module','gmap_style_bubbles','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Gmap Style Bubbles\";s:11:\"description\";s:66:\"A module that lets you add more styles to your gmap popup bubbles.\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:4:\"gmap\";s:12:\"dependencies\";a:2:{i:0;s:4:\"gmap\";i:1;s:15:\"libraries (2.x)\";}s:7:\"version\";s:7:\"7.x-2.9\";s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_taxonomy.module','gmap_taxonomy','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"GMap Taxonomy Markers\";s:11:\"description\";s:22:\"Taxonomy based markers\";s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"gmap\";}s:5:\"files\";a:2:{i:0;s:20:\"gmap_taxonomy.module\";i:1;s:23:\"gmap_taxonomy.views.inc\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_test/gmap_test.module','gmap_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:9:\"GMap test\";s:11:\"description\";s:41:\"Some Content types and Views to test GMap\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:13:{i:0;s:12:\"addressfield\";i:1;s:6:\"ctools\";i:2;s:15:\"entityreference\";i:3;s:8:\"features\";i:4;s:17:\"field_sql_storage\";i:5;s:8:\"geofield\";i:6;s:6:\"geophp\";i:7;s:4:\"node\";i:8;s:7:\"options\";i:9;s:4:\"text\";i:10;s:5:\"views\";i:11;s:8:\"views_ui\";i:12;s:4:\"gmap\";}s:8:\"features\";a:5:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:6:{i:0;s:33:\"node-gmap_person-field_mylocation\";i:1;s:19:\"node-gmapplace-body\";i:2;s:30:\"node-gmapplace-field_myaddress\";i:3;s:31:\"node-gmapplace-field_mygeofield\";i:4;s:31:\"node-gmapplace-field_mylatitude\";i:5;s:32:\"node-gmapplace-field_mylongitude\";}s:4:\"node\";a:2:{i:0;s:11:\"gmap_person\";i:1;s:9:\"gmapplace\";}s:10:\"views_view\";a:1:{i:0;s:16:\"gmap_test_places\";}}s:5:\"files\";a:4:{i:0;s:28:\"gmap_test.features.field.inc\";i:1;s:22:\"gmap_test.features.inc\";i:2;s:27:\"gmap_test.views_default.inc\";i:3;s:20:\"tests/gmap_test.test\";}s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/gmap_test_extended/gmap_test_extended.module','gmap_test_extended','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:18:\"GMap test extended\";s:11:\"description\";s:50:\"Some Content types and Views to test GMap Extended\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:13:{i:0;s:12:\"addressfield\";i:1;s:6:\"ctools\";i:2;s:15:\"entityreference\";i:3;s:8:\"features\";i:4;s:17:\"field_sql_storage\";i:5;s:8:\"geofield\";i:6;s:6:\"geophp\";i:7;s:4:\"node\";i:8;s:7:\"options\";i:9;s:4:\"text\";i:10;s:5:\"views\";i:11;s:8:\"views_ui\";i:12;s:4:\"gmap\";}s:8:\"features\";a:5:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:6:{i:0;s:33:\"node-gmap_person-field_mylocation\";i:1;s:19:\"node-gmapplace-body\";i:2;s:30:\"node-gmapplace-field_myaddress\";i:3;s:31:\"node-gmapplace-field_mygeofield\";i:4;s:31:\"node-gmapplace-field_mylatitude\";i:5;s:32:\"node-gmapplace-field_mylongitude\";}s:4:\"node\";a:2:{i:0;s:11:\"gmap_person\";i:1;s:9:\"gmapplace\";}s:10:\"views_view\";a:1:{i:0;s:25:\"gmap_test_extended_places\";}}s:5:\"files\";a:4:{i:0;s:37:\"gmap_test_extended.features.field.inc\";i:1;s:31:\"gmap_test_extended.features.inc\";i:2;s:36:\"gmap_test_extended.views_default.inc\";i:3;s:29:\"tests/gmap_test_extended.test\";}s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap/location_gmap_find_address/location_gmap_find_address.module','location_gmap_find_address','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:37:\"Location + Gmap \'Find Address\' button\";s:11:\"description\";s:65:\"Adds a \'Find Address\' button to all location fields that use gmap\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:12:\"dependencies\";a:3:{i:0;s:12:\"location_cck\";i:1;s:8:\"location\";i:2;s:4:\"gmap\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:4:\"gmap\";s:9:\"datestamp\";s:10:\"1394461106\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/gmap3_tools/gmap3_tools.module','gmap3_tools','module','',0,0,-1,0,'a:10:{s:4:\"name\";s:11:\"GMap3 Tools\";s:11:\"description\";s:28:\"GMap Tools for API version 3\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/google_fonts/google_fonts.module','google_fonts','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Google Fonts\";s:11:\"description\";s:108:\"Make use of Open Source fonts using the <a href=\"http://code.google.com/apis/webfonts/\">Google Fonts API</a>\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:19:\"google_fonts.module\";i:1;s:22:\"google_fonts.admin.inc\";i:2;s:20:\"google_fonts.install\";}s:9:\"configure\";s:32:\"admin/config/system/google_fonts\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:12:\"google_fonts\";s:9:\"datestamp\";s:10:\"1310455318\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/google_webfont_loader_api/google_webfont_loader_api.module','google_webfont_loader_api','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:25:\"Google Webfont Loader API\";s:11:\"description\";s:54:\"Provide a way to safely load font-face into your theme\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:8:\"7.x-1.11\";s:7:\"project\";s:25:\"google_webfont_loader_api\";s:9:\"datestamp\";s:10:\"1373991369\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/icon.module','icon','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Icon API\";s:11:\"description\";s:105:\"Implements an API for icon providers and an administrative UI for integrating icons through out the site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:9:\"configure\";s:23:\"admin/config/media/icon\";s:5:\"files\";a:3:{i:0;s:12:\"icon.install\";i:1;s:11:\"icon.module\";i:2;s:14:\"icon.admin.inc\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/modules/icon_block/icon_block.module','icon_block','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Icon API: Block\";s:11:\"description\";s:38:\"Provides icon integration with blocks.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:5:\"files\";a:2:{i:0;s:18:\"icon_block.install\";i:1;s:17:\"icon_block.module\";}s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:4:\"icon\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/modules/icon_field/icon_field.module','icon_field','module','',1,0,0,0,'a:14:{s:4:\"name\";s:15:\"Icon API: Field\";s:11:\"description\";s:61:\"Provides a field for attaching an icon to a fieldable entity.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:4:\"icon\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/icon/modules/icon_filter/icon_filter.module','icon_filter','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Icon API: Filter\";s:11:\"description\";s:76:\"Provides a filter for text fields to replace an icon token with icon markup.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:12:\"dependencies\";a:2:{i:0;s:6:\"filter\";i:1;s:4:\"icon\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/modules/icon_menu/icon_menu.module','icon_menu','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Icon API: Menu\";s:11:\"description\";s:42:\"Provides icon integration with menu items.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:5:\"files\";a:2:{i:0;s:17:\"icon_menu.install\";i:1;s:16:\"icon_menu.module\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"icon\";i:1;s:4:\"menu\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ip_geoloc/ip_geoloc.module','ip_geoloc','module','',1,0,7125,10,'a:13:{s:4:\"name\";s:27:\"IP Geolocation Views & Maps\";s:11:\"description\";s:238:\"Display Google, Leaflet and OpenLayers maps of Views containing locations of visitors and/or nodes. Marker color differentiation. Centering options, e.g. visitor\'s HTML5-retrieved current position. Also an API for location-based services.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/config/system/ip_geoloc\";s:5:\"files\";a:5:{i:0;s:36:\"views/ip_geoloc_plugin_style_map.inc\";i:1;s:40:\"views/ip_geoloc_plugin_style_leaflet.inc\";i:2;s:43:\"views/ip_geoloc_plugin_style_openlayers.inc\";i:3;s:53:\"views/ip_geoloc_plugin_argument_default_ip_geoloc.inc\";i:4;s:62:\"views/proximity_plugins/geofieldProximityGeocoderWithHTML5.inc\";}s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:7:\"version\";s:8:\"7.x-1.26\";s:7:\"project\";s:9:\"ip_geoloc\";s:9:\"datestamp\";s:10:\"1415869104\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ip_geoloc/ip_geoloc_generator/ip_geoloc_generator.module','ip_geoloc_generator','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Geolocation Generator\";s:11:\"description\";s:69:\"Generates random locations to test IP Geolocation Views & Maps module\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:39:\"admin/config/system/ip_geoloc_generator\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:7:\"version\";s:8:\"7.x-1.26\";s:7:\"project\";s:9:\"ip_geoloc\";s:9:\"datestamp\";s:10:\"1415869104\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jcarousel/jcarousel.module','jcarousel','module','',1,0,0,0,'a:12:{s:4:\"name\";s:9:\"jCarousel\";s:11:\"description\";s:38:\"Create jQuery-based carousel rotators.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:16:\"jcarousel.module\";i:1;s:28:\"includes/jcarousel.views.inc\";i:2;s:35:\"includes/jcarousel_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_plugin/jquery_plugin.module','jquery_plugin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"jQuery plugins\";s:11:\"description\";s:49:\"An API and home for miscellaneous jQuery plugins.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"jquery_plugin.module\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:13:\"jquery_plugin\";s:9:\"datestamp\";s:10:\"1294280182\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_update/jquery_update.module','jquery_update','module','',1,0,7000,0,'a:13:{s:4:\"name\";s:13:\"jQuery Update\";s:11:\"description\";s:53:\"Update jQuery and jQuery UI to a more recent version.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"jquery_update.module\";i:1;s:21:\"jquery_update.install\";}s:9:\"configure\";s:38:\"admin/config/development/jquery_update\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:5:\"mtime\";i:1445379855;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/juicebox/juicebox.module','juicebox','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:8:\"Juicebox\";s:11:\"description\";s:89:\"Provides an integration between the Juicebox HTML5 responsive gallery library and Drupal.\";s:7:\"package\";s:5:\"Media\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:16:\"libraries (>1.0)\";}s:9:\"configure\";s:27:\"admin/config/media/juicebox\";s:5:\"files\";a:16:{i:0;s:37:\"includes/JuiceboxGalleryInterface.inc\";i:1;s:28:\"includes/JuiceboxGallery.inc\";i:2;s:37:\"includes/JuiceboxGalleryDecorator.inc\";i:3;s:43:\"includes/JuiceboxGalleryDrupalInterface.inc\";i:4;s:34:\"includes/JuiceboxGalleryDrupal.inc\";i:5;s:32:\"plugins/JuiceboxXmlInterface.inc\";i:6;s:28:\"plugins/JuiceboxXmlField.inc\";i:7;s:33:\"plugins/JuiceboxXmlViewsStyle.inc\";i:8;s:39:\"plugins/JuiceboxFormatterViewsStyle.inc\";i:9;s:27:\"tests/JuiceboxBaseCase.test\";i:10;s:37:\"tests/JuiceboxFieldFormatterCase.test\";i:11;s:27:\"tests/JuiceboxFileCase.test\";i:12;s:33:\"tests/JuiceboxFileEntityCase.test\";i:13;s:27:\"tests/JuiceboxConfCase.test\";i:14;s:33:\"tests/JuiceboxConfGlobalCase.test\";i:15;s:28:\"tests/JuiceboxViewsCase.test\";}s:17:\"test_dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:11:\"file_entity\";}s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:8:\"juicebox\";s:9:\"datestamp\";s:10:\"1405309428\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/juicebox/tests/views/juicebox_views_test.module','juicebox_views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Juicebox Views Tests\";s:11:\"description\";s:69:\"Provides hook implementations for testing Juicebox views integration.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"juicebox\";i:1;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:8:\"juicebox\";s:9:\"datestamp\";s:10:\"1405309428\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/leaflet/leaflet.module','leaflet','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Leaflet\";s:11:\"description\";s:51:\"Integration with the Leaflet map scripting library.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:5:\"files\";a:1:{i:0;s:22:\"leaflet.formatters.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:7:\"leaflet\";s:9:\"datestamp\";s:10:\"1390350505\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/leaflet/leaflet_views/leaflet_views.module','leaflet_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Leaflet views\";s:11:\"description\";s:41:\"Views integration for the Leaflet module.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:4:{i:0;s:7:\"leaflet\";i:1;s:8:\"geofield\";i:2;s:5:\"views\";i:3;s:6:\"entity\";}s:5:\"files\";a:2:{i:0;s:23:\"leaflet_views.views.inc\";i:1;s:30:\"leaflet_views_plugin_style.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:7:\"leaflet\";s:9:\"datestamp\";s:10:\"1390350505\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/leaflet_markercluster/leaflet_markercluster.module','leaflet_markercluster','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Leaflet Markercluster\";s:11:\"description\";s:45:\"Extend Leaflet with the Markercluster library\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"leaflet\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:21:\"leaflet_markercluster\";s:9:\"datestamp\";s:10:\"1415857385\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/leaflet_more_maps/leaflet_demo/leaflet_demo.module','leaflet_demo','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Leaflet Demo\";s:11:\"description\";s:174:\"Creates a block showcasing all Leaflet-powered maps available on your system. Optionally use with \"IP Geolocation Views and Maps\" to center the maps on your current location.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"leaflet\";}s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:17:\"leaflet_more_maps\";s:9:\"datestamp\";s:10:\"1393555436\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/leaflet_more_maps/leaflet_more_maps.module','leaflet_more_maps','module','',1,0,0,0,'a:13:{s:4:\"name\";s:17:\"Leaflet More Maps\";s:11:\"description\";s:69:\"Adds a swag of map styles to Leaflet, e.g Thunderforest, Esri, MapBox\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"leaflet\";}s:6:\"config\";s:37:\"admin/config/system/leaflet_more_maps\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:17:\"leaflet_more_maps\";s:9:\"datestamp\";s:10:\"1393555436\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/libraries.module','libraries','module','',1,0,7200,0,'a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:1:{i:0;s:20:\"tests/libraries.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/libraries_test.module','libraries_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1362848412\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module','libraries_test_module','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/link/link.module','link','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";s:32:\"Defines simple link field types.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:10:{i:0;s:11:\"link.module\";i:1;s:16:\"link.migrate.inc\";i:2;s:15:\"tests/link.test\";i:3;s:25:\"tests/link.attribute.test\";i:4;s:20:\"tests/link.crud.test\";i:5;s:28:\"tests/link.crud_browser.test\";i:6;s:21:\"tests/link.token.test\";i:7;s:24:\"tests/link.validate.test\";i:8;s:44:\"views/link_views_handler_argument_target.inc\";i:9;s:44:\"views/link_views_handler_filter_protocol.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1413924830\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/location/contrib/location_addanother/location_addanother.module','location_addanother','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Location Add Another\";s:11:\"description\";s:94:\"Allows you to quickly add locations directly from a node without having to click \'edit\' first.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"location\";i:1;s:13:\"location_node\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_autofill/la.module','la','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Location autofill\";s:11:\"description\";s:39:\"Fill up all locations with lat&lon data\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:9:\"configure\";s:24:\"admin/config/services/la\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_cck/location_cck.module','location_cck','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Location CCK\";s:11:\"description\";s:30:\"Defines a Location field type.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_email/location_email.module','location_email','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Location Email\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:49:\"Allows you to add an email address to a location.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"location_email.views.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_entity/location_entity.module','location_entity','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Location Entity\";s:11:\"description\";s:58:\"Provide information about Location field to Entity module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Location\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_fax/location_fax.module','location_fax','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Location Fax\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:45:\"Allows you to add a fax number to a location.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:22:\"location_fax.views.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_generate/location_generate.module','location_generate','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Location Generate\";s:11:\"description\";s:52:\"Bulk assign random latitude and longitudes to nodes.\";s:7:\"package\";s:11:\"Development\";s:12:\"dependencies\";a:2:{i:0;s:14:\"devel_generate\";i:1;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_phone/location_phone.module','location_phone','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Location Phone\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:47:\"Allows you to add a phone number to a location.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"location_phone.views.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_search/location_search.module','location_search','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Location Search\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:35:\"Advanced search page for locations.\";s:9:\"configure\";s:36:\"admin/config/content/location/search\";s:12:\"dependencies\";a:2:{i:0;s:6:\"search\";i:1;s:8:\"location\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:25:\"location_search.admin.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/contrib/location_taxonomy/location_taxonomy.module','location_taxonomy','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Location Taxonomy\";s:11:\"description\";s:40:\"Associate locations with taxonomy terms.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"location\";i:1;s:8:\"taxonomy\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/location.module','location','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Location\";s:7:\"package\";s:8:\"Location\";s:11:\"description\";s:213:\"The location module allows you to associate a geographic location with content and users. Users can do proximity searches by postal code.  This is useful for organizing communities that have a geographic presence.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/config/content/location\";s:5:\"files\";a:32:{i:0;s:18:\"location.admin.inc\";i:1;s:19:\"location.georss.inc\";i:2;s:12:\"location.inc\";i:3;s:18:\"location.token.inc\";i:4;s:18:\"location.views.inc\";i:5;s:26:\"location.views_default.inc\";i:6;s:20:\"location.migrate.inc\";i:7;s:28:\"tests/location_testcase.test\";i:8;s:14:\"tests/cow.test\";i:9;s:16:\"tests/earth.test\";i:10;s:26:\"tests/google_geocoder.test\";i:11;s:23:\"tests/location_cck.test\";i:12;s:24:\"tests/location_cck2.test\";i:13;s:55:\"handlers/location_handler_argument_location_country.inc\";i:14;s:56:\"handlers/location_handler_argument_location_province.inc\";i:15;s:57:\"handlers/location_handler_argument_location_proximity.inc\";i:16;s:55:\"handlers/location_handler_field_location_additional.inc\";i:17;s:52:\"handlers/location_handler_field_location_address.inc\";i:18;s:52:\"handlers/location_handler_field_location_country.inc\";i:19;s:53:\"handlers/location_handler_field_location_distance.inc\";i:20;s:53:\"handlers/location_handler_field_location_province.inc\";i:21;s:51:\"handlers/location_handler_field_location_street.inc\";i:22;s:53:\"handlers/location_handler_filter_location_country.inc\";i:23;s:54:\"handlers/location_handler_filter_location_province.inc\";i:24;s:51:\"handlers/location_handler_sort_location_country.inc\";i:25;s:52:\"handlers/location_handler_sort_location_distance.inc\";i:26;s:53:\"handlers/location_views_handler_field_coordinates.inc\";i:27;s:50:\"handlers/location_views_handler_field_latitude.inc\";i:28;s:51:\"handlers/location_views_handler_field_longitude.inc\";i:29;s:52:\"handlers/location_views_handler_filter_proximity.inc\";i:30;s:29:\"plugins/contexts/location.inc\";i:31;s:44:\"plugins/relationships/location_from_node.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/location_node.module','location_node','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Node Locations\";s:11:\"description\";s:31:\"Associate locations with nodes.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/location/location_user.module','location_user','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"User Locations\";s:11:\"description\";s:31:\"Associate locations with users.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"location\";}s:7:\"package\";s:8:\"Location\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/people/accounts\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:8:\"location\";s:9:\"datestamp\";s:10:\"1419943726\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/manage_multiple_terms/manage_multiple_terms.module','manage_multiple_terms','module','',0,0,-1,0,'a:11:{s:4:\"name\";s:21:\"Manage Multiple Terms\";s:11:\"description\";s:21:\"Manage Multiple Terms\";s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/structure/taxonomy/terms\";s:4:\"core\";s:3:\"7.x\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/mefibs/mefibs.module','mefibs','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:37:\"More exposed forms in blocks (MEFIBS)\";s:11:\"description\";s:50:\"Provide additional blocks with exposed view forms.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:41:\"mefibs_display_extender_plugin_blocks.inc\";}s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:7:\"project\";s:6:\"mefibs\";s:9:\"datestamp\";s:10:\"1424626690\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/mefibs/modules/mefibs_bef/mefibs_bef.module','mefibs_bef','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:34:\"MEFIBS with Better Exposed Filters\";s:11:\"description\";s:61:\"Provide compatibility with the Better Exposed Filters module.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"mefibs\";i:1;s:22:\"better_exposed_filters\";}s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:7:\"project\";s:6:\"mefibs\";s:9:\"datestamp\";s:10:\"1424626690\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/megamenus/megamenus.module','megamenus','module','',1,0,0,0,'a:11:{s:4:\"name\";s:9:\"Megamenus\";s:11:\"description\";s:25:\"Menu solutions for Drupal\";s:7:\"package\";s:9:\"megamenus\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:13:\"megamenus.inc\";i:1;s:20:\"megamenus.themes.inc\";i:2;s:18:\"megamenus.ajax.inc\";i:3;s:19:\"megamenus.admin.inc\";i:4;s:16:\"megamenus.module\";}s:9:\"configure\";s:25:\"admin/structure/megamenus\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache.module','memcache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Memcache\";s:11:\"description\";s:43:\"High performance integration with memcache.\";s:7:\"package\";s:27:\"Performance and scalability\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"memcache.inc\";i:1;s:19:\"tests/memcache.test\";i:2;s:27:\"tests/memcache-session.test\";i:3;s:24:\"tests/memcache-lock.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache_admin/memcache_admin.module','memcache_admin','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Memcache Admin\";s:11:\"description\";s:60:\"Adds a User Interface to monitor the Memcache for this site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:9:\"configure\";s:28:\"admin/config/system/memcache\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/tests/memcache_test.module','memcache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Memcache test\";s:11:\"description\";s:36:\"Support module for memcache testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_attributes/menu_attributes.module','menu_attributes','module','',1,0,7001,10,'a:13:{s:4:\"name\";s:15:\"Menu attributes\";s:11:\"description\";s:66:\"Allows administrators to specify custom attributes for menu items.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/structure/menu/settings\";s:5:\"files\";a:1:{i:0;s:20:\"menu_attributes.test\";}s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_breadcrumb/menu_breadcrumb.module','menu_breadcrumb','module','',1,0,6100,0,'a:13:{s:4:\"name\";s:15:\"Menu breadcrumb\";s:11:\"description\";s:74:\"Allows you to use the menu the current page belongs to for the breadcrumb.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:23:\"menu_breadcrumb.install\";}s:9:\"configure\";s:43:\"admin/config/user-interface/menu-breadcrumb\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:15:\"menu_breadcrumb\";s:9:\"datestamp\";s:10:\"1425993992\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick.module','metatags_quick','module','',1,0,7006,0,'a:13:{s:4:\"name\";s:17:\"Meta tags (quick)\";s:11:\"description\";s:48:\"Meta tags support build using FieldAPI/EntityAPI\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:5:\"files\";a:1:{i:0;s:26:\"metatags_quick.migrate.inc\";}s:9:\"configure\";s:34:\"admin/config/search/metatags_quick\";s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick_extra.module','metatags_quick_extra','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Extra functionality\";s:11:\"description\";s:40:\"Automatic settings for meta tags (quick)\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:2:{i:0;s:14:\"metatags_quick\";i:1;s:8:\"taxonomy\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/metatags_quick/metatags_quick_import.module','metatags_quick_import','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Upgrade from nodewords\";s:11:\"description\";s:43:\"Transform nodewords data to Drupal 7 fields\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Meta tags (quick)\";s:12:\"dependencies\";a:1:{i:0;s:14:\"metatags_quick\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:14:\"metatags_quick\";s:9:\"datestamp\";s:10:\"1405184328\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/modal_forms/modal_forms.module','modal_forms','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Modal forms\";s:11:\"description\";s:81:\"This module use ctools modal feature to open some common forms in a modal window.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:36:\"admin/config/development/modal_forms\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:11:\"modal_forms\";s:9:\"datestamp\";s:10:\"1353326875\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/module_filter/module_filter.module','module_filter','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:13:\"Module filter\";s:11:\"description\";s:24:\"Filter the modules list.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"Administration\";s:5:\"files\";a:9:{i:0;s:21:\"module_filter.install\";i:1;s:16:\"module_filter.js\";i:2;s:20:\"module_filter.module\";i:3;s:23:\"module_filter.admin.inc\";i:4;s:23:\"module_filter.theme.inc\";i:5;s:21:\"css/module_filter.css\";i:6;s:25:\"css/module_filter_tab.css\";i:7;s:19:\"js/module_filter.js\";i:8;s:23:\"js/module_filter_tab.js\";}s:9:\"configure\";s:40:\"admin/config/user-interface/modulefilter\";s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1424631189\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/newsletter/newsletter.module','newsletter','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Newsletter\";s:11:\"description\";s:32:\"Send emails to subscribed users.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Mail\";s:12:\"dependencies\";a:3:{i:0;s:15:\"entityreference\";i:1;s:8:\"taxonomy\";i:2;s:5:\"token\";}s:5:\"files\";a:10:{i:0;s:29:\"includes/newsletter.basic.inc\";i:1;s:33:\"includes/newsletter.automated.inc\";i:2;s:30:\"includes/newsletter.custom.inc\";i:3;s:28:\"includes/newsletter.mail.inc\";i:4;s:45:\"includes/newsletter.newsletter.controller.inc\";i:5;s:45:\"includes/newsletter.subscriber.controller.inc\";i:6;s:43:\"includes/newsletter.template.controller.inc\";i:7;s:39:\"includes/newsletter.list.controller.inc\";i:8;s:61:\"includes/views/handlers/newsletter_handler_field_datetime.inc\";i:9;s:15:\"newsletter.test\";}s:9:\"configure\";s:39:\"admin/config/media/newsletter/configure\";s:7:\"version\";s:14:\"7.x-1.0-beta10\";s:7:\"project\";s:10:\"newsletter\";s:9:\"datestamp\";s:10:\"1401923333\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/owlcarousel/modules/fields/owlcarousel_fields.module','owlcarousel_fields','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Owl Carousel Fields\";s:11:\"description\";s:38:\"Provides Owl Carousel field formatter.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:12:\"Owl Carousel\";s:12:\"dependencies\";a:1:{i:0;s:11:\"owlcarousel\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:11:\"owlcarousel\";s:9:\"datestamp\";s:10:\"1418215392\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/owlcarousel/modules/ui/owlcarousel_ui.module','owlcarousel_ui','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Owl Carousel UI\";s:11:\"description\";s:61:\"Provides user interface for Owl Carousel variable management.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:12:\"Owl Carousel\";s:12:\"dependencies\";a:2:{i:0;s:11:\"owlcarousel\";i:1;s:8:\"variable\";}s:9:\"configure\";s:39:\"admin/config/user-interface/owlcarousel\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:11:\"owlcarousel\";s:9:\"datestamp\";s:10:\"1418215392\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/owlcarousel/modules/views/owlcarousel_views.module','owlcarousel_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Owl Carousel Views\";s:11:\"description\";s:52:\"Provides Owl Carousel integration into Drupal Views.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:12:\"Owl Carousel\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:11:\"owlcarousel\";}s:5:\"files\";a:4:{i:0;s:24:\"owlcarousel_views.module\";i:1;s:27:\"owlcarousel_views.views.inc\";i:2;s:46:\"owlcarousel_views_plugin_style_owlcarousel.inc\";i:3;s:46:\"owlcarousel_views_plugin_pager_owlcarousel.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:11:\"owlcarousel\";s:9:\"datestamp\";s:10:\"1418215392\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/owlcarousel/owlcarousel.module','owlcarousel','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Owl Carousel\";s:11:\"description\";s:46:\"Provides Owl Carousel integration into Drupal.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:12:\"Owl Carousel\";s:12:\"dependencies\";a:2:{i:0;s:9:\"libraries\";i:1;s:13:\"jquery_update\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:11:\"owlcarousel\";s:9:\"datestamp\";s:10:\"1418215392\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pathauto/pathauto.module','pathauto','module','',1,0,7005,1,'a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs.module','quicktabs','module','',1,0,7303,0,'a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module','quicktabs_tabstyles','module','',1,0,0,0,'a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/real_estast_tools/real_estast_tools.module','real_estast_tools','module','',1,0,0,0,'a:10:{s:4:\"name\";s:17:\"Real Estast Tools\";s:11:\"description\";s:48:\"Views plugins to show Google Maps from entities.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:11:\"Real Estast\";s:12:\"dependencies\";a:1:{i:0;s:4:\"gmap\";}s:5:\"mtime\";i:1499930424;s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/node_reference/node_reference.module','node_reference','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Node Reference\";s:11:\"description\";s:59:\"Defines a field type for referencing one node from another.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:5:\"field\";i:1;s:10:\"references\";i:2;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:19:\"node_reference.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/references.module','references','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"References\";s:11:\"description\";s:67:\"Defines common base features for the various reference field types.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:5:{i:0;s:41:\"views/references_handler_relationship.inc\";i:1;s:37:\"views/references_handler_argument.inc\";i:2;s:35:\"views/references_plugin_display.inc\";i:3;s:33:\"views/references_plugin_style.inc\";i:4;s:38:\"views/references_plugin_row_fields.inc\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/references_uuid/references_uuid.module','references_uuid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"References UUID\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:10:\"references\";i:1;s:4:\"uuid\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:11:\"description\";s:0:\"\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/references/user_reference/user_reference.module','user_reference','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"User Reference\";s:11:\"description\";s:56:\"Defines a field type for referencing a user from a node.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:5:\"field\";i:1;s:10:\"references\";i:2;s:7:\"options\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:10:\"references\";s:9:\"datestamp\";s:10:\"1492534745\";s:5:\"mtime\";i:1492534745;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/respondjs/respondjs.module','respondjs','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Respond.js\";s:11:\"description\";s:33:\"Respond.js integration for Drupal\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"Responsive\";s:5:\"files\";a:2:{i:0;s:16:\"respondjs.module\";i:1;s:19:\"respondjs.admin.inc\";}s:9:\"configure\";s:28:\"admin/config/media/respondjs\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:9:\"respondjs\";s:9:\"datestamp\";s:10:\"1426164182\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/sharethis/sharethis.module','sharethis','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"ShareThis\";s:11:\"description\";s:87:\"Add the <a href=\"http://www.sharethis.com/\">ShareThis</a> widget to nodes on your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Sharing\";s:9:\"configure\";s:31:\"admin/config/services/sharethis\";s:5:\"files\";a:1:{i:0;s:38:\"views/sharethis_handler_field_link.inc\";}s:7:\"version\";s:8:\"7.x-2.10\";s:7:\"project\";s:9:\"sharethis\";s:9:\"datestamp\";s:10:\"1422441977\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/simplenews/simplenews.module','simplenews','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:10:\"Simplenews\";s:11:\"description\";s:47:\"Send newsletters to subscribed email addresses.\";s:7:\"package\";s:4:\"Mail\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/config/services/simplenews\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:17:\"test_dependencies\";a:1:{i:0;s:13:\"i18n_taxonomy\";}s:5:\"files\";a:13:{i:0;s:21:\"tests/simplenews.test\";i:1;s:30:\"includes/simplenews.source.inc\";i:2;s:70:\"includes/views/handlers/simplenews_handler_field_newsletter_status.inc\";i:3;s:72:\"includes/views/handlers/simplenews_handler_field_newsletter_priority.inc\";i:4;s:72:\"includes/views/handlers/simplenews_handler_field_category_hyperlinks.inc\";i:5;s:73:\"includes/views/handlers/simplenews_handler_field_category_new_account.inc\";i:6;s:71:\"includes/views/handlers/simplenews_handler_field_category_opt_inout.inc\";i:7;s:68:\"includes/views/handlers/simplenews_handler_field_newsletter_send.inc\";i:8;s:71:\"includes/views/handlers/simplenews_handler_filter_newsletter_status.inc\";i:9;s:73:\"includes/views/handlers/simplenews_handler_filter_newsletter_priority.inc\";i:10;s:73:\"includes/views/handlers/simplenews_handler_filter_category_hyperlinks.inc\";i:11;s:74:\"includes/views/handlers/simplenews_handler_filter_category_new_account.inc\";i:12;s:72:\"includes/views/handlers/simplenews_handler_filter_category_opt_inout.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/simplenews/simplenews_rules/simplenews_rules.module','simplenews_rules','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Simplenews rules\";s:11:\"description\";s:54:\"Provides integration with Rules module for Simplenews.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"simplenews\";i:1;s:5:\"rules\";}s:7:\"package\";s:4:\"Mail\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/superfish/superfish.module','superfish','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Superfish\";s:11:\"description\";s:46:\"jQuery Superfish plugin for your Drupal menus.\";s:7:\"package\";s:14:\"User interface\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:9:\"configure\";s:37:\"admin/config/user-interface/superfish\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:9:\"superfish\";s:9:\"datestamp\";s:10:\"1367054112\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tagclouds/tagclouds.module','tagclouds','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"TagClouds\";s:11:\"description\";s:61:\"TagClouds makes weighted tag clouds from your taxonomy terms.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/config/content/tagclouds\";s:7:\"version\";s:8:\"7.x-1.10\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1404152332\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','taxonomy_menu','module','',0,0,-1,0,'a:12:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"menu\";}s:11:\"description\";s:39:\"Adds links to taxonomy terms to a menu.\";s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:5:\"files\";a:5:{i:0;s:23:\"taxonomy_menu.batch.inc\";i:1;s:26:\"taxonomy_menu.database.inc\";i:2;s:20:\"taxonomy_menu.module\";i:3;s:18:\"taxonomy_menu.test\";i:4;s:21:\"taxonomy_menu.install\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tb_megamenu/tb_megamenu.module','tb_megamenu','module','',1,0,0,0,'a:13:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:25:\"tb_megamenu.functions.inc\";i:1;s:22:\"tb_megamenu.themes.inc\";i:2;s:20:\"tb_megamenu.ajax.inc\";i:3;s:21:\"tb_megamenu.admin.inc\";i:4;s:18:\"tb_megamenu.module\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/tests/token_test.module','token_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Token Test\";s:11:\"description\";s:39:\"Testing module for token functionality.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"token_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/token.module','token','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable.module','variable','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Variable\";s:11:\"description\";s:43:\"Variable Information and basic variable API\";s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:27:\"includes/forum.variable.inc\";i:1;s:28:\"includes/locale.variable.inc\";i:2;s:26:\"includes/menu.variable.inc\";i:3;s:26:\"includes/node.variable.inc\";i:4;s:28:\"includes/system.variable.inc\";i:5;s:30:\"includes/taxonomy.variable.inc\";i:6;s:33:\"includes/translation.variable.inc\";i:7;s:26:\"includes/user.variable.inc\";i:8;s:13:\"variable.test\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_admin/variable_admin.module','variable_admin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable admin\";s:11:\"description\";s:26:\"Variable Administration UI\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_example/variable_example.module','variable_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Variable example\";s:11:\"description\";s:83:\"An example module showing how to use the Variable API and providing some variables.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:14:\"variable_store\";}s:7:\"package\";s:15:\"Example modules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:29:\"variable_example.variable.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_realm/variable_realm.module','variable_realm','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable realm\";s:11:\"description\";s:49:\"API to use variable realms from different modules\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_realm.class.inc\";i:1;s:30:\"variable_realm_union.class.inc\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_store/variable_store.module','variable_store','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable store\";s:11:\"description\";s:60:\"Database storage for variable realms. This is an API module.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_store.class.inc\";i:1;s:19:\"variable_store.test\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_views/variable_views.module','variable_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable views\";s:11:\"description\";s:78:\"Provides views integration for variable, included a default variable argument.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:5:\"views\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:51:\"includes/views_plugin_argument_default_variable.inc\";i:1;s:47:\"includes/views_handler_field_variable_title.inc\";i:2;s:47:\"includes/views_handler_field_variable_value.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_brightcove/video_embed_brightcove.module','video_embed_brightcove','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Video Embed Brightcove\";s:11:\"description\";s:51:\"Provides Brightcove handler for Video Embed Fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:35:\"admin/config/media/vef_video_styles\";s:12:\"dependencies\";a:1:{i:0;s:17:\"video_embed_field\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_facebook/video_embed_facebook.module','video_embed_facebook','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Video Embed Facebook\";s:11:\"description\";s:133:\"Provides Facebook handler for Video Embed Fields.  This module also serves as an example of how to add handlers to video embed field.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:35:\"admin/config/media/vef_video_styles\";s:12:\"dependencies\";a:1:{i:0;s:17:\"video_embed_field\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/video_embed_field/video_embed_field.module','video_embed_field','module','',1,0,7010,0,'a:15:{s:4:\"name\";s:17:\"Video Embed Field\";s:11:\"description\";s:63:\"Expose a field type for embedding videos from youtube or vimeo.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Media\";s:9:\"configure\";s:22:\"admin/config/media/vef\";s:5:\"files\";a:2:{i:0;s:29:\"video_embed_field.migrate.inc\";i:1;s:71:\"views/handlers/views_embed_field_views_handler_field_thumbnail_path.inc\";}s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"image\";}s:7:\"version\";s:14:\"7.x-2.0-beta11\";s:7:\"project\";s:17:\"video_embed_field\";s:9:\"datestamp\";s:10:\"1441639440\";s:5:\"mtime\";i:1441639440;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:76:\"Field type(s) in use - see <a href=\"/en/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/views/tests/views_test.module','views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Views Test\";s:11:\"description\";s:22:\"Test module for Views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views.module','views','module','',1,0,7302,10,'a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:313:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:48:\"handlers/views_handler_field_ctools_dropdown.inc\";i:19;s:39:\"handlers/views_handler_field_custom.inc\";i:20;s:37:\"handlers/views_handler_field_date.inc\";i:21;s:39:\"handlers/views_handler_field_entity.inc\";i:22;s:38:\"handlers/views_handler_field_links.inc\";i:23;s:39:\"handlers/views_handler_field_markup.inc\";i:24;s:37:\"handlers/views_handler_field_math.inc\";i:25;s:40:\"handlers/views_handler_field_numeric.inc\";i:26;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:27;s:46:\"handlers/views_handler_field_time_interval.inc\";i:28;s:43:\"handlers/views_handler_field_serialized.inc\";i:29;s:45:\"handlers/views_handler_field_machine_name.inc\";i:30;s:36:\"handlers/views_handler_field_url.inc\";i:31;s:33:\"handlers/views_handler_filter.inc\";i:32;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:33;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:34;s:41:\"handlers/views_handler_filter_combine.inc\";i:35;s:38:\"handlers/views_handler_filter_date.inc\";i:36;s:42:\"handlers/views_handler_filter_equality.inc\";i:37;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:38;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:39;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:40;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:41;s:41:\"handlers/views_handler_filter_numeric.inc\";i:42;s:40:\"handlers/views_handler_filter_string.inc\";i:43;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:44;s:39:\"handlers/views_handler_relationship.inc\";i:45;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:46;s:31:\"handlers/views_handler_sort.inc\";i:47;s:36:\"handlers/views_handler_sort_date.inc\";i:48;s:39:\"handlers/views_handler_sort_formula.inc\";i:49;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:50;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:51;s:38:\"handlers/views_handler_sort_random.inc\";i:52;s:17:\"includes/base.inc\";i:53;s:21:\"includes/handlers.inc\";i:54;s:20:\"includes/plugins.inc\";i:55;s:17:\"includes/view.inc\";i:56;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:57;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:58;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:59;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:60;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:61;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:62;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:63;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:64;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:65;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:66;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:67;s:47:\"modules/comment/views_handler_field_comment.inc\";i:68;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:69;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:70;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:71;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:73;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:74;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:75;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:76;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:77;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:78;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:79;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:80;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:81;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:82;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:83;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:84;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:85;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:86;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:87;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:88;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:89;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:90;s:43:\"modules/field/views_handler_field_field.inc\";i:91;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:92;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:93;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:94;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:95;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:96;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:97;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:98;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:99;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:100;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:101;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:102;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:103;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:104;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:105;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:106;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:107;s:51:\"modules/locale/views_handler_sort_node_language.inc\";i:108;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:109;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:110;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:111;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:112;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:113;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:114;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:115;s:41:\"modules/node/views_handler_field_node.inc\";i:116;s:46:\"modules/node/views_handler_field_node_link.inc\";i:117;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:118;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:119;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:120;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:121;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:122;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:123;s:46:\"modules/node/views_handler_field_node_path.inc\";i:124;s:46:\"modules/node/views_handler_field_node_type.inc\";i:125;s:55:\"modules/node/views_handler_field_node_version_count.inc\";i:126;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:127;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:128;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:129;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:130;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:131;s:56:\"modules/node/views_handler_filter_node_version_count.inc\";i:132;s:54:\"modules/node/views_handler_sort_node_version_count.inc\";i:133;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:134;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:135;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:136;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:137;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:138;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:139;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:140;s:48:\"modules/search/views_handler_argument_search.inc\";i:141;s:51:\"modules/search/views_handler_field_search_score.inc\";i:142;s:46:\"modules/search/views_handler_filter_search.inc\";i:143;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:144;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:145;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:146;s:65:\"modules/statistics/views_handler_field_node_counter_timestamp.inc\";i:147;s:61:\"modules/statistics/views_handler_field_statistics_numeric.inc\";i:148;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:149;s:43:\"modules/system/views_handler_field_file.inc\";i:150;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:151;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:152;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:153;s:50:\"modules/system/views_handler_field_file_status.inc\";i:154;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:155;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:156;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:157;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:158;s:68:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc\";i:159;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:160;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:161;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:162;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:163;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:164;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:165;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:166;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:167;s:66:\"modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc\";i:168;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:169;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:170;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:171;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:172;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:173;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:174;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:175;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:176;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:177;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:178;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:179;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:180;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:181;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:182;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:183;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:184;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:185;s:41:\"modules/user/views_handler_field_user.inc\";i:186;s:50:\"modules/user/views_handler_field_user_language.inc\";i:187;s:46:\"modules/user/views_handler_field_user_link.inc\";i:188;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:189;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:190;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:191;s:46:\"modules/user/views_handler_field_user_name.inc\";i:192;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:193;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:194;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:195;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:196;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:197;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:198;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:199;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:200;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:201;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:202;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:203;s:31:\"plugins/views_plugin_access.inc\";i:204;s:36:\"plugins/views_plugin_access_none.inc\";i:205;s:36:\"plugins/views_plugin_access_perm.inc\";i:206;s:36:\"plugins/views_plugin_access_role.inc\";i:207;s:41:\"plugins/views_plugin_argument_default.inc\";i:208;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:209;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:210;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:211;s:42:\"plugins/views_plugin_argument_validate.inc\";i:212;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:213;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:214;s:30:\"plugins/views_plugin_cache.inc\";i:215;s:35:\"plugins/views_plugin_cache_none.inc\";i:216;s:35:\"plugins/views_plugin_cache_time.inc\";i:217;s:32:\"plugins/views_plugin_display.inc\";i:218;s:43:\"plugins/views_plugin_display_attachment.inc\";i:219;s:38:\"plugins/views_plugin_display_block.inc\";i:220;s:40:\"plugins/views_plugin_display_default.inc\";i:221;s:38:\"plugins/views_plugin_display_embed.inc\";i:222;s:41:\"plugins/views_plugin_display_extender.inc\";i:223;s:37:\"plugins/views_plugin_display_feed.inc\";i:224;s:37:\"plugins/views_plugin_display_page.inc\";i:225;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:226;s:37:\"plugins/views_plugin_exposed_form.inc\";i:227;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:228;s:42:\"plugins/views_plugin_localization_core.inc\";i:229;s:37:\"plugins/views_plugin_localization.inc\";i:230;s:42:\"plugins/views_plugin_localization_none.inc\";i:231;s:30:\"plugins/views_plugin_pager.inc\";i:232;s:35:\"plugins/views_plugin_pager_full.inc\";i:233;s:35:\"plugins/views_plugin_pager_mini.inc\";i:234;s:35:\"plugins/views_plugin_pager_none.inc\";i:235;s:35:\"plugins/views_plugin_pager_some.inc\";i:236;s:30:\"plugins/views_plugin_query.inc\";i:237;s:38:\"plugins/views_plugin_query_default.inc\";i:238;s:28:\"plugins/views_plugin_row.inc\";i:239;s:35:\"plugins/views_plugin_row_fields.inc\";i:240;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:241;s:30:\"plugins/views_plugin_style.inc\";i:242;s:38:\"plugins/views_plugin_style_default.inc\";i:243;s:35:\"plugins/views_plugin_style_grid.inc\";i:244;s:35:\"plugins/views_plugin_style_list.inc\";i:245;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:246;s:38:\"plugins/views_plugin_style_mapping.inc\";i:247;s:34:\"plugins/views_plugin_style_rss.inc\";i:248;s:38:\"plugins/views_plugin_style_summary.inc\";i:249;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:250;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:251;s:36:\"plugins/views_plugin_style_table.inc\";i:252;s:34:\"tests/handlers/views_handlers.test\";i:253;s:43:\"tests/handlers/views_handler_area_text.test\";i:254;s:47:\"tests/handlers/views_handler_argument_null.test\";i:255;s:49:\"tests/handlers/views_handler_argument_string.test\";i:256;s:39:\"tests/handlers/views_handler_field.test\";i:257;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:258;s:46:\"tests/handlers/views_handler_field_custom.test\";i:259;s:47:\"tests/handlers/views_handler_field_counter.test\";i:260;s:44:\"tests/handlers/views_handler_field_date.test\";i:261;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:262;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:263;s:44:\"tests/handlers/views_handler_field_math.test\";i:264;s:43:\"tests/handlers/views_handler_field_url.test\";i:265;s:43:\"tests/handlers/views_handler_field_xss.test\";i:266;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:267;s:45:\"tests/handlers/views_handler_filter_date.test\";i:268;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:269;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:270;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:271;s:47:\"tests/handlers/views_handler_filter_string.test\";i:272;s:45:\"tests/handlers/views_handler_sort_random.test\";i:273;s:43:\"tests/handlers/views_handler_sort_date.test\";i:274;s:38:\"tests/handlers/views_handler_sort.test\";i:275;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:276;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:277;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:278;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:279;s:39:\"tests/plugins/views_plugin_display.test\";i:280;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:281;s:36:\"tests/styles/views_plugin_style.test\";i:282;s:41:\"tests/styles/views_plugin_style_base.test\";i:283;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:284;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:285;s:23:\"tests/views_access.test\";i:286;s:24:\"tests/views_analyze.test\";i:287;s:22:\"tests/views_basic.test\";i:288;s:33:\"tests/views_argument_default.test\";i:289;s:35:\"tests/views_argument_validator.test\";i:290;s:29:\"tests/views_exposed_form.test\";i:291;s:31:\"tests/field/views_fieldapi.test\";i:292;s:25:\"tests/views_glossary.test\";i:293;s:24:\"tests/views_groupby.test\";i:294;s:25:\"tests/views_handlers.test\";i:295;s:23:\"tests/views_module.test\";i:296;s:22:\"tests/views_pager.test\";i:297;s:40:\"tests/views_plugin_localization_test.inc\";i:298;s:29:\"tests/views_translatable.test\";i:299;s:22:\"tests/views_query.test\";i:300;s:24:\"tests/views_upgrade.test\";i:301;s:34:\"tests/views_test.views_default.inc\";i:302;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:303;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:304;s:45:\"tests/node/views_node_revision_relations.test\";i:305;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:306;s:45:\"tests/user/views_handler_field_user_name.test\";i:307;s:43:\"tests/user/views_user_argument_default.test\";i:308;s:44:\"tests/user/views_user_argument_validate.test\";i:309;s:26:\"tests/user/views_user.test\";i:310;s:22:\"tests/views_cache.test\";i:311;s:21:\"tests/views_view.test\";i:312;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views_ui.module','views_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_accordion/views_accordion.module','views_accordion','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Accordion\";s:11:\"description\";s:43:\"Provides an accordion views display plugin.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:32:\"views_accordion_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"views_accordion\";s:9:\"datestamp\";s:10:\"1422545700\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bootstrap/views_bootstrap.module','views_bootstrap','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:11:\"description\";s:20:\"Bootstrap Components\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:9:{i:0;s:58:\"plugins/carousel/views_bootstrap_carousel_plugin_style.inc\";i:1;s:57:\"plugins/carousel/views_bootstrap_carousel_plugin_rows.inc\";i:2;s:60:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc\";i:3;s:59:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc\";i:4;s:50:\"plugins/grid/views_bootstrap_grid_plugin_style.inc\";i:5;s:60:\"plugins/accordion/views_bootstrap_accordion_plugin_style.inc\";i:6;s:48:\"plugins/tab/views_bootstrap_tab_plugin_style.inc\";i:7;s:52:\"plugins/media/views_bootstrap_media_plugin_style.inc\";i:8;s:52:\"plugins/table/views_bootstrap_table_plugin_style.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_fieldsets/views_fieldsets.module','views_fieldsets','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views fieldsets\";s:11:\"description\";s:44:\"Output several Views fields into a fieldset.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:48:\"views/views_fieldsets_fieldset_field_handler.inc\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1425515886\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_isotope/isotope_example_feature/isotope_example_feature.module','isotope_example_feature','module','',1,0,0,0,'a:13:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:5:{i:0;s:8:\"features\";i:1;s:5:\"image\";i:2;s:8:\"taxonomy\";i:3;s:5:\"views\";i:4;s:13:\"views_isotope\";}s:11:\"description\";s:48:\"Sample Isotope Grid of Articles filtered by tags\";s:8:\"features\";a:5:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:5:\"field\";a:3:{i:0;s:17:\"node-article-body\";i:1;s:24:\"node-article-field_image\";i:2;s:23:\"node-article-field_tags\";}s:4:\"node\";a:1:{i:0;s:7:\"article\";}s:8:\"taxonomy\";a:1:{i:0;s:4:\"tags\";}s:10:\"views_view\";a:2:{i:0;s:15:\"isotope_example\";i:1;s:28:\"isotope_example_filter_block\";}}s:4:\"name\";s:15:\"Isotope Example\";s:7:\"package\";s:8:\"Features\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:7:\"project\";s:13:\"views_isotope\";s:9:\"datestamp\";s:10:\"1335546686\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_isotope/views_isotope.module','views_isotope','module','',1,0,0,0,'a:12:{s:4:\"name\";s:13:\"Views Isotope\";s:11:\"description\";s:40:\"Create isotope views from views queries.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:3:{i:0;s:5:\"views\";i:1;s:13:\"jquery_update\";i:2;s:9:\"libraries\";}s:5:\"files\";a:6:{i:0;s:21:\"views-isotope.tpl.php\";i:1;s:20:\"views_isotope.module\";i:2;s:23:\"views_isotope.theme.inc\";i:3;s:23:\"views_isotope.views.inc\";i:4;s:38:\"views_isotope_plugin_style_isotope.inc\";i:5;s:51:\"views_isotope_plugin_style_isotope_filter_block.inc\";}s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:7:\"project\";s:13:\"views_isotope\";s:9:\"datestamp\";s:10:\"1335546686\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_metro/views_metro.module','views_metro','module','',1,0,0,0,'a:10:{s:4:\"name\";s:11:\"Views Metro\";s:11:\"description\";s:62:\"Provides a View style that displays rows as a jQuery Metro UI.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:15:\"views_fieldsets\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"views_metro.module\";i:1;s:34:\"views_metro_plugin_style_metro.inc\";}s:5:\"mtime\";i:1499930424;s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','views_slideshow_cycle','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:28:\"views_slideshow_cycle.module\";i:1;s:41:\"views_slideshow_cycle.views_slideshow.inc\";i:2;s:37:\"theme/views_slideshow_cycle.theme.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/views_slideshow.module','views_slideshow','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:13:\"views (>=3.0)\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:22:\"views_slideshow.module\";i:1;s:31:\"theme/views_slideshow.theme.inc\";i:2;s:25:\"views_slideshow.views.inc\";i:3;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow_jcarousel/views_slideshow_jcarousel.module','views_slideshow_jcarousel','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:26:\"Views Slideshow: JCarousel\";s:11:\"description\";s:42:\"Adds a jCarousel option to views slideshow\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:25:\"views_slideshow_jcarousel\";s:9:\"datestamp\";s:10:\"1382165159\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_ticker/views_ticker.module','views_ticker','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Views Ticker\";s:11:\"description\";s:26:\"Create custom news ticker.\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:19:\"views_ticker.module\";i:1;s:31:\"includes/views_ticker.views.inc\";i:2;s:38:\"includes/views_ticker_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-2.0\";s:7:\"project\";s:12:\"views_ticker\";s:9:\"datestamp\";s:10:\"1311290520\";s:5:\"mtime\";i:1499930424;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/webform/webform.module','webform','module','',1,0,7430,-1,'a:14:{s:4:\"name\";s:7:\"Webform\";s:11:\"description\";s:49:\"Enables the creation of forms and questionnaires.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Webform\";s:9:\"configure\";s:28:\"admin/config/content/webform\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:27:{i:0;s:40:\"includes/webform.webformconditionals.inc\";i:1;s:49:\"includes/exporters/webform_exporter_delimited.inc\";i:2;s:55:\"includes/exporters/webform_exporter_excel_delimited.inc\";i:3;s:50:\"includes/exporters/webform_exporter_excel_xlsx.inc\";i:4;s:39:\"includes/exporters/webform_exporter.inc\";i:5;s:43:\"views/webform_handler_area_result_pager.inc\";i:6;s:41:\"views/webform_handler_field_form_body.inc\";i:7;s:40:\"views/webform_handler_field_is_draft.inc\";i:8;s:46:\"views/webform_handler_field_node_link_edit.inc\";i:9;s:49:\"views/webform_handler_field_node_link_results.inc\";i:10;s:48:\"views/webform_handler_field_submission_count.inc\";i:11;s:47:\"views/webform_handler_field_submission_data.inc\";i:12;s:47:\"views/webform_handler_field_submission_link.inc\";i:13;s:46:\"views/webform_handler_field_webform_status.inc\";i:14;s:41:\"views/webform_handler_filter_is_draft.inc\";i:15;s:48:\"views/webform_handler_filter_submission_data.inc\";i:16;s:47:\"views/webform_handler_filter_webform_status.inc\";i:17;s:38:\"views/webform_handler_numeric_data.inc\";i:18;s:54:\"views/webform_handler_relationship_submission_data.inc\";i:19;s:44:\"views/webform_plugin_row_submission_view.inc\";i:20;s:23:\"views/webform.views.inc\";i:21;s:36:\"tests/WebformComponentsTestCase.test\";i:22;s:38:\"tests/WebformConditionalsTestCase.test\";i:23;s:33:\"tests/WebformGeneralTestCase.test\";i:24;s:37:\"tests/WebformPermissionsTestCase.test\";i:25;s:36:\"tests/WebformSubmissionTestCase.test\";i:26;s:26:\"tests/WebformTestCase.test\";}s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:5:\"mtime\";i:1492107249;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/weebpal_tools/weebpal_tools.module','weebpal_tools','module','',1,0,0,0,'a:10:{s:4:\"name\";s:13:\"WeebPal Tools\";s:11:\"description\";s:40:\"Provide The Functions for WeebPal Themes\";s:7:\"package\";s:7:\"WeebPal\";s:4:\"core\";s:3:\"7.x\";s:5:\"mtime\";i:1499930424;s:12:\"dependencies\";a:0:{}s:7:\"version\";N;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/we_content_migration/we_content_migration.module','we_content_migration','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Content Migration\";s:11:\"description\";s:29:\"Migrate Content for Drupal 7.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:5:\"mtime\";i:1499652544;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/wishlist/wishlist.module','wishlist','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Wishlist\";s:11:\"description\";s:101:\"Wishlist nodes allow you to build up a list of items you may want for holidays and special occasions.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.1\";s:5:\"files\";a:9:{i:0;s:18:\"wishlist.admin.inc\";i:1;s:16:\"wishlist.install\";i:2;s:15:\"wishlist.module\";i:3;s:17:\"wishlist.page.inc\";i:4;s:24:\"views/wishlist.views.inc\";i:5;s:32:\"views/wishlist.views_default.inc\";i:6;s:75:\"includes/views/handlers/views_handler_argument_wishlist_giftee_user_uid.inc\";i:7;s:73:\"includes/views/handlers/views_handler_filter_wishlist_giftee_user_uid.inc\";i:8;s:79:\"includes/views/handlers/views_handler_relationship_wishlist_total_purchased.inc\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:8:\"wishlist\";s:9:\"datestamp\";s:10:\"1421185682\";s:5:\"mtime\";i:1499930424;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}'),('sites/all/themes/real_estast/real_estast.info','real_estast','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:20:{s:4:\"name\";s:11:\"Real Estast\";s:11:\"description\";s:33:\"Theme for the Real Estate Listing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:10:{s:27:\"bootstrap/css/bootstrap.css\";s:56:\"sites/all/themes/real_estast/bootstrap/css/bootstrap.css\";s:33:\"bootstrap/css/bootstrap-theme.css\";s:62:\"sites/all/themes/real_estast/bootstrap/css/bootstrap-theme.css\";s:15:\"css/animate.css\";s:44:\"sites/all/themes/real_estast/css/animate.css\";s:12:\"css/base.css\";s:41:\"sites/all/themes/real_estast/css/base.css\";s:12:\"css/html.css\";s:41:\"sites/all/themes/real_estast/css/html.css\";s:13:\"css/block.css\";s:42:\"sites/all/themes/real_estast/css/block.css\";s:12:\"css/view.css\";s:41:\"sites/all/themes/real_estast/css/view.css\";s:12:\"css/menu.css\";s:41:\"sites/all/themes/real_estast/css/menu.css\";s:12:\"css/demo.css\";s:41:\"sites/all/themes/real_estast/css/demo.css\";s:12:\"css/page.css\";s:41:\"sites/all/themes/real_estast/css/page.css\";}s:34:\"only screen and (max-width:1199px)\";a:1:{s:24:\"css/theme-responsive.css\";s:53:\"sites/all/themes/real_estast/css/theme-responsive.css\";}}s:7:\"scripts\";a:8:{s:25:\"bootstrap/js/bootstrap.js\";s:54:\"sites/all/themes/real_estast/bootstrap/js/bootstrap.js\";s:19:\"js/jquery.cookie.js\";s:48:\"sites/all/themes/real_estast/js/jquery.cookie.js\";s:26:\"js/jquery.smooth-scroll.js\";s:55:\"sites/all/themes/real_estast/js/jquery.smooth-scroll.js\";s:19:\"js/waypoints.min.js\";s:48:\"sites/all/themes/real_estast/js/waypoints.min.js\";s:13:\"js/weebpal.js\";s:42:\"sites/all/themes/real_estast/js/weebpal.js\";s:20:\"js/accordion_menu.js\";s:49:\"sites/all/themes/real_estast/js/accordion_menu.js\";s:17:\"js/real_estast.js\";s:46:\"sites/all/themes/real_estast/js/real_estast.js\";s:19:\"js/views_isotope.js\";s:48:\"sites/all/themes/real_estast/js/views_isotope.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:28:{s:8:\"headline\";s:8:\"Headline\";s:6:\"header\";s:6:\"Header\";s:9:\"slideshow\";s:9:\"Slideshow\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:14:\"content_action\";s:18:\"Action for Content\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:3:\"map\";s:3:\"Map\";s:11:\"panel_first\";s:11:\"Panel First\";s:17:\"panel_highlighted\";s:17:\"Panel Highlighted\";s:12:\"panel_second\";s:12:\"Panel Second\";s:13:\"panel_third_1\";s:13:\"Panel Third 1\";s:13:\"panel_third_2\";s:13:\"Panel Third 2\";s:13:\"panel_third_3\";s:13:\"Panel Third 3\";s:14:\"panel_footer_1\";s:14:\"Panel Footer 1\";s:14:\"panel_footer_2\";s:14:\"Panel Footer 2\";s:14:\"panel_footer_3\";s:14:\"Panel Footer 3\";s:14:\"panel_footer_4\";s:14:\"Panel Footer 4\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:10:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:19:\"panel_third_1_width\";s:1:\"4\";s:19:\"panel_third_2_width\";s:1:\"4\";s:19:\"panel_third_3_width\";s:1:\"4\";s:20:\"panel_footer_1_width\";s:1:\"4\";s:20:\"panel_footer_2_width\";s:1:\"2\";s:20:\"panel_footer_3_width\";s:1:\"2\";s:20:\"panel_footer_4_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1400\";}s:5:\"skins\";a:5:{s:4:\"blue\";s:4:\"Blue\";s:5:\"green\";s:5:\"Green\";s:6:\"orange\";s:6:\"Orange\";s:4:\"cyan\";s:4:\"Cyan\";s:6:\"violet\";s:6:\"Violet\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:10:\"animations\";a:5:{s:18:\"Bouncing Entrances\";a:5:{s:8:\"bounceIn\";s:8:\"bounceIn\";s:12:\"bounceInDown\";s:12:\"bounceInDown\";s:10:\"bounceInUp\";s:10:\"bounceInUp\";s:12:\"bounceInLeft\";s:12:\"bounceInLeft\";s:13:\"bounceInRight\";s:13:\"bounceInRight\";}s:16:\"Fading Entrances\";a:9:{s:6:\"fadeIn\";s:6:\"fadeIn\";s:8:\"fadeInUp\";s:8:\"fadeInUp\";s:11:\"fadeInUpBig\";s:11:\"fadeInUpBig\";s:10:\"fadeInDown\";s:10:\"fadeInDown\";s:13:\"fadeInDownBig\";s:13:\"fadeInDownBig\";s:10:\"fadeInLeft\";s:10:\"fadeInLeft\";s:13:\"fadeInLeftBig\";s:13:\"fadeInLeftBig\";s:11:\"fadeInRight\";s:11:\"fadeInRight\";s:14:\"fadeInRightBig\";s:14:\"fadeInRightBig\";}s:18:\"Rotating Entrances\";a:5:{s:8:\"rotateIn\";s:8:\"rotateIn\";s:16:\"rotateInDownLeft\";s:16:\"rotateInDownLeft\";s:17:\"rotateInDownRight\";s:17:\"rotateInDownRight\";s:14:\"rotateInUpLeft\";s:14:\"rotateInUpLeft\";s:15:\"rotateInUpRight\";s:15:\"rotateInUpRight\";}s:8:\"Specials\";a:3:{s:7:\"flipInX\";s:7:\"flipInX\";s:12:\"lightSpeedIn\";s:12:\"lightSpeedIn\";s:6:\"rollIn\";s:6:\"rollIn\";}s:14:\"Zoom Entrances\";a:5:{s:6:\"zoomIn\";s:6:\"zoomIn\";s:10:\"zoomInDown\";s:10:\"zoomInDown\";s:10:\"zoomInLeft\";s:10:\"zoomInLeft\";s:11:\"zoomInRight\";s:11:\"zoomInRight\";s:8:\"zoomInUp\";s:8:\"zoomInUp\";}}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:43:\"sites/all/themes/real_estast/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499930424;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('sites/all/themes/we_backend/we_backend.info','we_backend','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (12,83,0,1406263229),(12,84,0,1406263229),(12,85,0,1406263229),(35,21,0,1408012352),(35,9,0,1408012352),(35,6,0,1408012352),(35,31,0,1408012352),(35,26,0,1408012352),(35,46,0,1408012352),(35,33,0,1408012352),(35,36,0,1408012352),(35,78,0,1408012352),(37,18,0,1408069899),(37,10,0,1408069899),(37,5,0,1408069899),(37,31,0,1408069899),(37,27,0,1408069899),(37,43,0,1408069899),(37,33,0,1408069899),(37,38,0,1408069899),(37,76,0,1408069899),(38,19,0,1408070151),(38,10,0,1408070151),(38,3,0,1408070151),(38,32,0,1408070151),(38,26,0,1408070151),(38,47,0,1408070151),(38,34,0,1408070151),(38,36,0,1408070151),(38,79,0,1408070151),(48,18,0,1409223078),(48,8,0,1409223078),(48,5,0,1409223078),(48,30,0,1409223078),(48,27,0,1409223078),(48,41,0,1409223078),(48,34,0,1409223078),(48,37,0,1409223078),(48,77,0,1409223078),(54,18,0,1409287595),(54,8,0,1409287595),(54,1,0,1409287595),(54,31,0,1409287595),(54,26,0,1409287595),(54,41,0,1409287595),(54,34,0,1409287595),(54,36,0,1409287595),(54,80,0,1409287595),(55,19,0,1409287741),(55,8,0,1409287741),(55,4,0,1409287741),(55,31,0,1409287741),(55,26,0,1409287741),(55,41,0,1409287741),(55,34,0,1409287741),(55,35,0,1409287741),(55,81,0,1409287741),(13,84,0,1406263274),(13,87,0,1406263274),(13,82,0,1406263274),(13,88,0,1406263274),(13,89,0,1406263274),(13,90,0,1406263274),(13,91,0,1406263274),(13,92,0,1406263274),(13,93,0,1406263274),(13,97,0,1406263274),(13,98,0,1406263274),(13,95,0,1406263274),(13,96,0,1406263274),(11,84,0,1406263211),(11,85,0,1406263211),(11,87,0,1406263211),(40,83,0,1408095174),(40,85,0,1408095174),(40,87,0,1408095174),(40,82,0,1408095174),(40,86,0,1408095174),(33,83,0,1407471534),(33,84,0,1407471534),(33,85,0,1407471534),(33,87,0,1407471534),(33,82,0,1407471534),(33,86,0,1407471534),(52,18,0,1409287051),(52,8,0,1409287051),(52,1,0,1409287051),(52,31,0,1409287051),(52,26,0,1409287051),(52,43,0,1409287051),(52,33,0,1409287051),(52,35,0,1409287051),(52,81,0,1409287051),(51,18,0,1409286878),(51,8,0,1409286878),(51,1,0,1409286878),(51,31,0,1409286878),(51,26,0,1409286878),(51,41,0,1409286878),(51,33,0,1409286878),(51,36,0,1409286878),(51,76,0,1409286878),(25,19,0,1406631351),(25,9,0,1406631351),(25,30,0,1406631351),(25,27,0,1406631351),(25,47,0,1406631351),(25,33,0,1406631351),(25,36,0,1406631351),(25,76,0,1406631351),(20,19,0,1406626342),(20,9,0,1406626342),(20,3,0,1406626342),(20,31,0,1406626342),(20,27,0,1406626342),(20,44,0,1406626342),(20,34,0,1406626342),(20,37,0,1406626342),(20,78,0,1406626342),(28,18,0,1406876423),(28,7,0,1406876423),(28,5,0,1406876423),(28,32,0,1406876423),(28,47,0,1406876423),(28,34,0,1406876423),(28,35,0,1406876423),(28,80,0,1406876423),(27,20,0,1406876283),(27,9,0,1406876283),(27,3,0,1406876283),(27,30,0,1406876283),(27,26,0,1406876283),(27,41,0,1406876283),(27,33,0,1406876283),(27,37,0,1406876283),(27,79,0,1406876283),(29,19,0,1406876533),(29,8,0,1406876533),(29,4,0,1406876533),(29,32,0,1406876533),(29,26,0,1406876533),(29,41,0,1406876533),(29,34,0,1406876533),(29,37,0,1406876533),(29,76,0,1406876533),(30,18,0,1406876627),(30,8,0,1406876627),(30,2,0,1406876627),(30,32,0,1406876627),(30,26,0,1406876627),(30,42,0,1406876627),(30,33,0,1406876627),(30,35,0,1406876627),(30,76,0,1406876627),(26,18,0,1406876130),(26,8,0,1406876130),(26,5,0,1406876130),(26,32,0,1406876130),(26,26,0,1406876130),(26,43,0,1406876130),(26,34,0,1406876130),(26,37,0,1406876130),(26,79,0,1406876130),(21,19,0,1406626479),(21,9,0,1406626479),(21,6,0,1406626479),(21,30,0,1406626479),(21,27,0,1406626479),(21,49,0,1406626479),(21,33,0,1406626479),(21,36,0,1406626479),(21,78,0,1406626479),(34,20,0,1408011745),(34,12,0,1408011745),(34,6,0,1408011745),(34,32,0,1408011745),(34,27,0,1408011745),(34,51,0,1408011745),(34,34,0,1408011745),(34,37,0,1408011745),(34,79,0,1408011745),(36,18,0,1408069701),(36,10,0,1408069701),(36,3,0,1408069701),(36,30,0,1408069701),(36,27,0,1408069701),(36,44,0,1408069701),(36,33,0,1408069701),(36,36,0,1408069701),(36,79,0,1408069701),(31,20,0,1406876786),(31,8,0,1406876786),(31,5,0,1406876786),(31,32,0,1406876786),(31,26,0,1406876786),(31,41,0,1406876786),(31,33,0,1406876786),(31,76,0,1406876786),(39,18,0,1408071178),(39,9,0,1408071178),(39,4,0,1408071178),(39,30,0,1408071178),(39,26,0,1408071178),(39,44,0,1408071178),(39,33,0,1408071178),(39,37,0,1408071178),(39,80,0,1408071178),(45,18,0,1409222210),(45,8,0,1409222210),(45,3,0,1409222210),(45,32,0,1409222210),(45,26,0,1409222210),(45,41,0,1409222210),(45,34,0,1409222210),(45,37,0,1409222210),(45,78,0,1409222210),(46,17,0,1409222404),(46,7,0,1409222404),(46,6,0,1409222404),(46,30,0,1409222404),(46,26,0,1409222404),(46,43,0,1409222404),(46,34,0,1409222404),(46,35,0,1409222404),(46,79,0,1409222404),(49,20,0,1409223814),(49,9,0,1409223814),(49,6,0,1409223814),(49,30,0,1409223814),(49,26,0,1409223814),(49,43,0,1409223814),(49,34,0,1409223814),(49,37,0,1409223814),(49,77,0,1409223814),(47,20,0,1409222925),(47,8,0,1409222925),(47,2,0,1409222925),(47,30,0,1409222925),(47,41,0,1409222925),(47,33,0,1409222925),(47,79,0,1409222925),(50,19,0,1409286614),(50,8,0,1409286614),(50,1,0,1409286614),(50,31,0,1409286614),(50,26,0,1409286614),(50,41,0,1409286614),(50,34,0,1409286614),(50,35,0,1409286614),(50,76,0,1409286614),(53,19,0,1409287233),(53,8,0,1409287233),(53,1,0,1409287233),(53,31,0,1409287233),(53,26,0,1409287233),(53,41,0,1409287233),(53,33,0,1409287233),(53,37,0,1409287233),(53,79,0,1409287233),(1,19,0,1406255379),(1,8,0,1406255379),(1,3,0,1406255379),(1,32,0,1406255379),(1,26,0,1406255379),(1,33,0,1406255379),(1,36,0,1406255379),(1,79,0,1406255379);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=145 DEFAULT CHARSET=utf8 COMMENT='Stores term information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (1,2,'Chicago','','filtered_html',0),(2,2,'Texas','','filtered_html',0),(3,2,'Callifornia','','filtered_html',0),(4,2,'New York','','filtered_html',0),(5,2,'Alabama','','filtered_html',0),(6,2,'Ohio','','filtered_html',0),(7,4,'1','','filtered_html',0),(8,4,'2','','filtered_html',0),(9,4,'3','','filtered_html',0),(10,4,'4','','filtered_html',0),(11,4,'5','','filtered_html',0),(12,4,'6','','filtered_html',0),(13,4,'7','','filtered_html',0),(14,4,'8','','filtered_html',0),(16,4,'9+','','filtered_html',0),(17,3,'1','','filtered_html',0),(18,3,'2','','filtered_html',0),(19,3,'3','','filtered_html',0),(20,3,'4','','filtered_html',0),(21,3,'5','','filtered_html',0),(22,3,'6','','filtered_html',0),(23,3,'7','','filtered_html',0),(24,3,'8','','filtered_html',0),(25,3,'9+','','filtered_html',0),(26,7,'1','','filtered_html',0),(27,7,'2','','filtered_html',0),(28,7,'3','','filtered_html',0),(29,7,'4+','','filtered_html',0),(30,5,'Residential','','filtered_html',0),(31,5,'Villa','','filtered_html',0),(32,5,'Apartment','','filtered_html',0),(33,8,'Sales','','filtered_html',0),(34,8,'Rent','','filtered_html',0),(35,9,'1','','filtered_html',0),(36,9,'1.5','','filtered_html',0),(37,9,'2','','filtered_html',0),(38,9,'3','','filtered_html',0),(39,9,'4','','filtered_html',0),(40,9,'5+','','filtered_html',0),(41,6,'2014','','filtered_html',0),(42,6,'2013','','filtered_html',1),(43,6,'2012','','filtered_html',2),(44,6,'2011','','filtered_html',3),(46,6,'2010','','filtered_html',4),(47,6,'2009','','filtered_html',5),(48,6,'2008','','filtered_html',7),(49,6,'2008','','filtered_html',6),(50,6,'2007','','filtered_html',8),(51,6,'2006','','filtered_html',9),(52,6,'2005','','filtered_html',10),(58,6,'1995 - 1999','','filtered_html',13),(59,6,'1990 - 1994','','filtered_html',14),(60,6,'1980 - 1989','','filtered_html',15),(61,6,'Before 1980','','filtered_html',16),(62,6,'2000 - 2004','','filtered_html',12),(63,11,'Male','','filtered_html',0),(64,11,'Female','','filtered_html',0),(65,10,'CEO','','filtered_html',0),(66,10,'Sale Executive','','filtered_html',0),(67,10,'Sale Manager','','filtered_html',0),(68,10,'Contractor','','filtered_html',0),(69,13,'Seller','','filtered_html',0),(70,13,'Developer','','filtered_html',0),(71,13,'Designer','','filtered_html',0),(72,13,'Marketing','','filtered_html',0),(73,15,'New York Office','New York Office','filtered_html',0),(74,15,'London Office','London Office','filtered_html',0),(75,15,'Paris Office','Paris Office','filtered_html',0),(76,16,'Selling','','filtered_html',0),(77,16,'Renting','','filtered_html',0),(78,16,'Sold','','filtered_html',0),(79,16,'Rent','','filtered_html',0),(80,16,'Pending','','filtered_html',0),(81,16,'Holding','','filtered_html',0),(82,17,'Single Family','','filtered_html',0),(83,17,'Apartment','','filtered_html',0),(84,17,'Condo','','filtered_html',0),(85,17,'Multi Family','','filtered_html',0),(86,17,'Villa','','filtered_html',0),(87,17,'Others','','filtered_html',0),(88,1,'Nam',NULL,NULL,0),(89,1,'Malesuada',NULL,NULL,0),(90,1,'Urna',NULL,NULL,0),(91,1,'Donec',NULL,NULL,0),(92,1,'Faucibus',NULL,NULL,0),(93,1,'Massa',NULL,NULL,0),(94,1,'Vehicula Accumsan',NULL,NULL,0),(95,1,'Nulla',NULL,NULL,0),(96,1,'Color',NULL,NULL,0),(97,1,'Vehicula',NULL,NULL,0),(98,1,'Accumsan',NULL,NULL,0),(99,2,'Alaska','','filtered_html',0),(100,2,'Arizona','','filtered_html',0),(101,2,'Arkansas','','filtered_html',0),(102,2,'Colorado','','filtered_html',0),(103,2,'Connecticut','','filtered_html',0),(104,2,'Delaware','','filtered_html',0),(105,2,'Florida','','filtered_html',0),(106,2,'Georgia','','filtered_html',0),(107,2,'Hawaii','','filtered_html',0),(108,2,'Idaho','','filtered_html',0),(109,2,'Illinois','','filtered_html',0),(110,2,'Indiana','','filtered_html',0),(111,2,'Iowa','','filtered_html',0),(112,2,'Kansas','','filtered_html',0),(113,2,'Kentucky','','filtered_html',0),(114,2,'Louisiana','','filtered_html',0),(115,2,'Maine','','filtered_html',0),(116,2,'Maryland','','filtered_html',0),(117,2,'Massachusetts','','filtered_html',0),(118,2,'Michigan','','filtered_html',0),(119,2,'Minnesota','','filtered_html',0),(120,2,'Mississippi','','filtered_html',0),(121,2,'Missouri','','filtered_html',0),(122,2,'Montana','','filtered_html',0),(123,2,'Nebraska','','filtered_html',0),(124,2,'Nevada','','filtered_html',0),(125,2,'New Hampshire','','filtered_html',0),(126,2,'New Jersey','','filtered_html',0),(127,2,'New Mexico','','filtered_html',0),(128,2,'North Carolina','','filtered_html',0),(129,2,'North Dakota','','filtered_html',0),(130,2,'Oklahoma','','filtered_html',0),(131,2,'Oregon','','filtered_html',0),(132,2,'Pennsylvania','','filtered_html',0),(133,2,'Rhode Island','','filtered_html',0),(134,2,'South Carolina','','filtered_html',0),(135,2,'South Dakota','','filtered_html',0),(136,2,'Tennessee','','filtered_html',0),(137,2,'Utah','','filtered_html',0),(138,2,'Vermont','','filtered_html',0),(139,2,'Virginia','','filtered_html',0),(140,2,'Washington','','filtered_html',0),(141,2,'West Virginia','','filtered_html',0),(142,2,'Wisconsin','','filtered_html',0),(143,2,'Wyoming','','filtered_html',0),(144,19,'Real Estast newsletter','Real Estast newsletter categories.',NULL,0);
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_hierarchy`
--

DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_hierarchy`
--

LOCK TABLES `taxonomy_term_hierarchy` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_hierarchy` VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0),(10,0),(11,0),(12,0),(13,0),(14,0),(16,0),(17,0),(18,0),(19,0),(20,0),(21,0),(22,0),(23,0),(24,0),(25,0),(26,0),(27,0),(28,0),(29,0),(30,0),(31,0),(32,0),(33,0),(34,0),(35,0),(36,0),(37,0),(38,0),(39,0),(40,0),(41,0),(42,0),(43,0),(44,0),(46,0),(47,0),(48,0),(49,0),(50,0),(51,0),(52,0),(58,0),(59,0),(60,0),(61,0),(62,0),(63,0),(64,0),(65,0),(66,0),(67,0),(68,0),(69,0),(70,0),(71,0),(72,0),(73,0),(74,0),(75,0),(76,0),(77,0),(78,0),(79,0),(80,0),(81,0),(82,0),(83,0),(84,0),(85,0),(86,0),(87,0),(88,0),(89,0),(90,0),(91,0),(92,0),(93,0),(94,0),(95,0),(96,0),(97,0),(98,0),(99,0),(100,0),(101,0),(102,0),(103,0),(104,0),(105,0),(106,0),(107,0),(108,0),(109,0),(110,0),(111,0),(112,0),(113,0),(114,0),(115,0),(116,0),(117,0),(118,0),(119,0),(120,0),(121,0),(122,0),(123,0),(124,0),(125,0),(126,0),(127,0),(128,0),(129,0),(130,0),(131,0),(132,0),(133,0),(134,0),(135,0),(136,0),(137,0),(138,0),(139,0),(140,0),(141,0),(142,0),(143,0),(144,0);
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_vocabulary`
--

DROP TABLE IF EXISTS `taxonomy_vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_vocabulary`
--

LOCK TABLES `taxonomy_vocabulary` WRITE;
/*!40000 ALTER TABLE `taxonomy_vocabulary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_vocabulary` VALUES (1,'Tags','tags','Use tags to group articles on similar topics into categories.',0,'taxonomy',0),(2,'Location','location','Location',0,'taxonomy',0),(3,'Bedrooms','bedrooms','',0,'taxonomy',0),(4,'Bathrooms','bathrooms','',0,'taxonomy',0),(5,'Property Types','property_types','',0,'taxonomy',0),(6,'Year','year','',0,'taxonomy',0),(7,'Garage','garage','',0,'taxonomy',0),(8,'Business Types','business_types','',0,'taxonomy',0),(9,'Floors','floors','',0,'taxonomy',0),(10,'Positions','positions','',0,'taxonomy',0),(11,'Gender','gender','',0,'taxonomy',0),(13,'Occupations','occupations','Occupations',0,'taxonomy',0),(15,'Branches','branches','Branches',0,'taxonomy',0),(16,'Property Status','property_status','',0,'taxonomy',0),(17,'Categories','categories','Categories',0,'taxonomy',0),(18,'Flickr tags','flickr_tags','Grab Flickr photos with these tags only. Comma separated.',0,'taxonomy',0),(19,'Newsletter','newsletter','Simplenews newsletter categories.',0,'simplenews',0);
/*!40000 ALTER TABLE `taxonomy_vocabulary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `tb_megamenus`
--

DROP TABLE IF EXISTS `tb_megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_megamenus`
--

LOCK TABLES `tb_megamenus` WRITE;
/*!40000 ALTER TABLE `tb_megamenus` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `tb_megamenus` VALUES ('main-menu','{\"animation\":\"none\",\"duration\":400,\"delay\":200,\"style\":\"\",\"auto-arrow\":\"0\",\"always-show-submenu\":\"1\"}','{\"221\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"653\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"420\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"591\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"428\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"572\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"right\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"438\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"498\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"562\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"501\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"536\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"552\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"561\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"562\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"572\":{\"rows_content\":[[{\"col_content\":[{\"mlid\":\"593\",\"type\":\"menu_item\",\"tb_item_config\":{}}],\"col_config\":{\"width\":\"12\",\"class\":\"\",\"hidewcol\":\"0\",\"showblocktitle\":\"1\"}}]],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"right\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"591\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"593\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"637\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"647\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"652\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"653\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"659\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}},\"660\":{\"rows_content\":[],\"submenu_config\":{\"width\":\"\",\"class\":\"\",\"group\":\"0\"},\"item_config\":{\"class\":\"\",\"xicon\":\"\",\"caption\":\"\",\"alignsub\":\"\",\"group\":\"0\",\"hidewcol\":\"0\",\"hidesub\":\"0\"}}}');
/*!40000 ALTER TABLE `tb_megamenus` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `url_alias`
--

DROP TABLE IF EXISTS `url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=267 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `url_alias`
--

LOCK TABLES `url_alias` WRITE;
/*!40000 ALTER TABLE `url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `url_alias` VALUES (61,'node/1','property/638-n-hart-st-orange-ca-92867','und'),(63,'node/3','faq/curabitur-facilisis-tristique-erat-ut-pulvinar','und'),(64,'node/4','faq/proin-sodales-tortor-non-aliquet-suscipit','und'),(65,'node/5','faq/donec-eros-magna-egestas-quam-lacinia-ultrices-adipiscing-turpis','und'),(66,'node/6','faq/duis-lacus-enim-dictum-vitae-fermentum-sed-consequat-nec-nibh','und'),(67,'node/7','faq/donec-vel-laoreet-velit-tincidunt-nunc','und'),(68,'node/8','faq/mauris-rutrum-ante-id-rutrum-hendrerit','und'),(69,'node/9','faq/aliquam-nec-dolor-non-eros-dictum-fringilla-nullam-ac-mollis-arcu','und'),(70,'node/10','faq/nullam-odio-diam-adipiscing-et-quam-non-vestibulum-dignissim-nisi','und'),(71,'node/11','blog-post/vestibulum-egestas-velit-porta-ipsum','und'),(72,'node/12','blog-post/nulla-pharetra-aliquam-sagittis','und'),(73,'node/13','blog-post/pellentesque-ut-sapien-lobortis-varius-sem-vitae','und'),(74,'node/14','about-us','und'),(75,'node/15','why-us/designed-your-business','und'),(76,'node/16','why-us/fully-responsive','und'),(77,'node/17','why-us/amples-customizations','und'),(78,'node/18','why-us/bootstrap-compatible','und'),(79,'node/19','why-us/unique-design','und'),(80,'node/20','property/oakmont-way-cibolo-tx-78108','und'),(81,'node/21','property/186-n-quail-ln','und'),(82,'taxonomy/term/1','location/chicago','und'),(83,'taxonomy/term/2','location/texas','und'),(84,'taxonomy/term/3','location/callifornia','und'),(85,'taxonomy/term/4','location/new-york','und'),(86,'taxonomy/term/5','location/alabama','und'),(87,'taxonomy/term/6','location/ohio','und'),(88,'taxonomy/term/7','bathrooms/1','und'),(89,'taxonomy/term/8','bathrooms/2','und'),(90,'taxonomy/term/9','bathrooms/3','und'),(91,'taxonomy/term/10','bathrooms/4','und'),(92,'taxonomy/term/11','bathrooms/5','und'),(93,'taxonomy/term/12','bathrooms/6','und'),(94,'taxonomy/term/13','bathrooms/7','und'),(95,'taxonomy/term/14','bathrooms/8','und'),(96,'taxonomy/term/16','bathrooms/9','und'),(97,'taxonomy/term/17','bedrooms/1','und'),(98,'taxonomy/term/18','bedrooms/2','und'),(99,'taxonomy/term/19','bedrooms/3','und'),(100,'taxonomy/term/20','bedrooms/4','und'),(101,'taxonomy/term/21','bedrooms/5','und'),(102,'taxonomy/term/22','bedrooms/6','und'),(103,'taxonomy/term/23','bedrooms/7','und'),(104,'taxonomy/term/24','bedrooms/8','und'),(105,'taxonomy/term/25','bedrooms/9','und'),(106,'taxonomy/term/26','garage/1','und'),(107,'taxonomy/term/27','garage/2','und'),(108,'taxonomy/term/28','garage/3','und'),(109,'taxonomy/term/29','garage/4','und'),(110,'taxonomy/term/30','property-types/residential','und'),(111,'taxonomy/term/31','property-types/villa','und'),(112,'taxonomy/term/32','property-types/apartment','und'),(113,'taxonomy/term/33','business-types/sales','und'),(114,'taxonomy/term/34','business-types/rent','und'),(115,'taxonomy/term/35','floors/1','und'),(116,'taxonomy/term/36','floors/15','und'),(117,'taxonomy/term/37','floors/2','und'),(118,'taxonomy/term/38','floors/3','und'),(119,'taxonomy/term/39','floors/4','und'),(120,'taxonomy/term/40','floors/5','und'),(121,'taxonomy/term/41','year/2014','und'),(122,'taxonomy/term/42','year/2013','und'),(123,'taxonomy/term/43','year/2012','und'),(124,'taxonomy/term/44','year/2011','und'),(125,'taxonomy/term/46','year/2010','und'),(126,'taxonomy/term/47','year/2009','und'),(127,'taxonomy/term/48','year/2008','und'),(128,'taxonomy/term/49','year/2008-0','und'),(129,'taxonomy/term/50','year/2007','und'),(130,'taxonomy/term/51','year/2006','und'),(131,'taxonomy/term/52','year/2005','und'),(132,'taxonomy/term/58','year/1995-1999','und'),(133,'taxonomy/term/59','year/1990-1994','und'),(134,'taxonomy/term/60','year/1980-1989','und'),(135,'taxonomy/term/61','year/1980','und'),(136,'taxonomy/term/62','year/2000-2004','und'),(137,'taxonomy/term/63','gender/male','und'),(138,'taxonomy/term/64','gender/female','und'),(139,'taxonomy/term/65','positions/ceo','und'),(140,'taxonomy/term/66','positions/sale-executive','und'),(141,'taxonomy/term/67','positions/sale-manager','und'),(142,'taxonomy/term/68','positions/contractor','und'),(143,'taxonomy/term/69','occupations/seller','und'),(144,'taxonomy/term/70','occupations/developer','und'),(145,'taxonomy/term/71','occupations/designer','und'),(146,'taxonomy/term/72','occupations/marketing','und'),(147,'taxonomy/term/73','branches/new-york-office','und'),(148,'taxonomy/term/74','branches/london-office','und'),(149,'taxonomy/term/75','branches/paris-office','und'),(150,'user/1','users/admin','und'),(151,'user/2','users/john','und'),(152,'user/3','users/andrew','und'),(153,'user/4','users/mark','und'),(154,'user/5','users/maria','und'),(155,'blog/1','blogs/admin','und'),(156,'node/22','testimonial/aliquam-ac-tempus-quam-facilisis-mi','und'),(157,'node/23','testimonial/nulla-eu-erat-diam-commodo-egestas','und'),(158,'node/24','testimonial/maecenas-id-semper-est-non-sagittis-felis','und'),(159,'node/25','property/alpine-rd-stockton-ca-95215','und'),(160,'taxonomy/term/76','property-status/selling','und'),(161,'taxonomy/term/77','property-status/renting','und'),(162,'taxonomy/term/78','property-status/sold','und'),(163,'taxonomy/term/79','property-status/rent','und'),(164,'taxonomy/term/80','property-status/pending','und'),(165,'taxonomy/term/81','property-status/holding','und'),(166,'node/26','property/692-n-adele-st-spc-120','und'),(167,'node/27','property/204-dui-fermentum','und'),(168,'node/28','property/1524a-nunc-non-ornare-dui','und'),(169,'node/29','property/3900-vel-ipsum-suscipit','und'),(170,'node/30','property/632-n-oxford-ct','und'),(171,'node/31','property/785-suspendisse-potenti','und'),(172,'node/32','get-touch','und'),(173,'node/33','blog-post/curabitur-placerat-ultrices-enim-non-condimentum','und'),(174,'taxonomy/term/82','categories/single-family','und'),(175,'taxonomy/term/83','categories/apartment','und'),(176,'taxonomy/term/84','categories/condo','und'),(177,'taxonomy/term/85','categories/multi-family','und'),(178,'taxonomy/term/86','categories/villa','und'),(179,'taxonomy/term/87','categories/others','und'),(180,'node/34','property/6226-e-cliffway-dr','und'),(181,'node/35','property/1076-nelson-walk','und'),(182,'node/36','property/6150-e-allison-cir','und'),(183,'node/37','property/204-temporibus-vis','und'),(184,'node/38','property/2315-pellentesque-tempus','und'),(185,'node/39','property/5802-e-bottlebrush-dr','und'),(186,'node/40','blog-post/vestibulum-blandit-tempus-nulla','und'),(187,'taxonomy/term/88','tags/nam','und'),(188,'taxonomy/term/89','tags/malesuada','und'),(189,'taxonomy/term/90','tags/urna','und'),(190,'taxonomy/term/91','tags/donec','und'),(191,'taxonomy/term/92','tags/faucibus','und'),(192,'taxonomy/term/93','tags/massa','und'),(193,'taxonomy/term/94','tags/vehicula-accumsan','und'),(194,'taxonomy/term/95','tags/nulla','und'),(195,'taxonomy/term/96','tags/color','und'),(196,'taxonomy/term/97','tags/vehicula','und'),(197,'taxonomy/term/98','tags/accumsan','und'),(198,'node/41','content/brokerage-services','und'),(199,'node/42','content/real-estate-management','und'),(200,'node/43','content/construction-development','und'),(201,'node/44','404','und'),(202,'node/45','property/4125-e-marmon-ave','und'),(203,'node/46','property/18932-e-center-ave-orange-ca-92869','und'),(204,'node/47','property/11685-blackthorn-ln-orange-ca-92869','und'),(205,'node/48','property/5699-donec-tristique-orci-non','und'),(206,'node/49','property/4429-e-justice-cir-orange-ca-92869','und'),(207,'node/50','property/11752-s-esplanade-st-orange-ca-92869','und'),(208,'node/51','property/2547-maecenas-semper-est','und'),(209,'node/52','property/4896-nullam-rutrum-arcu','und'),(210,'node/53','property/12601-baja-panorama-santa-ana-ca-92705','und'),(211,'node/54','property/32-pellentesque-non-aliquet-turpis','und'),(212,'node/55','property/72-duis-feugiat-vitae-libero','und'),(213,'node/56','community-guidelines','und'),(214,'node/57','free-credit-report','und'),(215,'node/58','home-price','und'),(216,'node/59','market-view','und'),(217,'node/60','privacy-policy','und'),(218,'node/61','terms-conditions','und'),(219,'node/62','home-page','und'),(220,'taxonomy/term/99','location/alaska','und'),(221,'taxonomy/term/100','location/arizona','und'),(222,'taxonomy/term/101','location/arkansas','und'),(223,'taxonomy/term/102','location/colorado','und'),(224,'taxonomy/term/103','location/connecticut','und'),(225,'taxonomy/term/104','location/delaware','und'),(226,'taxonomy/term/105','location/florida','und'),(227,'taxonomy/term/106','location/georgia','und'),(228,'taxonomy/term/107','location/hawaii','und'),(229,'taxonomy/term/108','location/idaho','und'),(230,'taxonomy/term/109','location/illinois','und'),(231,'taxonomy/term/110','location/indiana','und'),(232,'taxonomy/term/111','location/iowa','und'),(233,'taxonomy/term/112','location/kansas','und'),(234,'taxonomy/term/113','location/kentucky','und'),(235,'taxonomy/term/114','location/louisiana','und'),(236,'taxonomy/term/115','location/maine','und'),(237,'taxonomy/term/116','location/maryland','und'),(238,'taxonomy/term/117','location/massachusetts','und'),(239,'taxonomy/term/118','location/michigan','und'),(240,'taxonomy/term/119','location/minnesota','und'),(241,'taxonomy/term/120','location/mississippi','und'),(242,'taxonomy/term/121','location/missouri','und'),(243,'taxonomy/term/122','location/montana','und'),(244,'taxonomy/term/123','location/nebraska','und'),(245,'taxonomy/term/124','location/nevada','und'),(246,'taxonomy/term/125','location/new-hampshire','und'),(247,'taxonomy/term/126','location/new-jersey','und'),(248,'taxonomy/term/127','location/new-mexico','und'),(249,'taxonomy/term/128','location/north-carolina','und'),(250,'taxonomy/term/129','location/north-dakota','und'),(251,'taxonomy/term/130','location/oklahoma','und'),(252,'taxonomy/term/131','location/oregon','und'),(253,'taxonomy/term/132','location/pennsylvania','und'),(254,'taxonomy/term/133','location/rhode-island','und'),(255,'taxonomy/term/134','location/south-carolina','und'),(256,'taxonomy/term/135','location/south-dakota','und'),(257,'taxonomy/term/136','location/tennessee','und'),(258,'taxonomy/term/137','location/utah','und'),(259,'taxonomy/term/138','location/vermont','und'),(260,'taxonomy/term/139','location/virginia','und'),(261,'taxonomy/term/140','location/washington','und'),(262,'taxonomy/term/141','location/west-virginia','und'),(263,'taxonomy/term/142','location/wisconsin','und'),(264,'taxonomy/term/143','location/wyoming','und'),(265,'node/63','homepage2','und'),(266,'taxonomy/term/144','newsletter/real-estast-newsletter','und');
/*!40000 ALTER TABLE `url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique user ID.',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'','','','','',NULL,0,0,0,0,NULL,'',0,'',NULL),(1,'admin','$S$DaOEa2qiIDKWDO/NtYLw/NuizhoU8nCu7iTUzN2RmJAAy7pu8NPS','contact@weebpal.com','','','filtered_html',1406173789,1500349434,1500346816,1,'Asia/Krasnoyarsk','',163,'contact@weebpal.com','a:2:{s:7:\"contact\";i:0;s:7:\"overlay\";i:1;}'),(2,'john','$S$DUeSepwrOMSR9yT.ghOisy/vqyxuVtEbJlmblq4DDEzmB.9O0bQ6','john@real.com','','','filtered_html',1406261148,0,0,1,'Asia/Krasnoyarsk','',162,'john@real.com','a:1:{s:7:\"contact\";i:1;}'),(3,'andrew','$S$DrO.AsjyQVFuSw/ZSdD8t4ZCpRNqsDvae6OuGHS66x5JNPCIIFrZ','andrew@real.com','','','filtered_html',1406261210,0,0,1,'Asia/Krasnoyarsk','',161,'andrew@real.com','a:1:{s:7:\"contact\";i:1;}'),(4,'mark','$S$DnnrvKzhdH0PIkI2LjiBAl46izMqoN.k9u9qwVoqN9IH/qmkdwFe','mark@real.com','','','filtered_html',1406261445,0,0,1,'Asia/Krasnoyarsk','',165,'mark@real.com','a:1:{s:7:\"contact\";i:1;}'),(5,'maria','$S$DLLBCYYRgGQmoIweMe2k317wK2GOhFmyCteH//J/wdNhhYY10bAO','maria@real.com','','','filtered_html',1406261556,1421752793,1421748493,1,'Asia/Krasnoyarsk','en',164,'maria@real.com','a:1:{s:7:\"contact\";i:1;}');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_roles`
--

DROP TABLE IF EXISTS `users_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_roles`
--

LOCK TABLES `users_roles` WRITE;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_roles` VALUES (1,3),(2,4),(3,4),(4,4),(5,4),(2,5),(3,5),(4,5),(5,5);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable`
--

LOCK TABLES `variable` WRITE;
/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `variable` VALUES ('additional_settings__active_tab','s:12:\"edit-context\";'),('additional_settings__active_tab_faq','s:13:\"edit-workflow\";'),('additional_settings__active_tab_properties','s:9:\"edit-menu\";'),('additional_settings__active_tab_services','s:15:\"edit-submission\";'),('additional_settings__active_tab_testimonials','s:9:\"edit-menu\";'),('additional_settings__active_tab_webform','s:12:\"edit-display\";'),('additional_settings__active_tab_why_us','s:12:\"edit-comment\";'),('admin_theme','s:10:\"we_backend\";'),('anonymous','s:9:\"Anonymous\";'),('cache_class_cache_ctools_css','s:14:\"CToolsCssCache\";'),('clean_url','s:1:\"1\";'),('comment_anonymous_faq','i:0;'),('comment_anonymous_properties','i:0;'),('comment_anonymous_services','i:0;'),('comment_anonymous_testimonials','i:0;'),('comment_anonymous_webform','i:0;'),('comment_anonymous_why_us','i:0;'),('comment_block_count','i:10;'),('comment_default_mode_faq','i:1;'),('comment_default_mode_properties','i:1;'),('comment_default_mode_services','i:1;'),('comment_default_mode_testimonials','i:1;'),('comment_default_mode_webform','i:1;'),('comment_default_mode_why_us','i:1;'),('comment_default_per_page_faq','s:2:\"50\";'),('comment_default_per_page_properties','s:2:\"50\";'),('comment_default_per_page_services','s:2:\"50\";'),('comment_default_per_page_testimonials','s:2:\"50\";'),('comment_default_per_page_webform','s:2:\"50\";'),('comment_default_per_page_why_us','s:2:\"50\";'),('comment_faq','s:1:\"1\";'),('comment_form_location_faq','i:1;'),('comment_form_location_properties','i:1;'),('comment_form_location_services','i:1;'),('comment_form_location_testimonials','i:1;'),('comment_form_location_webform','i:1;'),('comment_form_location_why_us','i:1;'),('comment_page','i:0;'),('comment_preview_faq','s:1:\"1\";'),('comment_preview_properties','s:1:\"1\";'),('comment_preview_services','s:1:\"1\";'),('comment_preview_testimonials','s:1:\"1\";'),('comment_preview_webform','s:1:\"1\";'),('comment_preview_why_us','s:1:\"1\";'),('comment_properties','s:1:\"1\";'),('comment_services','s:1:\"2\";'),('comment_subject_field_faq','i:1;'),('comment_subject_field_properties','i:1;'),('comment_subject_field_services','i:1;'),('comment_subject_field_testimonials','i:1;'),('comment_subject_field_webform','i:1;'),('comment_subject_field_why_us','i:1;'),('comment_testimonials','s:1:\"1\";'),('comment_webform','s:1:\"1\";'),('comment_why_us','s:1:\"1\";'),('contact_default_status','i:1;'),('context_block_rebuild_needed','b:1;'),('context_status','a:0:{}'),('cron_key','s:43:\"xQXdbASS3OmBut8o87rszlHkE0QaBBAG5DiHfXSLZU8\";'),('cron_last','i:1500346728;'),('css_js_query_string','s:6:\"ot9p76\";'),('ctools_last_cron','i:1500346733;'),('date_default_timezone','s:16:\"Asia/Krasnoyarsk\";'),('default_field_group','a:6:{s:46:\"group_more_information|node|properties|default\";b:0;s:33:\"group_map|node|properties|default\";b:0;s:48:\"group_additional_details|node|properties|default\";b:0;s:35:\"group_video|node|properties|default\";b:0;s:35:\"group_price|node|properties|default\";b:0;s:46:\"group_main_information|node|properties|default\";b:0;}'),('default_nodes_main','s:2:\"10\";'),('drupal_http_request_fails','b:0;'),('drupal_private_key','s:43:\"sUnow7VBun29ymPPL8a3B_QjcGnSfGmpp_AOReJ8v48\";'),('email__active_tab','s:24:\"edit-email-admin-created\";'),('entityreference:base-tables','a:9:{s:4:\"bean\";a:2:{i:0;s:4:\"bean\";i:1;s:3:\"bid\";}s:7:\"comment\";a:2:{i:0;s:7:\"comment\";i:1;s:3:\"cid\";}s:21:\"field_collection_item\";a:2:{i:0;s:21:\"field_collection_item\";i:1;s:7:\"item_id\";}s:19:\"metatags_path_based\";a:2:{i:0;s:25:\"metatags_quick_path_based\";i:1;s:2:\"id\";}s:4:\"node\";a:2:{i:0;s:4:\"node\";i:1;s:3:\"nid\";}s:4:\"file\";a:2:{i:0;s:12:\"file_managed\";i:1;s:3:\"fid\";}s:13:\"taxonomy_term\";a:2:{i:0;s:18:\"taxonomy_term_data\";i:1;s:3:\"tid\";}s:19:\"taxonomy_vocabulary\";a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;s:3:\"vid\";}s:4:\"user\";a:2:{i:0;s:5:\"users\";i:1;s:3:\"uid\";}}'),('entity_cache_tables_created','N;'),('features_codecache','a:1:{s:23:\"isotope_example_feature\";a:3:{s:5:\"field\";s:32:\"0ab7d4a2c6bee681ceeedb4843da5b0f\";s:8:\"taxonomy\";s:32:\"dcbaffe2f734b63a1b42ea0991c9fef9\";s:12:\"dependencies\";s:32:\"bee5eb879c042c82403d41026f8d9cf9\";}}'),('features_ignored_orphans','a:0:{}'),('features_semaphore','a:0:{}'),('field_bundle_settings_bean__who_we_are_block','a:2:{s:10:\"view_modes\";a:2:{s:7:\"default\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:4:{s:5:\"label\";a:1:{s:6:\"weight\";s:1:\"1\";}s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:8:\"revision\";a:1:{s:6:\"weight\";s:1:\"6\";}s:9:\"view_mode\";a:1:{s:6:\"weight\";s:1:\"5\";}}s:7:\"display\";a:1:{s:5:\"title\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"0\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_field_collection_item__field_content','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:0:{}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__article','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"5\";}}s:7:\"display\";a:1:{s:9:\"sharethis\";a:2:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}s:6:\"teaser\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__blog','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"8\";}}s:7:\"display\";a:1:{s:9:\"sharethis\";a:2:{s:7:\"default\";a:2:{s:6:\"weight\";s:1:\"5\";s:7:\"visible\";b:1;}s:6:\"teaser\";a:2:{s:6:\"weight\";s:1:\"4\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__faq','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"2\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__page','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:1:{s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"10\";s:7:\"visible\";b:1;}}}}}'),('field_bundle_settings_node__properties','a:2:{s:10:\"view_modes\";a:9:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}s:11:\"email_plain\";a:1:{s:15:\"custom_settings\";b:0;}s:10:\"email_html\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"email_textalt\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"21\";}}s:7:\"display\";a:1:{s:9:\"sharethis\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"11\";s:7:\"visible\";b:0;}}}}}'),('field_bundle_settings_node__services','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"3\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__testimonials','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"2\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_taxonomy_term__business_types','a:0:{}'),('field_bundle_settings_taxonomy_term__occupations','a:0:{}'),('field_bundle_settings_taxonomy_term__positions','a:0:{}'),('field_bundle_settings_user__user','a:2:{s:10:\"view_modes\";a:2:{s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:7:\"account\";a:1:{s:6:\"weight\";s:1:\"0\";}s:8:\"timezone\";a:1:{s:6:\"weight\";s:2:\"14\";}}s:7:\"display\";a:1:{s:7:\"summary\";a:1:{s:7:\"default\";a:2:{s:6:\"weight\";s:2:\"13\";s:7:\"visible\";b:0;}}}}}'),('file_default_scheme','s:6:\"public\";'),('file_private_path','s:27:\"sites/default/files/private\";'),('file_public_path','s:19:\"sites/default/files\";'),('file_temporary_path','s:4:\"/tmp\";'),('filter_fallback_format','s:10:\"plain_text\";'),('flexslider_version','s:3:\"2.2\";'),('flickr_api_key','s:32:\"2aa38007b97af655d668a1f5c3796fc1\";'),('flickr_api_secret','s:16:\"bbf8411f24ca3c55\";'),('flickr_block_heading','s:2:\"h2\";'),('flickr_block_hide_empty','i:0;'),('flickr_block_photos_per_set','s:1:\"6\";'),('flickr_block_refresh_others','s:2:\"31\";'),('flickr_block_refresh_random','s:2:\"23\";'),('flickr_cache_duration','s:4:\"3600\";'),('flickr_caption_padding','s:1:\"0\";'),('flickr_class','s:0:\"\";'),('flickr_counter','i:1;'),('flickr_css','i:1;'),('flickr_default_size_album','s:1:\"s\";'),('flickr_default_userid','s:0:\"\";'),('flickr_info_overlay','a:4:{s:5:\"title\";s:5:\"title\";s:8:\"metadata\";s:8:\"metadata\";s:11:\"description\";s:11:\"description\";s:7:\"license\";i:0;}'),('flickr_license','i:0;'),('flickr_maps','i:0;'),('flickr_metadata_suppress_on_small','s:3:\"150\";'),('flickr_opening_size','s:0:\"\";'),('flickr_per_page','s:3:\"100\";'),('flickr_photos_per_page','s:1:\"6\";'),('flickr_rel','s:0:\"\";'),('flickr_title_suppress_on_small','s:3:\"100\";'),('gmap_api_key','s:39:\"AIzaSyDrgZrV6h3oVqBbkh2ztfuMkzaRkwjfjlk\";'),('gmap_default','a:15:{s:5:\"width\";s:4:\"100%\";s:6:\"height\";s:5:\"520px\";s:7:\"latlong\";s:38:\"-87.48374123439284,-26.548362451171776\";s:4:\"zoom\";s:2:\"12\";s:7:\"maxzoom\";s:2:\"14\";s:6:\"styles\";a:3:{s:12:\"line_default\";a:5:{i:0;s:6:\"0000ff\";i:1;s:1:\"5\";i:2;s:2:\"45\";i:3;s:0:\"\";i:4;s:0:\"\";}s:12:\"poly_default\";a:5:{i:0;s:6:\"000000\";i:1;s:1:\"3\";i:2;s:2:\"25\";i:3;s:6:\"ff0000\";i:4;s:2:\"45\";}s:15:\"highlight_color\";s:6:\"ff0000\";}s:11:\"controltype\";s:5:\"Small\";s:10:\"pancontrol\";i:1;s:17:\"streetviewcontrol\";i:0;s:3:\"mtc\";s:8:\"standard\";s:7:\"maptype\";s:3:\"Map\";s:10:\"baselayers\";a:4:{s:3:\"Map\";i:1;s:9:\"Satellite\";i:1;s:6:\"Hybrid\";i:1;s:8:\"Physical\";i:0;}s:8:\"behavior\";a:13:{s:7:\"locpick\";b:0;s:6:\"nodrag\";i:0;s:10:\"nokeyboard\";i:1;s:11:\"nomousezoom\";i:0;s:10:\"nocontzoom\";i:0;s:8:\"autozoom\";i:1;s:10:\"dynmarkers\";i:0;s:8:\"overview\";i:0;s:12:\"collapsehack\";i:0;s:5:\"scale\";i:0;s:17:\"extramarkerevents\";b:0;s:15:\"clickableshapes\";b:0;s:9:\"highlight\";i:0;}s:10:\"markermode\";s:1:\"1\";s:11:\"line_colors\";a:3:{i:0;s:7:\"#00cc00\";i:1;s:7:\"#ff0000\";i:2;s:7:\"#0000ff\";}}'),('gmap_markerfiles','a:2:{i:0;s:39:\"sites/all/modules/weebpal_tools/markers\";i:1;s:43:\"sites/all/modules/real_estast_tools/markers\";}'),('gmap_markermanager','a:4:{s:13:\"markermanager\";a:6:{s:8:\"filename\";s:23:\"markermanager_packed.js\";s:13:\"borderPadding\";s:3:\"256\";s:7:\"maxZoom\";s:1:\"4\";s:12:\"trackMarkers\";i:0;s:13:\"markerMinZoom\";s:1:\"4\";s:13:\"markerMaxZoom\";s:1:\"0\";}s:15:\"markerclusterer\";a:4:{s:8:\"filename\";s:25:\"markerclusterer_packed.js\";s:8:\"gridSize\";i:60;s:7:\"maxZoom\";i:17;s:6:\"styles\";a:0:{}}s:9:\"clusterer\";a:6:{s:8:\"filename\";s:13:\"Clusterer2.js\";s:6:\"marker\";s:7:\"cluster\";s:13:\"max_nocluster\";s:3:\"150\";s:11:\"cluster_min\";s:1:\"5\";s:9:\"max_lines\";s:2:\"10\";s:10:\"popup_mode\";s:4:\"orig\";}s:13:\"clustermarker\";a:7:{s:8:\"filename\";s:16:\"ClusterMarker.js\";s:13:\"borderPadding\";s:3:\"256\";s:17:\"clusteringEnabled\";i:1;s:17:\"clusterMarkerIcon\";s:0:\"\";s:18:\"clusterMarkerTitle\";s:0:\"\";s:13:\"fitMapMaxZoom\";s:1:\"0\";s:16:\"intersectPadding\";s:1:\"0\";}}'),('gmap_marker_custom_dir','s:8:\"no value\";'),('gmap_marker_file','s:1:\"1\";'),('gmap_mm_type','s:4:\"gmap\";'),('icon_api_view_path_alias','s:5:\"icons\";'),('image_jpeg_quality','s:3:\"100\";'),('image_toolkit','s:2:\"gd\";'),('install_profile','s:8:\"standard\";'),('install_task','s:4:\"done\";'),('install_time','i:1406173853;'),('jquery_update_compression_type','s:3:\"min\";'),('jquery_update_jquery_admin_version','s:0:\"\";'),('jquery_update_jquery_cdn','s:4:\"none\";'),('jquery_update_jquery_version','s:3:\"1.7\";'),('language_count','i:2;'),('language_default','O:8:\"stdClass\":11:{s:8:\"language\";s:2:\"en\";s:4:\"name\";s:7:\"English\";s:6:\"native\";s:7:\"English\";s:9:\"direction\";s:1:\"0\";s:7:\"enabled\";i:1;s:7:\"plurals\";s:1:\"0\";s:7:\"formula\";s:0:\"\";s:6:\"domain\";s:0:\"\";s:6:\"prefix\";s:2:\"en\";s:6:\"weight\";s:1:\"0\";s:10:\"javascript\";s:0:\"\";}'),('language_negotiation_language','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:16:\"language-default\";a:1:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:21:\"language_from_default\";}}}'),('language_negotiation_language_content','a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_negotiation_language_url','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_types','a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}'),('locale_language_providers_weight_language','a:5:{s:10:\"locale-url\";s:2:\"-8\";s:14:\"locale-session\";s:2:\"-6\";s:11:\"locale-user\";s:2:\"-4\";s:14:\"locale-browser\";s:2:\"-2\";s:16:\"language-default\";s:2:\"10\";}'),('mail_system','a:1:{s:14:\"default-system\";s:17:\"DefaultMailSystem\";}'),('maintenance_mode','b:0;'),('mefibs_block_hashes','a:0:{}'),('menu_breadcrumb_append_node_title','i:1;'),('menu_breadcrumb_append_node_url','i:0;'),('menu_breadcrumb_determine_menu','i:1;'),('menu_breadcrumb_hide_on_single_item','i:0;'),('menu_breadcrumb_menus','a:10:{s:9:\"main-menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:9:\"Main menu\";s:4:\"name\";s:9:\"main-menu\";}s:10:\"management\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:10:\"Management\";s:4:\"name\";s:10:\"management\";}s:10:\"menu-pages\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:5:\"Pages\";s:4:\"name\";s:10:\"menu-pages\";}s:25:\"menu-properties-demo-menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:20:\"Properties Demo Menu\";s:4:\"name\";s:25:\"menu-properties-demo-menu\";}s:16:\"menu-social-menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:11:\"Social Menu\";s:4:\"name\";s:16:\"menu-social-menu\";}s:17:\"menu-useful-links\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:12:\"Useful links\";s:4:\"name\";s:17:\"menu-useful-links\";}s:28:\"menu_breadcrumb_default_menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:28:\"menu_breadcrumb_default_menu\";s:5:\"title\";s:28:\"menu_breadcrumb_default_menu\";s:4:\"name\";s:28:\"menu_breadcrumb_default_menu\";}s:10:\"navigation\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:10:\"Navigation\";s:4:\"name\";s:10:\"navigation\";}s:14:\"shortcut-set-1\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:14:\"shortcut-set-1\";s:4:\"name\";s:14:\"shortcut-set-1\";}s:9:\"user-menu\";a:5:{s:7:\"enabled\";i:1;s:6:\"weight\";s:1:\"0\";s:4:\"type\";s:4:\"menu\";s:5:\"title\";s:9:\"User menu\";s:4:\"name\";s:9:\"user-menu\";}}'),('menu_breadcrumb_menu_patterns','s:22:\"/^book-toc-\\d+$/Books/\";'),('menu_breadcrumb_pattern_matches_rebuild','b:0;'),('menu_expanded','a:1:{i:0;s:9:\"main-menu\";}'),('menu_masks','a:45:{i:0;i:501;i:1;i:493;i:2;i:253;i:3;i:250;i:4;i:247;i:5;i:246;i:6;i:245;i:7;i:126;i:8;i:125;i:9;i:124;i:10;i:123;i:11;i:122;i:12;i:121;i:13;i:117;i:14;i:63;i:15;i:62;i:16;i:61;i:17;i:60;i:18;i:59;i:19;i:58;i:20;i:56;i:21;i:48;i:22;i:45;i:23;i:44;i:24;i:31;i:25;i:30;i:26;i:29;i:27;i:28;i:28;i:26;i:29;i:25;i:30;i:24;i:31;i:22;i:32;i:21;i:33;i:15;i:34;i:14;i:35;i:13;i:36;i:11;i:37;i:10;i:38;i:8;i:39;i:7;i:40;i:6;i:41;i:5;i:42;i:3;i:43;i:2;i:44;i:1;}'),('menu_options_faq','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_properties','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_services','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_testimonials','a:0:{}'),('menu_options_webform','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_why_us','a:1:{i:0;s:9:\"main-menu\";}'),('menu_parent_faq','s:11:\"main-menu:0\";'),('menu_parent_properties','s:11:\"main-menu:0\";'),('menu_parent_services','s:11:\"main-menu:0\";'),('menu_parent_testimonials','s:11:\"main-menu:0\";'),('menu_parent_webform','s:11:\"main-menu:0\";'),('menu_parent_why_us','s:11:\"main-menu:0\";'),('metatags_quick_default_field_length','i:160;'),('module_filter_recent_modules','a:1:{s:20:\"we_content_migration\";i:1499930672;}'),('node_admin_theme','i:1;'),('node_cron_last','s:10:\"1423734056\";'),('node_options_faq','a:1:{i:0;s:6:\"status\";}'),('node_options_page','a:1:{i:0;s:6:\"status\";}'),('node_options_properties','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_services','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_testimonials','a:1:{i:0;s:6:\"status\";}'),('node_options_webform','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_why_us','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_preview_faq','s:1:\"1\";'),('node_preview_properties','s:1:\"1\";'),('node_preview_services','s:1:\"1\";'),('node_preview_testimonials','s:1:\"1\";'),('node_preview_webform','s:1:\"1\";'),('node_preview_why_us','s:1:\"1\";'),('node_submitted_faq','i:0;'),('node_submitted_page','b:0;'),('node_submitted_properties','i:1;'),('node_submitted_services','i:1;'),('node_submitted_testimonials','i:1;'),('node_submitted_webform','i:0;'),('node_submitted_why_us','i:0;'),('pathauto_blog_pattern','s:17:\"blogs/[user:name]\";'),('pathauto_forum_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_node_article_pattern','s:20:\"article/[node:title]\";'),('pathauto_node_blog_pattern','s:22:\"blog-post/[node:title]\";'),('pathauto_node_faq_pattern','s:16:\"faq/[node:title]\";'),('pathauto_node_page_pattern','s:12:\"[node:title]\";'),('pathauto_node_pattern','s:20:\"content/[node:title]\";'),('pathauto_node_properties_pattern','s:21:\"property/[node:title]\";'),('pathauto_node_testimonials_pattern','s:24:\"testimonial/[node:title]\";'),('pathauto_node_webform_pattern','s:12:\"[node:title]\";'),('pathauto_node_why_us_pattern','s:19:\"why-us/[node:title]\";'),('pathauto_punctuation_hyphen','i:1;'),('pathauto_taxonomy_term_bathrooms_pattern','s:0:\"\";'),('pathauto_taxonomy_term_bedrooms_pattern','s:0:\"\";'),('pathauto_taxonomy_term_branches_pattern','s:0:\"\";'),('pathauto_taxonomy_term_business_types_pattern','s:0:\"\";'),('pathauto_taxonomy_term_floors_pattern','s:0:\"\";'),('pathauto_taxonomy_term_garage_pattern','s:0:\"\";'),('pathauto_taxonomy_term_gender_pattern','s:0:\"\";'),('pathauto_taxonomy_term_location_pattern','s:0:\"\";'),('pathauto_taxonomy_term_occupations_pattern','s:0:\"\";'),('pathauto_taxonomy_term_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_taxonomy_term_positions_pattern','s:0:\"\";'),('pathauto_taxonomy_term_property_types_pattern','s:0:\"\";'),('pathauto_taxonomy_term_tags_pattern','s:0:\"\";'),('pathauto_taxonomy_term_year_pattern','s:0:\"\";'),('pathauto_user_pattern','s:17:\"users/[user:name]\";'),('path_alias_whitelist','a:4:{s:4:\"blog\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}'),('redirect_404_content','s:14:\"Page not found\";'),('redirect_404_redirect','s:3:\"404\";'),('redirect_404_save_redirect','i:0;'),('redirect_404_search','s:0:\"\";'),('redirect_404_servers','s:0:\"\";'),('redirect_404_site_404','s:0:\"\";'),('redirect_404_title','s:20:\"404 - Page not found\";'),('save_continue_faq','s:19:\"Save and add fields\";'),('save_continue_properties','s:19:\"Save and add fields\";'),('save_continue_services','s:19:\"Save and add fields\";'),('save_continue_testimonials','s:19:\"Save and add fields\";'),('save_continue_why_us','s:19:\"Save and add fields\";'),('simplenews_block_f_144','s:1:\"1\";'),('simplenews_block_i_144','s:1:\"5\";'),('simplenews_block_i_status_144','i:0;'),('simplenews_block_l_144','i:0;'),('simplenews_block_m_144','s:131:\"In venenatis neque a eros laoreet eu placerat erat suscipit. Fusce cursus, erat ut scelerisque condimentum, quam odio ultrices leo.\";'),('simplenews_block_r_144','i:0;'),('simplenews_content_type_simplenews','b:1;'),('simplenews_vid','s:2:\"19\";'),('site_403','s:0:\"\";'),('site_404','s:7:\"node/44\";'),('site_default_country','s:2:\"VN\";'),('site_frontpage','s:7:\"node/62\";'),('site_mail','s:13:\"admin@lvh.com\";'),('site_name','s:11:\"Real Estast\";'),('site_slogan','s:0:\"\";'),('statistics_count_content_views','i:1;'),('statistics_count_content_views_ajax','i:0;'),('statistics_day_timestamp','i:1500346728;'),('statistics_enable_access_log','i:0;'),('statistics_flush_accesslog_timer','s:6:\"259200\";'),('tagclouds_block_tags_1','s:2:\"12\";'),('theme_default','s:11:\"real_estast\";'),('theme_real_estast_settings','a:64:{s:19:\"real_estast_version\";s:0:\"\";s:4:\"skin\";s:0:\"\";s:10:\"background\";s:10:\"bg-default\";s:9:\"animation\";s:8:\"fadeInUp\";s:14:\"node_animation\";i:0;s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1200\";s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:15:\"show_skins_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:16:\"base_font_family\";s:0:\"\";s:18:\"base_font_category\";s:0:\"\";s:17:\"base_font_variant\";s:0:\"\";s:16:\"base_font_subset\";s:0:\"\";s:17:\"base_font_version\";s:0:\"\";s:14:\"base_font_file\";s:0:\"\";s:21:\"site_name_font_family\";s:0:\"\";s:23:\"site_name_font_category\";s:0:\"\";s:22:\"site_name_font_variant\";s:0:\"\";s:21:\"site_name_font_subset\";s:0:\"\";s:22:\"site_name_font_version\";s:0:\"\";s:19:\"site_name_font_file\";s:0:\"\";s:23:\"site_slogan_font_family\";s:0:\"\";s:25:\"site_slogan_font_category\";s:0:\"\";s:24:\"site_slogan_font_variant\";s:0:\"\";s:23:\"site_slogan_font_subset\";s:0:\"\";s:24:\"site_slogan_font_version\";s:0:\"\";s:21:\"site_slogan_font_file\";s:0:\"\";s:22:\"page_title_font_family\";s:0:\"\";s:24:\"page_title_font_category\";s:0:\"\";s:23:\"page_title_font_variant\";s:0:\"\";s:22:\"page_title_font_subset\";s:0:\"\";s:23:\"page_title_font_version\";s:0:\"\";s:20:\"page_title_font_file\";s:0:\"\";s:22:\"node_title_font_family\";s:0:\"\";s:24:\"node_title_font_category\";s:0:\"\";s:23:\"node_title_font_variant\";s:0:\"\";s:22:\"node_title_font_subset\";s:0:\"\";s:23:\"node_title_font_version\";s:0:\"\";s:20:\"node_title_font_file\";s:0:\"\";s:25:\"comment_title_font_family\";s:0:\"\";s:27:\"comment_title_font_category\";s:0:\"\";s:26:\"comment_title_font_variant\";s:0:\"\";s:25:\"comment_title_font_subset\";s:0:\"\";s:26:\"comment_title_font_version\";s:0:\"\";s:23:\"comment_title_font_file\";s:0:\"\";s:23:\"block_title_font_family\";s:0:\"\";s:25:\"block_title_font_category\";s:0:\"\";s:24:\"block_title_font_variant\";s:0:\"\";s:23:\"block_title_font_subset\";s:0:\"\";s:24:\"block_title_font_version\";s:0:\"\";s:21:\"block_title_font_file\";s:0:\"\";s:32:\"real_estast_use_default_settings\";s:1:\"0\";}'),('update_last_check','i:1500349471;'),('update_last_email_notification','i:1500346728;'),('update_notify_emails','a:1:{i:0;s:19:\"contact@weebpal.com\";}'),('user_admin_role','s:1:\"3\";'),('user_cancel_method','s:17:\"user_cancel_block\";'),('user_email_verification','i:1;'),('user_mail_cancel_confirm_body','s:381:\"[user:name],\r\n\r\nA request to cancel your account has been made at [site:name].\r\n\r\nYou may now cancel your account on [site:url-brief] by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:cancel-url]\r\n\r\nNOTE: The cancellation of your account is not reversible.\r\n\r\nThis link expires in one day and nothing will happen if it is not used.\r\n\r\n--  [site:name] team\";'),('user_mail_cancel_confirm_subject','s:59:\"Account cancellation request for [user:name] at [site:name]\";'),('user_mail_password_reset_body','s:407:\"[user:name],\r\n\r\nA request to reset the password for your account has been made at [site:name].\r\n\r\nYou may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password. It expires after one day and nothing will happen if it\'s not used.\r\n\r\n--  [site:name] team\";'),('user_mail_password_reset_subject','s:60:\"Replacement login information for [user:name] at [site:name]\";'),('user_mail_register_admin_created_body','s:476:\"[user:name],\r\n\r\nA site administrator at [site:name] has created an account for you. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";'),('user_mail_register_admin_created_subject','s:58:\"An administrator created an account for you at [site:name]\";'),('user_mail_register_no_approval_required_body','s:450:\"[user:name],\r\n\r\nThank you for registering at [site:name]. You may now log in by clicking this link or copying and pasting it to your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";'),('user_mail_register_no_approval_required_subject','s:46:\"Account details for [user:name] at [site:name]\";'),('user_mail_register_pending_approval_body','s:287:\"[user:name],\r\n\r\nThank you for registering at [site:name]. Your application for an account is currently pending approval. Once it has been approved, you will receive another e-mail containing information about how to log in, set your password, and other details.\r\n\r\n\r\n--  [site:name] team\";'),('user_mail_register_pending_approval_subject','s:71:\"Account details for [user:name] at [site:name] (pending admin approval)\";'),('user_mail_status_activated_body','s:461:\"[user:name],\r\n\r\nYour account at [site:name] has been activated.\r\n\r\nYou may now log in by clicking this link or copying and pasting it into your browser:\r\n\r\n[user:one-time-login-url]\r\n\r\nThis link can only be used once to log in and will lead you to a page where you can set your password.\r\n\r\nAfter setting your password, you will be able to log in at [site:login-url] in the future using:\r\n\r\nusername: [user:name]\r\npassword: Your password\r\n\r\n--  [site:name] team\";'),('user_mail_status_activated_notify','i:1;'),('user_mail_status_activated_subject','s:57:\"Account details for [user:name] at [site:name] (approved)\";'),('user_mail_status_blocked_body','s:85:\"[user:name],\r\n\r\nYour account on [site:name] has been blocked.\r\n\r\n--  [site:name] team\";'),('user_mail_status_blocked_notify','i:0;'),('user_mail_status_blocked_subject','s:56:\"Account details for [user:name] at [site:name] (blocked)\";'),('user_mail_status_canceled_body','s:86:\"[user:name],\r\n\r\nYour account on [site:name] has been canceled.\r\n\r\n--  [site:name] team\";'),('user_mail_status_canceled_notify','i:0;'),('user_mail_status_canceled_subject','s:57:\"Account details for [user:name] at [site:name] (canceled)\";'),('user_pictures','i:1;'),('user_picture_default','s:0:\"\";'),('user_picture_dimensions','s:9:\"1024x1024\";'),('user_picture_file_size','s:3:\"800\";'),('user_picture_guidelines','s:0:\"\";'),('user_picture_path','s:8:\"pictures\";'),('user_picture_style','s:6:\"avatar\";'),('user_register','s:1:\"2\";'),('user_signatures','i:0;'),('views_block_hashes','a:0:{}'),('views_defaults','a:4:{s:9:\"frontpage\";b:0;s:13:\"taxonomy_term\";b:0;s:28:\"isotope_example_filter_block\";b:1;s:15:\"isotope_example\";b:1;}'),('webform_email_address_individual','i:1;'),('webform_email_html_capable','b:0;'),('webform_node_webform','b:1;'),('weebpal_tools_google_fonts_webfonts','a:696:{s:7:\"ABeeZee\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"ABeeZee\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/abeezee/v4/mE5BOuZKGln_Ex0uYKpIaw.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/abeezee/v4/kpplLynmYgP0YtlJA3atRw.ttf\";}}s:4:\"Abel\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Abel\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/abel/v6/RpUKfqNxoyNe_ka23bzQ2A.ttf\";}}s:13:\"Abril Fatface\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Abril Fatface\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/abrilfatface/v8/X1g_KwGeBV3ajZIXQ9VnDojjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:8:\"Aclonica\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Aclonica\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/aclonica/v6/M6pHZMPwK3DiBSlo3jwAKQ.ttf\";}}s:4:\"Acme\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Acme\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/acme/v5/-J6XNtAHPZBEbsifCdBt-g.ttf\";}}s:5:\"Actor\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Actor\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/actor/v6/ugMf40CrRK6Jf6Yz_xNSmQ.ttf\";}}s:7:\"Adamina\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Adamina\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/adamina/v7/RUQfOodOMiVVYqFZcSlT9w.ttf\";}}s:10:\"Advent Pro\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Advent Pro\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:7:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:7:\"regular\";i:4;s:3:\"500\";i:5;s:3:\"600\";i:6;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":7:{s:3:\"100\";s:87:\"http://fonts.gstatic.com/s/adventpro/v4/87-JOpSUecTG50PBYK4ysi3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"200\";s:87:\"http://fonts.gstatic.com/s/adventpro/v4/URTSSjIp0Wr-GrjxFdFWnGeudeTO44zf-ht3k-KNzwg.ttf\";s:3:\"300\";s:87:\"http://fonts.gstatic.com/s/adventpro/v4/sJaBfJYSFgoB80OL1_66m0eOrDcLawS7-ssYqLr2Xp4.ttf\";s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/adventpro/v4/1NxMBeKVcNNH2H46AUR3wfesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"500\";s:87:\"http://fonts.gstatic.com/s/adventpro/v4/7kBth2-rT8tP40RmMMXMLJp-63r6doWhTEbsfBIRJ7A.ttf\";s:3:\"600\";s:87:\"http://fonts.gstatic.com/s/adventpro/v4/3Jo-2maCzv2QLzQBzaKHV_pTEJqju4Hz1txDWij77d4.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/adventpro/v4/M4I6QiICt-ey_wZTpR2gKwJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:15:\"Aguafina Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Aguafina Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/aguafinascript/v5/65g7cgMtMGnNlNyq_Z6CvMxLhO8OSNnfAp53LK1_iRs.ttf\";}}s:7:\"Akronim\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Akronim\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/akronim/v5/qA0L2CSArk3tuOWE1AR1DA.ttf\";}}s:6:\"Aladin\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Aladin\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/aladin/v5/PyuJ5cVHkduO0j5fAMKvAA.ttf\";}}s:7:\"Aldrich\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Aldrich\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/aldrich/v6/kMMW1S56gFx7RP_mW1g-Eg.ttf\";}}s:4:\"Alef\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Alef\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/alef/v4/ENvZ_P0HBDQxNZYCQO0lUA.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/alef/v4/VDgZJhEwudtOzOFQpZ8MEA.ttf\";}}s:8:\"Alegreya\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Alegreya\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:6:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/alegreya/v7/62J3atXd6bvMU4qO_ca-eA.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/alegreya/v7/cbshnQGxwmlHBjUil7DaIfesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/alegreya/v7/5oZtdI5-wQwgAFrd9erCsaCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/alegreya/v7/IWi8e5bpnqhMRsZKTcTUWgJKKGfqHaYFsRG-T3ceEVo.ttf\";s:3:\"900\";s:86:\"http://fonts.gstatic.com/s/alegreya/v7/oQeMxX-vxGImzDgX6nxA7KCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"900italic\";s:86:\"http://fonts.gstatic.com/s/alegreya/v7/-L71QLH_XqgYWaI1GbOVhp0EAVxt0G0biEntp43Qt6E.ttf\";}}s:11:\"Alegreya SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Alegreya SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:6:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/alegreyasc/v6/3ozeFnTbygMK6PfHh8B-iqCWcynf_cDxXwCLxiixG1c.ttf\";s:6:\"italic\";s:88:\"http://fonts.gstatic.com/s/alegreyasc/v6/GOqmv3FLsJ2r6ZALMZVBmkeOrDcLawS7-ssYqLr2Xp4.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/alegreyasc/v6/M9OIREoxDkvynwTpBAYUq3e1Pd76Vl7zRpE7NLJQ7XU.ttf\";s:9:\"700italic\";s:88:\"http://fonts.gstatic.com/s/alegreyasc/v6/5PCoU7IUfCicpKBJtBmP6c_zJjSACmk0BRPxQqhnNLU.ttf\";s:3:\"900\";s:88:\"http://fonts.gstatic.com/s/alegreyasc/v6/M9OIREoxDkvynwTpBAYUqyenaqEuufTBk9XMKnKmgDA.ttf\";s:9:\"900italic\";s:88:\"http://fonts.gstatic.com/s/alegreyasc/v6/5PCoU7IUfCicpKBJtBmP6U_yTOUGsoC54csJe1b-IRw.ttf\";}}s:13:\"Alegreya Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Alegreya Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"vietnamese\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":14:{s:3:\"100\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/TKyx_-JJ6MdpQruNk-t-PJFGFO4uyVFMfB6LZsii7kI.ttf\";s:9:\"100italic\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/gRkSP2lBpqoMTVxg7DmVn2cDnjsrnI9_xJ-5gnBaHsE.ttf\";s:3:\"300\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9acB1LjARzAvdqa1uQC32v70.ttf\";s:9:\"300italic\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9CnfqlVoxTUFFx1C8tBqmbcg.ttf\";s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/KYNzioYhDai7mTMnx_gDgn8f0n03UdmQgF_CLvNR2vg.ttf\";s:6:\"italic\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/TKyx_-JJ6MdpQruNk-t-PD4G9C9ttb0Oz5Cvf0qOitE.ttf\";s:3:\"500\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9aQqQmZ7VjhwksfpNVG0pqGc.ttf\";s:9:\"500italic\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9Cs7DCVO6wo6i5LKIyZDzK40.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9aVCbmAUID8LN-q3pJpOk3Ys.ttf\";s:9:\"700italic\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9CpF66r9C4AnxxlBlGd7xY4g.ttf\";s:3:\"800\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9acxnD5BewVtRRHHljCwR2bM.ttf\";s:9:\"800italic\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9CicOAJ_9MkLPbDmrtXDPbIU.ttf\";s:3:\"900\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9aW42xlVP-j5dagE7-AU2zwg.ttf\";s:9:\"900italic\";s:90:\"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9ChRaDUI9aE8-k7PrIG2iiuo.ttf\";}}s:16:\"Alegreya Sans SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Alegreya Sans SC\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:14:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"800\";i:11;s:9:\"800italic\";i:12;s:3:\"900\";i:13;s:9:\"900italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"vietnamese\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":14:{s:3:\"100\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/trwFkDJLOJf6hqM93944kVnzStfdnFU-MXbO84aBs_M.ttf\";s:9:\"100italic\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/qG3gA9iy5RpXMH4crZboqqakMVR0XlJhO7VdJ8yYvA4.ttf\";s:3:\"300\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR46-1IqtfxJspFjzJp0SaQRcI.ttf\";s:9:\"300italic\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0CnTKaH808trtzttbEg4yVA.ttf\";s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/6kgb6ZvOagoVIRZyl8XV-EklWX-XdLVn1WTiuGuvKIU.ttf\";s:6:\"italic\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/trwFkDJLOJf6hqM93944kTfqo69HNOlCNZvbwAmUtiA.ttf\";s:3:\"500\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR46_hHTluI57wqxl55RvSYo3s.ttf\";s:9:\"500italic\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0NqVvxKdFVwqwzilqfVd39U.ttf\";s:3:\"700\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR4600aId5t1FC-xZ8nmpa_XLk.ttf\";s:9:\"700italic\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0IBYn3VD6xMEnodOh8pnFw4.ttf\";s:3:\"800\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR46wQgSHD3Lo1Mif2Wkk5swWA.ttf\";s:9:\"800italic\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0HStmCm6Rs90XeztCALm0H8.ttf\";s:3:\"900\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR461Rf9EWUSEX_PR1d_gLKfpM.ttf\";s:9:\"900italic\";s:92:\"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0IvtwEfTCJoOJugANj-jWDI.ttf\";}}s:10:\"Alex Brush\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Alex Brush\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/alexbrush/v6/ooh3KJFbKJSUoIRWfiu8o_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:13:\"Alfa Slab One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Alfa Slab One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/alfaslabone/v5/Qx6FPcitRwTC_k88tLPc-Yjjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:5:\"Alice\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Alice\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/alice/v7/wZTAfivekBqIg-rk63nFvQ.ttf\";}}s:5:\"Alike\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Alike\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/alike/v7/Ho8YpRKNk_202fwDiGNIyw.ttf\";}}s:13:\"Alike Angular\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Alike Angular\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/alikeangular/v6/OpeCu4xxI3qO1C7CZcJtPT3XH2uEnVI__ynTBvNyki8.ttf\";}}s:5:\"Allan\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Allan\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/allan/v7/T3lemhgZmLQkQI2Qc2bQHA.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/allan/v7/zSxQiwo7wgnr7KkMXhSiag.ttf\";}}s:7:\"Allerta\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Allerta\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/allerta/v7/s9FOEuiJFTNbMe06ifzV8g.ttf\";}}s:15:\"Allerta Stencil\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Allerta Stencil\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/allertastencil/v7/CdSZfRtHbQrBohqmzSdDYFf2eT4jUldwg_9fgfY_tHc.ttf\";}}s:6:\"Allura\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Allura\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/allura/v4/4hcqgZanyuJ2gMYWffIR6A.ttf\";}}s:8:\"Almendra\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Almendra\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/almendra/v8/PDpbB-ZF7deXAAEYPkQOeg.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/almendra/v8/CNWLyiDucqVKVgr4EMidi_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/almendra/v8/ZpLdQMj7Q2AFio4nNO6A76CWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/almendra/v8/-tXHKMcnn6FqrhJV3l1e3QJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:16:\"Almendra Display\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Almendra Display\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/almendradisplay/v6/2Zuu97WJ_ez-87yz5Ai8fF6uyC_qD11hrFQ6EGgTJWI.ttf\";}}s:11:\"Almendra SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Almendra SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/almendrasc/v6/IuiLd8Fm9I6raSalxMoWeaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Amarante\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Amarante\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/amarante/v4/2dQHjIBWSpydit5zkJZnOw.ttf\";}}s:8:\"Amaranth\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Amaranth\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/amaranth/v6/7VcBog22JBHsHXHdnnycTA.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/amaranth/v6/UrJlRY9LcVERJSvggsdBqPesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/amaranth/v6/j5OFHqadfxyLnQRxFeox6qCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/amaranth/v6/BHyuYFj9nqLFNvOvGh0xTwJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:9:\"Amatic SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Amatic SC\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/amaticsc/v6/MldbRWLFytvqxU1y81xSVg.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/amaticsc/v6/IDnkRTPGcrSVo50UyYNK7y3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Amethysta\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Amethysta\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/amethysta/v4/1jEo9tOFIJDolAUpBnWbnA.ttf\";}}s:7:\"Anaheim\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Anaheim\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/anaheim/v4/t-z8aXHMpgI2gjN_rIflKA.ttf\";}}s:6:\"Andada\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Andada\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/andada/v7/rSFaDqNNQBRw3y19MB5Y4w.ttf\";}}s:6:\"Andika\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Andika\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/andika/v6/oe-ag1G0lcqZ3IXfeEgaGg.ttf\";}}s:6:\"Angkor\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Angkor\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/angkor/v8/DLpLgIS-8F10ecwKqCm95Q.ttf\";}}s:24:\"Annie Use Your Telescope\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:24:\"Annie Use Your Telescope\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:99:\"http://fonts.gstatic.com/s/annieuseyourtelescope/v6/2cuiO5VmaR09C8SLGEQjGqbp7mtG8sPlcZvOaO8HBak.ttf\";}}s:13:\"Anonymous Pro\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Anonymous Pro\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/anonymouspro/v8/Zhfjj_gat3waL4JSju74E-V_5zh5b-_HiooIRUBwn1A.ttf\";s:6:\"italic\";s:90:\"http://fonts.gstatic.com/s/anonymouspro/v8/q0u6LFHwttnT_69euiDbWKwIsuKDCXG0NQm7BvAgx-c.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/anonymouspro/v8/WDf5lZYgdmmKhO8E1AQud--Cz_5MeePnXDAcLNWyBME.ttf\";s:9:\"700italic\";s:90:\"http://fonts.gstatic.com/s/anonymouspro/v8/_fVr_XGln-cetWSUc-JpfA1LL9bfs7wyIp6F8OC9RxA.ttf\";}}s:5:\"Antic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Antic\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/antic/v7/hEa8XCNM7tXGzD0Uk0AipA.ttf\";}}s:12:\"Antic Didone\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Antic Didone\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/anticdidone/v4/r3nJcTDuOluOL6LGDV1vRy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:10:\"Antic Slab\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Antic Slab\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/anticslab/v4/PSbJCTKkAS7skPdkd7AKEvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:5:\"Anton\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Anton\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/anton/v6/XIbCenm-W0IRHWYIh7CGUQ.ttf\";}}s:6:\"Arapey\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Arapey\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/arapey/v5/dqu823lrSYn8T2gApTdslA.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/arapey/v5/pY-Xi5JNBpaWxy2tZhEm5A.ttf\";}}s:7:\"Arbutus\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Arbutus\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/arbutus/v5/Go_hurxoUsn5MnqNVQgodQ.ttf\";}}s:12:\"Arbutus Slab\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Arbutus Slab\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/arbutusslab/v4/6k3Yp6iS9l4jRIpynA8qMy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:19:\"Architects Daughter\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"Architects Daughter\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/architectsdaughter/v6/RXTgOOQ9AAtaVOHxx0IUBMCy0EhZjHzu-y0e6uLf4Fg.ttf\";}}s:13:\"Archivo Black\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Archivo Black\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/archivoblack/v4/WoAoVT7K3k7hHfxKbvB6B51XQG8isOYYJhPIYAyrESQ.ttf\";}}s:14:\"Archivo Narrow\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Archivo Narrow\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/archivonarrow/v5/DsLzC9scoPnrGiwYYMQXppTvAuddT2xDMbdz0mdLyZY.ttf\";s:6:\"italic\";s:91:\"http://fonts.gstatic.com/s/archivonarrow/v5/vqsrtPCpTU3tJlKfuXP5zUpmlyBQEFfdE6dERLXdQGQ.ttf\";s:3:\"700\";s:91:\"http://fonts.gstatic.com/s/archivonarrow/v5/M__Wu4PAmHf4YZvQM8tWsMLtdzs3iyjn_YuT226ZsLU.ttf\";s:9:\"700italic\";s:91:\"http://fonts.gstatic.com/s/archivonarrow/v5/wG6O733y5zHl4EKCOh8rSTg5KB8MNJ4uPAETq9naQO8.ttf\";}}s:5:\"Arimo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Arimo\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/arimo/v8/Gpeo80g-5ji2CcyXWnzh7g.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/arimo/v8/_OdGbnX2-qQ96C4OjhyuPw.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/arimo/v8/ZItXugREyvV9LnbY_gxAmw.ttf\";s:9:\"700italic\";s:83:\"http://fonts.gstatic.com/s/arimo/v8/__nOLWqmeXdhfr0g7GaFePesZW2xOQ-xsNqO47m55DA.ttf\";}}s:8:\"Arizonia\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Arizonia\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/arizonia/v6/yzJqkHZqryZBTM7RKYV9Wg.ttf\";}}s:6:\"Armata\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Armata\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/armata/v6/1H8FwGgIRrbYtxSfXhOHlQ.ttf\";}}s:8:\"Artifika\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Artifika\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/artifika/v6/Ekfp4H4QG7D-WsABDOyj8g.ttf\";}}s:4:\"Arvo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Arvo\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/arvo/v8/vvWPwz-PlZEwjOOIKqoZzA.ttf\";s:6:\"italic\";s:61:\"http://fonts.gstatic.com/s/arvo/v8/id5a4BCjbenl5Gkqonw_Rw.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/arvo/v8/OB3FDST7U38u3OjPK_vvRQ.ttf\";s:9:\"700italic\";s:61:\"http://fonts.gstatic.com/s/arvo/v8/Hvl2MuWoXLaCy2v6MD4Yvw.ttf\";}}s:4:\"Asap\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Asap\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/asap/v4/2lf-1MDR8tsTpEtvJmr2hA.ttf\";s:6:\"italic\";s:61:\"http://fonts.gstatic.com/s/asap/v4/mwxNHf8QS8gNWCAMwkJNIg.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/asap/v4/o5RUA7SsJ80M8oDFBnrDbg.ttf\";s:9:\"700italic\";s:61:\"http://fonts.gstatic.com/s/asap/v4/_rZz9y2oXc09jT5T6BexLQ.ttf\";}}s:5:\"Asset\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Asset\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/asset/v6/hfPmqY-JzuR1lULlQf9iTg.ttf\";}}s:7:\"Astloch\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Astloch\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/astloch/v6/fmbitVmHYLQP7MGPuFgpag.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/astloch/v6/aPkhM2tL-tz1jX6aX2rvo_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:4:\"Asul\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Asul\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/asul/v5/9qpsNR_OOwyOYyo2N0IbBw.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/asul/v5/uO8uNmxaq87-DdPmkEg5Gg.ttf\";}}s:10:\"Atomic Age\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Atomic Age\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/atomicage/v6/WvBMe4FxANIKpo6Oi0mVJ_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:6:\"Aubrey\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Aubrey\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/aubrey/v8/zo9w8klO8bmOQIMajQ2aTA.ttf\";}}s:9:\"Audiowide\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Audiowide\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/audiowide/v4/yGcwRZB6VmoYhPUYT-mEow.ttf\";}}s:10:\"Autour One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Autour One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/autourone/v4/2xmQBcg7FN72jaQRFZPIDvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:7:\"Average\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Average\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/average/v4/aHUibBqdDbVYl5FM48pxyQ.ttf\";}}s:12:\"Average Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Average Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/averagesans/v4/dnU3R-5A_43y5bIyLztPsS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:19:\"Averia Gruesa Libre\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"Averia Gruesa Libre\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/averiagruesalibre/v4/10vbZTOoN6T8D-nvDzwRFyXcKHuZXlCN8VkWHpkUzKM.ttf\";}}s:12:\"Averia Libre\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Averia Libre\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:3:\"300\";s:89:\"http://fonts.gstatic.com/s/averialibre/v4/r6hGL8sSLm4dTzOPXgx5XacQoVhARpoaILP7amxE_8g.ttf\";s:9:\"300italic\";s:89:\"http://fonts.gstatic.com/s/averialibre/v4/I6wAYuAvOgT7el2ePj2nkina0FLWfcB-J_SAYmcAXaI.ttf\";s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/averialibre/v4/rYVgHZZQICWnhjguGsBspC3USBnSvpkopQaUR-2r7iU.ttf\";s:6:\"italic\";s:89:\"http://fonts.gstatic.com/s/averialibre/v4/1etzuoNxVHR8F533EkD1WfMZXuCXbOrAvx5R0IT5Oyo.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/averialibre/v4/r6hGL8sSLm4dTzOPXgx5XUD2ttfZwueP-QU272T9-k4.ttf\";s:9:\"700italic\";s:89:\"http://fonts.gstatic.com/s/averialibre/v4/I6wAYuAvOgT7el2ePj2nkvAs9-1nE9qOqhChW0m4nDE.ttf\";}}s:17:\"Averia Sans Libre\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Averia Sans Libre\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:3:\"300\";s:93:\"http://fonts.gstatic.com/s/averiasanslibre/v4/_9-jTfQjaBsWAF_yp5z-V4CP_KG_g80s1KXiBtJHoNc.ttf\";s:9:\"300italic\";s:93:\"http://fonts.gstatic.com/s/averiasanslibre/v4/o7BEIK-fG3Ykc5Rzteh88YuyGu4JqttndUh4gRKxic0.ttf\";s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/averiasanslibre/v4/yRJpjT39KxACO9F31mj_LqV8_KRn4epKAjTFK1s1fsg.ttf\";s:6:\"italic\";s:93:\"http://fonts.gstatic.com/s/averiasanslibre/v4/COEzR_NPBSUOl3pFwPbPoCZU2HnUZT1xVKaIrHDioao.ttf\";s:3:\"700\";s:93:\"http://fonts.gstatic.com/s/averiasanslibre/v4/_9-jTfQjaBsWAF_yp5z-V8QwVOrz1y5GihpZmtKLhlI.ttf\";s:9:\"700italic\";s:93:\"http://fonts.gstatic.com/s/averiasanslibre/v4/o7BEIK-fG3Ykc5Rzteh88bXy1DXgmJcVtKjM5UWamMs.ttf\";}}s:18:\"Averia Serif Libre\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Averia Serif Libre\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:3:\"300\";s:94:\"http://fonts.gstatic.com/s/averiaseriflibre/v5/yvITAdr5D1nlsdFswJAb8SmC4gFJ2PHmfdVKEd_5S9M.ttf\";s:9:\"300italic\";s:94:\"http://fonts.gstatic.com/s/averiaseriflibre/v5/YOLFXyye4sZt6AZk1QybCG2okl0bU63CauowU4iApig.ttf\";s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/averiaseriflibre/v5/fdtF30xa_Erw0zAzOoG4BZqY66i8AUyI16fGqw0iAew.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/averiaseriflibre/v5/o9qhvK9iT5iDWfyhQUe-6Ru_b0bTq5iipbJ9hhgHJ6U.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/averiaseriflibre/v5/yvITAdr5D1nlsdFswJAb8Q50KV5TaOVolur4zV2iZsg.ttf\";s:9:\"700italic\";s:94:\"http://fonts.gstatic.com/s/averiaseriflibre/v5/YOLFXyye4sZt6AZk1QybCNxohRXP4tNDqG3X4Hqn21k.ttf\";}}s:10:\"Bad Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Bad Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/badscript/v5/cRyUs0nJ2eMQFHwBsZNRXfesZW2xOQ-xsNqO47m55DA.ttf\";}}s:9:\"Balthazar\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Balthazar\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/balthazar/v5/WgbaSIs6dJAGXJ0qbz2xlw.ttf\";}}s:7:\"Bangers\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Bangers\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/bangers/v7/WAffdge5w99Xif-DLeqmcA.ttf\";}}s:5:\"Basic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Basic\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/basic/v6/hNII2mS5Dxw5C0u_m3mXgA.ttf\";}}s:10:\"Battambang\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Battambang\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/battambang/v9/MzrUfQLefYum5vVGM3EZVPesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/battambang/v9/dezbRtMzfzAA99DmrCYRMgJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:7:\"Baumans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Baumans\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/baumans/v5/o0bFdPW1H5kd5saqqOcoVg.ttf\";}}s:5:\"Bayon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Bayon\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/bayon/v8/yTubusjTnpNRZwA4_50iVw.ttf\";}}s:8:\"Belgrano\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Belgrano\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/belgrano/v6/iq8DUa2s7g6WRCeMiFrmtQ.ttf\";}}s:7:\"Belleza\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Belleza\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/belleza/v4/wchA3BWJlVqvIcSeNZyXew.ttf\";}}s:9:\"BenchNine\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"BenchNine\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:87:\"http://fonts.gstatic.com/s/benchnine/v4/ah9xtUy9wLQ3qnWa2p-piS3USBnSvpkopQaUR-2r7iU.ttf\";s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/benchnine/v4/h3OAlYqU3aOeNkuXgH2Q2w.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/benchnine/v4/qZpi6ZVZg3L2RL_xoBLxWS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:7:\"Bentham\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Bentham\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/bentham/v6/5-Mo8Fe7yg5tzV0GlQIuzQ.ttf\";}}s:15:\"Berkshire Swash\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Berkshire Swash\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/berkshireswash/v4/4RZJjVRPjYnC2939hKCAimKfbtsIjCZP_edQljX9gR0.ttf\";}}s:5:\"Bevan\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Bevan\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/bevan/v7/Rtg3zDsCeQiaJ_Qno22OJA.ttf\";}}s:13:\"Bigelow Rules\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Bigelow Rules\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/bigelowrules/v4/FEJCPLwo07FS-6SK6Al50X8f0n03UdmQgF_CLvNR2vg.ttf\";}}s:11:\"Bigshot One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Bigshot One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/bigshotone/v6/wSyZjBNTWDQHnvWE2jt6j6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:5:\"Bilbo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Bilbo\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/bilbo/v6/-ty-lPs5H7OIucWbnpFrkA.ttf\";}}s:16:\"Bilbo Swash Caps\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Bilbo Swash Caps\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/bilboswashcaps/v7/UB_-crLvhx-PwGKW1oosDmYeFSdnSpRYv5h9gpdlD1g.ttf\";}}s:6:\"Bitter\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Bitter\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/bitter/v7/w_BNdJvVZDRmqy5aSfB2kQ.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/bitter/v7/TC0FZEVzXQIGgzmRfKPZbA.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/bitter/v7/4dUtr_4BvHuoRU35suyOAg.ttf\";}}s:13:\"Black Ops One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Black Ops One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/blackopsone/v7/2XW-DmDsGbDLE372KrMW1Yjjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:5:\"Bokor\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Bokor\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/bokor/v8/uAKdo0A85WW23Gs6mcbw7A.ttf\";}}s:6:\"Bonbon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Bonbon\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/bonbon/v6/IW3u1yzG1knyW5oz0s9_6Q.ttf\";}}s:8:\"Boogaloo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Boogaloo\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/boogaloo/v6/4Wu1tvFMoB80fSu8qLgQfQ.ttf\";}}s:10:\"Bowlby One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Bowlby One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/bowlbyone/v7/eKpHjHfjoxM2bX36YNucefesZW2xOQ-xsNqO47m55DA.ttf\";}}s:13:\"Bowlby One SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Bowlby One SC\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/bowlbyonesc/v8/8ZkeXftTuzKBtmxOYXoRedDkZCMxWJecxjvKm2f8MJw.ttf\";}}s:7:\"Brawler\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Brawler\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/brawler/v6/3gfSw6imxQnQxweVITqUrg.ttf\";}}s:10:\"Bree Serif\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Bree Serif\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/breeserif/v5/5h9crBVIrvZqgf34FHcnEfesZW2xOQ-xsNqO47m55DA.ttf\";}}s:14:\"Bubblegum Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Bubblegum Sans\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/bubblegumsans/v5/Y9iTUUNz6lbl6TrvV4iwsytnKWgpfO2iSkLzTz-AABg.ttf\";}}s:11:\"Bubbler One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Bubbler One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/bubblerone/v4/e8S0qevkZAFaBybtt_SU4qCWcynf_cDxXwCLxiixG1c.ttf\";}}s:4:\"Buda\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Buda\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:3:\"300\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:3:\"300\";s:61:\"http://fonts.gstatic.com/s/buda/v6/hLtAmNUmEMJH2yx7NGUjnA.ttf\";}}s:7:\"Buenard\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Buenard\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/buenard/v6/NSpMPGKAUgrLrlstYVvIXQ.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/buenard/v6/yUlGE115dGr7O9w9FlP3UvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Butcherman\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Butcherman\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/butcherman/v7/bxiJmD567sPBVpJsT0XR0vesZW2xOQ-xsNqO47m55DA.ttf\";}}s:14:\"Butterfly Kids\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Butterfly Kids\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/butterflykids/v4/J4NTF5M25htqeTffYImtlUZaDk62iwTBnbnvwSjZciA.ttf\";}}s:5:\"Cabin\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Cabin\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:8:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":8:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/cabin/v7/XeuAFYo2xAPHxZGBbQtHhA.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/cabin/v7/0tJ9k3DI5xC4GBgs1E_Jxw.ttf\";s:3:\"500\";s:62:\"http://fonts.gstatic.com/s/cabin/v7/HgsCQ-k3_Z_uQ86aFolNBg.ttf\";s:9:\"500italic\";s:83:\"http://fonts.gstatic.com/s/cabin/v7/50sjhrGE0njyO-7mGDhGP_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"600\";s:62:\"http://fonts.gstatic.com/s/cabin/v7/eUDAvKhBtmTCkeVBsFk34A.ttf\";s:9:\"600italic\";s:83:\"http://fonts.gstatic.com/s/cabin/v7/sFQpQDBd3G2om0Nl5dD2CvesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/cabin/v7/4EKhProuY1hq_WCAomq9Dg.ttf\";s:9:\"700italic\";s:83:\"http://fonts.gstatic.com/s/cabin/v7/K83QKi8MOKLEqj6bgZ7LrfesZW2xOQ-xsNqO47m55DA.ttf\";}}s:15:\"Cabin Condensed\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Cabin Condensed\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/cabincondensed/v7/B0txb0blf2N29WdYPJjMSiQPsWWoiv__AzYJ9Zzn9II.ttf\";s:3:\"500\";s:92:\"http://fonts.gstatic.com/s/cabincondensed/v7/Ez4zJbsGr2BgXcNUWBVgEARL_-ABKXdjsJSPT0lc2Bk.ttf\";s:3:\"600\";s:92:\"http://fonts.gstatic.com/s/cabincondensed/v7/Ez4zJbsGr2BgXcNUWBVgELS5sSASxc8z4EQTQj7DCAI.ttf\";s:3:\"700\";s:92:\"http://fonts.gstatic.com/s/cabincondensed/v7/Ez4zJbsGr2BgXcNUWBVgEMAWgzcA047xWLixhLCofl8.ttf\";}}s:12:\"Cabin Sketch\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Cabin Sketch\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/cabinsketch/v8/d9fijO34zQajqQvl3YHRCS3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/cabinsketch/v8/ki3SSN5HMOO0-IOLOj069ED2ttfZwueP-QU272T9-k4.ttf\";}}s:15:\"Caesar Dressing\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Caesar Dressing\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/caesardressing/v5/2T_WzBgE2Xz3FsyJMq34T9gR43u4FvCuJwIfF5Zxl6Y.ttf\";}}s:10:\"Cagliostro\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Cagliostro\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/cagliostro/v5/i85oXbtdSatNEzss99bpj_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:14:\"Calligraffitti\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Calligraffitti\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/calligraffitti/v7/vLVN2Y-z65rVu1R7lWdvyDXz_orj3gX0_NzfmYulrko.ttf\";}}s:6:\"Cambay\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Cambay\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2015-01-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/cambay/v1/etU9Bab4VuhzS-OKsb1VXg.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/cambay/v1/ZEz9yNqpEOgejaw1rBhugQ.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/cambay/v1/jw9niBxa04eEhnSwTWCEgw.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/cambay/v1/j-5v_uUr0NXTumWN0siOiaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:5:\"Cambo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Cambo\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/cambo/v5/PnwpRuTdkYCf8qk4ajmNRA.ttf\";}}s:6:\"Candal\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Candal\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/candal/v6/x44dDW28zK7GR1gGDBmj9g.ttf\";}}s:9:\"Cantarell\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Cantarell\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/cantarell/v6/p5ydP_uWQ5lsFzcP_XVMEw.ttf\";s:6:\"italic\";s:87:\"http://fonts.gstatic.com/s/cantarell/v6/DTCLtOSqP-7dgM-V_xKUjqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/cantarell/v6/Yir4ZDsCn4g1kWopdg-ehC3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"700italic\";s:87:\"http://fonts.gstatic.com/s/cantarell/v6/weehrwMeZBXb0QyrWnRwFXe1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:11:\"Cantata One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Cantata One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/cantataone/v5/-a5FDvnBqaBMDaGgZYnEfqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:11:\"Cantora One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Cantora One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/cantoraone/v5/oI-DS62RbHI8ZREjp73ehqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Capriola\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Capriola\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/capriola/v4/JxXPlkdzWwF9Cwelbvi9jA.ttf\";}}s:5:\"Cardo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Cardo\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/cardo/v8/jbkF2_R0FKUEZTq5dwSknQ.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/cardo/v8/pcv4Np9tUkq0YREYUcEEJQ.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/cardo/v8/lQN30weILimrKvp8rZhF1w.ttf\";}}s:5:\"Carme\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Carme\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/carme/v7/08E0NP1eRBEyFRUadmMfgA.ttf\";}}s:14:\"Carrois Gothic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Carrois Gothic\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/carroisgothic/v4/GCgb7bssGpwp7V5ynxmWy2x3d0cwUleGuRTmCYfCUaM.ttf\";}}s:17:\"Carrois Gothic SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Carrois Gothic SC\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/carroisgothicsc/v4/bVp4nhwFIXU-r3LqUR8DSJTdPW1ioadGi2uRiKgJVCY.ttf\";}}s:10:\"Carter One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Carter One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/carterone/v8/5X_LFvdbcB7OBG7hBgZ7fPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:6:\"Caudex\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Caudex\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/caudex/v6/PWEexiHLDmQbn2b1OPZWfg.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/caudex/v6/XjMZF6XCisvV3qapD4oJdw.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/caudex/v6/PetCI4GyQ5Q3LiOzUu_mMg.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/caudex/v6/yT8YeHLjaJvQXlUEYOA8gqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:18:\"Cedarville Cursive\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Cedarville Cursive\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/cedarvillecursive/v6/cuCe6HrkcqrWTWTUE7dw-41zwq9-z_Lf44CzRAA0d0Y.ttf\";}}s:11:\"Ceviche One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Ceviche One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/cevicheone/v6/WOaXIMBD4VYMy39MsobJhKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:10:\"Changa One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Changa One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/changaone/v9/dr4qjce4W3kxFrZRkVD87fesZW2xOQ-xsNqO47m55DA.ttf\";s:6:\"italic\";s:87:\"http://fonts.gstatic.com/s/changaone/v9/wJVQlUs1lAZel-WdTo2U9y3USBnSvpkopQaUR-2r7iU.ttf\";}}s:6:\"Chango\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Chango\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/chango/v5/3W3AeMMtRTH08t5qLOjBmg.ttf\";}}s:18:\"Chau Philomene One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Chau Philomene One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/chauphilomeneone/v4/KKc5egCL-a2fFVoOA2x6tBFi5dxgSTdxqnMJgWkBJcg.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/chauphilomeneone/v4/eJj1PY_iN4KiIuyOvtMHJP6uyLkxyiC4WcYA74sfquE.ttf\";}}s:9:\"Chela One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Chela One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/chelaone/v4/h5O0dEnpnIq6jQnWxZybrA.ttf\";}}s:14:\"Chelsea Market\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Chelsea Market\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/chelseamarket/v4/qSdzwh2A4BbNemy78sJLfAAI1i8fIftCBXsBF2v9UMI.ttf\";}}s:6:\"Chenla\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Chenla\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/chenla/v9/aLNpdAUDq2MZbWz2U1a16g.ttf\";}}s:17:\"Cherry Cream Soda\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Cherry Cream Soda\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/cherrycreamsoda/v6/OrD-AUnFcZeeKa6F_c0_WxOiHiuAPYA9ry3O1RG2XIU.ttf\";}}s:12:\"Cherry Swash\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Cherry Swash\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/cherryswash/v4/HqOk7C7J1TZ5i3L-ejF0vi3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/cherryswash/v4/-CfyMyQqfucZPQNB0nvYyED2ttfZwueP-QU272T9-k4.ttf\";}}s:5:\"Chewy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Chewy\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/chewy/v7/hcDN5cvQdIu6Bx4mg_TSyw.ttf\";}}s:6:\"Chicle\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Chicle\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/chicle/v5/xg4q57Ut9ZmyFwLp51JLgg.ttf\";}}s:5:\"Chivo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Chivo\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"900\";i:3;s:9:\"900italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/chivo/v7/L88PEuzS9eRfHRZhAPhZyw.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/chivo/v7/Oe3-Q-a2kBzPnhHck_baMg.ttf\";s:3:\"900\";s:62:\"http://fonts.gstatic.com/s/chivo/v7/JAdkiWd46QCW4vOsj3dzTA.ttf\";s:9:\"900italic\";s:83:\"http://fonts.gstatic.com/s/chivo/v7/LoszYnE86q2wJEOjCigBQ_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:6:\"Cinzel\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Cinzel\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:3:\"700\";i:2;s:3:\"900\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/cinzel/v4/GF7dy_Nc-a6EaHYSyGd-EA.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/cinzel/v4/nYcFQ6_3pf_6YDrOFjBR8Q.ttf\";s:3:\"900\";s:63:\"http://fonts.gstatic.com/s/cinzel/v4/FTBj72ozM2cEOSxiVsRb3A.ttf\";}}s:17:\"Cinzel Decorative\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Cinzel Decorative\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:3:\"700\";i:2;s:3:\"900\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/cinzeldecorative/v4/fmgK7oaJJIXAkhd9798yQgT5USbJx2F82lQbogPy2bY.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/cinzeldecorative/v4/pXhIVnhFtL_B9Vb1wq2F95-YYVDmZkJErg0zgx9XuZI.ttf\";s:3:\"900\";s:94:\"http://fonts.gstatic.com/s/cinzeldecorative/v4/pXhIVnhFtL_B9Vb1wq2F97Khqbv0zQZa0g-9HOXAalU.ttf\";}}s:14:\"Clicker Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Clicker Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/clickerscript/v4/Zupmk8XwADjufGxWB9KThBnpV0hQCek3EmWnCPrvGRM.ttf\";}}s:4:\"Coda\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Coda\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"800\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/coda/v10/yHDvulhg-P-p2KRgRrnUYw.ttf\";s:3:\"800\";s:62:\"http://fonts.gstatic.com/s/coda/v10/6ZIw0sbALY0KTMWllZB3hQ.ttf\";}}s:12:\"Coda Caption\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Coda Caption\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:3:\"800\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:3:\"800\";s:89:\"http://fonts.gstatic.com/s/codacaption/v8/YDl6urZh-DUFhiMBTgAnz_qsay_1ZmRGmC8pVRdIfAg.ttf\";}}s:8:\"Codystar\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Codystar\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:3:\"300\";s:86:\"http://fonts.gstatic.com/s/codystar/v4/EVaUzfJkcb8Zqx9kzQLXqqCWcynf_cDxXwCLxiixG1c.ttf\";s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/codystar/v4/EN-CPFKYowSI7SuR7-0cZA.ttf\";}}s:5:\"Combo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Combo\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/combo/v5/Nab98KjR3JZSSPGtzLyXNw.ttf\";}}s:9:\"Comfortaa\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Comfortaa\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:5:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";i:4;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:87:\"http://fonts.gstatic.com/s/comfortaa/v7/r_tUZNl0G8xCoOmp_JkSCi3USBnSvpkopQaUR-2r7iU.ttf\";s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/comfortaa/v7/lZx6C1VViPgSOhCBUP7hXA.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/comfortaa/v7/fND5XPYKrF2tQDwwfWZJIy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:11:\"Coming Soon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Coming Soon\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/comingsoon/v6/Yz2z3IAe2HSQAOWsSG8COKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:11:\"Concert One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Concert One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/concertone/v7/N5IWCIGhUNdPZn_efTxKN6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:9:\"Condiment\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Condiment\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/condiment/v4/CstmdiPpgFSV0FUNL5LrJA.ttf\";}}s:7:\"Content\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Content\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/content/v8/l8qaLjygvOkDEU2G6-cjfQ.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/content/v8/7PivP8Zvs2qn6F6aNbSQe_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:12:\"Contrail One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Contrail One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/contrailone/v6/b41KxjgiyqX-hkggANDU6C3USBnSvpkopQaUR-2r7iU.ttf\";}}s:11:\"Convergence\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Convergence\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/convergence/v5/eykrGz1NN_YpQmkAZjW-qKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Cookie\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Cookie\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/cookie/v7/HxeUC62y_YdDbiFlze357A.ttf\";}}s:5:\"Copse\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Copse\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/copse/v6/wikLrtPGjZDvZ5w2i5HLWg.ttf\";}}s:6:\"Corben\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Corben\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/corben/v8/tTysMZkt-j8Y5yhkgsoajQ.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/corben/v8/lirJaFSQWdGQuV--fksg5g.ttf\";}}s:9:\"Courgette\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Courgette\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/courgette/v4/2YO0EYtyE9HUPLZprahpZA.ttf\";}}s:7:\"Cousine\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Cousine\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/cousine/v9/GYX4bPXObJNJo63QJEUnLg.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/cousine/v9/1WtIuajLoo8vjVwsrZ3eOg.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/cousine/v9/FXEOnNUcCzhdtoBxiq-lovesZW2xOQ-xsNqO47m55DA.ttf\";s:9:\"700italic\";s:85:\"http://fonts.gstatic.com/s/cousine/v9/y_AZ5Sz-FwL1lux2xLSTZS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:8:\"Coustard\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Coustard\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"900\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/coustard/v6/iO2Rs5PmqAEAXoU3SkMVBg.ttf\";s:3:\"900\";s:86:\"http://fonts.gstatic.com/s/coustard/v6/W02OCWO6OfMUHz6aVyegQ6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:21:\"Covered By Your Grace\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:21:\"Covered By Your Grace\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/coveredbyyourgrace/v6/6ozZp4BPlrbDRWPe3EBGA6CVUMdvnk-GcAiZQrX9Gek.ttf\";}}s:12:\"Crafty Girls\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Crafty Girls\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/craftygirls/v5/0Sv8UWFFdhQmesHL32H8oy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Creepster\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Creepster\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/creepster/v5/0vdr5kWJ6aJlOg5JvxnXzQ.ttf\";}}s:11:\"Crete Round\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Crete Round\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/creteround/v5/B8EwN421qqOCCT8vOH4wJ6CWcynf_cDxXwCLxiixG1c.ttf\";s:6:\"italic\";s:88:\"http://fonts.gstatic.com/s/creteround/v5/5xAt7XK2vkUdjhGtt98unUeOrDcLawS7-ssYqLr2Xp4.ttf\";}}s:12:\"Crimson Text\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Crimson Text\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:6:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"600\";i:3;s:9:\"600italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/crimsontext/v6/3IFMwfRa07i-auYR-B-zNS3USBnSvpkopQaUR-2r7iU.ttf\";s:6:\"italic\";s:89:\"http://fonts.gstatic.com/s/crimsontext/v6/a5QZnvmn5amyNI-t2BMkWPMZXuCXbOrAvx5R0IT5Oyo.ttf\";s:3:\"600\";s:89:\"http://fonts.gstatic.com/s/crimsontext/v6/rEy5tGc5HdXy56Xvd4f3I2v8CylhIUtwUiYO7Z2wXbE.ttf\";s:9:\"600italic\";s:89:\"http://fonts.gstatic.com/s/crimsontext/v6/4j4TR-EfnvCt43InYpUNDIR-5-urNOGAobhAyctHvW8.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/crimsontext/v6/rEy5tGc5HdXy56Xvd4f3I0D2ttfZwueP-QU272T9-k4.ttf\";s:9:\"700italic\";s:89:\"http://fonts.gstatic.com/s/crimsontext/v6/4j4TR-EfnvCt43InYpUNDPAs9-1nE9qOqhChW0m4nDE.ttf\";}}s:13:\"Croissant One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Croissant One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/croissantone/v4/mPjsOObnC77fp1cvZlOfIYjjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:7:\"Crushed\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Crushed\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/crushed/v6/aHwSejs3Kt0Lg95u7j32jA.ttf\";}}s:6:\"Cuprum\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Cuprum\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/cuprum/v7/JgXs0F_UiaEdAS74msmFNg.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/cuprum/v7/cLEz0KV6OxInnktSzpk58g.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/cuprum/v7/6tl3_FkDeXSD72oEHuJh4w.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/cuprum/v7/bnkXaBfoYvaJ75axRPSwVKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Cutive\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Cutive\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/cutive/v7/G2bW-ImyOCwKxBkLyz39YQ.ttf\";}}s:11:\"Cutive Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Cutive Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/cutivemono/v4/ncWQtFVKcSs8OW798v30k6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Damion\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Damion\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/damion/v6/13XtECwKxhD_VrOqXL4SiA.ttf\";}}s:14:\"Dancing Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Dancing Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/dancingscript/v6/DK0eTGXiZjN6yA8zAEyM2RnpV0hQCek3EmWnCPrvGRM.ttf\";s:3:\"700\";s:91:\"http://fonts.gstatic.com/s/dancingscript/v6/KGBfwabt0ZRLA5W1ywjowb_dAmXiKjTPGCuO6G2MbfA.ttf\";}}s:7:\"Dangrek\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Dangrek\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/dangrek/v8/LOaFhBT-EHNxZjV8DAW_ew.ttf\";}}s:20:\"Dawning of a New Day\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Dawning of a New Day\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/dawningofanewday/v7/JiDsRhiKZt8uz3NJ5xA06gXLnohmOYWQZqo_sW8GLTk.ttf\";}}s:8:\"Days One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Days One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/daysone/v6/kzwZjNhc1iabMsrc_hKBIA.ttf\";}}s:5:\"Dekko\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Dekko\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2015-01-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/dekko/v1/AKtgABKC1rUxgIgS-bpojw.ttf\";}}s:6:\"Delius\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Delius\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/delius/v6/TQA163qafki2-gV-B6F_ag.ttf\";}}s:17:\"Delius Swash Caps\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Delius Swash Caps\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/deliusswashcaps/v8/uXyrEUnoWApxIOICunRq7yIrxb5zDVgU2N3VzXm7zq4.ttf\";}}s:14:\"Delius Unicase\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Delius Unicase\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/deliusunicase/v9/b2sKujV3Q48RV2PQ0k1vqu6rPKfVZo7L2bERcf0BDns.ttf\";s:3:\"700\";s:91:\"http://fonts.gstatic.com/s/deliusunicase/v9/7FTMTITcb4dxUp99FAdTqNy5weKXdcrx-wE0cgECMq8.ttf\";}}s:13:\"Della Respira\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Della Respira\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/dellarespira/v4/F4E6Lo_IZ6L9AJCcbqtDVeDcg5akpSnIcsPhLOFv7l8.ttf\";}}s:8:\"Denk One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Denk One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/denkone/v4/TdXOeA4eA_hEx4W8Sh9wPw.ttf\";}}s:10:\"Devonshire\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Devonshire\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/devonshire/v5/I3ct_2t12SYizP8ZC-KFi_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:8:\"Dhurjati\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Dhurjati\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/dhurjati/v4/uV6jO5e2iFMbGB0z79Cy5g.ttf\";}}s:13:\"Didact Gothic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Didact Gothic\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:6:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:9:\"latin-ext\";i:4;s:8:\"cyrillic\";i:5;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/didactgothic/v7/v8_72sD3DYMKyM0dn3LtWotBLojGU5Qdl8-5NL4v70w.ttf\";}}s:9:\"Diplomata\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Diplomata\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/diplomata/v6/u-ByBiKgN6rTMA36H3kcKg.ttf\";}}s:12:\"Diplomata SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Diplomata SC\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/diplomatasc/v5/JdVwAwfE1a_pahXjk5qpNi3USBnSvpkopQaUR-2r7iU.ttf\";}}s:6:\"Domine\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Domine\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/domine/v4/wfVIgamVFjMNQAEWurCiHA.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/domine/v4/phBcG1ZbQFxUIt18hPVxnw.ttf\";}}s:11:\"Donegal One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Donegal One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/donegalone/v4/6kN4-fDxz7T9s5U61HwfF6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:10:\"Doppio One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Doppio One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/doppioone/v4/WHZ3HJQotpk_4aSMNBo_t_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:5:\"Dorsa\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Dorsa\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/dorsa/v7/wCc3cUe6XrmG2LQE6GlIrw.ttf\";}}s:5:\"Dosis\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Dosis\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:7:\"regular\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":7:{s:3:\"200\";s:62:\"http://fonts.gstatic.com/s/dosis/v4/ztftab0r6hcd7AeurUGrSQ.ttf\";s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/dosis/v4/awIB6L0h5mb0plIKorXmuA.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/dosis/v4/rJRlixu-w0JZ1MyhJpao_Q.ttf\";s:3:\"500\";s:62:\"http://fonts.gstatic.com/s/dosis/v4/ruEXDOFMxDPGnjCBKRqdAQ.ttf\";s:3:\"600\";s:62:\"http://fonts.gstatic.com/s/dosis/v4/KNAswRNwm3tfONddYyidxg.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/dosis/v4/AEEAj0ONidK8NQQMBBlSig.ttf\";s:3:\"800\";s:62:\"http://fonts.gstatic.com/s/dosis/v4/nlrKd8E69vvUU39XGsvR7Q.ttf\";}}s:11:\"Dr Sugiyama\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Dr Sugiyama\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/drsugiyama/v5/S5Yx3MIckgoyHhhS4C9Tv6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:10:\"Droid Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Droid Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/droidsans/v6/rS9BT6-asrfjpkcV3DXf__esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/droidsans/v6/EFpQQyG9GqCrobXxL-KRMQJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:15:\"Droid Sans Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Droid Sans Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/droidsansmono/v7/ns-m2xQYezAtqh7ai59hJcwD6PD0c3_abh9zHKQtbGU.ttf\";}}s:11:\"Droid Serif\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Droid Serif\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/droidserif/v6/DgAtPy6rIVa2Zx3Xh9KaNaCWcynf_cDxXwCLxiixG1c.ttf\";s:6:\"italic\";s:88:\"http://fonts.gstatic.com/s/droidserif/v6/cj2hUnSRBhwmSPr9kS5890eOrDcLawS7-ssYqLr2Xp4.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/droidserif/v6/QQt14e8dY39u-eYBZmppwXe1Pd76Vl7zRpE7NLJQ7XU.ttf\";s:9:\"700italic\";s:88:\"http://fonts.gstatic.com/s/droidserif/v6/c92rD_x0V1LslSFt3-QEps_zJjSACmk0BRPxQqhnNLU.ttf\";}}s:9:\"Duru Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Duru Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/durusans/v8/R1xHvAOARPh8_so9_UKw1w.ttf\";}}s:9:\"Dynalight\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Dynalight\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/dynalight/v5/-CWsIe8OUDWTIHjSAh41kA.ttf\";}}s:11:\"EB Garamond\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"EB Garamond\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:5:{i:0;s:5:\"latin\";i:1;s:10:\"vietnamese\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";i:4;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/ebgaramond/v7/CDR0kuiFK7I1OZ2hSdR7G6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:10:\"Eagle Lake\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Eagle Lake\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/eaglelake/v4/ZKlYin7caemhx9eSg6RvPfesZW2xOQ-xsNqO47m55DA.ttf\";}}s:5:\"Eater\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Eater\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/eater/v5/gm6f3OmYEdbs3lPQtUfBkA.ttf\";}}s:9:\"Economica\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Economica\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/economica/v4/G4rJRujzZbq9Nxngu9l3hg.ttf\";s:6:\"italic\";s:87:\"http://fonts.gstatic.com/s/economica/v4/p5O9AVeUqx_n35xQRinNYaCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/economica/v4/UK4l2VEpwjv3gdcwbwXE9C3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"700italic\";s:87:\"http://fonts.gstatic.com/s/economica/v4/ac5dlUsedQ03RqGOeay-3Xe1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:8:\"Ek Mukta\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Ek Mukta\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:7:\"regular\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"800\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":7:{s:3:\"200\";s:85:\"http://fonts.gstatic.com/s/ekmukta/v7/crtkNHh5JcM3VJKG0E-B36CWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"300\";s:85:\"http://fonts.gstatic.com/s/ekmukta/v7/mpaAv7CIyk0VnZlqSneVxKCWcynf_cDxXwCLxiixG1c.ttf\";s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/ekmukta/v7/aFcjXdC5jyJ1p8w54wIIrg.ttf\";s:3:\"500\";s:85:\"http://fonts.gstatic.com/s/ekmukta/v7/PZ1y2MstFczWvBlFSgzMyaCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"600\";s:85:\"http://fonts.gstatic.com/s/ekmukta/v7/Z5Mfzeu6M3emakcJO2QeTqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/ekmukta/v7/4ugcOGR28Jn-oBIn0-qLYaCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"800\";s:85:\"http://fonts.gstatic.com/s/ekmukta/v7/O68TH5OjEhVmn9_gIrcfS6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:11:\"Electrolize\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Electrolize\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/electrolize/v5/yFVu5iokC-nt4B1Cyfxb9aCWcynf_cDxXwCLxiixG1c.ttf\";}}s:5:\"Elsie\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Elsie\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"900\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/elsie/v5/gwspePauE45BJu6Ok1QrfQ.ttf\";s:3:\"900\";s:62:\"http://fonts.gstatic.com/s/elsie/v5/1t-9f0N2NFYwAgN7oaISqg.ttf\";}}s:16:\"Elsie Swash Caps\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Elsie Swash Caps\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"900\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/elsieswashcaps/v4/9L3hIJMPCf6sxCltnxd6X2YeFSdnSpRYv5h9gpdlD1g.ttf\";s:3:\"900\";s:92:\"http://fonts.gstatic.com/s/elsieswashcaps/v4/iZnus9qif0tR5pGaDv5zdKoKBWBozTtxi30NfZDOXXU.ttf\";}}s:11:\"Emblema One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Emblema One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/emblemaone/v5/7IlBUjBWPIiw7cr_O2IfSaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:12:\"Emilys Candy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Emilys Candy\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/emilyscandy/v4/PofLVm6v1SwZGOzC8s-I3S3USBnSvpkopQaUR-2r7iU.ttf\";}}s:10:\"Engagement\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Engagement\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/engagement/v5/4Uz0Jii7oVPcaFRYmbpU6vesZW2xOQ-xsNqO47m55DA.ttf\";}}s:9:\"Englebert\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Englebert\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/englebert/v4/sll38iOvOuarDTYBchlP3Q.ttf\";}}s:9:\"Enriqueta\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Enriqueta\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/enriqueta/v5/_p90TrIwR1SC-vDKtmrv6A.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/enriqueta/v5/I27Pb-wEGH2ajLYP0QrtSC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Erica One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Erica One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/ericaone/v6/cIBnH2VAqQMIGYAcE4ufvQ.ttf\";}}s:7:\"Esteban\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Esteban\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/esteban/v4/ESyhLgqDDyK5JcFPp2svDw.ttf\";}}s:15:\"Euphoria Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Euphoria Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/euphoriascript/v4/c4XB4Iijj_NvSsCF4I0O2MxLhO8OSNnfAp53LK1_iRs.ttf\";}}s:5:\"Ewert\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Ewert\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/ewert/v4/Em8hrzuzSbfHcTVqMjbAQg.ttf\";}}s:3:\"Exo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:3:\"Exo\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:7:\"regular\";i:7;s:6:\"italic\";i:8;s:3:\"500\";i:9;s:9:\"500italic\";i:10;s:3:\"600\";i:11;s:9:\"600italic\";i:12;s:3:\"700\";i:13;s:9:\"700italic\";i:14;s:3:\"800\";i:15;s:9:\"800italic\";i:16;s:3:\"900\";i:17;s:9:\"900italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":18:{s:3:\"100\";s:60:\"http://fonts.gstatic.com/s/exo/v4/RI7A9uwjRmPbVp0n8e-Jvg.ttf\";s:9:\"100italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/qtGyZZlWb2EEvby3ZPosxw.ttf\";s:3:\"200\";s:60:\"http://fonts.gstatic.com/s/exo/v4/F8OfC_swrRRxpFt-tlXZQg.ttf\";s:9:\"200italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/fr4HBfXHYiIngW2_bhlgRw.ttf\";s:3:\"300\";s:60:\"http://fonts.gstatic.com/s/exo/v4/SBrN7TKUqgGUvfxqHqsnNw.ttf\";s:9:\"300italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/3gmiLjBegIfcDLISjTGA1g.ttf\";s:7:\"regular\";s:60:\"http://fonts.gstatic.com/s/exo/v4/eUEzTFueNXRVhbt4PEB8kQ.ttf\";s:6:\"italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/cfgolWisMSURhpQeVHl_NA.ttf\";s:3:\"500\";s:60:\"http://fonts.gstatic.com/s/exo/v4/jCg6DmGGXt_OVyp5ofQHPw.ttf\";s:9:\"500italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/lo5eTdCNJZQVN08p8RnzAQ.ttf\";s:3:\"600\";s:60:\"http://fonts.gstatic.com/s/exo/v4/q_SG5kXUmOcIvFpgtdZnlw.ttf\";s:9:\"600italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/0cExa8K_pxS2lTuMr68XUA.ttf\";s:3:\"700\";s:60:\"http://fonts.gstatic.com/s/exo/v4/3_jwsL4v9uHjl5Q37G57mw.ttf\";s:9:\"700italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/0me55yJIxd5vyQ9bF7SsiA.ttf\";s:3:\"800\";s:60:\"http://fonts.gstatic.com/s/exo/v4/yLPuxBuV0lzqibRJyooOJg.ttf\";s:9:\"800italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/n3LejeKVj_8gtZq5fIgNYw.ttf\";s:3:\"900\";s:60:\"http://fonts.gstatic.com/s/exo/v4/97d0nd6Yv4-SA_X92xAuZA.ttf\";s:9:\"900italic\";s:60:\"http://fonts.gstatic.com/s/exo/v4/JHTkQVhzyLtkY13Ye95TJQ.ttf\";}}s:5:\"Exo 2\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Exo 2\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:18:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"200\";i:3;s:9:\"200italic\";i:4;s:3:\"300\";i:5;s:9:\"300italic\";i:6;s:7:\"regular\";i:7;s:6:\"italic\";i:8;s:3:\"500\";i:9;s:9:\"500italic\";i:10;s:3:\"600\";i:11;s:9:\"600italic\";i:12;s:3:\"700\";i:13;s:9:\"700italic\";i:14;s:3:\"800\";i:15;s:9:\"800italic\";i:16;s:3:\"900\";i:17;s:9:\"900italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":18:{s:3:\"100\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/oVOtQy53isv97g4UhBUDqg.ttf\";s:9:\"100italic\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/LNYVgsJcaCxoKFHmd4AZcg.ttf\";s:3:\"200\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/qa-Ci2pBwJdCxciE1ErifQ.ttf\";s:9:\"200italic\";s:82:\"http://fonts.gstatic.com/s/exo2/v3/DCrVxDVvS69n50O-5erZVvesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"300\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/nLUBdz_lHHoVIPor05Byhw.ttf\";s:9:\"300italic\";s:82:\"http://fonts.gstatic.com/s/exo2/v3/iSy9VTeUTiqiurQg2ywtu_esZW2xOQ-xsNqO47m55DA.ttf\";s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/Pf_kZuIH5c5WKVkQUaeSWQ.ttf\";s:6:\"italic\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/xxA5ZscX9sTU6U0lZJUlYA.ttf\";s:3:\"500\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/oM0rzUuPqVJpW-VEIpuW5w.ttf\";s:9:\"500italic\";s:82:\"http://fonts.gstatic.com/s/exo2/v3/amzRVCB-gipwdihZZ2LtT_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"600\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/YnSn3HsyvyI1feGSdRMYqA.ttf\";s:9:\"600italic\";s:82:\"http://fonts.gstatic.com/s/exo2/v3/Vmo58BiptGwfVFb0teU5gPesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/2DiK4XkdTckfTk6we73-bQ.ttf\";s:9:\"700italic\";s:82:\"http://fonts.gstatic.com/s/exo2/v3/Sdo-zW-4_--pDkTg6bYrY_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"800\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/IVYl_7dJruOg8zKRpC8Hrw.ttf\";s:9:\"800italic\";s:82:\"http://fonts.gstatic.com/s/exo2/v3/p0TA6KeOz1o4rySEbvUxI_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"900\";s:61:\"http://fonts.gstatic.com/s/exo2/v3/e8csG8Wnu87AF6uCndkFRQ.ttf\";s:9:\"900italic\";s:82:\"http://fonts.gstatic.com/s/exo2/v3/KPhsGCoT2-7Uj6pMlRscH_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:13:\"Expletus Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Expletus Sans\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:8:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"500\";i:3;s:9:\"500italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":8:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/gegTSDBDs5le3g6uxU1ZsX8f0n03UdmQgF_CLvNR2vg.ttf\";s:6:\"italic\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/Y-erXmY0b6DU_i2Qu0hTJj4G9C9ttb0Oz5Cvf0qOitE.ttf\";s:3:\"500\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/cl6rhMY77Ilk8lB_uYRRwAqQmZ7VjhwksfpNVG0pqGc.ttf\";s:9:\"500italic\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/sRBNtc46w65uJE451UYmW87DCVO6wo6i5LKIyZDzK40.ttf\";s:3:\"600\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/cl6rhMY77Ilk8lB_uYRRwCvj1tU7IJMS3CS9kCx2B3U.ttf\";s:9:\"600italic\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/sRBNtc46w65uJE451UYmW8yKH23ZS6zCKOFHG0e_4JE.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/cl6rhMY77Ilk8lB_uYRRwFCbmAUID8LN-q3pJpOk3Ys.ttf\";s:9:\"700italic\";s:90:\"http://fonts.gstatic.com/s/expletussans/v7/sRBNtc46w65uJE451UYmW5F66r9C4AnxxlBlGd7xY4g.ttf\";}}s:12:\"Fanwood Text\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Fanwood Text\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/fanwoodtext/v6/hDNDHUlsSb8bgnEmDp4T_i3USBnSvpkopQaUR-2r7iU.ttf\";s:6:\"italic\";s:89:\"http://fonts.gstatic.com/s/fanwoodtext/v6/0J3SBbkMZqBV-3iGxs5E9_MZXuCXbOrAvx5R0IT5Oyo.ttf\";}}s:9:\"Fascinate\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Fascinate\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/fascinate/v5/ZE0637WWkBPKt1AmFaqD3Q.ttf\";}}s:16:\"Fascinate Inline\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Fascinate Inline\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/fascinateinline/v6/lRguYfMfWArflkm5aOQ5QJmp8DTZ6iHear7UV05iykg.ttf\";}}s:10:\"Faster One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Faster One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/fasterone/v5/YxTOW2sf56uxD1T7byP5K_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:8:\"Fasthand\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Fasthand\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/fasthand/v7/6XAagHH_KmpZL67wTvsETQ.ttf\";}}s:9:\"Fauna One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Fauna One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/faunaone/v4/8kL-wpAPofcAMELI_5NRnQ.ttf\";}}s:8:\"Federant\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Federant\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/federant/v7/tddZFSiGvxICNOGra0i5aA.ttf\";}}s:6:\"Federo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Federo\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/federo/v8/JPhe1S2tujeyaR79gXBLeQ.ttf\";}}s:6:\"Felipa\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Felipa\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/felipa/v4/SeyfyFZY7abAQXGrOIYnYg.ttf\";}}s:5:\"Fenix\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Fenix\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/fenix/v4/Ak8wR3VSlAN7VN_eMeJj7Q.ttf\";}}s:12:\"Finger Paint\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Finger Paint\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/fingerpaint/v4/m_ZRbiY-aPb13R3DWPBGXy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Fira Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Fira Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:5:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";i:4;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/firamono/v3/WQOm1D4RO-yvA9q9trJc8g.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/firamono/v3/l24Wph3FsyKAbJ8dfExTZy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Fira Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Fira Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";}s:7:\"subsets\";a:5:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";i:4;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":8:{s:3:\"300\";s:86:\"http://fonts.gstatic.com/s/firasans/v5/VTBnrK42EiOBncVyQXZ7jy3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"300italic\";s:86:\"http://fonts.gstatic.com/s/firasans/v5/6s0YCA9oCTF6hM60YM-qTS9-WlPSxbfiI49GsXo3q0g.ttf\";s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/firasans/v5/nsT0isDy56OkSX99sFQbXw.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/firasans/v5/cPT_2ddmoxsUuMtQqa8zGqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"500\";s:86:\"http://fonts.gstatic.com/s/firasans/v5/zM2u8V3CuPVwAAXFQcDi4C3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"500italic\";s:86:\"http://fonts.gstatic.com/s/firasans/v5/6s0YCA9oCTF6hM60YM-qTcCNfqCYlB_eIx7H1TVXe60.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/firasans/v5/DugPdSljmOTocZOR2CItOi3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/firasans/v5/6s0YCA9oCTF6hM60YM-qTXe1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:10:\"Fjalla One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Fjalla One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/fjallaone/v4/3b7vWCfOZsU53vMa8LWsf_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:9:\"Fjord One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Fjord One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/fjordone/v5/R_YHK8au2uFPw5tNu5N7zw.ttf\";}}s:8:\"Flamenco\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Flamenco\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:3:\"300\";s:86:\"http://fonts.gstatic.com/s/flamenco/v6/x9iI5CogvuZVCGoRHwXuo6CWcynf_cDxXwCLxiixG1c.ttf\";s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/flamenco/v6/HC0ugfLLgt26I5_BWD1PZA.ttf\";}}s:7:\"Flavors\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Flavors\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/flavors/v5/SPJi5QclATvon8ExcKGRvQ.ttf\";}}s:10:\"Fondamento\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Fondamento\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/fondamento/v5/6LWXcjT1B7bnWluAOSNfMPesZW2xOQ-xsNqO47m55DA.ttf\";s:6:\"italic\";s:88:\"http://fonts.gstatic.com/s/fondamento/v5/y6TmwhSbZ8rYq7OTFyo7OS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:16:\"Fontdiner Swanky\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Fontdiner Swanky\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/fontdinerswanky/v6/8_GxIO5ixMtn5P6COsF3TlBjMPLzPAFJwRBn-s1U7kA.ttf\";}}s:5:\"Forum\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Forum\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/forum/v7/MZUpsq1VfLrqv8eSDcbrrQ.ttf\";}}s:12:\"Francois One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Francois One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/francoisone/v9/bYbkq2nU2TSx4SwFbz5sCC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:12:\"Freckle Face\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Freckle Face\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/freckleface/v4/7-B8j9BPJgazdHIGqPNv8y3USBnSvpkopQaUR-2r7iU.ttf\";}}s:20:\"Fredericka the Great\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Fredericka the Great\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/frederickathegreat/v5/7Es8Lxoku-e5eOZWpxw18nrnet6gXN1McwdQxS1dVrI.ttf\";}}s:11:\"Fredoka One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Fredoka One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/fredokaone/v4/QKfwXi-z-KtJAlnO2ethYqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Freehand\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Freehand\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/freehand/v8/uEBQxvA0lnn_BrD6krlxMw.ttf\";}}s:6:\"Fresca\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Fresca\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/fresca/v5/2q7Qm9sCo1tWvVgSDVWNIw.ttf\";}}s:7:\"Frijole\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Frijole\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/frijole/v5/L2MfZse-2gCascuD-nLhWg.ttf\";}}s:7:\"Fruktur\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Fruktur\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/fruktur/v6/PnQvfEi1LssAvhJsCwH__w.ttf\";}}s:9:\"Fugaz One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Fugaz One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/fugazone/v6/5tteVDCwxsr8-5RuSiRWOw.ttf\";}}s:9:\"GFS Didot\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"GFS Didot\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"greek\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/gfsdidot/v6/jQKxZy2RU-h9tkPZcRVluA.ttf\";}}s:15:\"GFS Neohellenic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"GFS Neohellenic\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"greek\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/gfsneohellenic/v7/B4xRqbn-tANVqVgamMsSDiayCZa0z7CpFzlkqoCHztc.ttf\";s:6:\"italic\";s:92:\"http://fonts.gstatic.com/s/gfsneohellenic/v7/KnaWrO4awITAqigQIIYXKkCTdomiyJpIzPbEbIES3rU.ttf\";s:3:\"700\";s:92:\"http://fonts.gstatic.com/s/gfsneohellenic/v7/7HwjPQa7qNiOsnUce2h4448_BwCLZY3eDSV6kppAwI8.ttf\";s:9:\"700italic\";s:92:\"http://fonts.gstatic.com/s/gfsneohellenic/v7/FwWjoX6XqT-szJFyqsu_GYFF0fM4h-krcpQk7emtCpE.ttf\";}}s:8:\"Gabriela\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Gabriela\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/gabriela/v4/B-2ZfbAO3HDrxqV6lR5tdA.ttf\";}}s:6:\"Gafata\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Gafata\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/gafata/v5/aTFqlki_3Dc3geo-FxHTvQ.ttf\";}}s:8:\"Galdeano\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Galdeano\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/galdeano/v6/ZKFMQI6HxEG1jOT0UGSZUg.ttf\";}}s:7:\"Galindo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Galindo\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/galindo/v4/2lafAS_ZEfB33OJryhXDUg.ttf\";}}s:13:\"Gentium Basic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Gentium Basic\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/gentiumbasic/v7/KCktj43blvLkhOTolFn-MYtBLojGU5Qdl8-5NL4v70w.ttf\";s:6:\"italic\";s:90:\"http://fonts.gstatic.com/s/gentiumbasic/v7/qoFz4NSMaYC2UmsMAG3lyTj3mvXnCeAk09uTtmkJGRc.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/gentiumbasic/v7/2qL6yulgGf0wwgOp-UqGyLNuTeOOLg3nUymsEEGmdO0.ttf\";s:9:\"700italic\";s:90:\"http://fonts.gstatic.com/s/gentiumbasic/v7/8N9-c_aQDJ8LbI1NGVMrwtswO1vWwP9exiF8s0wqW10.ttf\";}}s:18:\"Gentium Book Basic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Gentium Book Basic\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/gentiumbookbasic/v6/IRFxB2matTxrjZt6a3FUnrWDjKAyldGEr6eEi2MBNeY.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/gentiumbookbasic/v6/qHqW2lwKO8-uTfIkh8FsUfXfjMwrYnmPVsQth2IcAPY.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/gentiumbookbasic/v6/T2vUYmWzlqUtgLYdlemGnaWESMHIjnSjm9UUxYtEOko.ttf\";s:9:\"700italic\";s:94:\"http://fonts.gstatic.com/s/gentiumbookbasic/v6/632u7TMIoFDWQYUaHFUp5PA2A9KyRZEkn4TZVuhsWRM.ttf\";}}s:3:\"Geo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:3:\"Geo\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:60:\"http://fonts.gstatic.com/s/geo/v8/mJuJYk5Pww84B4uHAQ1XaA.ttf\";s:6:\"italic\";s:60:\"http://fonts.gstatic.com/s/geo/v8/8_r1wToF7nPdDuX1qxel6Q.ttf\";}}s:7:\"Geostar\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Geostar\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/geostar/v6/A8WQbhQbpYx3GWWaShJ9GA.ttf\";}}s:12:\"Geostar Fill\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Geostar Fill\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/geostarfill/v6/Y5ovXPPOHYTfQzK2aM-hui3USBnSvpkopQaUR-2r7iU.ttf\";}}s:12:\"Germania One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Germania One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/germaniaone/v4/3_6AyUql_-FbDi1e68jHdC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:6:\"Gidugu\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Gidugu\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/gidugu/v3/Ey6Eq3hrT6MM58iFItFcgw.ttf\";}}s:13:\"Gilda Display\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Gilda Display\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/gildadisplay/v4/8yAVUZLLZ3wb7dSsjix0CADHmap7fRWINAsw8-RaxNg.ttf\";}}s:14:\"Give You Glory\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Give You Glory\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/giveyouglory/v6/DFEWZFgGmfseyIdGRJAxuBwwkpSPZdvjnMtysdqprfI.ttf\";}}s:13:\"Glass Antiqua\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Glass Antiqua\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/glassantiqua/v4/0yLrXKplgdUDIMz5TnCHNODcg5akpSnIcsPhLOFv7l8.ttf\";}}s:6:\"Glegoo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Glegoo\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/glegoo/v5/2tf-h3n2A_SNYXEO0C8bKw.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/glegoo/v5/TlLolbauH0-0Aiz1LUH5og.ttf\";}}s:17:\"Gloria Hallelujah\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Gloria Hallelujah\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/gloriahallelujah/v7/CA1k7SlXcY5kvI81M_R28Q3RdPdyebSUyJECJouPsvA.ttf\";}}s:10:\"Goblin One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Goblin One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/goblinone/v6/331XtzoXgpVEvNTVcBJ_C_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Gochi Hand\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Gochi Hand\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/gochihand/v7/KT1-WxgHsittJ34_20IfAPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:8:\"Gorditas\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Gorditas\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/gorditas/v4/uMgZhXUyH6qNGF3QsjQT5Q.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/gorditas/v4/6-XCeknmxaon8AUqVkMnHaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:21:\"Goudy Bookletter 1911\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:21:\"Goudy Bookletter 1911\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/goudybookletter1911/v6/l5lwlGTN3pEY5Bf-rQEuIIjNDsyURsIKu4GSfvSE4mA.ttf\";}}s:8:\"Graduate\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Graduate\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/graduate/v4/JpAmYLHqcIh9_Ff35HHwiA.ttf\";}}s:11:\"Grand Hotel\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Grand Hotel\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/grandhotel/v4/C_A8HiFZjXPpnMt38XnK7qCWcynf_cDxXwCLxiixG1c.ttf\";}}s:12:\"Gravitas One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Gravitas One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/gravitasone/v6/nBHdBv6zVNU8MtP6w9FwTS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:11:\"Great Vibes\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Great Vibes\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/greatvibes/v4/4Mi5RG_9LjQYrTU55GN_L6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Griffy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Griffy\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/griffy/v4/vWkyYGBSyE5xjnShNtJtzw.ttf\";}}s:6:\"Gruppo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Gruppo\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/gruppo/v7/pS_JM0cK_piBZve-lfUq9w.ttf\";}}s:5:\"Gudea\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Gudea\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/gudea/v4/S-4QqBlkMPiiA3jNeCR5yw.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/gudea/v4/7mNgsGw_vfS-uUgRVXNDSw.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/gudea/v4/lsip4aiWhJ9bx172Y9FN_w.ttf\";}}s:8:\"Gurajada\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Gurajada\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/gurajada/v4/6Adfkl4PCRyq6XTENACEyA.ttf\";}}s:6:\"Habibi\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Habibi\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/habibi/v5/YYyqXF6pWpL7kmKgS_2iUA.ttf\";}}s:6:\"Halant\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Halant\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2014-08-27\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:63:\"http://fonts.gstatic.com/s/halant/v1/dM3ItAOWNNod_Cf3MnLlEg.ttf\";s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/halant/v1/rEs7Jk3SVyt3cTx6DoTu1w.ttf\";s:3:\"500\";s:63:\"http://fonts.gstatic.com/s/halant/v1/tlsNj3K-hJKtiirTDtUbkQ.ttf\";s:3:\"600\";s:63:\"http://fonts.gstatic.com/s/halant/v1/zNR2WvI_V8o652vIZp3X4Q.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/halant/v1/D9FN7OH89AuCmZDLHbPQfA.ttf\";}}s:15:\"Hammersmith One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Hammersmith One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/hammersmithone/v7/FWNn6ITYqL6or7ZTmBxRhjjVlsJB_M_Q_LtZxsoxvlw.ttf\";}}s:7:\"Hanalei\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Hanalei\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/hanalei/v6/Sx8vVMBnXSQyK6Cn0CBJ3A.ttf\";}}s:12:\"Hanalei Fill\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Hanalei Fill\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/hanaleifill/v5/5uPeWLnaDdtm4UBG26Ds6C3USBnSvpkopQaUR-2r7iU.ttf\";}}s:7:\"Handlee\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Handlee\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/handlee/v5/6OfkXkyC0E5NZN80ED8u3A.ttf\";}}s:7:\"Hanuman\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Hanuman\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/hanuman/v8/hRhwOGGmElJSl6KSPvEnOQ.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/hanuman/v8/lzzXZ2l84x88giDrbfq76vesZW2xOQ-xsNqO47m55DA.ttf\";}}s:12:\"Happy Monkey\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Happy Monkey\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/happymonkey/v5/c2o0ps8nkBmaOYctqBq1rS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:12:\"Headland One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Headland One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/headlandone/v4/iGmBeOvQGfq9DSbjJ8jDVy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:11:\"Henny Penny\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Henny Penny\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/hennypenny/v4/XRgo3ogXyi3tpsFfjImRF6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:20:\"Herr Von Muellerhoff\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Herr Von Muellerhoff\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/herrvonmuellerhoff/v6/mmy24EUmk4tjm4gAEjUd7NLGIYrUsBdh-JWHYgiDiMU.ttf\";}}s:4:\"Hind\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Hind\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:61:\"http://fonts.gstatic.com/s/hind/v5/qa346Adgv9kPDXoD1my4kA.ttf\";s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/hind/v5/mktFHh5Z5P9YjGKSslSUtA.ttf\";s:3:\"500\";s:61:\"http://fonts.gstatic.com/s/hind/v5/2cs8RCVcYtiv4iNDH1UsQQ.ttf\";s:3:\"600\";s:61:\"http://fonts.gstatic.com/s/hind/v5/TUKUmFMXSoxloBP1ni08oA.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/hind/v5/cXJJavLdUbCfjxlsA6DqTw.ttf\";}}s:15:\"Holtwood One SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Holtwood One SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/holtwoodonesc/v7/sToOq3cIxbfnhbEkgYNuBbAgSRh1LpJXlLfl8IbsmHg.ttf\";}}s:14:\"Homemade Apple\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Homemade Apple\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/homemadeapple/v6/yg3UMEsefgZ8IHz_ryz86BiPOmFWYV1WlrJkRafc4c0.ttf\";}}s:8:\"Homenaje\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Homenaje\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/homenaje/v5/v0YBU0iBRrGdVjDNQILxtA.ttf\";}}s:15:\"IM Fell DW Pica\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"IM Fell DW Pica\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/imfelldwpica/v6/W81bfaWiUicLSPbJhW-ATsA5qm663gJGVdtpamafG5A.ttf\";s:6:\"italic\";s:90:\"http://fonts.gstatic.com/s/imfelldwpica/v6/alQJ8SK5aSOZVaelYoyT4PL2asmh5DlYQYCosKo6yQs.ttf\";}}s:18:\"IM Fell DW Pica SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"IM Fell DW Pica SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/imfelldwpicasc/v6/xBKKJV4z2KsrtQnmjGO17JZ9RBdEL0H9o5qzT1Rtof4.ttf\";}}s:19:\"IM Fell Double Pica\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"IM Fell Double Pica\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/imfelldoublepica/v6/yN1wY_01BkQnO0LYAhXdUol14jEdVOhEmvtCMCVwYak.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/imfelldoublepica/v6/64odUh2hAw8D9dkFKTlWYq0AWwkgdQfsRHec8TYi4mI.ttf\";}}s:22:\"IM Fell Double Pica SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:22:\"IM Fell Double Pica SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/imfelldoublepicasc/v6/jkrUtrLFpMw4ZazhfkKsGwc4LoC4OJUqLw9omnT3VOU.ttf\";}}s:15:\"IM Fell English\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"IM Fell English\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/imfellenglish/v6/xwIisCqGFi8pff-oa9uSVHGNmx1fDm-u2eBJHQkdrmk.ttf\";s:6:\"italic\";s:91:\"http://fonts.gstatic.com/s/imfellenglish/v6/Z3cnIAI_L3XTRfz4JuZKbuewladMPCWTthtMv9cPS-c.ttf\";}}s:18:\"IM Fell English SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"IM Fell English SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/imfellenglishsc/v6/h3Tn6yWfw4b5qaLD1RWvz5ATixNthKRRR1XVH3rJNiw.ttf\";}}s:20:\"IM Fell French Canon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"IM Fell French Canon\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/imfellfrenchcanon/v6/iKB0WL1BagSpNPz3NLMdsJ3V2FNpBrlLSvqUnERhBP8.ttf\";s:6:\"italic\";s:95:\"http://fonts.gstatic.com/s/imfellfrenchcanon/v6/owCuNQkLLFW7TBBPJbMnhRa-QL94KdW80H29tcyld2A.ttf\";}}s:23:\"IM Fell French Canon SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:23:\"IM Fell French Canon SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/imfellfrenchcanonsc/v6/kA3bS19-tQbeT_iG32EZmaiyyzHwYrAbmNulTz423iM.ttf\";}}s:20:\"IM Fell Great Primer\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"IM Fell Great Primer\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/imfellgreatprimer/v6/AL8ALGNthei20f9Cu3e93rgeX3ROgtTz44CitKAxzKI.ttf\";s:6:\"italic\";s:95:\"http://fonts.gstatic.com/s/imfellgreatprimer/v6/1a-artkXMVg682r7TTxVY1_YG2SFv8Ma7CxRl1S3o7g.ttf\";}}s:23:\"IM Fell Great Primer SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:23:\"IM Fell Great Primer SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/imfellgreatprimersc/v6/A313vRj97hMMGFjt6rgSJtRg-ciw1Y27JeXb2Zv4lZQ.ttf\";}}s:7:\"Iceberg\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Iceberg\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/iceberg/v4/p2XVm4M-N0AOEEOymFKC5w.ttf\";}}s:7:\"Iceland\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Iceland\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/iceland/v5/kq3uTMGgvzWGNi39B_WxGA.ttf\";}}s:7:\"Imprima\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Imprima\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/imprima/v4/eRjquWLjwLGnTEhLH7u3kA.ttf\";}}s:11:\"Inconsolata\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Inconsolata\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/inconsolata/v10/7bMKuoy6Nh0ft0SHnIGMuaCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/inconsolata/v10/AIed271kqQlcIRSOnQH0yXe1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:5:\"Inder\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Inder\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/inder/v5/C38TwecLTfKxIHDc_Adcrw.ttf\";}}s:12:\"Indie Flower\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Indie Flower\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/indieflower/v7/10JVD_humAd5zP2yrFqw6i3USBnSvpkopQaUR-2r7iU.ttf\";}}s:5:\"Inika\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Inika\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/inika/v4/eZCrULQGaIxkrRoGz_DjhQ.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/inika/v4/bl3ZoTyrWsFun2zYbsgJrA.ttf\";}}s:12:\"Irish Grover\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Irish Grover\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/irishgrover/v6/kUp7uUPooL-KsLGzeVJbBC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Istok Web\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Istok Web\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/istokweb/v8/RYLSjEXQ0nNtLLc4n7--dQ.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/istokweb/v8/kvcT2SlTjmGbC3YlZxmrl6CWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/istokweb/v8/2koEo4AKFSvK4B52O_Mwai3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/istokweb/v8/ycQ3g52ELrh3o_HYCNNUw3e1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:8:\"Italiana\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Italiana\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/italiana/v4/dt95fkCSTOF-c6QNjwSycA.ttf\";}}s:9:\"Italianno\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Italianno\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/italianno/v6/HsyHnLpKf8uP7aMpDQHZmg.ttf\";}}s:16:\"Jacques Francois\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Jacques Francois\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/jacquesfrancois/v4/_-0XWPQIW6tOzTHg4KaJ_M13D_4KM32Q4UmTSjpuNGQ.ttf\";}}s:23:\"Jacques Francois Shadow\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:23:\"Jacques Francois Shadow\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:99:\"http://fonts.gstatic.com/s/jacquesfrancoisshadow/v4/V14y0H3vq56fY9SV4OL_FASt0D_oLVawA8L8b9iKjbs.ttf\";}}s:14:\"Jim Nightshade\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Jim Nightshade\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/jimnightshade/v4/_n43lYHXVWNgXegdYRIK9CF1W_bo0EdycfH0kHciIic.ttf\";}}s:10:\"Jockey One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Jockey One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/jockeyone/v6/cAucnOZLvFo07w2AbufBCfesZW2xOQ-xsNqO47m55DA.ttf\";}}s:12:\"Jolly Lodger\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Jolly Lodger\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/jollylodger/v4/RX8HnkBgaEKQSHQyP9itiS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:12:\"Josefin Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Josefin Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:10:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":10:{s:3:\"100\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/q9w3H4aeBxj0hZ8Osfi3d8SVQ0giZ-l_NELu3lgGyYw.ttf\";s:9:\"100italic\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/s7-P1gqRNRNn-YWdOYnAOXXcj1rQwlNLIS625o-SrL0.ttf\";s:3:\"300\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/C6HYlRF50SGJq1XyXj04z6cQoVhARpoaILP7amxE_8g.ttf\";s:9:\"300italic\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/ppse0J9fKSaoxCIIJb33Gyna0FLWfcB-J_SAYmcAXaI.ttf\";s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/xgzbb53t8j-Mo-vYa23n5i3USBnSvpkopQaUR-2r7iU.ttf\";s:6:\"italic\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/q9w3H4aeBxj0hZ8Osfi3d_MZXuCXbOrAvx5R0IT5Oyo.ttf\";s:3:\"600\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/C6HYlRF50SGJq1XyXj04z2v8CylhIUtwUiYO7Z2wXbE.ttf\";s:9:\"600italic\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/ppse0J9fKSaoxCIIJb33G4R-5-urNOGAobhAyctHvW8.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/C6HYlRF50SGJq1XyXj04z0D2ttfZwueP-QU272T9-k4.ttf\";s:9:\"700italic\";s:89:\"http://fonts.gstatic.com/s/josefinsans/v9/ppse0J9fKSaoxCIIJb33G_As9-1nE9qOqhChW0m4nDE.ttf\";}}s:12:\"Josefin Slab\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Josefin Slab\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:10:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":10:{s:3:\"100\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/etsUjZYO8lTLU85lDhZwUsSVQ0giZ-l_NELu3lgGyYw.ttf\";s:9:\"100italic\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/8BjDChqLgBF3RJKfwHIYh3Xcj1rQwlNLIS625o-SrL0.ttf\";s:3:\"300\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/NbE6ykYuM2IyEwxQxOIi2KcQoVhARpoaILP7amxE_8g.ttf\";s:9:\"300italic\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/af9sBoKGPbGO0r21xJulyyna0FLWfcB-J_SAYmcAXaI.ttf\";s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/46aYWdgz-1oFX11flmyEfS3USBnSvpkopQaUR-2r7iU.ttf\";s:6:\"italic\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/etsUjZYO8lTLU85lDhZwUvMZXuCXbOrAvx5R0IT5Oyo.ttf\";s:3:\"600\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/NbE6ykYuM2IyEwxQxOIi2Gv8CylhIUtwUiYO7Z2wXbE.ttf\";s:9:\"600italic\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/af9sBoKGPbGO0r21xJuly4R-5-urNOGAobhAyctHvW8.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/NbE6ykYuM2IyEwxQxOIi2ED2ttfZwueP-QU272T9-k4.ttf\";s:9:\"700italic\";s:89:\"http://fonts.gstatic.com/s/josefinslab/v6/af9sBoKGPbGO0r21xJuly_As9-1nE9qOqhChW0m4nDE.ttf\";}}s:8:\"Joti One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Joti One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/jotione/v4/P3r_Th0ESHJdzunsvWgUfQ.ttf\";}}s:6:\"Judson\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Judson\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/judson/v7/znM1AAs0eytUaJzf1CrYZQ.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/judson/v7/GVqQW9P52ygW-ySq-CLwAA.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/judson/v7/he4a2LwiPJc7r8x0oKCKiA.ttf\";}}s:5:\"Julee\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Julee\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/julee/v6/CAib-jsUsSO8SvVRnE9fHA.ttf\";}}s:15:\"Julius Sans One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Julius Sans One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/juliussansone/v4/iU65JP9acQHPDLkdalCF7jjVlsJB_M_Q_LtZxsoxvlw.ttf\";}}s:5:\"Junge\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Junge\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/junge/v4/j4IXCXtxrw9qIBheercp3A.ttf\";}}s:4:\"Jura\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Jura\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";}s:7:\"subsets\";a:5:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";i:4;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:3:\"300\";s:61:\"http://fonts.gstatic.com/s/jura/v7/Rqx_xy1UnN0C7wD3FUSyPQ.ttf\";s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/jura/v7/YAWMwF3sN0KCbynMq-Yr_Q.ttf\";s:3:\"500\";s:61:\"http://fonts.gstatic.com/s/jura/v7/16xhfjHCiaLj3tsqqgmtGg.ttf\";s:3:\"600\";s:61:\"http://fonts.gstatic.com/s/jura/v7/iwseduOwJSdY8wQ1Y6CJdA.ttf\";}}s:17:\"Just Another Hand\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Just Another Hand\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/justanotherhand/v7/fKV8XYuRNNagXr38eqbRf99BnJIEGrvoojniP57E51c.ttf\";}}s:23:\"Just Me Again Down Here\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:23:\"Just Me Again Down Here\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/justmeagaindownhere/v8/sN06iTc9ITubLTgXoG-kc3M9eVLpVTSK6TqZTIgBrWQ.ttf\";}}s:5:\"Kalam\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Kalam\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/kalam/v6/MgQQlk1SgPEHdlkWMNh7Jg.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/kalam/v6/hNEJkp2K-aql7e5WQish4Q.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/kalam/v6/95nLItUGyWtNLZjSckluLQ.ttf\";}}s:7:\"Kameron\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Kameron\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/kameron/v7/9r8HYhqDSwcq9WMjupL82A.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/kameron/v7/rabVVbzlflqvmXJUFlKnu_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:9:\"Kantumruy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Kantumruy\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:87:\"http://fonts.gstatic.com/s/kantumruy/v3/ERRwQE0WG5uanaZWmOFXNi3USBnSvpkopQaUR-2r7iU.ttf\";s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/kantumruy/v3/kQfXNYElQxr5dS8FyjD39Q.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/kantumruy/v3/gie_zErpGf_rNzs920C2Ji3USBnSvpkopQaUR-2r7iU.ttf\";}}s:5:\"Karla\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Karla\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/karla/v5/78UgGRwJFkhqaoFimqoKpQ.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/karla/v5/51UBKly9RQOnOkj95ZwEFw.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/karla/v5/JS501sZLxZ4zraLQdncOUA.ttf\";s:9:\"700italic\";s:83:\"http://fonts.gstatic.com/s/karla/v5/3YDyi09gQjCRh-5-SVhTTvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:5:\"Karma\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Karma\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/karma/v5/lH6ijJnguWR2Sz7tEl6MQQ.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/karma/v5/wvqTxAGBUrTqU0urTEoPIw.ttf\";s:3:\"500\";s:62:\"http://fonts.gstatic.com/s/karma/v5/9YGjxi6Hcvz2Kh-rzO_cAw.ttf\";s:3:\"600\";s:62:\"http://fonts.gstatic.com/s/karma/v5/h_CVzXXtqSxjfS2sIwaejA.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/karma/v5/smuSM08oApsQPPVYbHd1CA.ttf\";}}s:14:\"Kaushan Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Kaushan Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/kaushanscript/v4/qx1LSqts-NtiKcLw4N03IBnpV0hQCek3EmWnCPrvGRM.ttf\";}}s:6:\"Kavoon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Kavoon\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/kavoon/v4/382m-6baKXqJFQjEgobt6Q.ttf\";}}s:10:\"Kdam Thmor\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Kdam Thmor\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/kdamthmor/v3/otCdP6UU-VBIrBfVDWBQJ_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Keania One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Keania One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/keaniaone/v4/PACrDKZWngXzgo-ucl6buvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Kelly Slab\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Kelly Slab\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/kellyslab/v6/F_2oS1e9XdYx1MAi8XEVefesZW2xOQ-xsNqO47m55DA.ttf\";}}s:5:\"Kenia\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Kenia\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/kenia/v8/OLM9-XfITK9PsTLKbGBrwg.ttf\";}}s:5:\"Khand\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Khand\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/khand/v4/072zRl4OU9Pinjjkg174LA.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/khand/v4/HdLdTNFqNIDGJZl1ZEj84w.ttf\";s:3:\"500\";s:62:\"http://fonts.gstatic.com/s/khand/v4/46_p-SqtuMe56nxQdteWxg.ttf\";s:3:\"600\";s:62:\"http://fonts.gstatic.com/s/khand/v4/zggGWYIiPJyMTgkfxP_kaA.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/khand/v4/0I0UWaN-X5QBmfexpXKhqg.ttf\";}}s:5:\"Khmer\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Khmer\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/khmer/v9/vWaBJIbaQuBNz02ALIKJ3A.ttf\";}}s:5:\"Khula\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Khula\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2015-01-28\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/khula/v1/_1LySU5Upq-sc4OZ1b_GIw.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/khula/v1/izcPIFyCSd16XI1Ak_Wk7Q.ttf\";s:3:\"600\";s:62:\"http://fonts.gstatic.com/s/khula/v1/4ZH86Hce-aeFDaedTnbkbg.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/khula/v1/UGVExGl-Jjs-YPpGv-MZ6w.ttf\";s:3:\"800\";s:62:\"http://fonts.gstatic.com/s/khula/v1/Sccp_oOo8FWgbx5smie7xQ.ttf\";}}s:8:\"Kite One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Kite One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/kiteone/v4/8ojWmgUc97m0f_i6sTqLoQ.ttf\";}}s:7:\"Knewave\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Knewave\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/knewave/v5/KGHM4XWr4iKnBMqzZLkPBg.ttf\";}}s:9:\"Kotta One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Kotta One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/kottaone/v4/AB2Q7hVw6niJYDgLvFXu5w.ttf\";}}s:6:\"Koulen\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Koulen\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/koulen/v10/AAYOK8RSRO7FTskTzFuzNw.ttf\";}}s:6:\"Kranky\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Kranky\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/kranky/v6/C8dxxTS99-fZ84vWk8SDrg.ttf\";}}s:5:\"Kreon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Kreon\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/kreon/v9/HKtJRiq5C2zbq5N1IX32sA.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/kreon/v9/zA_IZt0u0S3cvHJu-n1oEg.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/kreon/v9/jh0dSmaPodjxISiblIUTkw.ttf\";}}s:6:\"Kristi\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Kristi\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/kristi/v7/aRsgBQrkQkMlu4UPSnJyOQ.ttf\";}}s:9:\"Krona One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Krona One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/kronaone/v4/zcQj4ljqTo166AdourlF9w.ttf\";}}s:15:\"La Belle Aurore\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"La Belle Aurore\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/labelleaurore/v6/Irdbc4ASuUoWDjd_Wc3md123K2iuuhwZgaKapkyRTY8.ttf\";}}s:5:\"Laila\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Laila\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2014-08-27\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/laila/v1/bLbIVEZF3IWSZ-in72GJvA.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/laila/v1/6iYor3edprH7360qtBGoag.ttf\";s:3:\"500\";s:62:\"http://fonts.gstatic.com/s/laila/v1/tkf8VtFvW9g3VsxQCA6WOQ.ttf\";s:3:\"600\";s:62:\"http://fonts.gstatic.com/s/laila/v1/3EMP2L6JRQ4GaHIxCldCeA.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/laila/v1/R7P4z1xjcjecmjZ9GyhqHQ.ttf\";}}s:11:\"Lakki Reddy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Lakki Reddy\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/lakkireddy/v3/Q5EpFa91FjW37t0FCnedaKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Lancelot\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Lancelot\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/lancelot/v5/XMT7T_oo_MQUGAnU2v-sdA.ttf\";}}s:4:\"Lato\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Lato\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:10:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"900\";i:9;s:9:\"900italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:3:\"v11\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":10:{s:3:\"100\";s:62:\"http://fonts.gstatic.com/s/lato/v11/Upp-ka9rLQmHYCsFgwL-eg.ttf\";s:9:\"100italic\";s:62:\"http://fonts.gstatic.com/s/lato/v11/zLegi10uS_9-fnUDISl0KA.ttf\";s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/lato/v11/Ja02qOppOVq9jeRjWekbHg.ttf\";s:9:\"300italic\";s:62:\"http://fonts.gstatic.com/s/lato/v11/dVebFcn7EV7wAKwgYestUg.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/lato/v11/h7rISIcQapZBpei-sXwIwg.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/lato/v11/P_dJOFJylV3A870UIOtr0w.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/lato/v11/iX_QxBBZLhNj5JHlTzHQzg.ttf\";s:9:\"700italic\";s:62:\"http://fonts.gstatic.com/s/lato/v11/WFcZakHrrCKeUJxHA4T_gw.ttf\";s:3:\"900\";s:62:\"http://fonts.gstatic.com/s/lato/v11/8TPEV6NbYWZlNsXjbYVv7w.ttf\";s:9:\"900italic\";s:62:\"http://fonts.gstatic.com/s/lato/v11/draWperrI7n2xi35Cl08fA.ttf\";}}s:13:\"League Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"League Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/leaguescript/v7/wnRFLvfabWK_DauqppD6vSeUSrabuTpOsMEiRLtKwk0.ttf\";}}s:12:\"Leckerli One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Leckerli One\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/leckerlione/v7/S2Y_iLrItTu8kIJTkS7DrC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:6:\"Ledger\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Ledger\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/ledger/v4/G432jp-tahOfWHbCYkI0jw.ttf\";}}s:6:\"Lekton\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Lekton\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/lekton/v7/r483JYmxf5PjIm4jVAm8Yg.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/lekton/v7/_UbDIPBA1wDqSbhp-OED7A.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/lekton/v7/WZw-uL8WTkx3SBVfTlevXQ.ttf\";}}s:5:\"Lemon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Lemon\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/lemon/v5/wed1nNu4LNSu-3RoRVUhUw.ttf\";}}s:17:\"Libre Baskerville\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Libre Baskerville\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/librebaskerville/v4/pR0sBQVcY0JZc_ciXjFsKyyZRYCSvpCzQKuMWnP5NDY.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/librebaskerville/v4/QHIOz1iKF3bIEzRdDFaf5QnhapNS5Oi8FPrBRDLbsW4.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/librebaskerville/v4/kH7K4InNTm7mmOXXjrA5v-xuswJKUVpBRfYFpz0W3Iw.ttf\";}}s:11:\"Life Savers\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Life Savers\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/lifesavers/v6/g49cUDk4Y1P0G5NMkMAm7qCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/lifesavers/v6/THQKqChyYUm97rNPVFdGGXe1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:10:\"Lilita One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Lilita One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/lilitaone/v4/vTxJQjbNV6BCBHx8sGDCVvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:15:\"Lily Script One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Lily Script One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/lilyscriptone/v4/uPWsLVW8uiXqIBnE8ZwGPDjVlsJB_M_Q_LtZxsoxvlw.ttf\";}}s:9:\"Limelight\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Limelight\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/limelight/v7/5dTfN6igsXjLjOy8QQShcg.ttf\";}}s:11:\"Linden Hill\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Linden Hill\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/lindenhill/v6/UgsC0txqd-E1yjvjutwm_KCWcynf_cDxXwCLxiixG1c.ttf\";s:6:\"italic\";s:88:\"http://fonts.gstatic.com/s/lindenhill/v6/OcS3bZcu8vJvIDH8Zic83keOrDcLawS7-ssYqLr2Xp4.ttf\";}}s:7:\"Lobster\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Lobster\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:3:\"v12\";s:12:\"lastModified\";s:10:\"2015-01-06\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/lobster/v12/9LpJGtNuM1D8FAZ2BkJH2Q.ttf\";}}s:11:\"Lobster Two\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Lobster Two\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/lobstertwo/v7/xb9aY4w9ceh8JRzobID1naCWcynf_cDxXwCLxiixG1c.ttf\";s:6:\"italic\";s:88:\"http://fonts.gstatic.com/s/lobstertwo/v7/Ul_16MSbfayQv1I4QhLEoEeOrDcLawS7-ssYqLr2Xp4.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/lobstertwo/v7/bmdxOflBqMqjEC0-kGsIiHe1Pd76Vl7zRpE7NLJQ7XU.ttf\";s:9:\"700italic\";s:88:\"http://fonts.gstatic.com/s/lobstertwo/v7/LEkN2_no_6kFvRfiBZ8xpM_zJjSACmk0BRPxQqhnNLU.ttf\";}}s:16:\"Londrina Outline\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Londrina Outline\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/londrinaoutline/v5/lls08GOa1eT74p072l1AWJmp8DTZ6iHear7UV05iykg.ttf\";}}s:15:\"Londrina Shadow\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Londrina Shadow\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/londrinashadow/v4/dNYuzPS_7eYgXFJBzMoKdbw6Z3rVA5KDSi7aQxS92Nk.ttf\";}}s:15:\"Londrina Sketch\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Londrina Sketch\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/londrinasketch/v4/p7Ai06aT1Ycp_D2fyE3z69d6z_uhFGnpCOifUY1fJQo.ttf\";}}s:14:\"Londrina Solid\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Londrina Solid\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/londrinasolid/v4/yysorIEiYSBb0ylZjg791MR125CwGqh8XBqkBzea0LA.ttf\";}}s:4:\"Lora\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Lora\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/lora/v9/aXJ7KVIGcejEy1abawZazg.ttf\";s:6:\"italic\";s:61:\"http://fonts.gstatic.com/s/lora/v9/AN2EZaj2tFRpyveuNn9BOg.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/lora/v9/enKND5SfzQKkggBA_VnT1A.ttf\";s:9:\"700italic\";s:61:\"http://fonts.gstatic.com/s/lora/v9/ivs9j3kYU65pR9QD9YFdzQ.ttf\";}}s:21:\"Love Ya Like A Sister\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:21:\"Love Ya Like A Sister\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/loveyalikeasister/v7/LzkxWS-af0Br2Sk_YgSJY-ad1xEP8DQfgfY8MH9aBUg.ttf\";}}s:17:\"Loved by the King\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Loved by the King\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/lovedbytheking/v6/wg03xD4cWigj4YDufLBSr8io2AFEwwMpu7y5KyiyAJc.ttf\";}}s:14:\"Lovers Quarrel\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Lovers Quarrel\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/loversquarrel/v4/gipdZ8b7pKb89MzQLAtJHLHLxci2ElvNEmOB303HLk0.ttf\";}}s:12:\"Luckiest Guy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Luckiest Guy\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/luckiestguy/v6/5718gH8nDy3hFVihOpkY5C3USBnSvpkopQaUR-2r7iU.ttf\";}}s:8:\"Lusitana\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Lusitana\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/lusitana/v4/l1h9VDomkwbdzbPdmLcUIw.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/lusitana/v4/GWtZyUsONxgkdl3Mc1P7FKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"Lustria\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Lustria\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/lustria/v4/gXAk0s4ai0X-TAOhYzZd1w.ttf\";}}s:7:\"Macondo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Macondo\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/macondo/v5/G6yPNUscRPQ8ufBXs_8yRQ.ttf\";}}s:18:\"Macondo Swash Caps\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Macondo Swash Caps\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/macondoswashcaps/v4/SsSR706z-MlvEH7_LS6JAPkkgYRHs6GSG949m-K6x2k.ttf\";}}s:5:\"Magra\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Magra\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/magra/v4/hoZ13bwCXBxuGZqAudgc5A.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/magra/v4/6fOM5sq5cIn8D0RjX8Lztw.ttf\";}}s:13:\"Maiden Orange\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Maiden Orange\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/maidenorange/v6/ZhKIA2SPisEwdhW7g0RUWojjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:4:\"Mako\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Mako\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/mako/v7/z5zSLmfPlv1uTVAdmJBLXg.ttf\";}}s:8:\"Mallanna\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Mallanna\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/mallanna/v4/krCTa-CfMbtxqF0689CbuQ.ttf\";}}s:7:\"Mandali\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Mandali\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/mandali/v4/0lF8yJ7fkyjXuqtSi5bWbQ.ttf\";}}s:9:\"Marcellus\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Marcellus\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/marcellus/v4/UjiLZzumxWC9whJ86UtaYw.ttf\";}}s:12:\"Marcellus SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Marcellus SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/marcellussc/v4/_jugwxhkkynrvsfrxVx8gS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:12:\"Marck Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Marck Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/marckscript/v7/O_D1NAZVOFOobLbVtW3bci3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Margarine\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Margarine\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/margarine/v5/DJnJwIrcO_cGkjSzY3MERw.ttf\";}}s:9:\"Marko One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Marko One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/markoone/v6/hpP7j861sOAco43iDc4n4w.ttf\";}}s:8:\"Marmelad\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Marmelad\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/marmelad/v6/jI0_FBlSOIRLL0ePWOhOwQ.ttf\";}}s:6:\"Marvel\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Marvel\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/marvel/v6/Fg1dO8tWVb-MlyqhsbXEkg.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/marvel/v6/HzyjFB-oR5usrc7Lxz9g8w.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/marvel/v6/WrHDBL1RupWGo2UcdgxB3Q.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/marvel/v6/Gzf5NT09Y6xskdQRj2kz1qCWcynf_cDxXwCLxiixG1c.ttf\";}}s:4:\"Mate\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Mate\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/mate/v5/ooFviPcJ6hZP5bAE71Cawg.ttf\";s:6:\"italic\";s:61:\"http://fonts.gstatic.com/s/mate/v5/5XwW6_cbisGvCX5qmNiqfA.ttf\";}}s:7:\"Mate SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Mate SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/matesc/v5/-YkIT2TZoPZF6pawKzDpWw.ttf\";}}s:9:\"Maven Pro\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Maven Pro\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/mavenpro/v7/sqPJIFG4gqsjl-0q_46Gbw.ttf\";s:3:\"500\";s:86:\"http://fonts.gstatic.com/s/mavenpro/v7/SQVfzoJBbj9t3aVcmbspRi3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/mavenpro/v7/uDssvmXgp7Nj3i336k_dSi3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"900\";s:86:\"http://fonts.gstatic.com/s/mavenpro/v7/-91TwiFzqeL1F7Kh91APwS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:7:\"McLaren\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"McLaren\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/mclaren/v4/OprvTGxaiINBKW_1_U0eoQ.ttf\";}}s:6:\"Meddon\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Meddon\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/meddon/v7/f8zJO98uu2EtSj9p7ci9RA.ttf\";}}s:13:\"MedievalSharp\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"MedievalSharp\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/medievalsharp/v8/85X_PjV6tftJ0-rX7KYQkOe45sJkivqprK7VkUlzfg0.ttf\";}}s:10:\"Medula One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Medula One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/medulaone/v6/AasPgDQak81dsTGQHc5zUPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:6:\"Megrim\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Megrim\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/megrim/v7/e-9jVUC9lv1zxaFQARuftw.ttf\";}}s:11:\"Meie Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Meie Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/meiescript/v4/oTIWE5MmPye-rCyVp_6KEqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Merienda\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Merienda\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/merienda/v4/MYY6Og1qZlOQtPW2G95Y3A.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/merienda/v4/GlwcvRLlgiVE2MBFQ4r0sKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:12:\"Merienda One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Merienda One\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/meriendaone/v7/bCA-uDdUx6nTO8SjzCLXvS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:12:\"Merriweather\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Merriweather\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"900\";i:7;s:9:\"900italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":8:{s:3:\"300\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/ZvcMqxEwPfh2qDWBPxn6nqcQoVhARpoaILP7amxE_8g.ttf\";s:9:\"300italic\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/EYh7Vl4ywhowqULgRdYwICna0FLWfcB-J_SAYmcAXaI.ttf\";s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/RFda8w1V0eDZheqfcyQ4EC3USBnSvpkopQaUR-2r7iU.ttf\";s:6:\"italic\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/So5lHxHT37p2SS4-t60SlPMZXuCXbOrAvx5R0IT5Oyo.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/ZvcMqxEwPfh2qDWBPxn6nkD2ttfZwueP-QU272T9-k4.ttf\";s:9:\"700italic\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/EYh7Vl4ywhowqULgRdYwIPAs9-1nE9qOqhChW0m4nDE.ttf\";s:3:\"900\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/ZvcMqxEwPfh2qDWBPxn6nqObDOjC3UL77puoeHsE3fw.ttf\";s:9:\"900italic\";s:90:\"http://fonts.gstatic.com/s/merriweather/v8/EYh7Vl4ywhowqULgRdYwIBd0_s6jQr9r5s5OZYvtzBY.ttf\";}}s:17:\"Merriweather Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Merriweather Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";i:6;s:3:\"800\";i:7;s:9:\"800italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":8:{s:3:\"300\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/6LmGj5dOJopQKEkt88Gowan5N8K-_DP0e9e_v51obXQ.ttf\";s:9:\"300italic\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/nAqt4hiqwq3tzCecpgPmVdytE4nGXk2hYD5nJ740tBw.ttf\";s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/AKu1CjQ4qnV8MUltkAX3sOAj_ty82iuwwDTNEYXGiyQ.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/3Mz4hOHzs2npRMG3B1ascZ32VBCoA_HLsn85tSWZmdo.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/6LmGj5dOJopQKEkt88GowbqxG25nQNOioCZSK4sU-CA.ttf\";s:9:\"700italic\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/nAqt4hiqwq3tzCecpgPmVbuqAJxizi8Dk_SK5et7kMg.ttf\";s:3:\"800\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/6LmGj5dOJopQKEkt88GowYufzO2zUYSj5LqoJ3UGkco.ttf\";s:9:\"800italic\";s:94:\"http://fonts.gstatic.com/s/merriweathersans/v5/nAqt4hiqwq3tzCecpgPmVdDmPrYMy3aZO4LmnZsxTQw.ttf\";}}s:5:\"Metal\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Metal\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/metal/v9/zA3UOP13ooQcxjv04BZX5g.ttf\";}}s:11:\"Metal Mania\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Metal Mania\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/metalmania/v6/isriV_rAUgj6bPWPN6l9QKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:12:\"Metamorphous\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Metamorphous\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/metamorphous/v6/wGqUKXRinIYggz-BTRU9ei3USBnSvpkopQaUR-2r7iU.ttf\";}}s:11:\"Metrophobic\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Metrophobic\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/metrophobic/v6/SaglWZWCrrv_D17u1i4v_aCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Michroma\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Michroma\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/michroma/v7/0c2XrW81_QsiKV8T9thumA.ttf\";}}s:7:\"Milonga\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Milonga\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/milonga/v4/dzNdIUSTGFmy2ahovDRcWg.ttf\";}}s:9:\"Miltonian\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Miltonian\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/miltonian/v8/Z4HrYZyqm0BnNNzcCUfzoQ.ttf\";}}s:16:\"Miltonian Tattoo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Miltonian Tattoo\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/miltoniantattoo/v9/1oU_8OGYwW46eh02YHydn2uk0YtI6thZkz1Hmh-odwg.ttf\";}}s:7:\"Miniver\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Miniver\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/miniver/v5/4yTQohOH_cWKRS5laRFhYg.ttf\";}}s:14:\"Miss Fajardose\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Miss Fajardose\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/missfajardose/v6/WcXjlQPKn6nBfr8LY3ktNu6rPKfVZo7L2bERcf0BDns.ttf\";}}s:14:\"Modern Antiqua\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Modern Antiqua\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/modernantiqua/v6/8qX_tr6Xzy4t9fvZDXPkh6rFJ4O13IHVxZbM6yoslpo.ttf\";}}s:7:\"Molengo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Molengo\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/molengo/v7/jcjgeGuzv83I55AzOTpXNQ.ttf\";}}s:5:\"Molle\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Molle\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/molle/v4/9XTdCsjPXifLqo5et-YoGA.ttf\";}}s:5:\"Monda\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Monda\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/monda/v4/qFMHZ9zvR6B_gnoIgosPrw.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/monda/v4/EVOzZUyc_j1w2GuTgTAW1g.ttf\";}}s:8:\"Monofett\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Monofett\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/monofett/v6/C6K5L799Rgxzg2brgOaqAw.ttf\";}}s:7:\"Monoton\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Monoton\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/monoton/v6/aCz8ja_bE4dg-7agSvExdw.ttf\";}}s:20:\"Monsieur La Doulaise\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Monsieur La Doulaise\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/monsieurladoulaise/v5/IMAdMj6Eq9jZ46CPctFtMKP61oAqTJXlx5ZVOBmcPdM.ttf\";}}s:7:\"Montaga\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Montaga\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/montaga/v4/PwTwUboiD-M4-mFjZfJs2A.ttf\";}}s:6:\"Montez\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Montez\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/montez/v6/kx58rLOWQQLGFM4pDHv5Ng.ttf\";}}s:10:\"Montserrat\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Montserrat\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/montserrat/v6/Kqy6-utIpx_30Xzecmeo8_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/montserrat/v6/IQHow_FEYlDC4Gzy_m8fcgJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:21:\"Montserrat Alternates\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:21:\"Montserrat Alternates\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:98:\"http://fonts.gstatic.com/s/montserratalternates/v4/z2n1Sjxk9souK3HCtdHuklPuEVRGaG9GCQnmM16YWq0.ttf\";s:3:\"700\";s:98:\"http://fonts.gstatic.com/s/montserratalternates/v4/YENqOGAVzwIHjYNjmKuAZpeqBKvsAhm-s2I4RVSXFfc.ttf\";}}s:20:\"Montserrat Subrayada\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Montserrat Subrayada\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/montserratsubrayada/v4/nzoCWCz0e9c7Mr2Gl8bbgrJymm6ilkk9f0nDA_sC_qk.ttf\";s:3:\"700\";s:97:\"http://fonts.gstatic.com/s/montserratsubrayada/v4/wf-IKpsHcfm0C9uaz9IeGJvEcF1LWArDbGWgKZSH9go.ttf\";}}s:4:\"Moul\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Moul\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/moul/v8/Kb0ALQnfyXawP1a_P_gpTQ.ttf\";}}s:8:\"Moulpali\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Moulpali\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/moulpali/v9/diD74BprGhmVkJoerKmrKA.ttf\";}}s:22:\"Mountains of Christmas\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:22:\"Mountains of Christmas\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:98:\"http://fonts.gstatic.com/s/mountainsofchristmas/v8/dVGBFPwd6G44IWDbQtPew2Auds3jz1Fxb61CgfaGDr4.ttf\";s:3:\"700\";s:98:\"http://fonts.gstatic.com/s/mountainsofchristmas/v8/PymufKtHszoLrY0uiAYKNM9cPTbSBTrQyTa5TWAe3vE.ttf\";}}s:13:\"Mouse Memoirs\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Mouse Memoirs\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/mousememoirs/v4/NBFaaJFux_j0AQbAsW3QeH8f0n03UdmQgF_CLvNR2vg.ttf\";}}s:10:\"Mr Bedfort\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Mr Bedfort\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/mrbedfort/v5/81bGgHTRikLs_puEGshl7_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:8:\"Mr Dafoe\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Mr Dafoe\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/mrdafoe/v5/s32Q1S6ZkT7EaX53mUirvQ.ttf\";}}s:14:\"Mr De Haviland\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Mr De Haviland\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/mrdehaviland/v5/fD8y4L6PJ4vqDk7z8Y8e27v4lrhng1lzu7-weKO6cw8.ttf\";}}s:19:\"Mrs Saint Delafield\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"Mrs Saint Delafield\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/mrssaintdelafield/v4/vuWagfFT7bj9lFtZOFBwmjHMBelqWf3tJeGyts2SmKU.ttf\";}}s:13:\"Mrs Sheppards\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Mrs Sheppards\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/mrssheppards/v5/2WFsWMV3VUeCz6UVH7UjCn8f0n03UdmQgF_CLvNR2vg.ttf\";}}s:4:\"Muli\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Muli\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":4:{s:3:\"300\";s:61:\"http://fonts.gstatic.com/s/muli/v7/VJw4F3ZHRAZ7Hmg3nQu5YQ.ttf\";s:9:\"300italic\";s:61:\"http://fonts.gstatic.com/s/muli/v7/s-NKMCru8HiyjEt0ZDoBoA.ttf\";s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/muli/v7/KJiP6KznxbALQgfJcDdPAw.ttf\";s:6:\"italic\";s:61:\"http://fonts.gstatic.com/s/muli/v7/Cg0K_IWANs9xkNoxV7H1_w.ttf\";}}s:13:\"Mystery Quest\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Mystery Quest\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/mysteryquest/v4/467jJvg0c7HgucvBB9PLDyeUSrabuTpOsMEiRLtKwk0.ttf\";}}s:3:\"NTR\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:3:\"NTR\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:60:\"http://fonts.gstatic.com/s/ntr/v4/e7H4ZLtGfVOYyOupo6T12g.ttf\";}}s:6:\"Neucha\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Neucha\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/neucha/v7/bijdhB-TzQdtpl0ykhGh4Q.ttf\";}}s:6:\"Neuton\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Neuton\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:6:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"700\";i:5;s:3:\"800\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:3:\"200\";s:63:\"http://fonts.gstatic.com/s/neuton/v8/DA3Mkew3XqSkPpi1f4tJow.ttf\";s:3:\"300\";s:63:\"http://fonts.gstatic.com/s/neuton/v8/xrc_aZ2hx-gdeV0mlY8Vww.ttf\";s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/neuton/v8/9R-MGIOQUdjAVeB6nE6PcQ.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/neuton/v8/uVMT3JOB5BNFi3lgPp6kEg.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/neuton/v8/gnWpkWY7DirkKiovncYrfg.ttf\";s:3:\"800\";s:63:\"http://fonts.gstatic.com/s/neuton/v8/XPzBQV4lY6enLxQG9cF1jw.ttf\";}}s:10:\"New Rocker\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"New Rocker\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/newrocker/v5/EFUWzHJedEkpW399zYOHofesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"News Cycle\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"News Cycle\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:3:\"v12\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/newscycle/v12/xyMAr8VfiUzIOvS1abHJO_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/newscycle/v12/G28Ny31cr5orMqEQy6ljtwJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:7:\"Niconne\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Niconne\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/niconne/v6/ZA-mFw2QNXodx5y7kfELBg.ttf\";}}s:9:\"Nixie One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Nixie One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/nixieone/v7/h6kQfmzm0Shdnp3eswRaqQ.ttf\";}}s:6:\"Nobile\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Nobile\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/nobile/v7/lC_lPi1ddtN38iXTCRh6ow.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/nobile/v7/vGmrpKzWQQSrb-PR6FWBIA.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/nobile/v7/9p6M-Yrg_r_QPmSD1skrOg.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/nobile/v7/oQ1eYPaXV638N03KvsNvyKCWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Nokora\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Nokora\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/nokora/v9/dRyz1JfnyKPNaRcBNX9F9A.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/nokora/v9/QMqqa4QEOhQpiig3cAPmbQ.ttf\";}}s:7:\"Norican\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Norican\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/norican/v4/SHnSqhYAWG5sZTWcPzEHig.ttf\";}}s:7:\"Nosifer\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Nosifer\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/nosifer/v5/7eJGoIuHRrtcG00j6CptSA.ttf\";}}s:20:\"Nothing You Could Do\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Nothing You Could Do\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/nothingyoucoulddo/v6/jpk1K3jbJoyoK0XKaSyQAf-TpkXjXYGWiJZAEtBRjPU.ttf\";}}s:12:\"Noticia Text\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Noticia Text\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"vietnamese\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/noticiatext/v6/wdyV6x3eKpdeUPQ7BJ5uUC3USBnSvpkopQaUR-2r7iU.ttf\";s:6:\"italic\";s:89:\"http://fonts.gstatic.com/s/noticiatext/v6/dAuxVpkYE_Q_IwIm6elsKPMZXuCXbOrAvx5R0IT5Oyo.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/noticiatext/v6/pEko-RqEtp45bE2P80AAKUD2ttfZwueP-QU272T9-k4.ttf\";s:9:\"700italic\";s:89:\"http://fonts.gstatic.com/s/noticiatext/v6/-rQ7V8ARjf28_b7kRa0JuvAs9-1nE9qOqhChW0m4nDE.ttf\";}}s:9:\"Noto Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Noto Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:8:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"devanagari\";i:4;s:10:\"vietnamese\";i:5;s:9:\"latin-ext\";i:6;s:8:\"cyrillic\";i:7;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/notosans/v6/0Ue9FiUJwVhi4NGfHJS5uA.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/notosans/v6/dLcNKMgJ1H5RVoZFraDz0qCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/notosans/v6/PIbvSEyHEdL91QLOQRnZ1y3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/notosans/v6/9Z3uUWMRR7crzm1TjRicDne1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:10:\"Noto Serif\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Noto Serif\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/notoserif/v4/zW6mc7bC1CWw8dH0yxY8JfesZW2xOQ-xsNqO47m55DA.ttf\";s:6:\"italic\";s:87:\"http://fonts.gstatic.com/s/notoserif/v4/HQXBIwLHsOJCNEQeX9kNzy3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/notoserif/v4/lJAvZoKA5NttpPc9yc6lPQJKKGfqHaYFsRG-T3ceEVo.ttf\";s:9:\"700italic\";s:87:\"http://fonts.gstatic.com/s/notoserif/v4/Wreg0Be4tcFGM2t6VWytvED2ttfZwueP-QU272T9-k4.ttf\";}}s:8:\"Nova Cut\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Nova Cut\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/novacut/v8/6q12jWcBvj0KO2cMRP97tA.ttf\";}}s:9:\"Nova Flat\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Nova Flat\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/novaflat/v8/pK7a0CoGzI684qe_XSHBqQ.ttf\";}}s:9:\"Nova Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Nova Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/novamono/v7/6-SChr5ZIaaasJFBkgrLNw.ttf\";}}s:9:\"Nova Oval\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Nova Oval\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/novaoval/v8/VuukVpKP8BwUf8o9W5LYQQ.ttf\";}}s:10:\"Nova Round\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Nova Round\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/novaround/v8/7-cK3Ari_8XYYFgVMxVhDvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:11:\"Nova Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Nova Script\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/novascript/v8/dEvxQDLgx1M1TKY-NmBWYaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:9:\"Nova Slim\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Nova Slim\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/novaslim/v8/rPYXC81_VL2EW-4CzBX65g.ttf\";}}s:11:\"Nova Square\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Nova Square\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/novasquare/v8/BcBzXoaDzYX78rquGXVuSqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Numans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Numans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/numans/v6/g5snI2p6OEjjTNmTHyBdiQ.ttf\";}}s:6:\"Nunito\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Nunito\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:63:\"http://fonts.gstatic.com/s/nunito/v7/zXQvrWBJqUooM7Xv98MrQw.ttf\";s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/nunito/v7/ySZTeT3IuzJj0GK6uGpbBg.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/nunito/v7/aEdlqgMuYbpe4U3TnqOQMA.ttf\";}}s:14:\"Odor Mean Chey\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Odor Mean Chey\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/odormeanchey/v8/GK3E7EjPoBkeZhYshGFo0eVKG8sq4NyGgdteJLvqLDs.ttf\";}}s:7:\"Offside\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Offside\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/offside/v4/v0C913SB8wqQUvcu1faUqw.ttf\";}}s:15:\"Old Standard TT\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Old Standard TT\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/oldstandardtt/v7/n6RTCDcIPWSE8UNBa4k-DLcB5jyhm1VsHs65c3QNDr0.ttf\";s:6:\"italic\";s:91:\"http://fonts.gstatic.com/s/oldstandardtt/v7/QQT_AUSp4AV4dpJfIN7U5PWrQzeMtsHf8QsWQ2cZg3c.ttf\";s:3:\"700\";s:91:\"http://fonts.gstatic.com/s/oldstandardtt/v7/5Ywdce7XEbTSbxs__4X1_HJqbZqK7TdZ58X80Q_Lw8Y.ttf\";}}s:9:\"Oldenburg\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Oldenburg\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/oldenburg/v4/dqA_M_uoCVXZbCO-oKBTnQ.ttf\";}}s:11:\"Oleo Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Oleo Script\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/oleoscript/v5/21stZcmPyzbQVXtmGegyqKCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/oleoscript/v5/hudNQFKFl98JdNnlo363fne1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:22:\"Oleo Script Swash Caps\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:22:\"Oleo Script Swash Caps\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/oleoscriptswashcaps/v4/vdWhGqsBUAP-FF3NOYTe4iMF4kXAPemmyaDpMXQ31P0.ttf\";s:3:\"700\";s:97:\"http://fonts.gstatic.com/s/oleoscriptswashcaps/v4/HMO3ftxA9AU5floml9c755reFYaXZ4zuJXJ8fr8OO1g.ttf\";}}s:9:\"Open Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Open Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:10:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"600\";i:5;s:9:\"600italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";i:8;s:3:\"800\";i:9;s:9:\"800italic\";}s:7:\"subsets\";a:8:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"devanagari\";i:4;s:10:\"vietnamese\";i:5;s:9:\"latin-ext\";i:6;s:8:\"cyrillic\";i:7;s:12:\"cyrillic-ext\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-10-17\";s:5:\"files\";O:8:\"stdClass\":10:{s:3:\"300\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/DXI1ORHCpsQm3Vp6mXoaTS3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"300italic\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/PRmiXeptR36kaC0GEAetxi9-WlPSxbfiI49GsXo3q0g.ttf\";s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/opensans/v10/IgZJs4-7SA1XX_edsoXWog.ttf\";s:6:\"italic\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/O4NhV7_qs9r9seTo7fnsVKCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"600\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/MTP_ySUJH_bn48VBG8sNSi3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"600italic\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/PRmiXeptR36kaC0GEAetxpZ7xm-Bj30Bj2KNdXDzSZg.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/k3k702ZOKiLJc3WVjuplzC3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"700italic\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/PRmiXeptR36kaC0GEAetxne1Pd76Vl7zRpE7NLJQ7XU.ttf\";s:3:\"800\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/EInbV5DfGHOiMmvb1Xr-hi3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"800italic\";s:87:\"http://fonts.gstatic.com/s/opensans/v10/PRmiXeptR36kaC0GEAetxg89PwPrYLaRFJ-HNCU9NbA.ttf\";}}s:19:\"Open Sans Condensed\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"Open Sans Condensed\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:96:\"http://fonts.gstatic.com/s/opensanscondensed/v10/gk5FxslNkTTHtojXrkp-xEMwSSh38KQVJx4ABtsZTnA.ttf\";s:9:\"300italic\";s:96:\"http://fonts.gstatic.com/s/opensanscondensed/v10/jIXlqT1WKafUSwj6s9AzV4_LkTZ_uhAwfmGJ084hlvM.ttf\";s:3:\"700\";s:96:\"http://fonts.gstatic.com/s/opensanscondensed/v10/gk5FxslNkTTHtojXrkp-xBEM87DM3yorPOrvA-vB930.ttf\";}}s:11:\"Oranienbaum\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Oranienbaum\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/oranienbaum/v4/M98jYwCSn0PaFhXXgviCoaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Orbitron\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Orbitron\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/orbitron/v6/DY8swouAZjR3RaUPRf0HDQ.ttf\";s:3:\"500\";s:86:\"http://fonts.gstatic.com/s/orbitron/v6/p-y_ffzMdo5JN_7ia0vYEqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/orbitron/v6/PS9_6SLkY1Y6OgPO3APr6qCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"900\";s:86:\"http://fonts.gstatic.com/s/orbitron/v6/2I3-8i9hT294TE_pyjy9SaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"Oregano\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Oregano\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/oregano/v4/UiLhqNixVv2EpjRoBG6axA.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/oregano/v4/_iwqGEht6XsAuEaCbYG64Q.ttf\";}}s:7:\"Orienta\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Orienta\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/orienta/v4/_NKSk93mMs0xsqtfjCsB3Q.ttf\";}}s:15:\"Original Surfer\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Original Surfer\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/originalsurfer/v5/gdHw6HpSIN4D6Xt7pi1-qIkEz33TDwAZczo_6fY7eg0.ttf\";}}s:6:\"Oswald\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Oswald\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:64:\"http://fonts.gstatic.com/s/oswald/v10/y3tZpCdiRD4oNRRYFcAR5Q.ttf\";s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/oswald/v10/uLEd2g2vJglLPfsBF91DCg.ttf\";s:3:\"700\";s:64:\"http://fonts.gstatic.com/s/oswald/v10/7wj8ldV_5Ti37rHa0m1DDw.ttf\";}}s:16:\"Over the Rainbow\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Over the Rainbow\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/overtherainbow/v7/6gp-gkpI2kie2dHQQLM2jQBdxkZd83xOSx-PAQ2QmiI.ttf\";}}s:8:\"Overlock\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Overlock\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:6:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/overlock/v5/Z8oYsGi88-E1cUB8YBFMAg.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/overlock/v5/rq6EacukHROOBrFrK_zF6_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/overlock/v5/Fexr8SqXM8Bm_gEVUA7AKaCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/overlock/v5/wFWnYgeXKYBks6gEUwYnfAJKKGfqHaYFsRG-T3ceEVo.ttf\";s:3:\"900\";s:86:\"http://fonts.gstatic.com/s/overlock/v5/YPJCVTT8ZbG3899l_-KIGqCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"900italic\";s:86:\"http://fonts.gstatic.com/s/overlock/v5/iOZhxT2zlg7W5ij_lb-oDp0EAVxt0G0biEntp43Qt6E.ttf\";}}s:11:\"Overlock SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Overlock SC\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/overlocksc/v5/8D7HYDsvS_g1GhBnlHzgzaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:3:\"Ovo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:3:\"Ovo\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:60:\"http://fonts.gstatic.com/s/ovo/v7/mFg27dimu3s9t09qjCwB1g.ttf\";}}s:6:\"Oxygen\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Oxygen\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:63:\"http://fonts.gstatic.com/s/oxygen/v5/lZ31r0bR1Bzt_DfGZu1S8A.ttf\";s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/oxygen/v5/uhoyAE7XlQL22abzQieHjw.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/oxygen/v5/yLqkmDwuNtt5pSqsJmhyrg.ttf\";}}s:11:\"Oxygen Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Oxygen Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/oxygenmono/v4/DigTu7k4b7OmM8ubt1Qza6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"PT Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"PT Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/ptmono/v4/QUbM8H9yJK5NhpQ0REO6Wg.ttf\";}}s:7:\"PT Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"PT Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/ptsans/v8/UFoEz2uiuMypUGZL1NKoeg.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/ptsans/v8/yls9EYWOd496wiu7qzfgNg.ttf\";s:3:\"700\";s:84:\"http://fonts.gstatic.com/s/ptsans/v8/F51BEgHuR0tYHxF0bD4vwvesZW2xOQ-xsNqO47m55DA.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/ptsans/v8/lILlYDvubYemzYzN7GbLkC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:15:\"PT Sans Caption\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"PT Sans Caption\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/ptsanscaption/v9/OXYTDOzBcXU8MTNBvBHeSW8by34Z3mUMtM-o4y-SHCY.ttf\";s:3:\"700\";s:91:\"http://fonts.gstatic.com/s/ptsanscaption/v9/Q-gJrFokeE7JydPpxASt25tc0eyfI4QDEsobEEpk_hA.ttf\";}}s:14:\"PT Sans Narrow\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"PT Sans Narrow\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/ptsansnarrow/v7/UyYrYy3ltEffJV9QueSi4ZTvAuddT2xDMbdz0mdLyZY.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/ptsansnarrow/v7/Q_pTky3Sc3ubRibGToTAYsLtdzs3iyjn_YuT226ZsLU.ttf\";}}s:8:\"PT Serif\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"PT Serif\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/ptserif/v8/sAo427rn3-QL9sWCbMZXhA.ttf\";s:6:\"italic\";s:85:\"http://fonts.gstatic.com/s/ptserif/v8/9khWhKzhpkH0OkNnBKS3n_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/ptserif/v8/kyZw18tqQ5if-_wpmxxOeKCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"700italic\";s:85:\"http://fonts.gstatic.com/s/ptserif/v8/Foydq9xJp--nfYIx2TBz9QJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:16:\"PT Serif Caption\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"PT Serif Caption\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";i:3;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/ptserifcaption/v8/7xkFOeTxxO1GMC1suOUYWVsRioCqs5fohhaYel24W3k.ttf\";s:6:\"italic\";s:92:\"http://fonts.gstatic.com/s/ptserifcaption/v8/0kfPsmrmTSgiec7u_Wa0DB1mqvzPHelJwRcF_s_EUM0.ttf\";}}s:8:\"Pacifico\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Pacifico\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/pacifico/v7/GIrpeRY1r5CzbfL8r182lw.ttf\";}}s:7:\"Paprika\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Paprika\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/paprika/v4/b-VpyoRSieBdB5BPJVF8HQ.ttf\";}}s:10:\"Parisienne\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Parisienne\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/parisienne/v4/TW74B5QISJNx9moxGlmJfvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:11:\"Passero One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Passero One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/passeroone/v8/Yc-7nH5deCCv9Ed0MMnAQqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:11:\"Passion One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Passion One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:3:\"700\";i:2;s:3:\"900\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/passionone/v6/1UIK1tg3bKJ4J3o35M4heqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/passionone/v6/feOcYDy2R-f3Ysy72PYJ2ne1Pd76Vl7zRpE7NLJQ7XU.ttf\";s:3:\"900\";s:88:\"http://fonts.gstatic.com/s/passionone/v6/feOcYDy2R-f3Ysy72PYJ2ienaqEuufTBk9XMKnKmgDA.ttf\";}}s:18:\"Pathway Gothic One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Pathway Gothic One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/pathwaygothicone/v4/Lqv9ztoTUV8Q0FmQZzPqaA6A6xIYD7vYcYDop1i-K-c.ttf\";}}s:12:\"Patrick Hand\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Patrick Hand\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"vietnamese\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/patrickhand/v10/9BG3JJgt_HlF3NpEUehL0C3USBnSvpkopQaUR-2r7iU.ttf\";}}s:15:\"Patrick Hand SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Patrick Hand SC\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"vietnamese\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/patrickhandsc/v4/OYFWCgfCR-7uHIovjUZXsbAgSRh1LpJXlLfl8IbsmHg.ttf\";}}s:9:\"Patua One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Patua One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/patuaone/v6/njZwotTYjswR4qdhsW-kJw.ttf\";}}s:11:\"Paytone One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Paytone One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/paytoneone/v8/3WCxC7JAJjQHQVoIE0ZwvqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"Peddana\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Peddana\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-08\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/peddana/v4/zaSZuj_GhmC8AOTugOROnA.ttf\";}}s:7:\"Peralta\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Peralta\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/peralta/v4/cTJX5KEuc0GKRU9NXSm-8Q.ttf\";}}s:16:\"Permanent Marker\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Permanent Marker\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/permanentmarker/v5/9vYsg5VgPHKK8SXYbf3sMol14xj5tdg9OHF8w4E7StQ.ttf\";}}s:19:\"Petit Formal Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"Petit Formal Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/petitformalscript/v4/OEZwr2-ovBsq2n3ACCKoEvVPl2Gjtxj0D6F7QLy1VQc.ttf\";}}s:7:\"Petrona\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Petrona\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/petrona/v5/nnQwxlP6dhrGovYEFtemTg.ttf\";}}s:11:\"Philosopher\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Philosopher\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/philosopher/v7/oZLTrB9jmJsyV0u_T0TKEaCWcynf_cDxXwCLxiixG1c.ttf\";s:6:\"italic\";s:89:\"http://fonts.gstatic.com/s/philosopher/v7/_9Hnc_gz9k7Qq6uKaeHKmUeOrDcLawS7-ssYqLr2Xp4.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/philosopher/v7/napvkewXG9Gqby5vwGHICHe1Pd76Vl7zRpE7NLJQ7XU.ttf\";s:9:\"700italic\";s:89:\"http://fonts.gstatic.com/s/philosopher/v7/PuKlryTcvTj7-qZWfLCFIM_zJjSACmk0BRPxQqhnNLU.ttf\";}}s:6:\"Piedra\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Piedra\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/piedra/v5/owf-AvEEyAj9LJ2tVZ_3Mw.ttf\";}}s:13:\"Pinyon Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Pinyon Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/pinyonscript/v6/TzghnhfCn7TuE73f-CBQ0CeUSrabuTpOsMEiRLtKwk0.ttf\";}}s:10:\"Pirata One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Pirata One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/pirataone/v4/WnbD86B4vB2ckYcL7oxuhvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:7:\"Plaster\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Plaster\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/plaster/v7/O4QG9Z5116CXyfJdR9zxLw.ttf\";}}s:4:\"Play\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Play\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:5:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";i:4;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/play/v6/GWvfObW8LhtsOX333MCpBg.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/play/v6/crPhg6I0alLI-MpB3vW-zw.ttf\";}}s:8:\"Playball\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Playball\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/playball/v6/3hOFiQm_EUzycTpcN9uz4w.ttf\";}}s:16:\"Playfair Display\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Playfair Display\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:6:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":6:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/playfairdisplay/v10/2NBgzUtEeyB-Xtpr9bm1CV6uyC_qD11hrFQ6EGgTJWI.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/playfairdisplay/v10/9MkijrV-dEJ0-_NWV7E6NzMsbnvDNEBX25F5HWk9AhI.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/playfairdisplay/v10/UC3ZEjagJi85gF9qFaBgICsv6SrURqJprbhH_C1Mw8w.ttf\";s:9:\"700italic\";s:94:\"http://fonts.gstatic.com/s/playfairdisplay/v10/n7G4PqJvFP2Kubl0VBLDECsYW3XoOVcYyYdp9NzzS9E.ttf\";s:3:\"900\";s:94:\"http://fonts.gstatic.com/s/playfairdisplay/v10/UC3ZEjagJi85gF9qFaBgIKqwMe2wjvZrAR44M0BJZ48.ttf\";s:9:\"900italic\";s:94:\"http://fonts.gstatic.com/s/playfairdisplay/v10/n7G4PqJvFP2Kubl0VBLDEC0JfJ4xmm7j1kL6D7mPxrA.ttf\";}}s:19:\"Playfair Display SC\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"Playfair Display SC\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:6:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";i:4;s:3:\"900\";i:5;s:9:\"900italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":6:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/playfairdisplaysc/v4/G0-tvBxd4eQRdwFKB8dRkcpjYTDWIvcAwAccqeW9uNM.ttf\";s:6:\"italic\";s:95:\"http://fonts.gstatic.com/s/playfairdisplaysc/v4/myuYiFR-4NTrUT4w6TKls2klJsJYggW8rlNoTOTuau0.ttf\";s:3:\"700\";s:95:\"http://fonts.gstatic.com/s/playfairdisplaysc/v4/5ggqGkvWJU_TtW2W8cEubA-Amcyomnuy4WsCiPxGHjw.ttf\";s:9:\"700italic\";s:95:\"http://fonts.gstatic.com/s/playfairdisplaysc/v4/6X0OQrQhEEnPo56RalREX4krgPi80XvBcbTwmz-rgmU.ttf\";s:3:\"900\";s:95:\"http://fonts.gstatic.com/s/playfairdisplaysc/v4/5ggqGkvWJU_TtW2W8cEubKXL3C32k275YmX_AcBPZ7w.ttf\";s:9:\"900italic\";s:95:\"http://fonts.gstatic.com/s/playfairdisplaysc/v4/6X0OQrQhEEnPo56RalREX8Zag2q3ssKz8uH1RU4a9gs.ttf\";}}s:7:\"Podkova\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Podkova\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/podkova/v8/eylljyGVfB8ZUQjYY3WZRQ.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/podkova/v8/SqW4aa8m_KVrOgYSydQ33vesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Poiret One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Poiret One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-10-07\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/poiretone/v4/dWcYed048E5gHGDIt8i1CPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Poller One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Poller One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/pollerone/v6/dkctmDlTPcZ6boC8662RA_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:4:\"Poly\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Poly\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/poly/v7/bcMAuiacS2qkd54BcwW6_Q.ttf\";s:6:\"italic\";s:61:\"http://fonts.gstatic.com/s/poly/v7/Zkx-eIlZSjKUrPGYhV5PeA.ttf\";}}s:8:\"Pompiere\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Pompiere\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/pompiere/v6/o_va2p9CD5JfmFohAkGZIA.ttf\";}}s:12:\"Pontano Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Pontano Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/pontanosans/v4/gTHiwyxi6S7iiHpqAoiE3C3USBnSvpkopQaUR-2r7iU.ttf\";}}s:16:\"Port Lligat Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Port Lligat Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/portlligatsans/v5/CUEdhRk7oC7up0p6t0g4P6mASEpx5X0ZpsuJOuvfOGA.ttf\";}}s:16:\"Port Lligat Slab\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Port Lligat Slab\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/portlligatslab/v5/CUEdhRk7oC7up0p6t0g4PxLSPACXvawUYCBEnHsOe30.ttf\";}}s:5:\"Prata\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Prata\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/prata/v6/3gmx8r842loRRm9iQkCDGg.ttf\";}}s:11:\"Preahvihear\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Preahvihear\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/preahvihear/v8/82tDI-xTc53CxxOzEG4hDaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:14:\"Press Start 2P\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Press Start 2P\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:4:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"latin-ext\";i:3;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/pressstart2p/v4/8Lg6LX8-ntOHUQnvQ0E7o1jfl3W46Sz5gOkEVhcFWF4.ttf\";}}s:14:\"Princess Sofia\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Princess Sofia\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/princesssofia/v4/8g5l8r9BM0t1QsXLTajDe-wjmA7ie-lFcByzHGRhCIg.ttf\";}}s:8:\"Prociono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Prociono\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/prociono/v6/43ZYDHWogdFeNBWTl6ksmw.ttf\";}}s:10:\"Prosto One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Prosto One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/prostoone/v4/bsqnAElAqk9kX7eABTRFJPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:7:\"Puritan\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Puritan\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/puritan/v7/wv_RtgVBSCn-or2MC0n4Kg.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/puritan/v7/BqZX8Tp200LeMv1KlzXgLQ.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/puritan/v7/pJS2SdwI0SCiVnO0iQSFT_esZW2xOQ-xsNqO47m55DA.ttf\";s:9:\"700italic\";s:85:\"http://fonts.gstatic.com/s/puritan/v7/rFG3XkMJL75nUNZwCEIJqC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:12:\"Purple Purse\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Purple Purse\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/purplepurse/v5/Q5heFUrdmei9axbMITxxxS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:6:\"Quando\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Quando\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/quando/v4/03nDiEZuO2-h3xvtG6UmHg.ttf\";}}s:8:\"Quantico\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Quantico\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/quantico/v5/pwSnP8Xpaix2rIz99HrSlQ.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/quantico/v5/KQhDd2OsZi6HiITUeFQ2U_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/quantico/v5/OVZZzjcZ3Hkq2ojVcUtDjaCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/quantico/v5/HeCYRcZbdRso3ZUu01ELbQJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:12:\"Quattrocento\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Quattrocento\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/quattrocento/v7/WZDISdyil4HsmirlOdBRFC3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/quattrocento/v7/Uvi-cRwyvqFpl9j3oT2mqkD2ttfZwueP-QU272T9-k4.ttf\";}}s:17:\"Quattrocento Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Quattrocento Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/quattrocentosans/v8/efd6FGWWGX5Z3ztwLBrG9eAj_ty82iuwwDTNEYXGiyQ.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/quattrocentosans/v8/8PXYbvM__bjl0rBnKiByg532VBCoA_HLsn85tSWZmdo.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/quattrocentosans/v8/tXSgPxDl7Lk8Zr_5qX8FIbqxG25nQNOioCZSK4sU-CA.ttf\";s:9:\"700italic\";s:94:\"http://fonts.gstatic.com/s/quattrocentosans/v8/8N1PdXpbG6RtFvTjl-5E7buqAJxizi8Dk_SK5et7kMg.ttf\";}}s:9:\"Questrial\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Questrial\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/questrial/v6/MoHHaw_WwNs_hd9ob1zTVw.ttf\";}}s:9:\"Quicksand\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Quicksand\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:3:\"300\";s:87:\"http://fonts.gstatic.com/s/quicksand/v5/qhfoJiLu10kFjChCCTvGlC3USBnSvpkopQaUR-2r7iU.ttf\";s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/quicksand/v5/Ngv3fIJjKB7sD-bTUGIFCA.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/quicksand/v5/32nyIRHyCu6iqEka_hbKsi3USBnSvpkopQaUR-2r7iU.ttf\";}}s:14:\"Quintessential\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Quintessential\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/quintessential/v4/mmk6ioesnTrEky_Zb92E5s02lXbtMOtZWfuxKeMZO8Q.ttf\";}}s:7:\"Qwigley\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Qwigley\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/qwigley/v6/aDqxws-KubFID85TZHFouw.ttf\";}}s:15:\"Racing Sans One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Racing Sans One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/racingsansone/v4/1r3DpWaCiT7y3PD4KgkNyDjVlsJB_M_Q_LtZxsoxvlw.ttf\";}}s:6:\"Radley\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Radley\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/radley/v9/FgE9di09a-mXGzAIyI6Q9Q.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/radley/v9/Z_JcACuPAOO2f9kzQcGRug.ttf\";}}s:8:\"Rajdhani\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Rajdhani\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:86:\"http://fonts.gstatic.com/s/rajdhani/v5/9pItuEhQZVGdq8spnHTku6CWcynf_cDxXwCLxiixG1c.ttf\";s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/rajdhani/v5/Wfy5zp4PGFAFS7-Wetehzw.ttf\";s:3:\"500\";s:86:\"http://fonts.gstatic.com/s/rajdhani/v5/nd_5ZpVwm710HcLual0fBqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"600\";s:86:\"http://fonts.gstatic.com/s/rajdhani/v5/5fnmZahByDeTtgxIiqbJSaCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/rajdhani/v5/UBK6d2Hg7X7wYLlF92aXW6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"Raleway\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Raleway\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:9:{i:0;s:3:\"100\";i:1;s:3:\"200\";i:2;s:3:\"300\";i:3;s:7:\"regular\";i:4;s:3:\"500\";i:5;s:3:\"600\";i:6;s:3:\"700\";i:7;s:3:\"800\";i:8;s:3:\"900\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":9:{s:3:\"100\";s:64:\"http://fonts.gstatic.com/s/raleway/v9/UDfD6oxBaBnmFJwQ7XAFNw.ttf\";s:3:\"200\";s:85:\"http://fonts.gstatic.com/s/raleway/v9/LAQwev4hdCtYkOYX4Oc7nPesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"300\";s:85:\"http://fonts.gstatic.com/s/raleway/v9/2VvSZU2kb4DZwFfRM4fLQPesZW2xOQ-xsNqO47m55DA.ttf\";s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/raleway/v9/_dCzxpXzIS3sL-gdJWAP8A.ttf\";s:3:\"500\";s:85:\"http://fonts.gstatic.com/s/raleway/v9/348gn6PEmbLDWlHbbV15d_esZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"600\";s:85:\"http://fonts.gstatic.com/s/raleway/v9/M7no6oPkwKYJkedjB1wqEvesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/raleway/v9/VGEV9-DrblisWOWLbK-1XPesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"800\";s:85:\"http://fonts.gstatic.com/s/raleway/v9/mMh0JrsYMXcLO69jgJwpUvesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"900\";s:85:\"http://fonts.gstatic.com/s/raleway/v9/ajQQGcDBLcyLpaUfD76UuPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:12:\"Raleway Dots\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Raleway Dots\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/ralewaydots/v4/lhLgmWCRcyz-QXo8LCzTfC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:10:\"Ramabhadra\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Ramabhadra\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/ramabhadra/v5/JyhxLXRVQChLDGADS_c5MPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:8:\"Ramaraja\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Ramaraja\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2015-01-08\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/ramaraja/v1/XIqzxFapVczstBedHdQTiw.ttf\";}}s:6:\"Rambla\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Rambla\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/rambla/v4/YaTmpvm5gFg_ShJKTQmdzg.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/rambla/v4/mhUgsKmp0qw3uATdDDAuwA.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/rambla/v4/C5VZH8BxQKmnBuoC00UPpw.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/rambla/v4/ziMzUZya6QahrKONSI1TzqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:12:\"Rammetto One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Rammetto One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/rammettoone/v5/mh0uQ1tV8QgSx9v_KyEYPC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:8:\"Ranchers\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Ranchers\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/ranchers/v4/9ya8CZYhqT66VERfjQ7eLA.ttf\";}}s:6:\"Rancho\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Rancho\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/rancho/v6/ekp3-4QykC4--6KaslRgHA.ttf\";}}s:5:\"Ranga\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Ranga\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2015-01-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/ranga/v1/xpW6zFTNzY1JykoBIqE1Zg.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/ranga/v1/h8G_gEUH7vHKH-NkjAs34A.ttf\";}}s:9:\"Rationale\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Rationale\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/rationale/v7/7M2eN-di0NGLQse7HzJRfg.ttf\";}}s:12:\"Ravi Prakash\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Ravi Prakash\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/raviprakash/v3/8EzbM7Rymjk25jWeHxbO6C3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Redressed\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Redressed\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/redressed/v6/3aZ5sTBppH3oSm5SabegtA.ttf\";}}s:13:\"Reenie Beanie\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Reenie Beanie\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/reeniebeanie/v6/ljpKc6CdXusL1cnGUSamX4jjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:7:\"Revalia\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Revalia\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/revalia/v4/1TKw66fF5_poiL0Ktgo4_A.ttf\";}}s:6:\"Ribeye\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Ribeye\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/ribeye/v5/e5w3VE8HnWBln4Ll6lUj3Q.ttf\";}}s:13:\"Ribeye Marrow\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Ribeye Marrow\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/ribeyemarrow/v6/q7cBSA-4ErAXBCDFPrhlY0cTNmV93fYG7UKgsLQNQWs.ttf\";}}s:9:\"Righteous\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Righteous\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/righteous/v5/0nRRWM_gCGCt2S-BCfN8WQ.ttf\";}}s:6:\"Risque\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Risque\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/risque/v4/92RnElGnl8yHP97-KV3Fyg.ttf\";}}s:6:\"Roboto\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Roboto\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:12:{i:0;s:3:\"100\";i:1;s:9:\"100italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"500\";i:7;s:9:\"500italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:3:\"v15\";s:12:\"lastModified\";s:10:\"2015-01-14\";s:5:\"files\";O:8:\"stdClass\":12:{s:3:\"100\";s:64:\"http://fonts.gstatic.com/s/roboto/v15/7MygqTe2zs9YkP0adA9QQQ.ttf\";s:9:\"100italic\";s:85:\"http://fonts.gstatic.com/s/roboto/v15/T1xnudodhcgwXCmZQ490TPesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"300\";s:64:\"http://fonts.gstatic.com/s/roboto/v15/dtpHsbgPEm2lVWciJZ0P-A.ttf\";s:9:\"300italic\";s:85:\"http://fonts.gstatic.com/s/roboto/v15/iE8HhaRzdhPxC93dOdA056CWcynf_cDxXwCLxiixG1c.ttf\";s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/roboto/v15/W5F8_SL0XFawnjxHGsZjJA.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/roboto/v15/hcKoSgxdnKlbH5dlTwKbow.ttf\";s:3:\"500\";s:64:\"http://fonts.gstatic.com/s/roboto/v15/Uxzkqj-MIMWle-XP2pDNAA.ttf\";s:9:\"500italic\";s:85:\"http://fonts.gstatic.com/s/roboto/v15/daIfzbEw-lbjMyv4rMUUTqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:64:\"http://fonts.gstatic.com/s/roboto/v15/bdHGHleUa-ndQCOrdpfxfw.ttf\";s:9:\"700italic\";s:85:\"http://fonts.gstatic.com/s/roboto/v15/owYYXKukxFDFjr0ZO8NXh6CWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"900\";s:64:\"http://fonts.gstatic.com/s/roboto/v15/H1vB34nOKWXqzKotq25pcg.ttf\";s:9:\"900italic\";s:85:\"http://fonts.gstatic.com/s/roboto/v15/b9PWBSMHrT2zM5FgUdtu0aCWcynf_cDxXwCLxiixG1c.ttf\";}}s:16:\"Roboto Condensed\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Roboto Condensed\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:6:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"700\";i:5;s:9:\"700italic\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:3:\"v13\";s:12:\"lastModified\";s:10:\"2015-01-14\";s:5:\"files\";O:8:\"stdClass\":6:{s:3:\"300\";s:94:\"http://fonts.gstatic.com/s/robotocondensed/v13/b9QBgL0iMZfDSpmcXcE8nJRhFVcex_hajThhFkHyhYk.ttf\";s:9:\"300italic\";s:94:\"http://fonts.gstatic.com/s/robotocondensed/v13/mg0cGfGRUERshzBlvqxeAPYa9bgCHecWXGgisnodcS0.ttf\";s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/robotocondensed/v13/Zd2E9abXLFGSr9G3YK2MsKDbm6fPDOZJsR8PmdG62gY.ttf\";s:6:\"italic\";s:94:\"http://fonts.gstatic.com/s/robotocondensed/v13/BP5K8ZAJv9qEbmuFp8RpJY_eiqgTfYGaH0bJiUDZ5GA.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/robotocondensed/v13/b9QBgL0iMZfDSpmcXcE8nPOYkGiSOYDq_T7HbIOV1hA.ttf\";s:9:\"700italic\";s:94:\"http://fonts.gstatic.com/s/robotocondensed/v13/mg0cGfGRUERshzBlvqxeAE2zk2RGRC3SlyyLLQfjS_8.ttf\";}}s:11:\"Roboto Slab\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Roboto Slab\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:3:\"100\";i:1;s:3:\"300\";i:2;s:7:\"regular\";i:3;s:3:\"700\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:3:\"100\";s:88:\"http://fonts.gstatic.com/s/robotoslab/v6/MEz38VLIFL-t46JUtkIEgIAWxXGWZ3yJw6KhWS7MxOk.ttf\";s:3:\"300\";s:88:\"http://fonts.gstatic.com/s/robotoslab/v6/dazS1PrQQuCxC3iOAJFEJS9-WlPSxbfiI49GsXo3q0g.ttf\";s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/robotoslab/v6/3__ulTNA7unv0UtplybPiqCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/robotoslab/v6/dazS1PrQQuCxC3iOAJFEJXe1Pd76Vl7zRpE7NLJQ7XU.ttf\";}}s:9:\"Rochester\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Rochester\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/rochester/v6/bnj8tmQBiOkdji_G_yvypg.ttf\";}}s:9:\"Rock Salt\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Rock Salt\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/rocksalt/v6/Zy7JF9h9WbhD9V3SFMQ1UQ.ttf\";}}s:7:\"Rokkitt\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Rokkitt\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/rokkitt/v8/GMA7Z_ToF8uSvpZAgnp_VQ.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/rokkitt/v8/gxlo-sr3rPmvgSixYog_ofesZW2xOQ-xsNqO47m55DA.ttf\";}}s:9:\"Romanesco\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Romanesco\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/romanesco/v5/2udIjUrpK_CPzYSxRVzD4Q.ttf\";}}s:9:\"Ropa Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Ropa Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/ropasans/v5/Gba7ZzVBuhg6nX_AoSwlkQ.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/ropasans/v5/V1zbhZQscNrh63dy5Jk2nqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"Rosario\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Rosario\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:3:\"v10\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/rosario/v10/bL-cEh8dXtDupB2WccA2LA.ttf\";s:6:\"italic\";s:65:\"http://fonts.gstatic.com/s/rosario/v10/pkflNy18HEuVVx4EOjeb_Q.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/rosario/v10/nrS6PJvDWN42RP4TFWccd_esZW2xOQ-xsNqO47m55DA.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/rosario/v10/EOgFX2Va5VGrkhn_eDpIRS3USBnSvpkopQaUR-2r7iU.ttf\";}}s:8:\"Rosarivo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Rosarivo\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/rosarivo/v4/EmPiINK0qyqc7KSsNjJamA.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/rosarivo/v4/u3VuWsWQlX1pDqsbz4paNPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:12:\"Rouge Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Rouge Script\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/rougescript/v5/AgXDSqZJmy12qS0ixjs6Vy3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Rozha One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Rozha One\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v2\";s:12:\"lastModified\";s:10:\"2014-09-04\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/rozhaone/v2/PyrMHQ6lucEIxwKmhqsX8A.ttf\";}}s:14:\"Rubik Mono One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Rubik Mono One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/rubikmonoone/v3/e_cupPtD4BrZzotubJD7UbAREgn5xbW23GEXXnhMQ5Y.ttf\";}}s:9:\"Rubik One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Rubik One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/rubikone/v3/Zs6TtctNRSIR8T5PO018rQ.ttf\";}}s:4:\"Ruda\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Ruda\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:3:\"700\";i:2;s:3:\"900\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/ruda/v7/jPEIPB7DM2DNK_uBGv2HGw.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/ruda/v7/JABOu1SYOHcGXVejUq4w6g.ttf\";s:3:\"900\";s:61:\"http://fonts.gstatic.com/s/ruda/v7/Uzusv-enCjoIrznlJJaBRw.ttf\";}}s:6:\"Rufina\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Rufina\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/rufina/v4/s9IFr_fIemiohfZS-ZRDbQ.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/rufina/v4/D0RUjXFr55y4MVZY2Ww_RA.ttf\";}}s:11:\"Ruge Boogie\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Ruge Boogie\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/rugeboogie/v7/U-TTmltL8aENLVIqYbI5QaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Ruluko\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Ruluko\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/ruluko/v4/lv4cMwJtrx_dzmlK5SDc1g.ttf\";}}s:10:\"Rum Raisin\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Rum Raisin\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/rumraisin/v4/kDiL-ntDOEq26B7kYM7cx_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:14:\"Ruslan Display\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Ruslan Display\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/ruslandisplay/v7/SREdhlyLNUfU1VssRBfs3rgH88D3l9N4auRNHrNS708.ttf\";}}s:9:\"Russo One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Russo One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/russoone/v4/zfwxZ--UhUc7FVfgT21PRQ.ttf\";}}s:6:\"Ruthie\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Ruthie\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/ruthie/v6/vJ2LorukHSbWYoEs5juivg.ttf\";}}s:3:\"Rye\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:3:\"Rye\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:60:\"http://fonts.gstatic.com/s/rye/v4/VUrJlpPpSZxspl3w_yNOrQ.ttf\";}}s:10:\"Sacramento\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Sacramento\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/sacramento/v4/_kv-qycSHMNdhjiv0Kj7BvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:4:\"Sail\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Sail\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/sail/v6/iuEoG6kt-bePGvtdpL0GUQ.ttf\";}}s:5:\"Salsa\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Salsa\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/salsa/v6/BnpUCBmYdvggScEPs5JbpA.ttf\";}}s:7:\"Sanchez\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Sanchez\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/sanchez/v4/BEL8ao-E2LJ5eHPLB2UAiw.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/sanchez/v4/iSrhkWLexUZzDeNxNEHtzA.ttf\";}}s:8:\"Sancreek\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Sancreek\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/sancreek/v7/8ZacBMraWMvHly4IJI3esw.ttf\";}}s:11:\"Sansita One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Sansita One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/sansitaone/v6/xWqf68oB50JXqGIRR0h2hqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Sarina\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Sarina\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/sarina/v5/XYtRfaSknHIU3NHdfTdXoQ.ttf\";}}s:8:\"Sarpanch\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Sarpanch\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:6:{i:0;s:7:\"regular\";i:1;s:3:\"500\";i:2;s:3:\"600\";i:3;s:3:\"700\";i:4;s:3:\"800\";i:5;s:3:\"900\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2014-09-04\";s:5:\"files\";O:8:\"stdClass\":6:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/sarpanch/v1/YMBZdT27b6O5a1DADbAGSg.ttf\";s:3:\"500\";s:86:\"http://fonts.gstatic.com/s/sarpanch/v1/Ov7BxSrFSZYrfuJxL1LzQaCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"600\";s:86:\"http://fonts.gstatic.com/s/sarpanch/v1/WTnP2wnc0qSbUaaDG-2OQ6CWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/sarpanch/v1/57kYsSpovYmFaEt2hsZhv6CWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"800\";s:86:\"http://fonts.gstatic.com/s/sarpanch/v1/OKyqPLjdnuVghR-1TV6RzaCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"900\";s:86:\"http://fonts.gstatic.com/s/sarpanch/v1/JhYc2cr6kqWTo_P0vfvJR6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"Satisfy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Satisfy\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/satisfy/v6/PRlyepkd-JCGHiN8e9WV2w.ttf\";}}s:5:\"Scada\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Scada\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/scada/v4/iZNC3ZEYwe3je6H-28d5Ug.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/scada/v4/PCGyLT1qNawkOUQ3uHFhBw.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/scada/v4/t6XNWdMdVWUz93EuRVmifQ.ttf\";s:9:\"700italic\";s:83:\"http://fonts.gstatic.com/s/scada/v4/kLrBIf7V4mDMwcd_Yw7-D_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Schoolbell\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Schoolbell\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/schoolbell/v6/95-3djEuubb3cJx-6E7j4vesZW2xOQ-xsNqO47m55DA.ttf\";}}s:14:\"Seaweed Script\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Seaweed Script\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/seaweedscript/v4/eorWAPpOvvWrPw5IHwE60BnpV0hQCek3EmWnCPrvGRM.ttf\";}}s:9:\"Sevillana\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Sevillana\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/sevillana/v4/6m1Nh35oP7YEt00U80Smiw.ttf\";}}s:11:\"Seymour One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Seymour One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/seymourone/v4/HrdG2AEG_870Xb7xBVv6C6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:18:\"Shadows Into Light\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Shadows Into Light\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/shadowsintolight/v6/clhLqOv7MXn459PTh0gXYAW_5bEze-iLRNvGrRpJsfM.ttf\";}}s:22:\"Shadows Into Light Two\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:22:\"Shadows Into Light Two\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/shadowsintolighttwo/v4/gDxHeefcXIo-lOuZFCn2xVQrZk-Pga5KeEE_oZjkQjQ.ttf\";}}s:6:\"Shanti\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Shanti\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/shanti/v7/lc4nG_JG6Q-2FQSOMMhb_w.ttf\";}}s:5:\"Share\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Share\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/share/v5/1ytD7zSb_-g9I2GG67vmVw.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/share/v5/a9YGdQWFRlNJ0zClJVaY3Q.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/share/v5/XrU8e7a1YKurguyY2azk1Q.ttf\";s:9:\"700italic\";s:83:\"http://fonts.gstatic.com/s/share/v5/A992-bLVYwAflKu6iaznufesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Share Tech\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Share Tech\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/sharetech/v4/Dq3DuZ5_0SW3oEfAWFpen_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:15:\"Share Tech Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Share Tech Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/sharetechmono/v4/RQxK-3RA0Lnf3gnnnNrAscwD6PD0c3_abh9zHKQtbGU.ttf\";}}s:9:\"Shojumaru\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Shojumaru\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/shojumaru/v4/WP8cxonzQQVAoI3RJQ2wug.ttf\";}}s:11:\"Short Stack\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Short Stack\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/shortstack/v6/v4dXPI0Rm8XN9gk4SDdqlqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:8:\"Siemreap\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Siemreap\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/siemreap/v9/JSK-mOIsXwxo-zE9XDDl_g.ttf\";}}s:10:\"Sigmar One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Sigmar One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/sigmarone/v6/oh_5NxD5JBZksdo2EntKefesZW2xOQ-xsNqO47m55DA.ttf\";}}s:7:\"Signika\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Signika\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"600\";i:3;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:3:\"300\";s:85:\"http://fonts.gstatic.com/s/signika/v6/0wDPonOzsYeEo-1KO78w4fesZW2xOQ-xsNqO47m55DA.ttf\";s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/signika/v6/WvDswbww0oAtvBg2l1L-9w.ttf\";s:3:\"600\";s:85:\"http://fonts.gstatic.com/s/signika/v6/lQMOF6NUN2ooR7WvB7tADvesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/signika/v6/lEcnfPBICWJPv5BbVNnFJPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:16:\"Signika Negative\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Signika Negative\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"600\";i:3;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:3:\"300\";s:93:\"http://fonts.gstatic.com/s/signikanegative/v5/q5TOjIw4CenPw6C-TW06FjYFXpUPtCmIEFDvjUnLLaI.ttf\";s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/signikanegative/v5/Z-Q1hzbY8uAo3TpTyPFMXVM1lnCWMnren5_v6047e5A.ttf\";s:3:\"600\";s:93:\"http://fonts.gstatic.com/s/signikanegative/v5/q5TOjIw4CenPw6C-TW06FrKLaDJM01OezSVA2R_O3qI.ttf\";s:3:\"700\";s:93:\"http://fonts.gstatic.com/s/signikanegative/v5/q5TOjIw4CenPw6C-TW06FpYzPxtVvobH1w3hEppR8WI.ttf\";}}s:9:\"Simonetta\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Simonetta\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"900\";i:3;s:9:\"900italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/simonetta/v5/fN8puNuahBo4EYMQgp12Yg.ttf\";s:6:\"italic\";s:87:\"http://fonts.gstatic.com/s/simonetta/v5/ynxQ3FqfF_Nziwy3T9ZwL6CWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"900\";s:87:\"http://fonts.gstatic.com/s/simonetta/v5/22EwvvJ2r1VwVCxit5LcVi3USBnSvpkopQaUR-2r7iU.ttf\";s:9:\"900italic\";s:87:\"http://fonts.gstatic.com/s/simonetta/v5/WUXOpCgBZaRPrWtMCpeKoienaqEuufTBk9XMKnKmgDA.ttf\";}}s:7:\"Sintony\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Sintony\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/sintony/v4/IDhCijoIMev2L6Lg5QsduQ.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/sintony/v4/zVXQB1wqJn6PE4dWXoYpvPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:13:\"Sirin Stencil\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Sirin Stencil\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/sirinstencil/v5/pRpLdo0SawzO7MoBpvowsImg74kgS1F7KeR8rWhYwkU.ttf\";}}s:8:\"Six Caps\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Six Caps\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/sixcaps/v7/_XeDnO0HOV8Er9u97If1tQ.ttf\";}}s:7:\"Skranji\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Skranji\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/skranji/v4/jnOLPS0iZmDL7dfWnW3nIw.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/skranji/v4/Lcrhg-fviVkxiEgoadsI1vesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Slabo 13px\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Slabo 13px\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v2\";s:12:\"lastModified\";s:10:\"2014-12-03\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/slabo13px/v2/jPGWFTjRXfCSzy0qd1nqdvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Slabo 27px\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Slabo 27px\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v2\";s:12:\"lastModified\";s:10:\"2014-12-03\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/slabo27px/v2/gC0o8B9eU21EafNkXlRAfPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:7:\"Slackey\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Slackey\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/slackey/v6/evRIMNhGVCRJvCPv4kteeA.ttf\";}}s:6:\"Smokum\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Smokum\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/smokum/v6/8YP4BuAcy97X8WfdKfxVRw.ttf\";}}s:6:\"Smythe\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Smythe\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/smythe/v7/yACD1gy_MpbB9Ft42fUvYw.ttf\";}}s:7:\"Sniglet\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Sniglet\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"800\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/sniglet/v7/XWhyQLHH4SpCVsHRPRgu9w.ttf\";s:3:\"800\";s:85:\"http://fonts.gstatic.com/s/sniglet/v7/NLF91nBmcEfkBgcEWbHFa_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:7:\"Snippet\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Snippet\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/snippet/v6/eUcYMLq2GtHZovLlQH_9kA.ttf\";}}s:13:\"Snowburst One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Snowburst One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/snowburstone/v4/zSQzKOPukXRux2oTqfYJjIjjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:10:\"Sofadi One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Sofadi One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/sofadione/v4/nirf4G12IcJ6KI8Eoj119fesZW2xOQ-xsNqO47m55DA.ttf\";}}s:5:\"Sofia\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Sofia\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/sofia/v5/Imnvx0Ag9r6iDBFUY5_RaQ.ttf\";}}s:10:\"Sonsie One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Sonsie One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/sonsieone/v5/KSP7xT1OSy0q2ob6RQOTWPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:16:\"Sorts Mill Goudy\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Sorts Mill Goudy\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/sortsmillgoudy/v6/JzRrPKdwEnE8F1TDmDLMUlIL2Qjg-Xlsg_fhGbe2P5U.ttf\";s:6:\"italic\";s:92:\"http://fonts.gstatic.com/s/sortsmillgoudy/v6/UUu1lKiy4hRmBWk599VL1TYNkCNSzLyoucKmbTguvr0.ttf\";}}s:15:\"Source Code Pro\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Source Code Pro\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:7:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:7:\"regular\";i:3;s:3:\"500\";i:4;s:3:\"600\";i:5;s:3:\"700\";i:6;s:3:\"900\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":7:{s:3:\"200\";s:91:\"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqaXvKVW_haheDNrHjziJZVk.ttf\";s:3:\"300\";s:91:\"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqVP7R5lD_au4SZC6Ks_vyWs.ttf\";s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/sourcecodepro/v6/mrl8jkM18OlOQN8JLgasD9Rl0pGnog23EMYRrBmUzJQ.ttf\";s:3:\"500\";s:91:\"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqX63uKwMO11Of4rJWV582wg.ttf\";s:3:\"600\";s:91:\"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqeiMeWyi5E_-XkTgB5psiDg.ttf\";s:3:\"700\";s:91:\"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqfgXsetDviZcdR5OzC1KPcw.ttf\";s:3:\"900\";s:91:\"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqRA_awHl7mXRjE_LQVochcU.ttf\";}}s:15:\"Source Sans Pro\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Source Sans Pro\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:12:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"900\";i:11;s:9:\"900italic\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"vietnamese\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":12:{s:3:\"200\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGKXvKVW_haheDNrHjziJZVk.ttf\";s:9:\"200italic\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6OptKU7UIBg2hLM7eMTU8bI.ttf\";s:3:\"300\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGFP7R5lD_au4SZC6Ks_vyWs.ttf\";s:9:\"300italic\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6DUpNKoQAsDux-Todp8f29w.ttf\";s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/ODelI1aHBYDBqgeIAH2zlNRl0pGnog23EMYRrBmUzJQ.ttf\";s:6:\"italic\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/M2Jd71oPJhLKp0zdtTvoMwRX4TIfMQQEXLu74GftruE.ttf\";s:3:\"600\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGOiMeWyi5E_-XkTgB5psiDg.ttf\";s:9:\"600italic\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6Pp6lGoTTgjlW0sC4r900Co.ttf\";s:3:\"700\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGPgXsetDviZcdR5OzC1KPcw.ttf\";s:9:\"700italic\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6LVT4locI09aamSzFGQlDMY.ttf\";s:3:\"900\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGBA_awHl7mXRjE_LQVochcU.ttf\";s:9:\"900italic\";s:91:\"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6A0NcF6HPGWR298uWIdxWv0.ttf\";}}s:16:\"Source Serif Pro\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Source Serif Pro\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:3:\"600\";i:2;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/sourceserifpro/v4/CeUM4np2c42DV49nanp55YGL0S0YDpKs5GpLtZIQ0m4.ttf\";s:3:\"600\";s:92:\"http://fonts.gstatic.com/s/sourceserifpro/v4/yd5lDMt8Sva2PE17yiLarGi4cQnvCGV11m1KlXh97aQ.ttf\";s:3:\"700\";s:92:\"http://fonts.gstatic.com/s/sourceserifpro/v4/yd5lDMt8Sva2PE17yiLarEkpYHRvxGNSCrR82n_RDNk.ttf\";}}s:13:\"Special Elite\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Special Elite\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/specialelite/v6/9-wW4zu3WNoD5Fjka35Jm4jjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:10:\"Spicy Rice\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Spicy Rice\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/spicyrice/v5/WGCtz7cLoggXARPi9OGD6_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:9:\"Spinnaker\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Spinnaker\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/spinnaker/v8/MQdIXivKITpjROUdiN6Jgg.ttf\";}}s:6:\"Spirax\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Spirax\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/spirax/v5/IOKqhk-Ccl7y31yDsePPkw.ttf\";}}s:10:\"Squada One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Squada One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/squadaone/v5/3tzGuaJdD65cZVgfQzN8uvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:20:\"Sree Krushnadevaraya\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Sree Krushnadevaraya\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/sreekrushnadevaraya/v4/CdsXmnHyEqVl1ahzOh5qnzjDZVem5Eb4d0dXjXa0F_Q.ttf\";}}s:9:\"Stalemate\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Stalemate\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/stalemate/v4/wQLCnG0qB6mOu2Wit2dt_w.ttf\";}}s:13:\"Stalinist One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Stalinist One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/stalinistone/v6/ltOD4Zj3WJDXYjAIR-9vZojjx0o0jr6fNXxPgYh_a8Q.ttf\";}}s:15:\"Stardos Stencil\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Stardos Stencil\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/stardosstencil/v6/ygEOyTW9a6u4fi4OXEZeTFf2eT4jUldwg_9fgfY_tHc.ttf\";s:3:\"700\";s:92:\"http://fonts.gstatic.com/s/stardosstencil/v6/h4ExtgvoXhPtv9Ieqd-XC81wDCbBgmIo8UyjIhmkeSM.ttf\";}}s:21:\"Stint Ultra Condensed\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:21:\"Stint Ultra Condensed\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:97:\"http://fonts.gstatic.com/s/stintultracondensed/v5/8DqLK6-YSClFZt3u3EgOUYelbRYnLTTQA1Z5cVLnsI4.ttf\";}}s:20:\"Stint Ultra Expanded\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:20:\"Stint Ultra Expanded\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/stintultraexpanded/v4/FeigX-wDDgHMCKuhekhedQ7dxr0N5HY0cZKknTIL6n4.ttf\";}}s:5:\"Stoke\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Stoke\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:2:{i:0;s:3:\"300\";i:1;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:3:\"300\";s:62:\"http://fonts.gstatic.com/s/stoke/v6/Sell9475FOS8jUqQsfFsUQ.ttf\";s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/stoke/v6/A7qJNoqOm2d6o1E6e0yUFg.ttf\";}}s:6:\"Strait\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Strait\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/strait/v4/m4W73ViNmProETY2ybc-Bg.ttf\";}}s:19:\"Sue Ellen Francisco\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:19:\"Sue Ellen Francisco\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/sueellenfrancisco/v7/TwHX4vSxMUnJUdEz1JIgrhzazJzPVbGl8jnf1tisRz4.ttf\";}}s:9:\"Sunshiney\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Sunshiney\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/sunshiney/v6/kaWOb4pGbwNijM7CkxK1sQ.ttf\";}}s:16:\"Supermercado One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Supermercado One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/supermercadoone/v6/kMGPVTNFiFEp1U274uBMb4mm5hmSKNFf3C5YoMa-lrM.ttf\";}}s:7:\"Suranna\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Suranna\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/suranna/v4/PYmfr6TQeTqZ-r8HnPM-kA.ttf\";}}s:9:\"Suravaram\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Suravaram\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2015-01-13\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/suravaram/v3/G4dPee4pel_w2HqzavW4MA.ttf\";}}s:11:\"Suwannaphum\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Suwannaphum\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/suwannaphum/v9/1jIPOyXied3T79GCnSlCN6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:18:\"Swanky and Moo Moo\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Swanky and Moo Moo\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/swankyandmoomoo/v6/orVNZ9kDeE3lWp3U3YELu9DVLKqNC3_XMNHhr8S94FU.ttf\";}}s:9:\"Syncopate\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Syncopate\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/syncopate/v6/RQVwO52fAH6MI764EcaYtw.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/syncopate/v6/S5z8ixiOoC4WJ1im6jAlYC3USBnSvpkopQaUR-2r7iU.ttf\";}}s:9:\"Tangerine\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Tangerine\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/tangerine/v6/DTPeM3IROhnkz7aYG2a9sA.ttf\";s:3:\"700\";s:87:\"http://fonts.gstatic.com/s/tangerine/v6/UkFsr-RwJB_d2l9fIWsx3i3USBnSvpkopQaUR-2r7iU.ttf\";}}s:6:\"Taprom\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Taprom\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"khmer\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/taprom/v8/-KByU3BaUsyIvQs79qFObg.ttf\";}}s:5:\"Tauri\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Tauri\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/tauri/v4/XIWeYJDXNqiVNej0zEqtGg.ttf\";}}s:4:\"Teko\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Teko\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:5:{i:0;s:3:\"300\";i:1;s:7:\"regular\";i:2;s:3:\"500\";i:3;s:3:\"600\";i:4;s:3:\"700\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":5:{s:3:\"300\";s:61:\"http://fonts.gstatic.com/s/teko/v5/OobFGE9eo24rcBpN6zXDaQ.ttf\";s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/teko/v5/UtekqODEqZXSN2L-njejpA.ttf\";s:3:\"500\";s:61:\"http://fonts.gstatic.com/s/teko/v5/FQ0duU7gWM4cSaImOfAjBA.ttf\";s:3:\"600\";s:61:\"http://fonts.gstatic.com/s/teko/v5/QDx_i8H-TZ1IK1JEVrqwEQ.ttf\";s:3:\"700\";s:61:\"http://fonts.gstatic.com/s/teko/v5/xKfTxe_SWpH4xU75vmvylA.ttf\";}}s:5:\"Telex\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Telex\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/telex/v4/24-3xP9ywYeHOcFU3iGk8A.ttf\";}}s:18:\"Tenali Ramakrishna\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"Tenali Ramakrishna\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v3\";s:12:\"lastModified\";s:10:\"2015-01-08\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:95:\"http://fonts.gstatic.com/s/tenaliramakrishna/v3/M0nTmDqv2M7AGoGh-c946BZak5pSBHqWX6uyVMiMFoA.ttf\";}}s:10:\"Tenor Sans\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Tenor Sans\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/tenorsans/v7/dUBulmjNJJInvK5vL7O9yfesZW2xOQ-xsNqO47m55DA.ttf\";}}s:11:\"Text Me One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Text Me One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/textmeone/v4/9em_3ckd_P5PQkP4aDyDLqCWcynf_cDxXwCLxiixG1c.ttf\";}}s:18:\"The Girl Next Door\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"The Girl Next Door\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/thegirlnextdoor/v7/cWRA4JVGeEcHGcPl5hmX7kzo0nFFoM60ux_D9BUymX4.ttf\";}}s:6:\"Tienne\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Tienne\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:3:\"700\";i:2;s:3:\"900\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/tienne/v8/-IIfDl701C0z7-fy2kmGvA.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/tienne/v8/JvoCDOlyOSEyYGRwCyfs3g.ttf\";s:3:\"900\";s:63:\"http://fonts.gstatic.com/s/tienne/v8/FBano5T521OWexj2iRYLMw.ttf\";}}s:7:\"Timmana\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Timmana\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:6:\"telugu\";}s:7:\"version\";s:2:\"v1\";s:12:\"lastModified\";s:10:\"2015-02-19\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/timmana/v1/T25SicsJUJkc2s2sbBsDnA.ttf\";}}s:5:\"Tinos\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Tinos\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:7:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:10:\"vietnamese\";i:4;s:9:\"latin-ext\";i:5;s:8:\"cyrillic\";i:6;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/tinos/v8/EqpUbkVmutfwZ0PjpoGwCg.ttf\";s:6:\"italic\";s:62:\"http://fonts.gstatic.com/s/tinos/v8/slfyzlasCr9vTsaP4lUh9A.ttf\";s:3:\"700\";s:62:\"http://fonts.gstatic.com/s/tinos/v8/vHXfhX8jZuQruowfon93yQ.ttf\";s:9:\"700italic\";s:83:\"http://fonts.gstatic.com/s/tinos/v8/M6kfzvDMM0CdxdraoFpG6vesZW2xOQ-xsNqO47m55DA.ttf\";}}s:9:\"Titan One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Titan One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/titanone/v4/FbvpRvzfV_oipS0De3iAZg.ttf\";}}s:13:\"Titillium Web\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:13:\"Titillium Web\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:11:{i:0;s:3:\"200\";i:1;s:9:\"200italic\";i:2;s:3:\"300\";i:3;s:9:\"300italic\";i:4;s:7:\"regular\";i:5;s:6:\"italic\";i:6;s:3:\"600\";i:7;s:9:\"600italic\";i:8;s:3:\"700\";i:9;s:9:\"700italic\";i:10;s:3:\"900\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":11:{s:3:\"200\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wprzOdCrLccoxq42eaxM802O0.ttf\";s:9:\"200italic\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPj4N98U-66ThNJvtgddRfBE.ttf\";s:3:\"300\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr9ZAkYT8DuUZELiKLwMGWAo.ttf\";s:9:\"300italic\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPrfzCkqg7ORZlRf2cc4mXu8.ttf\";s:7:\"regular\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/7XUFZ5tgS-tD6QamInJTcTyagQBwYgYywpS70xNq8SQ.ttf\";s:6:\"italic\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/r9OmwyQxrgzUAhaLET_KO-ixohbIP6lHkU-1Mgq95cY.ttf\";s:3:\"600\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr28K9dEd5Ue-HTQrlA7E2xQ.ttf\";s:9:\"600italic\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPgOhzTSndyK8UWja2yJjKLc.ttf\";s:3:\"700\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr2-6tpSbB9YhmWtmd1_gi_U.ttf\";s:9:\"700italic\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPio3LEw-4MM8Ao2j9wPOfpw.ttf\";s:3:\"900\";s:90:\"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr7L0GmZLri-m-nfoo0Vul4Y.ttf\";}}s:11:\"Trade Winds\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Trade Winds\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/tradewinds/v5/sDOCVgAxw6PEUi2xdMsoDaCWcynf_cDxXwCLxiixG1c.ttf\";}}s:7:\"Trocchi\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Trocchi\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/trocchi/v4/uldNPaKrUGVeGCVsmacLwA.ttf\";}}s:7:\"Trochut\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Trochut\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:3:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":3:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/trochut/v4/6Y65B0x-2JsnYt16OH5omw.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/trochut/v4/pczUwr4ZFvC79TgNO5cZng.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/trochut/v4/lWqNOv6ISR8ehNzGLFLnJ_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:7:\"Trykker\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Trykker\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/trykker/v5/YiVrVJpBFN7I1l_CWk6yYQ.ttf\";}}s:10:\"Tulpen One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Tulpen One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/tulpenone/v6/lwcTfVIEVxpZLZlWzR5baPesZW2xOQ-xsNqO47m55DA.ttf\";}}s:6:\"Ubuntu\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Ubuntu\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:8:{i:0;s:3:\"300\";i:1;s:9:\"300italic\";i:2;s:7:\"regular\";i:3;s:6:\"italic\";i:4;s:3:\"500\";i:5;s:9:\"500italic\";i:6;s:3:\"700\";i:7;s:9:\"700italic\";}s:7:\"subsets\";a:6:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:9:\"latin-ext\";i:4;s:8:\"cyrillic\";i:5;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":8:{s:3:\"300\";s:63:\"http://fonts.gstatic.com/s/ubuntu/v7/7-wH0j2QCTHKgp7vLh9-sQ.ttf\";s:9:\"300italic\";s:84:\"http://fonts.gstatic.com/s/ubuntu/v7/j-TYDdXcC_eQzhhp386SjaCWcynf_cDxXwCLxiixG1c.ttf\";s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/ubuntu/v7/lhhB5ZCwEkBRbHMSnYuKyA.ttf\";s:6:\"italic\";s:63:\"http://fonts.gstatic.com/s/ubuntu/v7/b9hP8wd30SygxZjGGk4DCQ.ttf\";s:3:\"500\";s:63:\"http://fonts.gstatic.com/s/ubuntu/v7/bMbHEMwSUmkzcK2x_74QbA.ttf\";s:9:\"500italic\";s:84:\"http://fonts.gstatic.com/s/ubuntu/v7/NWdMogIO7U6AtEM4dDdf_aCWcynf_cDxXwCLxiixG1c.ttf\";s:3:\"700\";s:63:\"http://fonts.gstatic.com/s/ubuntu/v7/B7BtHjNYwAp3HgLNagENOQ.ttf\";s:9:\"700italic\";s:84:\"http://fonts.gstatic.com/s/ubuntu/v7/pqisLQoeO9YTDCNnlQ9bf6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:16:\"Ubuntu Condensed\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:16:\"Ubuntu Condensed\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:6:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:9:\"latin-ext\";i:4;s:8:\"cyrillic\";i:5;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:93:\"http://fonts.gstatic.com/s/ubuntucondensed/v6/DBCt-NXN57MTAFjitYxdrKDbm6fPDOZJsR8PmdG62gY.ttf\";}}s:11:\"Ubuntu Mono\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Ubuntu Mono\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:6:{i:0;s:5:\"latin\";i:1;s:5:\"greek\";i:2;s:9:\"greek-ext\";i:3;s:9:\"latin-ext\";i:4;s:8:\"cyrillic\";i:5;s:12:\"cyrillic-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/ubuntumono/v6/EgeuS9OtEmA0y_JRo03MQaCWcynf_cDxXwCLxiixG1c.ttf\";s:6:\"italic\";s:88:\"http://fonts.gstatic.com/s/ubuntumono/v6/KAKuHXAHZOeECOWAHsRKA0eOrDcLawS7-ssYqLr2Xp4.ttf\";s:3:\"700\";s:88:\"http://fonts.gstatic.com/s/ubuntumono/v6/ceqTZGKHipo8pJj4molytne1Pd76Vl7zRpE7NLJQ7XU.ttf\";s:9:\"700italic\";s:88:\"http://fonts.gstatic.com/s/ubuntumono/v6/n_d8tv_JOIiYyMXR4eaV9c_zJjSACmk0BRPxQqhnNLU.ttf\";}}s:5:\"Ultra\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Ultra\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/ultra/v8/OW8uXkOstRADuhEmGOFQLA.ttf\";}}s:14:\"Uncial Antiqua\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"Uncial Antiqua\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:91:\"http://fonts.gstatic.com/s/uncialantiqua/v4/F-leefDiFwQXsyd6eaSllqrFJ4O13IHVxZbM6yoslpo.ttf\";}}s:8:\"Underdog\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Underdog\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/underdog/v5/gBv9yjez_-5PnTprHWq0ig.ttf\";}}s:9:\"Unica One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Unica One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/unicaone/v4/KbYKlhWMDpatWViqDkNQgA.ttf\";}}s:14:\"UnifrakturCook\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:14:\"UnifrakturCook\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:3:\"700\";s:92:\"http://fonts.gstatic.com/s/unifrakturcook/v8/ASwh69ykD8iaoYijVEU6RrWZkcsCTHKV51zmcUsafQ0.ttf\";}}s:18:\"UnifrakturMaguntia\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:18:\"UnifrakturMaguntia\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:96:\"http://fonts.gstatic.com/s/unifrakturmaguntia/v7/7KWy3ymCVR_xfAvvcIXm3-kdNg30GQauG_DE-tMYtWk.ttf\";}}s:7:\"Unkempt\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Unkempt\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:2:{i:0;s:7:\"regular\";i:1;s:3:\"700\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":2:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/unkempt/v7/NLLBeNSspr0RGs71R5LHWA.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/unkempt/v7/V7H-GCl9bgwGwqFqTTgDHvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:6:\"Unlock\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Unlock\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/unlock/v6/rXEQzK7uIAlhoyoAEiMy1w.ttf\";}}s:4:\"Unna\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Unna\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/unna/v8/UAS0AM7AmbdCNY_80xyAZQ.ttf\";}}s:5:\"VT323\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"VT323\";s:8:\"category\";s:9:\"monospace\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/vt323/v7/ITU2YQfM073o1iYK3nSOmQ.ttf\";}}s:11:\"Vampiro One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Vampiro One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/vampiroone/v6/OVDs4gY4WpS5u3Qd1gXRW6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:6:\"Varela\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Varela\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/varela/v7/ON7qs0cKUUixhhDFXlZUjw.ttf\";}}s:12:\"Varela Round\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Varela Round\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/varelaround/v6/APH4jr0uSos5wiut5cpjri3USBnSvpkopQaUR-2r7iU.ttf\";}}s:11:\"Vast Shadow\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:11:\"Vast Shadow\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/vastshadow/v6/io4hqKX3ibiqQQjYfW0-h6CWcynf_cDxXwCLxiixG1c.ttf\";}}s:12:\"Vesper Libre\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:12:\"Vesper Libre\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:3:\"500\";i:2;s:3:\"700\";i:3;s:3:\"900\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:10:\"devanagari\";i:2;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:89:\"http://fonts.gstatic.com/s/vesperlibre/v5/Cg-TeZFsqV8BaOcoVwzu2C3USBnSvpkopQaUR-2r7iU.ttf\";s:3:\"500\";s:89:\"http://fonts.gstatic.com/s/vesperlibre/v5/0liLgNkygqH6EOtsVjZDsZMQuUSAwdHsY8ov_6tk1oA.ttf\";s:3:\"700\";s:89:\"http://fonts.gstatic.com/s/vesperlibre/v5/0liLgNkygqH6EOtsVjZDsUD2ttfZwueP-QU272T9-k4.ttf\";s:3:\"900\";s:89:\"http://fonts.gstatic.com/s/vesperlibre/v5/0liLgNkygqH6EOtsVjZDsaObDOjC3UL77puoeHsE3fw.ttf\";}}s:5:\"Vibur\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Vibur\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/vibur/v7/xB9aKsUbJo68XP0bAg2iLw.ttf\";}}s:8:\"Vidaloka\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Vidaloka\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/vidaloka/v8/C6Nul0ogKUWkx356rrt9RA.ttf\";}}s:4:\"Viga\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:4:\"Viga\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:61:\"http://fonts.gstatic.com/s/viga/v5/uD87gDbhS7frHLX4uL6agg.ttf\";}}s:5:\"Voces\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:5:\"Voces\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:62:\"http://fonts.gstatic.com/s/voces/v4/QoBH6g6yKgNIgvL8A2aE2Q.ttf\";}}s:7:\"Volkhov\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:7:\"Volkhov\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v8\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/volkhov/v8/MDIZAofe1T_J3un5Kgo8zg.ttf\";s:6:\"italic\";s:64:\"http://fonts.gstatic.com/s/volkhov/v8/1rTjmztKEpbkKH06JwF8Yw.ttf\";s:3:\"700\";s:85:\"http://fonts.gstatic.com/s/volkhov/v8/L8PbKS-kEoLHm7nP--NCzPesZW2xOQ-xsNqO47m55DA.ttf\";s:9:\"700italic\";s:85:\"http://fonts.gstatic.com/s/volkhov/v8/W6oG0QDDjCgj0gmsHE520C3USBnSvpkopQaUR-2r7iU.ttf\";}}s:8:\"Vollkorn\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Vollkorn\";s:8:\"category\";s:5:\"serif\";s:8:\"variants\";a:4:{i:0;s:7:\"regular\";i:1;s:6:\"italic\";i:2;s:3:\"700\";i:3;s:9:\"700italic\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/vollkorn/v6/IiexqYAeh8uII223thYx3w.ttf\";s:6:\"italic\";s:86:\"http://fonts.gstatic.com/s/vollkorn/v6/UuIzosgR1ovBhJFdwVp3fvesZW2xOQ-xsNqO47m55DA.ttf\";s:3:\"700\";s:86:\"http://fonts.gstatic.com/s/vollkorn/v6/gOwQjJVGXlDOONC12hVoBqCWcynf_cDxXwCLxiixG1c.ttf\";s:9:\"700italic\";s:86:\"http://fonts.gstatic.com/s/vollkorn/v6/KNiAlx6phRqXCwnZZG51JAJKKGfqHaYFsRG-T3ceEVo.ttf\";}}s:8:\"Voltaire\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Voltaire\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/voltaire/v6/WvqBzaGEBbRV-hrahwO2cA.ttf\";}}s:23:\"Waiting for the Sunrise\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:23:\"Waiting for the Sunrise\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:98:\"http://fonts.gstatic.com/s/waitingforthesunrise/v7/eNfH7kLpF1PZWpsetF-ha9TChrNgrDiT3Zy6yGf3FnM.ttf\";}}s:8:\"Wallpoet\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Wallpoet\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/wallpoet/v7/hmum4WuBN4A0Z_7367NDIg.ttf\";}}s:15:\"Walter Turncoat\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:15:\"Walter Turncoat\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:92:\"http://fonts.gstatic.com/s/walterturncoat/v6/sG9su5g4GXy1KP73cU3hvQplL2YwNeota48DxFlGDUo.ttf\";}}s:6:\"Warnes\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Warnes\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/warnes/v6/MXG7_Phj4YpzAXxKGItuBw.ttf\";}}s:9:\"Wellfleet\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Wellfleet\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:66:\"http://fonts.gstatic.com/s/wellfleet/v4/J5tOx72iFRPgHYpbK9J4XQ.ttf\";}}s:9:\"Wendy One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:9:\"Wendy One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v4\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:65:\"http://fonts.gstatic.com/s/wendyone/v4/R8CJT2oDXdMk_ZtuHTxoxw.ttf\";}}s:8:\"Wire One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:8:\"Wire One\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:64:\"http://fonts.gstatic.com/s/wireone/v6/sRLhaQOQpWnvXwIx0CycQw.ttf\";}}s:17:\"Yanone Kaffeesatz\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:17:\"Yanone Kaffeesatz\";s:8:\"category\";s:10:\"sans-serif\";s:8:\"variants\";a:4:{i:0;s:3:\"200\";i:1;s:3:\"300\";i:2;s:7:\"regular\";i:3;s:3:\"700\";}s:7:\"subsets\";a:2:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";}s:7:\"version\";s:2:\"v7\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":4:{s:3:\"200\";s:94:\"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/We_iSDqttE3etzfdfhuPRbq92v6XxU4pSv06GI0NsGc.ttf\";s:3:\"300\";s:94:\"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/We_iSDqttE3etzfdfhuPRZlIwXPiNoNT_wxzJ2t3mTE.ttf\";s:7:\"regular\";s:94:\"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/YDAoLskQQ5MOAgvHUQCcLdXn3cHbFGWU4T2HrSN6JF4.ttf\";s:3:\"700\";s:94:\"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/We_iSDqttE3etzfdfhuPRf2R4S6PlKaGXWPfWpHpcl0.ttf\";}}s:10:\"Yellowtail\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Yellowtail\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/yellowtail/v6/HLrU6lhCTjXfLZ7X60LcB_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Yeseva One\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Yeseva One\";s:8:\"category\";s:7:\"display\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:3:{i:0;s:5:\"latin\";i:1;s:9:\"latin-ext\";i:2;s:8:\"cyrillic\";}s:7:\"version\";s:2:\"v9\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:87:\"http://fonts.gstatic.com/s/yesevaone/v9/eenQQxvpzSA80JmisGcgX_esZW2xOQ-xsNqO47m55DA.ttf\";}}s:10:\"Yesteryear\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:10:\"Yesteryear\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v5\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:88:\"http://fonts.gstatic.com/s/yesteryear/v5/dv09hP_ZrdjVOfZQXKXuZvesZW2xOQ-xsNqO47m55DA.ttf\";}}s:6:\"Zeyada\";O:8:\"stdClass\":8:{s:4:\"kind\";s:16:\"webfonts#webfont\";s:6:\"family\";s:6:\"Zeyada\";s:8:\"category\";s:11:\"handwriting\";s:8:\"variants\";a:1:{i:0;s:7:\"regular\";}s:7:\"subsets\";a:1:{i:0;s:5:\"latin\";}s:7:\"version\";s:2:\"v6\";s:12:\"lastModified\";s:10:\"2014-08-28\";s:5:\"files\";O:8:\"stdClass\":1:{s:7:\"regular\";s:63:\"http://fonts.gstatic.com/s/zeyada/v6/hmonmGYYFwqTZQfG2nRswQ.ttf\";}}}');
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `vef_video_styles`
--

DROP TABLE IF EXISTS `vef_video_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vef_video_styles` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the style.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores video embed styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vef_video_styles`
--

LOCK TABLES `vef_video_styles` WRITE;
/*!40000 ALTER TABLE `vef_video_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `vef_video_styles` VALUES ('normal','Normal','a:2:{s:7:\"youtube\";a:12:{s:5:\"width\";i:640;s:6:\"height\";i:360;s:8:\"autoplay\";i:0;s:2:\"vq\";s:5:\"large\";s:3:\"rel\";i:0;s:8:\"controls\";i:1;s:8:\"autohide\";i:2;s:8:\"showinfo\";i:1;s:14:\"modestbranding\";i:0;s:5:\"theme\";s:4:\"dark\";s:14:\"iv_load_policy\";i:1;s:5:\"class\";s:0:\"\";}s:5:\"vimeo\";a:10:{s:5:\"width\";i:640;s:6:\"height\";i:360;s:5:\"color\";s:6:\"00adef\";s:8:\"portrait\";i:1;s:5:\"title\";i:1;s:6:\"byline\";i:1;s:8:\"autoplay\";i:0;s:4:\"loop\";i:0;s:10:\"froogaloop\";i:0;s:5:\"class\";s:0:\"\";}}'),('teaser','Teaser','a:2:{s:7:\"youtube\";a:12:{s:5:\"width\";i:480;s:6:\"height\";i:270;s:8:\"autoplay\";i:0;s:2:\"vq\";s:5:\"large\";s:3:\"rel\";i:0;s:8:\"controls\";i:1;s:8:\"autohide\";i:2;s:8:\"showinfo\";i:1;s:14:\"modestbranding\";i:0;s:5:\"theme\";s:4:\"dark\";s:14:\"iv_load_policy\";i:1;s:5:\"class\";s:0:\"\";}s:5:\"vimeo\";a:10:{s:5:\"width\";i:480;s:6:\"height\";i:270;s:5:\"color\";s:6:\"00adef\";s:8:\"portrait\";i:1;s:5:\"title\";i:1;s:6:\"byline\";i:1;s:8:\"autoplay\";i:0;s:4:\"loop\";i:0;s:10:\"froogaloop\";i:0;s:5:\"class\";s:0:\"\";}}');
/*!40000 ALTER TABLE `vef_video_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_display`
--

DROP TABLE IF EXISTS `views_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_display`
--

LOCK TABLES `views_display` WRITE;
/*!40000 ALTER TABLE `views_display` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_display` VALUES (2,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:5:\"title\";s:28:\"isotope_example_filter_block\";s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:20:\"isotope_filter_block\";s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:2:{s:10:\"hide_empty\";i:0;s:22:\"default_field_elements\";i:0;}s:6:\"fields\";a:1:{s:4:\"name\";a:12:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:12:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:15:\"trim_whitespace\";i:0;s:5:\"nl2br\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:4:\"html\";i:0;}s:19:\"element_label_colon\";b:0;s:23:\"element_default_classes\";i:0;s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:0;s:14:\"convert_spaces\";i:0;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:13:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:14:\"property_types\";s:14:\"property_types\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}}'),(2,'isotope_options','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(3,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:5:\"title\";s:15:\"isotope_example\";s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"isotope\";s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:2:{s:10:\"hide_empty\";i:0;s:22:\"default_field_elements\";i:1;}s:6:\"header\";a:1:{s:4:\"view\";a:6:{s:2:\"id\";s:4:\"view\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"view\";s:5:\"empty\";b:0;s:14:\"view_to_insert\";s:36:\"isotope_example_filter_block:default\";s:17:\"inherit_arguments\";i:0;}}s:6:\"fields\";a:2:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"field_tags\";a:18:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:21:\"field_data_field_tags\";s:5:\"field\";s:10:\"field_tags\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:12:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:15:\"trim_whitespace\";i:0;s:5:\"nl2br\";i:0;s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:4:\"html\";i:0;}s:12:\"element_type\";s:3:\"div\";s:13:\"element_class\";s:14:\"isotope-filter\";s:19:\"element_label_colon\";b:0;s:23:\"element_default_classes\";i:0;s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:10:\"group_rows\";i:1;s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:17:\"field_api_classes\";i:0;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";i:1;s:5:\"group\";i:1;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}}'),(3,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:15:\"isotope-example\";}'),(4,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(4,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:20:\"isotope_filter_block\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:4:\"name\";a:23:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:16:\"link_to_taxonomy\";i:0;s:14:\"convert_spaces\";i:0;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:14:\"property_types\";s:14:\"property_types\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:21:\"Property Types Filter\";s:13:\"style_options\";a:3:{s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:0;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"css_class\";s:9:\"animation\";}'),(5,'default','Master','default',1,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:7:\"isotope\";s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:3:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:6:\"header\";a:2:{s:4:\"area\";a:11:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:19:\"<h2>Properties</h2>\";s:6:\"format\";s:9:\"full_html\";s:8:\"tokenize\";i:0;}s:4:\"view\";a:10:{s:2:\"id\";s:4:\"view\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"view\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:14:\"view_to_insert\";s:29:\"property_types_filter:default\";s:17:\"inherit_arguments\";i:0;}}s:13:\"style_options\";a:3:{s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:6:\"fields\";a:14:{s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-image-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-price-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_address\";i:1;s:19:\"field_business_type\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:22:\"property-address-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:28:\"[field_address-thoroughfare]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_lot_area\";i:1;s:14:\"field_bedrooms\";i:2;s:15:\"field_bathrooms\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"property-info-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_property_type\";a:34:{s:2:\"id\";s:19:\"field_property_type\";s:5:\"table\";s:30:\"field_data_field_property_type\";s:5:\"field\";s:19:\"field_property_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:14:\"isotope-filter\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:5:\"title\";s:0:\"\";s:9:\"css_class\";s:30:\"properties-grid-page animation\";}'),(5,'feed','Feed','feed',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:5:\"title\";b:0;}s:5:\"title\";s:15:\"Front page feed\";s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"some\";}s:12:\"style_plugin\";s:3:\"rss\";s:10:\"row_plugin\";s:8:\"node_rss\";s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:4:\"page\";s:4:\"page\";}s:14:\"sitename_title\";s:1:\"1\";}'),(5,'page','Page','page',2,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:9:\"frontpage\";s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:7:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:1;s:9:\"arguments\";b:0;s:6:\"header\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"arguments\";a:1:{s:19:\"term_node_tid_depth\";a:24:{s:2:\"id\";s:19:\"term_node_tid_depth\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:19:\"term_node_tid_depth\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:6:\"ignore\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:5:\"depth\";s:1:\"1\";s:12:\"break_phrase\";i:0;s:14:\"set_breadcrumb\";i:0;s:22:\"use_taxonomy_term_path\";i:0;}}s:6:\"header\";a:0:{}}'),(5,'page_1','Page','page',4,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:9:\"homepage3\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:10:\"Homepage 3\";s:11:\"description\";s:10:\"Homepage 3\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:6:\"fields\";a:14:{s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-image-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-price-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_address\";i:1;s:19:\"field_business_type\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:22:\"property-address-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:29:\"[field_address-thoroughfare]\n\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_lot_area\";i:1;s:14:\"field_bedrooms\";i:2;s:15:\"field_bathrooms\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"property-info-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_property_type\";a:34:{s:2:\"id\";s:19:\"field_property_type\";s:5:\"table\";s:30:\"field_data_field_property_type\";s:5:\"field\";s:19:\"field_property_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:14:\"isotope-filter\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:3:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:7:\"filters\";a:3:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(5,'page_2','Homepage2','page',5,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:10:\"frontpage2\";s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:9:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:1;s:9:\"arguments\";b:0;s:6:\"header\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:9:\"arguments\";a:1:{s:19:\"term_node_tid_depth\";a:24:{s:2:\"id\";s:19:\"term_node_tid_depth\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:19:\"term_node_tid_depth\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:6:\"ignore\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:5:\"depth\";s:1:\"1\";s:12:\"break_phrase\";i:0;s:14:\"set_breadcrumb\";i:0;s:22:\"use_taxonomy_term_path\";i:0;}}s:6:\"header\";a:0:{}s:19:\"display_description\";s:0:\"\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"8\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;}'),(6,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(6,'block_1','Block','block',3,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:10:\"flexslider\";s:8:\"defaults\";a:5:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"title\";b:0;}s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"optionset\";s:7:\"default\";s:12:\"captionfield\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"title\";s:20:\"Slideshow Flexslider\";}'),(6,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:9:\"slideshow\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:10:{s:15:\"field_slideshow\";a:34:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:10:\"fieldset_2\";i:1;s:10:\"fieldset_3\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:14:\"fieldset-inner\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:16:\"fieldset-content\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:15:\"fieldset-action\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\",\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:11:\"More Detail\";}s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}}s:19:\"field_slideshow_fid\";a:13:{s:2:\"id\";s:19:\"field_slideshow_fid\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:19:\"field_slideshow_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:9:\"Slideshow\";s:13:\"style_options\";a:8:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:14:\"slideshow_skin\";s:7:\"default\";s:14:\"slideshow_type\";s:21:\"views_slideshow_cycle\";s:21:\"views_slideshow_cycle\";a:24:{s:6:\"effect\";s:4:\"fade\";s:19:\"transition_advanced\";i:0;s:7:\"timeout\";s:4:\"5000\";s:5:\"speed\";s:3:\"700\";s:5:\"delay\";s:1:\"0\";s:4:\"sync\";i:1;s:6:\"random\";i:0;s:5:\"pause\";i:1;s:14:\"pause_on_click\";i:0;s:15:\"action_advanced\";i:0;s:12:\"start_paused\";i:0;s:14:\"remember_slide\";i:0;s:19:\"remember_slide_days\";s:1:\"1\";s:15:\"pause_in_middle\";i:0;s:17:\"pause_when_hidden\";i:0;s:22:\"pause_when_hidden_type\";s:4:\"full\";s:22:\"amount_allowed_visible\";s:0:\"\";s:6:\"nowrap\";i:0;s:12:\"fixed_height\";i:1;s:15:\"items_per_slide\";s:1:\"1\";s:19:\"wait_for_image_load\";i:1;s:27:\"wait_for_image_load_timeout\";s:4:\"3000\";s:9:\"cleartype\";i:0;s:13:\"cleartypenobg\";i:0;}s:7:\"widgets\";a:2:{s:3:\"top\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:10:{s:15:\"field_slideshow\";i:0;s:8:\"fieldset\";i:0;s:10:\"fieldset_1\";i:0;s:10:\"fieldset_2\";i:0;s:5:\"title\";i:0;s:4:\"body\";i:0;s:10:\"fieldset_3\";i:0;s:11:\"field_price\";i:0;s:9:\"view_node\";i:0;s:3:\"nid\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}s:6:\"bottom\";a:3:{s:21:\"views_slideshow_pager\";a:6:{s:6:\"enable\";i:1;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:10:{s:3:\"nid\";s:3:\"nid\";s:15:\"field_slideshow\";i:0;s:8:\"fieldset\";i:0;s:10:\"fieldset_1\";i:0;s:10:\"fieldset_2\";i:0;s:5:\"title\";i:0;s:4:\"body\";i:0;s:10:\"fieldset_3\";i:0;s:11:\"field_price\";i:0;s:9:\"view_node\";i:0;}s:34:\"views_slideshow_pager_fields_hover\";i:0;}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}}s:9:\"skin_info\";a:5:{s:4:\"name\";s:7:\"Default\";s:5:\"class\";s:7:\"default\";s:6:\"module\";s:15:\"views_slideshow\";s:4:\"path\";s:0:\"\";s:11:\"stylesheets\";a:0:{}}}}'),(7,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:15:\"views_accordion\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:3:\"faq\";s:3:\"faq\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:3:\"FAQ\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"style_options\";a:14:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:19:\"use-grouping-header\";i:0;s:14:\"row-start-open\";s:1:\"0\";s:11:\"collapsible\";i:1;s:8:\"animated\";s:5:\"slide\";s:10:\"autoheight\";i:1;s:5:\"event\";s:5:\"click\";s:9:\"fillspace\";i:0;s:10:\"navigation\";i:0;s:10:\"clearstyle\";i:0;s:12:\"disableifone\";i:0;}s:9:\"css_class\";s:9:\"animation\";}'),(7,'page','Page','page',2,'a:8:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:3:\"faq\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:3:\"FAQ\";s:11:\"description\";s:3:\"FAQ\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:12:\"style_plugin\";s:38:\"views_bootstrap_accordion_plugin_style\";s:8:\"defaults\";a:4:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;}s:13:\"style_options\";a:1:{s:11:\"title_field\";s:5:\"title\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}}'),(8,'block','Block','block',3,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:7:{s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:1;}s:9:\"css_class\";s:14:\"agent-type aaa\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"2\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:1:{s:7:\"columns\";s:1:\"2\";}s:10:\"row_plugin\";s:6:\"fields\";}'),(8,'block_1','Block','block',4,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:10:\"flexslider\";s:8:\"defaults\";a:5:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;}s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"optionset\";s:7:\"default\";s:12:\"captionfield\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:9:{s:9:\"view_user\";a:22:{s:2:\"id\";s:9:\"view_user\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:9:\"view_user\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:0:\"\";}s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:19:\"thumb_square_grid_3\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:6:{i:0;s:12:\"field_office\";i:1;s:15:\"field_full_name\";i:2;s:11:\"field_phone\";i:3;s:9:\"field_fax\";i:4;s:12:\"field_mobile\";i:5;s:11:\"field_email\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"agent-detail\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:12:\"field_office\";a:34:{s:2:\"id\";s:12:\"field_office\";s:5:\"table\";s:23:\"field_data_field_office\";s:5:\"field\";s:12:\"field_office\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:11:\"[view_user]\";s:8:\"absolute\";i:1;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:10:\"text_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_phone\";a:3:{s:2:\"id\";s:11:\"field_phone\";s:5:\"table\";s:22:\"field_data_field_phone\";s:5:\"field\";s:11:\"field_phone\";}s:9:\"field_fax\";a:34:{s:2:\"id\";s:9:\"field_fax\";s:5:\"table\";s:20:\"field_data_field_fax\";s:5:\"field\";s:9:\"field_fax\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"Fax\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_mobile\";a:34:{s:2:\"id\";s:12:\"field_mobile\";s:5:\"table\";s:23:\"field_data_field_mobile\";s:5:\"field\";s:12:\"field_mobile\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"Mobile\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_email\";a:3:{s:2:\"id\";s:11:\"field_email\";s:5:\"table\";s:22:\"field_data_field_email\";s:5:\"field\";s:11:\"field_email\";}}}'),(8,'block_2','Block 2','block',5,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"title\";s:15:\"Featured Agents\";s:8:\"defaults\";a:8:{s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"fields\";b:0;}s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"2\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"2\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:6:\"fields\";a:8:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:19:\"thumb_square_grid_3\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:6:{i:0;s:12:\"field_office\";i:1;s:15:\"field_full_name\";i:2;s:11:\"field_phone\";i:3;s:9:\"field_fax\";i:4;s:12:\"field_mobile\";i:5;s:11:\"field_email\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"agent-detail\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:12:\"field_office\";a:34:{s:2:\"id\";s:12:\"field_office\";s:5:\"table\";s:23:\"field_data_field_office\";s:5:\"field\";s:12:\"field_office\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:11:\"[view_user]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:10:\"text_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_phone\";a:3:{s:2:\"id\";s:11:\"field_phone\";s:5:\"table\";s:22:\"field_data_field_phone\";s:5:\"field\";s:11:\"field_phone\";}s:9:\"field_fax\";a:34:{s:2:\"id\";s:9:\"field_fax\";s:5:\"table\";s:20:\"field_data_field_fax\";s:5:\"field\";s:9:\"field_fax\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"Fax\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_mobile\";a:34:{s:2:\"id\";s:12:\"field_mobile\";s:5:\"table\";s:23:\"field_data_field_mobile\";s:5:\"field\";s:12:\"field_mobile\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"Mobile\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_email\";a:3:{s:2:\"id\";s:11:\"field_email\";s:5:\"table\";s:22:\"field_data_field_email\";s:5:\"field\";s:11:\"field_email\";}}}'),(8,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"title\";s:10:\"Our Agents\";s:15:\"use_more_always\";b:0;s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:8:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:6:\"avatar\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:6:{i:0;s:12:\"field_office\";i:1;s:15:\"field_full_name\";i:2;s:11:\"field_phone\";i:3;s:9:\"field_fax\";i:4;s:12:\"field_mobile\";i:5;s:11:\"field_email\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"agent-detail\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:12:\"field_office\";a:34:{s:2:\"id\";s:12:\"field_office\";s:5:\"table\";s:23:\"field_data_field_office\";s:5:\"field\";s:12:\"field_office\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:11:\"[view_user]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:10:\"text_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_phone\";a:3:{s:2:\"id\";s:11:\"field_phone\";s:5:\"table\";s:22:\"field_data_field_phone\";s:5:\"field\";s:11:\"field_phone\";}s:9:\"field_fax\";a:34:{s:2:\"id\";s:9:\"field_fax\";s:5:\"table\";s:20:\"field_data_field_fax\";s:5:\"field\";s:9:\"field_fax\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"Fax\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_mobile\";a:34:{s:2:\"id\";s:12:\"field_mobile\";s:5:\"table\";s:23:\"field_data_field_mobile\";s:5:\"field\";s:12:\"field_mobile\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"Mobile\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_email\";a:3:{s:2:\"id\";s:11:\"field_email\";s:5:\"table\";s:22:\"field_data_field_email\";s:5:\"field\";s:11:\"field_email\";}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:3:\"rid\";a:4:{s:2:\"id\";s:3:\"rid\";s:5:\"table\";s:11:\"users_roles\";s:5:\"field\";s:3:\"rid\";s:5:\"value\";a:1:{i:4;s:1:\"4\";}}}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:9:\"css_class\";s:20:\"agent-type animation\";}'),(8,'page','Page','page',2,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:6:\"agents\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:6:\"Agents\";s:11:\"description\";s:6:\"Agents\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:6:\"fields\";a:8:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:19:\"thumb_square_grid_3\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:6:{i:0;s:12:\"field_office\";i:1;s:15:\"field_full_name\";i:2;s:11:\"field_phone\";i:3;s:9:\"field_fax\";i:4;s:12:\"field_mobile\";i:5;s:11:\"field_email\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"agent-detail\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:12:\"field_office\";a:34:{s:2:\"id\";s:12:\"field_office\";s:5:\"table\";s:23:\"field_data_field_office\";s:5:\"field\";s:12:\"field_office\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:11:\"[view_user]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:10:\"text_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_phone\";a:3:{s:2:\"id\";s:11:\"field_phone\";s:5:\"table\";s:22:\"field_data_field_phone\";s:5:\"field\";s:11:\"field_phone\";}s:9:\"field_fax\";a:34:{s:2:\"id\";s:9:\"field_fax\";s:5:\"table\";s:20:\"field_data_field_fax\";s:5:\"field\";s:9:\"field_fax\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:3:\"Fax\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:12:\"field_mobile\";a:34:{s:2:\"id\";s:12:\"field_mobile\";s:5:\"table\";s:23:\"field_data_field_mobile\";s:5:\"field\";s:12:\"field_mobile\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"Mobile\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_email\";a:3:{s:2:\"id\";s:11:\"field_email\";s:5:\"table\";s:22:\"field_data_field_email\";s:5:\"field\";s:11:\"field_email\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(9,'block','Block','block',3,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:7:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"2\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:19:\"blog-type animation\";}'),(9,'block_1','Block','block',5,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:10:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"title\";b:0;s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:9:\"css_class\";b:0;s:5:\"sorts\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"title\";s:13:\"Popular Blogs\";s:6:\"fields\";a:3:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:23:\"small_thumbnail__65x65_\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"80\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"totalcount\";a:30:{s:2:\"id\";s:10:\"totalcount\";s:5:\"table\";s:12:\"node_counter\";s:5:\"field\";s:10:\"totalcount\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:22:\"format_plural_singular\";s:1:\"1\";s:20:\"format_plural_plural\";s:6:\"@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:6:\" views\";}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:9:\"css_class\";s:19:\"blog-type animation\";s:5:\"sorts\";a:2:{s:10:\"totalcount\";a:9:{s:2:\"id\";s:10:\"totalcount\";s:5:\"table\";s:12:\"node_counter\";s:5:\"field\";s:10:\"totalcount\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}}'),(9,'block_2','Block 2','block',7,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"title\";s:19:\"You might also like\";s:8:\"defaults\";a:9:{s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:5:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:11:\"field_image\";i:1;s:13:\"field_gallery\";i:2;s:11:\"field_video\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:16:\"blog-media-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:1;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:27:\"video_embed_field_thumbnail\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"3\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:9:\"css_class\";s:19:\"blog-type animation\";}'),(9,'block_3','Homepage 2 Block','block',8,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"title\";s:4:\"News\";s:8:\"defaults\";a:9:{s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:7:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:11:\"field_image\";i:1;s:13:\"field_gallery\";i:2;s:11:\"field_video\";i:3;s:7:\"created\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:16:\"blog-media-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:1;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:27:\"video_embed_field_thumbnail\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:12:\"created-date\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"d M Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"1\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:9:\"css_class\";s:29:\"blog-type news-item animation\";s:19:\"display_description\";s:0:\"\";}'),(9,'default','Master','default',1,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:12:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_gallery\";i:1;s:11:\"field_video\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:16:\"blog-media-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:24:\"galleryformatter_default\";s:8:\"settings\";a:7:{s:11:\"slide_style\";s:12:\"thumb_grid_6\";s:11:\"thumb_style\";s:22:\"galleryformatter_thumb\";s:5:\"style\";s:11:\"Greenarrows\";s:12:\"link_to_full\";i:1;s:18:\"link_to_full_style\";s:1:\"0\";s:5:\"modal\";s:4:\"none\";s:14:\"linking_method\";s:14:\"show_full_link\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:1;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:17:\"video_embed_field\";s:8:\"settings\";a:1:{s:11:\"video_style\";s:6:\"normal\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:6:{i:0;s:11:\"field_image\";i:1;s:7:\"created\";i:2;s:15:\"field_full_name\";i:3;s:4:\"type\";i:4;s:13:\"comment_count\";i:5;s:9:\"view_user\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"block-content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_6\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"d M Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"By\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:11:\"[view_user]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"type\";a:23:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;s:12:\"machine_name\";i:0;}s:13:\"comment_count\";a:30:{s:2:\"id\";s:13:\"comment_count\";s:5:\"table\";s:23:\"node_comment_statistics\";s:5:\"field\";s:13:\"comment_count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:1;s:22:\"format_plural_singular\";s:9:\"1 comment\";s:20:\"format_plural_plural\";s:15:\"@count comments\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:9:\"view_user\";a:22:{s:2:\"id\";s:9:\"view_user\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:9:\"view_user\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"600\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"Blog\";s:11:\"row_options\";a:4:{s:12:\"relationship\";s:4:\"none\";s:9:\"view_mode\";s:6:\"teaser\";s:5:\"links\";i:1;s:8:\"comments\";i:0;}s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"author\";s:8:\"required\";i:0;}}s:9:\"css_class\";s:26:\"view-page-teaser animation\";}'),(9,'page','Page','page',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:11:\"blog-teaser\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:16:\"Blog View Teaser\";s:11:\"description\";s:16:\"Blog View Teaser\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:8:\"defaults\";a:1:{s:9:\"css_class\";b:1;}}'),(9,'page_1','Page','page',4,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:16:\"blog-fields-demo\";s:4:\"menu\";a:7:{s:4:\"type\";s:4:\"none\";s:5:\"title\";s:17:\"Blogs Fields Demo\";s:11:\"description\";s:17:\"Blogs Fields Demo\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:13:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:11:\"field_image\";i:1;s:13:\"field_gallery\";i:2;s:11:\"field_video\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:16:\"blog-media-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:19:\"thumb_square_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:19:\"thumb_square_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:27:\"video_embed_field_thumbnail\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:19:\"thumb_square_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:5:{i:0;s:15:\"field_full_name\";i:1;s:4:\"type\";i:2;s:7:\"created\";i:3;s:13:\"comment_count\";i:4;s:9:\"view_user\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"block-content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"By\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:11:\"[view_user]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"type\";a:23:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;s:12:\"machine_name\";i:0;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"d M Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:13:\"comment_count\";a:30:{s:2:\"id\";s:13:\"comment_count\";s:5:\"table\";s:23:\"node_comment_statistics\";s:5:\"field\";s:13:\"comment_count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:1;s:22:\"format_plural_singular\";s:9:\"1 comment\";s:20:\"format_plural_plural\";s:15:\"@count comments\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}s:9:\"view_user\";a:22:{s:2:\"id\";s:9:\"view_user\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:9:\"view_user\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"300\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"600\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:9:\"css_class\";s:24:\"view-page-list animation\";}'),(9,'page_2','Page','page',6,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:12:\"blog-isotope\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:12:\"Blog Isotope\";s:11:\"description\";s:12:\"Blog Isotope\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:12:\"style_plugin\";s:7:\"isotope\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:3:{s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:13:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:11:\"field_image\";i:1;s:13:\"field_gallery\";i:2;s:11:\"field_video\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:16:\"blog-media-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_gallery\";a:34:{s:2:\"id\";s:13:\"field_gallery\";s:5:\"table\";s:24:\"field_data_field_gallery\";s:5:\"field\";s:13:\"field_gallery\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:1;}s:11:\"field_video\";a:34:{s:2:\"id\";s:11:\"field_video\";s:5:\"table\";s:22:\"field_data_field_video\";s:5:\"field\";s:11:\"field_video\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:9:\"video_url\";s:4:\"type\";s:27:\"video_embed_field_thumbnail\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:15:\"field_full_name\";i:1;s:4:\"type\";i:2;s:9:\"view_user\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"block-content-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:15:\"field_full_name\";a:34:{s:2:\"id\";s:15:\"field_full_name\";s:5:\"table\";s:26:\"field_data_field_full_name\";s:5:\"field\";s:15:\"field_full_name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"By\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:11:\"[view_user]\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"type\";a:23:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;s:12:\"machine_name\";i:0;}s:9:\"view_user\";a:22:{s:2:\"id\";s:9:\"view_user\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:9:\"view_user\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:0:\"\";}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"600\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:7:\"created\";i:1;s:13:\"comment_count\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:17:\"blog-footer-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:5:\"d M Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:13:\"comment_count\";a:30:{s:2:\"id\";s:13:\"comment_count\";s:5:\"table\";s:23:\"node_comment_statistics\";s:5:\"field\";s:13:\"comment_count\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:1;s:22:\"format_plural_singular\";s:9:\"1 comment\";s:20:\"format_plural_plural\";s:15:\"@count comments\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";}}s:9:\"css_class\";s:27:\"view-page-isotope animation\";}'),(10,'block','Block','block',2,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:0;}}s:12:\"style_plugin\";s:38:\"views_bootstrap_accordion_plugin_style\";s:8:\"defaults\";a:4:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;}s:13:\"style_options\";a:1:{s:11:\"title_field\";s:5:\"title\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}}'),(10,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:15:\"views_accordion\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"400\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"why_us\";s:6:\"why_us\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:13:\"Why choose us\";s:13:\"style_options\";a:14:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:19:\"use-grouping-header\";i:0;s:14:\"row-start-open\";s:1:\"0\";s:11:\"collapsible\";i:0;s:8:\"animated\";s:5:\"swing\";s:10:\"autoheight\";i:1;s:5:\"event\";s:5:\"click\";s:9:\"fillspace\";i:0;s:10:\"navigation\";i:0;s:10:\"clearstyle\";i:0;s:12:\"disableifone\";i:0;}}'),(12,'block','Block','block',3,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:10:\"flexslider\";s:8:\"defaults\";a:7:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:27:\"testimonials testimonials-2\";}'),(12,'block_1','Block','block',4,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(12,'default','Master','default',1,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:10:\"flexslider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:12:\"small_avatar\";}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:16:\"field_occupation\";a:34:{s:2:\"id\";s:16:\"field_occupation\";s:5:\"table\";s:27:\"field_data_field_occupation\";s:5:\"field\";s:16:\"field_occupation\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:12:\"testimonials\";s:12:\"testimonials\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:13:\"Happy Clients\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:13:\"relationships\";a:1:{s:3:\"uid\";a:3:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"uid\";}}s:9:\"css_class\";s:12:\"testimonials\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"optionset\";s:7:\"default\";s:12:\"captionfield\";s:0:\"\";s:2:\"id\";s:0:\"\";}}'),(12,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:13:\"happy-clients\";}'),(13,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:6:\"fields\";a:4:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_6\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(13,'block_1','Block','block',3,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:5:\"title\";b:0;s:6:\"fields\";b:0;}s:13:\"style_options\";a:12:{s:4:\"wrap\";s:1:\"0\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:0:\"\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"0\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:5:\"title\";s:19:\"Featured Properties\";s:6:\"fields\";a:4:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_6\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(13,'block_2','Homepage 2 Block','block',4,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:8:\"defaults\";a:7:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:5:\"title\";b:0;}s:13:\"style_options\";a:12:{s:4:\"wrap\";s:1:\"0\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:1:\"2\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"0\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:12:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-image-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_6\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-price-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"20\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_address\";i:1;s:19:\"field_business_type\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:22:\"property-address-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:29:\"[field_address-thoroughfare]\n\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_lot_area\";i:1;s:14:\"field_bedrooms\";i:2;s:15:\"field_bathrooms\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"property-info-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:9:\"css_class\";s:72:\"featured-properties properties-list-page featured-properties-2 animation\";s:5:\"title\";s:19:\"Featured Properties\";}'),(13,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:5:\"metro\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_6\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:0:\"\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";s:9:\"css_class\";s:19:\"featured-properties\";}'),(15,'block_1','Block','block',6,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:17:\"ip_geoloc_leaflet\";s:8:\"defaults\";a:11:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"sorts\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:24:{s:8:\"grouping\";a:1:{i:0;a:3:{s:5:\"field\";s:0:\"\";s:8:\"rendered\";i:1;s:14:\"rendered_strip\";i:0;}}s:3:\"map\";s:10:\"OSM Mapnik\";s:10:\"map_height\";s:3:\"400\";s:31:\"ip_geoloc_views_plugin_latitude\";a:1:{s:9:\"field_geo\";s:9:\"field_geo\";}s:36:\"ip_geoloc_views_plugin_latitude_text\";s:0:\"\";s:32:\"ip_geoloc_views_plugin_longitude\";s:0:\"\";s:37:\"ip_geoloc_views_plugin_longitude_text\";s:0:\"\";s:14:\"differentiator\";a:1:{s:20:\"differentiator_field\";s:0:\"\";}s:13:\"center_option\";s:1:\"0\";s:16:\"empty_map_center\";s:0:\"\";s:14:\"default_marker\";a:3:{s:20:\"default_marker_color\";s:3:\"red\";s:27:\"default_marker_special_char\";s:0:\"\";s:33:\"default_marker_special_char_class\";s:0:\"\";}s:14:\"visitor_marker\";a:3:{s:20:\"visitor_marker_color\";s:0:\"\";s:27:\"visitor_marker_special_char\";s:0:\"\";s:33:\"visitor_marker_special_char_class\";s:0:\"\";}s:8:\"tooltips\";a:1:{s:14:\"marker_tooltip\";s:0:\"\";}s:4:\"tags\";a:2:{s:10:\"marker_tag\";s:0:\"\";s:13:\"tag_css_class\";s:17:\"tag-inside-marker\";}s:11:\"map_options\";a:7:{s:7:\"maxzoom\";s:2:\"18\";s:4:\"zoom\";s:1:\"2\";s:10:\"center_lat\";s:0:\"\";s:10:\"center_lon\";s:0:\"\";s:15:\"scrollwheelzoom\";s:1:\"1\";s:8:\"dragging\";s:1:\"1\";s:9:\"separator\";s:5:\"<br/>\";}s:11:\"full_screen\";i:0;s:12:\"scale_metric\";i:0;s:14:\"scale_imperial\";i:0;s:14:\"zoom_indicator\";i:0;s:9:\"map_reset\";i:0;s:19:\"map_reset_css_class\";s:1:\"R\";s:14:\"cluster_radius\";s:0:\"\";s:22:\"cluster_differentiator\";a:1:{s:29:\"cluster_differentiator_fields\";a:1:{s:0:\"\";s:0:\"\";}}s:19:\"cluster_aggregation\";a:4:{s:17:\"aggregation_field\";s:0:\"\";s:20:\"aggregation_function\";s:7:\"average\";s:6:\"ranges\";a:3:{s:5:\"small\";s:2:\"10\";s:6:\"medium\";s:3:\"100\";s:5:\"large\";s:4:\"1000\";}s:9:\"precision\";s:0:\"\";}}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:7:\"filters\";a:3:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:2:{s:5:\"label\";s:9:\"Post date\";s:5:\"order\";s:4:\"DESC\";}s:11:\"granularity\";s:6:\"second\";}}s:9:\"css_class\";s:30:\"properties-grid-page animation\";s:6:\"fields\";a:9:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:52:\"<span>Price  :</span> <strong>[field_price]</strong>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:1:\"p\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:45:\"<span>Status :</span> [field_property_status]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:1:\"p\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:54:\"<span>Address : </span>  [field_address-thoroughfare]\n\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:1:\"p\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:36:\"<span>Area: </span> [field_lot_area]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:1:\"p\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:42:\"<span>Bedrooms : </span> [field_bedrooms] \";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:1:\"p\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:43:\"<span>Bathrooms : </span> [field_bathrooms]\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:1:\"p\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_property_type\";a:34:{s:2:\"id\";s:19:\"field_property_type\";s:5:\"table\";s:30:\"field_data_field_property_type\";s:5:\"field\";s:19:\"field_property_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:14:\"isotope-filter\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"field_geo\";a:34:{s:2:\"id\";s:9:\"field_geo\";s:5:\"table\";s:20:\"field_data_field_geo\";s:5:\"field\";s:9:\"field_geo\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:4:\"geom\";s:4:\"type\";s:12:\"geofield_wkt\";s:8:\"settings\";a:1:{s:4:\"data\";s:4:\"full\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(15,'default','Master','default',1,'a:17:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:2:{s:4:\"type\";s:22:\"better_exposed_filters\";s:7:\"options\";a:13:{s:13:\"submit_button\";s:14:\"Find Your Home\";s:12:\"reset_button\";i:0;s:18:\"reset_button_label\";s:5:\"Reset\";s:19:\"exposed_sorts_label\";s:7:\"Sort by\";s:17:\"expose_sort_order\";i:1;s:14:\"sort_asc_label\";s:3:\"Asc\";s:15:\"sort_desc_label\";s:4:\"Desc\";s:10:\"autosubmit\";i:0;s:15:\"autosubmit_hide\";i:1;s:14:\"input_required\";i:0;s:3:\"bef\";a:10:{s:7:\"general\";a:2:{s:15:\"allow_secondary\";i:0;s:15:\"secondary_label\";s:16:\"Advanced options\";}s:4:\"sort\";a:2:{s:10:\"bef_format\";s:7:\"default\";s:8:\"advanced\";a:7:{s:11:\"collapsible\";i:0;s:17:\"collapsible_label\";s:12:\"Sort options\";s:7:\"combine\";i:0;s:15:\"combine_rewrite\";s:0:\"\";s:5:\"reset\";i:0;s:11:\"reset_label\";s:0:\"\";s:12:\"is_secondary\";i:0;}}s:23:\"field_business_type_tid\";a:2:{s:10:\"bef_format\";s:7:\"default\";s:12:\"more_options\";a:7:{s:19:\"bef_select_all_none\";b:0;s:15:\"bef_collapsible\";i:0;s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:13:\"Business Type\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}s:18:\"field_location_tid\";a:2:{s:10:\"bef_format\";s:7:\"default\";s:12:\"more_options\";a:7:{s:19:\"bef_select_all_none\";b:0;s:15:\"bef_collapsible\";i:0;s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:8:\"Location\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}s:23:\"field_property_type_tid\";a:2:{s:10:\"bef_format\";s:7:\"default\";s:12:\"more_options\";a:7:{s:19:\"bef_select_all_none\";b:0;s:15:\"bef_collapsible\";i:0;s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:13:\"Property Type\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}s:20:\"field_lot_area_value\";a:3:{s:10:\"bef_format\";s:7:\"default\";s:14:\"slider_options\";a:5:{s:14:\"bef_slider_min\";s:1:\"0\";s:14:\"bef_slider_max\";s:5:\"99999\";s:15:\"bef_slider_step\";s:1:\"1\";s:18:\"bef_slider_animate\";s:0:\"\";s:22:\"bef_slider_orientation\";s:10:\"horizontal\";}s:12:\"more_options\";a:5:{s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:9:\"Area From\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}s:18:\"field_bedrooms_tid\";a:2:{s:10:\"bef_format\";s:7:\"default\";s:12:\"more_options\";a:7:{s:19:\"bef_select_all_none\";b:0;s:15:\"bef_collapsible\";i:0;s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:8:\"Bedrooms\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}s:19:\"field_bathrooms_tid\";a:2:{s:10:\"bef_format\";s:7:\"default\";s:12:\"more_options\";a:7:{s:19:\"bef_select_all_none\";b:0;s:15:\"bef_collapsible\";i:0;s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:9:\"Bathrooms\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}s:17:\"field_price_value\";a:3:{s:10:\"bef_format\";s:7:\"default\";s:14:\"slider_options\";a:5:{s:14:\"bef_slider_min\";s:1:\"0\";s:14:\"bef_slider_max\";s:5:\"99999\";s:15:\"bef_slider_step\";s:1:\"1\";s:18:\"bef_slider_animate\";s:0:\"\";s:22:\"bef_slider_orientation\";s:10:\"horizontal\";}s:12:\"more_options\";a:5:{s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:9:\"Min Price\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}s:19:\"field_price_value_1\";a:3:{s:10:\"bef_format\";s:7:\"default\";s:14:\"slider_options\";a:5:{s:14:\"bef_slider_min\";s:1:\"0\";s:14:\"bef_slider_max\";s:5:\"99999\";s:15:\"bef_slider_step\";s:1:\"1\";s:18:\"bef_slider_animate\";s:0:\"\";s:22:\"bef_slider_orientation\";s:10:\"horizontal\";}s:12:\"more_options\";a:5:{s:12:\"is_secondary\";i:0;s:9:\"any_label\";s:9:\"Max Price\";s:22:\"bef_filter_description\";s:0:\"\";s:6:\"tokens\";a:1:{s:9:\"available\";a:1:{i:0;s:12:\"global_types\";}}s:7:\"rewrite\";a:1:{s:21:\"filter_rewrite_values\";s:0:\"\";}}}}s:26:\"text_input_required_format\";s:13:\"filtered_html\";s:19:\"text_input_required\";s:51:\"Select any filter and click on Apply to see results\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"8\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"sorts\";a:6:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:1;s:6:\"expose\";a:2:{s:5:\"label\";s:9:\"Post date\";s:5:\"order\";s:4:\"DESC\";}s:11:\"granularity\";s:6:\"second\";}s:17:\"field_price_value\";a:9:{s:2:\"id\";s:17:\"field_price_value\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:17:\"field_price_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:1;s:6:\"expose\";a:2:{s:5:\"label\";s:5:\"Price\";s:5:\"order\";s:3:\"ASC\";}}s:7:\"changed\";a:10:{s:2:\"id\";s:7:\"changed\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"changed\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:1;s:6:\"expose\";a:2:{s:5:\"label\";s:12:\"Updated date\";s:5:\"order\";s:3:\"ASC\";}s:11:\"granularity\";s:6:\"second\";}s:19:\"field_bathrooms_tid\";a:9:{s:2:\"id\";s:19:\"field_bathrooms_tid\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:19:\"field_bathrooms_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:1;s:6:\"expose\";a:2:{s:5:\"label\";s:9:\"Bathrooms\";s:5:\"order\";s:3:\"ASC\";}}s:18:\"field_bedrooms_tid\";a:9:{s:2:\"id\";s:18:\"field_bedrooms_tid\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:18:\"field_bedrooms_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:1;s:6:\"expose\";a:2:{s:5:\"label\";s:8:\"Bedrooms\";s:5:\"order\";s:3:\"ASC\";}}}s:7:\"filters\";a:11:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:1;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}s:5:\"group\";i:1;s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:23:\"field_business_type_tid\";a:19:{s:2:\"id\";s:23:\"field_business_type_tid\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:23:\"field_business_type_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:26:\"field_business_type_tid_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:26:\"field_business_type_tid_op\";s:10:\"identifier\";s:23:\"field_business_type_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:14:\"business_types\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:18:\"field_location_tid\";a:19:{s:2:\"id\";s:18:\"field_location_tid\";s:5:\"table\";s:25:\"field_data_field_location\";s:5:\"field\";s:18:\"field_location_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:21:\"field_location_tid_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:21:\"field_location_tid_op\";s:10:\"identifier\";s:18:\"field_location_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:8:\"location\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:23:\"field_property_type_tid\";a:19:{s:2:\"id\";s:23:\"field_property_type_tid\";s:5:\"table\";s:30:\"field_data_field_property_type\";s:5:\"field\";s:23:\"field_property_type_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:26:\"field_property_type_tid_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:26:\"field_property_type_tid_op\";s:10:\"identifier\";s:23:\"field_property_type_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:14:\"property_types\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:20:\"field_lot_area_value\";a:13:{s:2:\"id\";s:20:\"field_lot_area_value\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:20:\"field_lot_area_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:23:\"field_lot_area_value_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:23:\"field_lot_area_value_op\";s:10:\"identifier\";s:20:\"field_lot_area_value\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:18:\"field_bedrooms_tid\";a:19:{s:2:\"id\";s:18:\"field_bedrooms_tid\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:18:\"field_bedrooms_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:21:\"field_bedrooms_tid_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:21:\"field_bedrooms_tid_op\";s:10:\"identifier\";s:18:\"field_bedrooms_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:8:\"bedrooms\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:19:\"field_bathrooms_tid\";a:19:{s:2:\"id\";s:19:\"field_bathrooms_tid\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:19:\"field_bathrooms_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:12:{s:11:\"operator_id\";s:22:\"field_bathrooms_tid_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:22:\"field_bathrooms_tid_op\";s:10:\"identifier\";s:19:\"field_bathrooms_tid\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}s:6:\"reduce\";i:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:9:\"bathrooms\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";i:1;}s:17:\"field_price_value\";a:13:{s:2:\"id\";s:17:\"field_price_value\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:17:\"field_price_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\">=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";i:1;s:7:\"exposed\";b:1;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:20:\"field_price_value_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:20:\"field_price_value_op\";s:10:\"identifier\";s:17:\"field_price_value\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:19:\"field_price_value_1\";a:13:{s:2:\"id\";s:19:\"field_price_value_1\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:17:\"field_price_value\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"<=\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:1;s:6:\"expose\";a:11:{s:11:\"operator_id\";s:22:\"field_price_value_1_op\";s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";i:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:22:\"field_price_value_1_op\";s:10:\"identifier\";s:19:\"field_price_value_1\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:5:{i:2;s:1:\"2\";i:1;i:0;i:4;i:0;i:5;i:0;i:3;i:0;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:6:\"header\";a:0:{}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:6:\"fields\";a:13:{s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-image-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-price-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:1;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_address\";i:1;s:19:\"field_business_type\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:22:\"property-address-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_lot_area\";i:1;s:14:\"field_bedrooms\";i:2;s:15:\"field_bathrooms\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"property-info-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:5:\"title\";s:10:\"Properties\";s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:9:\"css_class\";s:30:\"properties-list-page animation\";s:8:\"use_ajax\";b:0;}'),(15,'page','Page','page',2,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:10:\"properties\";s:13:\"exposed_block\";b:1;s:6:\"mefibs\";a:3:{s:6:\"blocks\";a:0:{}s:6:\"extras\";a:2:{s:4:\"sort\";N;s:14:\"items_per_page\";N;}s:4:\"page\";a:1:{s:10:\"sort_block\";a:2:{i:0;s:7:\"default\";i:1;s:22:\"Properties Order Block\";}}}s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:10:\"Properties\";s:11:\"description\";s:10:\"Properties\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:8:\"defaults\";a:2:{s:6:\"fields\";b:1;s:9:\"css_class\";b:0;}s:9:\"css_class\";s:30:\"properties-grid-page animation\";}'),(15,'page_1','Page','page',3,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:24:\"properties/three-columns\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:13:\"Three Columns\";s:11:\"description\";s:18:\"Demo Three Columns\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:13:\"exposed_block\";b:1;s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"mefibs\";a:2:{s:6:\"blocks\";a:0:{}s:6:\"extras\";a:2:{s:4:\"sort\";N;s:14:\"items_per_page\";N;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;s:9:\"css_class\";s:30:\"properties-grid-page animation\";s:6:\"fields\";a:16:{s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-image-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-price-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_address\";i:1;s:19:\"field_business_type\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:22:\"property-address-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_lot_area\";i:1;s:14:\"field_bedrooms\";i:2;s:15:\"field_bathrooms\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"property-info-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_property_type\";a:34:{s:2:\"id\";s:19:\"field_property_type\";s:5:\"table\";s:30:\"field_data_field_property_type\";s:5:\"field\";s:19:\"field_property_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:14:\"isotope-filter\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_latitude\";a:34:{s:2:\"id\";s:14:\"field_latitude\";s:5:\"table\";s:25:\"field_data_field_latitude\";s:5:\"field\";s:14:\"field_latitude\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_longitude\";a:34:{s:2:\"id\";s:15:\"field_longitude\";s:5:\"table\";s:26:\"field_data_field_longitude\";s:5:\"field\";s:15:\"field_longitude\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(15,'page_2','Page 2','page',4,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:14:\"properties/map\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:3:\"Map\";s:11:\"description\";s:17:\"Properties on Map\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:13:\"exposed_block\";b:1;s:12:\"style_plugin\";s:13:\"ip_geoloc_map\";s:8:\"defaults\";a:8:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:13:\"style_options\";a:14:{s:8:\"grouping\";a:1:{i:0;a:3:{s:5:\"field\";s:0:\"\";s:8:\"rendered\";i:1;s:14:\"rendered_strip\";i:0;}}s:31:\"ip_geoloc_views_plugin_latitude\";a:1:{s:9:\"field_geo\";s:9:\"field_geo\";}s:36:\"ip_geoloc_views_plugin_latitude_text\";s:0:\"\";s:32:\"ip_geoloc_views_plugin_longitude\";s:0:\"\";s:37:\"ip_geoloc_views_plugin_longitude_text\";s:0:\"\";s:20:\"default_marker_color\";s:0:\"\";s:14:\"differentiator\";a:1:{s:20:\"differentiator_field\";s:0:\"\";}s:13:\"center_option\";s:1:\"1\";s:16:\"empty_map_center\";s:0:\"\";s:11:\"map_options\";s:11:\"{\"zoom\":12}\";s:13:\"map_div_style\";s:12:\"height:500px\";s:14:\"visitor_marker\";s:6:\"<none>\";s:9:\"gps_roles\";a:5:{i:1;s:1:\"1\";i:2;s:1:\"2\";i:4;i:0;i:5;i:0;i:3;i:0;}s:13:\"open_balloons\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:6:\"fields\";a:10:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_3\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Bedrooms\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:10:\"Bathrooms:\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"field_geo\";a:34:{s:2:\"id\";s:9:\"field_geo\";s:5:\"table\";s:20:\"field_data_field_geo\";s:5:\"field\";s:9:\"field_geo\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:4:\"geom\";s:4:\"type\";s:12:\"geofield_wkt\";s:8:\"settings\";a:1:{s:4:\"data\";s:4:\"full\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:6:\"mefibs\";a:2:{s:6:\"blocks\";a:0:{}s:6:\"extras\";a:2:{s:4:\"sort\";N;s:14:\"items_per_page\";N;}}s:9:\"css_class\";s:40:\"properties-grid-page properties-map-page\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;}'),(15,'page_3','Page 3','page',5,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:7:\"default\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:1;s:6:\"fields\";b:0;}s:13:\"style_options\";a:0:{}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:4:\"path\";s:15:\"properties/list\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:4:\"List\";s:11:\"description\";s:4:\"List\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:13:\"exposed_block\";b:1;s:6:\"fields\";a:14:{s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-image-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-price-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_address\";i:1;s:19:\"field_business_type\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:22:\"property-address-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_lot_area\";i:1;s:14:\"field_bedrooms\";i:2;s:15:\"field_bathrooms\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"property-info-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\".\";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:21:\"property-bedroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:22:\"property-bathroom-icon\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(16,'block','Block','block',2,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:12:\"style_plugin\";s:9:\"jcarousel\";s:8:\"defaults\";a:4:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;}s:13:\"style_options\";a:12:{s:4:\"wrap\";s:1:\"0\";s:4:\"skin\";s:7:\"default\";s:7:\"visible\";s:0:\"\";s:6:\"scroll\";s:1:\"1\";s:4:\"auto\";s:1:\"0\";s:10:\"navigation\";s:0:\"\";s:4:\"ajax\";i:0;s:9:\"animation\";s:0:\"\";s:6:\"easing\";s:0:\"\";s:5:\"start\";s:1:\"1\";s:9:\"autoPause\";i:1;s:8:\"vertical\";i:0;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}}'),(16,'block_1','Block','block',3,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"title\";s:18:\"Agent\'s Properties\";s:8:\"defaults\";a:5:{s:5:\"title\";b:0;s:9:\"arguments\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:6:\"fields\";b:1;}s:9:\"arguments\";a:1:{s:4:\"name\";a:26:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:3:\"uid\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:6:\"ignore\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:8:\"glossary\";i:0;s:5:\"limit\";s:1:\"0\";s:4:\"case\";s:4:\"none\";s:9:\"path_case\";s:4:\"none\";s:14:\"transform_dash\";i:0;s:12:\"break_phrase\";i:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"8\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;}'),(16,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:13:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-image-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"thumb_grid_4\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_price\";i:1;s:21:\"field_property_status\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:20:\"property-price-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_price\";a:34:{s:2:\"id\";s:11:\"field_price\";s:5:\"table\";s:22:\"field_data_field_price\";s:5:\"field\";s:11:\"field_price\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:21:\"field_property_status\";a:34:{s:2:\"id\";s:21:\"field_property_status\";s:5:\"table\";s:32:\"field_data_field_property_status\";s:5:\"field\";s:21:\"field_property_status\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:13:\"field_address\";i:1;s:19:\"field_business_type\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:22:\"property-address-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:13:\"field_address\";a:34:{s:2:\"id\";s:13:\"field_address\";s:5:\"table\";s:24:\"field_data_field_address\";s:5:\"field\";s:13:\"field_address\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:7:\"country\";s:4:\"type\";s:20:\"addressfield_default\";s:8:\"settings\";a:2:{s:19:\"use_widget_handlers\";i:1;s:15:\"format_handlers\";a:1:{s:7:\"address\";s:7:\"address\";}}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:19:\"field_business_type\";a:34:{s:2:\"id\";s:19:\"field_business_type\";s:5:\"table\";s:30:\"field_data_field_business_type\";s:5:\"field\";s:19:\"field_business_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:2:\"in\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_3\";a:23:{s:2:\"id\";s:10:\"fieldset_3\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_lot_area\";i:1;s:15:\"field_bathrooms\";i:2;s:14:\"field_bedrooms\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:19:\"property-info-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_lot_area\";a:34:{s:2:\"id\";s:14:\"field_lot_area\";s:5:\"table\";s:25:\"field_data_field_lot_area\";s:5:\"field\";s:14:\"field_lot_area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"Area\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";i:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_integer\";s:8:\"settings\";a:2:{s:18:\"thousand_separator\";s:1:\" \";s:13:\"prefix_suffix\";i:1;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:15:\"field_bathrooms\";a:34:{s:2:\"id\";s:15:\"field_bathrooms\";s:5:\"table\";s:26:\"field_data_field_bathrooms\";s:5:\"field\";s:15:\"field_bathrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:14:\"field_bedrooms\";a:34:{s:2:\"id\";s:14:\"field_bedrooms\";s:5:\"table\";s:25:\"field_data_field_bedrooms\";s:5:\"field\";s:14:\"field_bedrooms\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:18:\"Related Properties\";s:9:\"css_class\";s:39:\"properties-grid-page related-properties\";s:13:\"relationships\";a:1:{s:3:\"uid\";a:8:{s:2:\"id\";s:3:\"uid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"uid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:6:\"author\";s:8:\"required\";i:0;}}}'),(17,'block','Block','block',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(17,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:10:\"flexslider\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:10:\"properties\";s:10:\"properties\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:3:\"Ads\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"optionset\";s:7:\"default\";s:12:\"captionfield\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"css_class\";s:8:\"ads-type\";}'),(18,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(18,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:4:\"list\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:4:\"name\";a:8:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"link_to_taxonomy\";i:1;}s:6:\"name_1\";a:32:{s:2:\"id\";s:6:\"name_1\";s:5:\"table\";s:18:\"taxonomy_term_data\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"count\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:1:\",\";s:13:\"format_plural\";i:0;s:22:\"format_plural_singular\";s:1:\"1\";s:20:\"format_plural_plural\";s:6:\"@count\";s:6:\"prefix\";s:1:\"(\";s:6:\"suffix\";s:1:\")\";s:16:\"link_to_taxonomy\";b:0;s:14:\"convert_spaces\";b:0;}}s:7:\"filters\";a:1:{s:12:\"machine_name\";a:4:{s:2:\"id\";s:12:\"machine_name\";s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:5:\"field\";s:12:\"machine_name\";s:5:\"value\";a:1:{s:10:\"categories\";s:10:\"categories\";}}}s:5:\"sorts\";a:0:{}s:5:\"title\";s:17:\"Posts by Category\";s:8:\"group_by\";i:1;s:13:\"relationships\";a:1:{s:3:\"nid\";a:8:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:4:\"node\";s:8:\"required\";i:0;}}}'),(19,'block','Block','block',2,'a:4:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:9:\"css_class\";s:14:\"galleries-list\";s:8:\"defaults\";a:1:{s:9:\"css_class\";b:0;}}'),(19,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:1:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:12:\"small_avatar\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Gallery\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:9:\"css_class\";s:14:\"galleries-list\";}'),(20,'block','Block','block',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:6:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}}'),(20,'block_1','Homepage 2 Block','block',4,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:12:\"style_plugin\";s:4:\"grid\";s:8:\"defaults\";a:7:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;}s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:13:\"pager_options\";N;s:5:\"field\";a:1:{s:5:\"title\";a:1:{s:12:\"link_to_node\";i:1;}}s:19:\"display_description\";s:0:\"\";s:9:\"css_class\";s:11:\"offer-list \";}'),(20,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:3:{s:10:\"field_icon\";a:34:{s:2:\"id\";s:10:\"field_icon\";s:5:\"table\";s:21:\"field_data_field_icon\";s:5:\"field\";s:10:\"field_icon\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:6:\"bundle\";s:4:\"type\";s:18:\"icon_field_default\";s:8:\"settings\";a:1:{s:15:\"link_to_content\";i:0;}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"300\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:8:\"services\";s:8:\"services\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:12:\"We are offer\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}s:9:\"css_class\";s:10:\"offer-list\";}'),(20,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:12:\"we-are-offer\";}'),(21,'block','Block','block',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"fields\";a:9:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:19:\"thumb_square_grid_3\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_facebook\";i:1;s:11:\"field_gplus\";i:2;s:13:\"field_twitter\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:11:\"photo-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_facebook\";a:34:{s:2:\"id\";s:14:\"field_facebook\";s:5:\"table\";s:25:\"field_data_field_facebook\";s:5:\"field\";s:14:\"field_facebook\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_gplus\";a:34:{s:2:\"id\";s:11:\"field_gplus\";s:5:\"table\";s:22:\"field_data_field_gplus\";s:5:\"field\";s:11:\"field_gplus\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_twitter\";a:34:{s:2:\"id\";s:13:\"field_twitter\";s:5:\"table\";s:24:\"field_data_field_twitter\";s:5:\"field\";s:13:\"field_twitter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"name\";a:9:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;}s:14:\"field_position\";a:34:{s:2:\"id\";s:14:\"field_position\";s:5:\"table\";s:25:\"field_data_field_position\";s:5:\"field\";s:14:\"field_position\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"80\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"100\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_user\";a:22:{s:2:\"id\";s:9:\"view_user\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:9:\"view_user\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:12:\"View profile\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(21,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:4:\"perm\";s:20:\"access user profiles\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:9:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:19:\"thumb_square_grid_3\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:14:\"field_facebook\";i:1;s:11:\"field_gplus\";i:2;s:13:\"field_twitter\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:11:\"photo-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:14:\"field_facebook\";a:34:{s:2:\"id\";s:14:\"field_facebook\";s:5:\"table\";s:25:\"field_data_field_facebook\";s:5:\"field\";s:14:\"field_facebook\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_gplus\";a:34:{s:2:\"id\";s:11:\"field_gplus\";s:5:\"table\";s:22:\"field_data_field_gplus\";s:5:\"field\";s:11:\"field_gplus\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_twitter\";a:34:{s:2:\"id\";s:13:\"field_twitter\";s:5:\"table\";s:24:\"field_data_field_twitter\";s:5:\"field\";s:13:\"field_twitter\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"name\";a:9:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;}s:14:\"field_position\";a:34:{s:2:\"id\";s:14:\"field_position\";s:5:\"table\";s:25:\"field_data_field_position\";s:5:\"field\";s:14:\"field_position\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:17:\"field_description\";a:34:{s:2:\"id\";s:17:\"field_description\";s:5:\"table\";s:28:\"field_data_field_description\";s:5:\"field\";s:17:\"field_description\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"80\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:1;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"100\";}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_user\";a:22:{s:2:\"id\";s:9:\"view_user\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:9:\"view_user\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:12:\"View profile\";}}s:7:\"filters\";a:1:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:8:\"Our Team\";s:6:\"header\";a:1:{s:4:\"area\";a:11:{s:2:\"id\";s:4:\"area\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:4:\"area\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:5:\"empty\";i:0;s:7:\"content\";s:178:\"Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis <br>nostrudexercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. \";s:6:\"format\";s:9:\"full_html\";s:8:\"tokenize\";i:0;}}s:9:\"css_class\";s:13:\"our-team-list\";}'),(22,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:2:\"10\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:1:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:7:\"filters\";a:1:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:10:\"Mega Menus\";s:11:\"row_options\";a:3:{s:10:\"build_mode\";s:6:\"teaser\";s:5:\"links\";b:1;s:8:\"comments\";b:0;}}'),(22,'page','Page','page',2,'a:2:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:10:\"mega-menus\";}');
/*!40000 ALTER TABLE `views_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_view`
--

DROP TABLE IF EXISTS `views_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_view`
--

LOCK TABLES `views_view` WRITE;
/*!40000 ALTER TABLE `views_view` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_view` VALUES (2,'isotope_example_filter_block','','default','taxonomy_term_data','isotope_example_filter_block',7),(3,'isotope_example','','default','node','isotope_example',7),(4,'property_types_filter','','default','taxonomy_term_data','Property Types Filter',7),(5,'frontpage','Emulates the default Drupal front page; you may set the default home page path to this view to make it your front page.','default','node','Front page',0),(6,'slideshow','','default','node','Slideshow',7),(7,'faq','','default','node','FAQ',7),(8,'agents','','default','users','Agents',7),(9,'blogs','','default','node','Blogs',7),(10,'why_us','','default','node','Why us',7),(12,'happy_clients','','default','node','Happy Clients',7),(13,'featured_properties','','default','node','Featured Properties',7),(15,'properties','Emulates the default Drupal front page; you may set the default home page path to this view to make it your front page.','default','node','Properties',0),(16,'related_properties','','default','node','Related Properties',7),(17,'ads','','default','node','Ads',7),(18,'posts_by_category','','default','taxonomy_term_data','Posts by Category',7),(19,'gallery','','default','node','Gallery',7),(20,'we_are_offer','','default','node','We are offer',7),(21,'our_team','','default','users','Our Team',7),(22,'mega_menus','','default','node','Mega Menus',7);
/*!40000 ALTER TABLE `views_view` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/','http://local2.weebpal.com/drupal7/real_estast/install.php?profile=standard&locale=en','192.168.1.49',1499930521),(2,0,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/','http://local2.weebpal.com/drupal7/real_estast/install.php?profile=standard&locale=en','192.168.1.49',1499930521),(3,0,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/','http://local2.weebpal.com/drupal7/real_estast/install.php?profile=standard&locale=en','192.168.1.49',1499930521),(4,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/real_estast/','http://local2.weebpal.com/drupal7/real_estast/install.php?profile=standard&locale=en','192.168.1.49',1499930553),(5,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/real_estast/user','http://local2.weebpal.com/drupal7/real_estast/user','192.168.1.49',1499930663),(6,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules?render=overlay','192.168.1.49',1499930673),(7,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules?render=overlay','192.168.1.49',1499930673),(8,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules?render=overlay','192.168.1.49',1499930674),(9,1,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules?render=overlay','192.168.1.49',1499930674),(10,1,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en/admin/modules?render=overlay','192.168.1.49',1499930674),(11,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin_menu/flush-cache?token=_uPcGAsW3wsMiRwCE8cCfnW-55xzLjuqt2qgzySHFXA&destination=admin/appearance','http://local2.weebpal.com/drupal7/real_estast/en/admin/appearance','192.168.1.49',1499930737),(12,1,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin_menu/flush-cache?token=_uPcGAsW3wsMiRwCE8cCfnW-55xzLjuqt2qgzySHFXA&destination=admin/appearance','http://local2.weebpal.com/drupal7/real_estast/en/admin/appearance','192.168.1.49',1499930737),(13,1,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin_menu/flush-cache?token=_uPcGAsW3wsMiRwCE8cCfnW-55xzLjuqt2qgzySHFXA&destination=admin/appearance','http://local2.weebpal.com/drupal7/real_estast/en/admin/appearance','192.168.1.49',1499930737),(14,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/config?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en','192.168.1.49',1499930801),(15,1,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/config?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en','192.168.1.49',1499930801),(16,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/config?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en','192.168.1.49',1499930818),(17,1,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/config?render=overlay','http://local2.weebpal.com/drupal7/real_estast/en','192.168.1.49',1499930818),(18,0,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/','','192.168.1.49',1500346733),(19,0,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/','','192.168.1.49',1500346733),(20,0,'file','The file permissions could not be set on %uri.','a:1:{s:4:\"%uri\";s:27:\"public://js/gmap_markers.js\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/','','192.168.1.49',1500346733),(21,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/real_estast/','','192.168.1.49',1500346764),(22,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/real_estast/user','http://local2.weebpal.com/drupal7/real_estast/user','192.168.1.49',1500346816),(23,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/real_estast/','192.168.1.49',1500348191),(24,1,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/real_estast/','192.168.1.49',1500348191),(25,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:7:\"Warning\";s:8:\"!message\";s:127:\"file_put_contents(private:///.htaccess): failed to open stream: &quot;DrupalPrivateStreamWrapper::stream_open&quot; call failed\";s:9:\"%function\";s:22:\"file_create_htaccess()\";s:5:\"%file\";s:47:\"/data/dev/drupal7/real_estast/includes/file.inc\";s:5:\"%line\";i:494;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/config?render=overlay','http://local2.weebpal.com/drupal7/real_estast/','192.168.1.49',1500348225),(26,1,'security','Security warning: Couldn\'t write .htaccess file. Please create a .htaccess file in your %directory directory which contains the following lines: <code>!htaccess</code>','a:2:{s:10:\"%directory\";s:10:\"private://\";s:9:\"!htaccess\";s:627:\"<br />Deny from all<br />\n<br />\n# Turn off all options we don&#039;t need.<br />\nOptions None<br />\nOptions +FollowSymLinks<br />\n<br />\n# Set the catch-all handler to prevent scripts from being executed.<br />\nSetHandler Drupal_Security_Do_Not_Remove_See_SA_2006_006<br />\n&lt;Files *&gt;<br />\n  # Override the handler again if we&#039;re run later in the evaluation list.<br />\n  SetHandler Drupal_Security_Do_Not_Remove_See_SA_2013_003<br />\n&lt;/Files&gt;<br />\n<br />\n# If we know how to do it safely, disable the PHP engine entirely.<br />\n&lt;IfModule mod_php5.c&gt;<br />\n  php_flag engine off<br />\n&lt;/IfModule&gt;\";}',3,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/config?render=overlay','http://local2.weebpal.com/drupal7/real_estast/','192.168.1.49',1500348225),(27,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:207:\"The following module is missing from the file system: <em class=\"placeholder\">chosen</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/real_estast/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/real_estast/','192.168.1.49',1500348440),(28,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:213:\"The following module is missing from the file system: <em class=\"placeholder\">redirect_404</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/real_estast/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/real_estast/','192.168.1.49',1500348440),(29,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:213:\"The following module is missing from the file system: <em class=\"placeholder\">redirect_404</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:52:\"/data/dev/drupal7/real_estast/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/real_estast/en/admin/reports/status?render=overlay','http://local2.weebpal.com/drupal7/real_estast/','192.168.1.49',1500348481);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping`
--

DROP TABLE IF EXISTS `we_content_migration_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `old_entity_type` varchar(128) DEFAULT NULL COMMENT 'The machine name of the old entity',
  `old_bundle` varchar(128) DEFAULT NULL COMMENT 'The old bundle’s name',
  `old_entity_id` int(11) DEFAULT NULL COMMENT 'The old entity id',
  `new_entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the new entity',
  `new_bundle` varchar(128) NOT NULL COMMENT 'The new bundle’s name',
  `new_entity_id` int(11) NOT NULL COMMENT 'The new entity id',
  PRIMARY KEY (`id`),
  KEY `mapping` (`old_entity_type`,`old_bundle`,`old_entity_id`,`new_entity_type`,`new_bundle`,`new_entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save the mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping`
--

LOCK TABLES `we_content_migration_mapping` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping_reference`
--

DROP TABLE IF EXISTS `we_content_migration_mapping_reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping_reference` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the entity',
  `bundle` varchar(128) NOT NULL COMMENT 'The bundle’s name',
  `eid` int(11) NOT NULL COMMENT 'The entity id',
  `field_name` varchar(32) NOT NULL COMMENT 'The field name',
  `field_value` text NOT NULL COMMENT 'The field value string',
  `language` varchar(12) NOT NULL DEFAULT '',
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mapping_reference` (`entity_type`,`bundle`,`eid`,`field_name`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save all reference field data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping_reference`
--

LOCK TABLES `we_content_migration_mapping_reference` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform`
--

DROP TABLE IF EXISTS `webform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node identifier of a webform.',
  `confirmation` text NOT NULL COMMENT 'The confirmation message or URL displayed to the user after submitting a form.',
  `confirmation_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the confirmation message.',
  `redirect_url` varchar(2048) DEFAULT '<confirmation>' COMMENT 'The URL a user is redirected to after submitting a form.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value of a webform for open (1) or closed (0).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether this form be available as a block.',
  `allow_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form be saved as a draft.',
  `auto_save` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form should be auto-saved between pages.',
  `submit_notice` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value for whether to show or hide the previous submissions notification.',
  `submit_text` varchar(255) DEFAULT NULL COMMENT 'The title of the submit button on the form.',
  `submit_limit` tinyint(4) NOT NULL DEFAULT '-1' COMMENT 'The number of submissions a single user is allowed to submit within an interval. -1 is unlimited.',
  `submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before a user can submit another submission within the set limit.',
  `total_submit_limit` int(11) NOT NULL DEFAULT '-1' COMMENT 'The total number of submissions allowed within an interval. -1 is unlimited.',
  `total_submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before another submission can be submitted within the set limit.',
  `progressbar_bar` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the bar should be shown as part of the progress bar.',
  `progressbar_page_number` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the page number should be shown as part of the progress bar.',
  `progressbar_percent` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the percentage complete should be shown as part of the progress bar.',
  `progressbar_pagebreak_labels` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the pagebreak labels should be included as part of the progress bar.',
  `progressbar_include_confirmation` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the confirmation page should count as a page in the progress bar.',
  `progressbar_label_first` varchar(255) DEFAULT NULL COMMENT 'Label for the first page of the progress bar.',
  `progressbar_label_confirmation` varchar(255) DEFAULT NULL COMMENT 'Label for the last page of the progress bar.',
  `preview` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if this form includes a page for previewing the submission.',
  `preview_next_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button that will proceed to the preview page.',
  `preview_prev_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button to go backwards from the preview page.',
  `preview_title` varchar(255) DEFAULT NULL COMMENT 'The title of the preview page, as used by the progress bar.',
  `preview_message` text NOT NULL COMMENT 'Text shown on the preview page of the form.',
  `preview_message_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the preview page message.',
  `preview_excluded_components` text NOT NULL COMMENT 'Comma-separated list of component IDs that should not be included in this form’s confirmation page.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The serial number to give to the next submission to this webform.',
  `confidential` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether to anonymize submissions.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for storing additional properties for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform`
--

LOCK TABLES `webform` WRITE;
/*!40000 ALTER TABLE `webform` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform` VALUES (32,'',NULL,'<confirmation>',1,0,0,0,1,'',-1,-1,-1,-1,0,0,0,0,0,NULL,NULL,0,NULL,NULL,NULL,'',NULL,'',1,0);
/*!40000 ALTER TABLE `webform` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_component`
--

DROP TABLE IF EXISTS `webform_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_component` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `pid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If this component has a parent fieldset, the cid of that component.',
  `form_key` varchar(128) DEFAULT NULL COMMENT 'When the form is displayed and processed, this key can be used to reference the results.',
  `name` text NOT NULL,
  `type` varchar(16) DEFAULT NULL COMMENT 'The field type of this component (textfield, select, hidden, etc.).',
  `value` text NOT NULL COMMENT 'The default value of the component when displayed to the end-user.',
  `extra` text NOT NULL COMMENT 'Additional information unique to the display or processing of this component.',
  `required` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean flag for if this component is required.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this component in the form.',
  PRIMARY KEY (`nid`,`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about components for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_component`
--

LOCK TABLES `webform_component` WRITE;
/*!40000 ALTER TABLE `webform_component` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_component` VALUES (32,1,6,'your_name','Your Name','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,6),(32,2,6,'your_email','Your Email','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,7),(32,3,7,'subject','Subject','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,9),(32,4,7,'website','Website','textfield','','a:10:{s:13:\"title_display\";s:6:\"before\";s:7:\"private\";i:0;s:8:\"disabled\";i:0;s:6:\"unique\";i:0;s:5:\"width\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:12:\"field_prefix\";s:0:\"\";s:12:\"field_suffix\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',0,10),(32,5,10,'your_message','Your Message','textarea','','a:8:{s:13:\"title_display\";i:0;s:7:\"private\";i:0;s:9:\"resizable\";i:1;s:8:\"disabled\";i:0;s:4:\"cols\";s:0:\"\";s:4:\"rows\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"attributes\";a:0:{}}',1,17),(32,6,10,'group_1','Group 1','fieldset','','a:4:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}',0,15),(32,7,10,'group_2','Group 2','fieldset','','a:4:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}',0,16),(32,8,10,'header_1','Header 1','markup','<h2>Contact Form</h2>\r\n<p>Donec at velit sit amet lacus placerat pretium. Fusce eget est in diam mattis vestibulum sed id lorem. Nullam aliquet elit et neque faucibus pharetra.</p>\r\n','a:2:{s:6:\"format\";s:9:\"full_html\";s:7:\"private\";i:0;}',0,14),(32,9,11,'get_in_touch','Get in Touch','markup','<div class=\"contact-content\">\r\n							<h4>Get in touch</h4>\r\n							<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto.</p>\r\n							<address>\r\n								<i class=\"fa fa-map-marker\"></i>Alexander Street. Vancouver, BC V6A 1E1 Canada\r\n                                                                <i class=\"fa fa-phone\"></i> 012.345.6789\r\n								<i class=\"fa fa-print\"></i> 012.345.6789\r\n								<i class=\"fa fa-envelope\"></i> <a href=\"mailto:mail@domainname.com\">mail@domainname.com</a>\r\n							</address>\r\n						</div>','a:2:{s:6:\"format\";s:9:\"full_html\";s:7:\"private\";i:0;}',0,18),(32,10,0,'left_group','Left Group','fieldset','','a:4:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}',0,13),(32,11,0,'right_group','Right Group','fieldset','','a:4:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}',0,19);
/*!40000 ALTER TABLE `webform_component` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional`
--

DROP TABLE IF EXISTS `webform_conditional`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `andor` varchar(128) DEFAULT NULL COMMENT 'Whether to AND or OR the actions in this group. All actions within the same crid should have the same andor value.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this conditional compared to others.',
  PRIMARY KEY (`nid`,`rgid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional`
--

LOCK TABLES `webform_conditional` WRITE;
/*!40000 ALTER TABLE `webform_conditional` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_actions`
--

DROP TABLE IF EXISTS `webform_conditional_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_actions` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `aid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional action.',
  `target_type` varchar(128) DEFAULT NULL COMMENT 'The type of target to be affected. Currently always "component". Indicates what type of ID the "target" column contains.',
  `target` varchar(128) DEFAULT NULL COMMENT 'The ID of the target to be affected. Typically a component ID.',
  `invert` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If inverted, execute when rule(s) are false.',
  `action` varchar(128) DEFAULT NULL COMMENT 'The action to be performed on the target.',
  `argument` text COMMENT 'Optional argument for action.',
  PRIMARY KEY (`nid`,`rgid`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional actions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_actions`
--

LOCK TABLES `webform_conditional_actions` WRITE;
/*!40000 ALTER TABLE `webform_conditional_actions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_rules`
--

DROP TABLE IF EXISTS `webform_conditional_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_rules` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `rid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional rule.',
  `source_type` varchar(128) DEFAULT NULL COMMENT 'The type of source on which the conditional is based. Currently always "component". Indicates what type of ID the "source" column contains.',
  `source` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The component ID being used in this condition.',
  `operator` varchar(128) DEFAULT NULL COMMENT 'Which operator (equal, contains, starts with, etc.) should be used for this comparison between the source and value?',
  `value` text COMMENT 'The value to be compared with source.',
  PRIMARY KEY (`nid`,`rgid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_rules`
--

LOCK TABLES `webform_conditional_rules` WRITE;
/*!40000 ALTER TABLE `webform_conditional_rules` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_rules` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_emails`
--

DROP TABLE IF EXISTS `webform_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_emails` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `eid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The e-mail identifier for this row’s settings.',
  `email` text COMMENT 'The e-mail address that will be sent to upon submission. This may be an e-mail address, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `subject` text COMMENT 'The e-mail subject that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_name` text COMMENT 'The e-mail "from" name that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_address` text COMMENT 'The e-mail "from" e-mail address that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `template` text COMMENT 'A template that will be used for the sent e-mail. This may be a string or the special key "default", which will use the template provided by the theming layer.',
  `excluded_components` text NOT NULL COMMENT 'A list of components that will not be included in the %email_values token. A list of CIDs separated by commas.',
  `html` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will be sent in an HTML format. Requires Mime Mail module.',
  `attachments` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include file attachments. Requires Mime Mail module.',
  `extra` text NOT NULL COMMENT 'A serialized array of additional options for the e-mail configuration, including excluded components and value mapping for the TO and FROM addresses for select lists.',
  `exclude_empty` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include component with an empty value.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Whether this email is enabled.',
  PRIMARY KEY (`nid`,`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information regarding e-mails that should be sent...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_emails`
--

LOCK TABLES `webform_emails` WRITE;
/*!40000 ALTER TABLE `webform_emails` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_emails` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_last_download`
--

DROP TABLE IF EXISTS `webform_last_download`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_last_download` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user identifier.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The last downloaded submission number.',
  `requested` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of last download request.',
  PRIMARY KEY (`nid`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores last submission number per user download.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_last_download`
--

LOCK TABLES `webform_last_download` WRITE;
/*!40000 ALTER TABLE `webform_last_download` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_last_download` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_roles`
--

DROP TABLE IF EXISTS `webform_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_roles` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The role identifier.',
  PRIMARY KEY (`nid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds access information regarding which roles are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_roles`
--

LOCK TABLES `webform_roles` WRITE;
/*!40000 ALTER TABLE `webform_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_roles` VALUES (32,1),(32,2);
/*!40000 ALTER TABLE `webform_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submissions`
--

DROP TABLE IF EXISTS `webform_submissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submissions` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for this submission.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The id of the user that completed this submission.',
  `is_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Is this a draft of the submission?',
  `submitted` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the form was submitted.',
  `remote_addr` varchar(128) DEFAULT NULL COMMENT 'The IP address of the user that submitted the form.',
  `serial` int(10) unsigned NOT NULL COMMENT 'The serial number of this submission.',
  `completed` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was submitted as complete (not draft).',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was last saved (complete or draft).',
  `highest_valid_page` smallint(6) NOT NULL DEFAULT '0' COMMENT 'For drafts, the highest validated page number.',
  PRIMARY KEY (`sid`),
  UNIQUE KEY `sid_nid` (`sid`,`nid`),
  UNIQUE KEY `nid_serial` (`nid`,`serial`),
  KEY `nid_uid_sid` (`nid`,`uid`,`sid`),
  KEY `nid_sid` (`nid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds general information about submissions outside of...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submissions`
--

LOCK TABLES `webform_submissions` WRITE;
/*!40000 ALTER TABLE `webform_submissions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submissions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submitted_data`
--

DROP TABLE IF EXISTS `webform_submitted_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submitted_data` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique identifier for this submission.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `no` varchar(128) NOT NULL DEFAULT '0' COMMENT 'Usually this value is 0, but if a field has multiple values (such as a time or date), it may require multiple rows in the database.',
  `data` mediumtext NOT NULL COMMENT 'The submitted value of this field, may be serialized for some components.',
  PRIMARY KEY (`nid`,`sid`,`cid`,`no`),
  KEY `nid` (`nid`),
  KEY `sid_nid` (`sid`,`nid`),
  KEY `data` (`data`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores all submitted field data for webform submissions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submitted_data`
--

LOCK TABLES `webform_submitted_data` WRITE;
/*!40000 ALTER TABLE `webform_submitted_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submitted_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-07-18 10:47:46
